#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 4180
#define LARGE_STATE_COUNT 740
#define SYMBOL_COUNT 358
#define ALIAS_COUNT 7
#define TOKEN_COUNT 157
#define EXTERNAL_TOKEN_COUNT 4
#define FIELD_COUNT 42
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 264

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_type = 6,
  anon_sym_EQ = 7,
  anon_sym_as = 8,
  anon_sym_namespace = 9,
  anon_sym_LBRACE = 10,
  anon_sym_COMMA = 11,
  anon_sym_RBRACE = 12,
  anon_sym_typeof = 13,
  anon_sym_import = 14,
  anon_sym_from = 15,
  anon_sym_var = 16,
  anon_sym_let = 17,
  anon_sym_const = 18,
  anon_sym_BANG = 19,
  anon_sym_else = 20,
  anon_sym_if = 21,
  anon_sym_switch = 22,
  anon_sym_for = 23,
  anon_sym_LPAREN = 24,
  anon_sym_RPAREN = 25,
  anon_sym_await = 26,
  anon_sym_in = 27,
  anon_sym_of = 28,
  anon_sym_while = 29,
  anon_sym_do = 30,
  anon_sym_try = 31,
  anon_sym_with = 32,
  anon_sym_break = 33,
  anon_sym_continue = 34,
  anon_sym_debugger = 35,
  anon_sym_return = 36,
  anon_sym_throw = 37,
  anon_sym_SEMI = 38,
  anon_sym_COLON = 39,
  anon_sym_case = 40,
  anon_sym_catch = 41,
  anon_sym_finally = 42,
  anon_sym_yield = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  anon_sym_LT = 46,
  anon_sym_GT = 47,
  anon_sym_SLASH = 48,
  sym_jsx_text = 49,
  sym_jsx_identifier = 50,
  anon_sym_DOT = 51,
  anon_sym_class = 52,
  anon_sym_async = 53,
  anon_sym_function = 54,
  anon_sym_EQ_GT = 55,
  anon_sym_QMARK_DOT = 56,
  anon_sym_new = 57,
  anon_sym_PLUS_EQ = 58,
  anon_sym_DASH_EQ = 59,
  anon_sym_STAR_EQ = 60,
  anon_sym_SLASH_EQ = 61,
  anon_sym_PERCENT_EQ = 62,
  anon_sym_CARET_EQ = 63,
  anon_sym_AMP_EQ = 64,
  anon_sym_PIPE_EQ = 65,
  anon_sym_GT_GT_EQ = 66,
  anon_sym_GT_GT_GT_EQ = 67,
  anon_sym_LT_LT_EQ = 68,
  anon_sym_STAR_STAR_EQ = 69,
  anon_sym_AMP_AMP_EQ = 70,
  anon_sym_PIPE_PIPE_EQ = 71,
  anon_sym_QMARK_QMARK_EQ = 72,
  anon_sym_DOT_DOT_DOT = 73,
  anon_sym_QMARK = 74,
  anon_sym_AMP_AMP = 75,
  anon_sym_PIPE_PIPE = 76,
  anon_sym_GT_GT = 77,
  anon_sym_GT_GT_GT = 78,
  anon_sym_LT_LT = 79,
  anon_sym_AMP = 80,
  anon_sym_CARET = 81,
  anon_sym_PIPE = 82,
  anon_sym_PLUS = 83,
  anon_sym_DASH = 84,
  anon_sym_PERCENT = 85,
  anon_sym_STAR_STAR = 86,
  anon_sym_LT_EQ = 87,
  anon_sym_EQ_EQ = 88,
  anon_sym_EQ_EQ_EQ = 89,
  anon_sym_BANG_EQ = 90,
  anon_sym_BANG_EQ_EQ = 91,
  anon_sym_GT_EQ = 92,
  anon_sym_QMARK_QMARK = 93,
  anon_sym_instanceof = 94,
  anon_sym_TILDE = 95,
  anon_sym_void = 96,
  anon_sym_delete = 97,
  anon_sym_PLUS_PLUS = 98,
  anon_sym_DASH_DASH = 99,
  anon_sym_DQUOTE = 100,
  anon_sym_SQUOTE = 101,
  sym_unescaped_double_string_fragment = 102,
  sym_unescaped_single_string_fragment = 103,
  sym_escape_sequence = 104,
  sym_comment = 105,
  anon_sym_BQUOTE = 106,
  anon_sym_DOLLAR_LBRACE = 107,
  anon_sym_SLASH2 = 108,
  sym_regex_pattern = 109,
  sym_regex_flags = 110,
  sym_number = 111,
  sym_private_property_identifier = 112,
  anon_sym_target = 113,
  sym_this = 114,
  sym_super = 115,
  sym_true = 116,
  sym_false = 117,
  sym_null = 118,
  sym_undefined = 119,
  anon_sym_AT = 120,
  anon_sym_static = 121,
  anon_sym_readonly = 122,
  anon_sym_get = 123,
  anon_sym_set = 124,
  anon_sym_declare = 125,
  anon_sym_public = 126,
  anon_sym_private = 127,
  anon_sym_protected = 128,
  anon_sym_override = 129,
  anon_sym_module = 130,
  anon_sym_any = 131,
  anon_sym_number = 132,
  anon_sym_boolean = 133,
  anon_sym_string = 134,
  anon_sym_symbol = 135,
  anon_sym_abstract = 136,
  anon_sym_require = 137,
  anon_sym_extends = 138,
  anon_sym_implements = 139,
  anon_sym_global = 140,
  anon_sym_interface = 141,
  anon_sym_enum = 142,
  anon_sym_DASH_QMARK_COLON = 143,
  anon_sym_QMARK_COLON = 144,
  anon_sym_asserts = 145,
  anon_sym_infer = 146,
  anon_sym_is = 147,
  anon_sym_keyof = 148,
  anon_sym_unknown = 149,
  anon_sym_never = 150,
  anon_sym_object = 151,
  anon_sym_LBRACE_PIPE = 152,
  anon_sym_PIPE_RBRACE = 153,
  sym__automatic_semicolon = 154,
  sym__template_chars = 155,
  sym__function_signature_automatic_semicolon = 156,
  sym_program = 157,
  sym_export_statement = 158,
  sym_export_clause = 159,
  sym__import_export_specifier = 160,
  sym_declaration = 161,
  sym_import = 162,
  sym_import_statement = 163,
  sym_import_clause = 164,
  sym__from_clause = 165,
  sym_namespace_import = 166,
  sym_named_imports = 167,
  sym_expression_statement = 168,
  sym_variable_declaration = 169,
  sym_lexical_declaration = 170,
  sym_variable_declarator = 171,
  sym_statement_block = 172,
  sym_else_clause = 173,
  sym_if_statement = 174,
  sym_switch_statement = 175,
  sym_for_statement = 176,
  sym_for_in_statement = 177,
  sym__for_header = 178,
  sym_while_statement = 179,
  sym_do_statement = 180,
  sym_try_statement = 181,
  sym_with_statement = 182,
  sym_break_statement = 183,
  sym_continue_statement = 184,
  sym_debugger_statement = 185,
  sym_return_statement = 186,
  sym_throw_statement = 187,
  sym_empty_statement = 188,
  sym_labeled_statement = 189,
  sym_switch_body = 190,
  sym_switch_case = 191,
  sym_switch_default = 192,
  sym_catch_clause = 193,
  sym_finally_clause = 194,
  sym_parenthesized_expression = 195,
  sym_expression = 196,
  sym_primary_expression = 197,
  sym_yield_expression = 198,
  sym_object = 199,
  sym_object_pattern = 200,
  sym_assignment_pattern = 201,
  sym_object_assignment_pattern = 202,
  sym_array = 203,
  sym_array_pattern = 204,
  sym_jsx_element = 205,
  sym_jsx_fragment = 206,
  sym_jsx_expression = 207,
  sym_jsx_opening_element = 208,
  sym_nested_identifier = 209,
  sym_jsx_namespace_name = 210,
  sym_jsx_closing_element = 211,
  sym_jsx_self_closing_element = 212,
  sym_jsx_attribute = 213,
  sym_class = 214,
  sym_class_declaration = 215,
  sym_class_heritage = 216,
  sym_function = 217,
  sym_function_declaration = 218,
  sym_generator_function = 219,
  sym_generator_function_declaration = 220,
  sym_arrow_function = 221,
  sym__call_signature = 222,
  sym__formal_parameter = 223,
  sym_call_expression = 224,
  sym_new_expression = 225,
  sym_await_expression = 226,
  sym_member_expression = 227,
  sym_subscript_expression = 228,
  sym_assignment_expression = 229,
  sym__augmented_assignment_lhs = 230,
  sym_augmented_assignment_expression = 231,
  sym__initializer = 232,
  sym__destructuring_pattern = 233,
  sym_spread_element = 234,
  sym_ternary_expression = 235,
  sym_binary_expression = 236,
  sym_unary_expression = 237,
  sym_update_expression = 238,
  sym_sequence_expression = 239,
  sym_string = 240,
  sym_template_string = 241,
  sym_template_substitution = 242,
  sym_regex = 243,
  sym_meta_property = 244,
  sym_arguments = 245,
  sym_decorator = 246,
  sym_decorator_member_expression = 247,
  sym_decorator_call_expression = 248,
  sym_class_body = 249,
  sym_formal_parameters = 250,
  sym_pattern = 251,
  sym_rest_pattern = 252,
  sym_method_definition = 253,
  sym_pair = 254,
  sym_pair_pattern = 255,
  sym__property_name = 256,
  sym_computed_property_name = 257,
  sym_public_field_definition = 258,
  sym_non_null_expression = 259,
  sym_method_signature = 260,
  sym_abstract_method_signature = 261,
  sym_function_signature = 262,
  sym_as_expression = 263,
  sym_import_require_clause = 264,
  sym_extends_clause = 265,
  sym_implements_clause = 266,
  sym_ambient_declaration = 267,
  sym_abstract_class_declaration = 268,
  sym_module = 269,
  sym_internal_module = 270,
  sym__module = 271,
  sym_import_alias = 272,
  sym_nested_type_identifier = 273,
  sym_interface_declaration = 274,
  sym_extends_type_clause = 275,
  sym_enum_declaration = 276,
  sym_enum_body = 277,
  sym_enum_assignment = 278,
  sym_type_alias_declaration = 279,
  sym_accessibility_modifier = 280,
  sym_override_modifier = 281,
  sym_required_parameter = 282,
  sym_optional_parameter = 283,
  sym__parameter_name = 284,
  sym_omitting_type_annotation = 285,
  sym_opting_type_annotation = 286,
  sym_type_annotation = 287,
  sym_asserts = 288,
  sym__type = 289,
  sym_tuple_parameter = 290,
  sym_optional_tuple_parameter = 291,
  sym_optional_type = 292,
  sym_rest_type = 293,
  sym__tuple_type_member = 294,
  sym_constructor_type = 295,
  sym__primary_type = 296,
  sym_template_type = 297,
  sym_template_literal_type = 298,
  sym_infer_type = 299,
  sym_conditional_type = 300,
  sym_generic_type = 301,
  sym_type_predicate = 302,
  sym_type_predicate_annotation = 303,
  sym__type_query_member_expression = 304,
  sym__type_query_subscript_expression = 305,
  sym__type_query_call_expression = 306,
  sym_type_query = 307,
  sym_index_type_query = 308,
  sym_lookup_type = 309,
  sym_mapped_type_clause = 310,
  sym_literal_type = 311,
  sym__number = 312,
  sym_existential_type = 313,
  sym_flow_maybe_type = 314,
  sym_parenthesized_type = 315,
  sym_predefined_type = 316,
  sym_type_arguments = 317,
  sym_object_type = 318,
  sym_call_signature = 319,
  sym_property_signature = 320,
  sym_type_parameters = 321,
  sym_type_parameter = 322,
  sym_default_type = 323,
  sym_constraint = 324,
  sym_construct_signature = 325,
  sym_index_signature = 326,
  sym_array_type = 327,
  sym_tuple_type = 328,
  sym_readonly_type = 329,
  sym_union_type = 330,
  sym_intersection_type = 331,
  sym_function_type = 332,
  aux_sym_program_repeat1 = 333,
  aux_sym_export_statement_repeat1 = 334,
  aux_sym_export_clause_repeat1 = 335,
  aux_sym_named_imports_repeat1 = 336,
  aux_sym_variable_declaration_repeat1 = 337,
  aux_sym_switch_body_repeat1 = 338,
  aux_sym_object_repeat1 = 339,
  aux_sym_object_pattern_repeat1 = 340,
  aux_sym_array_repeat1 = 341,
  aux_sym_array_pattern_repeat1 = 342,
  aux_sym_jsx_element_repeat1 = 343,
  aux_sym_string_repeat1 = 344,
  aux_sym_string_repeat2 = 345,
  aux_sym_template_string_repeat1 = 346,
  aux_sym_class_body_repeat1 = 347,
  aux_sym_formal_parameters_repeat1 = 348,
  aux_sym__jsx_start_opening_element_repeat1 = 349,
  aux_sym_extends_clause_repeat1 = 350,
  aux_sym_implements_clause_repeat1 = 351,
  aux_sym_extends_type_clause_repeat1 = 352,
  aux_sym_enum_body_repeat1 = 353,
  aux_sym_template_literal_type_repeat1 = 354,
  aux_sym_object_type_repeat1 = 355,
  aux_sym_type_parameters_repeat1 = 356,
  aux_sym_tuple_type_repeat1 = 357,
  alias_sym_import_specifier = 358,
  alias_sym_property_identifier = 359,
  alias_sym_shorthand_property_identifier = 360,
  alias_sym_shorthand_property_identifier_pattern = 361,
  alias_sym_statement_identifier = 362,
  alias_sym_this_type = 363,
  alias_sym_type_identifier = 364,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_as] = "as",
  [anon_sym_namespace] = "namespace",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_typeof] = "typeof",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_BANG] = "!",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_QMARK_DOT] = "\?.",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_TILDE] = "~",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_readonly] = "readonly",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [anon_sym_declare] = "declare",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_override] = "override",
  [anon_sym_module] = "module",
  [anon_sym_any] = "any",
  [anon_sym_number] = "number",
  [anon_sym_boolean] = "boolean",
  [anon_sym_string] = "string",
  [anon_sym_symbol] = "symbol",
  [anon_sym_abstract] = "abstract",
  [anon_sym_require] = "require",
  [anon_sym_extends] = "extends",
  [anon_sym_implements] = "implements",
  [anon_sym_global] = "global",
  [anon_sym_interface] = "interface",
  [anon_sym_enum] = "enum",
  [anon_sym_DASH_QMARK_COLON] = "-\?:",
  [anon_sym_QMARK_COLON] = "\?:",
  [anon_sym_asserts] = "asserts",
  [anon_sym_infer] = "infer",
  [anon_sym_is] = "is",
  [anon_sym_keyof] = "keyof",
  [anon_sym_unknown] = "unknown",
  [anon_sym_never] = "never",
  [anon_sym_object] = "object",
  [anon_sym_LBRACE_PIPE] = "{|",
  [anon_sym_PIPE_RBRACE] = "|}",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__function_signature_automatic_semicolon] = "_function_signature_automatic_semicolon",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "export_specifier",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym__call_signature] = "_call_signature",
  [sym__formal_parameter] = "_formal_parameter",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_formal_parameters] = "formal_parameters",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [sym_public_field_definition] = "public_field_definition",
  [sym_non_null_expression] = "non_null_expression",
  [sym_method_signature] = "method_signature",
  [sym_abstract_method_signature] = "abstract_method_signature",
  [sym_function_signature] = "function_signature",
  [sym_as_expression] = "as_expression",
  [sym_import_require_clause] = "import_require_clause",
  [sym_extends_clause] = "extends_clause",
  [sym_implements_clause] = "implements_clause",
  [sym_ambient_declaration] = "ambient_declaration",
  [sym_abstract_class_declaration] = "abstract_class_declaration",
  [sym_module] = "module",
  [sym_internal_module] = "internal_module",
  [sym__module] = "_module",
  [sym_import_alias] = "import_alias",
  [sym_nested_type_identifier] = "nested_type_identifier",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_type_clause] = "extends_type_clause",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_assignment] = "enum_assignment",
  [sym_type_alias_declaration] = "type_alias_declaration",
  [sym_accessibility_modifier] = "accessibility_modifier",
  [sym_override_modifier] = "override_modifier",
  [sym_required_parameter] = "required_parameter",
  [sym_optional_parameter] = "optional_parameter",
  [sym__parameter_name] = "_parameter_name",
  [sym_omitting_type_annotation] = "omitting_type_annotation",
  [sym_opting_type_annotation] = "opting_type_annotation",
  [sym_type_annotation] = "type_annotation",
  [sym_asserts] = "asserts",
  [sym__type] = "_type",
  [sym_tuple_parameter] = "required_parameter",
  [sym_optional_tuple_parameter] = "optional_parameter",
  [sym_optional_type] = "optional_type",
  [sym_rest_type] = "rest_type",
  [sym__tuple_type_member] = "_tuple_type_member",
  [sym_constructor_type] = "constructor_type",
  [sym__primary_type] = "_primary_type",
  [sym_template_type] = "template_type",
  [sym_template_literal_type] = "template_literal_type",
  [sym_infer_type] = "infer_type",
  [sym_conditional_type] = "conditional_type",
  [sym_generic_type] = "generic_type",
  [sym_type_predicate] = "type_predicate",
  [sym_type_predicate_annotation] = "type_predicate_annotation",
  [sym__type_query_member_expression] = "member_expression",
  [sym__type_query_subscript_expression] = "subscript_expression",
  [sym__type_query_call_expression] = "call_expression",
  [sym_type_query] = "type_query",
  [sym_index_type_query] = "index_type_query",
  [sym_lookup_type] = "lookup_type",
  [sym_mapped_type_clause] = "mapped_type_clause",
  [sym_literal_type] = "literal_type",
  [sym__number] = "unary_expression",
  [sym_existential_type] = "existential_type",
  [sym_flow_maybe_type] = "flow_maybe_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_predefined_type] = "predefined_type",
  [sym_type_arguments] = "type_arguments",
  [sym_object_type] = "object_type",
  [sym_call_signature] = "call_signature",
  [sym_property_signature] = "property_signature",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_default_type] = "default_type",
  [sym_constraint] = "constraint",
  [sym_construct_signature] = "construct_signature",
  [sym_index_signature] = "index_signature",
  [sym_array_type] = "array_type",
  [sym_tuple_type] = "tuple_type",
  [sym_readonly_type] = "readonly_type",
  [sym_union_type] = "union_type",
  [sym_intersection_type] = "intersection_type",
  [sym_function_type] = "function_type",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__jsx_start_opening_element_repeat1] = "_jsx_start_opening_element_repeat1",
  [aux_sym_extends_clause_repeat1] = "extends_clause_repeat1",
  [aux_sym_implements_clause_repeat1] = "implements_clause_repeat1",
  [aux_sym_extends_type_clause_repeat1] = "extends_type_clause_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_template_literal_type_repeat1] = "template_literal_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_this_type] = "this_type",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_QMARK_DOT] = anon_sym_QMARK_DOT,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_declare] = anon_sym_declare,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_boolean] = anon_sym_boolean,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_symbol] = anon_sym_symbol,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_DASH_QMARK_COLON] = anon_sym_DASH_QMARK_COLON,
  [anon_sym_QMARK_COLON] = anon_sym_QMARK_COLON,
  [anon_sym_asserts] = anon_sym_asserts,
  [anon_sym_infer] = anon_sym_infer,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_keyof] = anon_sym_keyof,
  [anon_sym_unknown] = anon_sym_unknown,
  [anon_sym_never] = anon_sym_never,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_LBRACE_PIPE] = anon_sym_LBRACE_PIPE,
  [anon_sym_PIPE_RBRACE] = anon_sym_PIPE_RBRACE,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import] = sym_namespace_import,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym__call_signature] = sym__call_signature,
  [sym__formal_parameter] = sym__formal_parameter,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [sym_public_field_definition] = sym_public_field_definition,
  [sym_non_null_expression] = sym_non_null_expression,
  [sym_method_signature] = sym_method_signature,
  [sym_abstract_method_signature] = sym_abstract_method_signature,
  [sym_function_signature] = sym_function_signature,
  [sym_as_expression] = sym_as_expression,
  [sym_import_require_clause] = sym_import_require_clause,
  [sym_extends_clause] = sym_extends_clause,
  [sym_implements_clause] = sym_implements_clause,
  [sym_ambient_declaration] = sym_ambient_declaration,
  [sym_abstract_class_declaration] = sym_abstract_class_declaration,
  [sym_module] = sym_module,
  [sym_internal_module] = sym_internal_module,
  [sym__module] = sym__module,
  [sym_import_alias] = sym_import_alias,
  [sym_nested_type_identifier] = sym_nested_type_identifier,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_type_clause] = sym_extends_type_clause,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_assignment] = sym_enum_assignment,
  [sym_type_alias_declaration] = sym_type_alias_declaration,
  [sym_accessibility_modifier] = sym_accessibility_modifier,
  [sym_override_modifier] = sym_override_modifier,
  [sym_required_parameter] = sym_required_parameter,
  [sym_optional_parameter] = sym_optional_parameter,
  [sym__parameter_name] = sym__parameter_name,
  [sym_omitting_type_annotation] = sym_omitting_type_annotation,
  [sym_opting_type_annotation] = sym_opting_type_annotation,
  [sym_type_annotation] = sym_type_annotation,
  [sym_asserts] = sym_asserts,
  [sym__type] = sym__type,
  [sym_tuple_parameter] = sym_required_parameter,
  [sym_optional_tuple_parameter] = sym_optional_parameter,
  [sym_optional_type] = sym_optional_type,
  [sym_rest_type] = sym_rest_type,
  [sym__tuple_type_member] = sym__tuple_type_member,
  [sym_constructor_type] = sym_constructor_type,
  [sym__primary_type] = sym__primary_type,
  [sym_template_type] = sym_template_type,
  [sym_template_literal_type] = sym_template_literal_type,
  [sym_infer_type] = sym_infer_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_predicate] = sym_type_predicate,
  [sym_type_predicate_annotation] = sym_type_predicate_annotation,
  [sym__type_query_member_expression] = sym_member_expression,
  [sym__type_query_subscript_expression] = sym_subscript_expression,
  [sym__type_query_call_expression] = sym_call_expression,
  [sym_type_query] = sym_type_query,
  [sym_index_type_query] = sym_index_type_query,
  [sym_lookup_type] = sym_lookup_type,
  [sym_mapped_type_clause] = sym_mapped_type_clause,
  [sym_literal_type] = sym_literal_type,
  [sym__number] = sym_unary_expression,
  [sym_existential_type] = sym_existential_type,
  [sym_flow_maybe_type] = sym_flow_maybe_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_predefined_type] = sym_predefined_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_object_type] = sym_object_type,
  [sym_call_signature] = sym_call_signature,
  [sym_property_signature] = sym_property_signature,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_default_type] = sym_default_type,
  [sym_constraint] = sym_constraint,
  [sym_construct_signature] = sym_construct_signature,
  [sym_index_signature] = sym_index_signature,
  [sym_array_type] = sym_array_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_readonly_type] = sym_readonly_type,
  [sym_union_type] = sym_union_type,
  [sym_intersection_type] = sym_intersection_type,
  [sym_function_type] = sym_function_type,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__jsx_start_opening_element_repeat1] = aux_sym__jsx_start_opening_element_repeat1,
  [aux_sym_extends_clause_repeat1] = aux_sym_extends_clause_repeat1,
  [aux_sym_implements_clause_repeat1] = aux_sym_implements_clause_repeat1,
  [aux_sym_extends_type_clause_repeat1] = aux_sym_extends_type_clause_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_template_literal_type_repeat1] = aux_sym_template_literal_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_this_type] = alias_sym_this_type,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_declare] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_boolean] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_symbol] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asserts] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_infer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_keyof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unknown] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_never] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__function_signature_automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym__call_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__formal_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [sym_public_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_non_null_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_method_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_as_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_import_require_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_implements_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_ambient_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym_internal_module] = {
    .visible = true,
    .named = true,
  },
  [sym__module] = {
    .visible = false,
    .named = true,
  },
  [sym_import_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_accessibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_override_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_required_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym__parameter_name] = {
    .visible = false,
    .named = true,
  },
  [sym_omitting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_opting_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_asserts] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_tuple_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_rest_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_type] = {
    .visible = true,
    .named = true,
  },
  [sym__primary_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym_infer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_type_predicate_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__type_query_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_index_type_query] = {
    .visible = true,
    .named = true,
  },
  [sym_lookup_type] = {
    .visible = true,
    .named = true,
  },
  [sym_mapped_type_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_type] = {
    .visible = true,
    .named = true,
  },
  [sym__number] = {
    .visible = true,
    .named = true,
  },
  [sym_existential_type] = {
    .visible = true,
    .named = true,
  },
  [sym_flow_maybe_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_predefined_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_call_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_property_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_construct_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_index_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_readonly_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_intersection_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__jsx_start_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_implements_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extends_type_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_literal_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_this_type] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_constructor = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_index_type = 20,
  field_initializer = 21,
  field_key = 22,
  field_kind = 23,
  field_label = 24,
  field_left = 25,
  field_module = 26,
  field_name = 27,
  field_object = 28,
  field_open_tag = 29,
  field_operator = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_return_type = 35,
  field_right = 36,
  field_sign = 37,
  field_source = 38,
  field_type = 39,
  field_type_arguments = 40,
  field_type_parameters = 41,
  field_value = 42,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_constructor] = "constructor",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_index_type] = "index_type",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_sign] = "sign",
  [field_source] = "source",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [5] = {.index = 3, .length = 1},
  [6] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 1},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 3, .length = 1},
  [13] = {.index = 12, .length = 1},
  [14] = {.index = 13, .length = 2},
  [15] = {.index = 15, .length = 2},
  [16] = {.index = 17, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 21, .length = 2},
  [19] = {.index = 23, .length = 2},
  [20] = {.index = 25, .length = 1},
  [21] = {.index = 26, .length = 2},
  [22] = {.index = 28, .length = 2},
  [23] = {.index = 30, .length = 2},
  [24] = {.index = 32, .length = 2},
  [27] = {.index = 34, .length = 1},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 2},
  [33] = {.index = 44, .length = 5},
  [34] = {.index = 49, .length = 1},
  [35] = {.index = 50, .length = 3},
  [36] = {.index = 53, .length = 3},
  [37] = {.index = 56, .length = 2},
  [38] = {.index = 58, .length = 2},
  [39] = {.index = 60, .length = 2},
  [40] = {.index = 62, .length = 2},
  [41] = {.index = 64, .length = 2},
  [42] = {.index = 66, .length = 1},
  [43] = {.index = 67, .length = 1},
  [44] = {.index = 68, .length = 1},
  [45] = {.index = 69, .length = 2},
  [46] = {.index = 71, .length = 2},
  [47] = {.index = 73, .length = 2},
  [48] = {.index = 75, .length = 1},
  [51] = {.index = 76, .length = 2},
  [52] = {.index = 78, .length = 1},
  [53] = {.index = 79, .length = 2},
  [54] = {.index = 81, .length = 4},
  [55] = {.index = 85, .length = 2},
  [56] = {.index = 87, .length = 2},
  [57] = {.index = 26, .length = 2},
  [58] = {.index = 30, .length = 2},
  [59] = {.index = 73, .length = 2},
  [60] = {.index = 89, .length = 3},
  [61] = {.index = 92, .length = 2},
  [62] = {.index = 92, .length = 2},
  [63] = {.index = 94, .length = 3},
  [64] = {.index = 97, .length = 2},
  [65] = {.index = 99, .length = 2},
  [66] = {.index = 101, .length = 4},
  [67] = {.index = 105, .length = 3},
  [68] = {.index = 108, .length = 2},
  [69] = {.index = 110, .length = 2},
  [70] = {.index = 112, .length = 1},
  [71] = {.index = 113, .length = 1},
  [72] = {.index = 114, .length = 2},
  [73] = {.index = 26, .length = 2},
  [74] = {.index = 116, .length = 2},
  [75] = {.index = 118, .length = 5},
  [76] = {.index = 123, .length = 1},
  [77] = {.index = 114, .length = 2},
  [78] = {.index = 124, .length = 2},
  [79] = {.index = 126, .length = 3},
  [80] = {.index = 129, .length = 2},
  [81] = {.index = 131, .length = 3},
  [82] = {.index = 134, .length = 5},
  [83] = {.index = 139, .length = 1},
  [84] = {.index = 140, .length = 1},
  [85] = {.index = 141, .length = 3},
  [86] = {.index = 144, .length = 3},
  [87] = {.index = 147, .length = 4},
  [88] = {.index = 151, .length = 2},
  [89] = {.index = 153, .length = 3},
  [90] = {.index = 156, .length = 2},
  [91] = {.index = 158, .length = 2},
  [92] = {.index = 160, .length = 2},
  [93] = {.index = 162, .length = 3},
  [94] = {.index = 165, .length = 2},
  [95] = {.index = 167, .length = 4},
  [96] = {.index = 171, .length = 2},
  [97] = {.index = 173, .length = 3},
  [98] = {.index = 176, .length = 2},
  [99] = {.index = 178, .length = 3},
  [100] = {.index = 181, .length = 3},
  [101] = {.index = 184, .length = 2},
  [102] = {.index = 186, .length = 2},
  [103] = {.index = 188, .length = 2},
  [104] = {.index = 190, .length = 2},
  [106] = {.index = 190, .length = 2},
  [107] = {.index = 192, .length = 2},
  [108] = {.index = 194, .length = 2},
  [109] = {.index = 196, .length = 4},
  [110] = {.index = 194, .length = 2},
  [111] = {.index = 200, .length = 4},
  [112] = {.index = 204, .length = 4},
  [113] = {.index = 208, .length = 5},
  [114] = {.index = 213, .length = 3},
  [115] = {.index = 129, .length = 2},
  [116] = {.index = 216, .length = 1},
  [117] = {.index = 216, .length = 1},
  [118] = {.index = 217, .length = 2},
  [119] = {.index = 219, .length = 3},
  [120] = {.index = 222, .length = 2},
  [121] = {.index = 224, .length = 3},
  [122] = {.index = 227, .length = 2},
  [123] = {.index = 229, .length = 3},
  [124] = {.index = 232, .length = 2},
  [125] = {.index = 234, .length = 2},
  [126] = {.index = 236, .length = 5},
  [127] = {.index = 241, .length = 1},
  [128] = {.index = 242, .length = 1},
  [129] = {.index = 243, .length = 4},
  [130] = {.index = 247, .length = 2},
  [131] = {.index = 249, .length = 2},
  [132] = {.index = 251, .length = 3},
  [133] = {.index = 254, .length = 1},
  [134] = {.index = 255, .length = 2},
  [135] = {.index = 257, .length = 2},
  [136] = {.index = 259, .length = 2},
  [137] = {.index = 261, .length = 4},
  [138] = {.index = 265, .length = 3},
  [139] = {.index = 268, .length = 4},
  [140] = {.index = 272, .length = 4},
  [141] = {.index = 276, .length = 1},
  [142] = {.index = 277, .length = 4},
  [143] = {.index = 281, .length = 4},
  [144] = {.index = 285, .length = 2},
  [145] = {.index = 287, .length = 2},
  [146] = {.index = 289, .length = 4},
  [147] = {.index = 293, .length = 4},
  [148] = {.index = 297, .length = 5},
  [149] = {.index = 302, .length = 2},
  [150] = {.index = 304, .length = 3},
  [151] = {.index = 307, .length = 2},
  [152] = {.index = 307, .length = 2},
  [153] = {.index = 309, .length = 2},
  [154] = {.index = 311, .length = 3},
  [155] = {.index = 314, .length = 2},
  [156] = {.index = 316, .length = 3},
  [157] = {.index = 319, .length = 4},
  [158] = {.index = 323, .length = 3},
  [159] = {.index = 326, .length = 3},
  [160] = {.index = 329, .length = 2},
  [161] = {.index = 331, .length = 3},
  [162] = {.index = 334, .length = 5},
  [163] = {.index = 339, .length = 3},
  [164] = {.index = 339, .length = 3},
  [165] = {.index = 342, .length = 3},
  [166] = {.index = 345, .length = 2},
  [167] = {.index = 347, .length = 4},
  [168] = {.index = 124, .length = 2},
  [169] = {.index = 351, .length = 1},
  [170] = {.index = 352, .length = 2},
  [171] = {.index = 354, .length = 2},
  [172] = {.index = 356, .length = 2},
  [173] = {.index = 358, .length = 2},
  [174] = {.index = 360, .length = 3},
  [175] = {.index = 363, .length = 1},
  [176] = {.index = 364, .length = 3},
  [177] = {.index = 367, .length = 2},
  [178] = {.index = 369, .length = 2},
  [179] = {.index = 371, .length = 4},
  [180] = {.index = 371, .length = 4},
  [181] = {.index = 375, .length = 4},
  [182] = {.index = 375, .length = 4},
  [183] = {.index = 379, .length = 4},
  [184] = {.index = 379, .length = 4},
  [185] = {.index = 383, .length = 2},
  [186] = {.index = 385, .length = 3},
  [187] = {.index = 388, .length = 5},
  [188] = {.index = 393, .length = 3},
  [189] = {.index = 396, .length = 2},
  [190] = {.index = 398, .length = 2},
  [191] = {.index = 400, .length = 2},
  [192] = {.index = 402, .length = 1},
  [193] = {.index = 403, .length = 4},
  [194] = {.index = 407, .length = 3},
  [195] = {.index = 410, .length = 4},
  [196] = {.index = 414, .length = 5},
  [197] = {.index = 419, .length = 1},
  [198] = {.index = 420, .length = 2},
  [199] = {.index = 422, .length = 4},
  [200] = {.index = 426, .length = 4},
  [201] = {.index = 430, .length = 2},
  [202] = {.index = 432, .length = 4},
  [203] = {.index = 436, .length = 4},
  [204] = {.index = 440, .length = 2},
  [205] = {.index = 442, .length = 2},
  [206] = {.index = 444, .length = 3},
  [207] = {.index = 447, .length = 3},
  [208] = {.index = 450, .length = 2},
  [209] = {.index = 452, .length = 2},
  [210] = {.index = 454, .length = 1},
  [211] = {.index = 455, .length = 1},
  [212] = {.index = 456, .length = 3},
  [213] = {.index = 459, .length = 4},
  [214] = {.index = 463, .length = 4},
  [215] = {.index = 467, .length = 4},
  [216] = {.index = 471, .length = 3},
  [218] = {.index = 474, .length = 4},
  [219] = {.index = 478, .length = 5},
  [220] = {.index = 483, .length = 5},
  [221] = {.index = 488, .length = 3},
  [222] = {.index = 491, .length = 3},
  [223] = {.index = 494, .length = 3},
  [224] = {.index = 491, .length = 3},
  [225] = {.index = 497, .length = 2},
  [226] = {.index = 499, .length = 4},
  [227] = {.index = 503, .length = 4},
  [228] = {.index = 507, .length = 3},
  [229] = {.index = 510, .length = 2},
  [230] = {.index = 512, .length = 2},
  [231] = {.index = 514, .length = 3},
  [232] = {.index = 517, .length = 2},
  [233] = {.index = 519, .length = 2},
  [234] = {.index = 521, .length = 1},
  [235] = {.index = 522, .length = 4},
  [236] = {.index = 526, .length = 4},
  [237] = {.index = 530, .length = 4},
  [238] = {.index = 534, .length = 5},
  [239] = {.index = 539, .length = 5},
  [240] = {.index = 544, .length = 4},
  [241] = {.index = 548, .length = 4},
  [242] = {.index = 552, .length = 3},
  [243] = {.index = 555, .length = 3},
  [244] = {.index = 555, .length = 3},
  [245] = {.index = 558, .length = 2},
  [246] = {.index = 560, .length = 2},
  [247] = {.index = 562, .length = 3},
  [248] = {.index = 565, .length = 2},
  [249] = {.index = 567, .length = 2},
  [250] = {.index = 569, .length = 4},
  [251] = {.index = 573, .length = 5},
  [252] = {.index = 578, .length = 5},
  [253] = {.index = 583, .length = 4},
  [254] = {.index = 583, .length = 4},
  [255] = {.index = 587, .length = 4},
  [256] = {.index = 591, .length = 3},
  [257] = {.index = 594, .length = 2},
  [258] = {.index = 596, .length = 2},
  [259] = {.index = 598, .length = 3},
  [260] = {.index = 601, .length = 4},
  [261] = {.index = 605, .length = 5},
  [262] = {.index = 610, .length = 3},
  [263] = {.index = 613, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_parameters, 0},
  [2] =
    {field_declaration, 1},
  [3] =
    {field_name, 0},
  [4] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [6] =
    {field_argument, 1},
    {field_operator, 0},
  [8] =
    {field_pattern, 0},
  [9] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
  [11] =
    {field_body, 1},
  [12] =
    {field_constructor, 1},
  [13] =
    {field_argument, 0},
    {field_operator, 1},
  [15] =
    {field_arguments, 1},
    {field_function, 0},
  [17] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [19] =
    {field_parameters, 0},
    {field_return_type, 1},
  [21] =
    {field_parameters, 1},
    {field_type_parameters, 0},
  [23] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [25] =
    {field_declaration, 2},
  [26] =
    {field_left, 0},
    {field_right, 2},
  [28] =
    {field_body, 2},
    {field_label, 0},
  [30] =
    {field_body, 2},
    {field_parameter, 0},
  [32] =
    {field_body, 1},
    {field_name, 0},
  [34] =
    {field_source, 1},
  [35] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [37] =
    {field_name, 0},
    {field_type, 1},
  [39] =
    {field_kind, 0},
  [40] =
    {field_condition, 1},
    {field_consequence, 2},
  [42] =
    {field_body, 2},
    {field_value, 1},
  [44] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_pattern, 1},
  [50] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [53] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
  [56] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 1},
  [58] =
    {field_body, 2},
    {field_condition, 1},
  [60] =
    {field_body, 1},
    {field_handler, 2},
  [62] =
    {field_body, 1},
    {field_finalizer, 2},
  [64] =
    {field_body, 2},
    {field_object, 1},
  [66] =
    {field_label, 1},
  [67] =
    {field_name, 1},
  [68] =
    {field_attribute, 0},
  [69] =
    {field_name, 0},
    {field_value, 1},
  [71] =
    {field_constraint, 1},
    {field_name, 0},
  [73] =
    {field_body, 2},
    {field_name, 1},
  [75] =
    {field_value, 1},
  [76] =
    {field_argument, 0, .inherited = true},
    {field_operator, 0, .inherited = true},
  [78] =
    {field_body, 2},
  [79] =
    {field_body, 2},
    {field_type_parameters, 1},
  [81] =
    {field_body, 2},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [85] =
    {field_arguments, 2},
    {field_constructor, 1},
  [87] =
    {field_constructor, 1},
    {field_type_arguments, 2},
  [89] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [92] =
    {field_object, 0},
    {field_property, 2},
  [94] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [97] =
    {field_arguments, 2},
    {field_function, 0},
  [99] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [101] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [105] =
    {field_parameters, 1},
    {field_return_type, 2},
    {field_type_parameters, 0},
  [108] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [110] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [112] =
    {field_source, 2, .inherited = true},
  [113] =
    {field_value, 2},
  [114] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [116] =
    {field_key, 0},
    {field_value, 2},
  [118] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [123] =
    {field_source, 2},
  [124] =
    {field_name, 0},
    {field_type, 2},
  [126] =
    {field_name, 0},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [129] =
    {field_body, 3},
    {field_name, 2},
  [131] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [134] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
  [139] =
    {field_type, 2},
  [140] =
    {field_pattern, 2},
  [141] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_value, 2, .inherited = true},
  [144] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
  [147] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 1},
    {field_value, 2, .inherited = true},
  [151] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 2},
  [153] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [156] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [158] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [160] =
    {field_name, 1},
    {field_type_arguments, 2},
  [162] =
    {field_constraint, 1},
    {field_name, 0},
    {field_value, 2},
  [165] =
    {field_flags, 3},
    {field_pattern, 1},
  [167] =
    {field_name, 0},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [171] =
    {field_body, 3},
    {field_name, 1},
  [173] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [176] =
    {field_type_arguments, 2},
    {field_value, 1},
  [178] =
    {field_type_arguments, 2, .inherited = true},
    {field_value, 1},
    {field_value, 2, .inherited = true},
  [181] =
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [184] =
    {field_object, 1, .inherited = true},
    {field_property, 1, .inherited = true},
  [186] =
    {field_index, 1, .inherited = true},
    {field_object, 1, .inherited = true},
  [188] =
    {field_arguments, 1, .inherited = true},
    {field_function, 1, .inherited = true},
  [190] =
    {field_name, 0},
    {field_type_arguments, 1},
  [192] =
    {field_body, 3},
    {field_type_parameters, 1},
  [194] =
    {field_body, 3},
    {field_parameter, 1},
  [196] =
    {field_body, 3},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [200] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [204] =
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [208] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [213] =
    {field_arguments, 3},
    {field_constructor, 1},
    {field_type_arguments, 2},
  [216] =
    {field_type, 1},
  [217] =
    {field_index, 2},
    {field_object, 0},
  [219] =
    {field_arguments, 3},
    {field_function, 0},
    {field_type_arguments, 2},
  [222] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [224] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [227] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [229] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [232] =
    {field_alias, 2},
    {field_name, 0},
  [234] =
    {field_name, 1},
    {field_value, 3},
  [236] =
    {field_body, 3},
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [241] =
    {field_source, 3, .inherited = true},
  [242] =
    {field_pattern, 3},
  [243] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 0, .inherited = true},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [247] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 3},
  [249] =
    {field_body, 1},
    {field_condition, 3},
  [251] =
    {field_attribute, 3, .inherited = true},
    {field_name, 1},
    {field_type_arguments, 2},
  [254] =
    {field_name, 2},
  [255] =
    {field_name, 1},
    {field_value, 2, .inherited = true},
  [257] =
    {field_name, 1},
    {field_type, 2},
  [259] =
    {field_name, 0},
    {field_value, 2, .inherited = true},
  [261] =
    {field_name, 0},
    {field_parameters, 2, .inherited = true},
    {field_return_type, 2, .inherited = true},
    {field_type_parameters, 2, .inherited = true},
  [265] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [268] =
    {field_type_arguments, 2},
    {field_type_arguments, 3, .inherited = true},
    {field_value, 1},
    {field_value, 3, .inherited = true},
  [272] =
    {field_type_arguments, 0, .inherited = true},
    {field_type_arguments, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [276] =
    {field_parameters, 1},
  [277] =
    {field_arguments, 1},
    {field_function, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [281] =
    {field_arguments, 1},
    {field_function, 0},
    {field_index, 0, .inherited = true},
    {field_object, 0, .inherited = true},
  [285] =
    {field_module, 0},
    {field_name, 2},
  [287] =
    {field_parameters, 0},
    {field_return_type, 2},
  [289] =
    {field_body, 4},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [293] =
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [297] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [302] =
    {field_body, 4},
    {field_name, 2},
  [304] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [307] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [309] =
    {field_index, 3},
    {field_object, 0},
  [311] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [314] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [316] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [319] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [323] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_type_parameters, 2},
  [326] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [329] =
    {field_alias, 3},
    {field_name, 1},
  [331] =
    {field_name, 1},
    {field_type_parameters, 2},
    {field_value, 4},
  [334] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [339] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [342] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [345] =
    {field_decorator, 0, .inherited = true},
    {field_pattern, 4},
  [347] =
    {field_name, 1},
    {field_parameters, 3, .inherited = true},
    {field_return_type, 3, .inherited = true},
    {field_type_parameters, 3, .inherited = true},
  [351] =
    {field_type, 3},
  [352] =
    {field_name, 2},
    {field_value, 3, .inherited = true},
  [354] =
    {field_name, 2},
    {field_type, 3},
  [356] =
    {field_name, 1},
    {field_value, 3, .inherited = true},
  [358] =
    {field_name, 1},
    {field_type, 3},
  [360] =
    {field_name, 1},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [363] =
    {field_name, 3},
  [364] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 3, .inherited = true},
  [367] =
    {field_parameters, 1},
    {field_type, 2},
  [369] =
    {field_parameters, 2},
    {field_type_parameters, 1},
  [371] =
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
    {field_property, 2},
  [375] =
    {field_index, 0, .inherited = true},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 2},
  [379] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_object, 0},
    {field_property, 2},
  [383] =
    {field_parameters, 1},
    {field_type, 3},
  [385] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_type_parameters, 0},
  [388] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [393] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [396] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [398] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
  [400] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [402] =
    {field_name, 2, .inherited = true},
  [403] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_type_parameters, 3},
  [407] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
  [410] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [414] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [419] =
    {field_source, 4},
  [420] =
    {field_body, 3},
    {field_value, 1},
  [422] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [426] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [430] =
    {field_body, 4},
    {field_parameter, 2},
  [432] =
    {field_name, 2},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [436] =
    {field_name, 3},
    {field_parameters, 4, .inherited = true},
    {field_return_type, 4, .inherited = true},
    {field_type_parameters, 4, .inherited = true},
  [440] =
    {field_name, 2},
    {field_value, 4, .inherited = true},
  [442] =
    {field_name, 2},
    {field_type, 4},
  [444] =
    {field_name, 2},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [447] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 4, .inherited = true},
  [450] =
    {field_name, 3},
    {field_value, 4, .inherited = true},
  [452] =
    {field_name, 3},
    {field_type, 4},
  [454] =
    {field_type, 4},
  [455] =
    {field_name, 4},
  [456] =
    {field_parameters, 2},
    {field_type, 3},
    {field_type_parameters, 1},
  [459] =
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [463] =
    {field_index, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [467] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 2},
    {field_object, 0},
  [471] =
    {field_parameters, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [474] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_type_parameters, 4},
  [478] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [483] =
    {field_body, 6},
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [488] =
    {field_body, 5},
    {field_parameter, 2},
    {field_type, 3},
  [491] =
    {field_index_type, 3},
    {field_name, 1},
    {field_type, 5},
  [494] =
    {field_alias, 4},
    {field_name, 0},
    {field_type, 2},
  [497] =
    {field_sign, 0},
    {field_type, 5},
  [499] =
    {field_name, 3},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [503] =
    {field_name, 4},
    {field_parameters, 5, .inherited = true},
    {field_return_type, 5, .inherited = true},
    {field_type_parameters, 5, .inherited = true},
  [507] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [510] =
    {field_name, 3},
    {field_value, 5, .inherited = true},
  [512] =
    {field_name, 3},
    {field_type, 5},
  [514] =
    {field_name, 3},
    {field_type, 4},
    {field_value, 5, .inherited = true},
  [517] =
    {field_name, 4},
    {field_value, 5, .inherited = true},
  [519] =
    {field_name, 4},
    {field_type, 5},
  [521] =
    {field_name, 5},
  [522] =
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
    {field_property, 0, .inherited = true},
  [526] =
    {field_index, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
    {field_object, 0, .inherited = true},
  [530] =
    {field_arguments, 0, .inherited = true},
    {field_function, 0, .inherited = true},
    {field_index, 3},
    {field_object, 0},
  [534] =
    {field_body, 7},
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [539] =
    {field_body, 7},
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [544] =
    {field_name, 4},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [548] =
    {field_name, 5},
    {field_parameters, 6, .inherited = true},
    {field_return_type, 6, .inherited = true},
    {field_type_parameters, 6, .inherited = true},
  [552] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [555] =
    {field_index_type, 4},
    {field_name, 2},
    {field_type, 6},
  [558] =
    {field_name, 4},
    {field_value, 6, .inherited = true},
  [560] =
    {field_name, 4},
    {field_type, 6},
  [562] =
    {field_name, 4},
    {field_type, 5},
    {field_value, 6, .inherited = true},
  [565] =
    {field_name, 5},
    {field_value, 6, .inherited = true},
  [567] =
    {field_name, 5},
    {field_type, 6},
  [569] =
    {field_alternative, 6},
    {field_consequence, 4},
    {field_left, 0},
    {field_right, 2},
  [573] =
    {field_body, 8},
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [578] =
    {field_body, 8},
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [583] =
    {field_index_type, 5},
    {field_name, 3},
    {field_sign, 0},
    {field_type, 7},
  [587] =
    {field_name, 5},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [591] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [594] =
    {field_name, 5},
    {field_value, 7, .inherited = true},
  [596] =
    {field_name, 5},
    {field_type, 7},
  [598] =
    {field_name, 5},
    {field_type, 6},
    {field_value, 7, .inherited = true},
  [601] =
    {field_name, 6},
    {field_parameters, 7, .inherited = true},
    {field_return_type, 7, .inherited = true},
    {field_type_parameters, 7, .inherited = true},
  [605] =
    {field_body, 9},
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
  [610] =
    {field_name, 5},
    {field_type, 7},
    {field_value, 8, .inherited = true},
  [613] =
    {field_name, 6},
    {field_parameters, 8, .inherited = true},
    {field_return_type, 8, .inherited = true},
    {field_type_parameters, 8, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [7] = {
    [0] = alias_sym_property_identifier,
  },
  [12] = {
    [0] = alias_sym_type_identifier,
  },
  [21] = {
    [0] = sym_identifier,
  },
  [22] = {
    [0] = alias_sym_statement_identifier,
  },
  [23] = {
    [0] = sym_identifier,
  },
  [25] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [26] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [42] = {
    [1] = alias_sym_statement_identifier,
  },
  [45] = {
    [0] = alias_sym_type_identifier,
  },
  [46] = {
    [0] = alias_sym_type_identifier,
  },
  [47] = {
    [1] = alias_sym_type_identifier,
  },
  [49] = {
    [0] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_this_type,
  },
  [61] = {
    [2] = alias_sym_property_identifier,
  },
  [73] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [77] = {
    [1] = alias_sym_import_specifier,
  },
  [93] = {
    [0] = alias_sym_type_identifier,
  },
  [96] = {
    [1] = alias_sym_type_identifier,
  },
  [97] = {
    [1] = alias_sym_type_identifier,
  },
  [104] = {
    [0] = alias_sym_type_identifier,
  },
  [105] = {
    [1] = alias_sym_type_identifier,
  },
  [108] = {
    [1] = sym_identifier,
  },
  [115] = {
    [2] = alias_sym_type_identifier,
  },
  [116] = {
    [1] = alias_sym_type_identifier,
  },
  [121] = {
    [2] = alias_sym_type_identifier,
  },
  [125] = {
    [1] = alias_sym_type_identifier,
  },
  [138] = {
    [1] = alias_sym_type_identifier,
  },
  [144] = {
    [2] = alias_sym_type_identifier,
  },
  [149] = {
    [2] = alias_sym_type_identifier,
  },
  [150] = {
    [2] = alias_sym_type_identifier,
  },
  [151] = {
    [1] = alias_sym_type_identifier,
  },
  [156] = {
    [2] = alias_sym_type_identifier,
  },
  [157] = {
    [2] = alias_sym_type_identifier,
  },
  [159] = {
    [3] = alias_sym_type_identifier,
  },
  [161] = {
    [1] = alias_sym_type_identifier,
  },
  [163] = {
    [1] = sym_identifier,
  },
  [168] = {
    [0] = alias_sym_type_identifier,
  },
  [179] = {
    [2] = alias_sym_property_identifier,
  },
  [181] = {
    [2] = alias_sym_property_identifier,
  },
  [183] = {
    [2] = alias_sym_property_identifier,
  },
  [188] = {
    [2] = alias_sym_type_identifier,
  },
  [193] = {
    [2] = alias_sym_type_identifier,
  },
  [194] = {
    [3] = alias_sym_type_identifier,
  },
  [195] = {
    [3] = alias_sym_type_identifier,
  },
  [217] = {
    [3] = alias_sym_property_identifier,
  },
  [218] = {
    [3] = alias_sym_type_identifier,
  },
  [222] = {
    [1] = sym_identifier,
  },
  [223] = {
    [0] = alias_sym_type_identifier,
  },
  [243] = {
    [2] = sym_identifier,
  },
  [253] = {
    [3] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__import_export_specifier, 2,
    sym__import_export_specifier,
    alias_sym_import_specifier,
  0,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '`' || (c < 8203
      ? (c < 160
        ? (c >= '{' && c <= '~')
        : c <= 160)
      : (c <= 8203 || (c < 65279
        ? c == 8288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '~' || (c < 8288
      ? (c < 8203
        ? c == 160
        : c <= 8203)
      : (c <= 8288 || c == 65279))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < '`'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '/' || (c < '['
        ? (c >= ':' && c <= '@')
        : c <= '^')))
    : (c <= '`' || (c < 8203
      ? (c < 160
        ? (c >= '|' && c <= '~')
        : c <= 160)
      : (c <= 8203 || (c < 65279
        ? c == 8288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < '{'
    ? (c < '%'
      ? (c < 0
        ? c == 0
        : c <= '#')
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : c <= '`')))
    : (c <= '~' || (c < 8288
      ? (c < 8203
        ? c == 160
        : c <= 8203)
      : (c <= 8288 || c == 65279))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(72);
      if (lookahead == '!') ADVANCE(86);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '%') ADVANCE(163);
      if (lookahead == '&') ADVANCE(145);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(157);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(161);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(94);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '>') ADVANCE(97);
      if (lookahead == '?') ADVANCE(132);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '^') ADVANCE(148);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(82);
      if (lookahead == '|') ADVANCE(151);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '~') ADVANCE(174);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(69)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(215);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '[') ADVANCE(29);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(200);
      if (lookahead != 0) ADVANCE(201);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(86);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(28);
      if (lookahead == '%') ADVANCE(163);
      if (lookahead == '&') ADVANCE(145);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(157);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(160);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '/') ADVANCE(100);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(94);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '>') ADVANCE(97);
      if (lookahead == '?') ADVANCE(132);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '^') ADVANCE(148);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(82);
      if (lookahead == '|') ADVANCE(151);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '~') ADVANCE(215);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(86);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '%') ADVANCE(163);
      if (lookahead == '&') ADVANCE(145);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(157);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(160);
      if (lookahead == '.') ADVANCE(109);
      if (lookahead == '/') ADVANCE(100);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(94);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '>') ADVANCE(97);
      if (lookahead == '?') ADVANCE(132);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '^') ADVANCE(148);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(150);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(3)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '9' < lookahead) &&
          lookahead != '~') ADVANCE(215);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(86);
      if (lookahead == '%') ADVANCE(162);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(26);
      if (lookahead == '>') ADVANCE(98);
      if (lookahead == '?') ADVANCE(133);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '^') ADVANCE(147);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(152);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(202);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(215);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(86);
      if (lookahead == '%') ADVANCE(162);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(26);
      if (lookahead == '>') ADVANCE(98);
      if (lookahead == '?') ADVANCE(133);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '^') ADVANCE(147);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(152);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(5)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(215);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(73);
      if (lookahead == '\\') ADVANCE(31);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(216);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(82);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '~') ADVANCE(174);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(7)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '>' < lookahead) &&
          lookahead != '^' &&
          lookahead != '}') ADVANCE(215);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(28);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(155);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(20);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(82);
      if (lookahead == '|') ADVANCE(154);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > '!' &&
          lookahead != '%' &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(215);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(28);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(155);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(20);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(82);
      if (lookahead == '|') ADVANCE(154);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(9)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > '!' &&
          lookahead != '%' &&
          lookahead != '^' &&
          lookahead != '~') ADVANCE(215);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(28);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(131);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(154);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(10)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > '!' &&
          (lookahead < '%' || '+' < lookahead) &&
          lookahead != '^' &&
          lookahead != '`' &&
          lookahead != '~') ADVANCE(215);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(155);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(82);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(213);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(215);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(183);
      if (lookahead != 0) ADVANCE(184);
      END_STATE();
    case 13:
      if (lookahead == '$') ADVANCE(34);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 14:
      if (lookahead == '$') ADVANCE(34);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(27);
      if (lookahead == '.') ADVANCE(108);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(25);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(149);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(213);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(215);
      END_STATE();
    case 16:
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '/') ADVANCE(186);
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(189);
      if (lookahead != 0) ADVANCE(190);
      END_STATE();
    case 17:
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(196);
      END_STATE();
    case 18:
      if (lookahead == '*') ADVANCE(18);
      if (lookahead == '/') ADVANCE(195);
      if (lookahead != 0) ADVANCE(19);
      END_STATE();
    case 19:
      if (lookahead == '*') ADVANCE(18);
      if (lookahead != 0) ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 21:
      if (lookahead == '.') ADVANCE(129);
      END_STATE();
    case 22:
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(106);
      END_STATE();
    case 24:
      if (lookahead == ':') ADVANCE(218);
      END_STATE();
    case 25:
      if (lookahead == ':') ADVANCE(219);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 27:
      if (lookahead == '?') ADVANCE(24);
      END_STATE();
    case 28:
      if (lookahead == '\\') ADVANCE(31);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(216);
      END_STATE();
    case 29:
      if (lookahead == '\\') ADVANCE(67);
      if (lookahead == ']') ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == 'u') ADVANCE(35);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(194);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 31:
      if (lookahead == 'u') ADVANCE(36);
      END_STATE();
    case 32:
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(38);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(194);
      if (lookahead != 0) ADVANCE(191);
      END_STATE();
    case 34:
      if (lookahead == '{') ADVANCE(198);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 36:
      if (lookahead == '{') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 37:
      if (lookahead == '{') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 38:
      if (lookahead == '{') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 39:
      if (lookahead == '}') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 40:
      if (lookahead == '}') ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 41:
      if (lookahead == '}') ADVANCE(191);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 42:
      if (lookahead == '}') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 43:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      END_STATE();
    case 44:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(206);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(207);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(215);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(216);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(191);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(208);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(42);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(192);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(40);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(39);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(50);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 67:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(29);
      END_STATE();
    case 68:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(201);
      END_STATE();
    case 69:
      if (eof) ADVANCE(72);
      if (lookahead == '!') ADVANCE(86);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '$') ADVANCE(214);
      if (lookahead == '%') ADVANCE(163);
      if (lookahead == '&') ADVANCE(145);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(75);
      if (lookahead == '+') ADVANCE(157);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(161);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(94);
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '>') ADVANCE(97);
      if (lookahead == '?') ADVANCE(132);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '^') ADVANCE(148);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(82);
      if (lookahead == '|') ADVANCE(151);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '~') ADVANCE(174);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(69)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(215);
      END_STATE();
    case 70:
      if (eof) ADVANCE(72);
      if (lookahead == '!') ADVANCE(86);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '%') ADVANCE(162);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(111);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(95);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(98);
      if (lookahead == '?') ADVANCE(133);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '^') ADVANCE(147);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(153);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '~') ADVANCE(174);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(70)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > '#') ADVANCE(215);
      END_STATE();
    case 71:
      if (eof) ADVANCE(72);
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '"') ADVANCE(177);
      if (lookahead == '#') ADVANCE(6);
      if (lookahead == '&') ADVANCE(144);
      if (lookahead == '\'') ADVANCE(178);
      if (lookahead == '(') ADVANCE(87);
      if (lookahead == ')') ADVANCE(88);
      if (lookahead == '*') ADVANCE(74);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(83);
      if (lookahead == '-') ADVANCE(159);
      if (lookahead == '.') ADVANCE(110);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == '0') ADVANCE(204);
      if (lookahead == ':') ADVANCE(90);
      if (lookahead == ';') ADVANCE(89);
      if (lookahead == '<') ADVANCE(93);
      if (lookahead == '=') ADVANCE(80);
      if (lookahead == '>') ADVANCE(96);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(217);
      if (lookahead == '[') ADVANCE(91);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == ']') ADVANCE(92);
      if (lookahead == '`') ADVANCE(197);
      if (lookahead == '{') ADVANCE(81);
      if (lookahead == '|') ADVANCE(154);
      if (lookahead == '}') ADVANCE(84);
      if (lookahead == '~') ADVANCE(174);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(71)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '%' &&
          lookahead != '^') ADVANCE(215);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(73);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(165);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(164);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(167);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(167);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(112);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '|') ADVANCE(220);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(169);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(143);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(142);
      if (lookahead == '=') ADVANCE(166);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '>') ADVANCE(138);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(171);
      if (lookahead == '>') ADVANCE(139);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(196);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(196);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '\n') ADVANCE(106);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(196);
      if (lookahead != 0) ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(104);
      if (lookahead == '/') ADVANCE(101);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(106);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '/') ADVANCE(106);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(19);
      if (lookahead != 0) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(103);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(19);
      if (lookahead != 0) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(21);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_QMARK_DOT);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(113);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '?') ADVANCE(173);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '.') ADVANCE(113);
      if (lookahead == '?') ADVANCE(172);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(135);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(134);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '|') ADVANCE(137);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(121);
      if (lookahead == '|') ADVANCE(137);
      if (lookahead == '}') ADVANCE(221);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(136);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(136);
      if (lookahead == '}') ADVANCE(221);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '}') ADVANCE(221);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(175);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(175);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(176);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(176);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(176);
      if (lookahead == '=') ADVANCE(115);
      if (lookahead == '?') ADVANCE(24);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(168);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(184);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '/') ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(184);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead == '/') ADVANCE(184);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(180);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(184);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(188);
      if (lookahead == '/') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(190);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead == '/') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(188);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(187);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(186);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(190);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(32);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(215);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(191);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(193);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(196);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(19);
      if (lookahead == '/') ADVANCE(196);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '[') ADVANCE(29);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(200);
      if (lookahead != 0) ADVANCE(201);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(29);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(201);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(32);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(202);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(215);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(212);
      if (lookahead == '0') ADVANCE(209);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(44);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(45);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(53);
      if (lookahead == '_') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(203);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(212);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == '_') ADVANCE(46);
      if (lookahead == 'n') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(203);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(208);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(48);
      if (lookahead == 'n') ADVANCE(203);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (lookahead == '_') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(211);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(213);
      if (lookahead != 0 &&
          lookahead > '~' &&
          lookahead != 160 &&
          lookahead != 8203 &&
          lookahead != 8288 &&
          lookahead != 65279) ADVANCE(215);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '{') ADVANCE(198);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(215);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(32);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(215);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(31);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(216);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_DASH_QMARK_COLON);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_QMARK_COLON);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_LBRACE_PIPE);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACE);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'k') ADVANCE(9);
      if (lookahead == 'l') ADVANCE(10);
      if (lookahead == 'm') ADVANCE(11);
      if (lookahead == 'n') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'p') ADVANCE(14);
      if (lookahead == 'r') ADVANCE(15);
      if (lookahead == 's') ADVANCE(16);
      if (lookahead == 't') ADVANCE(17);
      if (lookahead == 'u') ADVANCE(18);
      if (lookahead == 'v') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'b') ADVANCE(22);
      if (lookahead == 'n') ADVANCE(23);
      if (lookahead == 's') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(26);
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'o') ADVANCE(30);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'l') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(43);
      if (lookahead == 'm') ADVANCE(44);
      if (lookahead == 'n') ADVANCE(45);
      if (lookahead == 's') ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(47);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 11:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'b') ADVANCE(53);
      if (lookahead == 'f') ADVANCE(54);
      if (lookahead == 'v') ADVANCE(55);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      if (lookahead == 'u') ADVANCE(61);
      if (lookahead == 'w') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(64);
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'r') ADVANCE(66);
      if (lookahead == 'y') ADVANCE(67);
      END_STATE();
    case 18:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'o') ADVANCE(70);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(71);
      if (lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(73);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 23:
      if (lookahead == 'y') ADVANCE(75);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(76);
      if (lookahead == 'y') ADVANCE(77);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(78);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 28:
      if (lookahead == 's') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 31:
      if (lookahead == 'b') ADVANCE(85);
      if (lookahead == 'c') ADVANCE(86);
      if (lookahead == 'f') ADVANCE(87);
      if (lookahead == 'l') ADVANCE(88);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 33:
      if (lookahead == 's') ADVANCE(89);
      END_STATE();
    case 34:
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 35:
      if (lookahead == 'p') ADVANCE(91);
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 37:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(95);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 40:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 42:
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 44:
      if (lookahead == 'p') ADVANCE(100);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'f') ADVANCE(101);
      if (lookahead == 's') ADVANCE(102);
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 47:
      if (lookahead == 'y') ADVANCE(104);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 49:
      if (lookahead == 'd') ADVANCE(106);
      END_STATE();
    case 50:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 51:
      if (lookahead == 'v') ADVANCE(108);
      if (lookahead == 'w') ADVANCE(109);
      END_STATE();
    case 52:
      if (lookahead == 'l') ADVANCE(110);
      if (lookahead == 'm') ADVANCE(111);
      END_STATE();
    case 53:
      if (lookahead == 'j') ADVANCE(112);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 55:
      if (lookahead == 'e') ADVANCE(113);
      END_STATE();
    case 56:
      if (lookahead == 'i') ADVANCE(114);
      if (lookahead == 'o') ADVANCE(115);
      END_STATE();
    case 57:
      if (lookahead == 'b') ADVANCE(116);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(117);
      if (lookahead == 'q') ADVANCE(118);
      if (lookahead == 't') ADVANCE(119);
      END_STATE();
    case 59:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(121);
      if (lookahead == 'r') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'p') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(124);
      END_STATE();
    case 63:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 64:
      if (lookahead == 'r') ADVANCE(126);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(129);
      if (lookahead == 'y') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'p') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'd') ADVANCE(132);
      if (lookahead == 'k') ADVANCE(133);
      END_STATE();
    case 69:
      if (lookahead == 'r') ADVANCE(134);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      END_STATE();
    case 72:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 74:
      if (lookahead == 't') ADVANCE(139);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 76:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 77:
      if (lookahead == 'n') ADVANCE(141);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(144);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(146);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(147);
      END_STATE();
    case 84:
      if (lookahead == 's') ADVANCE(148);
      if (lookahead == 't') ADVANCE(149);
      END_STATE();
    case 85:
      if (lookahead == 'u') ADVANCE(150);
      END_STATE();
    case 86:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 90:
      if (lookahead == 'm') ADVANCE(155);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 93:
      if (lookahead == 's') ADVANCE(158);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(159);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 96:
      if (lookahead == 'm') ADVANCE(160);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(161);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 99:
      if (lookahead == 'b') ADVANCE(162);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(163);
      if (lookahead == 'o') ADVANCE(164);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(165);
      END_STATE();
    case 102:
      if (lookahead == 't') ADVANCE(166);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 104:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 106:
      if (lookahead == 'u') ADVANCE(169);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 110:
      if (lookahead == 'l') ADVANCE(172);
      END_STATE();
    case 111:
      if (lookahead == 'b') ADVANCE(173);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(174);
      END_STATE();
    case 113:
      if (lookahead == 'r') ADVANCE(175);
      END_STATE();
    case 114:
      if (lookahead == 'v') ADVANCE(176);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(177);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(178);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(179);
      END_STATE();
    case 118:
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 119:
      if (lookahead == 'u') ADVANCE(181);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(183);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 124:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 125:
      if (lookahead == 'b') ADVANCE(186);
      END_STATE();
    case 126:
      if (lookahead == 'g') ADVANCE(187);
      END_STATE();
    case 127:
      if (lookahead == 's') ADVANCE(188);
      END_STATE();
    case 128:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(190);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(191);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 133:
      if (lookahead == 'n') ADVANCE(193);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 135:
      if (lookahead == 'd') ADVANCE(194);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 137:
      if (lookahead == 'h') ADVANCE(196);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(197);
      END_STATE();
    case 139:
      if (lookahead == 'r') ADVANCE(198);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(199);
      END_STATE();
    case 141:
      if (lookahead == 'c') ADVANCE(200);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(201);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 144:
      if (lookahead == 'k') ADVANCE(203);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 146:
      if (lookahead == 'h') ADVANCE(204);
      END_STATE();
    case 147:
      if (lookahead == 's') ADVANCE(205);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(206);
      END_STATE();
    case 149:
      if (lookahead == 'i') ADVANCE(207);
      END_STATE();
    case 150:
      if (lookahead == 'g') ADVANCE(208);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(209);
      END_STATE();
    case 152:
      if (lookahead == 'u') ADVANCE(210);
      END_STATE();
    case 153:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 157:
      if (lookahead == 'n') ADVANCE(213);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 159:
      if (lookahead == 'l') ADVANCE(215);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(216);
      END_STATE();
    case 162:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(219);
      END_STATE();
    case 165:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 166:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 167:
      if (lookahead == 'r') ADVANCE(222);
      END_STATE();
    case 168:
      if (lookahead == 'f') ADVANCE(223);
      END_STATE();
    case 169:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 170:
      if (lookahead == 's') ADVANCE(225);
      END_STATE();
    case 171:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(227);
      END_STATE();
    case 174:
      if (lookahead == 'c') ADVANCE(228);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(229);
      END_STATE();
    case 176:
      if (lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(231);
      END_STATE();
    case 178:
      if (lookahead == 'i') ADVANCE(232);
      END_STATE();
    case 179:
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 180:
      if (lookahead == 'i') ADVANCE(234);
      END_STATE();
    case 181:
      if (lookahead == 'r') ADVANCE(235);
      END_STATE();
    case 182:
      if (lookahead == 'i') ADVANCE(236);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(237);
      END_STATE();
    case 184:
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(239);
      END_STATE();
    case 186:
      if (lookahead == 'o') ADVANCE(240);
      END_STATE();
    case 187:
      if (lookahead == 'e') ADVANCE(241);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 189:
      if (lookahead == 'w') ADVANCE(242);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 192:
      if (lookahead == 'f') ADVANCE(244);
      END_STATE();
    case 193:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 195:
      if (lookahead == 'e') ADVANCE(246);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 197:
      if (lookahead == 'd') ADVANCE(247);
      END_STATE();
    case 198:
      if (lookahead == 'a') ADVANCE(248);
      END_STATE();
    case 199:
      if (lookahead == 't') ADVANCE(249);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 202:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(251);
      END_STATE();
    case 208:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 209:
      if (lookahead == 'r') ADVANCE(253);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(254);
      END_STATE();
    case 211:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 212:
      if (lookahead == 't') ADVANCE(256);
      END_STATE();
    case 213:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 215:
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(259);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(260);
      END_STATE();
    case 218:
      if (lookahead == 'm') ADVANCE(261);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(262);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_infer);
      END_STATE();
    case 221:
      if (lookahead == 'n') ADVANCE(263);
      END_STATE();
    case 222:
      if (lookahead == 'f') ADVANCE(264);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_keyof);
      END_STATE();
    case 224:
      if (lookahead == 'e') ADVANCE(265);
      END_STATE();
    case 225:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_never);
      END_STATE();
    case 227:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 228:
      if (lookahead == 't') ADVANCE(268);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(269);
      END_STATE();
    case 230:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(271);
      END_STATE();
    case 232:
      if (lookahead == 'c') ADVANCE(272);
      END_STATE();
    case 233:
      if (lookahead == 'n') ADVANCE(273);
      END_STATE();
    case 234:
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 235:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(276);
      END_STATE();
    case 237:
      if (lookahead == 'g') ADVANCE(277);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 239:
      if (lookahead == 'h') ADVANCE(278);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(279);
      END_STATE();
    case 241:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 243:
      if (lookahead == 'f') ADVANCE(281);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(282);
      END_STATE();
    case 245:
      if (lookahead == 'w') ADVANCE(283);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 248:
      if (lookahead == 'c') ADVANCE(284);
      END_STATE();
    case 249:
      if (lookahead == 's') ADVANCE(285);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(286);
      END_STATE();
    case 251:
      if (lookahead == 'u') ADVANCE(287);
      END_STATE();
    case 252:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 253:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 254:
      if (lookahead == 't') ADVANCE(290);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 257:
      if (lookahead == 's') ADVANCE(291);
      END_STATE();
    case 258:
      if (lookahead == 'y') ADVANCE(292);
      END_STATE();
    case 259:
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 263:
      if (lookahead == 'c') ADVANCE(295);
      END_STATE();
    case 264:
      if (lookahead == 'a') ADVANCE(296);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(297);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 269:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 271:
      if (lookahead == 't') ADVANCE(300);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 273:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_symbol);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 282:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 283:
      if (lookahead == 'n') ADVANCE(304);
      END_STATE();
    case 284:
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_asserts);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_boolean);
      END_STATE();
    case 287:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 288:
      if (lookahead == 'r') ADVANCE(307);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_declare);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(309);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 296:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 297:
      if (lookahead == 'c') ADVANCE(312);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(314);
      END_STATE();
    case 301:
      if (lookahead == 'y') ADVANCE(315);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(316);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_unknown);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(317);
      END_STATE();
    case 310:
      if (lookahead == 'o') ADVANCE(318);
      END_STATE();
    case 311:
      if (lookahead == 'e') ADVANCE(319);
      END_STATE();
    case 312:
      if (lookahead == 'e') ADVANCE(320);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 314:
      if (lookahead == 'd') ADVANCE(321);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 316:
      if (lookahead == 'd') ADVANCE(322);
      END_STATE();
    case 317:
      if (lookahead == 's') ADVANCE(323);
      END_STATE();
    case 318:
      if (lookahead == 'f') ADVANCE(324);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 71},
  [2] = {.lex_state = 71},
  [3] = {.lex_state = 71},
  [4] = {.lex_state = 71},
  [5] = {.lex_state = 71},
  [6] = {.lex_state = 71},
  [7] = {.lex_state = 71},
  [8] = {.lex_state = 71},
  [9] = {.lex_state = 71},
  [10] = {.lex_state = 71},
  [11] = {.lex_state = 71},
  [12] = {.lex_state = 71},
  [13] = {.lex_state = 71},
  [14] = {.lex_state = 71},
  [15] = {.lex_state = 71},
  [16] = {.lex_state = 71},
  [17] = {.lex_state = 71},
  [18] = {.lex_state = 71},
  [19] = {.lex_state = 71},
  [20] = {.lex_state = 71},
  [21] = {.lex_state = 71},
  [22] = {.lex_state = 71},
  [23] = {.lex_state = 71},
  [24] = {.lex_state = 71},
  [25] = {.lex_state = 71},
  [26] = {.lex_state = 71},
  [27] = {.lex_state = 71},
  [28] = {.lex_state = 71},
  [29] = {.lex_state = 71},
  [30] = {.lex_state = 71},
  [31] = {.lex_state = 71},
  [32] = {.lex_state = 71},
  [33] = {.lex_state = 71},
  [34] = {.lex_state = 71},
  [35] = {.lex_state = 71},
  [36] = {.lex_state = 71},
  [37] = {.lex_state = 71},
  [38] = {.lex_state = 71},
  [39] = {.lex_state = 71},
  [40] = {.lex_state = 71},
  [41] = {.lex_state = 71},
  [42] = {.lex_state = 71},
  [43] = {.lex_state = 71},
  [44] = {.lex_state = 71},
  [45] = {.lex_state = 71},
  [46] = {.lex_state = 71},
  [47] = {.lex_state = 71},
  [48] = {.lex_state = 71},
  [49] = {.lex_state = 71},
  [50] = {.lex_state = 71},
  [51] = {.lex_state = 71},
  [52] = {.lex_state = 71},
  [53] = {.lex_state = 71},
  [54] = {.lex_state = 71},
  [55] = {.lex_state = 7},
  [56] = {.lex_state = 7},
  [57] = {.lex_state = 7},
  [58] = {.lex_state = 7},
  [59] = {.lex_state = 7},
  [60] = {.lex_state = 7},
  [61] = {.lex_state = 7},
  [62] = {.lex_state = 7},
  [63] = {.lex_state = 7},
  [64] = {.lex_state = 7},
  [65] = {.lex_state = 7},
  [66] = {.lex_state = 7},
  [67] = {.lex_state = 7},
  [68] = {.lex_state = 7},
  [69] = {.lex_state = 7},
  [70] = {.lex_state = 7},
  [71] = {.lex_state = 7},
  [72] = {.lex_state = 7},
  [73] = {.lex_state = 7},
  [74] = {.lex_state = 7},
  [75] = {.lex_state = 7},
  [76] = {.lex_state = 7},
  [77] = {.lex_state = 2, .external_lex_state = 2},
  [78] = {.lex_state = 70, .external_lex_state = 2},
  [79] = {.lex_state = 70, .external_lex_state = 3},
  [80] = {.lex_state = 70, .external_lex_state = 2},
  [81] = {.lex_state = 70, .external_lex_state = 2},
  [82] = {.lex_state = 70, .external_lex_state = 3},
  [83] = {.lex_state = 70, .external_lex_state = 2},
  [84] = {.lex_state = 71},
  [85] = {.lex_state = 71},
  [86] = {.lex_state = 71},
  [87] = {.lex_state = 71},
  [88] = {.lex_state = 71},
  [89] = {.lex_state = 71},
  [90] = {.lex_state = 71},
  [91] = {.lex_state = 71},
  [92] = {.lex_state = 2, .external_lex_state = 2},
  [93] = {.lex_state = 2, .external_lex_state = 3},
  [94] = {.lex_state = 2, .external_lex_state = 2},
  [95] = {.lex_state = 2, .external_lex_state = 2},
  [96] = {.lex_state = 2, .external_lex_state = 3},
  [97] = {.lex_state = 2, .external_lex_state = 2},
  [98] = {.lex_state = 2, .external_lex_state = 2},
  [99] = {.lex_state = 2, .external_lex_state = 2},
  [100] = {.lex_state = 71},
  [101] = {.lex_state = 71},
  [102] = {.lex_state = 70, .external_lex_state = 3},
  [103] = {.lex_state = 70, .external_lex_state = 3},
  [104] = {.lex_state = 70, .external_lex_state = 3},
  [105] = {.lex_state = 71},
  [106] = {.lex_state = 70, .external_lex_state = 3},
  [107] = {.lex_state = 70, .external_lex_state = 3},
  [108] = {.lex_state = 71},
  [109] = {.lex_state = 70, .external_lex_state = 3},
  [110] = {.lex_state = 70, .external_lex_state = 3},
  [111] = {.lex_state = 70, .external_lex_state = 3},
  [112] = {.lex_state = 71},
  [113] = {.lex_state = 70, .external_lex_state = 3},
  [114] = {.lex_state = 71},
  [115] = {.lex_state = 70, .external_lex_state = 3},
  [116] = {.lex_state = 70, .external_lex_state = 3},
  [117] = {.lex_state = 70, .external_lex_state = 3},
  [118] = {.lex_state = 70, .external_lex_state = 3},
  [119] = {.lex_state = 71},
  [120] = {.lex_state = 71},
  [121] = {.lex_state = 70, .external_lex_state = 3},
  [122] = {.lex_state = 71},
  [123] = {.lex_state = 71},
  [124] = {.lex_state = 70, .external_lex_state = 3},
  [125] = {.lex_state = 70, .external_lex_state = 3},
  [126] = {.lex_state = 70, .external_lex_state = 3},
  [127] = {.lex_state = 71},
  [128] = {.lex_state = 70, .external_lex_state = 3},
  [129] = {.lex_state = 70, .external_lex_state = 3},
  [130] = {.lex_state = 71},
  [131] = {.lex_state = 70, .external_lex_state = 3},
  [132] = {.lex_state = 70, .external_lex_state = 3},
  [133] = {.lex_state = 70, .external_lex_state = 3},
  [134] = {.lex_state = 70, .external_lex_state = 3},
  [135] = {.lex_state = 70, .external_lex_state = 3},
  [136] = {.lex_state = 70, .external_lex_state = 3},
  [137] = {.lex_state = 70, .external_lex_state = 3},
  [138] = {.lex_state = 70, .external_lex_state = 3},
  [139] = {.lex_state = 71},
  [140] = {.lex_state = 71},
  [141] = {.lex_state = 71},
  [142] = {.lex_state = 71, .external_lex_state = 4},
  [143] = {.lex_state = 71},
  [144] = {.lex_state = 71},
  [145] = {.lex_state = 71},
  [146] = {.lex_state = 71},
  [147] = {.lex_state = 71},
  [148] = {.lex_state = 71},
  [149] = {.lex_state = 71},
  [150] = {.lex_state = 71},
  [151] = {.lex_state = 71},
  [152] = {.lex_state = 71},
  [153] = {.lex_state = 71},
  [154] = {.lex_state = 71},
  [155] = {.lex_state = 71},
  [156] = {.lex_state = 71},
  [157] = {.lex_state = 71},
  [158] = {.lex_state = 71},
  [159] = {.lex_state = 71},
  [160] = {.lex_state = 71},
  [161] = {.lex_state = 71},
  [162] = {.lex_state = 71},
  [163] = {.lex_state = 71},
  [164] = {.lex_state = 71},
  [165] = {.lex_state = 71},
  [166] = {.lex_state = 71},
  [167] = {.lex_state = 71, .external_lex_state = 4},
  [168] = {.lex_state = 71},
  [169] = {.lex_state = 71},
  [170] = {.lex_state = 71},
  [171] = {.lex_state = 71},
  [172] = {.lex_state = 71},
  [173] = {.lex_state = 71},
  [174] = {.lex_state = 71},
  [175] = {.lex_state = 71},
  [176] = {.lex_state = 71},
  [177] = {.lex_state = 71},
  [178] = {.lex_state = 3, .external_lex_state = 3},
  [179] = {.lex_state = 71},
  [180] = {.lex_state = 3, .external_lex_state = 3},
  [181] = {.lex_state = 71},
  [182] = {.lex_state = 3, .external_lex_state = 3},
  [183] = {.lex_state = 71},
  [184] = {.lex_state = 71},
  [185] = {.lex_state = 71},
  [186] = {.lex_state = 71},
  [187] = {.lex_state = 71},
  [188] = {.lex_state = 71},
  [189] = {.lex_state = 71},
  [190] = {.lex_state = 71},
  [191] = {.lex_state = 71},
  [192] = {.lex_state = 71},
  [193] = {.lex_state = 71},
  [194] = {.lex_state = 71},
  [195] = {.lex_state = 71},
  [196] = {.lex_state = 71},
  [197] = {.lex_state = 71},
  [198] = {.lex_state = 71},
  [199] = {.lex_state = 71},
  [200] = {.lex_state = 71},
  [201] = {.lex_state = 71},
  [202] = {.lex_state = 71},
  [203] = {.lex_state = 71},
  [204] = {.lex_state = 71},
  [205] = {.lex_state = 71},
  [206] = {.lex_state = 71},
  [207] = {.lex_state = 71},
  [208] = {.lex_state = 71},
  [209] = {.lex_state = 71},
  [210] = {.lex_state = 71},
  [211] = {.lex_state = 71},
  [212] = {.lex_state = 71},
  [213] = {.lex_state = 71},
  [214] = {.lex_state = 71},
  [215] = {.lex_state = 71},
  [216] = {.lex_state = 71},
  [217] = {.lex_state = 71},
  [218] = {.lex_state = 71},
  [219] = {.lex_state = 71},
  [220] = {.lex_state = 71},
  [221] = {.lex_state = 71},
  [222] = {.lex_state = 71},
  [223] = {.lex_state = 71},
  [224] = {.lex_state = 71},
  [225] = {.lex_state = 71},
  [226] = {.lex_state = 71},
  [227] = {.lex_state = 71},
  [228] = {.lex_state = 71},
  [229] = {.lex_state = 71},
  [230] = {.lex_state = 71},
  [231] = {.lex_state = 71},
  [232] = {.lex_state = 71},
  [233] = {.lex_state = 71},
  [234] = {.lex_state = 71},
  [235] = {.lex_state = 71},
  [236] = {.lex_state = 71},
  [237] = {.lex_state = 71},
  [238] = {.lex_state = 71},
  [239] = {.lex_state = 71},
  [240] = {.lex_state = 71},
  [241] = {.lex_state = 71},
  [242] = {.lex_state = 71},
  [243] = {.lex_state = 71},
  [244] = {.lex_state = 71},
  [245] = {.lex_state = 71},
  [246] = {.lex_state = 71},
  [247] = {.lex_state = 71},
  [248] = {.lex_state = 71},
  [249] = {.lex_state = 71},
  [250] = {.lex_state = 71},
  [251] = {.lex_state = 71},
  [252] = {.lex_state = 71},
  [253] = {.lex_state = 71},
  [254] = {.lex_state = 71},
  [255] = {.lex_state = 71},
  [256] = {.lex_state = 71},
  [257] = {.lex_state = 71},
  [258] = {.lex_state = 71},
  [259] = {.lex_state = 71},
  [260] = {.lex_state = 71},
  [261] = {.lex_state = 71},
  [262] = {.lex_state = 71},
  [263] = {.lex_state = 71},
  [264] = {.lex_state = 71},
  [265] = {.lex_state = 71},
  [266] = {.lex_state = 71},
  [267] = {.lex_state = 71},
  [268] = {.lex_state = 71},
  [269] = {.lex_state = 71},
  [270] = {.lex_state = 71},
  [271] = {.lex_state = 71},
  [272] = {.lex_state = 71},
  [273] = {.lex_state = 71},
  [274] = {.lex_state = 71},
  [275] = {.lex_state = 71},
  [276] = {.lex_state = 71},
  [277] = {.lex_state = 71},
  [278] = {.lex_state = 71},
  [279] = {.lex_state = 71},
  [280] = {.lex_state = 71},
  [281] = {.lex_state = 71},
  [282] = {.lex_state = 71},
  [283] = {.lex_state = 71},
  [284] = {.lex_state = 71},
  [285] = {.lex_state = 71},
  [286] = {.lex_state = 71},
  [287] = {.lex_state = 71},
  [288] = {.lex_state = 71},
  [289] = {.lex_state = 71},
  [290] = {.lex_state = 71},
  [291] = {.lex_state = 71},
  [292] = {.lex_state = 71},
  [293] = {.lex_state = 71},
  [294] = {.lex_state = 71},
  [295] = {.lex_state = 71},
  [296] = {.lex_state = 71},
  [297] = {.lex_state = 71},
  [298] = {.lex_state = 71},
  [299] = {.lex_state = 71},
  [300] = {.lex_state = 71},
  [301] = {.lex_state = 71},
  [302] = {.lex_state = 71},
  [303] = {.lex_state = 71},
  [304] = {.lex_state = 71},
  [305] = {.lex_state = 71},
  [306] = {.lex_state = 71},
  [307] = {.lex_state = 71},
  [308] = {.lex_state = 71},
  [309] = {.lex_state = 71},
  [310] = {.lex_state = 71},
  [311] = {.lex_state = 71},
  [312] = {.lex_state = 71},
  [313] = {.lex_state = 71},
  [314] = {.lex_state = 71},
  [315] = {.lex_state = 71},
  [316] = {.lex_state = 71},
  [317] = {.lex_state = 71},
  [318] = {.lex_state = 71},
  [319] = {.lex_state = 71},
  [320] = {.lex_state = 71},
  [321] = {.lex_state = 71},
  [322] = {.lex_state = 71},
  [323] = {.lex_state = 71},
  [324] = {.lex_state = 71},
  [325] = {.lex_state = 71},
  [326] = {.lex_state = 71},
  [327] = {.lex_state = 71},
  [328] = {.lex_state = 71},
  [329] = {.lex_state = 71},
  [330] = {.lex_state = 71},
  [331] = {.lex_state = 71},
  [332] = {.lex_state = 71},
  [333] = {.lex_state = 71},
  [334] = {.lex_state = 71},
  [335] = {.lex_state = 71},
  [336] = {.lex_state = 71},
  [337] = {.lex_state = 71},
  [338] = {.lex_state = 71},
  [339] = {.lex_state = 71},
  [340] = {.lex_state = 71},
  [341] = {.lex_state = 71},
  [342] = {.lex_state = 71},
  [343] = {.lex_state = 71},
  [344] = {.lex_state = 71},
  [345] = {.lex_state = 71},
  [346] = {.lex_state = 71},
  [347] = {.lex_state = 71},
  [348] = {.lex_state = 71},
  [349] = {.lex_state = 71},
  [350] = {.lex_state = 71},
  [351] = {.lex_state = 71},
  [352] = {.lex_state = 71},
  [353] = {.lex_state = 71},
  [354] = {.lex_state = 71},
  [355] = {.lex_state = 71},
  [356] = {.lex_state = 71},
  [357] = {.lex_state = 71},
  [358] = {.lex_state = 71},
  [359] = {.lex_state = 71},
  [360] = {.lex_state = 71},
  [361] = {.lex_state = 71},
  [362] = {.lex_state = 71},
  [363] = {.lex_state = 71},
  [364] = {.lex_state = 71},
  [365] = {.lex_state = 71},
  [366] = {.lex_state = 71},
  [367] = {.lex_state = 71},
  [368] = {.lex_state = 71},
  [369] = {.lex_state = 71},
  [370] = {.lex_state = 71},
  [371] = {.lex_state = 71},
  [372] = {.lex_state = 71},
  [373] = {.lex_state = 71},
  [374] = {.lex_state = 71},
  [375] = {.lex_state = 71},
  [376] = {.lex_state = 71},
  [377] = {.lex_state = 71},
  [378] = {.lex_state = 71},
  [379] = {.lex_state = 71},
  [380] = {.lex_state = 71},
  [381] = {.lex_state = 71},
  [382] = {.lex_state = 71},
  [383] = {.lex_state = 71},
  [384] = {.lex_state = 71},
  [385] = {.lex_state = 71},
  [386] = {.lex_state = 71},
  [387] = {.lex_state = 71},
  [388] = {.lex_state = 71},
  [389] = {.lex_state = 71},
  [390] = {.lex_state = 71},
  [391] = {.lex_state = 71},
  [392] = {.lex_state = 71},
  [393] = {.lex_state = 71},
  [394] = {.lex_state = 71},
  [395] = {.lex_state = 71},
  [396] = {.lex_state = 71},
  [397] = {.lex_state = 71},
  [398] = {.lex_state = 71},
  [399] = {.lex_state = 71},
  [400] = {.lex_state = 71},
  [401] = {.lex_state = 71},
  [402] = {.lex_state = 71},
  [403] = {.lex_state = 71},
  [404] = {.lex_state = 71},
  [405] = {.lex_state = 8},
  [406] = {.lex_state = 3, .external_lex_state = 3},
  [407] = {.lex_state = 8},
  [408] = {.lex_state = 3, .external_lex_state = 3},
  [409] = {.lex_state = 3, .external_lex_state = 3},
  [410] = {.lex_state = 8},
  [411] = {.lex_state = 2, .external_lex_state = 3},
  [412] = {.lex_state = 8},
  [413] = {.lex_state = 2, .external_lex_state = 3},
  [414] = {.lex_state = 2, .external_lex_state = 3},
  [415] = {.lex_state = 8},
  [416] = {.lex_state = 8},
  [417] = {.lex_state = 8},
  [418] = {.lex_state = 8},
  [419] = {.lex_state = 8},
  [420] = {.lex_state = 2, .external_lex_state = 3},
  [421] = {.lex_state = 2, .external_lex_state = 3},
  [422] = {.lex_state = 2, .external_lex_state = 3},
  [423] = {.lex_state = 2, .external_lex_state = 3},
  [424] = {.lex_state = 2, .external_lex_state = 3},
  [425] = {.lex_state = 2, .external_lex_state = 3},
  [426] = {.lex_state = 2, .external_lex_state = 3},
  [427] = {.lex_state = 2, .external_lex_state = 3},
  [428] = {.lex_state = 2, .external_lex_state = 3},
  [429] = {.lex_state = 2, .external_lex_state = 3},
  [430] = {.lex_state = 2, .external_lex_state = 3},
  [431] = {.lex_state = 2, .external_lex_state = 3},
  [432] = {.lex_state = 2, .external_lex_state = 3},
  [433] = {.lex_state = 71},
  [434] = {.lex_state = 2, .external_lex_state = 3},
  [435] = {.lex_state = 71},
  [436] = {.lex_state = 71},
  [437] = {.lex_state = 2, .external_lex_state = 3},
  [438] = {.lex_state = 2, .external_lex_state = 3},
  [439] = {.lex_state = 71},
  [440] = {.lex_state = 71},
  [441] = {.lex_state = 8},
  [442] = {.lex_state = 2, .external_lex_state = 3},
  [443] = {.lex_state = 71},
  [444] = {.lex_state = 71},
  [445] = {.lex_state = 2, .external_lex_state = 3},
  [446] = {.lex_state = 2, .external_lex_state = 3},
  [447] = {.lex_state = 8},
  [448] = {.lex_state = 2, .external_lex_state = 3},
  [449] = {.lex_state = 2, .external_lex_state = 3},
  [450] = {.lex_state = 2, .external_lex_state = 3},
  [451] = {.lex_state = 2, .external_lex_state = 3},
  [452] = {.lex_state = 2, .external_lex_state = 3},
  [453] = {.lex_state = 3, .external_lex_state = 2},
  [454] = {.lex_state = 2, .external_lex_state = 2},
  [455] = {.lex_state = 2, .external_lex_state = 2},
  [456] = {.lex_state = 2, .external_lex_state = 3},
  [457] = {.lex_state = 2, .external_lex_state = 3},
  [458] = {.lex_state = 2, .external_lex_state = 3},
  [459] = {.lex_state = 2, .external_lex_state = 3},
  [460] = {.lex_state = 2, .external_lex_state = 3},
  [461] = {.lex_state = 2, .external_lex_state = 3},
  [462] = {.lex_state = 3, .external_lex_state = 2},
  [463] = {.lex_state = 71},
  [464] = {.lex_state = 3, .external_lex_state = 2},
  [465] = {.lex_state = 2, .external_lex_state = 2},
  [466] = {.lex_state = 71, .external_lex_state = 4},
  [467] = {.lex_state = 71, .external_lex_state = 4},
  [468] = {.lex_state = 2, .external_lex_state = 2},
  [469] = {.lex_state = 2, .external_lex_state = 2},
  [470] = {.lex_state = 2, .external_lex_state = 2},
  [471] = {.lex_state = 71},
  [472] = {.lex_state = 71, .external_lex_state = 4},
  [473] = {.lex_state = 2, .external_lex_state = 3},
  [474] = {.lex_state = 71, .external_lex_state = 4},
  [475] = {.lex_state = 2, .external_lex_state = 3},
  [476] = {.lex_state = 2, .external_lex_state = 2},
  [477] = {.lex_state = 2, .external_lex_state = 3},
  [478] = {.lex_state = 71, .external_lex_state = 4},
  [479] = {.lex_state = 71, .external_lex_state = 4},
  [480] = {.lex_state = 2, .external_lex_state = 2},
  [481] = {.lex_state = 2, .external_lex_state = 2},
  [482] = {.lex_state = 3, .external_lex_state = 2},
  [483] = {.lex_state = 3, .external_lex_state = 2},
  [484] = {.lex_state = 71},
  [485] = {.lex_state = 71, .external_lex_state = 4},
  [486] = {.lex_state = 2, .external_lex_state = 3},
  [487] = {.lex_state = 2, .external_lex_state = 2},
  [488] = {.lex_state = 71, .external_lex_state = 4},
  [489] = {.lex_state = 2, .external_lex_state = 3},
  [490] = {.lex_state = 2, .external_lex_state = 2},
  [491] = {.lex_state = 2, .external_lex_state = 2},
  [492] = {.lex_state = 71},
  [493] = {.lex_state = 71},
  [494] = {.lex_state = 71},
  [495] = {.lex_state = 71, .external_lex_state = 4},
  [496] = {.lex_state = 71, .external_lex_state = 4},
  [497] = {.lex_state = 71},
  [498] = {.lex_state = 71, .external_lex_state = 4},
  [499] = {.lex_state = 71, .external_lex_state = 4},
  [500] = {.lex_state = 71, .external_lex_state = 4},
  [501] = {.lex_state = 71},
  [502] = {.lex_state = 71},
  [503] = {.lex_state = 71, .external_lex_state = 4},
  [504] = {.lex_state = 71, .external_lex_state = 4},
  [505] = {.lex_state = 71, .external_lex_state = 4},
  [506] = {.lex_state = 71, .external_lex_state = 4},
  [507] = {.lex_state = 71, .external_lex_state = 4},
  [508] = {.lex_state = 71, .external_lex_state = 4},
  [509] = {.lex_state = 71},
  [510] = {.lex_state = 71, .external_lex_state = 4},
  [511] = {.lex_state = 71},
  [512] = {.lex_state = 71},
  [513] = {.lex_state = 71},
  [514] = {.lex_state = 71},
  [515] = {.lex_state = 71},
  [516] = {.lex_state = 71},
  [517] = {.lex_state = 71},
  [518] = {.lex_state = 71},
  [519] = {.lex_state = 71},
  [520] = {.lex_state = 71},
  [521] = {.lex_state = 71},
  [522] = {.lex_state = 71},
  [523] = {.lex_state = 71},
  [524] = {.lex_state = 71},
  [525] = {.lex_state = 71},
  [526] = {.lex_state = 71},
  [527] = {.lex_state = 71},
  [528] = {.lex_state = 71},
  [529] = {.lex_state = 71},
  [530] = {.lex_state = 71},
  [531] = {.lex_state = 71},
  [532] = {.lex_state = 71},
  [533] = {.lex_state = 71},
  [534] = {.lex_state = 71},
  [535] = {.lex_state = 71},
  [536] = {.lex_state = 71},
  [537] = {.lex_state = 71},
  [538] = {.lex_state = 71},
  [539] = {.lex_state = 71},
  [540] = {.lex_state = 71},
  [541] = {.lex_state = 71},
  [542] = {.lex_state = 71},
  [543] = {.lex_state = 71},
  [544] = {.lex_state = 71},
  [545] = {.lex_state = 71},
  [546] = {.lex_state = 71},
  [547] = {.lex_state = 71},
  [548] = {.lex_state = 71},
  [549] = {.lex_state = 71},
  [550] = {.lex_state = 71},
  [551] = {.lex_state = 71},
  [552] = {.lex_state = 71},
  [553] = {.lex_state = 71},
  [554] = {.lex_state = 71},
  [555] = {.lex_state = 71},
  [556] = {.lex_state = 71},
  [557] = {.lex_state = 71},
  [558] = {.lex_state = 71},
  [559] = {.lex_state = 71},
  [560] = {.lex_state = 71},
  [561] = {.lex_state = 71},
  [562] = {.lex_state = 71},
  [563] = {.lex_state = 71},
  [564] = {.lex_state = 71},
  [565] = {.lex_state = 71},
  [566] = {.lex_state = 71},
  [567] = {.lex_state = 71},
  [568] = {.lex_state = 71},
  [569] = {.lex_state = 71},
  [570] = {.lex_state = 71},
  [571] = {.lex_state = 71},
  [572] = {.lex_state = 71},
  [573] = {.lex_state = 71},
  [574] = {.lex_state = 71},
  [575] = {.lex_state = 71},
  [576] = {.lex_state = 71},
  [577] = {.lex_state = 71},
  [578] = {.lex_state = 71},
  [579] = {.lex_state = 71},
  [580] = {.lex_state = 71},
  [581] = {.lex_state = 71},
  [582] = {.lex_state = 71},
  [583] = {.lex_state = 71},
  [584] = {.lex_state = 71},
  [585] = {.lex_state = 71},
  [586] = {.lex_state = 71},
  [587] = {.lex_state = 71},
  [588] = {.lex_state = 71},
  [589] = {.lex_state = 71},
  [590] = {.lex_state = 71},
  [591] = {.lex_state = 71},
  [592] = {.lex_state = 71},
  [593] = {.lex_state = 71},
  [594] = {.lex_state = 71},
  [595] = {.lex_state = 71},
  [596] = {.lex_state = 71},
  [597] = {.lex_state = 71},
  [598] = {.lex_state = 71},
  [599] = {.lex_state = 71},
  [600] = {.lex_state = 71},
  [601] = {.lex_state = 71},
  [602] = {.lex_state = 71},
  [603] = {.lex_state = 71},
  [604] = {.lex_state = 71},
  [605] = {.lex_state = 71},
  [606] = {.lex_state = 71},
  [607] = {.lex_state = 71},
  [608] = {.lex_state = 71},
  [609] = {.lex_state = 71},
  [610] = {.lex_state = 71},
  [611] = {.lex_state = 71},
  [612] = {.lex_state = 71},
  [613] = {.lex_state = 71},
  [614] = {.lex_state = 71},
  [615] = {.lex_state = 71},
  [616] = {.lex_state = 71},
  [617] = {.lex_state = 71},
  [618] = {.lex_state = 71},
  [619] = {.lex_state = 71},
  [620] = {.lex_state = 71},
  [621] = {.lex_state = 71},
  [622] = {.lex_state = 71},
  [623] = {.lex_state = 71},
  [624] = {.lex_state = 71},
  [625] = {.lex_state = 71},
  [626] = {.lex_state = 71},
  [627] = {.lex_state = 71},
  [628] = {.lex_state = 71},
  [629] = {.lex_state = 71},
  [630] = {.lex_state = 71},
  [631] = {.lex_state = 71},
  [632] = {.lex_state = 71},
  [633] = {.lex_state = 71},
  [634] = {.lex_state = 71},
  [635] = {.lex_state = 71},
  [636] = {.lex_state = 71},
  [637] = {.lex_state = 71},
  [638] = {.lex_state = 71},
  [639] = {.lex_state = 71},
  [640] = {.lex_state = 71},
  [641] = {.lex_state = 71},
  [642] = {.lex_state = 71},
  [643] = {.lex_state = 71},
  [644] = {.lex_state = 71},
  [645] = {.lex_state = 71},
  [646] = {.lex_state = 71},
  [647] = {.lex_state = 71},
  [648] = {.lex_state = 71},
  [649] = {.lex_state = 71},
  [650] = {.lex_state = 71},
  [651] = {.lex_state = 71},
  [652] = {.lex_state = 71},
  [653] = {.lex_state = 71},
  [654] = {.lex_state = 71},
  [655] = {.lex_state = 71},
  [656] = {.lex_state = 71},
  [657] = {.lex_state = 71},
  [658] = {.lex_state = 71},
  [659] = {.lex_state = 71},
  [660] = {.lex_state = 71},
  [661] = {.lex_state = 71},
  [662] = {.lex_state = 71},
  [663] = {.lex_state = 71},
  [664] = {.lex_state = 8},
  [665] = {.lex_state = 8},
  [666] = {.lex_state = 8},
  [667] = {.lex_state = 8},
  [668] = {.lex_state = 8},
  [669] = {.lex_state = 8},
  [670] = {.lex_state = 8},
  [671] = {.lex_state = 8},
  [672] = {.lex_state = 8},
  [673] = {.lex_state = 8},
  [674] = {.lex_state = 8},
  [675] = {.lex_state = 8},
  [676] = {.lex_state = 8},
  [677] = {.lex_state = 8},
  [678] = {.lex_state = 8},
  [679] = {.lex_state = 71},
  [680] = {.lex_state = 71},
  [681] = {.lex_state = 71},
  [682] = {.lex_state = 71},
  [683] = {.lex_state = 71},
  [684] = {.lex_state = 8},
  [685] = {.lex_state = 8},
  [686] = {.lex_state = 8},
  [687] = {.lex_state = 8},
  [688] = {.lex_state = 8},
  [689] = {.lex_state = 2, .external_lex_state = 3},
  [690] = {.lex_state = 2, .external_lex_state = 3},
  [691] = {.lex_state = 2, .external_lex_state = 3},
  [692] = {.lex_state = 8},
  [693] = {.lex_state = 2, .external_lex_state = 3},
  [694] = {.lex_state = 2, .external_lex_state = 3},
  [695] = {.lex_state = 8},
  [696] = {.lex_state = 2, .external_lex_state = 3},
  [697] = {.lex_state = 8},
  [698] = {.lex_state = 8},
  [699] = {.lex_state = 10},
  [700] = {.lex_state = 8},
  [701] = {.lex_state = 8},
  [702] = {.lex_state = 8},
  [703] = {.lex_state = 8},
  [704] = {.lex_state = 10},
  [705] = {.lex_state = 8},
  [706] = {.lex_state = 8},
  [707] = {.lex_state = 8},
  [708] = {.lex_state = 8},
  [709] = {.lex_state = 8},
  [710] = {.lex_state = 8},
  [711] = {.lex_state = 8},
  [712] = {.lex_state = 8},
  [713] = {.lex_state = 10},
  [714] = {.lex_state = 8},
  [715] = {.lex_state = 10},
  [716] = {.lex_state = 8},
  [717] = {.lex_state = 8},
  [718] = {.lex_state = 10},
  [719] = {.lex_state = 8},
  [720] = {.lex_state = 8},
  [721] = {.lex_state = 8},
  [722] = {.lex_state = 11},
  [723] = {.lex_state = 10},
  [724] = {.lex_state = 8},
  [725] = {.lex_state = 8},
  [726] = {.lex_state = 8},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 8},
  [729] = {.lex_state = 10},
  [730] = {.lex_state = 10},
  [731] = {.lex_state = 8},
  [732] = {.lex_state = 8},
  [733] = {.lex_state = 8},
  [734] = {.lex_state = 8},
  [735] = {.lex_state = 10},
  [736] = {.lex_state = 8},
  [737] = {.lex_state = 8},
  [738] = {.lex_state = 10},
  [739] = {.lex_state = 8},
  [740] = {.lex_state = 8},
  [741] = {.lex_state = 8},
  [742] = {.lex_state = 8},
  [743] = {.lex_state = 8},
  [744] = {.lex_state = 8},
  [745] = {.lex_state = 8},
  [746] = {.lex_state = 8},
  [747] = {.lex_state = 8},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 8},
  [750] = {.lex_state = 8},
  [751] = {.lex_state = 8},
  [752] = {.lex_state = 8},
  [753] = {.lex_state = 8},
  [754] = {.lex_state = 8},
  [755] = {.lex_state = 8},
  [756] = {.lex_state = 8},
  [757] = {.lex_state = 8},
  [758] = {.lex_state = 8},
  [759] = {.lex_state = 8},
  [760] = {.lex_state = 8},
  [761] = {.lex_state = 8},
  [762] = {.lex_state = 8},
  [763] = {.lex_state = 8},
  [764] = {.lex_state = 8},
  [765] = {.lex_state = 8},
  [766] = {.lex_state = 8},
  [767] = {.lex_state = 8},
  [768] = {.lex_state = 2, .external_lex_state = 2},
  [769] = {.lex_state = 8},
  [770] = {.lex_state = 8},
  [771] = {.lex_state = 8},
  [772] = {.lex_state = 8},
  [773] = {.lex_state = 8},
  [774] = {.lex_state = 8},
  [775] = {.lex_state = 8},
  [776] = {.lex_state = 8},
  [777] = {.lex_state = 8},
  [778] = {.lex_state = 8},
  [779] = {.lex_state = 8},
  [780] = {.lex_state = 8},
  [781] = {.lex_state = 8},
  [782] = {.lex_state = 8},
  [783] = {.lex_state = 8},
  [784] = {.lex_state = 8},
  [785] = {.lex_state = 8},
  [786] = {.lex_state = 8},
  [787] = {.lex_state = 8},
  [788] = {.lex_state = 8},
  [789] = {.lex_state = 8},
  [790] = {.lex_state = 8},
  [791] = {.lex_state = 8},
  [792] = {.lex_state = 8},
  [793] = {.lex_state = 8},
  [794] = {.lex_state = 8},
  [795] = {.lex_state = 8},
  [796] = {.lex_state = 8},
  [797] = {.lex_state = 8},
  [798] = {.lex_state = 8},
  [799] = {.lex_state = 8},
  [800] = {.lex_state = 8},
  [801] = {.lex_state = 8},
  [802] = {.lex_state = 8},
  [803] = {.lex_state = 8},
  [804] = {.lex_state = 8},
  [805] = {.lex_state = 8},
  [806] = {.lex_state = 8},
  [807] = {.lex_state = 8},
  [808] = {.lex_state = 8},
  [809] = {.lex_state = 8},
  [810] = {.lex_state = 8},
  [811] = {.lex_state = 8},
  [812] = {.lex_state = 8},
  [813] = {.lex_state = 8},
  [814] = {.lex_state = 8},
  [815] = {.lex_state = 8},
  [816] = {.lex_state = 8},
  [817] = {.lex_state = 8},
  [818] = {.lex_state = 8},
  [819] = {.lex_state = 8},
  [820] = {.lex_state = 8},
  [821] = {.lex_state = 8},
  [822] = {.lex_state = 8},
  [823] = {.lex_state = 8},
  [824] = {.lex_state = 8},
  [825] = {.lex_state = 8},
  [826] = {.lex_state = 8},
  [827] = {.lex_state = 8},
  [828] = {.lex_state = 8},
  [829] = {.lex_state = 8},
  [830] = {.lex_state = 8},
  [831] = {.lex_state = 8},
  [832] = {.lex_state = 8},
  [833] = {.lex_state = 2, .external_lex_state = 2},
  [834] = {.lex_state = 8},
  [835] = {.lex_state = 8},
  [836] = {.lex_state = 8},
  [837] = {.lex_state = 8},
  [838] = {.lex_state = 8},
  [839] = {.lex_state = 8},
  [840] = {.lex_state = 8},
  [841] = {.lex_state = 8},
  [842] = {.lex_state = 8},
  [843] = {.lex_state = 8},
  [844] = {.lex_state = 8},
  [845] = {.lex_state = 8},
  [846] = {.lex_state = 8},
  [847] = {.lex_state = 8},
  [848] = {.lex_state = 8},
  [849] = {.lex_state = 8},
  [850] = {.lex_state = 8},
  [851] = {.lex_state = 8},
  [852] = {.lex_state = 2, .external_lex_state = 3},
  [853] = {.lex_state = 2, .external_lex_state = 3},
  [854] = {.lex_state = 2, .external_lex_state = 3},
  [855] = {.lex_state = 2, .external_lex_state = 3},
  [856] = {.lex_state = 2, .external_lex_state = 3},
  [857] = {.lex_state = 2, .external_lex_state = 3},
  [858] = {.lex_state = 2, .external_lex_state = 3},
  [859] = {.lex_state = 2, .external_lex_state = 3},
  [860] = {.lex_state = 2, .external_lex_state = 3},
  [861] = {.lex_state = 3, .external_lex_state = 2},
  [862] = {.lex_state = 2, .external_lex_state = 2},
  [863] = {.lex_state = 2, .external_lex_state = 2},
  [864] = {.lex_state = 3, .external_lex_state = 2},
  [865] = {.lex_state = 2, .external_lex_state = 2},
  [866] = {.lex_state = 2, .external_lex_state = 2},
  [867] = {.lex_state = 2, .external_lex_state = 2},
  [868] = {.lex_state = 10},
  [869] = {.lex_state = 2, .external_lex_state = 3},
  [870] = {.lex_state = 2, .external_lex_state = 3},
  [871] = {.lex_state = 10},
  [872] = {.lex_state = 2, .external_lex_state = 3},
  [873] = {.lex_state = 2, .external_lex_state = 2},
  [874] = {.lex_state = 10},
  [875] = {.lex_state = 2, .external_lex_state = 3},
  [876] = {.lex_state = 10},
  [877] = {.lex_state = 2, .external_lex_state = 3},
  [878] = {.lex_state = 2, .external_lex_state = 2},
  [879] = {.lex_state = 2, .external_lex_state = 3},
  [880] = {.lex_state = 10},
  [881] = {.lex_state = 10},
  [882] = {.lex_state = 2, .external_lex_state = 2},
  [883] = {.lex_state = 2, .external_lex_state = 3},
  [884] = {.lex_state = 2, .external_lex_state = 3},
  [885] = {.lex_state = 2, .external_lex_state = 3},
  [886] = {.lex_state = 3, .external_lex_state = 2},
  [887] = {.lex_state = 2, .external_lex_state = 3},
  [888] = {.lex_state = 2, .external_lex_state = 3},
  [889] = {.lex_state = 2, .external_lex_state = 3},
  [890] = {.lex_state = 2, .external_lex_state = 3},
  [891] = {.lex_state = 2, .external_lex_state = 2},
  [892] = {.lex_state = 3, .external_lex_state = 2},
  [893] = {.lex_state = 3, .external_lex_state = 2},
  [894] = {.lex_state = 2, .external_lex_state = 3},
  [895] = {.lex_state = 2, .external_lex_state = 3},
  [896] = {.lex_state = 3, .external_lex_state = 2},
  [897] = {.lex_state = 2, .external_lex_state = 3},
  [898] = {.lex_state = 2, .external_lex_state = 2},
  [899] = {.lex_state = 2, .external_lex_state = 2},
  [900] = {.lex_state = 3, .external_lex_state = 2},
  [901] = {.lex_state = 3, .external_lex_state = 2},
  [902] = {.lex_state = 2, .external_lex_state = 3},
  [903] = {.lex_state = 3, .external_lex_state = 2},
  [904] = {.lex_state = 2, .external_lex_state = 2},
  [905] = {.lex_state = 2, .external_lex_state = 3},
  [906] = {.lex_state = 2, .external_lex_state = 2},
  [907] = {.lex_state = 3, .external_lex_state = 2},
  [908] = {.lex_state = 2, .external_lex_state = 2},
  [909] = {.lex_state = 2, .external_lex_state = 3},
  [910] = {.lex_state = 2, .external_lex_state = 3},
  [911] = {.lex_state = 2, .external_lex_state = 2},
  [912] = {.lex_state = 2, .external_lex_state = 2},
  [913] = {.lex_state = 2, .external_lex_state = 2},
  [914] = {.lex_state = 3, .external_lex_state = 2},
  [915] = {.lex_state = 2, .external_lex_state = 2},
  [916] = {.lex_state = 10},
  [917] = {.lex_state = 2, .external_lex_state = 2},
  [918] = {.lex_state = 10},
  [919] = {.lex_state = 2, .external_lex_state = 3},
  [920] = {.lex_state = 2, .external_lex_state = 2},
  [921] = {.lex_state = 2, .external_lex_state = 2},
  [922] = {.lex_state = 2, .external_lex_state = 3},
  [923] = {.lex_state = 2, .external_lex_state = 3},
  [924] = {.lex_state = 2, .external_lex_state = 2},
  [925] = {.lex_state = 2, .external_lex_state = 3},
  [926] = {.lex_state = 2, .external_lex_state = 2},
  [927] = {.lex_state = 2, .external_lex_state = 3},
  [928] = {.lex_state = 3, .external_lex_state = 2},
  [929] = {.lex_state = 2, .external_lex_state = 3},
  [930] = {.lex_state = 2, .external_lex_state = 3},
  [931] = {.lex_state = 2, .external_lex_state = 3},
  [932] = {.lex_state = 2, .external_lex_state = 2},
  [933] = {.lex_state = 2, .external_lex_state = 3},
  [934] = {.lex_state = 2, .external_lex_state = 3},
  [935] = {.lex_state = 2, .external_lex_state = 3},
  [936] = {.lex_state = 2, .external_lex_state = 3},
  [937] = {.lex_state = 2, .external_lex_state = 2},
  [938] = {.lex_state = 2, .external_lex_state = 3},
  [939] = {.lex_state = 2, .external_lex_state = 3},
  [940] = {.lex_state = 2, .external_lex_state = 3},
  [941] = {.lex_state = 2, .external_lex_state = 2},
  [942] = {.lex_state = 2, .external_lex_state = 3},
  [943] = {.lex_state = 2, .external_lex_state = 3},
  [944] = {.lex_state = 2, .external_lex_state = 2},
  [945] = {.lex_state = 2, .external_lex_state = 3},
  [946] = {.lex_state = 2, .external_lex_state = 2},
  [947] = {.lex_state = 2, .external_lex_state = 2},
  [948] = {.lex_state = 2, .external_lex_state = 2},
  [949] = {.lex_state = 2, .external_lex_state = 3},
  [950] = {.lex_state = 2, .external_lex_state = 3},
  [951] = {.lex_state = 2, .external_lex_state = 3},
  [952] = {.lex_state = 2, .external_lex_state = 2},
  [953] = {.lex_state = 2, .external_lex_state = 3},
  [954] = {.lex_state = 3, .external_lex_state = 2},
  [955] = {.lex_state = 2, .external_lex_state = 3},
  [956] = {.lex_state = 2, .external_lex_state = 3},
  [957] = {.lex_state = 2, .external_lex_state = 3},
  [958] = {.lex_state = 2, .external_lex_state = 3},
  [959] = {.lex_state = 2, .external_lex_state = 3},
  [960] = {.lex_state = 2, .external_lex_state = 3},
  [961] = {.lex_state = 2, .external_lex_state = 3},
  [962] = {.lex_state = 3, .external_lex_state = 2},
  [963] = {.lex_state = 3, .external_lex_state = 2},
  [964] = {.lex_state = 2, .external_lex_state = 3},
  [965] = {.lex_state = 2, .external_lex_state = 2},
  [966] = {.lex_state = 2, .external_lex_state = 3},
  [967] = {.lex_state = 2, .external_lex_state = 2},
  [968] = {.lex_state = 2, .external_lex_state = 2},
  [969] = {.lex_state = 2, .external_lex_state = 2},
  [970] = {.lex_state = 3, .external_lex_state = 2},
  [971] = {.lex_state = 2, .external_lex_state = 2},
  [972] = {.lex_state = 2, .external_lex_state = 2},
  [973] = {.lex_state = 2, .external_lex_state = 2},
  [974] = {.lex_state = 2, .external_lex_state = 3},
  [975] = {.lex_state = 2, .external_lex_state = 2},
  [976] = {.lex_state = 2, .external_lex_state = 2},
  [977] = {.lex_state = 2, .external_lex_state = 3},
  [978] = {.lex_state = 2, .external_lex_state = 2},
  [979] = {.lex_state = 3, .external_lex_state = 2},
  [980] = {.lex_state = 2, .external_lex_state = 3},
  [981] = {.lex_state = 2, .external_lex_state = 2},
  [982] = {.lex_state = 2, .external_lex_state = 2},
  [983] = {.lex_state = 2, .external_lex_state = 2},
  [984] = {.lex_state = 2, .external_lex_state = 3},
  [985] = {.lex_state = 2, .external_lex_state = 2},
  [986] = {.lex_state = 2, .external_lex_state = 3},
  [987] = {.lex_state = 2, .external_lex_state = 3},
  [988] = {.lex_state = 2, .external_lex_state = 2},
  [989] = {.lex_state = 2, .external_lex_state = 2},
  [990] = {.lex_state = 3, .external_lex_state = 2},
  [991] = {.lex_state = 2, .external_lex_state = 2},
  [992] = {.lex_state = 2, .external_lex_state = 2},
  [993] = {.lex_state = 2, .external_lex_state = 2},
  [994] = {.lex_state = 2, .external_lex_state = 2},
  [995] = {.lex_state = 2, .external_lex_state = 2},
  [996] = {.lex_state = 2, .external_lex_state = 2},
  [997] = {.lex_state = 2, .external_lex_state = 2},
  [998] = {.lex_state = 2, .external_lex_state = 2},
  [999] = {.lex_state = 2, .external_lex_state = 2},
  [1000] = {.lex_state = 2, .external_lex_state = 2},
  [1001] = {.lex_state = 2, .external_lex_state = 2},
  [1002] = {.lex_state = 2, .external_lex_state = 3},
  [1003] = {.lex_state = 2, .external_lex_state = 2},
  [1004] = {.lex_state = 8},
  [1005] = {.lex_state = 8},
  [1006] = {.lex_state = 8},
  [1007] = {.lex_state = 8},
  [1008] = {.lex_state = 8},
  [1009] = {.lex_state = 8},
  [1010] = {.lex_state = 71, .external_lex_state = 4},
  [1011] = {.lex_state = 71, .external_lex_state = 4},
  [1012] = {.lex_state = 71, .external_lex_state = 4},
  [1013] = {.lex_state = 71, .external_lex_state = 4},
  [1014] = {.lex_state = 71, .external_lex_state = 4},
  [1015] = {.lex_state = 8},
  [1016] = {.lex_state = 8},
  [1017] = {.lex_state = 8},
  [1018] = {.lex_state = 71, .external_lex_state = 4},
  [1019] = {.lex_state = 8},
  [1020] = {.lex_state = 8},
  [1021] = {.lex_state = 8},
  [1022] = {.lex_state = 8},
  [1023] = {.lex_state = 8},
  [1024] = {.lex_state = 8},
  [1025] = {.lex_state = 8},
  [1026] = {.lex_state = 70, .external_lex_state = 3},
  [1027] = {.lex_state = 8},
  [1028] = {.lex_state = 8},
  [1029] = {.lex_state = 8},
  [1030] = {.lex_state = 8},
  [1031] = {.lex_state = 8},
  [1032] = {.lex_state = 8},
  [1033] = {.lex_state = 8},
  [1034] = {.lex_state = 8},
  [1035] = {.lex_state = 71, .external_lex_state = 4},
  [1036] = {.lex_state = 71, .external_lex_state = 4},
  [1037] = {.lex_state = 71, .external_lex_state = 4},
  [1038] = {.lex_state = 8},
  [1039] = {.lex_state = 8},
  [1040] = {.lex_state = 10},
  [1041] = {.lex_state = 8},
  [1042] = {.lex_state = 10},
  [1043] = {.lex_state = 10},
  [1044] = {.lex_state = 8},
  [1045] = {.lex_state = 8},
  [1046] = {.lex_state = 8},
  [1047] = {.lex_state = 8},
  [1048] = {.lex_state = 71},
  [1049] = {.lex_state = 71},
  [1050] = {.lex_state = 71},
  [1051] = {.lex_state = 71},
  [1052] = {.lex_state = 71},
  [1053] = {.lex_state = 71},
  [1054] = {.lex_state = 71},
  [1055] = {.lex_state = 70, .external_lex_state = 3},
  [1056] = {.lex_state = 70, .external_lex_state = 2},
  [1057] = {.lex_state = 70, .external_lex_state = 3},
  [1058] = {.lex_state = 70, .external_lex_state = 3},
  [1059] = {.lex_state = 70, .external_lex_state = 2},
  [1060] = {.lex_state = 70, .external_lex_state = 2},
  [1061] = {.lex_state = 70, .external_lex_state = 3},
  [1062] = {.lex_state = 71},
  [1063] = {.lex_state = 70, .external_lex_state = 2},
  [1064] = {.lex_state = 70, .external_lex_state = 2},
  [1065] = {.lex_state = 70, .external_lex_state = 2},
  [1066] = {.lex_state = 70, .external_lex_state = 2},
  [1067] = {.lex_state = 70, .external_lex_state = 2},
  [1068] = {.lex_state = 70, .external_lex_state = 2},
  [1069] = {.lex_state = 70, .external_lex_state = 3},
  [1070] = {.lex_state = 70, .external_lex_state = 2},
  [1071] = {.lex_state = 70, .external_lex_state = 2},
  [1072] = {.lex_state = 70, .external_lex_state = 2},
  [1073] = {.lex_state = 70, .external_lex_state = 2},
  [1074] = {.lex_state = 70, .external_lex_state = 2},
  [1075] = {.lex_state = 70, .external_lex_state = 2},
  [1076] = {.lex_state = 70, .external_lex_state = 2},
  [1077] = {.lex_state = 70, .external_lex_state = 2},
  [1078] = {.lex_state = 70, .external_lex_state = 2},
  [1079] = {.lex_state = 70, .external_lex_state = 2},
  [1080] = {.lex_state = 70, .external_lex_state = 2},
  [1081] = {.lex_state = 70, .external_lex_state = 2},
  [1082] = {.lex_state = 70, .external_lex_state = 2},
  [1083] = {.lex_state = 70, .external_lex_state = 2},
  [1084] = {.lex_state = 70, .external_lex_state = 2},
  [1085] = {.lex_state = 70, .external_lex_state = 2},
  [1086] = {.lex_state = 70, .external_lex_state = 2},
  [1087] = {.lex_state = 70, .external_lex_state = 2},
  [1088] = {.lex_state = 70, .external_lex_state = 2},
  [1089] = {.lex_state = 70, .external_lex_state = 2},
  [1090] = {.lex_state = 70, .external_lex_state = 2},
  [1091] = {.lex_state = 70, .external_lex_state = 2},
  [1092] = {.lex_state = 70, .external_lex_state = 2},
  [1093] = {.lex_state = 70, .external_lex_state = 2},
  [1094] = {.lex_state = 70, .external_lex_state = 2},
  [1095] = {.lex_state = 70, .external_lex_state = 2},
  [1096] = {.lex_state = 70, .external_lex_state = 2},
  [1097] = {.lex_state = 70, .external_lex_state = 2},
  [1098] = {.lex_state = 70, .external_lex_state = 2},
  [1099] = {.lex_state = 70, .external_lex_state = 2},
  [1100] = {.lex_state = 70, .external_lex_state = 3},
  [1101] = {.lex_state = 70, .external_lex_state = 2},
  [1102] = {.lex_state = 70, .external_lex_state = 2},
  [1103] = {.lex_state = 70, .external_lex_state = 2},
  [1104] = {.lex_state = 70, .external_lex_state = 2},
  [1105] = {.lex_state = 70, .external_lex_state = 2},
  [1106] = {.lex_state = 70, .external_lex_state = 2},
  [1107] = {.lex_state = 70, .external_lex_state = 2},
  [1108] = {.lex_state = 70, .external_lex_state = 2},
  [1109] = {.lex_state = 70, .external_lex_state = 2},
  [1110] = {.lex_state = 70, .external_lex_state = 2},
  [1111] = {.lex_state = 70, .external_lex_state = 2},
  [1112] = {.lex_state = 70, .external_lex_state = 2},
  [1113] = {.lex_state = 70, .external_lex_state = 2},
  [1114] = {.lex_state = 70, .external_lex_state = 2},
  [1115] = {.lex_state = 70, .external_lex_state = 2},
  [1116] = {.lex_state = 70, .external_lex_state = 2},
  [1117] = {.lex_state = 70, .external_lex_state = 2},
  [1118] = {.lex_state = 70, .external_lex_state = 2},
  [1119] = {.lex_state = 70, .external_lex_state = 2},
  [1120] = {.lex_state = 70, .external_lex_state = 2},
  [1121] = {.lex_state = 70, .external_lex_state = 2},
  [1122] = {.lex_state = 70, .external_lex_state = 2},
  [1123] = {.lex_state = 70, .external_lex_state = 2},
  [1124] = {.lex_state = 70, .external_lex_state = 2},
  [1125] = {.lex_state = 70, .external_lex_state = 2},
  [1126] = {.lex_state = 70, .external_lex_state = 2},
  [1127] = {.lex_state = 70, .external_lex_state = 2},
  [1128] = {.lex_state = 70, .external_lex_state = 2},
  [1129] = {.lex_state = 70, .external_lex_state = 2},
  [1130] = {.lex_state = 70, .external_lex_state = 3},
  [1131] = {.lex_state = 70, .external_lex_state = 3},
  [1132] = {.lex_state = 70, .external_lex_state = 2},
  [1133] = {.lex_state = 70, .external_lex_state = 2},
  [1134] = {.lex_state = 70, .external_lex_state = 2},
  [1135] = {.lex_state = 70, .external_lex_state = 2},
  [1136] = {.lex_state = 70, .external_lex_state = 2},
  [1137] = {.lex_state = 70, .external_lex_state = 2},
  [1138] = {.lex_state = 70, .external_lex_state = 2},
  [1139] = {.lex_state = 70, .external_lex_state = 2},
  [1140] = {.lex_state = 70, .external_lex_state = 2},
  [1141] = {.lex_state = 70, .external_lex_state = 2},
  [1142] = {.lex_state = 70, .external_lex_state = 2},
  [1143] = {.lex_state = 70, .external_lex_state = 2},
  [1144] = {.lex_state = 70, .external_lex_state = 2},
  [1145] = {.lex_state = 70, .external_lex_state = 2},
  [1146] = {.lex_state = 70, .external_lex_state = 2},
  [1147] = {.lex_state = 70, .external_lex_state = 2},
  [1148] = {.lex_state = 70, .external_lex_state = 2},
  [1149] = {.lex_state = 70, .external_lex_state = 2},
  [1150] = {.lex_state = 70, .external_lex_state = 2},
  [1151] = {.lex_state = 70, .external_lex_state = 2},
  [1152] = {.lex_state = 70, .external_lex_state = 2},
  [1153] = {.lex_state = 70, .external_lex_state = 2},
  [1154] = {.lex_state = 70, .external_lex_state = 2},
  [1155] = {.lex_state = 70, .external_lex_state = 2},
  [1156] = {.lex_state = 70, .external_lex_state = 2},
  [1157] = {.lex_state = 70, .external_lex_state = 2},
  [1158] = {.lex_state = 70, .external_lex_state = 2},
  [1159] = {.lex_state = 70, .external_lex_state = 2},
  [1160] = {.lex_state = 70, .external_lex_state = 2},
  [1161] = {.lex_state = 70, .external_lex_state = 2},
  [1162] = {.lex_state = 70, .external_lex_state = 2},
  [1163] = {.lex_state = 70, .external_lex_state = 2},
  [1164] = {.lex_state = 70, .external_lex_state = 2},
  [1165] = {.lex_state = 70, .external_lex_state = 2},
  [1166] = {.lex_state = 70, .external_lex_state = 2},
  [1167] = {.lex_state = 70, .external_lex_state = 2},
  [1168] = {.lex_state = 70, .external_lex_state = 2},
  [1169] = {.lex_state = 70, .external_lex_state = 2},
  [1170] = {.lex_state = 70, .external_lex_state = 2},
  [1171] = {.lex_state = 70, .external_lex_state = 2},
  [1172] = {.lex_state = 70, .external_lex_state = 2},
  [1173] = {.lex_state = 70, .external_lex_state = 2},
  [1174] = {.lex_state = 70, .external_lex_state = 2},
  [1175] = {.lex_state = 70, .external_lex_state = 2},
  [1176] = {.lex_state = 70, .external_lex_state = 2},
  [1177] = {.lex_state = 70, .external_lex_state = 2},
  [1178] = {.lex_state = 70, .external_lex_state = 2},
  [1179] = {.lex_state = 70, .external_lex_state = 2},
  [1180] = {.lex_state = 70, .external_lex_state = 2},
  [1181] = {.lex_state = 70, .external_lex_state = 2},
  [1182] = {.lex_state = 70, .external_lex_state = 2},
  [1183] = {.lex_state = 70, .external_lex_state = 2},
  [1184] = {.lex_state = 70, .external_lex_state = 2},
  [1185] = {.lex_state = 70, .external_lex_state = 2},
  [1186] = {.lex_state = 70, .external_lex_state = 2},
  [1187] = {.lex_state = 70, .external_lex_state = 2},
  [1188] = {.lex_state = 70, .external_lex_state = 2},
  [1189] = {.lex_state = 70, .external_lex_state = 2},
  [1190] = {.lex_state = 70, .external_lex_state = 2},
  [1191] = {.lex_state = 70, .external_lex_state = 2},
  [1192] = {.lex_state = 70, .external_lex_state = 2},
  [1193] = {.lex_state = 70, .external_lex_state = 2},
  [1194] = {.lex_state = 70, .external_lex_state = 2},
  [1195] = {.lex_state = 70, .external_lex_state = 2},
  [1196] = {.lex_state = 70, .external_lex_state = 2},
  [1197] = {.lex_state = 70, .external_lex_state = 2},
  [1198] = {.lex_state = 70, .external_lex_state = 2},
  [1199] = {.lex_state = 70, .external_lex_state = 2},
  [1200] = {.lex_state = 70, .external_lex_state = 2},
  [1201] = {.lex_state = 70, .external_lex_state = 2},
  [1202] = {.lex_state = 70, .external_lex_state = 2},
  [1203] = {.lex_state = 70, .external_lex_state = 2},
  [1204] = {.lex_state = 70, .external_lex_state = 3},
  [1205] = {.lex_state = 70, .external_lex_state = 2},
  [1206] = {.lex_state = 70, .external_lex_state = 3},
  [1207] = {.lex_state = 70, .external_lex_state = 2},
  [1208] = {.lex_state = 8},
  [1209] = {.lex_state = 70, .external_lex_state = 3},
  [1210] = {.lex_state = 8},
  [1211] = {.lex_state = 70, .external_lex_state = 3},
  [1212] = {.lex_state = 70, .external_lex_state = 2},
  [1213] = {.lex_state = 70, .external_lex_state = 3},
  [1214] = {.lex_state = 71, .external_lex_state = 4},
  [1215] = {.lex_state = 71, .external_lex_state = 4},
  [1216] = {.lex_state = 8},
  [1217] = {.lex_state = 70, .external_lex_state = 3},
  [1218] = {.lex_state = 70, .external_lex_state = 2},
  [1219] = {.lex_state = 70, .external_lex_state = 3},
  [1220] = {.lex_state = 8},
  [1221] = {.lex_state = 70, .external_lex_state = 2},
  [1222] = {.lex_state = 70, .external_lex_state = 2},
  [1223] = {.lex_state = 70, .external_lex_state = 3},
  [1224] = {.lex_state = 8},
  [1225] = {.lex_state = 70, .external_lex_state = 3},
  [1226] = {.lex_state = 70, .external_lex_state = 2},
  [1227] = {.lex_state = 70, .external_lex_state = 2},
  [1228] = {.lex_state = 70, .external_lex_state = 2},
  [1229] = {.lex_state = 70, .external_lex_state = 2},
  [1230] = {.lex_state = 70, .external_lex_state = 2},
  [1231] = {.lex_state = 70, .external_lex_state = 2},
  [1232] = {.lex_state = 70, .external_lex_state = 2},
  [1233] = {.lex_state = 70, .external_lex_state = 3},
  [1234] = {.lex_state = 70, .external_lex_state = 2},
  [1235] = {.lex_state = 70, .external_lex_state = 3},
  [1236] = {.lex_state = 70, .external_lex_state = 2},
  [1237] = {.lex_state = 70, .external_lex_state = 2},
  [1238] = {.lex_state = 70, .external_lex_state = 3},
  [1239] = {.lex_state = 70, .external_lex_state = 2},
  [1240] = {.lex_state = 70, .external_lex_state = 3},
  [1241] = {.lex_state = 70, .external_lex_state = 3},
  [1242] = {.lex_state = 70, .external_lex_state = 3},
  [1243] = {.lex_state = 70, .external_lex_state = 2},
  [1244] = {.lex_state = 70, .external_lex_state = 2},
  [1245] = {.lex_state = 70, .external_lex_state = 2},
  [1246] = {.lex_state = 70, .external_lex_state = 2},
  [1247] = {.lex_state = 71, .external_lex_state = 4},
  [1248] = {.lex_state = 70, .external_lex_state = 2},
  [1249] = {.lex_state = 70, .external_lex_state = 2},
  [1250] = {.lex_state = 71, .external_lex_state = 4},
  [1251] = {.lex_state = 70, .external_lex_state = 3},
  [1252] = {.lex_state = 70, .external_lex_state = 2},
  [1253] = {.lex_state = 8},
  [1254] = {.lex_state = 70, .external_lex_state = 2},
  [1255] = {.lex_state = 70, .external_lex_state = 2},
  [1256] = {.lex_state = 70, .external_lex_state = 3},
  [1257] = {.lex_state = 70, .external_lex_state = 2},
  [1258] = {.lex_state = 70, .external_lex_state = 2},
  [1259] = {.lex_state = 70, .external_lex_state = 2},
  [1260] = {.lex_state = 8},
  [1261] = {.lex_state = 70, .external_lex_state = 3},
  [1262] = {.lex_state = 8},
  [1263] = {.lex_state = 70, .external_lex_state = 3},
  [1264] = {.lex_state = 70, .external_lex_state = 2},
  [1265] = {.lex_state = 70, .external_lex_state = 2},
  [1266] = {.lex_state = 70, .external_lex_state = 2},
  [1267] = {.lex_state = 70, .external_lex_state = 3},
  [1268] = {.lex_state = 70, .external_lex_state = 3},
  [1269] = {.lex_state = 70, .external_lex_state = 2},
  [1270] = {.lex_state = 70, .external_lex_state = 3},
  [1271] = {.lex_state = 70, .external_lex_state = 2},
  [1272] = {.lex_state = 70, .external_lex_state = 3},
  [1273] = {.lex_state = 70, .external_lex_state = 2},
  [1274] = {.lex_state = 70, .external_lex_state = 2},
  [1275] = {.lex_state = 70, .external_lex_state = 2},
  [1276] = {.lex_state = 70, .external_lex_state = 2},
  [1277] = {.lex_state = 70, .external_lex_state = 3},
  [1278] = {.lex_state = 70, .external_lex_state = 3},
  [1279] = {.lex_state = 70, .external_lex_state = 3},
  [1280] = {.lex_state = 70, .external_lex_state = 2},
  [1281] = {.lex_state = 70, .external_lex_state = 3},
  [1282] = {.lex_state = 70, .external_lex_state = 3},
  [1283] = {.lex_state = 70, .external_lex_state = 3},
  [1284] = {.lex_state = 70, .external_lex_state = 3},
  [1285] = {.lex_state = 70, .external_lex_state = 2},
  [1286] = {.lex_state = 70, .external_lex_state = 3},
  [1287] = {.lex_state = 70, .external_lex_state = 3},
  [1288] = {.lex_state = 70, .external_lex_state = 3},
  [1289] = {.lex_state = 70, .external_lex_state = 2},
  [1290] = {.lex_state = 70, .external_lex_state = 2},
  [1291] = {.lex_state = 70, .external_lex_state = 2},
  [1292] = {.lex_state = 70, .external_lex_state = 2},
  [1293] = {.lex_state = 70, .external_lex_state = 2},
  [1294] = {.lex_state = 70, .external_lex_state = 3},
  [1295] = {.lex_state = 70, .external_lex_state = 2},
  [1296] = {.lex_state = 70, .external_lex_state = 2},
  [1297] = {.lex_state = 70, .external_lex_state = 3},
  [1298] = {.lex_state = 70, .external_lex_state = 2},
  [1299] = {.lex_state = 70, .external_lex_state = 2},
  [1300] = {.lex_state = 70, .external_lex_state = 2},
  [1301] = {.lex_state = 70, .external_lex_state = 2},
  [1302] = {.lex_state = 70, .external_lex_state = 2},
  [1303] = {.lex_state = 70, .external_lex_state = 2},
  [1304] = {.lex_state = 70, .external_lex_state = 3},
  [1305] = {.lex_state = 70, .external_lex_state = 3},
  [1306] = {.lex_state = 70, .external_lex_state = 2},
  [1307] = {.lex_state = 8},
  [1308] = {.lex_state = 70, .external_lex_state = 2},
  [1309] = {.lex_state = 70, .external_lex_state = 2},
  [1310] = {.lex_state = 70, .external_lex_state = 2},
  [1311] = {.lex_state = 70, .external_lex_state = 2},
  [1312] = {.lex_state = 70, .external_lex_state = 3},
  [1313] = {.lex_state = 70, .external_lex_state = 2},
  [1314] = {.lex_state = 70, .external_lex_state = 2},
  [1315] = {.lex_state = 70, .external_lex_state = 2},
  [1316] = {.lex_state = 70, .external_lex_state = 2},
  [1317] = {.lex_state = 70, .external_lex_state = 2},
  [1318] = {.lex_state = 70, .external_lex_state = 2},
  [1319] = {.lex_state = 70, .external_lex_state = 2},
  [1320] = {.lex_state = 71, .external_lex_state = 4},
  [1321] = {.lex_state = 70, .external_lex_state = 2},
  [1322] = {.lex_state = 70, .external_lex_state = 2},
  [1323] = {.lex_state = 70, .external_lex_state = 3},
  [1324] = {.lex_state = 70, .external_lex_state = 2},
  [1325] = {.lex_state = 70, .external_lex_state = 2},
  [1326] = {.lex_state = 70, .external_lex_state = 2},
  [1327] = {.lex_state = 70, .external_lex_state = 2},
  [1328] = {.lex_state = 70, .external_lex_state = 3},
  [1329] = {.lex_state = 70, .external_lex_state = 2},
  [1330] = {.lex_state = 70, .external_lex_state = 2},
  [1331] = {.lex_state = 70, .external_lex_state = 3},
  [1332] = {.lex_state = 70, .external_lex_state = 2},
  [1333] = {.lex_state = 8},
  [1334] = {.lex_state = 70, .external_lex_state = 2},
  [1335] = {.lex_state = 70, .external_lex_state = 3},
  [1336] = {.lex_state = 8},
  [1337] = {.lex_state = 70, .external_lex_state = 2},
  [1338] = {.lex_state = 71, .external_lex_state = 4},
  [1339] = {.lex_state = 70, .external_lex_state = 3},
  [1340] = {.lex_state = 70, .external_lex_state = 2},
  [1341] = {.lex_state = 70, .external_lex_state = 2},
  [1342] = {.lex_state = 70, .external_lex_state = 2},
  [1343] = {.lex_state = 70, .external_lex_state = 3},
  [1344] = {.lex_state = 71, .external_lex_state = 4},
  [1345] = {.lex_state = 71, .external_lex_state = 4},
  [1346] = {.lex_state = 70, .external_lex_state = 2},
  [1347] = {.lex_state = 70, .external_lex_state = 2},
  [1348] = {.lex_state = 70, .external_lex_state = 3},
  [1349] = {.lex_state = 70, .external_lex_state = 2},
  [1350] = {.lex_state = 70, .external_lex_state = 2},
  [1351] = {.lex_state = 70, .external_lex_state = 3},
  [1352] = {.lex_state = 70, .external_lex_state = 2},
  [1353] = {.lex_state = 70, .external_lex_state = 3},
  [1354] = {.lex_state = 70, .external_lex_state = 2},
  [1355] = {.lex_state = 70, .external_lex_state = 3},
  [1356] = {.lex_state = 70, .external_lex_state = 2},
  [1357] = {.lex_state = 70, .external_lex_state = 3},
  [1358] = {.lex_state = 70, .external_lex_state = 2},
  [1359] = {.lex_state = 70, .external_lex_state = 2},
  [1360] = {.lex_state = 70, .external_lex_state = 2},
  [1361] = {.lex_state = 70, .external_lex_state = 2},
  [1362] = {.lex_state = 70, .external_lex_state = 2},
  [1363] = {.lex_state = 70, .external_lex_state = 2},
  [1364] = {.lex_state = 70, .external_lex_state = 3},
  [1365] = {.lex_state = 70, .external_lex_state = 2},
  [1366] = {.lex_state = 70, .external_lex_state = 3},
  [1367] = {.lex_state = 70, .external_lex_state = 3},
  [1368] = {.lex_state = 70, .external_lex_state = 2},
  [1369] = {.lex_state = 70, .external_lex_state = 2},
  [1370] = {.lex_state = 70, .external_lex_state = 3},
  [1371] = {.lex_state = 70, .external_lex_state = 2},
  [1372] = {.lex_state = 4, .external_lex_state = 2},
  [1373] = {.lex_state = 71, .external_lex_state = 4},
  [1374] = {.lex_state = 70, .external_lex_state = 3},
  [1375] = {.lex_state = 70, .external_lex_state = 2},
  [1376] = {.lex_state = 70, .external_lex_state = 2},
  [1377] = {.lex_state = 70, .external_lex_state = 2},
  [1378] = {.lex_state = 70, .external_lex_state = 2},
  [1379] = {.lex_state = 70, .external_lex_state = 2},
  [1380] = {.lex_state = 70, .external_lex_state = 3},
  [1381] = {.lex_state = 70, .external_lex_state = 2},
  [1382] = {.lex_state = 70, .external_lex_state = 2},
  [1383] = {.lex_state = 70, .external_lex_state = 2},
  [1384] = {.lex_state = 70, .external_lex_state = 2},
  [1385] = {.lex_state = 70, .external_lex_state = 3},
  [1386] = {.lex_state = 71, .external_lex_state = 4},
  [1387] = {.lex_state = 71, .external_lex_state = 4},
  [1388] = {.lex_state = 71, .external_lex_state = 4},
  [1389] = {.lex_state = 70, .external_lex_state = 3},
  [1390] = {.lex_state = 70, .external_lex_state = 3},
  [1391] = {.lex_state = 70, .external_lex_state = 2},
  [1392] = {.lex_state = 70, .external_lex_state = 3},
  [1393] = {.lex_state = 70, .external_lex_state = 3},
  [1394] = {.lex_state = 70, .external_lex_state = 2},
  [1395] = {.lex_state = 70, .external_lex_state = 2},
  [1396] = {.lex_state = 70, .external_lex_state = 2},
  [1397] = {.lex_state = 70, .external_lex_state = 2},
  [1398] = {.lex_state = 70, .external_lex_state = 2},
  [1399] = {.lex_state = 70, .external_lex_state = 2},
  [1400] = {.lex_state = 70, .external_lex_state = 3},
  [1401] = {.lex_state = 70, .external_lex_state = 3},
  [1402] = {.lex_state = 70, .external_lex_state = 2},
  [1403] = {.lex_state = 70, .external_lex_state = 2},
  [1404] = {.lex_state = 71, .external_lex_state = 4},
  [1405] = {.lex_state = 70, .external_lex_state = 2},
  [1406] = {.lex_state = 71, .external_lex_state = 4},
  [1407] = {.lex_state = 70, .external_lex_state = 2},
  [1408] = {.lex_state = 71, .external_lex_state = 4},
  [1409] = {.lex_state = 70, .external_lex_state = 2},
  [1410] = {.lex_state = 70, .external_lex_state = 2},
  [1411] = {.lex_state = 71, .external_lex_state = 4},
  [1412] = {.lex_state = 70, .external_lex_state = 2},
  [1413] = {.lex_state = 70, .external_lex_state = 3},
  [1414] = {.lex_state = 70, .external_lex_state = 3},
  [1415] = {.lex_state = 70, .external_lex_state = 3},
  [1416] = {.lex_state = 70, .external_lex_state = 3},
  [1417] = {.lex_state = 70, .external_lex_state = 3},
  [1418] = {.lex_state = 70, .external_lex_state = 3},
  [1419] = {.lex_state = 70, .external_lex_state = 3},
  [1420] = {.lex_state = 70, .external_lex_state = 2},
  [1421] = {.lex_state = 70, .external_lex_state = 3},
  [1422] = {.lex_state = 70, .external_lex_state = 3},
  [1423] = {.lex_state = 70, .external_lex_state = 3},
  [1424] = {.lex_state = 70, .external_lex_state = 3},
  [1425] = {.lex_state = 70, .external_lex_state = 3},
  [1426] = {.lex_state = 70, .external_lex_state = 3},
  [1427] = {.lex_state = 70, .external_lex_state = 3},
  [1428] = {.lex_state = 70, .external_lex_state = 3},
  [1429] = {.lex_state = 70, .external_lex_state = 3},
  [1430] = {.lex_state = 70, .external_lex_state = 3},
  [1431] = {.lex_state = 70, .external_lex_state = 3},
  [1432] = {.lex_state = 70, .external_lex_state = 3},
  [1433] = {.lex_state = 70, .external_lex_state = 3},
  [1434] = {.lex_state = 70, .external_lex_state = 3},
  [1435] = {.lex_state = 70, .external_lex_state = 3},
  [1436] = {.lex_state = 70, .external_lex_state = 3},
  [1437] = {.lex_state = 70, .external_lex_state = 3},
  [1438] = {.lex_state = 70, .external_lex_state = 3},
  [1439] = {.lex_state = 70, .external_lex_state = 2},
  [1440] = {.lex_state = 70, .external_lex_state = 3},
  [1441] = {.lex_state = 70, .external_lex_state = 3},
  [1442] = {.lex_state = 70, .external_lex_state = 2},
  [1443] = {.lex_state = 70, .external_lex_state = 2},
  [1444] = {.lex_state = 4, .external_lex_state = 3},
  [1445] = {.lex_state = 70, .external_lex_state = 3},
  [1446] = {.lex_state = 70, .external_lex_state = 3},
  [1447] = {.lex_state = 70, .external_lex_state = 3},
  [1448] = {.lex_state = 70, .external_lex_state = 3},
  [1449] = {.lex_state = 70, .external_lex_state = 3},
  [1450] = {.lex_state = 70, .external_lex_state = 3},
  [1451] = {.lex_state = 70, .external_lex_state = 3},
  [1452] = {.lex_state = 70, .external_lex_state = 3},
  [1453] = {.lex_state = 70, .external_lex_state = 3},
  [1454] = {.lex_state = 70, .external_lex_state = 3},
  [1455] = {.lex_state = 70, .external_lex_state = 3},
  [1456] = {.lex_state = 70, .external_lex_state = 3},
  [1457] = {.lex_state = 70, .external_lex_state = 3},
  [1458] = {.lex_state = 70, .external_lex_state = 3},
  [1459] = {.lex_state = 70, .external_lex_state = 3},
  [1460] = {.lex_state = 70, .external_lex_state = 3},
  [1461] = {.lex_state = 70, .external_lex_state = 3},
  [1462] = {.lex_state = 71, .external_lex_state = 4},
  [1463] = {.lex_state = 70, .external_lex_state = 3},
  [1464] = {.lex_state = 70, .external_lex_state = 3},
  [1465] = {.lex_state = 70, .external_lex_state = 3},
  [1466] = {.lex_state = 70, .external_lex_state = 3},
  [1467] = {.lex_state = 70, .external_lex_state = 3},
  [1468] = {.lex_state = 70, .external_lex_state = 3},
  [1469] = {.lex_state = 70, .external_lex_state = 3},
  [1470] = {.lex_state = 71, .external_lex_state = 4},
  [1471] = {.lex_state = 70, .external_lex_state = 3},
  [1472] = {.lex_state = 70, .external_lex_state = 3},
  [1473] = {.lex_state = 70, .external_lex_state = 3},
  [1474] = {.lex_state = 70, .external_lex_state = 3},
  [1475] = {.lex_state = 70, .external_lex_state = 3},
  [1476] = {.lex_state = 70, .external_lex_state = 3},
  [1477] = {.lex_state = 70, .external_lex_state = 3},
  [1478] = {.lex_state = 70, .external_lex_state = 3},
  [1479] = {.lex_state = 70, .external_lex_state = 2},
  [1480] = {.lex_state = 70, .external_lex_state = 2},
  [1481] = {.lex_state = 70, .external_lex_state = 2},
  [1482] = {.lex_state = 70, .external_lex_state = 2},
  [1483] = {.lex_state = 70, .external_lex_state = 3},
  [1484] = {.lex_state = 70, .external_lex_state = 2},
  [1485] = {.lex_state = 70, .external_lex_state = 3},
  [1486] = {.lex_state = 70, .external_lex_state = 3},
  [1487] = {.lex_state = 70, .external_lex_state = 2},
  [1488] = {.lex_state = 70, .external_lex_state = 2},
  [1489] = {.lex_state = 70, .external_lex_state = 2},
  [1490] = {.lex_state = 70, .external_lex_state = 3},
  [1491] = {.lex_state = 70, .external_lex_state = 3},
  [1492] = {.lex_state = 70, .external_lex_state = 2},
  [1493] = {.lex_state = 70, .external_lex_state = 2},
  [1494] = {.lex_state = 70, .external_lex_state = 3},
  [1495] = {.lex_state = 70, .external_lex_state = 3},
  [1496] = {.lex_state = 70, .external_lex_state = 2},
  [1497] = {.lex_state = 70, .external_lex_state = 3},
  [1498] = {.lex_state = 70, .external_lex_state = 2},
  [1499] = {.lex_state = 70, .external_lex_state = 2},
  [1500] = {.lex_state = 70, .external_lex_state = 2},
  [1501] = {.lex_state = 70, .external_lex_state = 2},
  [1502] = {.lex_state = 70, .external_lex_state = 3},
  [1503] = {.lex_state = 70, .external_lex_state = 3},
  [1504] = {.lex_state = 70, .external_lex_state = 2},
  [1505] = {.lex_state = 70, .external_lex_state = 3},
  [1506] = {.lex_state = 70, .external_lex_state = 3},
  [1507] = {.lex_state = 70, .external_lex_state = 2},
  [1508] = {.lex_state = 70, .external_lex_state = 2},
  [1509] = {.lex_state = 70, .external_lex_state = 2},
  [1510] = {.lex_state = 70, .external_lex_state = 2},
  [1511] = {.lex_state = 70, .external_lex_state = 3},
  [1512] = {.lex_state = 70, .external_lex_state = 2},
  [1513] = {.lex_state = 70, .external_lex_state = 2},
  [1514] = {.lex_state = 70, .external_lex_state = 2},
  [1515] = {.lex_state = 70, .external_lex_state = 3},
  [1516] = {.lex_state = 70, .external_lex_state = 2},
  [1517] = {.lex_state = 70, .external_lex_state = 2},
  [1518] = {.lex_state = 70, .external_lex_state = 2},
  [1519] = {.lex_state = 70, .external_lex_state = 2},
  [1520] = {.lex_state = 70, .external_lex_state = 3},
  [1521] = {.lex_state = 70, .external_lex_state = 2},
  [1522] = {.lex_state = 70, .external_lex_state = 2},
  [1523] = {.lex_state = 70, .external_lex_state = 3},
  [1524] = {.lex_state = 70, .external_lex_state = 3},
  [1525] = {.lex_state = 70, .external_lex_state = 2},
  [1526] = {.lex_state = 70, .external_lex_state = 3},
  [1527] = {.lex_state = 70, .external_lex_state = 3},
  [1528] = {.lex_state = 70, .external_lex_state = 3},
  [1529] = {.lex_state = 70, .external_lex_state = 2},
  [1530] = {.lex_state = 70, .external_lex_state = 3},
  [1531] = {.lex_state = 70, .external_lex_state = 2},
  [1532] = {.lex_state = 70, .external_lex_state = 2},
  [1533] = {.lex_state = 70, .external_lex_state = 3},
  [1534] = {.lex_state = 70, .external_lex_state = 3},
  [1535] = {.lex_state = 70, .external_lex_state = 3},
  [1536] = {.lex_state = 70, .external_lex_state = 3},
  [1537] = {.lex_state = 70, .external_lex_state = 3},
  [1538] = {.lex_state = 70, .external_lex_state = 3},
  [1539] = {.lex_state = 70, .external_lex_state = 3},
  [1540] = {.lex_state = 70, .external_lex_state = 2},
  [1541] = {.lex_state = 70, .external_lex_state = 3},
  [1542] = {.lex_state = 70, .external_lex_state = 3},
  [1543] = {.lex_state = 70, .external_lex_state = 3},
  [1544] = {.lex_state = 70, .external_lex_state = 3},
  [1545] = {.lex_state = 70, .external_lex_state = 2},
  [1546] = {.lex_state = 70, .external_lex_state = 3},
  [1547] = {.lex_state = 70, .external_lex_state = 2},
  [1548] = {.lex_state = 70, .external_lex_state = 3},
  [1549] = {.lex_state = 70, .external_lex_state = 3},
  [1550] = {.lex_state = 70, .external_lex_state = 2},
  [1551] = {.lex_state = 70, .external_lex_state = 2},
  [1552] = {.lex_state = 70, .external_lex_state = 2},
  [1553] = {.lex_state = 70, .external_lex_state = 3},
  [1554] = {.lex_state = 70, .external_lex_state = 2},
  [1555] = {.lex_state = 70, .external_lex_state = 2},
  [1556] = {.lex_state = 70, .external_lex_state = 3},
  [1557] = {.lex_state = 70, .external_lex_state = 3},
  [1558] = {.lex_state = 70, .external_lex_state = 2},
  [1559] = {.lex_state = 71, .external_lex_state = 4},
  [1560] = {.lex_state = 70, .external_lex_state = 2},
  [1561] = {.lex_state = 70, .external_lex_state = 2},
  [1562] = {.lex_state = 70, .external_lex_state = 3},
  [1563] = {.lex_state = 70, .external_lex_state = 3},
  [1564] = {.lex_state = 70, .external_lex_state = 2},
  [1565] = {.lex_state = 70, .external_lex_state = 3},
  [1566] = {.lex_state = 71, .external_lex_state = 4},
  [1567] = {.lex_state = 71, .external_lex_state = 4},
  [1568] = {.lex_state = 70, .external_lex_state = 3},
  [1569] = {.lex_state = 70, .external_lex_state = 3},
  [1570] = {.lex_state = 70, .external_lex_state = 3},
  [1571] = {.lex_state = 70, .external_lex_state = 3},
  [1572] = {.lex_state = 70, .external_lex_state = 3},
  [1573] = {.lex_state = 70, .external_lex_state = 3},
  [1574] = {.lex_state = 70, .external_lex_state = 3},
  [1575] = {.lex_state = 70, .external_lex_state = 3},
  [1576] = {.lex_state = 70, .external_lex_state = 3},
  [1577] = {.lex_state = 70, .external_lex_state = 3},
  [1578] = {.lex_state = 70, .external_lex_state = 2},
  [1579] = {.lex_state = 70, .external_lex_state = 3},
  [1580] = {.lex_state = 70, .external_lex_state = 3},
  [1581] = {.lex_state = 70, .external_lex_state = 2},
  [1582] = {.lex_state = 70, .external_lex_state = 3},
  [1583] = {.lex_state = 70, .external_lex_state = 3},
  [1584] = {.lex_state = 70, .external_lex_state = 3},
  [1585] = {.lex_state = 70, .external_lex_state = 3},
  [1586] = {.lex_state = 70, .external_lex_state = 3},
  [1587] = {.lex_state = 71, .external_lex_state = 4},
  [1588] = {.lex_state = 70, .external_lex_state = 2},
  [1589] = {.lex_state = 70, .external_lex_state = 2},
  [1590] = {.lex_state = 70, .external_lex_state = 3},
  [1591] = {.lex_state = 70, .external_lex_state = 3},
  [1592] = {.lex_state = 70, .external_lex_state = 3},
  [1593] = {.lex_state = 70, .external_lex_state = 3},
  [1594] = {.lex_state = 70, .external_lex_state = 3},
  [1595] = {.lex_state = 70, .external_lex_state = 3},
  [1596] = {.lex_state = 70, .external_lex_state = 3},
  [1597] = {.lex_state = 70, .external_lex_state = 3},
  [1598] = {.lex_state = 70, .external_lex_state = 2},
  [1599] = {.lex_state = 70, .external_lex_state = 3},
  [1600] = {.lex_state = 70, .external_lex_state = 3},
  [1601] = {.lex_state = 70, .external_lex_state = 3},
  [1602] = {.lex_state = 70, .external_lex_state = 3},
  [1603] = {.lex_state = 70, .external_lex_state = 3},
  [1604] = {.lex_state = 70, .external_lex_state = 3},
  [1605] = {.lex_state = 70, .external_lex_state = 3},
  [1606] = {.lex_state = 70, .external_lex_state = 3},
  [1607] = {.lex_state = 70, .external_lex_state = 2},
  [1608] = {.lex_state = 70, .external_lex_state = 3},
  [1609] = {.lex_state = 70, .external_lex_state = 2},
  [1610] = {.lex_state = 70, .external_lex_state = 2},
  [1611] = {.lex_state = 70, .external_lex_state = 2},
  [1612] = {.lex_state = 70, .external_lex_state = 3},
  [1613] = {.lex_state = 70, .external_lex_state = 3},
  [1614] = {.lex_state = 70, .external_lex_state = 3},
  [1615] = {.lex_state = 70, .external_lex_state = 3},
  [1616] = {.lex_state = 70, .external_lex_state = 3},
  [1617] = {.lex_state = 70, .external_lex_state = 3},
  [1618] = {.lex_state = 70, .external_lex_state = 3},
  [1619] = {.lex_state = 70, .external_lex_state = 3},
  [1620] = {.lex_state = 70, .external_lex_state = 3},
  [1621] = {.lex_state = 70, .external_lex_state = 3},
  [1622] = {.lex_state = 70, .external_lex_state = 2},
  [1623] = {.lex_state = 71, .external_lex_state = 4},
  [1624] = {.lex_state = 70, .external_lex_state = 3},
  [1625] = {.lex_state = 70, .external_lex_state = 3},
  [1626] = {.lex_state = 70, .external_lex_state = 3},
  [1627] = {.lex_state = 70, .external_lex_state = 3},
  [1628] = {.lex_state = 70, .external_lex_state = 3},
  [1629] = {.lex_state = 70, .external_lex_state = 3},
  [1630] = {.lex_state = 70, .external_lex_state = 3},
  [1631] = {.lex_state = 70, .external_lex_state = 3},
  [1632] = {.lex_state = 70, .external_lex_state = 2},
  [1633] = {.lex_state = 70, .external_lex_state = 3},
  [1634] = {.lex_state = 70, .external_lex_state = 3},
  [1635] = {.lex_state = 70, .external_lex_state = 3},
  [1636] = {.lex_state = 70, .external_lex_state = 3},
  [1637] = {.lex_state = 70, .external_lex_state = 3},
  [1638] = {.lex_state = 70, .external_lex_state = 3},
  [1639] = {.lex_state = 70, .external_lex_state = 3},
  [1640] = {.lex_state = 70, .external_lex_state = 3},
  [1641] = {.lex_state = 71, .external_lex_state = 4},
  [1642] = {.lex_state = 70, .external_lex_state = 3},
  [1643] = {.lex_state = 70, .external_lex_state = 3},
  [1644] = {.lex_state = 70, .external_lex_state = 3},
  [1645] = {.lex_state = 71, .external_lex_state = 4},
  [1646] = {.lex_state = 71, .external_lex_state = 4},
  [1647] = {.lex_state = 70, .external_lex_state = 3},
  [1648] = {.lex_state = 70, .external_lex_state = 3},
  [1649] = {.lex_state = 70, .external_lex_state = 2},
  [1650] = {.lex_state = 70, .external_lex_state = 2},
  [1651] = {.lex_state = 70, .external_lex_state = 2},
  [1652] = {.lex_state = 70, .external_lex_state = 3},
  [1653] = {.lex_state = 70, .external_lex_state = 3},
  [1654] = {.lex_state = 70, .external_lex_state = 2},
  [1655] = {.lex_state = 70, .external_lex_state = 2},
  [1656] = {.lex_state = 70, .external_lex_state = 3},
  [1657] = {.lex_state = 70, .external_lex_state = 2},
  [1658] = {.lex_state = 70, .external_lex_state = 2},
  [1659] = {.lex_state = 70, .external_lex_state = 2},
  [1660] = {.lex_state = 70, .external_lex_state = 2},
  [1661] = {.lex_state = 70, .external_lex_state = 2},
  [1662] = {.lex_state = 71, .external_lex_state = 4},
  [1663] = {.lex_state = 70, .external_lex_state = 2},
  [1664] = {.lex_state = 70, .external_lex_state = 2},
  [1665] = {.lex_state = 70, .external_lex_state = 3},
  [1666] = {.lex_state = 70, .external_lex_state = 2},
  [1667] = {.lex_state = 70, .external_lex_state = 2},
  [1668] = {.lex_state = 70, .external_lex_state = 3},
  [1669] = {.lex_state = 70, .external_lex_state = 2},
  [1670] = {.lex_state = 70, .external_lex_state = 2},
  [1671] = {.lex_state = 71},
  [1672] = {.lex_state = 70, .external_lex_state = 2},
  [1673] = {.lex_state = 70, .external_lex_state = 2},
  [1674] = {.lex_state = 70, .external_lex_state = 3},
  [1675] = {.lex_state = 70, .external_lex_state = 2},
  [1676] = {.lex_state = 70, .external_lex_state = 2},
  [1677] = {.lex_state = 70, .external_lex_state = 2},
  [1678] = {.lex_state = 70, .external_lex_state = 2},
  [1679] = {.lex_state = 70, .external_lex_state = 3},
  [1680] = {.lex_state = 70, .external_lex_state = 2},
  [1681] = {.lex_state = 70, .external_lex_state = 2},
  [1682] = {.lex_state = 71},
  [1683] = {.lex_state = 71},
  [1684] = {.lex_state = 70, .external_lex_state = 3},
  [1685] = {.lex_state = 70, .external_lex_state = 3},
  [1686] = {.lex_state = 70, .external_lex_state = 3},
  [1687] = {.lex_state = 70, .external_lex_state = 3},
  [1688] = {.lex_state = 71},
  [1689] = {.lex_state = 70, .external_lex_state = 3},
  [1690] = {.lex_state = 70, .external_lex_state = 3},
  [1691] = {.lex_state = 70, .external_lex_state = 2},
  [1692] = {.lex_state = 70, .external_lex_state = 2},
  [1693] = {.lex_state = 70, .external_lex_state = 3},
  [1694] = {.lex_state = 70, .external_lex_state = 2},
  [1695] = {.lex_state = 70, .external_lex_state = 2},
  [1696] = {.lex_state = 70, .external_lex_state = 3},
  [1697] = {.lex_state = 70, .external_lex_state = 3},
  [1698] = {.lex_state = 70, .external_lex_state = 3},
  [1699] = {.lex_state = 70, .external_lex_state = 3},
  [1700] = {.lex_state = 70, .external_lex_state = 2},
  [1701] = {.lex_state = 70, .external_lex_state = 2},
  [1702] = {.lex_state = 70, .external_lex_state = 2},
  [1703] = {.lex_state = 71, .external_lex_state = 4},
  [1704] = {.lex_state = 70, .external_lex_state = 3},
  [1705] = {.lex_state = 71},
  [1706] = {.lex_state = 71, .external_lex_state = 4},
  [1707] = {.lex_state = 71, .external_lex_state = 4},
  [1708] = {.lex_state = 71, .external_lex_state = 4},
  [1709] = {.lex_state = 70, .external_lex_state = 3},
  [1710] = {.lex_state = 71},
  [1711] = {.lex_state = 70, .external_lex_state = 2},
  [1712] = {.lex_state = 70, .external_lex_state = 2},
  [1713] = {.lex_state = 70, .external_lex_state = 3},
  [1714] = {.lex_state = 70, .external_lex_state = 3},
  [1715] = {.lex_state = 70, .external_lex_state = 3},
  [1716] = {.lex_state = 71},
  [1717] = {.lex_state = 70, .external_lex_state = 3},
  [1718] = {.lex_state = 70, .external_lex_state = 3},
  [1719] = {.lex_state = 70, .external_lex_state = 3},
  [1720] = {.lex_state = 70, .external_lex_state = 2},
  [1721] = {.lex_state = 70, .external_lex_state = 3},
  [1722] = {.lex_state = 70, .external_lex_state = 3},
  [1723] = {.lex_state = 70, .external_lex_state = 2},
  [1724] = {.lex_state = 70, .external_lex_state = 3},
  [1725] = {.lex_state = 70, .external_lex_state = 3},
  [1726] = {.lex_state = 70, .external_lex_state = 3},
  [1727] = {.lex_state = 70, .external_lex_state = 3},
  [1728] = {.lex_state = 70, .external_lex_state = 2},
  [1729] = {.lex_state = 70, .external_lex_state = 2},
  [1730] = {.lex_state = 70, .external_lex_state = 3},
  [1731] = {.lex_state = 70, .external_lex_state = 3},
  [1732] = {.lex_state = 70, .external_lex_state = 2},
  [1733] = {.lex_state = 71},
  [1734] = {.lex_state = 70, .external_lex_state = 2},
  [1735] = {.lex_state = 70, .external_lex_state = 3},
  [1736] = {.lex_state = 70, .external_lex_state = 3},
  [1737] = {.lex_state = 70, .external_lex_state = 3},
  [1738] = {.lex_state = 70, .external_lex_state = 3},
  [1739] = {.lex_state = 70, .external_lex_state = 2},
  [1740] = {.lex_state = 70, .external_lex_state = 3},
  [1741] = {.lex_state = 70, .external_lex_state = 3},
  [1742] = {.lex_state = 4, .external_lex_state = 2},
  [1743] = {.lex_state = 70, .external_lex_state = 3},
  [1744] = {.lex_state = 71},
  [1745] = {.lex_state = 71},
  [1746] = {.lex_state = 70, .external_lex_state = 3},
  [1747] = {.lex_state = 71},
  [1748] = {.lex_state = 70, .external_lex_state = 3},
  [1749] = {.lex_state = 70, .external_lex_state = 3},
  [1750] = {.lex_state = 70, .external_lex_state = 3},
  [1751] = {.lex_state = 70, .external_lex_state = 3},
  [1752] = {.lex_state = 70, .external_lex_state = 3},
  [1753] = {.lex_state = 70, .external_lex_state = 3},
  [1754] = {.lex_state = 71},
  [1755] = {.lex_state = 70, .external_lex_state = 3},
  [1756] = {.lex_state = 70, .external_lex_state = 3},
  [1757] = {.lex_state = 70, .external_lex_state = 3},
  [1758] = {.lex_state = 71},
  [1759] = {.lex_state = 70, .external_lex_state = 3},
  [1760] = {.lex_state = 70, .external_lex_state = 2},
  [1761] = {.lex_state = 70, .external_lex_state = 2},
  [1762] = {.lex_state = 70, .external_lex_state = 2},
  [1763] = {.lex_state = 71, .external_lex_state = 4},
  [1764] = {.lex_state = 70, .external_lex_state = 3},
  [1765] = {.lex_state = 71},
  [1766] = {.lex_state = 70, .external_lex_state = 2},
  [1767] = {.lex_state = 70, .external_lex_state = 3},
  [1768] = {.lex_state = 70, .external_lex_state = 2},
  [1769] = {.lex_state = 70, .external_lex_state = 2},
  [1770] = {.lex_state = 71, .external_lex_state = 4},
  [1771] = {.lex_state = 71, .external_lex_state = 4},
  [1772] = {.lex_state = 70, .external_lex_state = 3},
  [1773] = {.lex_state = 70, .external_lex_state = 3},
  [1774] = {.lex_state = 70, .external_lex_state = 3},
  [1775] = {.lex_state = 71, .external_lex_state = 4},
  [1776] = {.lex_state = 71, .external_lex_state = 4},
  [1777] = {.lex_state = 70, .external_lex_state = 2},
  [1778] = {.lex_state = 71, .external_lex_state = 4},
  [1779] = {.lex_state = 71},
  [1780] = {.lex_state = 70, .external_lex_state = 2},
  [1781] = {.lex_state = 71, .external_lex_state = 4},
  [1782] = {.lex_state = 70, .external_lex_state = 3},
  [1783] = {.lex_state = 70, .external_lex_state = 3},
  [1784] = {.lex_state = 70, .external_lex_state = 2},
  [1785] = {.lex_state = 70, .external_lex_state = 3},
  [1786] = {.lex_state = 71},
  [1787] = {.lex_state = 71},
  [1788] = {.lex_state = 70, .external_lex_state = 3},
  [1789] = {.lex_state = 70, .external_lex_state = 3},
  [1790] = {.lex_state = 70, .external_lex_state = 3},
  [1791] = {.lex_state = 70, .external_lex_state = 3},
  [1792] = {.lex_state = 71},
  [1793] = {.lex_state = 70, .external_lex_state = 3},
  [1794] = {.lex_state = 71},
  [1795] = {.lex_state = 70, .external_lex_state = 2},
  [1796] = {.lex_state = 70, .external_lex_state = 3},
  [1797] = {.lex_state = 70, .external_lex_state = 3},
  [1798] = {.lex_state = 71},
  [1799] = {.lex_state = 70, .external_lex_state = 2},
  [1800] = {.lex_state = 71, .external_lex_state = 4},
  [1801] = {.lex_state = 71, .external_lex_state = 4},
  [1802] = {.lex_state = 70, .external_lex_state = 2},
  [1803] = {.lex_state = 71, .external_lex_state = 4},
  [1804] = {.lex_state = 71, .external_lex_state = 4},
  [1805] = {.lex_state = 71, .external_lex_state = 4},
  [1806] = {.lex_state = 71, .external_lex_state = 4},
  [1807] = {.lex_state = 71, .external_lex_state = 4},
  [1808] = {.lex_state = 71},
  [1809] = {.lex_state = 71},
  [1810] = {.lex_state = 71, .external_lex_state = 4},
  [1811] = {.lex_state = 70, .external_lex_state = 3},
  [1812] = {.lex_state = 70, .external_lex_state = 2},
  [1813] = {.lex_state = 71, .external_lex_state = 4},
  [1814] = {.lex_state = 71, .external_lex_state = 4},
  [1815] = {.lex_state = 70, .external_lex_state = 2},
  [1816] = {.lex_state = 71},
  [1817] = {.lex_state = 71},
  [1818] = {.lex_state = 71},
  [1819] = {.lex_state = 71, .external_lex_state = 4},
  [1820] = {.lex_state = 71, .external_lex_state = 4},
  [1821] = {.lex_state = 70, .external_lex_state = 2},
  [1822] = {.lex_state = 71, .external_lex_state = 4},
  [1823] = {.lex_state = 71, .external_lex_state = 4},
  [1824] = {.lex_state = 71, .external_lex_state = 4},
  [1825] = {.lex_state = 70, .external_lex_state = 2},
  [1826] = {.lex_state = 71, .external_lex_state = 4},
  [1827] = {.lex_state = 71, .external_lex_state = 4},
  [1828] = {.lex_state = 71, .external_lex_state = 4},
  [1829] = {.lex_state = 71, .external_lex_state = 4},
  [1830] = {.lex_state = 71, .external_lex_state = 4},
  [1831] = {.lex_state = 71, .external_lex_state = 4},
  [1832] = {.lex_state = 71, .external_lex_state = 4},
  [1833] = {.lex_state = 71},
  [1834] = {.lex_state = 71, .external_lex_state = 4},
  [1835] = {.lex_state = 71},
  [1836] = {.lex_state = 71, .external_lex_state = 4},
  [1837] = {.lex_state = 71, .external_lex_state = 4},
  [1838] = {.lex_state = 71, .external_lex_state = 4},
  [1839] = {.lex_state = 70, .external_lex_state = 2},
  [1840] = {.lex_state = 71, .external_lex_state = 4},
  [1841] = {.lex_state = 71, .external_lex_state = 4},
  [1842] = {.lex_state = 71},
  [1843] = {.lex_state = 71},
  [1844] = {.lex_state = 70, .external_lex_state = 2},
  [1845] = {.lex_state = 71, .external_lex_state = 4},
  [1846] = {.lex_state = 71, .external_lex_state = 4},
  [1847] = {.lex_state = 71, .external_lex_state = 4},
  [1848] = {.lex_state = 71},
  [1849] = {.lex_state = 71, .external_lex_state = 4},
  [1850] = {.lex_state = 71},
  [1851] = {.lex_state = 71, .external_lex_state = 4},
  [1852] = {.lex_state = 71, .external_lex_state = 4},
  [1853] = {.lex_state = 70, .external_lex_state = 2},
  [1854] = {.lex_state = 70, .external_lex_state = 2},
  [1855] = {.lex_state = 70, .external_lex_state = 2},
  [1856] = {.lex_state = 70, .external_lex_state = 2},
  [1857] = {.lex_state = 71},
  [1858] = {.lex_state = 70, .external_lex_state = 2},
  [1859] = {.lex_state = 71, .external_lex_state = 4},
  [1860] = {.lex_state = 70, .external_lex_state = 2},
  [1861] = {.lex_state = 71},
  [1862] = {.lex_state = 71, .external_lex_state = 4},
  [1863] = {.lex_state = 71},
  [1864] = {.lex_state = 71, .external_lex_state = 4},
  [1865] = {.lex_state = 70, .external_lex_state = 2},
  [1866] = {.lex_state = 71, .external_lex_state = 4},
  [1867] = {.lex_state = 71, .external_lex_state = 4},
  [1868] = {.lex_state = 71},
  [1869] = {.lex_state = 71, .external_lex_state = 4},
  [1870] = {.lex_state = 71, .external_lex_state = 4},
  [1871] = {.lex_state = 70, .external_lex_state = 2},
  [1872] = {.lex_state = 71, .external_lex_state = 4},
  [1873] = {.lex_state = 71, .external_lex_state = 4},
  [1874] = {.lex_state = 71, .external_lex_state = 4},
  [1875] = {.lex_state = 71, .external_lex_state = 4},
  [1876] = {.lex_state = 71, .external_lex_state = 4},
  [1877] = {.lex_state = 71},
  [1878] = {.lex_state = 71},
  [1879] = {.lex_state = 71},
  [1880] = {.lex_state = 71, .external_lex_state = 4},
  [1881] = {.lex_state = 71, .external_lex_state = 4},
  [1882] = {.lex_state = 71},
  [1883] = {.lex_state = 70, .external_lex_state = 2},
  [1884] = {.lex_state = 10},
  [1885] = {.lex_state = 70, .external_lex_state = 2},
  [1886] = {.lex_state = 71, .external_lex_state = 4},
  [1887] = {.lex_state = 71},
  [1888] = {.lex_state = 71, .external_lex_state = 4},
  [1889] = {.lex_state = 70, .external_lex_state = 2},
  [1890] = {.lex_state = 71, .external_lex_state = 4},
  [1891] = {.lex_state = 71},
  [1892] = {.lex_state = 71},
  [1893] = {.lex_state = 71, .external_lex_state = 4},
  [1894] = {.lex_state = 71},
  [1895] = {.lex_state = 71, .external_lex_state = 4},
  [1896] = {.lex_state = 71, .external_lex_state = 4},
  [1897] = {.lex_state = 71, .external_lex_state = 4},
  [1898] = {.lex_state = 71, .external_lex_state = 4},
  [1899] = {.lex_state = 71, .external_lex_state = 4},
  [1900] = {.lex_state = 71, .external_lex_state = 4},
  [1901] = {.lex_state = 71},
  [1902] = {.lex_state = 71, .external_lex_state = 4},
  [1903] = {.lex_state = 71, .external_lex_state = 4},
  [1904] = {.lex_state = 71, .external_lex_state = 4},
  [1905] = {.lex_state = 71, .external_lex_state = 4},
  [1906] = {.lex_state = 71, .external_lex_state = 4},
  [1907] = {.lex_state = 71, .external_lex_state = 4},
  [1908] = {.lex_state = 10},
  [1909] = {.lex_state = 71},
  [1910] = {.lex_state = 71},
  [1911] = {.lex_state = 71, .external_lex_state = 4},
  [1912] = {.lex_state = 71, .external_lex_state = 4},
  [1913] = {.lex_state = 71},
  [1914] = {.lex_state = 71},
  [1915] = {.lex_state = 71},
  [1916] = {.lex_state = 71},
  [1917] = {.lex_state = 71},
  [1918] = {.lex_state = 71},
  [1919] = {.lex_state = 71},
  [1920] = {.lex_state = 71},
  [1921] = {.lex_state = 71},
  [1922] = {.lex_state = 71},
  [1923] = {.lex_state = 71},
  [1924] = {.lex_state = 71},
  [1925] = {.lex_state = 71, .external_lex_state = 4},
  [1926] = {.lex_state = 71},
  [1927] = {.lex_state = 71},
  [1928] = {.lex_state = 71},
  [1929] = {.lex_state = 71},
  [1930] = {.lex_state = 71},
  [1931] = {.lex_state = 71, .external_lex_state = 4},
  [1932] = {.lex_state = 71},
  [1933] = {.lex_state = 10},
  [1934] = {.lex_state = 10},
  [1935] = {.lex_state = 71},
  [1936] = {.lex_state = 71},
  [1937] = {.lex_state = 71},
  [1938] = {.lex_state = 71},
  [1939] = {.lex_state = 71},
  [1940] = {.lex_state = 71},
  [1941] = {.lex_state = 71},
  [1942] = {.lex_state = 71},
  [1943] = {.lex_state = 71},
  [1944] = {.lex_state = 71},
  [1945] = {.lex_state = 71},
  [1946] = {.lex_state = 71},
  [1947] = {.lex_state = 71},
  [1948] = {.lex_state = 71},
  [1949] = {.lex_state = 71},
  [1950] = {.lex_state = 71},
  [1951] = {.lex_state = 71},
  [1952] = {.lex_state = 71},
  [1953] = {.lex_state = 71},
  [1954] = {.lex_state = 8, .external_lex_state = 4},
  [1955] = {.lex_state = 8, .external_lex_state = 4},
  [1956] = {.lex_state = 8, .external_lex_state = 4},
  [1957] = {.lex_state = 8, .external_lex_state = 4},
  [1958] = {.lex_state = 71},
  [1959] = {.lex_state = 8, .external_lex_state = 4},
  [1960] = {.lex_state = 71},
  [1961] = {.lex_state = 8, .external_lex_state = 4},
  [1962] = {.lex_state = 8, .external_lex_state = 4},
  [1963] = {.lex_state = 71},
  [1964] = {.lex_state = 8, .external_lex_state = 4},
  [1965] = {.lex_state = 8, .external_lex_state = 4},
  [1966] = {.lex_state = 8, .external_lex_state = 4},
  [1967] = {.lex_state = 8, .external_lex_state = 4},
  [1968] = {.lex_state = 8, .external_lex_state = 4},
  [1969] = {.lex_state = 8, .external_lex_state = 4},
  [1970] = {.lex_state = 8, .external_lex_state = 4},
  [1971] = {.lex_state = 71},
  [1972] = {.lex_state = 71},
  [1973] = {.lex_state = 8, .external_lex_state = 4},
  [1974] = {.lex_state = 71},
  [1975] = {.lex_state = 71},
  [1976] = {.lex_state = 8, .external_lex_state = 4},
  [1977] = {.lex_state = 8, .external_lex_state = 4},
  [1978] = {.lex_state = 8, .external_lex_state = 4},
  [1979] = {.lex_state = 8, .external_lex_state = 4},
  [1980] = {.lex_state = 8, .external_lex_state = 4},
  [1981] = {.lex_state = 71},
  [1982] = {.lex_state = 8, .external_lex_state = 4},
  [1983] = {.lex_state = 8, .external_lex_state = 4},
  [1984] = {.lex_state = 71},
  [1985] = {.lex_state = 71},
  [1986] = {.lex_state = 71},
  [1987] = {.lex_state = 71},
  [1988] = {.lex_state = 8, .external_lex_state = 4},
  [1989] = {.lex_state = 8, .external_lex_state = 4},
  [1990] = {.lex_state = 8, .external_lex_state = 4},
  [1991] = {.lex_state = 8, .external_lex_state = 4},
  [1992] = {.lex_state = 8, .external_lex_state = 4},
  [1993] = {.lex_state = 71},
  [1994] = {.lex_state = 71},
  [1995] = {.lex_state = 71},
  [1996] = {.lex_state = 71},
  [1997] = {.lex_state = 71},
  [1998] = {.lex_state = 71},
  [1999] = {.lex_state = 71},
  [2000] = {.lex_state = 71},
  [2001] = {.lex_state = 71},
  [2002] = {.lex_state = 71},
  [2003] = {.lex_state = 71},
  [2004] = {.lex_state = 71},
  [2005] = {.lex_state = 71},
  [2006] = {.lex_state = 71},
  [2007] = {.lex_state = 71},
  [2008] = {.lex_state = 71},
  [2009] = {.lex_state = 71},
  [2010] = {.lex_state = 71},
  [2011] = {.lex_state = 71},
  [2012] = {.lex_state = 71},
  [2013] = {.lex_state = 71},
  [2014] = {.lex_state = 71},
  [2015] = {.lex_state = 71},
  [2016] = {.lex_state = 71},
  [2017] = {.lex_state = 71},
  [2018] = {.lex_state = 71},
  [2019] = {.lex_state = 71},
  [2020] = {.lex_state = 71},
  [2021] = {.lex_state = 71},
  [2022] = {.lex_state = 71},
  [2023] = {.lex_state = 8},
  [2024] = {.lex_state = 71},
  [2025] = {.lex_state = 71},
  [2026] = {.lex_state = 71},
  [2027] = {.lex_state = 71},
  [2028] = {.lex_state = 71},
  [2029] = {.lex_state = 71},
  [2030] = {.lex_state = 71},
  [2031] = {.lex_state = 71},
  [2032] = {.lex_state = 71},
  [2033] = {.lex_state = 71},
  [2034] = {.lex_state = 71},
  [2035] = {.lex_state = 71},
  [2036] = {.lex_state = 71},
  [2037] = {.lex_state = 71},
  [2038] = {.lex_state = 71},
  [2039] = {.lex_state = 71},
  [2040] = {.lex_state = 71},
  [2041] = {.lex_state = 71},
  [2042] = {.lex_state = 71},
  [2043] = {.lex_state = 71},
  [2044] = {.lex_state = 71},
  [2045] = {.lex_state = 71},
  [2046] = {.lex_state = 71},
  [2047] = {.lex_state = 71},
  [2048] = {.lex_state = 71},
  [2049] = {.lex_state = 71},
  [2050] = {.lex_state = 71},
  [2051] = {.lex_state = 71},
  [2052] = {.lex_state = 71},
  [2053] = {.lex_state = 71},
  [2054] = {.lex_state = 71},
  [2055] = {.lex_state = 71},
  [2056] = {.lex_state = 71},
  [2057] = {.lex_state = 71},
  [2058] = {.lex_state = 71},
  [2059] = {.lex_state = 71},
  [2060] = {.lex_state = 71},
  [2061] = {.lex_state = 71},
  [2062] = {.lex_state = 71},
  [2063] = {.lex_state = 71},
  [2064] = {.lex_state = 71},
  [2065] = {.lex_state = 71},
  [2066] = {.lex_state = 71},
  [2067] = {.lex_state = 71},
  [2068] = {.lex_state = 71},
  [2069] = {.lex_state = 71},
  [2070] = {.lex_state = 71},
  [2071] = {.lex_state = 71},
  [2072] = {.lex_state = 71},
  [2073] = {.lex_state = 71},
  [2074] = {.lex_state = 71},
  [2075] = {.lex_state = 71},
  [2076] = {.lex_state = 71},
  [2077] = {.lex_state = 71},
  [2078] = {.lex_state = 71},
  [2079] = {.lex_state = 71},
  [2080] = {.lex_state = 71},
  [2081] = {.lex_state = 71},
  [2082] = {.lex_state = 71},
  [2083] = {.lex_state = 71},
  [2084] = {.lex_state = 71},
  [2085] = {.lex_state = 71},
  [2086] = {.lex_state = 71},
  [2087] = {.lex_state = 71},
  [2088] = {.lex_state = 71},
  [2089] = {.lex_state = 71},
  [2090] = {.lex_state = 71},
  [2091] = {.lex_state = 71},
  [2092] = {.lex_state = 71},
  [2093] = {.lex_state = 10},
  [2094] = {.lex_state = 10},
  [2095] = {.lex_state = 10},
  [2096] = {.lex_state = 10},
  [2097] = {.lex_state = 10},
  [2098] = {.lex_state = 10},
  [2099] = {.lex_state = 10},
  [2100] = {.lex_state = 71},
  [2101] = {.lex_state = 10},
  [2102] = {.lex_state = 10},
  [2103] = {.lex_state = 10},
  [2104] = {.lex_state = 10},
  [2105] = {.lex_state = 10},
  [2106] = {.lex_state = 10},
  [2107] = {.lex_state = 10},
  [2108] = {.lex_state = 10},
  [2109] = {.lex_state = 10},
  [2110] = {.lex_state = 10},
  [2111] = {.lex_state = 10},
  [2112] = {.lex_state = 10},
  [2113] = {.lex_state = 10},
  [2114] = {.lex_state = 10},
  [2115] = {.lex_state = 71},
  [2116] = {.lex_state = 10},
  [2117] = {.lex_state = 15},
  [2118] = {.lex_state = 71},
  [2119] = {.lex_state = 10},
  [2120] = {.lex_state = 15},
  [2121] = {.lex_state = 10},
  [2122] = {.lex_state = 10},
  [2123] = {.lex_state = 10},
  [2124] = {.lex_state = 71},
  [2125] = {.lex_state = 10},
  [2126] = {.lex_state = 10},
  [2127] = {.lex_state = 10},
  [2128] = {.lex_state = 10},
  [2129] = {.lex_state = 10},
  [2130] = {.lex_state = 10},
  [2131] = {.lex_state = 10},
  [2132] = {.lex_state = 10},
  [2133] = {.lex_state = 10},
  [2134] = {.lex_state = 10},
  [2135] = {.lex_state = 10},
  [2136] = {.lex_state = 71},
  [2137] = {.lex_state = 71},
  [2138] = {.lex_state = 10},
  [2139] = {.lex_state = 10},
  [2140] = {.lex_state = 10},
  [2141] = {.lex_state = 10},
  [2142] = {.lex_state = 71, .external_lex_state = 4},
  [2143] = {.lex_state = 71, .external_lex_state = 4},
  [2144] = {.lex_state = 10, .external_lex_state = 4},
  [2145] = {.lex_state = 71},
  [2146] = {.lex_state = 10, .external_lex_state = 4},
  [2147] = {.lex_state = 71},
  [2148] = {.lex_state = 2},
  [2149] = {.lex_state = 71},
  [2150] = {.lex_state = 71},
  [2151] = {.lex_state = 2},
  [2152] = {.lex_state = 71},
  [2153] = {.lex_state = 71},
  [2154] = {.lex_state = 71},
  [2155] = {.lex_state = 2},
  [2156] = {.lex_state = 71, .external_lex_state = 4},
  [2157] = {.lex_state = 71},
  [2158] = {.lex_state = 71},
  [2159] = {.lex_state = 71},
  [2160] = {.lex_state = 71},
  [2161] = {.lex_state = 2},
  [2162] = {.lex_state = 71},
  [2163] = {.lex_state = 71},
  [2164] = {.lex_state = 2},
  [2165] = {.lex_state = 71},
  [2166] = {.lex_state = 71},
  [2167] = {.lex_state = 71},
  [2168] = {.lex_state = 2},
  [2169] = {.lex_state = 71},
  [2170] = {.lex_state = 71},
  [2171] = {.lex_state = 71},
  [2172] = {.lex_state = 71},
  [2173] = {.lex_state = 71},
  [2174] = {.lex_state = 71},
  [2175] = {.lex_state = 10, .external_lex_state = 4},
  [2176] = {.lex_state = 71},
  [2177] = {.lex_state = 71},
  [2178] = {.lex_state = 71},
  [2179] = {.lex_state = 71},
  [2180] = {.lex_state = 71},
  [2181] = {.lex_state = 71},
  [2182] = {.lex_state = 71},
  [2183] = {.lex_state = 10, .external_lex_state = 4},
  [2184] = {.lex_state = 71},
  [2185] = {.lex_state = 71},
  [2186] = {.lex_state = 71},
  [2187] = {.lex_state = 71},
  [2188] = {.lex_state = 71},
  [2189] = {.lex_state = 71},
  [2190] = {.lex_state = 71, .external_lex_state = 4},
  [2191] = {.lex_state = 71},
  [2192] = {.lex_state = 10, .external_lex_state = 4},
  [2193] = {.lex_state = 71, .external_lex_state = 4},
  [2194] = {.lex_state = 10, .external_lex_state = 4},
  [2195] = {.lex_state = 10, .external_lex_state = 4},
  [2196] = {.lex_state = 10, .external_lex_state = 4},
  [2197] = {.lex_state = 10, .external_lex_state = 4},
  [2198] = {.lex_state = 71},
  [2199] = {.lex_state = 71},
  [2200] = {.lex_state = 10, .external_lex_state = 4},
  [2201] = {.lex_state = 71},
  [2202] = {.lex_state = 71},
  [2203] = {.lex_state = 71},
  [2204] = {.lex_state = 10, .external_lex_state = 4},
  [2205] = {.lex_state = 71},
  [2206] = {.lex_state = 71},
  [2207] = {.lex_state = 71},
  [2208] = {.lex_state = 71, .external_lex_state = 4},
  [2209] = {.lex_state = 71, .external_lex_state = 4},
  [2210] = {.lex_state = 10, .external_lex_state = 4},
  [2211] = {.lex_state = 71},
  [2212] = {.lex_state = 71},
  [2213] = {.lex_state = 71},
  [2214] = {.lex_state = 71},
  [2215] = {.lex_state = 71},
  [2216] = {.lex_state = 71},
  [2217] = {.lex_state = 71},
  [2218] = {.lex_state = 71},
  [2219] = {.lex_state = 10, .external_lex_state = 4},
  [2220] = {.lex_state = 71},
  [2221] = {.lex_state = 71},
  [2222] = {.lex_state = 71},
  [2223] = {.lex_state = 71},
  [2224] = {.lex_state = 10, .external_lex_state = 4},
  [2225] = {.lex_state = 10, .external_lex_state = 4},
  [2226] = {.lex_state = 71},
  [2227] = {.lex_state = 10, .external_lex_state = 4},
  [2228] = {.lex_state = 10, .external_lex_state = 4},
  [2229] = {.lex_state = 10, .external_lex_state = 4},
  [2230] = {.lex_state = 71},
  [2231] = {.lex_state = 71},
  [2232] = {.lex_state = 71},
  [2233] = {.lex_state = 71},
  [2234] = {.lex_state = 10, .external_lex_state = 4},
  [2235] = {.lex_state = 71},
  [2236] = {.lex_state = 71},
  [2237] = {.lex_state = 71},
  [2238] = {.lex_state = 71},
  [2239] = {.lex_state = 10, .external_lex_state = 4},
  [2240] = {.lex_state = 10, .external_lex_state = 4},
  [2241] = {.lex_state = 10, .external_lex_state = 4},
  [2242] = {.lex_state = 71},
  [2243] = {.lex_state = 71, .external_lex_state = 4},
  [2244] = {.lex_state = 10, .external_lex_state = 4},
  [2245] = {.lex_state = 10, .external_lex_state = 4},
  [2246] = {.lex_state = 10, .external_lex_state = 4},
  [2247] = {.lex_state = 71, .external_lex_state = 4},
  [2248] = {.lex_state = 71, .external_lex_state = 4},
  [2249] = {.lex_state = 15},
  [2250] = {.lex_state = 10, .external_lex_state = 4},
  [2251] = {.lex_state = 10, .external_lex_state = 4},
  [2252] = {.lex_state = 10, .external_lex_state = 4},
  [2253] = {.lex_state = 10, .external_lex_state = 4},
  [2254] = {.lex_state = 10, .external_lex_state = 4},
  [2255] = {.lex_state = 71},
  [2256] = {.lex_state = 71},
  [2257] = {.lex_state = 71},
  [2258] = {.lex_state = 10, .external_lex_state = 4},
  [2259] = {.lex_state = 71},
  [2260] = {.lex_state = 71},
  [2261] = {.lex_state = 71},
  [2262] = {.lex_state = 71},
  [2263] = {.lex_state = 71},
  [2264] = {.lex_state = 10, .external_lex_state = 4},
  [2265] = {.lex_state = 10, .external_lex_state = 4},
  [2266] = {.lex_state = 10, .external_lex_state = 4},
  [2267] = {.lex_state = 10, .external_lex_state = 4},
  [2268] = {.lex_state = 71},
  [2269] = {.lex_state = 71, .external_lex_state = 4},
  [2270] = {.lex_state = 10, .external_lex_state = 4},
  [2271] = {.lex_state = 10, .external_lex_state = 4},
  [2272] = {.lex_state = 71},
  [2273] = {.lex_state = 10, .external_lex_state = 5},
  [2274] = {.lex_state = 71, .external_lex_state = 4},
  [2275] = {.lex_state = 10, .external_lex_state = 4},
  [2276] = {.lex_state = 15},
  [2277] = {.lex_state = 71, .external_lex_state = 4},
  [2278] = {.lex_state = 71, .external_lex_state = 4},
  [2279] = {.lex_state = 71, .external_lex_state = 4},
  [2280] = {.lex_state = 71, .external_lex_state = 4},
  [2281] = {.lex_state = 71, .external_lex_state = 4},
  [2282] = {.lex_state = 71, .external_lex_state = 4},
  [2283] = {.lex_state = 10, .external_lex_state = 5},
  [2284] = {.lex_state = 10, .external_lex_state = 4},
  [2285] = {.lex_state = 10, .external_lex_state = 4},
  [2286] = {.lex_state = 71, .external_lex_state = 5},
  [2287] = {.lex_state = 71, .external_lex_state = 4},
  [2288] = {.lex_state = 15},
  [2289] = {.lex_state = 71, .external_lex_state = 4},
  [2290] = {.lex_state = 71, .external_lex_state = 4},
  [2291] = {.lex_state = 71},
  [2292] = {.lex_state = 71, .external_lex_state = 4},
  [2293] = {.lex_state = 71, .external_lex_state = 4},
  [2294] = {.lex_state = 10, .external_lex_state = 4},
  [2295] = {.lex_state = 71, .external_lex_state = 4},
  [2296] = {.lex_state = 10, .external_lex_state = 4},
  [2297] = {.lex_state = 10, .external_lex_state = 4},
  [2298] = {.lex_state = 10, .external_lex_state = 5},
  [2299] = {.lex_state = 10, .external_lex_state = 4},
  [2300] = {.lex_state = 71, .external_lex_state = 4},
  [2301] = {.lex_state = 10, .external_lex_state = 5},
  [2302] = {.lex_state = 71, .external_lex_state = 4},
  [2303] = {.lex_state = 10, .external_lex_state = 5},
  [2304] = {.lex_state = 10, .external_lex_state = 5},
  [2305] = {.lex_state = 10, .external_lex_state = 5},
  [2306] = {.lex_state = 71, .external_lex_state = 4},
  [2307] = {.lex_state = 10, .external_lex_state = 5},
  [2308] = {.lex_state = 10, .external_lex_state = 5},
  [2309] = {.lex_state = 10, .external_lex_state = 5},
  [2310] = {.lex_state = 10, .external_lex_state = 5},
  [2311] = {.lex_state = 10, .external_lex_state = 5},
  [2312] = {.lex_state = 15},
  [2313] = {.lex_state = 10, .external_lex_state = 5},
  [2314] = {.lex_state = 71, .external_lex_state = 4},
  [2315] = {.lex_state = 71, .external_lex_state = 4},
  [2316] = {.lex_state = 71, .external_lex_state = 4},
  [2317] = {.lex_state = 15},
  [2318] = {.lex_state = 71, .external_lex_state = 4},
  [2319] = {.lex_state = 71, .external_lex_state = 4},
  [2320] = {.lex_state = 71, .external_lex_state = 4},
  [2321] = {.lex_state = 71, .external_lex_state = 4},
  [2322] = {.lex_state = 71, .external_lex_state = 4},
  [2323] = {.lex_state = 71, .external_lex_state = 4},
  [2324] = {.lex_state = 71, .external_lex_state = 4},
  [2325] = {.lex_state = 10, .external_lex_state = 5},
  [2326] = {.lex_state = 71},
  [2327] = {.lex_state = 10, .external_lex_state = 5},
  [2328] = {.lex_state = 10, .external_lex_state = 5},
  [2329] = {.lex_state = 10, .external_lex_state = 5},
  [2330] = {.lex_state = 10, .external_lex_state = 5},
  [2331] = {.lex_state = 10, .external_lex_state = 5},
  [2332] = {.lex_state = 10, .external_lex_state = 5},
  [2333] = {.lex_state = 10, .external_lex_state = 5},
  [2334] = {.lex_state = 10, .external_lex_state = 5},
  [2335] = {.lex_state = 71},
  [2336] = {.lex_state = 10, .external_lex_state = 5},
  [2337] = {.lex_state = 10, .external_lex_state = 5},
  [2338] = {.lex_state = 10, .external_lex_state = 5},
  [2339] = {.lex_state = 10, .external_lex_state = 5},
  [2340] = {.lex_state = 71, .external_lex_state = 4},
  [2341] = {.lex_state = 15},
  [2342] = {.lex_state = 10, .external_lex_state = 5},
  [2343] = {.lex_state = 10, .external_lex_state = 5},
  [2344] = {.lex_state = 10, .external_lex_state = 5},
  [2345] = {.lex_state = 10, .external_lex_state = 5},
  [2346] = {.lex_state = 10, .external_lex_state = 5},
  [2347] = {.lex_state = 10, .external_lex_state = 5},
  [2348] = {.lex_state = 10, .external_lex_state = 5},
  [2349] = {.lex_state = 10, .external_lex_state = 5},
  [2350] = {.lex_state = 10, .external_lex_state = 5},
  [2351] = {.lex_state = 10, .external_lex_state = 5},
  [2352] = {.lex_state = 10, .external_lex_state = 5},
  [2353] = {.lex_state = 71, .external_lex_state = 4},
  [2354] = {.lex_state = 71, .external_lex_state = 4},
  [2355] = {.lex_state = 15},
  [2356] = {.lex_state = 71, .external_lex_state = 4},
  [2357] = {.lex_state = 71, .external_lex_state = 4},
  [2358] = {.lex_state = 71, .external_lex_state = 4},
  [2359] = {.lex_state = 71, .external_lex_state = 4},
  [2360] = {.lex_state = 71, .external_lex_state = 4},
  [2361] = {.lex_state = 71, .external_lex_state = 4},
  [2362] = {.lex_state = 71, .external_lex_state = 4},
  [2363] = {.lex_state = 71, .external_lex_state = 4},
  [2364] = {.lex_state = 71, .external_lex_state = 5},
  [2365] = {.lex_state = 71, .external_lex_state = 5},
  [2366] = {.lex_state = 71, .external_lex_state = 4},
  [2367] = {.lex_state = 10, .external_lex_state = 5},
  [2368] = {.lex_state = 71, .external_lex_state = 4},
  [2369] = {.lex_state = 71, .external_lex_state = 4},
  [2370] = {.lex_state = 71, .external_lex_state = 4},
  [2371] = {.lex_state = 71, .external_lex_state = 4},
  [2372] = {.lex_state = 71, .external_lex_state = 4},
  [2373] = {.lex_state = 71, .external_lex_state = 4},
  [2374] = {.lex_state = 71, .external_lex_state = 4},
  [2375] = {.lex_state = 71, .external_lex_state = 4},
  [2376] = {.lex_state = 10, .external_lex_state = 5},
  [2377] = {.lex_state = 10, .external_lex_state = 5},
  [2378] = {.lex_state = 71, .external_lex_state = 4},
  [2379] = {.lex_state = 71, .external_lex_state = 4},
  [2380] = {.lex_state = 10, .external_lex_state = 5},
  [2381] = {.lex_state = 71, .external_lex_state = 4},
  [2382] = {.lex_state = 71, .external_lex_state = 4},
  [2383] = {.lex_state = 71, .external_lex_state = 4},
  [2384] = {.lex_state = 71, .external_lex_state = 5},
  [2385] = {.lex_state = 71, .external_lex_state = 4},
  [2386] = {.lex_state = 71, .external_lex_state = 4},
  [2387] = {.lex_state = 71, .external_lex_state = 4},
  [2388] = {.lex_state = 71, .external_lex_state = 4},
  [2389] = {.lex_state = 71, .external_lex_state = 4},
  [2390] = {.lex_state = 71, .external_lex_state = 4},
  [2391] = {.lex_state = 71, .external_lex_state = 4},
  [2392] = {.lex_state = 71, .external_lex_state = 4},
  [2393] = {.lex_state = 71, .external_lex_state = 4},
  [2394] = {.lex_state = 71, .external_lex_state = 4},
  [2395] = {.lex_state = 71, .external_lex_state = 4},
  [2396] = {.lex_state = 71, .external_lex_state = 4},
  [2397] = {.lex_state = 71, .external_lex_state = 4},
  [2398] = {.lex_state = 71, .external_lex_state = 4},
  [2399] = {.lex_state = 71, .external_lex_state = 4},
  [2400] = {.lex_state = 71, .external_lex_state = 4},
  [2401] = {.lex_state = 71, .external_lex_state = 4},
  [2402] = {.lex_state = 71, .external_lex_state = 4},
  [2403] = {.lex_state = 71, .external_lex_state = 4},
  [2404] = {.lex_state = 71, .external_lex_state = 4},
  [2405] = {.lex_state = 71, .external_lex_state = 4},
  [2406] = {.lex_state = 71, .external_lex_state = 4},
  [2407] = {.lex_state = 10, .external_lex_state = 5},
  [2408] = {.lex_state = 10, .external_lex_state = 5},
  [2409] = {.lex_state = 71, .external_lex_state = 4},
  [2410] = {.lex_state = 71, .external_lex_state = 4},
  [2411] = {.lex_state = 10, .external_lex_state = 5},
  [2412] = {.lex_state = 71, .external_lex_state = 4},
  [2413] = {.lex_state = 71, .external_lex_state = 4},
  [2414] = {.lex_state = 71},
  [2415] = {.lex_state = 71, .external_lex_state = 4},
  [2416] = {.lex_state = 71, .external_lex_state = 4},
  [2417] = {.lex_state = 71, .external_lex_state = 4},
  [2418] = {.lex_state = 71, .external_lex_state = 4},
  [2419] = {.lex_state = 71, .external_lex_state = 4},
  [2420] = {.lex_state = 71, .external_lex_state = 4},
  [2421] = {.lex_state = 71, .external_lex_state = 4},
  [2422] = {.lex_state = 71},
  [2423] = {.lex_state = 23},
  [2424] = {.lex_state = 71, .external_lex_state = 4},
  [2425] = {.lex_state = 71},
  [2426] = {.lex_state = 23},
  [2427] = {.lex_state = 71},
  [2428] = {.lex_state = 23},
  [2429] = {.lex_state = 71, .external_lex_state = 4},
  [2430] = {.lex_state = 71, .external_lex_state = 4},
  [2431] = {.lex_state = 71},
  [2432] = {.lex_state = 71},
  [2433] = {.lex_state = 10},
  [2434] = {.lex_state = 10},
  [2435] = {.lex_state = 10},
  [2436] = {.lex_state = 15},
  [2437] = {.lex_state = 71},
  [2438] = {.lex_state = 71},
  [2439] = {.lex_state = 71},
  [2440] = {.lex_state = 71},
  [2441] = {.lex_state = 23},
  [2442] = {.lex_state = 71, .external_lex_state = 4},
  [2443] = {.lex_state = 23},
  [2444] = {.lex_state = 71},
  [2445] = {.lex_state = 71, .external_lex_state = 4},
  [2446] = {.lex_state = 15},
  [2447] = {.lex_state = 71, .external_lex_state = 5},
  [2448] = {.lex_state = 71, .external_lex_state = 4},
  [2449] = {.lex_state = 71, .external_lex_state = 4},
  [2450] = {.lex_state = 23},
  [2451] = {.lex_state = 71},
  [2452] = {.lex_state = 71},
  [2453] = {.lex_state = 23},
  [2454] = {.lex_state = 71},
  [2455] = {.lex_state = 71, .external_lex_state = 4},
  [2456] = {.lex_state = 15},
  [2457] = {.lex_state = 71},
  [2458] = {.lex_state = 15},
  [2459] = {.lex_state = 71},
  [2460] = {.lex_state = 23},
  [2461] = {.lex_state = 71},
  [2462] = {.lex_state = 71, .external_lex_state = 5},
  [2463] = {.lex_state = 71, .external_lex_state = 5},
  [2464] = {.lex_state = 71, .external_lex_state = 5},
  [2465] = {.lex_state = 15},
  [2466] = {.lex_state = 71, .external_lex_state = 5},
  [2467] = {.lex_state = 71, .external_lex_state = 5},
  [2468] = {.lex_state = 71, .external_lex_state = 5},
  [2469] = {.lex_state = 71, .external_lex_state = 5},
  [2470] = {.lex_state = 71},
  [2471] = {.lex_state = 71},
  [2472] = {.lex_state = 71, .external_lex_state = 5},
  [2473] = {.lex_state = 71},
  [2474] = {.lex_state = 23},
  [2475] = {.lex_state = 71},
  [2476] = {.lex_state = 71},
  [2477] = {.lex_state = 71},
  [2478] = {.lex_state = 71, .external_lex_state = 5},
  [2479] = {.lex_state = 71, .external_lex_state = 5},
  [2480] = {.lex_state = 71, .external_lex_state = 5},
  [2481] = {.lex_state = 71, .external_lex_state = 5},
  [2482] = {.lex_state = 23},
  [2483] = {.lex_state = 71, .external_lex_state = 5},
  [2484] = {.lex_state = 71, .external_lex_state = 4},
  [2485] = {.lex_state = 71, .external_lex_state = 5},
  [2486] = {.lex_state = 71, .external_lex_state = 5},
  [2487] = {.lex_state = 15},
  [2488] = {.lex_state = 71, .external_lex_state = 4},
  [2489] = {.lex_state = 71},
  [2490] = {.lex_state = 71},
  [2491] = {.lex_state = 71},
  [2492] = {.lex_state = 23},
  [2493] = {.lex_state = 71},
  [2494] = {.lex_state = 71},
  [2495] = {.lex_state = 15},
  [2496] = {.lex_state = 15},
  [2497] = {.lex_state = 15},
  [2498] = {.lex_state = 23},
  [2499] = {.lex_state = 15},
  [2500] = {.lex_state = 15},
  [2501] = {.lex_state = 15},
  [2502] = {.lex_state = 15},
  [2503] = {.lex_state = 15},
  [2504] = {.lex_state = 15},
  [2505] = {.lex_state = 23},
  [2506] = {.lex_state = 71, .external_lex_state = 5},
  [2507] = {.lex_state = 15},
  [2508] = {.lex_state = 71},
  [2509] = {.lex_state = 15},
  [2510] = {.lex_state = 71, .external_lex_state = 5},
  [2511] = {.lex_state = 15},
  [2512] = {.lex_state = 15},
  [2513] = {.lex_state = 71, .external_lex_state = 5},
  [2514] = {.lex_state = 71, .external_lex_state = 5},
  [2515] = {.lex_state = 23},
  [2516] = {.lex_state = 15},
  [2517] = {.lex_state = 71, .external_lex_state = 5},
  [2518] = {.lex_state = 71, .external_lex_state = 4},
  [2519] = {.lex_state = 71, .external_lex_state = 5},
  [2520] = {.lex_state = 71, .external_lex_state = 5},
  [2521] = {.lex_state = 71, .external_lex_state = 5},
  [2522] = {.lex_state = 71, .external_lex_state = 5},
  [2523] = {.lex_state = 23},
  [2524] = {.lex_state = 71, .external_lex_state = 4},
  [2525] = {.lex_state = 71},
  [2526] = {.lex_state = 71},
  [2527] = {.lex_state = 71, .external_lex_state = 5},
  [2528] = {.lex_state = 23},
  [2529] = {.lex_state = 71, .external_lex_state = 5},
  [2530] = {.lex_state = 15},
  [2531] = {.lex_state = 71},
  [2532] = {.lex_state = 71, .external_lex_state = 5},
  [2533] = {.lex_state = 71, .external_lex_state = 5},
  [2534] = {.lex_state = 71, .external_lex_state = 5},
  [2535] = {.lex_state = 71},
  [2536] = {.lex_state = 71, .external_lex_state = 5},
  [2537] = {.lex_state = 71},
  [2538] = {.lex_state = 15},
  [2539] = {.lex_state = 15},
  [2540] = {.lex_state = 71},
  [2541] = {.lex_state = 71},
  [2542] = {.lex_state = 71},
  [2543] = {.lex_state = 15},
  [2544] = {.lex_state = 71},
  [2545] = {.lex_state = 71},
  [2546] = {.lex_state = 71},
  [2547] = {.lex_state = 71},
  [2548] = {.lex_state = 71, .external_lex_state = 5},
  [2549] = {.lex_state = 71, .external_lex_state = 5},
  [2550] = {.lex_state = 71, .external_lex_state = 4},
  [2551] = {.lex_state = 71, .external_lex_state = 5},
  [2552] = {.lex_state = 71, .external_lex_state = 5},
  [2553] = {.lex_state = 71, .external_lex_state = 5},
  [2554] = {.lex_state = 71, .external_lex_state = 5},
  [2555] = {.lex_state = 71},
  [2556] = {.lex_state = 71, .external_lex_state = 5},
  [2557] = {.lex_state = 71, .external_lex_state = 5},
  [2558] = {.lex_state = 71, .external_lex_state = 5},
  [2559] = {.lex_state = 15},
  [2560] = {.lex_state = 71},
  [2561] = {.lex_state = 71},
  [2562] = {.lex_state = 71, .external_lex_state = 5},
  [2563] = {.lex_state = 71},
  [2564] = {.lex_state = 71},
  [2565] = {.lex_state = 15},
  [2566] = {.lex_state = 15},
  [2567] = {.lex_state = 71},
  [2568] = {.lex_state = 15},
  [2569] = {.lex_state = 71},
  [2570] = {.lex_state = 15},
  [2571] = {.lex_state = 71},
  [2572] = {.lex_state = 71},
  [2573] = {.lex_state = 15},
  [2574] = {.lex_state = 71, .external_lex_state = 5},
  [2575] = {.lex_state = 71, .external_lex_state = 5},
  [2576] = {.lex_state = 71, .external_lex_state = 5},
  [2577] = {.lex_state = 15},
  [2578] = {.lex_state = 23},
  [2579] = {.lex_state = 71, .external_lex_state = 5},
  [2580] = {.lex_state = 71},
  [2581] = {.lex_state = 71, .external_lex_state = 5},
  [2582] = {.lex_state = 71},
  [2583] = {.lex_state = 71, .external_lex_state = 5},
  [2584] = {.lex_state = 71, .external_lex_state = 4},
  [2585] = {.lex_state = 71, .external_lex_state = 5},
  [2586] = {.lex_state = 15},
  [2587] = {.lex_state = 15},
  [2588] = {.lex_state = 71},
  [2589] = {.lex_state = 71},
  [2590] = {.lex_state = 71},
  [2591] = {.lex_state = 71},
  [2592] = {.lex_state = 71},
  [2593] = {.lex_state = 13, .external_lex_state = 6},
  [2594] = {.lex_state = 71},
  [2595] = {.lex_state = 13, .external_lex_state = 6},
  [2596] = {.lex_state = 71, .external_lex_state = 4},
  [2597] = {.lex_state = 13, .external_lex_state = 6},
  [2598] = {.lex_state = 13, .external_lex_state = 6},
  [2599] = {.lex_state = 10},
  [2600] = {.lex_state = 71, .external_lex_state = 5},
  [2601] = {.lex_state = 71},
  [2602] = {.lex_state = 13, .external_lex_state = 6},
  [2603] = {.lex_state = 10},
  [2604] = {.lex_state = 71, .external_lex_state = 4},
  [2605] = {.lex_state = 10},
  [2606] = {.lex_state = 71, .external_lex_state = 4},
  [2607] = {.lex_state = 13, .external_lex_state = 6},
  [2608] = {.lex_state = 71},
  [2609] = {.lex_state = 13, .external_lex_state = 6},
  [2610] = {.lex_state = 71, .external_lex_state = 4},
  [2611] = {.lex_state = 13, .external_lex_state = 6},
  [2612] = {.lex_state = 15},
  [2613] = {.lex_state = 71},
  [2614] = {.lex_state = 71},
  [2615] = {.lex_state = 71},
  [2616] = {.lex_state = 71, .external_lex_state = 4},
  [2617] = {.lex_state = 71, .external_lex_state = 4},
  [2618] = {.lex_state = 71, .external_lex_state = 4},
  [2619] = {.lex_state = 71},
  [2620] = {.lex_state = 71, .external_lex_state = 4},
  [2621] = {.lex_state = 71},
  [2622] = {.lex_state = 71},
  [2623] = {.lex_state = 71, .external_lex_state = 4},
  [2624] = {.lex_state = 71, .external_lex_state = 4},
  [2625] = {.lex_state = 71, .external_lex_state = 4},
  [2626] = {.lex_state = 71},
  [2627] = {.lex_state = 71},
  [2628] = {.lex_state = 71},
  [2629] = {.lex_state = 71},
  [2630] = {.lex_state = 71, .external_lex_state = 4},
  [2631] = {.lex_state = 71},
  [2632] = {.lex_state = 71},
  [2633] = {.lex_state = 71},
  [2634] = {.lex_state = 0, .external_lex_state = 4},
  [2635] = {.lex_state = 71},
  [2636] = {.lex_state = 71, .external_lex_state = 4},
  [2637] = {.lex_state = 71, .external_lex_state = 4},
  [2638] = {.lex_state = 71, .external_lex_state = 4},
  [2639] = {.lex_state = 15},
  [2640] = {.lex_state = 71},
  [2641] = {.lex_state = 71},
  [2642] = {.lex_state = 0, .external_lex_state = 4},
  [2643] = {.lex_state = 7},
  [2644] = {.lex_state = 71, .external_lex_state = 4},
  [2645] = {.lex_state = 71, .external_lex_state = 4},
  [2646] = {.lex_state = 71, .external_lex_state = 4},
  [2647] = {.lex_state = 71},
  [2648] = {.lex_state = 71},
  [2649] = {.lex_state = 71},
  [2650] = {.lex_state = 71, .external_lex_state = 4},
  [2651] = {.lex_state = 71},
  [2652] = {.lex_state = 71, .external_lex_state = 4},
  [2653] = {.lex_state = 71, .external_lex_state = 4},
  [2654] = {.lex_state = 71},
  [2655] = {.lex_state = 71},
  [2656] = {.lex_state = 0, .external_lex_state = 4},
  [2657] = {.lex_state = 7},
  [2658] = {.lex_state = 71},
  [2659] = {.lex_state = 71},
  [2660] = {.lex_state = 71},
  [2661] = {.lex_state = 71, .external_lex_state = 4},
  [2662] = {.lex_state = 7},
  [2663] = {.lex_state = 71},
  [2664] = {.lex_state = 71},
  [2665] = {.lex_state = 15},
  [2666] = {.lex_state = 71, .external_lex_state = 4},
  [2667] = {.lex_state = 71, .external_lex_state = 4},
  [2668] = {.lex_state = 71, .external_lex_state = 4},
  [2669] = {.lex_state = 71},
  [2670] = {.lex_state = 71, .external_lex_state = 4},
  [2671] = {.lex_state = 71},
  [2672] = {.lex_state = 71, .external_lex_state = 4},
  [2673] = {.lex_state = 71},
  [2674] = {.lex_state = 0, .external_lex_state = 4},
  [2675] = {.lex_state = 71},
  [2676] = {.lex_state = 0, .external_lex_state = 4},
  [2677] = {.lex_state = 71},
  [2678] = {.lex_state = 71},
  [2679] = {.lex_state = 71, .external_lex_state = 4},
  [2680] = {.lex_state = 71},
  [2681] = {.lex_state = 71},
  [2682] = {.lex_state = 71, .external_lex_state = 4},
  [2683] = {.lex_state = 71},
  [2684] = {.lex_state = 71},
  [2685] = {.lex_state = 71, .external_lex_state = 4},
  [2686] = {.lex_state = 0, .external_lex_state = 4},
  [2687] = {.lex_state = 71},
  [2688] = {.lex_state = 0, .external_lex_state = 4},
  [2689] = {.lex_state = 71, .external_lex_state = 4},
  [2690] = {.lex_state = 15},
  [2691] = {.lex_state = 71},
  [2692] = {.lex_state = 71, .external_lex_state = 4},
  [2693] = {.lex_state = 71},
  [2694] = {.lex_state = 71},
  [2695] = {.lex_state = 71, .external_lex_state = 4},
  [2696] = {.lex_state = 71, .external_lex_state = 4},
  [2697] = {.lex_state = 71},
  [2698] = {.lex_state = 71, .external_lex_state = 4},
  [2699] = {.lex_state = 71},
  [2700] = {.lex_state = 71},
  [2701] = {.lex_state = 71},
  [2702] = {.lex_state = 71},
  [2703] = {.lex_state = 15},
  [2704] = {.lex_state = 71, .external_lex_state = 4},
  [2705] = {.lex_state = 71},
  [2706] = {.lex_state = 71},
  [2707] = {.lex_state = 71},
  [2708] = {.lex_state = 71},
  [2709] = {.lex_state = 71},
  [2710] = {.lex_state = 71},
  [2711] = {.lex_state = 71},
  [2712] = {.lex_state = 71},
  [2713] = {.lex_state = 71, .external_lex_state = 4},
  [2714] = {.lex_state = 71},
  [2715] = {.lex_state = 71, .external_lex_state = 4},
  [2716] = {.lex_state = 0, .external_lex_state = 4},
  [2717] = {.lex_state = 71, .external_lex_state = 4},
  [2718] = {.lex_state = 71},
  [2719] = {.lex_state = 71, .external_lex_state = 4},
  [2720] = {.lex_state = 71},
  [2721] = {.lex_state = 71},
  [2722] = {.lex_state = 0, .external_lex_state = 4},
  [2723] = {.lex_state = 71},
  [2724] = {.lex_state = 71, .external_lex_state = 4},
  [2725] = {.lex_state = 71},
  [2726] = {.lex_state = 15},
  [2727] = {.lex_state = 71, .external_lex_state = 4},
  [2728] = {.lex_state = 71, .external_lex_state = 4},
  [2729] = {.lex_state = 71},
  [2730] = {.lex_state = 71, .external_lex_state = 5},
  [2731] = {.lex_state = 71, .external_lex_state = 5},
  [2732] = {.lex_state = 0, .external_lex_state = 4},
  [2733] = {.lex_state = 0, .external_lex_state = 4},
  [2734] = {.lex_state = 11},
  [2735] = {.lex_state = 0, .external_lex_state = 4},
  [2736] = {.lex_state = 0, .external_lex_state = 4},
  [2737] = {.lex_state = 71},
  [2738] = {.lex_state = 71, .external_lex_state = 5},
  [2739] = {.lex_state = 13, .external_lex_state = 6},
  [2740] = {.lex_state = 71, .external_lex_state = 4},
  [2741] = {.lex_state = 71},
  [2742] = {.lex_state = 71, .external_lex_state = 4},
  [2743] = {.lex_state = 71, .external_lex_state = 5},
  [2744] = {.lex_state = 71},
  [2745] = {.lex_state = 71},
  [2746] = {.lex_state = 71},
  [2747] = {.lex_state = 71},
  [2748] = {.lex_state = 71},
  [2749] = {.lex_state = 15},
  [2750] = {.lex_state = 71},
  [2751] = {.lex_state = 71},
  [2752] = {.lex_state = 71, .external_lex_state = 5},
  [2753] = {.lex_state = 71},
  [2754] = {.lex_state = 71},
  [2755] = {.lex_state = 71, .external_lex_state = 5},
  [2756] = {.lex_state = 0, .external_lex_state = 4},
  [2757] = {.lex_state = 71},
  [2758] = {.lex_state = 71},
  [2759] = {.lex_state = 15},
  [2760] = {.lex_state = 71},
  [2761] = {.lex_state = 71},
  [2762] = {.lex_state = 11},
  [2763] = {.lex_state = 0, .external_lex_state = 4},
  [2764] = {.lex_state = 15},
  [2765] = {.lex_state = 13, .external_lex_state = 6},
  [2766] = {.lex_state = 0, .external_lex_state = 4},
  [2767] = {.lex_state = 0, .external_lex_state = 4},
  [2768] = {.lex_state = 71},
  [2769] = {.lex_state = 71},
  [2770] = {.lex_state = 71, .external_lex_state = 5},
  [2771] = {.lex_state = 71},
  [2772] = {.lex_state = 71},
  [2773] = {.lex_state = 71},
  [2774] = {.lex_state = 71},
  [2775] = {.lex_state = 71},
  [2776] = {.lex_state = 71},
  [2777] = {.lex_state = 71, .external_lex_state = 5},
  [2778] = {.lex_state = 71},
  [2779] = {.lex_state = 71, .external_lex_state = 4},
  [2780] = {.lex_state = 71},
  [2781] = {.lex_state = 71},
  [2782] = {.lex_state = 0, .external_lex_state = 4},
  [2783] = {.lex_state = 71},
  [2784] = {.lex_state = 11},
  [2785] = {.lex_state = 71},
  [2786] = {.lex_state = 71},
  [2787] = {.lex_state = 0, .external_lex_state = 4},
  [2788] = {.lex_state = 71},
  [2789] = {.lex_state = 71},
  [2790] = {.lex_state = 0, .external_lex_state = 4},
  [2791] = {.lex_state = 11},
  [2792] = {.lex_state = 7},
  [2793] = {.lex_state = 71},
  [2794] = {.lex_state = 11},
  [2795] = {.lex_state = 71, .external_lex_state = 4},
  [2796] = {.lex_state = 0, .external_lex_state = 4},
  [2797] = {.lex_state = 71, .external_lex_state = 5},
  [2798] = {.lex_state = 71},
  [2799] = {.lex_state = 71},
  [2800] = {.lex_state = 71},
  [2801] = {.lex_state = 71, .external_lex_state = 5},
  [2802] = {.lex_state = 71, .external_lex_state = 5},
  [2803] = {.lex_state = 15},
  [2804] = {.lex_state = 71},
  [2805] = {.lex_state = 71},
  [2806] = {.lex_state = 71, .external_lex_state = 5},
  [2807] = {.lex_state = 71},
  [2808] = {.lex_state = 71},
  [2809] = {.lex_state = 11},
  [2810] = {.lex_state = 11},
  [2811] = {.lex_state = 71, .external_lex_state = 5},
  [2812] = {.lex_state = 0, .external_lex_state = 4},
  [2813] = {.lex_state = 71, .external_lex_state = 4},
  [2814] = {.lex_state = 71},
  [2815] = {.lex_state = 71},
  [2816] = {.lex_state = 71},
  [2817] = {.lex_state = 13, .external_lex_state = 6},
  [2818] = {.lex_state = 0, .external_lex_state = 4},
  [2819] = {.lex_state = 0, .external_lex_state = 4},
  [2820] = {.lex_state = 71},
  [2821] = {.lex_state = 13, .external_lex_state = 6},
  [2822] = {.lex_state = 71, .external_lex_state = 5},
  [2823] = {.lex_state = 15},
  [2824] = {.lex_state = 71},
  [2825] = {.lex_state = 11},
  [2826] = {.lex_state = 15},
  [2827] = {.lex_state = 71},
  [2828] = {.lex_state = 71},
  [2829] = {.lex_state = 0, .external_lex_state = 4},
  [2830] = {.lex_state = 71, .external_lex_state = 5},
  [2831] = {.lex_state = 71},
  [2832] = {.lex_state = 71},
  [2833] = {.lex_state = 71},
  [2834] = {.lex_state = 71, .external_lex_state = 5},
  [2835] = {.lex_state = 71},
  [2836] = {.lex_state = 7},
  [2837] = {.lex_state = 71},
  [2838] = {.lex_state = 0, .external_lex_state = 4},
  [2839] = {.lex_state = 11},
  [2840] = {.lex_state = 71},
  [2841] = {.lex_state = 71},
  [2842] = {.lex_state = 15},
  [2843] = {.lex_state = 71},
  [2844] = {.lex_state = 71},
  [2845] = {.lex_state = 0, .external_lex_state = 4},
  [2846] = {.lex_state = 71},
  [2847] = {.lex_state = 71, .external_lex_state = 4},
  [2848] = {.lex_state = 71, .external_lex_state = 5},
  [2849] = {.lex_state = 11},
  [2850] = {.lex_state = 71, .external_lex_state = 5},
  [2851] = {.lex_state = 15},
  [2852] = {.lex_state = 71},
  [2853] = {.lex_state = 71, .external_lex_state = 5},
  [2854] = {.lex_state = 71},
  [2855] = {.lex_state = 71},
  [2856] = {.lex_state = 71},
  [2857] = {.lex_state = 71},
  [2858] = {.lex_state = 71},
  [2859] = {.lex_state = 15},
  [2860] = {.lex_state = 71},
  [2861] = {.lex_state = 71},
  [2862] = {.lex_state = 0, .external_lex_state = 4},
  [2863] = {.lex_state = 71},
  [2864] = {.lex_state = 71},
  [2865] = {.lex_state = 71, .external_lex_state = 5},
  [2866] = {.lex_state = 71},
  [2867] = {.lex_state = 71},
  [2868] = {.lex_state = 71},
  [2869] = {.lex_state = 71},
  [2870] = {.lex_state = 0, .external_lex_state = 4},
  [2871] = {.lex_state = 71, .external_lex_state = 5},
  [2872] = {.lex_state = 0, .external_lex_state = 4},
  [2873] = {.lex_state = 71},
  [2874] = {.lex_state = 71},
  [2875] = {.lex_state = 0, .external_lex_state = 4},
  [2876] = {.lex_state = 71, .external_lex_state = 5},
  [2877] = {.lex_state = 71},
  [2878] = {.lex_state = 71, .external_lex_state = 5},
  [2879] = {.lex_state = 71},
  [2880] = {.lex_state = 71},
  [2881] = {.lex_state = 11},
  [2882] = {.lex_state = 71},
  [2883] = {.lex_state = 0, .external_lex_state = 4},
  [2884] = {.lex_state = 71},
  [2885] = {.lex_state = 0, .external_lex_state = 4},
  [2886] = {.lex_state = 11},
  [2887] = {.lex_state = 71, .external_lex_state = 5},
  [2888] = {.lex_state = 13, .external_lex_state = 6},
  [2889] = {.lex_state = 11},
  [2890] = {.lex_state = 15},
  [2891] = {.lex_state = 71, .external_lex_state = 5},
  [2892] = {.lex_state = 71},
  [2893] = {.lex_state = 71},
  [2894] = {.lex_state = 71},
  [2895] = {.lex_state = 0},
  [2896] = {.lex_state = 71},
  [2897] = {.lex_state = 71, .external_lex_state = 5},
  [2898] = {.lex_state = 71},
  [2899] = {.lex_state = 71},
  [2900] = {.lex_state = 71, .external_lex_state = 4},
  [2901] = {.lex_state = 11},
  [2902] = {.lex_state = 71, .external_lex_state = 5},
  [2903] = {.lex_state = 71},
  [2904] = {.lex_state = 71},
  [2905] = {.lex_state = 71, .external_lex_state = 4},
  [2906] = {.lex_state = 71},
  [2907] = {.lex_state = 0, .external_lex_state = 4},
  [2908] = {.lex_state = 71},
  [2909] = {.lex_state = 71},
  [2910] = {.lex_state = 0, .external_lex_state = 4},
  [2911] = {.lex_state = 0, .external_lex_state = 4},
  [2912] = {.lex_state = 0, .external_lex_state = 4},
  [2913] = {.lex_state = 71},
  [2914] = {.lex_state = 0, .external_lex_state = 4},
  [2915] = {.lex_state = 15},
  [2916] = {.lex_state = 0, .external_lex_state = 4},
  [2917] = {.lex_state = 0, .external_lex_state = 4},
  [2918] = {.lex_state = 0, .external_lex_state = 4},
  [2919] = {.lex_state = 0, .external_lex_state = 4},
  [2920] = {.lex_state = 71},
  [2921] = {.lex_state = 71},
  [2922] = {.lex_state = 71, .external_lex_state = 5},
  [2923] = {.lex_state = 0, .external_lex_state = 4},
  [2924] = {.lex_state = 0, .external_lex_state = 4},
  [2925] = {.lex_state = 0, .external_lex_state = 4},
  [2926] = {.lex_state = 71},
  [2927] = {.lex_state = 15},
  [2928] = {.lex_state = 71},
  [2929] = {.lex_state = 0, .external_lex_state = 4},
  [2930] = {.lex_state = 0, .external_lex_state = 4},
  [2931] = {.lex_state = 71},
  [2932] = {.lex_state = 0, .external_lex_state = 4},
  [2933] = {.lex_state = 0},
  [2934] = {.lex_state = 0, .external_lex_state = 4},
  [2935] = {.lex_state = 0, .external_lex_state = 4},
  [2936] = {.lex_state = 71},
  [2937] = {.lex_state = 71},
  [2938] = {.lex_state = 71},
  [2939] = {.lex_state = 71},
  [2940] = {.lex_state = 0, .external_lex_state = 4},
  [2941] = {.lex_state = 0, .external_lex_state = 4},
  [2942] = {.lex_state = 71, .external_lex_state = 5},
  [2943] = {.lex_state = 0, .external_lex_state = 4},
  [2944] = {.lex_state = 0, .external_lex_state = 4},
  [2945] = {.lex_state = 71},
  [2946] = {.lex_state = 0, .external_lex_state = 4},
  [2947] = {.lex_state = 71},
  [2948] = {.lex_state = 0, .external_lex_state = 4},
  [2949] = {.lex_state = 71},
  [2950] = {.lex_state = 0, .external_lex_state = 4},
  [2951] = {.lex_state = 11},
  [2952] = {.lex_state = 71},
  [2953] = {.lex_state = 13, .external_lex_state = 6},
  [2954] = {.lex_state = 71},
  [2955] = {.lex_state = 71, .external_lex_state = 5},
  [2956] = {.lex_state = 71},
  [2957] = {.lex_state = 0, .external_lex_state = 4},
  [2958] = {.lex_state = 71},
  [2959] = {.lex_state = 0, .external_lex_state = 4},
  [2960] = {.lex_state = 71, .external_lex_state = 5},
  [2961] = {.lex_state = 71, .external_lex_state = 4},
  [2962] = {.lex_state = 71},
  [2963] = {.lex_state = 13, .external_lex_state = 6},
  [2964] = {.lex_state = 71},
  [2965] = {.lex_state = 7},
  [2966] = {.lex_state = 71},
  [2967] = {.lex_state = 71},
  [2968] = {.lex_state = 71},
  [2969] = {.lex_state = 71, .external_lex_state = 4},
  [2970] = {.lex_state = 0, .external_lex_state = 4},
  [2971] = {.lex_state = 13, .external_lex_state = 6},
  [2972] = {.lex_state = 71},
  [2973] = {.lex_state = 13, .external_lex_state = 6},
  [2974] = {.lex_state = 71},
  [2975] = {.lex_state = 0, .external_lex_state = 4},
  [2976] = {.lex_state = 0, .external_lex_state = 4},
  [2977] = {.lex_state = 0},
  [2978] = {.lex_state = 0, .external_lex_state = 4},
  [2979] = {.lex_state = 0, .external_lex_state = 4},
  [2980] = {.lex_state = 71},
  [2981] = {.lex_state = 0, .external_lex_state = 4},
  [2982] = {.lex_state = 0, .external_lex_state = 4},
  [2983] = {.lex_state = 0, .external_lex_state = 4},
  [2984] = {.lex_state = 0},
  [2985] = {.lex_state = 0, .external_lex_state = 4},
  [2986] = {.lex_state = 0, .external_lex_state = 4},
  [2987] = {.lex_state = 0, .external_lex_state = 4},
  [2988] = {.lex_state = 71},
  [2989] = {.lex_state = 71},
  [2990] = {.lex_state = 0, .external_lex_state = 4},
  [2991] = {.lex_state = 71},
  [2992] = {.lex_state = 15},
  [2993] = {.lex_state = 71},
  [2994] = {.lex_state = 0, .external_lex_state = 4},
  [2995] = {.lex_state = 15},
  [2996] = {.lex_state = 0, .external_lex_state = 4},
  [2997] = {.lex_state = 71},
  [2998] = {.lex_state = 0, .external_lex_state = 4},
  [2999] = {.lex_state = 0, .external_lex_state = 4},
  [3000] = {.lex_state = 0, .external_lex_state = 4},
  [3001] = {.lex_state = 71, .external_lex_state = 5},
  [3002] = {.lex_state = 71},
  [3003] = {.lex_state = 71, .external_lex_state = 4},
  [3004] = {.lex_state = 71},
  [3005] = {.lex_state = 71},
  [3006] = {.lex_state = 0, .external_lex_state = 4},
  [3007] = {.lex_state = 0, .external_lex_state = 4},
  [3008] = {.lex_state = 0, .external_lex_state = 4},
  [3009] = {.lex_state = 71},
  [3010] = {.lex_state = 71},
  [3011] = {.lex_state = 0, .external_lex_state = 4},
  [3012] = {.lex_state = 0, .external_lex_state = 4},
  [3013] = {.lex_state = 71},
  [3014] = {.lex_state = 71},
  [3015] = {.lex_state = 7},
  [3016] = {.lex_state = 0, .external_lex_state = 4},
  [3017] = {.lex_state = 0},
  [3018] = {.lex_state = 0, .external_lex_state = 4},
  [3019] = {.lex_state = 0, .external_lex_state = 4},
  [3020] = {.lex_state = 71, .external_lex_state = 4},
  [3021] = {.lex_state = 71},
  [3022] = {.lex_state = 71},
  [3023] = {.lex_state = 71},
  [3024] = {.lex_state = 71},
  [3025] = {.lex_state = 0},
  [3026] = {.lex_state = 71},
  [3027] = {.lex_state = 71},
  [3028] = {.lex_state = 13, .external_lex_state = 6},
  [3029] = {.lex_state = 71},
  [3030] = {.lex_state = 13, .external_lex_state = 6},
  [3031] = {.lex_state = 0, .external_lex_state = 4},
  [3032] = {.lex_state = 0, .external_lex_state = 4},
  [3033] = {.lex_state = 71},
  [3034] = {.lex_state = 71, .external_lex_state = 5},
  [3035] = {.lex_state = 0, .external_lex_state = 4},
  [3036] = {.lex_state = 0, .external_lex_state = 4},
  [3037] = {.lex_state = 71},
  [3038] = {.lex_state = 0, .external_lex_state = 4},
  [3039] = {.lex_state = 71, .external_lex_state = 5},
  [3040] = {.lex_state = 71},
  [3041] = {.lex_state = 71},
  [3042] = {.lex_state = 71},
  [3043] = {.lex_state = 0, .external_lex_state = 4},
  [3044] = {.lex_state = 71},
  [3045] = {.lex_state = 71},
  [3046] = {.lex_state = 0},
  [3047] = {.lex_state = 71},
  [3048] = {.lex_state = 0, .external_lex_state = 4},
  [3049] = {.lex_state = 71},
  [3050] = {.lex_state = 0},
  [3051] = {.lex_state = 71},
  [3052] = {.lex_state = 71},
  [3053] = {.lex_state = 0},
  [3054] = {.lex_state = 71},
  [3055] = {.lex_state = 0, .external_lex_state = 4},
  [3056] = {.lex_state = 71},
  [3057] = {.lex_state = 13, .external_lex_state = 6},
  [3058] = {.lex_state = 71},
  [3059] = {.lex_state = 0, .external_lex_state = 4},
  [3060] = {.lex_state = 0, .external_lex_state = 4},
  [3061] = {.lex_state = 71},
  [3062] = {.lex_state = 0, .external_lex_state = 4},
  [3063] = {.lex_state = 0, .external_lex_state = 4},
  [3064] = {.lex_state = 0},
  [3065] = {.lex_state = 0, .external_lex_state = 4},
  [3066] = {.lex_state = 71},
  [3067] = {.lex_state = 15},
  [3068] = {.lex_state = 71, .external_lex_state = 5},
  [3069] = {.lex_state = 0, .external_lex_state = 4},
  [3070] = {.lex_state = 0, .external_lex_state = 4},
  [3071] = {.lex_state = 0, .external_lex_state = 4},
  [3072] = {.lex_state = 71, .external_lex_state = 4},
  [3073] = {.lex_state = 15},
  [3074] = {.lex_state = 0, .external_lex_state = 4},
  [3075] = {.lex_state = 0, .external_lex_state = 4},
  [3076] = {.lex_state = 0, .external_lex_state = 4},
  [3077] = {.lex_state = 0, .external_lex_state = 4},
  [3078] = {.lex_state = 71},
  [3079] = {.lex_state = 71},
  [3080] = {.lex_state = 71},
  [3081] = {.lex_state = 71},
  [3082] = {.lex_state = 0, .external_lex_state = 4},
  [3083] = {.lex_state = 71},
  [3084] = {.lex_state = 71},
  [3085] = {.lex_state = 0, .external_lex_state = 4},
  [3086] = {.lex_state = 0, .external_lex_state = 4},
  [3087] = {.lex_state = 0, .external_lex_state = 4},
  [3088] = {.lex_state = 0, .external_lex_state = 4},
  [3089] = {.lex_state = 7},
  [3090] = {.lex_state = 71},
  [3091] = {.lex_state = 15},
  [3092] = {.lex_state = 71},
  [3093] = {.lex_state = 0, .external_lex_state = 4},
  [3094] = {.lex_state = 71},
  [3095] = {.lex_state = 71},
  [3096] = {.lex_state = 15},
  [3097] = {.lex_state = 0, .external_lex_state = 4},
  [3098] = {.lex_state = 0, .external_lex_state = 4},
  [3099] = {.lex_state = 0, .external_lex_state = 4},
  [3100] = {.lex_state = 0, .external_lex_state = 4},
  [3101] = {.lex_state = 0, .external_lex_state = 4},
  [3102] = {.lex_state = 0, .external_lex_state = 4},
  [3103] = {.lex_state = 0, .external_lex_state = 4},
  [3104] = {.lex_state = 0, .external_lex_state = 4},
  [3105] = {.lex_state = 15},
  [3106] = {.lex_state = 0, .external_lex_state = 4},
  [3107] = {.lex_state = 15},
  [3108] = {.lex_state = 71},
  [3109] = {.lex_state = 0},
  [3110] = {.lex_state = 0},
  [3111] = {.lex_state = 71},
  [3112] = {.lex_state = 15},
  [3113] = {.lex_state = 15},
  [3114] = {.lex_state = 11},
  [3115] = {.lex_state = 0},
  [3116] = {.lex_state = 71},
  [3117] = {.lex_state = 0, .external_lex_state = 4},
  [3118] = {.lex_state = 0, .external_lex_state = 4},
  [3119] = {.lex_state = 0},
  [3120] = {.lex_state = 15},
  [3121] = {.lex_state = 0, .external_lex_state = 4},
  [3122] = {.lex_state = 0, .external_lex_state = 4},
  [3123] = {.lex_state = 71},
  [3124] = {.lex_state = 0, .external_lex_state = 4},
  [3125] = {.lex_state = 71},
  [3126] = {.lex_state = 0, .external_lex_state = 4},
  [3127] = {.lex_state = 0, .external_lex_state = 4},
  [3128] = {.lex_state = 0, .external_lex_state = 4},
  [3129] = {.lex_state = 13, .external_lex_state = 6},
  [3130] = {.lex_state = 71},
  [3131] = {.lex_state = 71, .external_lex_state = 5},
  [3132] = {.lex_state = 0, .external_lex_state = 4},
  [3133] = {.lex_state = 0, .external_lex_state = 4},
  [3134] = {.lex_state = 0, .external_lex_state = 4},
  [3135] = {.lex_state = 0, .external_lex_state = 4},
  [3136] = {.lex_state = 71, .external_lex_state = 5},
  [3137] = {.lex_state = 0, .external_lex_state = 4},
  [3138] = {.lex_state = 13, .external_lex_state = 6},
  [3139] = {.lex_state = 71, .external_lex_state = 5},
  [3140] = {.lex_state = 71, .external_lex_state = 4},
  [3141] = {.lex_state = 0, .external_lex_state = 4},
  [3142] = {.lex_state = 0, .external_lex_state = 4},
  [3143] = {.lex_state = 71},
  [3144] = {.lex_state = 0, .external_lex_state = 4},
  [3145] = {.lex_state = 71},
  [3146] = {.lex_state = 71},
  [3147] = {.lex_state = 0, .external_lex_state = 4},
  [3148] = {.lex_state = 0, .external_lex_state = 4},
  [3149] = {.lex_state = 0, .external_lex_state = 4},
  [3150] = {.lex_state = 0, .external_lex_state = 4},
  [3151] = {.lex_state = 71},
  [3152] = {.lex_state = 71},
  [3153] = {.lex_state = 71, .external_lex_state = 5},
  [3154] = {.lex_state = 71},
  [3155] = {.lex_state = 0, .external_lex_state = 4},
  [3156] = {.lex_state = 0, .external_lex_state = 4},
  [3157] = {.lex_state = 71, .external_lex_state = 5},
  [3158] = {.lex_state = 0, .external_lex_state = 4},
  [3159] = {.lex_state = 71},
  [3160] = {.lex_state = 13, .external_lex_state = 6},
  [3161] = {.lex_state = 71},
  [3162] = {.lex_state = 71},
  [3163] = {.lex_state = 0, .external_lex_state = 4},
  [3164] = {.lex_state = 0, .external_lex_state = 4},
  [3165] = {.lex_state = 71},
  [3166] = {.lex_state = 71},
  [3167] = {.lex_state = 15},
  [3168] = {.lex_state = 0, .external_lex_state = 4},
  [3169] = {.lex_state = 15},
  [3170] = {.lex_state = 0, .external_lex_state = 4},
  [3171] = {.lex_state = 0, .external_lex_state = 4},
  [3172] = {.lex_state = 71, .external_lex_state = 5},
  [3173] = {.lex_state = 0, .external_lex_state = 4},
  [3174] = {.lex_state = 13, .external_lex_state = 6},
  [3175] = {.lex_state = 15},
  [3176] = {.lex_state = 15},
  [3177] = {.lex_state = 0, .external_lex_state = 4},
  [3178] = {.lex_state = 0, .external_lex_state = 4},
  [3179] = {.lex_state = 71},
  [3180] = {.lex_state = 0, .external_lex_state = 4},
  [3181] = {.lex_state = 0, .external_lex_state = 4},
  [3182] = {.lex_state = 71},
  [3183] = {.lex_state = 0, .external_lex_state = 4},
  [3184] = {.lex_state = 0, .external_lex_state = 4},
  [3185] = {.lex_state = 15},
  [3186] = {.lex_state = 0, .external_lex_state = 4},
  [3187] = {.lex_state = 0, .external_lex_state = 4},
  [3188] = {.lex_state = 0, .external_lex_state = 4},
  [3189] = {.lex_state = 7},
  [3190] = {.lex_state = 0, .external_lex_state = 4},
  [3191] = {.lex_state = 0, .external_lex_state = 4},
  [3192] = {.lex_state = 71},
  [3193] = {.lex_state = 0, .external_lex_state = 4},
  [3194] = {.lex_state = 0, .external_lex_state = 4},
  [3195] = {.lex_state = 0, .external_lex_state = 4},
  [3196] = {.lex_state = 0, .external_lex_state = 4},
  [3197] = {.lex_state = 0, .external_lex_state = 4},
  [3198] = {.lex_state = 0, .external_lex_state = 4},
  [3199] = {.lex_state = 71},
  [3200] = {.lex_state = 0, .external_lex_state = 4},
  [3201] = {.lex_state = 0, .external_lex_state = 4},
  [3202] = {.lex_state = 0, .external_lex_state = 4},
  [3203] = {.lex_state = 71},
  [3204] = {.lex_state = 15},
  [3205] = {.lex_state = 0},
  [3206] = {.lex_state = 71},
  [3207] = {.lex_state = 12},
  [3208] = {.lex_state = 0},
  [3209] = {.lex_state = 12},
  [3210] = {.lex_state = 16},
  [3211] = {.lex_state = 16},
  [3212] = {.lex_state = 12},
  [3213] = {.lex_state = 16},
  [3214] = {.lex_state = 12},
  [3215] = {.lex_state = 0},
  [3216] = {.lex_state = 16},
  [3217] = {.lex_state = 71},
  [3218] = {.lex_state = 12},
  [3219] = {.lex_state = 16},
  [3220] = {.lex_state = 12},
  [3221] = {.lex_state = 13, .external_lex_state = 6},
  [3222] = {.lex_state = 12},
  [3223] = {.lex_state = 16},
  [3224] = {.lex_state = 16},
  [3225] = {.lex_state = 12},
  [3226] = {.lex_state = 16},
  [3227] = {.lex_state = 12},
  [3228] = {.lex_state = 71},
  [3229] = {.lex_state = 71},
  [3230] = {.lex_state = 71},
  [3231] = {.lex_state = 0, .external_lex_state = 4},
  [3232] = {.lex_state = 0, .external_lex_state = 4},
  [3233] = {.lex_state = 71},
  [3234] = {.lex_state = 0, .external_lex_state = 5},
  [3235] = {.lex_state = 0},
  [3236] = {.lex_state = 12},
  [3237] = {.lex_state = 16},
  [3238] = {.lex_state = 0},
  [3239] = {.lex_state = 71},
  [3240] = {.lex_state = 71},
  [3241] = {.lex_state = 71},
  [3242] = {.lex_state = 71},
  [3243] = {.lex_state = 71},
  [3244] = {.lex_state = 71},
  [3245] = {.lex_state = 71, .external_lex_state = 4},
  [3246] = {.lex_state = 71},
  [3247] = {.lex_state = 71},
  [3248] = {.lex_state = 0},
  [3249] = {.lex_state = 71},
  [3250] = {.lex_state = 71},
  [3251] = {.lex_state = 16},
  [3252] = {.lex_state = 12},
  [3253] = {.lex_state = 16},
  [3254] = {.lex_state = 0, .external_lex_state = 4},
  [3255] = {.lex_state = 12},
  [3256] = {.lex_state = 0},
  [3257] = {.lex_state = 71},
  [3258] = {.lex_state = 71},
  [3259] = {.lex_state = 71},
  [3260] = {.lex_state = 11},
  [3261] = {.lex_state = 71},
  [3262] = {.lex_state = 0, .external_lex_state = 4},
  [3263] = {.lex_state = 0, .external_lex_state = 4},
  [3264] = {.lex_state = 71},
  [3265] = {.lex_state = 71},
  [3266] = {.lex_state = 0, .external_lex_state = 4},
  [3267] = {.lex_state = 71},
  [3268] = {.lex_state = 71},
  [3269] = {.lex_state = 71},
  [3270] = {.lex_state = 71},
  [3271] = {.lex_state = 0},
  [3272] = {.lex_state = 13, .external_lex_state = 6},
  [3273] = {.lex_state = 71, .external_lex_state = 4},
  [3274] = {.lex_state = 0},
  [3275] = {.lex_state = 0},
  [3276] = {.lex_state = 71},
  [3277] = {.lex_state = 71},
  [3278] = {.lex_state = 71},
  [3279] = {.lex_state = 16},
  [3280] = {.lex_state = 71},
  [3281] = {.lex_state = 71},
  [3282] = {.lex_state = 71},
  [3283] = {.lex_state = 16},
  [3284] = {.lex_state = 12},
  [3285] = {.lex_state = 0},
  [3286] = {.lex_state = 71},
  [3287] = {.lex_state = 0},
  [3288] = {.lex_state = 71},
  [3289] = {.lex_state = 71},
  [3290] = {.lex_state = 11},
  [3291] = {.lex_state = 71},
  [3292] = {.lex_state = 71},
  [3293] = {.lex_state = 71},
  [3294] = {.lex_state = 0, .external_lex_state = 4},
  [3295] = {.lex_state = 0, .external_lex_state = 4},
  [3296] = {.lex_state = 71},
  [3297] = {.lex_state = 12},
  [3298] = {.lex_state = 71},
  [3299] = {.lex_state = 71},
  [3300] = {.lex_state = 16},
  [3301] = {.lex_state = 71},
  [3302] = {.lex_state = 12},
  [3303] = {.lex_state = 71},
  [3304] = {.lex_state = 0},
  [3305] = {.lex_state = 0},
  [3306] = {.lex_state = 71},
  [3307] = {.lex_state = 71},
  [3308] = {.lex_state = 71},
  [3309] = {.lex_state = 71},
  [3310] = {.lex_state = 16},
  [3311] = {.lex_state = 16},
  [3312] = {.lex_state = 12},
  [3313] = {.lex_state = 71},
  [3314] = {.lex_state = 11},
  [3315] = {.lex_state = 71},
  [3316] = {.lex_state = 0, .external_lex_state = 4},
  [3317] = {.lex_state = 16},
  [3318] = {.lex_state = 12},
  [3319] = {.lex_state = 71},
  [3320] = {.lex_state = 71},
  [3321] = {.lex_state = 71},
  [3322] = {.lex_state = 71},
  [3323] = {.lex_state = 11},
  [3324] = {.lex_state = 0},
  [3325] = {.lex_state = 0},
  [3326] = {.lex_state = 0, .external_lex_state = 4},
  [3327] = {.lex_state = 0, .external_lex_state = 4},
  [3328] = {.lex_state = 71},
  [3329] = {.lex_state = 0, .external_lex_state = 4},
  [3330] = {.lex_state = 0},
  [3331] = {.lex_state = 0},
  [3332] = {.lex_state = 0},
  [3333] = {.lex_state = 0, .external_lex_state = 4},
  [3334] = {.lex_state = 71},
  [3335] = {.lex_state = 0, .external_lex_state = 4},
  [3336] = {.lex_state = 71},
  [3337] = {.lex_state = 0, .external_lex_state = 4},
  [3338] = {.lex_state = 71},
  [3339] = {.lex_state = 0, .external_lex_state = 4},
  [3340] = {.lex_state = 71},
  [3341] = {.lex_state = 0},
  [3342] = {.lex_state = 0},
  [3343] = {.lex_state = 0, .external_lex_state = 4},
  [3344] = {.lex_state = 23},
  [3345] = {.lex_state = 71},
  [3346] = {.lex_state = 71},
  [3347] = {.lex_state = 0, .external_lex_state = 4},
  [3348] = {.lex_state = 0, .external_lex_state = 4},
  [3349] = {.lex_state = 13, .external_lex_state = 6},
  [3350] = {.lex_state = 0, .external_lex_state = 4},
  [3351] = {.lex_state = 0},
  [3352] = {.lex_state = 0},
  [3353] = {.lex_state = 71},
  [3354] = {.lex_state = 71},
  [3355] = {.lex_state = 0},
  [3356] = {.lex_state = 0},
  [3357] = {.lex_state = 0},
  [3358] = {.lex_state = 71},
  [3359] = {.lex_state = 23},
  [3360] = {.lex_state = 0},
  [3361] = {.lex_state = 0, .external_lex_state = 4},
  [3362] = {.lex_state = 71},
  [3363] = {.lex_state = 0},
  [3364] = {.lex_state = 0},
  [3365] = {.lex_state = 0},
  [3366] = {.lex_state = 71},
  [3367] = {.lex_state = 71},
  [3368] = {.lex_state = 0, .external_lex_state = 4},
  [3369] = {.lex_state = 71},
  [3370] = {.lex_state = 0},
  [3371] = {.lex_state = 0},
  [3372] = {.lex_state = 0},
  [3373] = {.lex_state = 7},
  [3374] = {.lex_state = 0},
  [3375] = {.lex_state = 0},
  [3376] = {.lex_state = 71},
  [3377] = {.lex_state = 71},
  [3378] = {.lex_state = 0},
  [3379] = {.lex_state = 0, .external_lex_state = 4},
  [3380] = {.lex_state = 0},
  [3381] = {.lex_state = 0},
  [3382] = {.lex_state = 71},
  [3383] = {.lex_state = 71},
  [3384] = {.lex_state = 0, .external_lex_state = 4},
  [3385] = {.lex_state = 0, .external_lex_state = 4},
  [3386] = {.lex_state = 23},
  [3387] = {.lex_state = 0},
  [3388] = {.lex_state = 0},
  [3389] = {.lex_state = 0},
  [3390] = {.lex_state = 0},
  [3391] = {.lex_state = 23},
  [3392] = {.lex_state = 0},
  [3393] = {.lex_state = 71},
  [3394] = {.lex_state = 0, .external_lex_state = 4},
  [3395] = {.lex_state = 0, .external_lex_state = 4},
  [3396] = {.lex_state = 71},
  [3397] = {.lex_state = 0},
  [3398] = {.lex_state = 0},
  [3399] = {.lex_state = 0, .external_lex_state = 4},
  [3400] = {.lex_state = 0},
  [3401] = {.lex_state = 0, .external_lex_state = 4},
  [3402] = {.lex_state = 71},
  [3403] = {.lex_state = 0},
  [3404] = {.lex_state = 71},
  [3405] = {.lex_state = 71},
  [3406] = {.lex_state = 0},
  [3407] = {.lex_state = 71},
  [3408] = {.lex_state = 71},
  [3409] = {.lex_state = 0},
  [3410] = {.lex_state = 71},
  [3411] = {.lex_state = 0},
  [3412] = {.lex_state = 0, .external_lex_state = 4},
  [3413] = {.lex_state = 0},
  [3414] = {.lex_state = 0},
  [3415] = {.lex_state = 0},
  [3416] = {.lex_state = 71},
  [3417] = {.lex_state = 0},
  [3418] = {.lex_state = 71},
  [3419] = {.lex_state = 0},
  [3420] = {.lex_state = 71},
  [3421] = {.lex_state = 0, .external_lex_state = 4},
  [3422] = {.lex_state = 71},
  [3423] = {.lex_state = 0},
  [3424] = {.lex_state = 0},
  [3425] = {.lex_state = 71},
  [3426] = {.lex_state = 0},
  [3427] = {.lex_state = 0},
  [3428] = {.lex_state = 0, .external_lex_state = 4},
  [3429] = {.lex_state = 0, .external_lex_state = 4},
  [3430] = {.lex_state = 71},
  [3431] = {.lex_state = 0},
  [3432] = {.lex_state = 71},
  [3433] = {.lex_state = 23},
  [3434] = {.lex_state = 0},
  [3435] = {.lex_state = 71},
  [3436] = {.lex_state = 0},
  [3437] = {.lex_state = 0, .external_lex_state = 4},
  [3438] = {.lex_state = 0, .external_lex_state = 4},
  [3439] = {.lex_state = 71},
  [3440] = {.lex_state = 71},
  [3441] = {.lex_state = 0},
  [3442] = {.lex_state = 0},
  [3443] = {.lex_state = 0},
  [3444] = {.lex_state = 71},
  [3445] = {.lex_state = 71},
  [3446] = {.lex_state = 0},
  [3447] = {.lex_state = 71},
  [3448] = {.lex_state = 23},
  [3449] = {.lex_state = 0},
  [3450] = {.lex_state = 0},
  [3451] = {.lex_state = 0},
  [3452] = {.lex_state = 0},
  [3453] = {.lex_state = 71},
  [3454] = {.lex_state = 0},
  [3455] = {.lex_state = 0},
  [3456] = {.lex_state = 0},
  [3457] = {.lex_state = 0},
  [3458] = {.lex_state = 23},
  [3459] = {.lex_state = 0, .external_lex_state = 4},
  [3460] = {.lex_state = 0, .external_lex_state = 4},
  [3461] = {.lex_state = 0},
  [3462] = {.lex_state = 0, .external_lex_state = 4},
  [3463] = {.lex_state = 0},
  [3464] = {.lex_state = 71},
  [3465] = {.lex_state = 0},
  [3466] = {.lex_state = 0, .external_lex_state = 4},
  [3467] = {.lex_state = 0, .external_lex_state = 4},
  [3468] = {.lex_state = 0, .external_lex_state = 4},
  [3469] = {.lex_state = 0},
  [3470] = {.lex_state = 0, .external_lex_state = 4},
  [3471] = {.lex_state = 71},
  [3472] = {.lex_state = 0, .external_lex_state = 4},
  [3473] = {.lex_state = 0},
  [3474] = {.lex_state = 0},
  [3475] = {.lex_state = 0},
  [3476] = {.lex_state = 0},
  [3477] = {.lex_state = 0},
  [3478] = {.lex_state = 71},
  [3479] = {.lex_state = 0},
  [3480] = {.lex_state = 71},
  [3481] = {.lex_state = 0, .external_lex_state = 4},
  [3482] = {.lex_state = 23},
  [3483] = {.lex_state = 0, .external_lex_state = 4},
  [3484] = {.lex_state = 23},
  [3485] = {.lex_state = 71},
  [3486] = {.lex_state = 0},
  [3487] = {.lex_state = 0},
  [3488] = {.lex_state = 0},
  [3489] = {.lex_state = 0},
  [3490] = {.lex_state = 23},
  [3491] = {.lex_state = 23},
  [3492] = {.lex_state = 0},
  [3493] = {.lex_state = 0, .external_lex_state = 4},
  [3494] = {.lex_state = 71},
  [3495] = {.lex_state = 23},
  [3496] = {.lex_state = 71},
  [3497] = {.lex_state = 23},
  [3498] = {.lex_state = 0, .external_lex_state = 4},
  [3499] = {.lex_state = 71},
  [3500] = {.lex_state = 71},
  [3501] = {.lex_state = 71},
  [3502] = {.lex_state = 0},
  [3503] = {.lex_state = 71},
  [3504] = {.lex_state = 23},
  [3505] = {.lex_state = 71},
  [3506] = {.lex_state = 0},
  [3507] = {.lex_state = 0},
  [3508] = {.lex_state = 23},
  [3509] = {.lex_state = 0},
  [3510] = {.lex_state = 0},
  [3511] = {.lex_state = 71},
  [3512] = {.lex_state = 71},
  [3513] = {.lex_state = 0},
  [3514] = {.lex_state = 23},
  [3515] = {.lex_state = 71},
  [3516] = {.lex_state = 23},
  [3517] = {.lex_state = 0},
  [3518] = {.lex_state = 71},
  [3519] = {.lex_state = 71},
  [3520] = {.lex_state = 0, .external_lex_state = 4},
  [3521] = {.lex_state = 71},
  [3522] = {.lex_state = 0},
  [3523] = {.lex_state = 0, .external_lex_state = 4},
  [3524] = {.lex_state = 71},
  [3525] = {.lex_state = 71},
  [3526] = {.lex_state = 71},
  [3527] = {.lex_state = 23},
  [3528] = {.lex_state = 0},
  [3529] = {.lex_state = 0},
  [3530] = {.lex_state = 0},
  [3531] = {.lex_state = 0},
  [3532] = {.lex_state = 0},
  [3533] = {.lex_state = 0},
  [3534] = {.lex_state = 0},
  [3535] = {.lex_state = 0, .external_lex_state = 4},
  [3536] = {.lex_state = 0},
  [3537] = {.lex_state = 71},
  [3538] = {.lex_state = 0},
  [3539] = {.lex_state = 0, .external_lex_state = 4},
  [3540] = {.lex_state = 0},
  [3541] = {.lex_state = 0},
  [3542] = {.lex_state = 0, .external_lex_state = 4},
  [3543] = {.lex_state = 0, .external_lex_state = 4},
  [3544] = {.lex_state = 23},
  [3545] = {.lex_state = 0, .external_lex_state = 4},
  [3546] = {.lex_state = 71},
  [3547] = {.lex_state = 0, .external_lex_state = 4},
  [3548] = {.lex_state = 0},
  [3549] = {.lex_state = 0},
  [3550] = {.lex_state = 0, .external_lex_state = 4},
  [3551] = {.lex_state = 0},
  [3552] = {.lex_state = 0, .external_lex_state = 4},
  [3553] = {.lex_state = 0},
  [3554] = {.lex_state = 23},
  [3555] = {.lex_state = 0},
  [3556] = {.lex_state = 71},
  [3557] = {.lex_state = 71},
  [3558] = {.lex_state = 23},
  [3559] = {.lex_state = 0, .external_lex_state = 4},
  [3560] = {.lex_state = 0, .external_lex_state = 4},
  [3561] = {.lex_state = 71},
  [3562] = {.lex_state = 71, .external_lex_state = 4},
  [3563] = {.lex_state = 0, .external_lex_state = 4},
  [3564] = {.lex_state = 71, .external_lex_state = 4},
  [3565] = {.lex_state = 71},
  [3566] = {.lex_state = 0, .external_lex_state = 4},
  [3567] = {.lex_state = 0},
  [3568] = {.lex_state = 7},
  [3569] = {.lex_state = 71},
  [3570] = {.lex_state = 71},
  [3571] = {.lex_state = 71},
  [3572] = {.lex_state = 71},
  [3573] = {.lex_state = 71},
  [3574] = {.lex_state = 0, .external_lex_state = 4},
  [3575] = {.lex_state = 71},
  [3576] = {.lex_state = 71},
  [3577] = {.lex_state = 71},
  [3578] = {.lex_state = 71},
  [3579] = {.lex_state = 0},
  [3580] = {.lex_state = 0},
  [3581] = {.lex_state = 71},
  [3582] = {.lex_state = 7},
  [3583] = {.lex_state = 71},
  [3584] = {.lex_state = 0},
  [3585] = {.lex_state = 71},
  [3586] = {.lex_state = 0},
  [3587] = {.lex_state = 0},
  [3588] = {.lex_state = 71},
  [3589] = {.lex_state = 0},
  [3590] = {.lex_state = 0, .external_lex_state = 4},
  [3591] = {.lex_state = 0},
  [3592] = {.lex_state = 0, .external_lex_state = 4},
  [3593] = {.lex_state = 0},
  [3594] = {.lex_state = 71},
  [3595] = {.lex_state = 0},
  [3596] = {.lex_state = 71},
  [3597] = {.lex_state = 71},
  [3598] = {.lex_state = 0},
  [3599] = {.lex_state = 0},
  [3600] = {.lex_state = 0, .external_lex_state = 4},
  [3601] = {.lex_state = 0, .external_lex_state = 4},
  [3602] = {.lex_state = 0},
  [3603] = {.lex_state = 71},
  [3604] = {.lex_state = 0},
  [3605] = {.lex_state = 0, .external_lex_state = 4},
  [3606] = {.lex_state = 0, .external_lex_state = 4},
  [3607] = {.lex_state = 0, .external_lex_state = 4},
  [3608] = {.lex_state = 0, .external_lex_state = 4},
  [3609] = {.lex_state = 71},
  [3610] = {.lex_state = 71},
  [3611] = {.lex_state = 71},
  [3612] = {.lex_state = 71},
  [3613] = {.lex_state = 71},
  [3614] = {.lex_state = 71},
  [3615] = {.lex_state = 71},
  [3616] = {.lex_state = 0, .external_lex_state = 4},
  [3617] = {.lex_state = 71},
  [3618] = {.lex_state = 71},
  [3619] = {.lex_state = 71},
  [3620] = {.lex_state = 71},
  [3621] = {.lex_state = 0},
  [3622] = {.lex_state = 71},
  [3623] = {.lex_state = 0, .external_lex_state = 4},
  [3624] = {.lex_state = 0},
  [3625] = {.lex_state = 0, .external_lex_state = 4},
  [3626] = {.lex_state = 0},
  [3627] = {.lex_state = 0},
  [3628] = {.lex_state = 0},
  [3629] = {.lex_state = 0},
  [3630] = {.lex_state = 0},
  [3631] = {.lex_state = 71},
  [3632] = {.lex_state = 71},
  [3633] = {.lex_state = 0, .external_lex_state = 4},
  [3634] = {.lex_state = 0, .external_lex_state = 4},
  [3635] = {.lex_state = 0, .external_lex_state = 4},
  [3636] = {.lex_state = 71},
  [3637] = {.lex_state = 71},
  [3638] = {.lex_state = 0},
  [3639] = {.lex_state = 0},
  [3640] = {.lex_state = 71},
  [3641] = {.lex_state = 0},
  [3642] = {.lex_state = 11},
  [3643] = {.lex_state = 71},
  [3644] = {.lex_state = 0},
  [3645] = {.lex_state = 0},
  [3646] = {.lex_state = 71},
  [3647] = {.lex_state = 71},
  [3648] = {.lex_state = 71},
  [3649] = {.lex_state = 0, .external_lex_state = 4},
  [3650] = {.lex_state = 0},
  [3651] = {.lex_state = 0},
  [3652] = {.lex_state = 71},
  [3653] = {.lex_state = 71},
  [3654] = {.lex_state = 71},
  [3655] = {.lex_state = 71},
  [3656] = {.lex_state = 71},
  [3657] = {.lex_state = 0, .external_lex_state = 4},
  [3658] = {.lex_state = 71},
  [3659] = {.lex_state = 71},
  [3660] = {.lex_state = 0, .external_lex_state = 4},
  [3661] = {.lex_state = 71},
  [3662] = {.lex_state = 71},
  [3663] = {.lex_state = 71},
  [3664] = {.lex_state = 71},
  [3665] = {.lex_state = 71},
  [3666] = {.lex_state = 71},
  [3667] = {.lex_state = 0},
  [3668] = {.lex_state = 71},
  [3669] = {.lex_state = 0},
  [3670] = {.lex_state = 0},
  [3671] = {.lex_state = 71},
  [3672] = {.lex_state = 71},
  [3673] = {.lex_state = 0, .external_lex_state = 4},
  [3674] = {.lex_state = 0},
  [3675] = {.lex_state = 0},
  [3676] = {.lex_state = 0, .external_lex_state = 4},
  [3677] = {.lex_state = 0},
  [3678] = {.lex_state = 71},
  [3679] = {.lex_state = 71},
  [3680] = {.lex_state = 71},
  [3681] = {.lex_state = 0},
  [3682] = {.lex_state = 0},
  [3683] = {.lex_state = 0},
  [3684] = {.lex_state = 0},
  [3685] = {.lex_state = 71},
  [3686] = {.lex_state = 71},
  [3687] = {.lex_state = 71},
  [3688] = {.lex_state = 0},
  [3689] = {.lex_state = 0},
  [3690] = {.lex_state = 0},
  [3691] = {.lex_state = 0},
  [3692] = {.lex_state = 71},
  [3693] = {.lex_state = 71},
  [3694] = {.lex_state = 71},
  [3695] = {.lex_state = 71},
  [3696] = {.lex_state = 71},
  [3697] = {.lex_state = 71},
  [3698] = {.lex_state = 0},
  [3699] = {.lex_state = 0},
  [3700] = {.lex_state = 71},
  [3701] = {.lex_state = 71},
  [3702] = {.lex_state = 71},
  [3703] = {.lex_state = 71},
  [3704] = {.lex_state = 0},
  [3705] = {.lex_state = 71},
  [3706] = {.lex_state = 0},
  [3707] = {.lex_state = 71},
  [3708] = {.lex_state = 71},
  [3709] = {.lex_state = 0},
  [3710] = {.lex_state = 71},
  [3711] = {.lex_state = 71},
  [3712] = {.lex_state = 71},
  [3713] = {.lex_state = 0},
  [3714] = {.lex_state = 71},
  [3715] = {.lex_state = 71},
  [3716] = {.lex_state = 71},
  [3717] = {.lex_state = 71},
  [3718] = {.lex_state = 71},
  [3719] = {.lex_state = 71},
  [3720] = {.lex_state = 0},
  [3721] = {.lex_state = 0},
  [3722] = {.lex_state = 71},
  [3723] = {.lex_state = 71},
  [3724] = {.lex_state = 71},
  [3725] = {.lex_state = 0},
  [3726] = {.lex_state = 71},
  [3727] = {.lex_state = 71},
  [3728] = {.lex_state = 71},
  [3729] = {.lex_state = 71},
  [3730] = {.lex_state = 71},
  [3731] = {.lex_state = 0},
  [3732] = {.lex_state = 71},
  [3733] = {.lex_state = 71},
  [3734] = {.lex_state = 71},
  [3735] = {.lex_state = 0},
  [3736] = {.lex_state = 71},
  [3737] = {.lex_state = 71},
  [3738] = {.lex_state = 71},
  [3739] = {.lex_state = 0},
  [3740] = {.lex_state = 0},
  [3741] = {.lex_state = 0},
  [3742] = {.lex_state = 71},
  [3743] = {.lex_state = 0},
  [3744] = {.lex_state = 71},
  [3745] = {.lex_state = 0},
  [3746] = {.lex_state = 0},
  [3747] = {.lex_state = 71},
  [3748] = {.lex_state = 71},
  [3749] = {.lex_state = 0},
  [3750] = {.lex_state = 71},
  [3751] = {.lex_state = 71},
  [3752] = {.lex_state = 0},
  [3753] = {.lex_state = 71},
  [3754] = {.lex_state = 71},
  [3755] = {.lex_state = 0},
  [3756] = {.lex_state = 71},
  [3757] = {.lex_state = 71},
  [3758] = {.lex_state = 71},
  [3759] = {.lex_state = 0},
  [3760] = {.lex_state = 71},
  [3761] = {.lex_state = 71},
  [3762] = {.lex_state = 0},
  [3763] = {.lex_state = 0, .external_lex_state = 4},
  [3764] = {.lex_state = 71},
  [3765] = {.lex_state = 71},
  [3766] = {.lex_state = 0},
  [3767] = {.lex_state = 0},
  [3768] = {.lex_state = 0},
  [3769] = {.lex_state = 71},
  [3770] = {.lex_state = 0},
  [3771] = {.lex_state = 71},
  [3772] = {.lex_state = 0},
  [3773] = {.lex_state = 71},
  [3774] = {.lex_state = 0, .external_lex_state = 4},
  [3775] = {.lex_state = 71},
  [3776] = {.lex_state = 71},
  [3777] = {.lex_state = 71},
  [3778] = {.lex_state = 71},
  [3779] = {.lex_state = 71},
  [3780] = {.lex_state = 71},
  [3781] = {.lex_state = 71},
  [3782] = {.lex_state = 71},
  [3783] = {.lex_state = 71},
  [3784] = {.lex_state = 71},
  [3785] = {.lex_state = 71},
  [3786] = {.lex_state = 71},
  [3787] = {.lex_state = 0},
  [3788] = {.lex_state = 71},
  [3789] = {.lex_state = 71},
  [3790] = {.lex_state = 71},
  [3791] = {.lex_state = 71},
  [3792] = {.lex_state = 71},
  [3793] = {.lex_state = 71},
  [3794] = {.lex_state = 71},
  [3795] = {.lex_state = 71},
  [3796] = {.lex_state = 0},
  [3797] = {.lex_state = 71},
  [3798] = {.lex_state = 71},
  [3799] = {.lex_state = 0},
  [3800] = {.lex_state = 71},
  [3801] = {.lex_state = 0},
  [3802] = {.lex_state = 71},
  [3803] = {.lex_state = 71},
  [3804] = {.lex_state = 71},
  [3805] = {.lex_state = 0},
  [3806] = {.lex_state = 71},
  [3807] = {.lex_state = 71},
  [3808] = {.lex_state = 71},
  [3809] = {.lex_state = 0},
  [3810] = {.lex_state = 0},
  [3811] = {.lex_state = 0},
  [3812] = {.lex_state = 0},
  [3813] = {.lex_state = 0},
  [3814] = {.lex_state = 71},
  [3815] = {.lex_state = 0},
  [3816] = {.lex_state = 0},
  [3817] = {.lex_state = 0},
  [3818] = {.lex_state = 0},
  [3819] = {.lex_state = 0},
  [3820] = {.lex_state = 0},
  [3821] = {.lex_state = 71},
  [3822] = {.lex_state = 71},
  [3823] = {.lex_state = 71},
  [3824] = {.lex_state = 0, .external_lex_state = 4},
  [3825] = {.lex_state = 71},
  [3826] = {.lex_state = 0, .external_lex_state = 4},
  [3827] = {.lex_state = 0},
  [3828] = {.lex_state = 0, .external_lex_state = 4},
  [3829] = {.lex_state = 0},
  [3830] = {.lex_state = 71},
  [3831] = {.lex_state = 71},
  [3832] = {.lex_state = 71},
  [3833] = {.lex_state = 71},
  [3834] = {.lex_state = 71},
  [3835] = {.lex_state = 0},
  [3836] = {.lex_state = 71},
  [3837] = {.lex_state = 71},
  [3838] = {.lex_state = 71},
  [3839] = {.lex_state = 71},
  [3840] = {.lex_state = 0},
  [3841] = {.lex_state = 0, .external_lex_state = 4},
  [3842] = {.lex_state = 0, .external_lex_state = 4},
  [3843] = {.lex_state = 0, .external_lex_state = 4},
  [3844] = {.lex_state = 71},
  [3845] = {.lex_state = 0},
  [3846] = {.lex_state = 0},
  [3847] = {.lex_state = 0},
  [3848] = {.lex_state = 0},
  [3849] = {.lex_state = 71},
  [3850] = {.lex_state = 71},
  [3851] = {.lex_state = 0},
  [3852] = {.lex_state = 0},
  [3853] = {.lex_state = 0},
  [3854] = {.lex_state = 0},
  [3855] = {.lex_state = 71},
  [3856] = {.lex_state = 0},
  [3857] = {.lex_state = 71},
  [3858] = {.lex_state = 8},
  [3859] = {.lex_state = 0},
  [3860] = {.lex_state = 0},
  [3861] = {.lex_state = 0},
  [3862] = {.lex_state = 0},
  [3863] = {.lex_state = 1},
  [3864] = {.lex_state = 0},
  [3865] = {.lex_state = 0},
  [3866] = {.lex_state = 71},
  [3867] = {.lex_state = 71},
  [3868] = {.lex_state = 71},
  [3869] = {.lex_state = 71},
  [3870] = {.lex_state = 71},
  [3871] = {.lex_state = 71},
  [3872] = {.lex_state = 0},
  [3873] = {.lex_state = 0},
  [3874] = {.lex_state = 71},
  [3875] = {.lex_state = 0},
  [3876] = {.lex_state = 0},
  [3877] = {.lex_state = 0},
  [3878] = {.lex_state = 0},
  [3879] = {.lex_state = 0},
  [3880] = {.lex_state = 71},
  [3881] = {.lex_state = 0},
  [3882] = {.lex_state = 0},
  [3883] = {.lex_state = 0},
  [3884] = {.lex_state = 0},
  [3885] = {.lex_state = 71},
  [3886] = {.lex_state = 0},
  [3887] = {.lex_state = 0},
  [3888] = {.lex_state = 0},
  [3889] = {.lex_state = 0},
  [3890] = {.lex_state = 0},
  [3891] = {.lex_state = 0},
  [3892] = {.lex_state = 0},
  [3893] = {.lex_state = 0},
  [3894] = {.lex_state = 0},
  [3895] = {.lex_state = 0},
  [3896] = {.lex_state = 71},
  [3897] = {.lex_state = 0},
  [3898] = {.lex_state = 0},
  [3899] = {.lex_state = 0},
  [3900] = {.lex_state = 0},
  [3901] = {.lex_state = 0},
  [3902] = {.lex_state = 0},
  [3903] = {.lex_state = 0},
  [3904] = {.lex_state = 0},
  [3905] = {.lex_state = 0},
  [3906] = {.lex_state = 0},
  [3907] = {.lex_state = 0},
  [3908] = {.lex_state = 0},
  [3909] = {.lex_state = 0},
  [3910] = {.lex_state = 0},
  [3911] = {.lex_state = 0},
  [3912] = {.lex_state = 0},
  [3913] = {.lex_state = 0},
  [3914] = {.lex_state = 0},
  [3915] = {.lex_state = 0},
  [3916] = {.lex_state = 0},
  [3917] = {.lex_state = 0},
  [3918] = {.lex_state = 0},
  [3919] = {.lex_state = 0},
  [3920] = {.lex_state = 0},
  [3921] = {.lex_state = 0},
  [3922] = {.lex_state = 0},
  [3923] = {.lex_state = 0},
  [3924] = {.lex_state = 0},
  [3925] = {.lex_state = 0},
  [3926] = {.lex_state = 0},
  [3927] = {.lex_state = 0},
  [3928] = {.lex_state = 0},
  [3929] = {.lex_state = 0},
  [3930] = {.lex_state = 0},
  [3931] = {.lex_state = 71},
  [3932] = {.lex_state = 0},
  [3933] = {.lex_state = 0},
  [3934] = {.lex_state = 0},
  [3935] = {.lex_state = 0},
  [3936] = {.lex_state = 0},
  [3937] = {.lex_state = 0},
  [3938] = {.lex_state = 0},
  [3939] = {.lex_state = 8},
  [3940] = {.lex_state = 71},
  [3941] = {.lex_state = 0},
  [3942] = {.lex_state = 71},
  [3943] = {.lex_state = 71},
  [3944] = {.lex_state = 0},
  [3945] = {.lex_state = 0},
  [3946] = {.lex_state = 71},
  [3947] = {.lex_state = 0},
  [3948] = {.lex_state = 71},
  [3949] = {.lex_state = 0},
  [3950] = {.lex_state = 71},
  [3951] = {.lex_state = 71},
  [3952] = {.lex_state = 71},
  [3953] = {.lex_state = 71},
  [3954] = {.lex_state = 71},
  [3955] = {.lex_state = 0},
  [3956] = {.lex_state = 71},
  [3957] = {.lex_state = 0},
  [3958] = {.lex_state = 71},
  [3959] = {.lex_state = 0},
  [3960] = {.lex_state = 0},
  [3961] = {.lex_state = 0},
  [3962] = {.lex_state = 71},
  [3963] = {.lex_state = 71},
  [3964] = {.lex_state = 0},
  [3965] = {.lex_state = 71},
  [3966] = {.lex_state = 0},
  [3967] = {.lex_state = 0},
  [3968] = {.lex_state = 0},
  [3969] = {.lex_state = 0},
  [3970] = {.lex_state = 71},
  [3971] = {.lex_state = 71},
  [3972] = {.lex_state = 71},
  [3973] = {.lex_state = 71},
  [3974] = {.lex_state = 0},
  [3975] = {.lex_state = 71},
  [3976] = {.lex_state = 0},
  [3977] = {.lex_state = 71},
  [3978] = {.lex_state = 0},
  [3979] = {.lex_state = 71},
  [3980] = {.lex_state = 0},
  [3981] = {.lex_state = 0},
  [3982] = {.lex_state = 0},
  [3983] = {.lex_state = 0},
  [3984] = {.lex_state = 0},
  [3985] = {.lex_state = 0},
  [3986] = {.lex_state = 0},
  [3987] = {.lex_state = 0},
  [3988] = {.lex_state = 0},
  [3989] = {.lex_state = 0},
  [3990] = {.lex_state = 0},
  [3991] = {.lex_state = 0},
  [3992] = {.lex_state = 71},
  [3993] = {.lex_state = 0},
  [3994] = {.lex_state = 71},
  [3995] = {.lex_state = 71},
  [3996] = {.lex_state = 0},
  [3997] = {.lex_state = 0},
  [3998] = {.lex_state = 0},
  [3999] = {.lex_state = 71},
  [4000] = {.lex_state = 0},
  [4001] = {.lex_state = 0},
  [4002] = {.lex_state = 0},
  [4003] = {.lex_state = 71},
  [4004] = {.lex_state = 0},
  [4005] = {.lex_state = 0},
  [4006] = {.lex_state = 0},
  [4007] = {.lex_state = 0},
  [4008] = {.lex_state = 0},
  [4009] = {.lex_state = 0},
  [4010] = {.lex_state = 0},
  [4011] = {.lex_state = 0},
  [4012] = {.lex_state = 0},
  [4013] = {.lex_state = 0},
  [4014] = {.lex_state = 0},
  [4015] = {.lex_state = 71},
  [4016] = {.lex_state = 71},
  [4017] = {.lex_state = 0},
  [4018] = {.lex_state = 0},
  [4019] = {.lex_state = 0},
  [4020] = {.lex_state = 71},
  [4021] = {.lex_state = 0},
  [4022] = {.lex_state = 0},
  [4023] = {.lex_state = 0},
  [4024] = {.lex_state = 71},
  [4025] = {.lex_state = 71},
  [4026] = {.lex_state = 71},
  [4027] = {.lex_state = 71},
  [4028] = {.lex_state = 0},
  [4029] = {.lex_state = 71},
  [4030] = {.lex_state = 71},
  [4031] = {.lex_state = 71},
  [4032] = {.lex_state = 71},
  [4033] = {.lex_state = 0},
  [4034] = {.lex_state = 0},
  [4035] = {.lex_state = 71},
  [4036] = {.lex_state = 0},
  [4037] = {.lex_state = 71},
  [4038] = {.lex_state = 0},
  [4039] = {.lex_state = 71},
  [4040] = {.lex_state = 71},
  [4041] = {.lex_state = 71},
  [4042] = {.lex_state = 71},
  [4043] = {.lex_state = 71},
  [4044] = {.lex_state = 71},
  [4045] = {.lex_state = 71},
  [4046] = {.lex_state = 71},
  [4047] = {.lex_state = 0},
  [4048] = {.lex_state = 0},
  [4049] = {.lex_state = 71},
  [4050] = {.lex_state = 71},
  [4051] = {.lex_state = 0},
  [4052] = {.lex_state = 71},
  [4053] = {.lex_state = 71},
  [4054] = {.lex_state = 71},
  [4055] = {.lex_state = 71},
  [4056] = {.lex_state = 71},
  [4057] = {.lex_state = 71},
  [4058] = {.lex_state = 71},
  [4059] = {.lex_state = 0},
  [4060] = {.lex_state = 0},
  [4061] = {.lex_state = 0},
  [4062] = {.lex_state = 0},
  [4063] = {.lex_state = 0},
  [4064] = {.lex_state = 0},
  [4065] = {.lex_state = 71},
  [4066] = {.lex_state = 71},
  [4067] = {.lex_state = 0},
  [4068] = {.lex_state = 0},
  [4069] = {.lex_state = 0},
  [4070] = {.lex_state = 0},
  [4071] = {.lex_state = 71},
  [4072] = {.lex_state = 0},
  [4073] = {.lex_state = 0},
  [4074] = {.lex_state = 0},
  [4075] = {.lex_state = 71},
  [4076] = {.lex_state = 0},
  [4077] = {.lex_state = 0},
  [4078] = {.lex_state = 71},
  [4079] = {.lex_state = 0},
  [4080] = {.lex_state = 71},
  [4081] = {.lex_state = 0},
  [4082] = {.lex_state = 0},
  [4083] = {.lex_state = 0},
  [4084] = {.lex_state = 0},
  [4085] = {.lex_state = 0},
  [4086] = {.lex_state = 0},
  [4087] = {.lex_state = 0},
  [4088] = {.lex_state = 0},
  [4089] = {.lex_state = 0},
  [4090] = {.lex_state = 0},
  [4091] = {.lex_state = 0},
  [4092] = {.lex_state = 71},
  [4093] = {.lex_state = 71},
  [4094] = {.lex_state = 0},
  [4095] = {.lex_state = 0},
  [4096] = {.lex_state = 0},
  [4097] = {.lex_state = 0},
  [4098] = {.lex_state = 0},
  [4099] = {.lex_state = 0},
  [4100] = {.lex_state = 0},
  [4101] = {.lex_state = 0},
  [4102] = {.lex_state = 71},
  [4103] = {.lex_state = 0},
  [4104] = {.lex_state = 0},
  [4105] = {.lex_state = 71},
  [4106] = {.lex_state = 0},
  [4107] = {.lex_state = 71},
  [4108] = {.lex_state = 71},
  [4109] = {.lex_state = 0},
  [4110] = {.lex_state = 0},
  [4111] = {.lex_state = 0},
  [4112] = {.lex_state = 71},
  [4113] = {.lex_state = 71},
  [4114] = {.lex_state = 0},
  [4115] = {.lex_state = 71},
  [4116] = {.lex_state = 0},
  [4117] = {.lex_state = 71},
  [4118] = {.lex_state = 71},
  [4119] = {.lex_state = 0},
  [4120] = {.lex_state = 0},
  [4121] = {.lex_state = 71},
  [4122] = {.lex_state = 71},
  [4123] = {.lex_state = 71},
  [4124] = {.lex_state = 0},
  [4125] = {.lex_state = 0},
  [4126] = {.lex_state = 0},
  [4127] = {.lex_state = 71},
  [4128] = {.lex_state = 0},
  [4129] = {.lex_state = 71},
  [4130] = {.lex_state = 71},
  [4131] = {.lex_state = 0},
  [4132] = {.lex_state = 0},
  [4133] = {.lex_state = 0},
  [4134] = {.lex_state = 0},
  [4135] = {.lex_state = 71},
  [4136] = {.lex_state = 71},
  [4137] = {.lex_state = 0},
  [4138] = {.lex_state = 8},
  [4139] = {.lex_state = 0},
  [4140] = {.lex_state = 71},
  [4141] = {.lex_state = 71},
  [4142] = {.lex_state = 0},
  [4143] = {.lex_state = 71},
  [4144] = {.lex_state = 0},
  [4145] = {.lex_state = 0},
  [4146] = {.lex_state = 0},
  [4147] = {.lex_state = 0},
  [4148] = {.lex_state = 0},
  [4149] = {.lex_state = 0},
  [4150] = {.lex_state = 71},
  [4151] = {.lex_state = 71},
  [4152] = {.lex_state = 71},
  [4153] = {.lex_state = 1},
  [4154] = {.lex_state = 71},
  [4155] = {.lex_state = 71},
  [4156] = {.lex_state = 71},
  [4157] = {.lex_state = 71},
  [4158] = {.lex_state = 0},
  [4159] = {.lex_state = 0},
  [4160] = {.lex_state = 0},
  [4161] = {.lex_state = 71},
  [4162] = {.lex_state = 71},
  [4163] = {.lex_state = 71},
  [4164] = {.lex_state = 71},
  [4165] = {.lex_state = 0},
  [4166] = {.lex_state = 0},
  [4167] = {.lex_state = 0},
  [4168] = {.lex_state = 0},
  [4169] = {.lex_state = 0},
  [4170] = {.lex_state = 0},
  [4171] = {.lex_state = 71},
  [4172] = {.lex_state = 71},
  [4173] = {.lex_state = 71},
  [4174] = {.lex_state = 1},
  [4175] = {.lex_state = 0},
  [4176] = {.lex_state = 0},
  [4177] = {.lex_state = 0},
  [4178] = {.lex_state = 0},
  [4179] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token_PIPE_PIPE = 2,
  ts_external_token__function_signature_automatic_semicolon = 3,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [ts_external_token__function_signature_automatic_semicolon] = sym__function_signature_automatic_semicolon,
};

static const bool ts_external_scanner_states[7][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token_PIPE_PIPE] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [2] = {
    [ts_external_token_PIPE_PIPE] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token_PIPE_PIPE] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [5] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__function_signature_automatic_semicolon] = true,
  },
  [6] = {
    [ts_external_token__template_chars] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_QMARK_DOT] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_declare] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_boolean] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_symbol] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_DASH_QMARK_COLON] = ACTIONS(1),
    [anon_sym_asserts] = ACTIONS(1),
    [anon_sym_infer] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_keyof] = ACTIONS(1),
    [anon_sym_unknown] = ACTIONS(1),
    [anon_sym_never] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_LBRACE_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__function_signature_automatic_semicolon] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(4170),
    [sym_export_statement] = STATE(14),
    [sym_declaration] = STATE(14),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(14),
    [sym_expression_statement] = STATE(14),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(14),
    [sym_if_statement] = STATE(14),
    [sym_switch_statement] = STATE(14),
    [sym_for_statement] = STATE(14),
    [sym_for_in_statement] = STATE(14),
    [sym_while_statement] = STATE(14),
    [sym_do_statement] = STATE(14),
    [sym_try_statement] = STATE(14),
    [sym_with_statement] = STATE(14),
    [sym_break_statement] = STATE(14),
    [sym_continue_statement] = STATE(14),
    [sym_debugger_statement] = STATE(14),
    [sym_return_statement] = STATE(14),
    [sym_throw_statement] = STATE(14),
    [sym_empty_statement] = STATE(14),
    [sym_labeled_statement] = STATE(14),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(14),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [2] = {
    [sym_export_statement] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_for_in_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_with_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_debugger_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_empty_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4158),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4158),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4158),
    [sym_spread_element] = STATE(3580),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1774),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2697),
    [sym_computed_property_name] = STATE(2697),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_accessibility_modifier] = STATE(2022),
    [sym_override_modifier] = STATE(2035),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(105),
    [anon_sym_export] = ACTIONS(107),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(111),
    [anon_sym_namespace] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(129),
    [anon_sym_readonly] = ACTIONS(131),
    [anon_sym_get] = ACTIONS(133),
    [anon_sym_set] = ACTIONS(133),
    [anon_sym_declare] = ACTIONS(135),
    [anon_sym_public] = ACTIONS(137),
    [anon_sym_private] = ACTIONS(137),
    [anon_sym_protected] = ACTIONS(137),
    [anon_sym_override] = ACTIONS(139),
    [anon_sym_module] = ACTIONS(141),
    [anon_sym_any] = ACTIONS(143),
    [anon_sym_number] = ACTIONS(143),
    [anon_sym_boolean] = ACTIONS(143),
    [anon_sym_string] = ACTIONS(143),
    [anon_sym_symbol] = ACTIONS(143),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [3] = {
    [sym_export_statement] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_for_in_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_with_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_debugger_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_empty_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4158),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4158),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4158),
    [sym_spread_element] = STATE(3580),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1774),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2697),
    [sym_computed_property_name] = STATE(2697),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_accessibility_modifier] = STATE(2022),
    [sym_override_modifier] = STATE(2035),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(145),
    [anon_sym_export] = ACTIONS(147),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(149),
    [anon_sym_namespace] = ACTIONS(151),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(153),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(155),
    [anon_sym_readonly] = ACTIONS(157),
    [anon_sym_get] = ACTIONS(159),
    [anon_sym_set] = ACTIONS(159),
    [anon_sym_declare] = ACTIONS(161),
    [anon_sym_public] = ACTIONS(163),
    [anon_sym_private] = ACTIONS(163),
    [anon_sym_protected] = ACTIONS(163),
    [anon_sym_override] = ACTIONS(165),
    [anon_sym_module] = ACTIONS(167),
    [anon_sym_any] = ACTIONS(169),
    [anon_sym_number] = ACTIONS(169),
    [anon_sym_boolean] = ACTIONS(169),
    [anon_sym_string] = ACTIONS(169),
    [anon_sym_symbol] = ACTIONS(169),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [4] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4158),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4158),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4158),
    [sym_spread_element] = STATE(3479),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1774),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3479),
    [sym_pair] = STATE(3479),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2697),
    [sym_computed_property_name] = STATE(2697),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_accessibility_modifier] = STATE(2022),
    [sym_override_modifier] = STATE(2035),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [aux_sym_object_repeat1] = STATE(3465),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_export] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(175),
    [anon_sym_namespace] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(179),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(181),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(183),
    [anon_sym_readonly] = ACTIONS(185),
    [anon_sym_get] = ACTIONS(187),
    [anon_sym_set] = ACTIONS(187),
    [anon_sym_declare] = ACTIONS(189),
    [anon_sym_public] = ACTIONS(191),
    [anon_sym_private] = ACTIONS(191),
    [anon_sym_protected] = ACTIONS(191),
    [anon_sym_override] = ACTIONS(193),
    [anon_sym_module] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [5] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4158),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4158),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4158),
    [sym_spread_element] = STATE(3479),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1774),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3479),
    [sym_pair] = STATE(3479),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2697),
    [sym_computed_property_name] = STATE(2697),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_accessibility_modifier] = STATE(2022),
    [sym_override_modifier] = STATE(2035),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [aux_sym_object_repeat1] = STATE(3465),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_export] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(175),
    [anon_sym_namespace] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(199),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(181),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(183),
    [anon_sym_readonly] = ACTIONS(185),
    [anon_sym_get] = ACTIONS(187),
    [anon_sym_set] = ACTIONS(187),
    [anon_sym_declare] = ACTIONS(189),
    [anon_sym_public] = ACTIONS(191),
    [anon_sym_private] = ACTIONS(191),
    [anon_sym_protected] = ACTIONS(191),
    [anon_sym_override] = ACTIONS(193),
    [anon_sym_module] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [6] = {
    [sym_export_statement] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_in_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_with_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_debugger_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4158),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4158),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4158),
    [sym_spread_element] = STATE(3479),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1774),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3479),
    [sym_pair] = STATE(3479),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2697),
    [sym_computed_property_name] = STATE(2697),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_accessibility_modifier] = STATE(2022),
    [sym_override_modifier] = STATE(2035),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [aux_sym_object_repeat1] = STATE(3465),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(171),
    [anon_sym_export] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(109),
    [anon_sym_type] = ACTIONS(175),
    [anon_sym_namespace] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_COMMA] = ACTIONS(115),
    [anon_sym_RBRACE] = ACTIONS(201),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(119),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(181),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(125),
    [sym_private_property_identifier] = ACTIONS(127),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(183),
    [anon_sym_readonly] = ACTIONS(185),
    [anon_sym_get] = ACTIONS(187),
    [anon_sym_set] = ACTIONS(187),
    [anon_sym_declare] = ACTIONS(189),
    [anon_sym_public] = ACTIONS(191),
    [anon_sym_private] = ACTIONS(191),
    [anon_sym_protected] = ACTIONS(191),
    [anon_sym_override] = ACTIONS(193),
    [anon_sym_module] = ACTIONS(195),
    [anon_sym_any] = ACTIONS(197),
    [anon_sym_number] = ACTIONS(197),
    [anon_sym_boolean] = ACTIONS(197),
    [anon_sym_string] = ACTIONS(197),
    [anon_sym_symbol] = ACTIONS(197),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [7] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [ts_builtin_sym_end] = ACTIONS(203),
    [sym_identifier] = ACTIONS(205),
    [anon_sym_export] = ACTIONS(208),
    [anon_sym_default] = ACTIONS(211),
    [anon_sym_type] = ACTIONS(213),
    [anon_sym_namespace] = ACTIONS(216),
    [anon_sym_LBRACE] = ACTIONS(219),
    [anon_sym_RBRACE] = ACTIONS(203),
    [anon_sym_typeof] = ACTIONS(222),
    [anon_sym_import] = ACTIONS(225),
    [anon_sym_var] = ACTIONS(228),
    [anon_sym_let] = ACTIONS(231),
    [anon_sym_const] = ACTIONS(234),
    [anon_sym_BANG] = ACTIONS(237),
    [anon_sym_if] = ACTIONS(240),
    [anon_sym_switch] = ACTIONS(243),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_LPAREN] = ACTIONS(249),
    [anon_sym_await] = ACTIONS(252),
    [anon_sym_while] = ACTIONS(255),
    [anon_sym_do] = ACTIONS(258),
    [anon_sym_try] = ACTIONS(261),
    [anon_sym_with] = ACTIONS(264),
    [anon_sym_break] = ACTIONS(267),
    [anon_sym_continue] = ACTIONS(270),
    [anon_sym_debugger] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(276),
    [anon_sym_throw] = ACTIONS(279),
    [anon_sym_SEMI] = ACTIONS(282),
    [anon_sym_case] = ACTIONS(211),
    [anon_sym_yield] = ACTIONS(285),
    [anon_sym_LBRACK] = ACTIONS(288),
    [anon_sym_LT] = ACTIONS(291),
    [anon_sym_SLASH] = ACTIONS(294),
    [anon_sym_class] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(300),
    [anon_sym_function] = ACTIONS(303),
    [anon_sym_new] = ACTIONS(306),
    [anon_sym_PLUS] = ACTIONS(222),
    [anon_sym_DASH] = ACTIONS(222),
    [anon_sym_TILDE] = ACTIONS(237),
    [anon_sym_void] = ACTIONS(222),
    [anon_sym_delete] = ACTIONS(222),
    [anon_sym_PLUS_PLUS] = ACTIONS(309),
    [anon_sym_DASH_DASH] = ACTIONS(309),
    [anon_sym_DQUOTE] = ACTIONS(312),
    [anon_sym_SQUOTE] = ACTIONS(315),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(318),
    [sym_number] = ACTIONS(321),
    [sym_this] = ACTIONS(324),
    [sym_super] = ACTIONS(324),
    [sym_true] = ACTIONS(324),
    [sym_false] = ACTIONS(324),
    [sym_null] = ACTIONS(324),
    [sym_undefined] = ACTIONS(327),
    [anon_sym_AT] = ACTIONS(330),
    [anon_sym_static] = ACTIONS(333),
    [anon_sym_readonly] = ACTIONS(333),
    [anon_sym_get] = ACTIONS(333),
    [anon_sym_set] = ACTIONS(333),
    [anon_sym_declare] = ACTIONS(336),
    [anon_sym_public] = ACTIONS(333),
    [anon_sym_private] = ACTIONS(333),
    [anon_sym_protected] = ACTIONS(333),
    [anon_sym_override] = ACTIONS(333),
    [anon_sym_module] = ACTIONS(339),
    [anon_sym_any] = ACTIONS(333),
    [anon_sym_number] = ACTIONS(333),
    [anon_sym_boolean] = ACTIONS(333),
    [anon_sym_string] = ACTIONS(333),
    [anon_sym_symbol] = ACTIONS(333),
    [anon_sym_abstract] = ACTIONS(342),
    [anon_sym_interface] = ACTIONS(345),
    [anon_sym_enum] = ACTIONS(348),
  },
  [8] = {
    [sym_export_statement] = STATE(10),
    [sym_declaration] = STATE(10),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(10),
    [sym_if_statement] = STATE(10),
    [sym_switch_statement] = STATE(10),
    [sym_for_statement] = STATE(10),
    [sym_for_in_statement] = STATE(10),
    [sym_while_statement] = STATE(10),
    [sym_do_statement] = STATE(10),
    [sym_try_statement] = STATE(10),
    [sym_with_statement] = STATE(10),
    [sym_break_statement] = STATE(10),
    [sym_continue_statement] = STATE(10),
    [sym_debugger_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_throw_statement] = STATE(10),
    [sym_empty_statement] = STATE(10),
    [sym_labeled_statement] = STATE(10),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(10),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(351),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(353),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(351),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [9] = {
    [sym_export_statement] = STATE(11),
    [sym_declaration] = STATE(11),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_for_in_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_try_statement] = STATE(11),
    [sym_with_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_debugger_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_throw_statement] = STATE(11),
    [sym_empty_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(11),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(355),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(357),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(355),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [10] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(359),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(359),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [11] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(365),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(363),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [12] = {
    [sym_export_statement] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_for_in_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_with_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_debugger_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_empty_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(16),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(367),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [13] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [ts_builtin_sym_end] = ACTIONS(369),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [14] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [15] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(373),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [16] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(375),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [17] = {
    [sym_export_statement] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_for_in_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_with_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_debugger_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_empty_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [ts_builtin_sym_end] = ACTIONS(371),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [18] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(377),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [19] = {
    [sym_export_statement] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_for_in_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_try_statement] = STATE(23),
    [sym_with_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_debugger_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_throw_statement] = STATE(23),
    [sym_empty_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(23),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(379),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [20] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(381),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [21] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(383),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [22] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(385),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [23] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [24] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(389),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [25] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [26] = {
    [sym_export_statement] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_for_in_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_with_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_debugger_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_empty_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_program_repeat1] = STATE(25),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(393),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [27] = {
    [sym_export_statement] = STATE(513),
    [sym_declaration] = STATE(513),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(513),
    [sym_expression_statement] = STATE(513),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(513),
    [sym_if_statement] = STATE(513),
    [sym_switch_statement] = STATE(513),
    [sym_for_statement] = STATE(513),
    [sym_for_in_statement] = STATE(513),
    [sym_while_statement] = STATE(513),
    [sym_do_statement] = STATE(513),
    [sym_try_statement] = STATE(513),
    [sym_with_statement] = STATE(513),
    [sym_break_statement] = STATE(513),
    [sym_continue_statement] = STATE(513),
    [sym_debugger_statement] = STATE(513),
    [sym_return_statement] = STATE(513),
    [sym_throw_statement] = STATE(513),
    [sym_empty_statement] = STATE(513),
    [sym_labeled_statement] = STATE(513),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [28] = {
    [sym_export_statement] = STATE(583),
    [sym_declaration] = STATE(583),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(583),
    [sym_expression_statement] = STATE(583),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(583),
    [sym_if_statement] = STATE(583),
    [sym_switch_statement] = STATE(583),
    [sym_for_statement] = STATE(583),
    [sym_for_in_statement] = STATE(583),
    [sym_while_statement] = STATE(583),
    [sym_do_statement] = STATE(583),
    [sym_try_statement] = STATE(583),
    [sym_with_statement] = STATE(583),
    [sym_break_statement] = STATE(583),
    [sym_continue_statement] = STATE(583),
    [sym_debugger_statement] = STATE(583),
    [sym_return_statement] = STATE(583),
    [sym_throw_statement] = STATE(583),
    [sym_empty_statement] = STATE(583),
    [sym_labeled_statement] = STATE(583),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [29] = {
    [sym_export_statement] = STATE(538),
    [sym_declaration] = STATE(538),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(538),
    [sym_expression_statement] = STATE(538),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(538),
    [sym_if_statement] = STATE(538),
    [sym_switch_statement] = STATE(538),
    [sym_for_statement] = STATE(538),
    [sym_for_in_statement] = STATE(538),
    [sym_while_statement] = STATE(538),
    [sym_do_statement] = STATE(538),
    [sym_try_statement] = STATE(538),
    [sym_with_statement] = STATE(538),
    [sym_break_statement] = STATE(538),
    [sym_continue_statement] = STATE(538),
    [sym_debugger_statement] = STATE(538),
    [sym_return_statement] = STATE(538),
    [sym_throw_statement] = STATE(538),
    [sym_empty_statement] = STATE(538),
    [sym_labeled_statement] = STATE(538),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [30] = {
    [sym_export_statement] = STATE(583),
    [sym_declaration] = STATE(583),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(583),
    [sym_expression_statement] = STATE(583),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(583),
    [sym_if_statement] = STATE(583),
    [sym_switch_statement] = STATE(583),
    [sym_for_statement] = STATE(583),
    [sym_for_in_statement] = STATE(583),
    [sym_while_statement] = STATE(583),
    [sym_do_statement] = STATE(583),
    [sym_try_statement] = STATE(583),
    [sym_with_statement] = STATE(583),
    [sym_break_statement] = STATE(583),
    [sym_continue_statement] = STATE(583),
    [sym_debugger_statement] = STATE(583),
    [sym_return_statement] = STATE(583),
    [sym_throw_statement] = STATE(583),
    [sym_empty_statement] = STATE(583),
    [sym_labeled_statement] = STATE(583),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [31] = {
    [sym_export_statement] = STATE(574),
    [sym_declaration] = STATE(574),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(574),
    [sym_expression_statement] = STATE(574),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(574),
    [sym_if_statement] = STATE(574),
    [sym_switch_statement] = STATE(574),
    [sym_for_statement] = STATE(574),
    [sym_for_in_statement] = STATE(574),
    [sym_while_statement] = STATE(574),
    [sym_do_statement] = STATE(574),
    [sym_try_statement] = STATE(574),
    [sym_with_statement] = STATE(574),
    [sym_break_statement] = STATE(574),
    [sym_continue_statement] = STATE(574),
    [sym_debugger_statement] = STATE(574),
    [sym_return_statement] = STATE(574),
    [sym_throw_statement] = STATE(574),
    [sym_empty_statement] = STATE(574),
    [sym_labeled_statement] = STATE(574),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [32] = {
    [sym_export_statement] = STATE(538),
    [sym_declaration] = STATE(538),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(538),
    [sym_expression_statement] = STATE(538),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(538),
    [sym_if_statement] = STATE(538),
    [sym_switch_statement] = STATE(538),
    [sym_for_statement] = STATE(538),
    [sym_for_in_statement] = STATE(538),
    [sym_while_statement] = STATE(538),
    [sym_do_statement] = STATE(538),
    [sym_try_statement] = STATE(538),
    [sym_with_statement] = STATE(538),
    [sym_break_statement] = STATE(538),
    [sym_continue_statement] = STATE(538),
    [sym_debugger_statement] = STATE(538),
    [sym_return_statement] = STATE(538),
    [sym_throw_statement] = STATE(538),
    [sym_empty_statement] = STATE(538),
    [sym_labeled_statement] = STATE(538),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [33] = {
    [sym_export_statement] = STATE(659),
    [sym_declaration] = STATE(659),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(659),
    [sym_expression_statement] = STATE(659),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(659),
    [sym_if_statement] = STATE(659),
    [sym_switch_statement] = STATE(659),
    [sym_for_statement] = STATE(659),
    [sym_for_in_statement] = STATE(659),
    [sym_while_statement] = STATE(659),
    [sym_do_statement] = STATE(659),
    [sym_try_statement] = STATE(659),
    [sym_with_statement] = STATE(659),
    [sym_break_statement] = STATE(659),
    [sym_continue_statement] = STATE(659),
    [sym_debugger_statement] = STATE(659),
    [sym_return_statement] = STATE(659),
    [sym_throw_statement] = STATE(659),
    [sym_empty_statement] = STATE(659),
    [sym_labeled_statement] = STATE(659),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [34] = {
    [sym_export_statement] = STATE(623),
    [sym_declaration] = STATE(623),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(623),
    [sym_expression_statement] = STATE(623),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(623),
    [sym_if_statement] = STATE(623),
    [sym_switch_statement] = STATE(623),
    [sym_for_statement] = STATE(623),
    [sym_for_in_statement] = STATE(623),
    [sym_while_statement] = STATE(623),
    [sym_do_statement] = STATE(623),
    [sym_try_statement] = STATE(623),
    [sym_with_statement] = STATE(623),
    [sym_break_statement] = STATE(623),
    [sym_continue_statement] = STATE(623),
    [sym_debugger_statement] = STATE(623),
    [sym_return_statement] = STATE(623),
    [sym_throw_statement] = STATE(623),
    [sym_empty_statement] = STATE(623),
    [sym_labeled_statement] = STATE(623),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [35] = {
    [sym_export_statement] = STATE(652),
    [sym_declaration] = STATE(650),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(649),
    [sym_expression_statement] = STATE(648),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(647),
    [sym_if_statement] = STATE(646),
    [sym_switch_statement] = STATE(645),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(643),
    [sym_while_statement] = STATE(642),
    [sym_do_statement] = STATE(640),
    [sym_try_statement] = STATE(636),
    [sym_with_statement] = STATE(634),
    [sym_break_statement] = STATE(633),
    [sym_continue_statement] = STATE(632),
    [sym_debugger_statement] = STATE(631),
    [sym_return_statement] = STATE(629),
    [sym_throw_statement] = STATE(627),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(625),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [36] = {
    [sym_export_statement] = STATE(574),
    [sym_declaration] = STATE(574),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(574),
    [sym_expression_statement] = STATE(574),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(574),
    [sym_if_statement] = STATE(574),
    [sym_switch_statement] = STATE(574),
    [sym_for_statement] = STATE(574),
    [sym_for_in_statement] = STATE(574),
    [sym_while_statement] = STATE(574),
    [sym_do_statement] = STATE(574),
    [sym_try_statement] = STATE(574),
    [sym_with_statement] = STATE(574),
    [sym_break_statement] = STATE(574),
    [sym_continue_statement] = STATE(574),
    [sym_debugger_statement] = STATE(574),
    [sym_return_statement] = STATE(574),
    [sym_throw_statement] = STATE(574),
    [sym_empty_statement] = STATE(574),
    [sym_labeled_statement] = STATE(574),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [37] = {
    [sym_export_statement] = STATE(567),
    [sym_declaration] = STATE(567),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(567),
    [sym_expression_statement] = STATE(567),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(567),
    [sym_if_statement] = STATE(567),
    [sym_switch_statement] = STATE(567),
    [sym_for_statement] = STATE(567),
    [sym_for_in_statement] = STATE(567),
    [sym_while_statement] = STATE(567),
    [sym_do_statement] = STATE(567),
    [sym_try_statement] = STATE(567),
    [sym_with_statement] = STATE(567),
    [sym_break_statement] = STATE(567),
    [sym_continue_statement] = STATE(567),
    [sym_debugger_statement] = STATE(567),
    [sym_return_statement] = STATE(567),
    [sym_throw_statement] = STATE(567),
    [sym_empty_statement] = STATE(567),
    [sym_labeled_statement] = STATE(567),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [38] = {
    [sym_export_statement] = STATE(559),
    [sym_declaration] = STATE(561),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(562),
    [sym_expression_statement] = STATE(569),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(571),
    [sym_if_statement] = STATE(577),
    [sym_switch_statement] = STATE(578),
    [sym_for_statement] = STATE(579),
    [sym_for_in_statement] = STATE(587),
    [sym_while_statement] = STATE(610),
    [sym_do_statement] = STATE(616),
    [sym_try_statement] = STATE(617),
    [sym_with_statement] = STATE(618),
    [sym_break_statement] = STATE(620),
    [sym_continue_statement] = STATE(637),
    [sym_debugger_statement] = STATE(653),
    [sym_return_statement] = STATE(655),
    [sym_throw_statement] = STATE(656),
    [sym_empty_statement] = STATE(662),
    [sym_labeled_statement] = STATE(661),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [39] = {
    [sym_export_statement] = STATE(659),
    [sym_declaration] = STATE(659),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(659),
    [sym_expression_statement] = STATE(659),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(659),
    [sym_if_statement] = STATE(659),
    [sym_switch_statement] = STATE(659),
    [sym_for_statement] = STATE(659),
    [sym_for_in_statement] = STATE(659),
    [sym_while_statement] = STATE(659),
    [sym_do_statement] = STATE(659),
    [sym_try_statement] = STATE(659),
    [sym_with_statement] = STATE(659),
    [sym_break_statement] = STATE(659),
    [sym_continue_statement] = STATE(659),
    [sym_debugger_statement] = STATE(659),
    [sym_return_statement] = STATE(659),
    [sym_throw_statement] = STATE(659),
    [sym_empty_statement] = STATE(659),
    [sym_labeled_statement] = STATE(659),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [40] = {
    [sym_export_statement] = STATE(583),
    [sym_declaration] = STATE(583),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(583),
    [sym_expression_statement] = STATE(583),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(583),
    [sym_if_statement] = STATE(583),
    [sym_switch_statement] = STATE(583),
    [sym_for_statement] = STATE(583),
    [sym_for_in_statement] = STATE(583),
    [sym_while_statement] = STATE(583),
    [sym_do_statement] = STATE(583),
    [sym_try_statement] = STATE(583),
    [sym_with_statement] = STATE(583),
    [sym_break_statement] = STATE(583),
    [sym_continue_statement] = STATE(583),
    [sym_debugger_statement] = STATE(583),
    [sym_return_statement] = STATE(583),
    [sym_throw_statement] = STATE(583),
    [sym_empty_statement] = STATE(583),
    [sym_labeled_statement] = STATE(583),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [41] = {
    [sym_export_statement] = STATE(3402),
    [sym_declaration] = STATE(3402),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(3402),
    [sym_expression_statement] = STATE(3402),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(3402),
    [sym_if_statement] = STATE(3402),
    [sym_switch_statement] = STATE(3402),
    [sym_for_statement] = STATE(3402),
    [sym_for_in_statement] = STATE(3402),
    [sym_while_statement] = STATE(3402),
    [sym_do_statement] = STATE(3402),
    [sym_try_statement] = STATE(3402),
    [sym_with_statement] = STATE(3402),
    [sym_break_statement] = STATE(3402),
    [sym_continue_statement] = STATE(3402),
    [sym_debugger_statement] = STATE(3402),
    [sym_return_statement] = STATE(3402),
    [sym_throw_statement] = STATE(3402),
    [sym_empty_statement] = STATE(3402),
    [sym_labeled_statement] = STATE(3402),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [42] = {
    [sym_export_statement] = STATE(559),
    [sym_declaration] = STATE(561),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(562),
    [sym_expression_statement] = STATE(569),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(571),
    [sym_if_statement] = STATE(577),
    [sym_switch_statement] = STATE(578),
    [sym_for_statement] = STATE(579),
    [sym_for_in_statement] = STATE(587),
    [sym_while_statement] = STATE(610),
    [sym_do_statement] = STATE(616),
    [sym_try_statement] = STATE(617),
    [sym_with_statement] = STATE(618),
    [sym_break_statement] = STATE(620),
    [sym_continue_statement] = STATE(637),
    [sym_debugger_statement] = STATE(653),
    [sym_return_statement] = STATE(655),
    [sym_throw_statement] = STATE(656),
    [sym_empty_statement] = STATE(662),
    [sym_labeled_statement] = STATE(661),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [43] = {
    [sym_export_statement] = STATE(559),
    [sym_declaration] = STATE(561),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(562),
    [sym_expression_statement] = STATE(569),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(571),
    [sym_if_statement] = STATE(577),
    [sym_switch_statement] = STATE(578),
    [sym_for_statement] = STATE(579),
    [sym_for_in_statement] = STATE(587),
    [sym_while_statement] = STATE(610),
    [sym_do_statement] = STATE(616),
    [sym_try_statement] = STATE(617),
    [sym_with_statement] = STATE(618),
    [sym_break_statement] = STATE(620),
    [sym_continue_statement] = STATE(637),
    [sym_debugger_statement] = STATE(653),
    [sym_return_statement] = STATE(655),
    [sym_throw_statement] = STATE(656),
    [sym_empty_statement] = STATE(662),
    [sym_labeled_statement] = STATE(661),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [44] = {
    [sym_export_statement] = STATE(567),
    [sym_declaration] = STATE(567),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(567),
    [sym_expression_statement] = STATE(567),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(567),
    [sym_if_statement] = STATE(567),
    [sym_switch_statement] = STATE(567),
    [sym_for_statement] = STATE(567),
    [sym_for_in_statement] = STATE(567),
    [sym_while_statement] = STATE(567),
    [sym_do_statement] = STATE(567),
    [sym_try_statement] = STATE(567),
    [sym_with_statement] = STATE(567),
    [sym_break_statement] = STATE(567),
    [sym_continue_statement] = STATE(567),
    [sym_debugger_statement] = STATE(567),
    [sym_return_statement] = STATE(567),
    [sym_throw_statement] = STATE(567),
    [sym_empty_statement] = STATE(567),
    [sym_labeled_statement] = STATE(567),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [45] = {
    [sym_export_statement] = STATE(4143),
    [sym_declaration] = STATE(4143),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(4143),
    [sym_expression_statement] = STATE(4143),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(4143),
    [sym_if_statement] = STATE(4143),
    [sym_switch_statement] = STATE(4143),
    [sym_for_statement] = STATE(4143),
    [sym_for_in_statement] = STATE(4143),
    [sym_while_statement] = STATE(4143),
    [sym_do_statement] = STATE(4143),
    [sym_try_statement] = STATE(4143),
    [sym_with_statement] = STATE(4143),
    [sym_break_statement] = STATE(4143),
    [sym_continue_statement] = STATE(4143),
    [sym_debugger_statement] = STATE(4143),
    [sym_return_statement] = STATE(4143),
    [sym_throw_statement] = STATE(4143),
    [sym_empty_statement] = STATE(4143),
    [sym_labeled_statement] = STATE(4143),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [46] = {
    [sym_export_statement] = STATE(652),
    [sym_declaration] = STATE(650),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(649),
    [sym_expression_statement] = STATE(648),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(647),
    [sym_if_statement] = STATE(646),
    [sym_switch_statement] = STATE(645),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(643),
    [sym_while_statement] = STATE(642),
    [sym_do_statement] = STATE(640),
    [sym_try_statement] = STATE(636),
    [sym_with_statement] = STATE(634),
    [sym_break_statement] = STATE(633),
    [sym_continue_statement] = STATE(632),
    [sym_debugger_statement] = STATE(631),
    [sym_return_statement] = STATE(629),
    [sym_throw_statement] = STATE(627),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(625),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [47] = {
    [sym_export_statement] = STATE(652),
    [sym_declaration] = STATE(650),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(649),
    [sym_expression_statement] = STATE(648),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(647),
    [sym_if_statement] = STATE(646),
    [sym_switch_statement] = STATE(645),
    [sym_for_statement] = STATE(644),
    [sym_for_in_statement] = STATE(643),
    [sym_while_statement] = STATE(642),
    [sym_do_statement] = STATE(640),
    [sym_try_statement] = STATE(636),
    [sym_with_statement] = STATE(634),
    [sym_break_statement] = STATE(633),
    [sym_continue_statement] = STATE(632),
    [sym_debugger_statement] = STATE(631),
    [sym_return_statement] = STATE(629),
    [sym_throw_statement] = STATE(627),
    [sym_empty_statement] = STATE(626),
    [sym_labeled_statement] = STATE(625),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [48] = {
    [sym_export_statement] = STATE(623),
    [sym_declaration] = STATE(623),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(623),
    [sym_expression_statement] = STATE(623),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(623),
    [sym_if_statement] = STATE(623),
    [sym_switch_statement] = STATE(623),
    [sym_for_statement] = STATE(623),
    [sym_for_in_statement] = STATE(623),
    [sym_while_statement] = STATE(623),
    [sym_do_statement] = STATE(623),
    [sym_try_statement] = STATE(623),
    [sym_with_statement] = STATE(623),
    [sym_break_statement] = STATE(623),
    [sym_continue_statement] = STATE(623),
    [sym_debugger_statement] = STATE(623),
    [sym_return_statement] = STATE(623),
    [sym_throw_statement] = STATE(623),
    [sym_empty_statement] = STATE(623),
    [sym_labeled_statement] = STATE(623),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [49] = {
    [sym_export_statement] = STATE(3578),
    [sym_declaration] = STATE(3578),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(3578),
    [sym_expression_statement] = STATE(3578),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(3578),
    [sym_if_statement] = STATE(3578),
    [sym_switch_statement] = STATE(3578),
    [sym_for_statement] = STATE(3578),
    [sym_for_in_statement] = STATE(3578),
    [sym_while_statement] = STATE(3578),
    [sym_do_statement] = STATE(3578),
    [sym_try_statement] = STATE(3578),
    [sym_with_statement] = STATE(3578),
    [sym_break_statement] = STATE(3578),
    [sym_continue_statement] = STATE(3578),
    [sym_debugger_statement] = STATE(3578),
    [sym_return_statement] = STATE(3578),
    [sym_throw_statement] = STATE(3578),
    [sym_empty_statement] = STATE(3578),
    [sym_labeled_statement] = STATE(3578),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [50] = {
    [sym_export_statement] = STATE(538),
    [sym_declaration] = STATE(538),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(538),
    [sym_expression_statement] = STATE(538),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(538),
    [sym_if_statement] = STATE(538),
    [sym_switch_statement] = STATE(538),
    [sym_for_statement] = STATE(538),
    [sym_for_in_statement] = STATE(538),
    [sym_while_statement] = STATE(538),
    [sym_do_statement] = STATE(538),
    [sym_try_statement] = STATE(538),
    [sym_with_statement] = STATE(538),
    [sym_break_statement] = STATE(538),
    [sym_continue_statement] = STATE(538),
    [sym_debugger_statement] = STATE(538),
    [sym_return_statement] = STATE(538),
    [sym_throw_statement] = STATE(538),
    [sym_empty_statement] = STATE(538),
    [sym_labeled_statement] = STATE(538),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [51] = {
    [sym_export_statement] = STATE(659),
    [sym_declaration] = STATE(659),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(659),
    [sym_expression_statement] = STATE(659),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(659),
    [sym_if_statement] = STATE(659),
    [sym_switch_statement] = STATE(659),
    [sym_for_statement] = STATE(659),
    [sym_for_in_statement] = STATE(659),
    [sym_while_statement] = STATE(659),
    [sym_do_statement] = STATE(659),
    [sym_try_statement] = STATE(659),
    [sym_with_statement] = STATE(659),
    [sym_break_statement] = STATE(659),
    [sym_continue_statement] = STATE(659),
    [sym_debugger_statement] = STATE(659),
    [sym_return_statement] = STATE(659),
    [sym_throw_statement] = STATE(659),
    [sym_empty_statement] = STATE(659),
    [sym_labeled_statement] = STATE(659),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [52] = {
    [sym_export_statement] = STATE(574),
    [sym_declaration] = STATE(574),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(574),
    [sym_expression_statement] = STATE(574),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(574),
    [sym_if_statement] = STATE(574),
    [sym_switch_statement] = STATE(574),
    [sym_for_statement] = STATE(574),
    [sym_for_in_statement] = STATE(574),
    [sym_while_statement] = STATE(574),
    [sym_do_statement] = STATE(574),
    [sym_try_statement] = STATE(574),
    [sym_with_statement] = STATE(574),
    [sym_break_statement] = STATE(574),
    [sym_continue_statement] = STATE(574),
    [sym_debugger_statement] = STATE(574),
    [sym_return_statement] = STATE(574),
    [sym_throw_statement] = STATE(574),
    [sym_empty_statement] = STATE(574),
    [sym_labeled_statement] = STATE(574),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2747),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_type] = ACTIONS(13),
    [anon_sym_namespace] = ACTIONS(15),
    [anon_sym_LBRACE] = ACTIONS(17),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(35),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(71),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(93),
    [anon_sym_readonly] = ACTIONS(93),
    [anon_sym_get] = ACTIONS(93),
    [anon_sym_set] = ACTIONS(93),
    [anon_sym_declare] = ACTIONS(95),
    [anon_sym_public] = ACTIONS(93),
    [anon_sym_private] = ACTIONS(93),
    [anon_sym_protected] = ACTIONS(93),
    [anon_sym_override] = ACTIONS(93),
    [anon_sym_module] = ACTIONS(97),
    [anon_sym_any] = ACTIONS(93),
    [anon_sym_number] = ACTIONS(93),
    [anon_sym_boolean] = ACTIONS(93),
    [anon_sym_string] = ACTIONS(93),
    [anon_sym_symbol] = ACTIONS(93),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [53] = {
    [sym_export_statement] = STATE(623),
    [sym_declaration] = STATE(623),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(623),
    [sym_expression_statement] = STATE(623),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(623),
    [sym_if_statement] = STATE(623),
    [sym_switch_statement] = STATE(623),
    [sym_for_statement] = STATE(623),
    [sym_for_in_statement] = STATE(623),
    [sym_while_statement] = STATE(623),
    [sym_do_statement] = STATE(623),
    [sym_try_statement] = STATE(623),
    [sym_with_statement] = STATE(623),
    [sym_break_statement] = STATE(623),
    [sym_continue_statement] = STATE(623),
    [sym_debugger_statement] = STATE(623),
    [sym_return_statement] = STATE(623),
    [sym_throw_statement] = STATE(623),
    [sym_empty_statement] = STATE(623),
    [sym_labeled_statement] = STATE(623),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2748),
    [sym_identifier] = ACTIONS(425),
    [anon_sym_export] = ACTIONS(427),
    [anon_sym_type] = ACTIONS(429),
    [anon_sym_namespace] = ACTIONS(431),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(433),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(435),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(437),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(441),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_readonly] = ACTIONS(443),
    [anon_sym_get] = ACTIONS(443),
    [anon_sym_set] = ACTIONS(443),
    [anon_sym_declare] = ACTIONS(445),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_override] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_any] = ACTIONS(443),
    [anon_sym_number] = ACTIONS(443),
    [anon_sym_boolean] = ACTIONS(443),
    [anon_sym_string] = ACTIONS(443),
    [anon_sym_symbol] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [54] = {
    [sym_export_statement] = STATE(567),
    [sym_declaration] = STATE(567),
    [sym_import] = STATE(1791),
    [sym_import_statement] = STATE(567),
    [sym_expression_statement] = STATE(567),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_statement_block] = STATE(567),
    [sym_if_statement] = STATE(567),
    [sym_switch_statement] = STATE(567),
    [sym_for_statement] = STATE(567),
    [sym_for_in_statement] = STATE(567),
    [sym_while_statement] = STATE(567),
    [sym_do_statement] = STATE(567),
    [sym_try_statement] = STATE(567),
    [sym_with_statement] = STATE(567),
    [sym_break_statement] = STATE(567),
    [sym_continue_statement] = STATE(567),
    [sym_debugger_statement] = STATE(567),
    [sym_return_statement] = STATE(567),
    [sym_throw_statement] = STATE(567),
    [sym_empty_statement] = STATE(567),
    [sym_labeled_statement] = STATE(567),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2846),
    [sym_identifier] = ACTIONS(395),
    [anon_sym_export] = ACTIONS(397),
    [anon_sym_type] = ACTIONS(399),
    [anon_sym_namespace] = ACTIONS(401),
    [anon_sym_LBRACE] = ACTIONS(403),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_if] = ACTIONS(405),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_do] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(411),
    [anon_sym_break] = ACTIONS(49),
    [anon_sym_continue] = ACTIONS(51),
    [anon_sym_debugger] = ACTIONS(53),
    [anon_sym_return] = ACTIONS(55),
    [anon_sym_throw] = ACTIONS(57),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(419),
    [anon_sym_readonly] = ACTIONS(419),
    [anon_sym_get] = ACTIONS(419),
    [anon_sym_set] = ACTIONS(419),
    [anon_sym_declare] = ACTIONS(421),
    [anon_sym_public] = ACTIONS(419),
    [anon_sym_private] = ACTIONS(419),
    [anon_sym_protected] = ACTIONS(419),
    [anon_sym_override] = ACTIONS(419),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_any] = ACTIONS(419),
    [anon_sym_number] = ACTIONS(419),
    [anon_sym_boolean] = ACTIONS(419),
    [anon_sym_string] = ACTIONS(419),
    [anon_sym_symbol] = ACTIONS(419),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [55] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(475),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [56] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3426),
    [sym_optional_tuple_parameter] = STATE(3426),
    [sym_optional_type] = STATE(3426),
    [sym_rest_type] = STATE(3426),
    [sym__tuple_type_member] = STATE(3426),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(533),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(535),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [57] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(537),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [58] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(539),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [59] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1378),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3375),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3372),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(541),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [60] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(543),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [61] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(545),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [62] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1378),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3375),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3372),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(547),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [63] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1853),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(459),
    [anon_sym_typeof] = ACTIONS(461),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(473),
    [anon_sym_RBRACK] = ACTIONS(549),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [sym_this] = ACTIONS(513),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(517),
    [sym_false] = ACTIONS(517),
    [sym_null] = ACTIONS(517),
    [sym_undefined] = ACTIONS(519),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(521),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(523),
    [anon_sym_number] = ACTIONS(523),
    [anon_sym_boolean] = ACTIONS(523),
    [anon_sym_string] = ACTIONS(523),
    [anon_sym_symbol] = ACTIONS(523),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [64] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1326),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym__formal_parameter] = STATE(3431),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4144),
    [sym_string] = STATE(1564),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3322),
    [sym_constructor_type] = STATE(3322),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3322),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3322),
    [sym_union_type] = STATE(3322),
    [sym_intersection_type] = STATE(3322),
    [sym_function_type] = STATE(3322),
    [aux_sym_export_statement_repeat1] = STATE(1919),
    [sym_identifier] = ACTIONS(551),
    [anon_sym_export] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_namespace] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_typeof] = ACTIONS(559),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(563),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(571),
    [sym_number] = ACTIONS(573),
    [sym_this] = ACTIONS(575),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(577),
    [sym_false] = ACTIONS(577),
    [sym_null] = ACTIONS(577),
    [sym_undefined] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(553),
    [anon_sym_readonly] = ACTIONS(581),
    [anon_sym_get] = ACTIONS(553),
    [anon_sym_set] = ACTIONS(553),
    [anon_sym_declare] = ACTIONS(553),
    [anon_sym_public] = ACTIONS(583),
    [anon_sym_private] = ACTIONS(583),
    [anon_sym_protected] = ACTIONS(583),
    [anon_sym_override] = ACTIONS(585),
    [anon_sym_module] = ACTIONS(553),
    [anon_sym_any] = ACTIONS(587),
    [anon_sym_number] = ACTIONS(587),
    [anon_sym_boolean] = ACTIONS(587),
    [anon_sym_string] = ACTIONS(587),
    [anon_sym_symbol] = ACTIONS(587),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [65] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1212),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym__formal_parameter] = STATE(3431),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3938),
    [sym_string] = STATE(1564),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3322),
    [sym_constructor_type] = STATE(3322),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3322),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3322),
    [sym_union_type] = STATE(3322),
    [sym_intersection_type] = STATE(3322),
    [sym_function_type] = STATE(3322),
    [aux_sym_export_statement_repeat1] = STATE(1919),
    [sym_identifier] = ACTIONS(551),
    [anon_sym_export] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_namespace] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_typeof] = ACTIONS(559),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(563),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(571),
    [sym_number] = ACTIONS(573),
    [sym_this] = ACTIONS(575),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(577),
    [sym_false] = ACTIONS(577),
    [sym_null] = ACTIONS(577),
    [sym_undefined] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(553),
    [anon_sym_readonly] = ACTIONS(581),
    [anon_sym_get] = ACTIONS(553),
    [anon_sym_set] = ACTIONS(553),
    [anon_sym_declare] = ACTIONS(553),
    [anon_sym_public] = ACTIONS(583),
    [anon_sym_private] = ACTIONS(583),
    [anon_sym_protected] = ACTIONS(583),
    [anon_sym_override] = ACTIONS(585),
    [anon_sym_module] = ACTIONS(553),
    [anon_sym_any] = ACTIONS(587),
    [anon_sym_number] = ACTIONS(587),
    [anon_sym_boolean] = ACTIONS(587),
    [anon_sym_string] = ACTIONS(587),
    [anon_sym_symbol] = ACTIONS(587),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [66] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1212),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym__formal_parameter] = STATE(3431),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3938),
    [sym_string] = STATE(1564),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3280),
    [sym_constructor_type] = STATE(3280),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3280),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3280),
    [sym_union_type] = STATE(3280),
    [sym_intersection_type] = STATE(3280),
    [sym_function_type] = STATE(3280),
    [aux_sym_export_statement_repeat1] = STATE(1919),
    [sym_identifier] = ACTIONS(551),
    [anon_sym_export] = ACTIONS(553),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_namespace] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(557),
    [anon_sym_typeof] = ACTIONS(559),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(563),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(571),
    [sym_number] = ACTIONS(573),
    [sym_this] = ACTIONS(575),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(577),
    [sym_false] = ACTIONS(577),
    [sym_null] = ACTIONS(577),
    [sym_undefined] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(553),
    [anon_sym_readonly] = ACTIONS(581),
    [anon_sym_get] = ACTIONS(553),
    [anon_sym_set] = ACTIONS(553),
    [anon_sym_declare] = ACTIONS(553),
    [anon_sym_public] = ACTIONS(583),
    [anon_sym_private] = ACTIONS(583),
    [anon_sym_protected] = ACTIONS(583),
    [anon_sym_override] = ACTIONS(585),
    [anon_sym_module] = ACTIONS(553),
    [anon_sym_any] = ACTIONS(587),
    [anon_sym_number] = ACTIONS(587),
    [anon_sym_boolean] = ACTIONS(587),
    [anon_sym_string] = ACTIONS(587),
    [anon_sym_symbol] = ACTIONS(587),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [67] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3667),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(3847),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1366),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2977),
    [sym_pattern] = STATE(3473),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2274),
    [sym__type] = STATE(2445),
    [sym_constructor_type] = STATE(2445),
    [sym__primary_type] = STATE(2381),
    [sym_template_literal_type] = STATE(2379),
    [sym_infer_type] = STATE(2445),
    [sym_conditional_type] = STATE(2379),
    [sym_generic_type] = STATE(2379),
    [sym_type_query] = STATE(2379),
    [sym_index_type_query] = STATE(2379),
    [sym_lookup_type] = STATE(2379),
    [sym_literal_type] = STATE(2379),
    [sym__number] = STATE(2378),
    [sym_existential_type] = STATE(2379),
    [sym_flow_maybe_type] = STATE(2379),
    [sym_parenthesized_type] = STATE(2379),
    [sym_predefined_type] = STATE(2379),
    [sym_object_type] = STATE(2379),
    [sym_type_parameters] = STATE(3688),
    [sym_array_type] = STATE(2379),
    [sym_tuple_type] = STATE(2379),
    [sym_readonly_type] = STATE(2445),
    [sym_union_type] = STATE(2445),
    [sym_intersection_type] = STATE(2445),
    [sym_function_type] = STATE(2445),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(589),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(593),
    [anon_sym_typeof] = ACTIONS(595),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(597),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(599),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(601),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(609),
    [anon_sym_DASH] = ACTIONS(609),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(611),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(613),
    [sym_number] = ACTIONS(615),
    [sym_this] = ACTIONS(617),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(619),
    [sym_false] = ACTIONS(619),
    [sym_null] = ACTIONS(619),
    [sym_undefined] = ACTIONS(621),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(623),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(625),
    [anon_sym_number] = ACTIONS(625),
    [anon_sym_boolean] = ACTIONS(625),
    [anon_sym_string] = ACTIONS(625),
    [anon_sym_symbol] = ACTIONS(625),
    [anon_sym_infer] = ACTIONS(627),
    [anon_sym_keyof] = ACTIONS(629),
    [anon_sym_unknown] = ACTIONS(631),
    [anon_sym_never] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(633),
  },
  [68] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1622),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4067),
    [sym_string] = STATE(1564),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3338),
    [sym_constructor_type] = STATE(3338),
    [sym__primary_type] = STATE(3179),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3233),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3338),
    [sym_union_type] = STATE(3338),
    [sym_intersection_type] = STATE(3338),
    [sym_function_type] = STATE(3338),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(635),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(641),
    [anon_sym_typeof] = ACTIONS(559),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(569),
    [anon_sym_DASH] = ACTIONS(569),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(571),
    [sym_number] = ACTIONS(573),
    [sym_this] = ACTIONS(647),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(577),
    [sym_false] = ACTIONS(577),
    [sym_null] = ACTIONS(577),
    [sym_undefined] = ACTIONS(579),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(649),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(651),
    [anon_sym_number] = ACTIONS(651),
    [anon_sym_boolean] = ACTIONS(651),
    [anon_sym_string] = ACTIONS(651),
    [anon_sym_symbol] = ACTIONS(651),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [69] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1554),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2840),
    [sym_constructor_type] = STATE(2840),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2840),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2840),
    [sym_union_type] = STATE(2840),
    [sym_intersection_type] = STATE(2840),
    [sym_function_type] = STATE(2840),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(653),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_typeof] = ACTIONS(661),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(675),
    [anon_sym_DASH] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(677),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(683),
    [sym_number] = ACTIONS(685),
    [sym_this] = ACTIONS(687),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_null] = ACTIONS(689),
    [sym_undefined] = ACTIONS(691),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(693),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(695),
    [anon_sym_number] = ACTIONS(695),
    [anon_sym_boolean] = ACTIONS(695),
    [anon_sym_string] = ACTIONS(695),
    [anon_sym_symbol] = ACTIONS(695),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [70] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1089),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2799),
    [sym_constructor_type] = STATE(2799),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2799),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2799),
    [sym_union_type] = STATE(2799),
    [sym_intersection_type] = STATE(2799),
    [sym_function_type] = STATE(2799),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(697),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(723),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(729),
    [sym_number] = ACTIONS(731),
    [sym_this] = ACTIONS(733),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_null] = ACTIONS(735),
    [sym_undefined] = ACTIONS(737),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(739),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(741),
    [anon_sym_number] = ACTIONS(741),
    [anon_sym_boolean] = ACTIONS(741),
    [anon_sym_string] = ACTIONS(741),
    [anon_sym_symbol] = ACTIONS(741),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [71] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1441),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1735),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2840),
    [sym_constructor_type] = STATE(2840),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2840),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2840),
    [sym_union_type] = STATE(2840),
    [sym_intersection_type] = STATE(2840),
    [sym_function_type] = STATE(2840),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(743),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(749),
    [anon_sym_typeof] = ACTIONS(751),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(771),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(775),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(781),
    [sym_number] = ACTIONS(783),
    [sym_this] = ACTIONS(785),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(787),
    [sym_false] = ACTIONS(787),
    [sym_null] = ACTIONS(787),
    [sym_undefined] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(791),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(793),
    [anon_sym_number] = ACTIONS(793),
    [anon_sym_boolean] = ACTIONS(793),
    [anon_sym_string] = ACTIONS(793),
    [anon_sym_symbol] = ACTIONS(793),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [72] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1670),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1554),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2840),
    [sym_constructor_type] = STATE(2840),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2840),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2840),
    [sym_union_type] = STATE(2840),
    [sym_intersection_type] = STATE(2840),
    [sym_function_type] = STATE(2840),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(795),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(801),
    [anon_sym_typeof] = ACTIONS(803),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(815),
    [anon_sym_DASH] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(817),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(683),
    [sym_number] = ACTIONS(685),
    [sym_this] = ACTIONS(687),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_null] = ACTIONS(689),
    [sym_undefined] = ACTIONS(823),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(825),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(827),
    [anon_sym_number] = ACTIONS(827),
    [anon_sym_boolean] = ACTIONS(827),
    [anon_sym_string] = ACTIONS(827),
    [anon_sym_symbol] = ACTIONS(827),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [73] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1279),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1458),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2840),
    [sym_constructor_type] = STATE(2840),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2840),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2840),
    [sym_union_type] = STATE(2840),
    [sym_intersection_type] = STATE(2840),
    [sym_function_type] = STATE(2840),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(829),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_typeof] = ACTIONS(837),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(757),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(839),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(843),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(847),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(849),
    [sym_number] = ACTIONS(851),
    [sym_this] = ACTIONS(853),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(855),
    [sym_false] = ACTIONS(855),
    [sym_null] = ACTIONS(855),
    [sym_undefined] = ACTIONS(857),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(859),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(861),
    [anon_sym_number] = ACTIONS(861),
    [anon_sym_boolean] = ACTIONS(861),
    [anon_sym_string] = ACTIONS(861),
    [anon_sym_symbol] = ACTIONS(861),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [74] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3287),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3287),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3287),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1854),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3125),
    [sym_constructor_type] = STATE(3125),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3125),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3125),
    [sym_union_type] = STATE(3125),
    [sym_intersection_type] = STATE(3125),
    [sym_function_type] = STATE(3125),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(863),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(865),
    [anon_sym_typeof] = ACTIONS(867),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(869),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(871),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(873),
    [sym_number] = ACTIONS(875),
    [sym_this] = ACTIONS(877),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [sym_null] = ACTIONS(879),
    [sym_undefined] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(649),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(883),
    [anon_sym_number] = ACTIONS(883),
    [anon_sym_boolean] = ACTIONS(883),
    [anon_sym_string] = ACTIONS(883),
    [anon_sym_symbol] = ACTIONS(883),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [75] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1089),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2840),
    [sym_constructor_type] = STATE(2840),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2840),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2840),
    [sym_union_type] = STATE(2840),
    [sym_intersection_type] = STATE(2840),
    [sym_function_type] = STATE(2840),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(697),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(719),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(723),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(729),
    [sym_number] = ACTIONS(731),
    [sym_this] = ACTIONS(733),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_null] = ACTIONS(735),
    [sym_undefined] = ACTIONS(737),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(739),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(741),
    [anon_sym_number] = ACTIONS(741),
    [anon_sym_boolean] = ACTIONS(741),
    [anon_sym_string] = ACTIONS(741),
    [anon_sym_symbol] = ACTIONS(741),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [76] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1090),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_nested_identifier] = STATE(4074),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1089),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3119),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2840),
    [sym_constructor_type] = STATE(2840),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2840),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3650),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2840),
    [sym_union_type] = STATE(2840),
    [sym_intersection_type] = STATE(2840),
    [sym_function_type] = STATE(2840),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(885),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_typeof] = ACTIONS(887),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(713),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(487),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(889),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(499),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(729),
    [sym_number] = ACTIONS(731),
    [sym_this] = ACTIONS(733),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [sym_null] = ACTIONS(735),
    [sym_undefined] = ACTIONS(891),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(649),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(893),
    [anon_sym_number] = ACTIONS(893),
    [anon_sym_boolean] = ACTIONS(893),
    [anon_sym_string] = ACTIONS(893),
    [anon_sym_symbol] = ACTIONS(893),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [77] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(2958),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(943),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(949),
    [anon_sym_number] = ACTIONS(949),
    [anon_sym_boolean] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_symbol] = ACTIONS(949),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [78] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1121),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_STAR] = ACTIONS(953),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_as] = ACTIONS(955),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(501),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(959),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_COLON] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_QMARK_DOT] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_QMARK] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [79] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1272),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(977),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_as] = ACTIONS(955),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_QMARK_DOT] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_QMARK] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [sym__automatic_semicolon] = ACTIONS(959),
  },
  [80] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1632),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_STAR] = ACTIONS(985),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_as] = ACTIONS(955),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_RBRACE] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(679),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_QMARK_DOT] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_QMARK] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [81] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1361),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_as] = ACTIONS(955),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(959),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_QMARK_DOT] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_QMARK] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
    [anon_sym_implements] = ACTIONS(955),
  },
  [82] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1490),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(1001),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_as] = ACTIONS(955),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(981),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_QMARK_DOT] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_QMARK] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [sym__automatic_semicolon] = ACTIONS(959),
  },
  [83] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1700),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(1009),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_as] = ACTIONS(955),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_in] = ACTIONS(955),
    [anon_sym_COLON] = ACTIONS(959),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(955),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(955),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_QMARK_DOT] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_QMARK] = ACTIONS(955),
    [anon_sym_AMP_AMP] = ACTIONS(959),
    [anon_sym_PIPE_PIPE] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(955),
    [anon_sym_GT_GT_GT] = ACTIONS(959),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(955),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_STAR_STAR] = ACTIONS(959),
    [anon_sym_LT_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(955),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(959),
    [anon_sym_BANG_EQ] = ACTIONS(955),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(959),
    [anon_sym_QMARK_QMARK] = ACTIONS(959),
    [anon_sym_instanceof] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [84] = {
    [sym_declaration] = STATE(3171),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(3163),
    [sym_lexical_declaration] = STATE(3163),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(3163),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(3163),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(3163),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(3163),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(3163),
    [sym_abstract_class_declaration] = STATE(3163),
    [sym_module] = STATE(3163),
    [sym_internal_module] = STATE(1459),
    [sym_import_alias] = STATE(3163),
    [sym_interface_declaration] = STATE(3163),
    [sym_enum_declaration] = STATE(3163),
    [sym_type_alias_declaration] = STATE(3163),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2938),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1019),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1021),
    [anon_sym_var] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_const] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1035),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1037),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(1039),
    [anon_sym_interface] = ACTIONS(1041),
    [anon_sym_enum] = ACTIONS(1043),
  },
  [85] = {
    [sym_declaration] = STATE(609),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1634),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3009),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1045),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(1049),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1051),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [86] = {
    [sym_declaration] = STATE(521),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3009),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1045),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(1049),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1057),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [87] = {
    [sym_declaration] = STATE(609),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1634),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3199),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1045),
    [anon_sym_namespace] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1057),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [88] = {
    [sym_declaration] = STATE(3055),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(3163),
    [sym_lexical_declaration] = STATE(3163),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1557),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(3163),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(3163),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(3163),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(3163),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(3163),
    [sym_abstract_class_declaration] = STATE(3163),
    [sym_module] = STATE(3163),
    [sym_internal_module] = STATE(1459),
    [sym_import_alias] = STATE(3163),
    [sym_interface_declaration] = STATE(3163),
    [sym_enum_declaration] = STATE(3163),
    [sym_type_alias_declaration] = STATE(3163),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(2938),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1019),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1021),
    [anon_sym_var] = ACTIONS(1023),
    [anon_sym_let] = ACTIONS(1025),
    [anon_sym_const] = ACTIONS(1027),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_async] = ACTIONS(1031),
    [anon_sym_function] = ACTIONS(1033),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1035),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1037),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(1039),
    [anon_sym_interface] = ACTIONS(1041),
    [anon_sym_enum] = ACTIONS(1043),
  },
  [89] = {
    [sym_declaration] = STATE(609),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1634),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3009),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1045),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(1049),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1057),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [90] = {
    [sym_declaration] = STATE(521),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(110),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3199),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1045),
    [anon_sym_namespace] = ACTIONS(1059),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(69),
    [anon_sym_async] = ACTIONS(1061),
    [anon_sym_function] = ACTIONS(73),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1055),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1057),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [91] = {
    [sym_declaration] = STATE(521),
    [sym_import] = STATE(1791),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1428),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_class_declaration] = STATE(526),
    [sym_function] = STATE(1791),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function] = STATE(1791),
    [sym_generator_function_declaration] = STATE(526),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_function_signature] = STATE(526),
    [sym_as_expression] = STATE(1783),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(1506),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3009),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(1045),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(1047),
    [anon_sym_var] = ACTIONS(23),
    [anon_sym_let] = ACTIONS(25),
    [anon_sym_const] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(1049),
    [anon_sym_function] = ACTIONS(417),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(1051),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(99),
    [anon_sym_interface] = ACTIONS(101),
    [anon_sym_enum] = ACTIONS(103),
  },
  [92] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(1065),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [93] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [94] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [95] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(1081),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [96] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [97] = {
    [sym_nested_identifier] = STATE(3847),
    [sym_string] = STATE(2386),
    [sym_formal_parameters] = STATE(3947),
    [sym_nested_type_identifier] = STATE(2274),
    [sym__type] = STATE(2410),
    [sym_constructor_type] = STATE(2410),
    [sym__primary_type] = STATE(2381),
    [sym_template_literal_type] = STATE(2379),
    [sym_infer_type] = STATE(2410),
    [sym_conditional_type] = STATE(2379),
    [sym_generic_type] = STATE(2379),
    [sym_type_query] = STATE(2379),
    [sym_index_type_query] = STATE(2379),
    [sym_lookup_type] = STATE(2379),
    [sym_literal_type] = STATE(2379),
    [sym__number] = STATE(2378),
    [sym_existential_type] = STATE(2379),
    [sym_flow_maybe_type] = STATE(2379),
    [sym_parenthesized_type] = STATE(2379),
    [sym_predefined_type] = STATE(2379),
    [sym_object_type] = STATE(2379),
    [sym_type_parameters] = STATE(3840),
    [sym_array_type] = STATE(2379),
    [sym_tuple_type] = STATE(2379),
    [sym_readonly_type] = STATE(2410),
    [sym_union_type] = STATE(2410),
    [sym_intersection_type] = STATE(2410),
    [sym_function_type] = STATE(2410),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_STAR] = ACTIONS(1089),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1101),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(1103),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(1105),
    [anon_sym_PLUS] = ACTIONS(1107),
    [anon_sym_DASH] = ACTIONS(1107),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(1115),
    [sym_this] = ACTIONS(1117),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(631),
    [anon_sym_number] = ACTIONS(631),
    [anon_sym_boolean] = ACTIONS(631),
    [anon_sym_string] = ACTIONS(631),
    [anon_sym_symbol] = ACTIONS(631),
    [anon_sym_infer] = ACTIONS(627),
    [anon_sym_keyof] = ACTIONS(629),
    [anon_sym_unknown] = ACTIONS(631),
    [anon_sym_never] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(633),
  },
  [98] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(1123),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(1125),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_implements] = ACTIONS(904),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [99] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_EQ_GT] = ACTIONS(1129),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [100] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1212),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym__formal_parameter] = STATE(3431),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3938),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(1919),
    [sym_identifier] = ACTIONS(1131),
    [anon_sym_export] = ACTIONS(553),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_namespace] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(1137),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(553),
    [anon_sym_readonly] = ACTIONS(1139),
    [anon_sym_get] = ACTIONS(553),
    [anon_sym_set] = ACTIONS(553),
    [anon_sym_declare] = ACTIONS(553),
    [anon_sym_public] = ACTIONS(583),
    [anon_sym_private] = ACTIONS(583),
    [anon_sym_protected] = ACTIONS(583),
    [anon_sym_override] = ACTIONS(585),
    [anon_sym_module] = ACTIONS(553),
    [anon_sym_any] = ACTIONS(553),
    [anon_sym_number] = ACTIONS(553),
    [anon_sym_boolean] = ACTIONS(553),
    [anon_sym_string] = ACTIONS(553),
    [anon_sym_symbol] = ACTIONS(553),
  },
  [101] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1326),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym__formal_parameter] = STATE(3431),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4144),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(1919),
    [sym_identifier] = ACTIONS(1131),
    [anon_sym_export] = ACTIONS(553),
    [anon_sym_type] = ACTIONS(553),
    [anon_sym_namespace] = ACTIONS(555),
    [anon_sym_LBRACE] = ACTIONS(1133),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(1137),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(553),
    [anon_sym_readonly] = ACTIONS(1139),
    [anon_sym_get] = ACTIONS(553),
    [anon_sym_set] = ACTIONS(553),
    [anon_sym_declare] = ACTIONS(553),
    [anon_sym_public] = ACTIONS(583),
    [anon_sym_private] = ACTIONS(583),
    [anon_sym_protected] = ACTIONS(583),
    [anon_sym_override] = ACTIONS(585),
    [anon_sym_module] = ACTIONS(553),
    [anon_sym_any] = ACTIONS(553),
    [anon_sym_number] = ACTIONS(553),
    [anon_sym_boolean] = ACTIONS(553),
    [anon_sym_string] = ACTIONS(553),
    [anon_sym_symbol] = ACTIONS(553),
  },
  [102] = {
    [sym_statement_block] = STATE(113),
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1143),
    [anon_sym_export] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_type] = ACTIONS(1143),
    [anon_sym_as] = ACTIONS(1143),
    [anon_sym_namespace] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_typeof] = ACTIONS(1143),
    [anon_sym_import] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_let] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_await] = ACTIONS(1143),
    [anon_sym_in] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_with] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_debugger] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_throw] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_LT] = ACTIONS(1143),
    [anon_sym_GT] = ACTIONS(1143),
    [anon_sym_SLASH] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1147),
    [anon_sym_class] = ACTIONS(1143),
    [anon_sym_async] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_QMARK_DOT] = ACTIONS(1141),
    [anon_sym_new] = ACTIONS(1143),
    [anon_sym_QMARK] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1141),
    [anon_sym_PIPE_PIPE] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym_GT_GT_GT] = ACTIONS(1141),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1143),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PERCENT] = ACTIONS(1141),
    [anon_sym_STAR_STAR] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_QMARK_QMARK] = ACTIONS(1141),
    [anon_sym_instanceof] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_void] = ACTIONS(1143),
    [anon_sym_delete] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1141),
    [sym_number] = ACTIONS(1141),
    [sym_this] = ACTIONS(1143),
    [sym_super] = ACTIONS(1143),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_undefined] = ACTIONS(1143),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_readonly] = ACTIONS(1143),
    [anon_sym_get] = ACTIONS(1143),
    [anon_sym_set] = ACTIONS(1143),
    [anon_sym_declare] = ACTIONS(1143),
    [anon_sym_public] = ACTIONS(1143),
    [anon_sym_private] = ACTIONS(1143),
    [anon_sym_protected] = ACTIONS(1143),
    [anon_sym_override] = ACTIONS(1143),
    [anon_sym_module] = ACTIONS(1143),
    [anon_sym_any] = ACTIONS(1143),
    [anon_sym_number] = ACTIONS(1143),
    [anon_sym_boolean] = ACTIONS(1143),
    [anon_sym_string] = ACTIONS(1143),
    [anon_sym_symbol] = ACTIONS(1143),
    [anon_sym_abstract] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [sym__automatic_semicolon] = ACTIONS(1141),
  },
  [103] = {
    [sym_statement_block] = STATE(113),
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1143),
    [anon_sym_export] = ACTIONS(1143),
    [anon_sym_STAR] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_type] = ACTIONS(1143),
    [anon_sym_as] = ACTIONS(1143),
    [anon_sym_namespace] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1145),
    [anon_sym_COMMA] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_typeof] = ACTIONS(1143),
    [anon_sym_import] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_let] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_await] = ACTIONS(1143),
    [anon_sym_in] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_with] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_debugger] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_throw] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_LT] = ACTIONS(1143),
    [anon_sym_GT] = ACTIONS(1143),
    [anon_sym_SLASH] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1143),
    [anon_sym_class] = ACTIONS(1143),
    [anon_sym_async] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_QMARK_DOT] = ACTIONS(1141),
    [anon_sym_new] = ACTIONS(1143),
    [anon_sym_QMARK] = ACTIONS(1143),
    [anon_sym_AMP_AMP] = ACTIONS(1141),
    [anon_sym_PIPE_PIPE] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym_GT_GT_GT] = ACTIONS(1141),
    [anon_sym_LT_LT] = ACTIONS(1141),
    [anon_sym_AMP] = ACTIONS(1143),
    [anon_sym_CARET] = ACTIONS(1141),
    [anon_sym_PIPE] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_PERCENT] = ACTIONS(1141),
    [anon_sym_STAR_STAR] = ACTIONS(1141),
    [anon_sym_LT_EQ] = ACTIONS(1141),
    [anon_sym_EQ_EQ] = ACTIONS(1143),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1141),
    [anon_sym_BANG_EQ] = ACTIONS(1143),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1141),
    [anon_sym_GT_EQ] = ACTIONS(1141),
    [anon_sym_QMARK_QMARK] = ACTIONS(1141),
    [anon_sym_instanceof] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_void] = ACTIONS(1143),
    [anon_sym_delete] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1141),
    [sym_number] = ACTIONS(1141),
    [sym_this] = ACTIONS(1143),
    [sym_super] = ACTIONS(1143),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_undefined] = ACTIONS(1143),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_readonly] = ACTIONS(1143),
    [anon_sym_get] = ACTIONS(1143),
    [anon_sym_set] = ACTIONS(1143),
    [anon_sym_declare] = ACTIONS(1143),
    [anon_sym_public] = ACTIONS(1143),
    [anon_sym_private] = ACTIONS(1143),
    [anon_sym_protected] = ACTIONS(1143),
    [anon_sym_override] = ACTIONS(1143),
    [anon_sym_module] = ACTIONS(1143),
    [anon_sym_any] = ACTIONS(1143),
    [anon_sym_number] = ACTIONS(1143),
    [anon_sym_boolean] = ACTIONS(1143),
    [anon_sym_string] = ACTIONS(1143),
    [anon_sym_symbol] = ACTIONS(1143),
    [anon_sym_abstract] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
    [sym__automatic_semicolon] = ACTIONS(1141),
  },
  [104] = {
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_identifier] = ACTIONS(1151),
    [anon_sym_export] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_type] = ACTIONS(1151),
    [anon_sym_EQ] = ACTIONS(1155),
    [anon_sym_as] = ACTIONS(1153),
    [anon_sym_namespace] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_typeof] = ACTIONS(1151),
    [anon_sym_import] = ACTIONS(1151),
    [anon_sym_var] = ACTIONS(1151),
    [anon_sym_let] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_await] = ACTIONS(1151),
    [anon_sym_in] = ACTIONS(1153),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1151),
    [anon_sym_with] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_debugger] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_throw] = ACTIONS(1151),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_yield] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1153),
    [anon_sym_SLASH] = ACTIONS(1151),
    [anon_sym_DOT] = ACTIONS(1153),
    [anon_sym_class] = ACTIONS(1151),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_QMARK_DOT] = ACTIONS(1157),
    [anon_sym_new] = ACTIONS(1151),
    [anon_sym_QMARK] = ACTIONS(1153),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1153),
    [anon_sym_GT_GT_GT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1153),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_PIPE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_STAR_STAR] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1153),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1153),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1157),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_QMARK_QMARK] = ACTIONS(1157),
    [anon_sym_instanceof] = ACTIONS(1153),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_void] = ACTIONS(1151),
    [anon_sym_delete] = ACTIONS(1151),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_super] = ACTIONS(1151),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1151),
    [anon_sym_AT] = ACTIONS(1149),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_readonly] = ACTIONS(1151),
    [anon_sym_get] = ACTIONS(1151),
    [anon_sym_set] = ACTIONS(1151),
    [anon_sym_declare] = ACTIONS(1151),
    [anon_sym_public] = ACTIONS(1151),
    [anon_sym_private] = ACTIONS(1151),
    [anon_sym_protected] = ACTIONS(1151),
    [anon_sym_override] = ACTIONS(1151),
    [anon_sym_module] = ACTIONS(1151),
    [anon_sym_any] = ACTIONS(1151),
    [anon_sym_number] = ACTIONS(1151),
    [anon_sym_boolean] = ACTIONS(1151),
    [anon_sym_string] = ACTIONS(1151),
    [anon_sym_symbol] = ACTIONS(1151),
    [anon_sym_abstract] = ACTIONS(1151),
    [anon_sym_interface] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [sym__automatic_semicolon] = ACTIONS(1159),
  },
  [105] = {
    [sym_import] = STATE(1791),
    [sym_expression_statement] = STATE(161),
    [sym_variable_declaration] = STATE(161),
    [sym_lexical_declaration] = STATE(161),
    [sym_empty_statement] = STATE(161),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3471),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3471),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3471),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(966),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1161),
    [anon_sym_export] = ACTIONS(1163),
    [anon_sym_type] = ACTIONS(1163),
    [anon_sym_namespace] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(1169),
    [anon_sym_let] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(1175),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1163),
    [anon_sym_set] = ACTIONS(1163),
    [anon_sym_declare] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_any] = ACTIONS(1163),
    [anon_sym_number] = ACTIONS(1163),
    [anon_sym_boolean] = ACTIONS(1163),
    [anon_sym_string] = ACTIONS(1163),
    [anon_sym_symbol] = ACTIONS(1163),
  },
  [106] = {
    [ts_builtin_sym_end] = ACTIONS(1179),
    [sym_identifier] = ACTIONS(1181),
    [anon_sym_export] = ACTIONS(1181),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1181),
    [anon_sym_type] = ACTIONS(1181),
    [anon_sym_as] = ACTIONS(1183),
    [anon_sym_namespace] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_typeof] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(1181),
    [anon_sym_var] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1181),
    [anon_sym_const] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_else] = ACTIONS(1181),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1181),
    [anon_sym_for] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_await] = ACTIONS(1181),
    [anon_sym_in] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1181),
    [anon_sym_do] = ACTIONS(1181),
    [anon_sym_try] = ACTIONS(1181),
    [anon_sym_with] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1181),
    [anon_sym_continue] = ACTIONS(1181),
    [anon_sym_debugger] = ACTIONS(1181),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_throw] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1181),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1181),
    [anon_sym_GT] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1183),
    [anon_sym_class] = ACTIONS(1181),
    [anon_sym_async] = ACTIONS(1181),
    [anon_sym_function] = ACTIONS(1181),
    [anon_sym_QMARK_DOT] = ACTIONS(1185),
    [anon_sym_new] = ACTIONS(1181),
    [anon_sym_QMARK] = ACTIONS(1183),
    [anon_sym_AMP_AMP] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1183),
    [anon_sym_GT_GT_GT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1183),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_PIPE] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1183),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1185),
    [anon_sym_BANG_EQ] = ACTIONS(1183),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1185),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_QMARK_QMARK] = ACTIONS(1185),
    [anon_sym_instanceof] = ACTIONS(1183),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_void] = ACTIONS(1181),
    [anon_sym_delete] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [anon_sym_SQUOTE] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1179),
    [sym_number] = ACTIONS(1179),
    [sym_this] = ACTIONS(1181),
    [sym_super] = ACTIONS(1181),
    [sym_true] = ACTIONS(1181),
    [sym_false] = ACTIONS(1181),
    [sym_null] = ACTIONS(1181),
    [sym_undefined] = ACTIONS(1181),
    [anon_sym_AT] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1181),
    [anon_sym_readonly] = ACTIONS(1181),
    [anon_sym_get] = ACTIONS(1181),
    [anon_sym_set] = ACTIONS(1181),
    [anon_sym_declare] = ACTIONS(1181),
    [anon_sym_public] = ACTIONS(1181),
    [anon_sym_private] = ACTIONS(1181),
    [anon_sym_protected] = ACTIONS(1181),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(1181),
    [anon_sym_any] = ACTIONS(1181),
    [anon_sym_number] = ACTIONS(1181),
    [anon_sym_boolean] = ACTIONS(1181),
    [anon_sym_string] = ACTIONS(1181),
    [anon_sym_symbol] = ACTIONS(1181),
    [anon_sym_abstract] = ACTIONS(1181),
    [anon_sym_interface] = ACTIONS(1181),
    [anon_sym_enum] = ACTIONS(1181),
    [sym__automatic_semicolon] = ACTIONS(1187),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_identifier] = ACTIONS(1151),
    [anon_sym_export] = ACTIONS(1151),
    [anon_sym_STAR] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_type] = ACTIONS(1151),
    [anon_sym_as] = ACTIONS(1151),
    [anon_sym_namespace] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_typeof] = ACTIONS(1151),
    [anon_sym_import] = ACTIONS(1151),
    [anon_sym_var] = ACTIONS(1151),
    [anon_sym_let] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1151),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_await] = ACTIONS(1151),
    [anon_sym_in] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1151),
    [anon_sym_with] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_debugger] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_throw] = ACTIONS(1151),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_yield] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_GT] = ACTIONS(1151),
    [anon_sym_SLASH] = ACTIONS(1151),
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1151),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_QMARK_DOT] = ACTIONS(1149),
    [anon_sym_new] = ACTIONS(1151),
    [anon_sym_QMARK] = ACTIONS(1151),
    [anon_sym_AMP_AMP] = ACTIONS(1149),
    [anon_sym_PIPE_PIPE] = ACTIONS(1149),
    [anon_sym_GT_GT] = ACTIONS(1151),
    [anon_sym_GT_GT_GT] = ACTIONS(1149),
    [anon_sym_LT_LT] = ACTIONS(1149),
    [anon_sym_AMP] = ACTIONS(1151),
    [anon_sym_CARET] = ACTIONS(1149),
    [anon_sym_PIPE] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_PERCENT] = ACTIONS(1149),
    [anon_sym_STAR_STAR] = ACTIONS(1149),
    [anon_sym_LT_EQ] = ACTIONS(1149),
    [anon_sym_EQ_EQ] = ACTIONS(1151),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1149),
    [anon_sym_BANG_EQ] = ACTIONS(1151),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1149),
    [anon_sym_GT_EQ] = ACTIONS(1149),
    [anon_sym_QMARK_QMARK] = ACTIONS(1149),
    [anon_sym_instanceof] = ACTIONS(1151),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_void] = ACTIONS(1151),
    [anon_sym_delete] = ACTIONS(1151),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_super] = ACTIONS(1151),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1151),
    [anon_sym_AT] = ACTIONS(1149),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_readonly] = ACTIONS(1151),
    [anon_sym_get] = ACTIONS(1151),
    [anon_sym_set] = ACTIONS(1151),
    [anon_sym_declare] = ACTIONS(1151),
    [anon_sym_public] = ACTIONS(1151),
    [anon_sym_private] = ACTIONS(1151),
    [anon_sym_protected] = ACTIONS(1151),
    [anon_sym_override] = ACTIONS(1151),
    [anon_sym_module] = ACTIONS(1151),
    [anon_sym_any] = ACTIONS(1151),
    [anon_sym_number] = ACTIONS(1151),
    [anon_sym_boolean] = ACTIONS(1151),
    [anon_sym_string] = ACTIONS(1151),
    [anon_sym_symbol] = ACTIONS(1151),
    [anon_sym_abstract] = ACTIONS(1151),
    [anon_sym_interface] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [sym__automatic_semicolon] = ACTIONS(1189),
  },
  [108] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1371),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3375),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3372),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1201),
    [anon_sym_STAR] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_type] = ACTIONS(1201),
    [anon_sym_as] = ACTIONS(1201),
    [anon_sym_namespace] = ACTIONS(1201),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_let] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_in] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_with] = ACTIONS(1201),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_debugger] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_GT] = ACTIONS(1201),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_DOT] = ACTIONS(1201),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1201),
    [anon_sym_QMARK_DOT] = ACTIONS(1199),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_QMARK] = ACTIONS(1201),
    [anon_sym_AMP_AMP] = ACTIONS(1199),
    [anon_sym_PIPE_PIPE] = ACTIONS(1199),
    [anon_sym_GT_GT] = ACTIONS(1201),
    [anon_sym_GT_GT_GT] = ACTIONS(1199),
    [anon_sym_LT_LT] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(1201),
    [anon_sym_CARET] = ACTIONS(1199),
    [anon_sym_PIPE] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_PERCENT] = ACTIONS(1199),
    [anon_sym_STAR_STAR] = ACTIONS(1199),
    [anon_sym_LT_EQ] = ACTIONS(1199),
    [anon_sym_EQ_EQ] = ACTIONS(1201),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1199),
    [anon_sym_BANG_EQ] = ACTIONS(1201),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1199),
    [anon_sym_GT_EQ] = ACTIONS(1199),
    [anon_sym_QMARK_QMARK] = ACTIONS(1199),
    [anon_sym_instanceof] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1201),
    [anon_sym_delete] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_SQUOTE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1199),
    [sym_number] = ACTIONS(1199),
    [sym_this] = ACTIONS(1201),
    [sym_super] = ACTIONS(1201),
    [sym_true] = ACTIONS(1201),
    [sym_false] = ACTIONS(1201),
    [sym_null] = ACTIONS(1201),
    [sym_undefined] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1201),
    [anon_sym_readonly] = ACTIONS(1201),
    [anon_sym_get] = ACTIONS(1201),
    [anon_sym_set] = ACTIONS(1201),
    [anon_sym_declare] = ACTIONS(1201),
    [anon_sym_public] = ACTIONS(1201),
    [anon_sym_private] = ACTIONS(1201),
    [anon_sym_protected] = ACTIONS(1201),
    [anon_sym_override] = ACTIONS(1201),
    [anon_sym_module] = ACTIONS(1201),
    [anon_sym_any] = ACTIONS(1201),
    [anon_sym_number] = ACTIONS(1201),
    [anon_sym_boolean] = ACTIONS(1201),
    [anon_sym_string] = ACTIONS(1201),
    [anon_sym_symbol] = ACTIONS(1201),
    [anon_sym_abstract] = ACTIONS(1201),
    [anon_sym_interface] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
    [sym__automatic_semicolon] = ACTIONS(1199),
  },
  [110] = {
    [ts_builtin_sym_end] = ACTIONS(1203),
    [sym_identifier] = ACTIONS(1205),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_STAR] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_type] = ACTIONS(1205),
    [anon_sym_as] = ACTIONS(1207),
    [anon_sym_namespace] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1203),
    [anon_sym_COMMA] = ACTIONS(1209),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_typeof] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1205),
    [anon_sym_var] = ACTIONS(1205),
    [anon_sym_let] = ACTIONS(1205),
    [anon_sym_const] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_else] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_switch] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_await] = ACTIONS(1205),
    [anon_sym_in] = ACTIONS(1207),
    [anon_sym_while] = ACTIONS(1205),
    [anon_sym_do] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_with] = ACTIONS(1205),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1205),
    [anon_sym_debugger] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(1205),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1205),
    [anon_sym_yield] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1205),
    [anon_sym_GT] = ACTIONS(1207),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_DOT] = ACTIONS(1207),
    [anon_sym_class] = ACTIONS(1205),
    [anon_sym_async] = ACTIONS(1205),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_QMARK_DOT] = ACTIONS(1209),
    [anon_sym_new] = ACTIONS(1205),
    [anon_sym_QMARK] = ACTIONS(1207),
    [anon_sym_AMP_AMP] = ACTIONS(1209),
    [anon_sym_PIPE_PIPE] = ACTIONS(1209),
    [anon_sym_GT_GT] = ACTIONS(1207),
    [anon_sym_GT_GT_GT] = ACTIONS(1209),
    [anon_sym_LT_LT] = ACTIONS(1209),
    [anon_sym_AMP] = ACTIONS(1207),
    [anon_sym_CARET] = ACTIONS(1209),
    [anon_sym_PIPE] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_PERCENT] = ACTIONS(1209),
    [anon_sym_STAR_STAR] = ACTIONS(1209),
    [anon_sym_LT_EQ] = ACTIONS(1209),
    [anon_sym_EQ_EQ] = ACTIONS(1207),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1209),
    [anon_sym_BANG_EQ] = ACTIONS(1207),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1209),
    [anon_sym_GT_EQ] = ACTIONS(1209),
    [anon_sym_QMARK_QMARK] = ACTIONS(1209),
    [anon_sym_instanceof] = ACTIONS(1207),
    [anon_sym_TILDE] = ACTIONS(1203),
    [anon_sym_void] = ACTIONS(1205),
    [anon_sym_delete] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1203),
    [anon_sym_DQUOTE] = ACTIONS(1203),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1203),
    [sym_number] = ACTIONS(1203),
    [sym_this] = ACTIONS(1205),
    [sym_super] = ACTIONS(1205),
    [sym_true] = ACTIONS(1205),
    [sym_false] = ACTIONS(1205),
    [sym_null] = ACTIONS(1205),
    [sym_undefined] = ACTIONS(1205),
    [anon_sym_AT] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1205),
    [anon_sym_readonly] = ACTIONS(1205),
    [anon_sym_get] = ACTIONS(1205),
    [anon_sym_set] = ACTIONS(1205),
    [anon_sym_declare] = ACTIONS(1205),
    [anon_sym_public] = ACTIONS(1205),
    [anon_sym_private] = ACTIONS(1205),
    [anon_sym_protected] = ACTIONS(1205),
    [anon_sym_override] = ACTIONS(1205),
    [anon_sym_module] = ACTIONS(1205),
    [anon_sym_any] = ACTIONS(1205),
    [anon_sym_number] = ACTIONS(1205),
    [anon_sym_boolean] = ACTIONS(1205),
    [anon_sym_string] = ACTIONS(1205),
    [anon_sym_symbol] = ACTIONS(1205),
    [anon_sym_abstract] = ACTIONS(1205),
    [anon_sym_interface] = ACTIONS(1205),
    [anon_sym_enum] = ACTIONS(1205),
    [sym__automatic_semicolon] = ACTIONS(1209),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym_identifier] = ACTIONS(1213),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_default] = ACTIONS(1213),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_as] = ACTIONS(1213),
    [anon_sym_namespace] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [anon_sym_typeof] = ACTIONS(1213),
    [anon_sym_import] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1213),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_const] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_else] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_switch] = ACTIONS(1213),
    [anon_sym_for] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_await] = ACTIONS(1213),
    [anon_sym_in] = ACTIONS(1213),
    [anon_sym_while] = ACTIONS(1213),
    [anon_sym_do] = ACTIONS(1213),
    [anon_sym_try] = ACTIONS(1213),
    [anon_sym_with] = ACTIONS(1213),
    [anon_sym_break] = ACTIONS(1213),
    [anon_sym_continue] = ACTIONS(1213),
    [anon_sym_debugger] = ACTIONS(1213),
    [anon_sym_return] = ACTIONS(1213),
    [anon_sym_throw] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1213),
    [anon_sym_yield] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_class] = ACTIONS(1213),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(1213),
    [anon_sym_QMARK_DOT] = ACTIONS(1211),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_QMARK] = ACTIONS(1213),
    [anon_sym_AMP_AMP] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_GT_GT_GT] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1211),
    [anon_sym_STAR_STAR] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1211),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_QMARK_QMARK] = ACTIONS(1211),
    [anon_sym_instanceof] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1211),
    [anon_sym_void] = ACTIONS(1213),
    [anon_sym_delete] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1211),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_super] = ACTIONS(1213),
    [sym_true] = ACTIONS(1213),
    [sym_false] = ACTIONS(1213),
    [sym_null] = ACTIONS(1213),
    [sym_undefined] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_abstract] = ACTIONS(1213),
    [anon_sym_interface] = ACTIONS(1213),
    [anon_sym_enum] = ACTIONS(1213),
    [sym__automatic_semicolon] = ACTIONS(1211),
  },
  [112] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [113] = {
    [ts_builtin_sym_end] = ACTIONS(1217),
    [sym_identifier] = ACTIONS(1219),
    [anon_sym_export] = ACTIONS(1219),
    [anon_sym_STAR] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_type] = ACTIONS(1219),
    [anon_sym_as] = ACTIONS(1219),
    [anon_sym_namespace] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_COMMA] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1219),
    [anon_sym_import] = ACTIONS(1219),
    [anon_sym_var] = ACTIONS(1219),
    [anon_sym_let] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_await] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1219),
    [anon_sym_with] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_debugger] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_throw] = ACTIONS(1219),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1219),
    [anon_sym_GT] = ACTIONS(1219),
    [anon_sym_SLASH] = ACTIONS(1219),
    [anon_sym_DOT] = ACTIONS(1219),
    [anon_sym_class] = ACTIONS(1219),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(1219),
    [anon_sym_QMARK_DOT] = ACTIONS(1217),
    [anon_sym_new] = ACTIONS(1219),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1217),
    [anon_sym_PIPE_PIPE] = ACTIONS(1217),
    [anon_sym_GT_GT] = ACTIONS(1219),
    [anon_sym_GT_GT_GT] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1219),
    [anon_sym_CARET] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_STAR_STAR] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1217),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1217),
    [anon_sym_QMARK_QMARK] = ACTIONS(1217),
    [anon_sym_instanceof] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_void] = ACTIONS(1219),
    [anon_sym_delete] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1217),
    [sym_number] = ACTIONS(1217),
    [sym_this] = ACTIONS(1219),
    [sym_super] = ACTIONS(1219),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [sym_null] = ACTIONS(1219),
    [sym_undefined] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_readonly] = ACTIONS(1219),
    [anon_sym_get] = ACTIONS(1219),
    [anon_sym_set] = ACTIONS(1219),
    [anon_sym_declare] = ACTIONS(1219),
    [anon_sym_public] = ACTIONS(1219),
    [anon_sym_private] = ACTIONS(1219),
    [anon_sym_protected] = ACTIONS(1219),
    [anon_sym_override] = ACTIONS(1219),
    [anon_sym_module] = ACTIONS(1219),
    [anon_sym_any] = ACTIONS(1219),
    [anon_sym_number] = ACTIONS(1219),
    [anon_sym_boolean] = ACTIONS(1219),
    [anon_sym_string] = ACTIONS(1219),
    [anon_sym_symbol] = ACTIONS(1219),
    [anon_sym_abstract] = ACTIONS(1219),
    [anon_sym_interface] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
    [sym__automatic_semicolon] = ACTIONS(1217),
  },
  [114] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1221),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_RBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_QMARK] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_extends] = ACTIONS(1223),
  },
  [115] = {
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1227),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_as] = ACTIONS(1229),
    [anon_sym_namespace] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_COMMA] = ACTIONS(1231),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_typeof] = ACTIONS(1227),
    [anon_sym_import] = ACTIONS(1227),
    [anon_sym_var] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_await] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1227),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_debugger] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_throw] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_yield] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1227),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_function] = ACTIONS(1227),
    [anon_sym_QMARK_DOT] = ACTIONS(1231),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_QMARK] = ACTIONS(1229),
    [anon_sym_AMP_AMP] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_GT_GT_GT] = ACTIONS(1231),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_STAR_STAR] = ACTIONS(1231),
    [anon_sym_LT_EQ] = ACTIONS(1231),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1231),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1231),
    [anon_sym_GT_EQ] = ACTIONS(1231),
    [anon_sym_QMARK_QMARK] = ACTIONS(1231),
    [anon_sym_instanceof] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_void] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1225),
    [sym_number] = ACTIONS(1225),
    [sym_this] = ACTIONS(1227),
    [sym_super] = ACTIONS(1227),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [sym_null] = ACTIONS(1227),
    [sym_undefined] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_interface] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [sym__automatic_semicolon] = ACTIONS(1233),
  },
  [116] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_type] = ACTIONS(1237),
    [anon_sym_as] = ACTIONS(1239),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1237),
    [anon_sym_import] = ACTIONS(1237),
    [anon_sym_var] = ACTIONS(1237),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_const] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_if] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_in] = ACTIONS(1239),
    [anon_sym_while] = ACTIONS(1237),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1237),
    [anon_sym_with] = ACTIONS(1237),
    [anon_sym_break] = ACTIONS(1237),
    [anon_sym_continue] = ACTIONS(1237),
    [anon_sym_debugger] = ACTIONS(1237),
    [anon_sym_return] = ACTIONS(1237),
    [anon_sym_throw] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_GT] = ACTIONS(1239),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1239),
    [anon_sym_class] = ACTIONS(1237),
    [anon_sym_async] = ACTIONS(1237),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_QMARK_DOT] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(1237),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_AMP_AMP] = ACTIONS(1241),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1239),
    [anon_sym_GT_GT_GT] = ACTIONS(1241),
    [anon_sym_LT_LT] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1239),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1241),
    [anon_sym_STAR_STAR] = ACTIONS(1241),
    [anon_sym_LT_EQ] = ACTIONS(1241),
    [anon_sym_EQ_EQ] = ACTIONS(1239),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1241),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1241),
    [anon_sym_GT_EQ] = ACTIONS(1241),
    [anon_sym_QMARK_QMARK] = ACTIONS(1241),
    [anon_sym_instanceof] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1237),
    [anon_sym_delete] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1235),
    [anon_sym_DQUOTE] = ACTIONS(1235),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1235),
    [sym_number] = ACTIONS(1235),
    [sym_this] = ACTIONS(1237),
    [sym_super] = ACTIONS(1237),
    [sym_true] = ACTIONS(1237),
    [sym_false] = ACTIONS(1237),
    [sym_null] = ACTIONS(1237),
    [sym_undefined] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1237),
    [anon_sym_readonly] = ACTIONS(1237),
    [anon_sym_get] = ACTIONS(1237),
    [anon_sym_set] = ACTIONS(1237),
    [anon_sym_declare] = ACTIONS(1237),
    [anon_sym_public] = ACTIONS(1237),
    [anon_sym_private] = ACTIONS(1237),
    [anon_sym_protected] = ACTIONS(1237),
    [anon_sym_override] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1237),
    [anon_sym_any] = ACTIONS(1237),
    [anon_sym_number] = ACTIONS(1237),
    [anon_sym_boolean] = ACTIONS(1237),
    [anon_sym_string] = ACTIONS(1237),
    [anon_sym_symbol] = ACTIONS(1237),
    [anon_sym_abstract] = ACTIONS(1237),
    [anon_sym_interface] = ACTIONS(1237),
    [anon_sym_enum] = ACTIONS(1237),
    [sym__automatic_semicolon] = ACTIONS(1243),
  },
  [117] = {
    [ts_builtin_sym_end] = ACTIONS(1245),
    [sym_identifier] = ACTIONS(1247),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_as] = ACTIONS(1249),
    [anon_sym_namespace] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(1251),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_typeof] = ACTIONS(1247),
    [anon_sym_import] = ACTIONS(1247),
    [anon_sym_var] = ACTIONS(1247),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(1247),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_in] = ACTIONS(1249),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_with] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_debugger] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_throw] = ACTIONS(1247),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1247),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1247),
    [anon_sym_GT] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(1249),
    [anon_sym_class] = ACTIONS(1247),
    [anon_sym_async] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_QMARK_DOT] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1247),
    [anon_sym_QMARK] = ACTIONS(1249),
    [anon_sym_AMP_AMP] = ACTIONS(1251),
    [anon_sym_PIPE_PIPE] = ACTIONS(1251),
    [anon_sym_GT_GT] = ACTIONS(1249),
    [anon_sym_GT_GT_GT] = ACTIONS(1251),
    [anon_sym_LT_LT] = ACTIONS(1251),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_CARET] = ACTIONS(1251),
    [anon_sym_PIPE] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1251),
    [anon_sym_STAR_STAR] = ACTIONS(1251),
    [anon_sym_LT_EQ] = ACTIONS(1251),
    [anon_sym_EQ_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1251),
    [anon_sym_BANG_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1251),
    [anon_sym_GT_EQ] = ACTIONS(1251),
    [anon_sym_QMARK_QMARK] = ACTIONS(1251),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1247),
    [anon_sym_delete] = ACTIONS(1247),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1245),
    [sym_number] = ACTIONS(1245),
    [sym_this] = ACTIONS(1247),
    [sym_super] = ACTIONS(1247),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [sym_null] = ACTIONS(1247),
    [sym_undefined] = ACTIONS(1247),
    [anon_sym_AT] = ACTIONS(1245),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_abstract] = ACTIONS(1247),
    [anon_sym_interface] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [sym__automatic_semicolon] = ACTIONS(1253),
  },
  [118] = {
    [ts_builtin_sym_end] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [anon_sym_export] = ACTIONS(1257),
    [anon_sym_STAR] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1257),
    [anon_sym_type] = ACTIONS(1257),
    [anon_sym_as] = ACTIONS(1259),
    [anon_sym_namespace] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1255),
    [anon_sym_COMMA] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_typeof] = ACTIONS(1257),
    [anon_sym_import] = ACTIONS(1257),
    [anon_sym_var] = ACTIONS(1257),
    [anon_sym_let] = ACTIONS(1257),
    [anon_sym_const] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_else] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_switch] = ACTIONS(1257),
    [anon_sym_for] = ACTIONS(1257),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_await] = ACTIONS(1257),
    [anon_sym_in] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1257),
    [anon_sym_do] = ACTIONS(1257),
    [anon_sym_try] = ACTIONS(1257),
    [anon_sym_with] = ACTIONS(1257),
    [anon_sym_break] = ACTIONS(1257),
    [anon_sym_continue] = ACTIONS(1257),
    [anon_sym_debugger] = ACTIONS(1257),
    [anon_sym_return] = ACTIONS(1257),
    [anon_sym_throw] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1257),
    [anon_sym_yield] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_LT] = ACTIONS(1257),
    [anon_sym_GT] = ACTIONS(1259),
    [anon_sym_SLASH] = ACTIONS(1257),
    [anon_sym_DOT] = ACTIONS(1259),
    [anon_sym_class] = ACTIONS(1257),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(1257),
    [anon_sym_QMARK_DOT] = ACTIONS(1261),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_QMARK] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_PIPE_PIPE] = ACTIONS(1261),
    [anon_sym_GT_GT] = ACTIONS(1259),
    [anon_sym_GT_GT_GT] = ACTIONS(1261),
    [anon_sym_LT_LT] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1259),
    [anon_sym_CARET] = ACTIONS(1261),
    [anon_sym_PIPE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1257),
    [anon_sym_PERCENT] = ACTIONS(1261),
    [anon_sym_STAR_STAR] = ACTIONS(1261),
    [anon_sym_LT_EQ] = ACTIONS(1261),
    [anon_sym_EQ_EQ] = ACTIONS(1259),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1261),
    [anon_sym_BANG_EQ] = ACTIONS(1259),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1261),
    [anon_sym_GT_EQ] = ACTIONS(1261),
    [anon_sym_QMARK_QMARK] = ACTIONS(1261),
    [anon_sym_instanceof] = ACTIONS(1259),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_void] = ACTIONS(1257),
    [anon_sym_delete] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [anon_sym_DQUOTE] = ACTIONS(1255),
    [anon_sym_SQUOTE] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1255),
    [sym_number] = ACTIONS(1255),
    [sym_this] = ACTIONS(1257),
    [sym_super] = ACTIONS(1257),
    [sym_true] = ACTIONS(1257),
    [sym_false] = ACTIONS(1257),
    [sym_null] = ACTIONS(1257),
    [sym_undefined] = ACTIONS(1257),
    [anon_sym_AT] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1257),
    [anon_sym_readonly] = ACTIONS(1257),
    [anon_sym_get] = ACTIONS(1257),
    [anon_sym_set] = ACTIONS(1257),
    [anon_sym_declare] = ACTIONS(1257),
    [anon_sym_public] = ACTIONS(1257),
    [anon_sym_private] = ACTIONS(1257),
    [anon_sym_protected] = ACTIONS(1257),
    [anon_sym_override] = ACTIONS(1257),
    [anon_sym_module] = ACTIONS(1257),
    [anon_sym_any] = ACTIONS(1257),
    [anon_sym_number] = ACTIONS(1257),
    [anon_sym_boolean] = ACTIONS(1257),
    [anon_sym_string] = ACTIONS(1257),
    [anon_sym_symbol] = ACTIONS(1257),
    [anon_sym_abstract] = ACTIONS(1257),
    [anon_sym_interface] = ACTIONS(1257),
    [anon_sym_enum] = ACTIONS(1257),
    [sym__automatic_semicolon] = ACTIONS(1263),
  },
  [119] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [120] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1267),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [121] = {
    [ts_builtin_sym_end] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_export] = ACTIONS(1271),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_type] = ACTIONS(1271),
    [anon_sym_as] = ACTIONS(1273),
    [anon_sym_namespace] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_COMMA] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_typeof] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1271),
    [anon_sym_var] = ACTIONS(1271),
    [anon_sym_let] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1271),
    [anon_sym_else] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_await] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_try] = ACTIONS(1271),
    [anon_sym_with] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_debugger] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_throw] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_yield] = ACTIONS(1271),
    [anon_sym_LBRACK] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1271),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_DOT] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1271),
    [anon_sym_async] = ACTIONS(1271),
    [anon_sym_function] = ACTIONS(1271),
    [anon_sym_QMARK_DOT] = ACTIONS(1275),
    [anon_sym_new] = ACTIONS(1271),
    [anon_sym_QMARK] = ACTIONS(1273),
    [anon_sym_AMP_AMP] = ACTIONS(1275),
    [anon_sym_PIPE_PIPE] = ACTIONS(1275),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1275),
    [anon_sym_LT_LT] = ACTIONS(1275),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1275),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [anon_sym_STAR_STAR] = ACTIONS(1275),
    [anon_sym_LT_EQ] = ACTIONS(1275),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1275),
    [anon_sym_BANG_EQ] = ACTIONS(1273),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1275),
    [anon_sym_GT_EQ] = ACTIONS(1275),
    [anon_sym_QMARK_QMARK] = ACTIONS(1275),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_void] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [sym_this] = ACTIONS(1271),
    [sym_super] = ACTIONS(1271),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [sym_null] = ACTIONS(1271),
    [sym_undefined] = ACTIONS(1271),
    [anon_sym_AT] = ACTIONS(1269),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_readonly] = ACTIONS(1271),
    [anon_sym_get] = ACTIONS(1271),
    [anon_sym_set] = ACTIONS(1271),
    [anon_sym_declare] = ACTIONS(1271),
    [anon_sym_public] = ACTIONS(1271),
    [anon_sym_private] = ACTIONS(1271),
    [anon_sym_protected] = ACTIONS(1271),
    [anon_sym_override] = ACTIONS(1271),
    [anon_sym_module] = ACTIONS(1271),
    [anon_sym_any] = ACTIONS(1271),
    [anon_sym_number] = ACTIONS(1271),
    [anon_sym_boolean] = ACTIONS(1271),
    [anon_sym_string] = ACTIONS(1271),
    [anon_sym_symbol] = ACTIONS(1271),
    [anon_sym_abstract] = ACTIONS(1271),
    [anon_sym_interface] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [sym__automatic_semicolon] = ACTIONS(1277),
  },
  [122] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1378),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3375),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3372),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1279),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [123] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [124] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_identifier] = ACTIONS(1285),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1285),
    [anon_sym_type] = ACTIONS(1285),
    [anon_sym_as] = ACTIONS(1287),
    [anon_sym_namespace] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(1289),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [anon_sym_typeof] = ACTIONS(1285),
    [anon_sym_import] = ACTIONS(1285),
    [anon_sym_var] = ACTIONS(1285),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1285),
    [anon_sym_if] = ACTIONS(1285),
    [anon_sym_switch] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_in] = ACTIONS(1287),
    [anon_sym_while] = ACTIONS(1285),
    [anon_sym_do] = ACTIONS(1285),
    [anon_sym_try] = ACTIONS(1285),
    [anon_sym_with] = ACTIONS(1285),
    [anon_sym_break] = ACTIONS(1285),
    [anon_sym_continue] = ACTIONS(1285),
    [anon_sym_debugger] = ACTIONS(1285),
    [anon_sym_return] = ACTIONS(1285),
    [anon_sym_throw] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1285),
    [anon_sym_yield] = ACTIONS(1285),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_GT] = ACTIONS(1287),
    [anon_sym_SLASH] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(1287),
    [anon_sym_class] = ACTIONS(1285),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(1285),
    [anon_sym_QMARK_DOT] = ACTIONS(1289),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_QMARK] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1289),
    [anon_sym_PIPE_PIPE] = ACTIONS(1289),
    [anon_sym_GT_GT] = ACTIONS(1287),
    [anon_sym_GT_GT_GT] = ACTIONS(1289),
    [anon_sym_LT_LT] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1287),
    [anon_sym_CARET] = ACTIONS(1289),
    [anon_sym_PIPE] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1285),
    [anon_sym_PERCENT] = ACTIONS(1289),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_LT_EQ] = ACTIONS(1289),
    [anon_sym_EQ_EQ] = ACTIONS(1287),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1289),
    [anon_sym_BANG_EQ] = ACTIONS(1287),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1289),
    [anon_sym_GT_EQ] = ACTIONS(1289),
    [anon_sym_QMARK_QMARK] = ACTIONS(1289),
    [anon_sym_instanceof] = ACTIONS(1287),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_void] = ACTIONS(1285),
    [anon_sym_delete] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1283),
    [anon_sym_DQUOTE] = ACTIONS(1283),
    [anon_sym_SQUOTE] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1283),
    [sym_number] = ACTIONS(1283),
    [sym_this] = ACTIONS(1285),
    [sym_super] = ACTIONS(1285),
    [sym_true] = ACTIONS(1285),
    [sym_false] = ACTIONS(1285),
    [sym_null] = ACTIONS(1285),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_readonly] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1285),
    [anon_sym_set] = ACTIONS(1285),
    [anon_sym_declare] = ACTIONS(1285),
    [anon_sym_public] = ACTIONS(1285),
    [anon_sym_private] = ACTIONS(1285),
    [anon_sym_protected] = ACTIONS(1285),
    [anon_sym_override] = ACTIONS(1285),
    [anon_sym_module] = ACTIONS(1285),
    [anon_sym_any] = ACTIONS(1285),
    [anon_sym_number] = ACTIONS(1285),
    [anon_sym_boolean] = ACTIONS(1285),
    [anon_sym_string] = ACTIONS(1285),
    [anon_sym_symbol] = ACTIONS(1285),
    [anon_sym_abstract] = ACTIONS(1285),
    [anon_sym_interface] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1285),
    [sym__automatic_semicolon] = ACTIONS(1291),
  },
  [125] = {
    [ts_builtin_sym_end] = ACTIONS(1293),
    [sym_identifier] = ACTIONS(1295),
    [anon_sym_export] = ACTIONS(1295),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_type] = ACTIONS(1295),
    [anon_sym_as] = ACTIONS(1297),
    [anon_sym_namespace] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym_import] = ACTIONS(1295),
    [anon_sym_var] = ACTIONS(1295),
    [anon_sym_let] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_BANG] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_LPAREN] = ACTIONS(1293),
    [anon_sym_await] = ACTIONS(1295),
    [anon_sym_in] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_try] = ACTIONS(1295),
    [anon_sym_with] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_debugger] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_throw] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_yield] = ACTIONS(1295),
    [anon_sym_LBRACK] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1295),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_class] = ACTIONS(1295),
    [anon_sym_async] = ACTIONS(1295),
    [anon_sym_function] = ACTIONS(1295),
    [anon_sym_QMARK_DOT] = ACTIONS(1299),
    [anon_sym_new] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1297),
    [anon_sym_AMP_AMP] = ACTIONS(1299),
    [anon_sym_PIPE_PIPE] = ACTIONS(1299),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_GT_GT_GT] = ACTIONS(1299),
    [anon_sym_LT_LT] = ACTIONS(1299),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(1299),
    [anon_sym_STAR_STAR] = ACTIONS(1299),
    [anon_sym_LT_EQ] = ACTIONS(1299),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1299),
    [anon_sym_BANG_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1299),
    [anon_sym_GT_EQ] = ACTIONS(1299),
    [anon_sym_QMARK_QMARK] = ACTIONS(1299),
    [anon_sym_instanceof] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_void] = ACTIONS(1295),
    [anon_sym_delete] = ACTIONS(1295),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1293),
    [sym_number] = ACTIONS(1293),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(1295),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [sym_null] = ACTIONS(1295),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(1293),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_readonly] = ACTIONS(1295),
    [anon_sym_get] = ACTIONS(1295),
    [anon_sym_set] = ACTIONS(1295),
    [anon_sym_declare] = ACTIONS(1295),
    [anon_sym_public] = ACTIONS(1295),
    [anon_sym_private] = ACTIONS(1295),
    [anon_sym_protected] = ACTIONS(1295),
    [anon_sym_override] = ACTIONS(1295),
    [anon_sym_module] = ACTIONS(1295),
    [anon_sym_any] = ACTIONS(1295),
    [anon_sym_number] = ACTIONS(1295),
    [anon_sym_boolean] = ACTIONS(1295),
    [anon_sym_string] = ACTIONS(1295),
    [anon_sym_symbol] = ACTIONS(1295),
    [anon_sym_abstract] = ACTIONS(1295),
    [anon_sym_interface] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [sym__automatic_semicolon] = ACTIONS(1301),
  },
  [126] = {
    [ts_builtin_sym_end] = ACTIONS(1303),
    [sym_identifier] = ACTIONS(1305),
    [anon_sym_export] = ACTIONS(1305),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_default] = ACTIONS(1305),
    [anon_sym_type] = ACTIONS(1305),
    [anon_sym_as] = ACTIONS(1305),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_typeof] = ACTIONS(1305),
    [anon_sym_import] = ACTIONS(1305),
    [anon_sym_var] = ACTIONS(1305),
    [anon_sym_let] = ACTIONS(1305),
    [anon_sym_const] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_else] = ACTIONS(1305),
    [anon_sym_if] = ACTIONS(1305),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_await] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1305),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_with] = ACTIONS(1305),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1305),
    [anon_sym_debugger] = ACTIONS(1305),
    [anon_sym_return] = ACTIONS(1305),
    [anon_sym_throw] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1305),
    [anon_sym_yield] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_LT] = ACTIONS(1305),
    [anon_sym_GT] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_class] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1305),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_QMARK_DOT] = ACTIONS(1303),
    [anon_sym_new] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_AMP_AMP] = ACTIONS(1303),
    [anon_sym_PIPE_PIPE] = ACTIONS(1303),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_GT_GT_GT] = ACTIONS(1303),
    [anon_sym_LT_LT] = ACTIONS(1303),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_CARET] = ACTIONS(1303),
    [anon_sym_PIPE] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1303),
    [anon_sym_STAR_STAR] = ACTIONS(1303),
    [anon_sym_LT_EQ] = ACTIONS(1303),
    [anon_sym_EQ_EQ] = ACTIONS(1305),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1303),
    [anon_sym_BANG_EQ] = ACTIONS(1305),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1303),
    [anon_sym_GT_EQ] = ACTIONS(1303),
    [anon_sym_QMARK_QMARK] = ACTIONS(1303),
    [anon_sym_instanceof] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1303),
    [anon_sym_void] = ACTIONS(1305),
    [anon_sym_delete] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [sym_number] = ACTIONS(1303),
    [sym_this] = ACTIONS(1305),
    [sym_super] = ACTIONS(1305),
    [sym_true] = ACTIONS(1305),
    [sym_false] = ACTIONS(1305),
    [sym_null] = ACTIONS(1305),
    [sym_undefined] = ACTIONS(1305),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1305),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_get] = ACTIONS(1305),
    [anon_sym_set] = ACTIONS(1305),
    [anon_sym_declare] = ACTIONS(1305),
    [anon_sym_public] = ACTIONS(1305),
    [anon_sym_private] = ACTIONS(1305),
    [anon_sym_protected] = ACTIONS(1305),
    [anon_sym_override] = ACTIONS(1305),
    [anon_sym_module] = ACTIONS(1305),
    [anon_sym_any] = ACTIONS(1305),
    [anon_sym_number] = ACTIONS(1305),
    [anon_sym_boolean] = ACTIONS(1305),
    [anon_sym_string] = ACTIONS(1305),
    [anon_sym_symbol] = ACTIONS(1305),
    [anon_sym_abstract] = ACTIONS(1305),
    [anon_sym_interface] = ACTIONS(1305),
    [anon_sym_enum] = ACTIONS(1305),
    [sym__automatic_semicolon] = ACTIONS(1303),
  },
  [127] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1378),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3375),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3372),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1195),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [128] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_export] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_default] = ACTIONS(1309),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_as] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_typeof] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_var] = ACTIONS(1309),
    [anon_sym_let] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_await] = ACTIONS(1309),
    [anon_sym_in] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_debugger] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1309),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(1309),
    [anon_sym_AMP_AMP] = ACTIONS(1307),
    [anon_sym_PIPE_PIPE] = ACTIONS(1307),
    [anon_sym_GT_GT] = ACTIONS(1309),
    [anon_sym_GT_GT_GT] = ACTIONS(1307),
    [anon_sym_LT_LT] = ACTIONS(1307),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_CARET] = ACTIONS(1307),
    [anon_sym_PIPE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_PERCENT] = ACTIONS(1307),
    [anon_sym_STAR_STAR] = ACTIONS(1307),
    [anon_sym_LT_EQ] = ACTIONS(1307),
    [anon_sym_EQ_EQ] = ACTIONS(1309),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1307),
    [anon_sym_BANG_EQ] = ACTIONS(1309),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1307),
    [anon_sym_GT_EQ] = ACTIONS(1307),
    [anon_sym_QMARK_QMARK] = ACTIONS(1307),
    [anon_sym_instanceof] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1307),
    [anon_sym_void] = ACTIONS(1309),
    [anon_sym_delete] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1307),
    [anon_sym_DQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1307),
    [sym_number] = ACTIONS(1307),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_null] = ACTIONS(1309),
    [sym_undefined] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_readonly] = ACTIONS(1309),
    [anon_sym_get] = ACTIONS(1309),
    [anon_sym_set] = ACTIONS(1309),
    [anon_sym_declare] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_override] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_any] = ACTIONS(1309),
    [anon_sym_number] = ACTIONS(1309),
    [anon_sym_boolean] = ACTIONS(1309),
    [anon_sym_string] = ACTIONS(1309),
    [anon_sym_symbol] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
    [sym__automatic_semicolon] = ACTIONS(1307),
  },
  [129] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_export] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_default] = ACTIONS(1309),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_as] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_typeof] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_var] = ACTIONS(1309),
    [anon_sym_let] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_await] = ACTIONS(1309),
    [anon_sym_in] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_debugger] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1309),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_QMARK_DOT] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(1309),
    [anon_sym_AMP_AMP] = ACTIONS(1307),
    [anon_sym_PIPE_PIPE] = ACTIONS(1307),
    [anon_sym_GT_GT] = ACTIONS(1309),
    [anon_sym_GT_GT_GT] = ACTIONS(1307),
    [anon_sym_LT_LT] = ACTIONS(1307),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_CARET] = ACTIONS(1307),
    [anon_sym_PIPE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_PERCENT] = ACTIONS(1307),
    [anon_sym_STAR_STAR] = ACTIONS(1307),
    [anon_sym_LT_EQ] = ACTIONS(1307),
    [anon_sym_EQ_EQ] = ACTIONS(1309),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1307),
    [anon_sym_BANG_EQ] = ACTIONS(1309),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1307),
    [anon_sym_GT_EQ] = ACTIONS(1307),
    [anon_sym_QMARK_QMARK] = ACTIONS(1307),
    [anon_sym_instanceof] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1307),
    [anon_sym_void] = ACTIONS(1309),
    [anon_sym_delete] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1307),
    [anon_sym_DQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1307),
    [sym_number] = ACTIONS(1307),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_null] = ACTIONS(1309),
    [sym_undefined] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_readonly] = ACTIONS(1309),
    [anon_sym_get] = ACTIONS(1309),
    [anon_sym_set] = ACTIONS(1309),
    [anon_sym_declare] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_override] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_any] = ACTIONS(1309),
    [anon_sym_number] = ACTIONS(1309),
    [anon_sym_boolean] = ACTIONS(1309),
    [anon_sym_string] = ACTIONS(1309),
    [anon_sym_symbol] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
    [sym__automatic_semicolon] = ACTIONS(1311),
  },
  [130] = {
    [sym_import] = STATE(1791),
    [sym_expression_statement] = STATE(163),
    [sym_variable_declaration] = STATE(163),
    [sym_lexical_declaration] = STATE(163),
    [sym_empty_statement] = STATE(163),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3471),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3471),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3471),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(966),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1161),
    [anon_sym_export] = ACTIONS(1163),
    [anon_sym_type] = ACTIONS(1163),
    [anon_sym_namespace] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(1169),
    [anon_sym_let] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(1175),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1163),
    [anon_sym_set] = ACTIONS(1163),
    [anon_sym_declare] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_any] = ACTIONS(1163),
    [anon_sym_number] = ACTIONS(1163),
    [anon_sym_boolean] = ACTIONS(1163),
    [anon_sym_string] = ACTIONS(1163),
    [anon_sym_symbol] = ACTIONS(1163),
  },
  [131] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_identifier] = ACTIONS(1315),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_STAR] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_as] = ACTIONS(1315),
    [anon_sym_namespace] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_COMMA] = ACTIONS(1313),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_typeof] = ACTIONS(1315),
    [anon_sym_import] = ACTIONS(1315),
    [anon_sym_var] = ACTIONS(1315),
    [anon_sym_let] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1315),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_LPAREN] = ACTIONS(1313),
    [anon_sym_await] = ACTIONS(1315),
    [anon_sym_in] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_try] = ACTIONS(1315),
    [anon_sym_with] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_debugger] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_throw] = ACTIONS(1315),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_yield] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1315),
    [anon_sym_GT] = ACTIONS(1315),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_DOT] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_async] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1315),
    [anon_sym_QMARK_DOT] = ACTIONS(1313),
    [anon_sym_new] = ACTIONS(1315),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1313),
    [anon_sym_GT_GT] = ACTIONS(1315),
    [anon_sym_GT_GT_GT] = ACTIONS(1313),
    [anon_sym_LT_LT] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1315),
    [anon_sym_CARET] = ACTIONS(1313),
    [anon_sym_PIPE] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_PERCENT] = ACTIONS(1313),
    [anon_sym_STAR_STAR] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1313),
    [anon_sym_QMARK_QMARK] = ACTIONS(1313),
    [anon_sym_instanceof] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_void] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1313),
    [sym_number] = ACTIONS(1313),
    [sym_this] = ACTIONS(1315),
    [sym_super] = ACTIONS(1315),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [sym_null] = ACTIONS(1315),
    [sym_undefined] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1313),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
    [anon_sym_abstract] = ACTIONS(1315),
    [anon_sym_interface] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [sym__automatic_semicolon] = ACTIONS(1313),
  },
  [132] = {
    [ts_builtin_sym_end] = ACTIONS(1317),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1319),
    [anon_sym_STAR] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_type] = ACTIONS(1319),
    [anon_sym_as] = ACTIONS(1319),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_COMMA] = ACTIONS(1317),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_typeof] = ACTIONS(1319),
    [anon_sym_import] = ACTIONS(1319),
    [anon_sym_var] = ACTIONS(1319),
    [anon_sym_let] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1319),
    [anon_sym_else] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1317),
    [anon_sym_await] = ACTIONS(1319),
    [anon_sym_in] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_try] = ACTIONS(1319),
    [anon_sym_with] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_debugger] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_throw] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_yield] = ACTIONS(1319),
    [anon_sym_LBRACK] = ACTIONS(1317),
    [anon_sym_LT] = ACTIONS(1319),
    [anon_sym_GT] = ACTIONS(1319),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(1319),
    [anon_sym_class] = ACTIONS(1319),
    [anon_sym_async] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1319),
    [anon_sym_QMARK_DOT] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1319),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1317),
    [anon_sym_GT_GT] = ACTIONS(1319),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1319),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_PIPE] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_STAR_STAR] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1317),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1317),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1317),
    [anon_sym_QMARK_QMARK] = ACTIONS(1317),
    [anon_sym_instanceof] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_void] = ACTIONS(1319),
    [anon_sym_delete] = ACTIONS(1319),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1317),
    [sym_number] = ACTIONS(1317),
    [sym_this] = ACTIONS(1319),
    [sym_super] = ACTIONS(1319),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [sym_null] = ACTIONS(1319),
    [sym_undefined] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1317),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_readonly] = ACTIONS(1319),
    [anon_sym_get] = ACTIONS(1319),
    [anon_sym_set] = ACTIONS(1319),
    [anon_sym_declare] = ACTIONS(1319),
    [anon_sym_public] = ACTIONS(1319),
    [anon_sym_private] = ACTIONS(1319),
    [anon_sym_protected] = ACTIONS(1319),
    [anon_sym_override] = ACTIONS(1319),
    [anon_sym_module] = ACTIONS(1319),
    [anon_sym_any] = ACTIONS(1319),
    [anon_sym_number] = ACTIONS(1319),
    [anon_sym_boolean] = ACTIONS(1319),
    [anon_sym_string] = ACTIONS(1319),
    [anon_sym_symbol] = ACTIONS(1319),
    [anon_sym_abstract] = ACTIONS(1319),
    [anon_sym_interface] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
    [sym__automatic_semicolon] = ACTIONS(1317),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1323),
    [anon_sym_export] = ACTIONS(1323),
    [anon_sym_STAR] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_type] = ACTIONS(1323),
    [anon_sym_as] = ACTIONS(1323),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_COMMA] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_typeof] = ACTIONS(1323),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_var] = ACTIONS(1323),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(1323),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_await] = ACTIONS(1323),
    [anon_sym_in] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_debugger] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_throw] = ACTIONS(1323),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [anon_sym_LT] = ACTIONS(1323),
    [anon_sym_GT] = ACTIONS(1323),
    [anon_sym_SLASH] = ACTIONS(1323),
    [anon_sym_DOT] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_QMARK_DOT] = ACTIONS(1321),
    [anon_sym_new] = ACTIONS(1323),
    [anon_sym_QMARK] = ACTIONS(1323),
    [anon_sym_AMP_AMP] = ACTIONS(1321),
    [anon_sym_PIPE_PIPE] = ACTIONS(1321),
    [anon_sym_GT_GT] = ACTIONS(1323),
    [anon_sym_GT_GT_GT] = ACTIONS(1321),
    [anon_sym_LT_LT] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1323),
    [anon_sym_CARET] = ACTIONS(1321),
    [anon_sym_PIPE] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(1321),
    [anon_sym_STAR_STAR] = ACTIONS(1321),
    [anon_sym_LT_EQ] = ACTIONS(1321),
    [anon_sym_EQ_EQ] = ACTIONS(1323),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1321),
    [anon_sym_BANG_EQ] = ACTIONS(1323),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1321),
    [anon_sym_GT_EQ] = ACTIONS(1321),
    [anon_sym_QMARK_QMARK] = ACTIONS(1321),
    [anon_sym_instanceof] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_void] = ACTIONS(1323),
    [anon_sym_delete] = ACTIONS(1323),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1321),
    [sym_number] = ACTIONS(1321),
    [sym_this] = ACTIONS(1323),
    [sym_super] = ACTIONS(1323),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_null] = ACTIONS(1323),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_readonly] = ACTIONS(1323),
    [anon_sym_get] = ACTIONS(1323),
    [anon_sym_set] = ACTIONS(1323),
    [anon_sym_declare] = ACTIONS(1323),
    [anon_sym_public] = ACTIONS(1323),
    [anon_sym_private] = ACTIONS(1323),
    [anon_sym_protected] = ACTIONS(1323),
    [anon_sym_override] = ACTIONS(1323),
    [anon_sym_module] = ACTIONS(1323),
    [anon_sym_any] = ACTIONS(1323),
    [anon_sym_number] = ACTIONS(1323),
    [anon_sym_boolean] = ACTIONS(1323),
    [anon_sym_string] = ACTIONS(1323),
    [anon_sym_symbol] = ACTIONS(1323),
    [anon_sym_abstract] = ACTIONS(1323),
    [anon_sym_interface] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [sym__automatic_semicolon] = ACTIONS(1321),
  },
  [134] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1327),
    [anon_sym_export] = ACTIONS(1327),
    [anon_sym_STAR] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_type] = ACTIONS(1327),
    [anon_sym_as] = ACTIONS(1327),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1327),
    [anon_sym_import] = ACTIONS(1327),
    [anon_sym_var] = ACTIONS(1327),
    [anon_sym_let] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1327),
    [anon_sym_else] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_in] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_try] = ACTIONS(1327),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_debugger] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_throw] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(1327),
    [anon_sym_GT] = ACTIONS(1327),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_DOT] = ACTIONS(1327),
    [anon_sym_class] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1327),
    [anon_sym_QMARK_DOT] = ACTIONS(1325),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1327),
    [anon_sym_GT_GT_GT] = ACTIONS(1325),
    [anon_sym_LT_LT] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1327),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1325),
    [anon_sym_STAR_STAR] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1325),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1325),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1325),
    [anon_sym_QMARK_QMARK] = ACTIONS(1325),
    [anon_sym_instanceof] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1327),
    [anon_sym_delete] = ACTIONS(1327),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1325),
    [sym_number] = ACTIONS(1325),
    [sym_this] = ACTIONS(1327),
    [sym_super] = ACTIONS(1327),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [sym_null] = ACTIONS(1327),
    [sym_undefined] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1325),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_readonly] = ACTIONS(1327),
    [anon_sym_get] = ACTIONS(1327),
    [anon_sym_set] = ACTIONS(1327),
    [anon_sym_declare] = ACTIONS(1327),
    [anon_sym_public] = ACTIONS(1327),
    [anon_sym_private] = ACTIONS(1327),
    [anon_sym_protected] = ACTIONS(1327),
    [anon_sym_override] = ACTIONS(1327),
    [anon_sym_module] = ACTIONS(1327),
    [anon_sym_any] = ACTIONS(1327),
    [anon_sym_number] = ACTIONS(1327),
    [anon_sym_boolean] = ACTIONS(1327),
    [anon_sym_string] = ACTIONS(1327),
    [anon_sym_symbol] = ACTIONS(1327),
    [anon_sym_abstract] = ACTIONS(1327),
    [anon_sym_interface] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [sym__automatic_semicolon] = ACTIONS(1325),
  },
  [135] = {
    [ts_builtin_sym_end] = ACTIONS(1329),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_export] = ACTIONS(1331),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_type] = ACTIONS(1331),
    [anon_sym_as] = ACTIONS(1333),
    [anon_sym_namespace] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_COMMA] = ACTIONS(1335),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_typeof] = ACTIONS(1331),
    [anon_sym_import] = ACTIONS(1331),
    [anon_sym_var] = ACTIONS(1331),
    [anon_sym_let] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1331),
    [anon_sym_else] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(1329),
    [anon_sym_await] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_try] = ACTIONS(1331),
    [anon_sym_with] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_debugger] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_throw] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(1331),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1331),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1331),
    [anon_sym_DOT] = ACTIONS(1333),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(1331),
    [anon_sym_QMARK_DOT] = ACTIONS(1335),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_QMARK] = ACTIONS(1333),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_GT_GT] = ACTIONS(1333),
    [anon_sym_GT_GT_GT] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1335),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1335),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_QMARK_QMARK] = ACTIONS(1335),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_void] = ACTIONS(1331),
    [anon_sym_delete] = ACTIONS(1331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1329),
    [sym_number] = ACTIONS(1329),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(1331),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [sym_null] = ACTIONS(1331),
    [sym_undefined] = ACTIONS(1331),
    [anon_sym_AT] = ACTIONS(1329),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_readonly] = ACTIONS(1331),
    [anon_sym_get] = ACTIONS(1331),
    [anon_sym_set] = ACTIONS(1331),
    [anon_sym_declare] = ACTIONS(1331),
    [anon_sym_public] = ACTIONS(1331),
    [anon_sym_private] = ACTIONS(1331),
    [anon_sym_protected] = ACTIONS(1331),
    [anon_sym_override] = ACTIONS(1331),
    [anon_sym_module] = ACTIONS(1331),
    [anon_sym_any] = ACTIONS(1331),
    [anon_sym_number] = ACTIONS(1331),
    [anon_sym_boolean] = ACTIONS(1331),
    [anon_sym_string] = ACTIONS(1331),
    [anon_sym_symbol] = ACTIONS(1331),
    [anon_sym_abstract] = ACTIONS(1331),
    [anon_sym_interface] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [sym__automatic_semicolon] = ACTIONS(1337),
  },
  [136] = {
    [ts_builtin_sym_end] = ACTIONS(1339),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_export] = ACTIONS(1341),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1341),
    [anon_sym_type] = ACTIONS(1341),
    [anon_sym_as] = ACTIONS(1343),
    [anon_sym_namespace] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(1341),
    [anon_sym_var] = ACTIONS(1341),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1341),
    [anon_sym_else] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_in] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_do] = ACTIONS(1341),
    [anon_sym_try] = ACTIONS(1341),
    [anon_sym_with] = ACTIONS(1341),
    [anon_sym_break] = ACTIONS(1341),
    [anon_sym_continue] = ACTIONS(1341),
    [anon_sym_debugger] = ACTIONS(1341),
    [anon_sym_return] = ACTIONS(1341),
    [anon_sym_throw] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1341),
    [anon_sym_yield] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_LT] = ACTIONS(1341),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_SLASH] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1343),
    [anon_sym_class] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_QMARK_DOT] = ACTIONS(1345),
    [anon_sym_new] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_GT_GT_GT] = ACTIONS(1345),
    [anon_sym_LT_LT] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1345),
    [anon_sym_PIPE] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(1345),
    [anon_sym_STAR_STAR] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1345),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1345),
    [anon_sym_GT_EQ] = ACTIONS(1345),
    [anon_sym_QMARK_QMARK] = ACTIONS(1345),
    [anon_sym_instanceof] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1339),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1339),
    [sym_number] = ACTIONS(1339),
    [sym_this] = ACTIONS(1341),
    [sym_super] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_undefined] = ACTIONS(1341),
    [anon_sym_AT] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_readonly] = ACTIONS(1341),
    [anon_sym_get] = ACTIONS(1341),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_declare] = ACTIONS(1341),
    [anon_sym_public] = ACTIONS(1341),
    [anon_sym_private] = ACTIONS(1341),
    [anon_sym_protected] = ACTIONS(1341),
    [anon_sym_override] = ACTIONS(1341),
    [anon_sym_module] = ACTIONS(1341),
    [anon_sym_any] = ACTIONS(1341),
    [anon_sym_number] = ACTIONS(1341),
    [anon_sym_boolean] = ACTIONS(1341),
    [anon_sym_string] = ACTIONS(1341),
    [anon_sym_symbol] = ACTIONS(1341),
    [anon_sym_abstract] = ACTIONS(1341),
    [anon_sym_interface] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1341),
    [sym__automatic_semicolon] = ACTIONS(1347),
  },
  [137] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_export] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1353),
    [anon_sym_default] = ACTIONS(1351),
    [anon_sym_type] = ACTIONS(1351),
    [anon_sym_as] = ACTIONS(1353),
    [anon_sym_namespace] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_COMMA] = ACTIONS(1355),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(1351),
    [anon_sym_import] = ACTIONS(1351),
    [anon_sym_var] = ACTIONS(1351),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_const] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_else] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_await] = ACTIONS(1351),
    [anon_sym_in] = ACTIONS(1353),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_try] = ACTIONS(1351),
    [anon_sym_with] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_debugger] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_throw] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym_case] = ACTIONS(1351),
    [anon_sym_yield] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1353),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(1353),
    [anon_sym_class] = ACTIONS(1351),
    [anon_sym_async] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_QMARK_DOT] = ACTIONS(1355),
    [anon_sym_new] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1355),
    [anon_sym_PIPE_PIPE] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1353),
    [anon_sym_GT_GT_GT] = ACTIONS(1355),
    [anon_sym_LT_LT] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1353),
    [anon_sym_CARET] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1353),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_PERCENT] = ACTIONS(1355),
    [anon_sym_STAR_STAR] = ACTIONS(1355),
    [anon_sym_LT_EQ] = ACTIONS(1355),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1355),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1355),
    [anon_sym_GT_EQ] = ACTIONS(1355),
    [anon_sym_QMARK_QMARK] = ACTIONS(1355),
    [anon_sym_instanceof] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_void] = ACTIONS(1351),
    [anon_sym_delete] = ACTIONS(1351),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1349),
    [sym_number] = ACTIONS(1349),
    [sym_this] = ACTIONS(1351),
    [sym_super] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_undefined] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1349),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_readonly] = ACTIONS(1351),
    [anon_sym_get] = ACTIONS(1351),
    [anon_sym_set] = ACTIONS(1351),
    [anon_sym_declare] = ACTIONS(1351),
    [anon_sym_public] = ACTIONS(1351),
    [anon_sym_private] = ACTIONS(1351),
    [anon_sym_protected] = ACTIONS(1351),
    [anon_sym_override] = ACTIONS(1351),
    [anon_sym_module] = ACTIONS(1351),
    [anon_sym_any] = ACTIONS(1351),
    [anon_sym_number] = ACTIONS(1351),
    [anon_sym_boolean] = ACTIONS(1351),
    [anon_sym_string] = ACTIONS(1351),
    [anon_sym_symbol] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [sym__automatic_semicolon] = ACTIONS(1357),
  },
  [138] = {
    [ts_builtin_sym_end] = ACTIONS(1359),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_as] = ACTIONS(1363),
    [anon_sym_namespace] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_typeof] = ACTIONS(1361),
    [anon_sym_import] = ACTIONS(1361),
    [anon_sym_var] = ACTIONS(1361),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1361),
    [anon_sym_else] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_await] = ACTIONS(1361),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_with] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_debugger] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_throw] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1361),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1363),
    [anon_sym_class] = ACTIONS(1361),
    [anon_sym_async] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1361),
    [anon_sym_QMARK_DOT] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1361),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_GT_GT] = ACTIONS(1363),
    [anon_sym_GT_GT_GT] = ACTIONS(1365),
    [anon_sym_LT_LT] = ACTIONS(1365),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1365),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1365),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1363),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1363),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1365),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_QMARK_QMARK] = ACTIONS(1365),
    [anon_sym_instanceof] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_void] = ACTIONS(1361),
    [anon_sym_delete] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [sym_number] = ACTIONS(1359),
    [sym_this] = ACTIONS(1361),
    [sym_super] = ACTIONS(1361),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [sym_null] = ACTIONS(1361),
    [sym_undefined] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_abstract] = ACTIONS(1361),
    [anon_sym_interface] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [sym__automatic_semicolon] = ACTIONS(1367),
  },
  [139] = {
    [sym_import] = STATE(1791),
    [sym_expression_statement] = STATE(164),
    [sym_variable_declaration] = STATE(164),
    [sym_lexical_declaration] = STATE(164),
    [sym_empty_statement] = STATE(164),
    [sym_parenthesized_expression] = STATE(966),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3471),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3471),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(966),
    [sym_subscript_expression] = STATE(966),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3471),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(966),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1161),
    [anon_sym_export] = ACTIONS(1163),
    [anon_sym_type] = ACTIONS(1163),
    [anon_sym_namespace] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_var] = ACTIONS(1169),
    [anon_sym_let] = ACTIONS(1171),
    [anon_sym_const] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(1175),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_readonly] = ACTIONS(1163),
    [anon_sym_get] = ACTIONS(1163),
    [anon_sym_set] = ACTIONS(1163),
    [anon_sym_declare] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_override] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_any] = ACTIONS(1163),
    [anon_sym_number] = ACTIONS(1163),
    [anon_sym_boolean] = ACTIONS(1163),
    [anon_sym_string] = ACTIONS(1163),
    [anon_sym_symbol] = ACTIONS(1163),
  },
  [140] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1407),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3331),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3351),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1193),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1369),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [141] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3517),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3517),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3517),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_mapped_type_clause] = STATE(4023),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1371),
    [anon_sym_export] = ACTIONS(1373),
    [anon_sym_type] = ACTIONS(1373),
    [anon_sym_namespace] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_RBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1385),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1373),
    [anon_sym_readonly] = ACTIONS(1373),
    [anon_sym_get] = ACTIONS(1373),
    [anon_sym_set] = ACTIONS(1373),
    [anon_sym_declare] = ACTIONS(1373),
    [anon_sym_public] = ACTIONS(1373),
    [anon_sym_private] = ACTIONS(1373),
    [anon_sym_protected] = ACTIONS(1373),
    [anon_sym_override] = ACTIONS(1373),
    [anon_sym_module] = ACTIONS(1373),
    [anon_sym_any] = ACTIONS(1373),
    [anon_sym_number] = ACTIONS(1373),
    [anon_sym_boolean] = ACTIONS(1373),
    [anon_sym_string] = ACTIONS(1373),
    [anon_sym_symbol] = ACTIONS(1373),
  },
  [142] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_SEMI] = ACTIONS(1221),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
    [anon_sym_extends] = ACTIONS(1223),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1221),
    [sym__automatic_semicolon] = ACTIONS(1221),
  },
  [143] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3641),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3454),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3449),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1390),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [144] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3641),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3454),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3449),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [145] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1678),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3517),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3517),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3517),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1394),
    [anon_sym_export] = ACTIONS(1396),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_namespace] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1379),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_RBRACK] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1396),
    [anon_sym_readonly] = ACTIONS(1396),
    [anon_sym_get] = ACTIONS(1396),
    [anon_sym_set] = ACTIONS(1396),
    [anon_sym_declare] = ACTIONS(1396),
    [anon_sym_public] = ACTIONS(1396),
    [anon_sym_private] = ACTIONS(1396),
    [anon_sym_protected] = ACTIONS(1396),
    [anon_sym_override] = ACTIONS(1396),
    [anon_sym_module] = ACTIONS(1396),
    [anon_sym_any] = ACTIONS(1396),
    [anon_sym_number] = ACTIONS(1396),
    [anon_sym_boolean] = ACTIONS(1396),
    [anon_sym_string] = ACTIONS(1396),
    [anon_sym_symbol] = ACTIONS(1396),
  },
  [146] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3641),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_spread_element] = STATE(3454),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3449),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1387),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_RBRACK] = ACTIONS(1402),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [147] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [anon_sym_extends] = ACTIONS(1223),
  },
  [148] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1347),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3452),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3451),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1406),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1408),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [149] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1410),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3548),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3549),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1406),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1412),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [150] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
    [anon_sym_extends] = ACTIONS(1223),
  },
  [151] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
    [anon_sym_extends] = ACTIONS(1223),
  },
  [152] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1379),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3380),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3381),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1406),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1414),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [153] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
    [anon_sym_extends] = ACTIONS(1223),
  },
  [154] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1349),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3476),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3477),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1406),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1416),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [155] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1412),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3454),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1418),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_RBRACK] = ACTIONS(1418),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [156] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1354),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1221),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
    [anon_sym_extends] = ACTIONS(1223),
  },
  [157] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1394),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3475),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3474),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1406),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1420),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [158] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1369),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3506),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [aux_sym_array_repeat1] = STATE(3502),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_COMMA] = ACTIONS(1406),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1422),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [159] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1481),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(3864),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3864),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [160] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1501),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_spread_element] = STATE(4060),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4060),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1426),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [161] = {
    [sym_import] = STATE(1791),
    [sym_expression_statement] = STATE(177),
    [sym_empty_statement] = STATE(177),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [162] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(2683),
    [sym_assignment_pattern] = STATE(3667),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(2683),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(2683),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_pattern] = STATE(3473),
    [sym_rest_pattern] = STATE(2681),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1191),
    [anon_sym_export] = ACTIONS(451),
    [anon_sym_type] = ACTIONS(451),
    [anon_sym_namespace] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(483),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(451),
    [anon_sym_readonly] = ACTIONS(451),
    [anon_sym_get] = ACTIONS(451),
    [anon_sym_set] = ACTIONS(451),
    [anon_sym_declare] = ACTIONS(451),
    [anon_sym_public] = ACTIONS(451),
    [anon_sym_private] = ACTIONS(451),
    [anon_sym_protected] = ACTIONS(451),
    [anon_sym_override] = ACTIONS(451),
    [anon_sym_module] = ACTIONS(451),
    [anon_sym_any] = ACTIONS(451),
    [anon_sym_number] = ACTIONS(451),
    [anon_sym_boolean] = ACTIONS(451),
    [anon_sym_string] = ACTIONS(451),
    [anon_sym_symbol] = ACTIONS(451),
  },
  [163] = {
    [sym_import] = STATE(1791),
    [sym_expression_statement] = STATE(179),
    [sym_empty_statement] = STATE(179),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [164] = {
    [sym_import] = STATE(1791),
    [sym_expression_statement] = STATE(181),
    [sym_empty_statement] = STATE(181),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1400),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3592),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(59),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [165] = {
    [sym_import] = STATE(1562),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [166] = {
    [sym_import] = STATE(1106),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1432),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [167] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1351),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3607),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
    [sym__automatic_semicolon] = ACTIONS(1434),
  },
  [168] = {
    [sym_import] = STATE(1106),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1436),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [169] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1003),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3512),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3512),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1003),
    [sym_subscript_expression] = STATE(1003),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3512),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1003),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1438),
    [anon_sym_export] = ACTIONS(1440),
    [anon_sym_type] = ACTIONS(1440),
    [anon_sym_namespace] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1444),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_var] = ACTIONS(1446),
    [anon_sym_let] = ACTIONS(1446),
    [anon_sym_const] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1448),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1450),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1452),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_readonly] = ACTIONS(1440),
    [anon_sym_get] = ACTIONS(1440),
    [anon_sym_set] = ACTIONS(1440),
    [anon_sym_declare] = ACTIONS(1440),
    [anon_sym_public] = ACTIONS(1440),
    [anon_sym_private] = ACTIONS(1440),
    [anon_sym_protected] = ACTIONS(1440),
    [anon_sym_override] = ACTIONS(1440),
    [anon_sym_module] = ACTIONS(1440),
    [anon_sym_any] = ACTIONS(1440),
    [anon_sym_number] = ACTIONS(1440),
    [anon_sym_boolean] = ACTIONS(1440),
    [anon_sym_string] = ACTIONS(1440),
    [anon_sym_symbol] = ACTIONS(1440),
  },
  [170] = {
    [sym_import] = STATE(1812),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2144),
    [sym__type_query_subscript_expression] = STATE(2146),
    [sym__type_query_call_expression] = STATE(2299),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1454),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [171] = {
    [sym_import] = STATE(1106),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1456),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [172] = {
    [sym_import] = STATE(1106),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1458),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [173] = {
    [sym_import] = STATE(1106),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1460),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [174] = {
    [sym_import] = STATE(1106),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1354),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1462),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [175] = {
    [sym_import] = STATE(1106),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1464),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [176] = {
    [sym_import] = STATE(1562),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym__type_query_member_expression] = STATE(2094),
    [sym__type_query_subscript_expression] = STATE(2095),
    [sym__type_query_call_expression] = STATE(2141),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1466),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [177] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1578),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4120),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1468),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [178] = {
    [sym_export_clause] = STATE(3245),
    [sym_declaration] = STATE(543),
    [sym_namespace_import] = STATE(3596),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1511),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [179] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1598),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3964),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [180] = {
    [sym_export_clause] = STATE(3245),
    [sym_declaration] = STATE(543),
    [sym_namespace_import] = STATE(3596),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1511),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [181] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1558),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3966),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(1523),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [182] = {
    [sym_export_clause] = STATE(3245),
    [sym_declaration] = STATE(543),
    [sym_namespace_import] = STATE(3596),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1476),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1511),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [183] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1531),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3969),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [184] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1327),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1675),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [185] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1231),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1157),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [186] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1222),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1192),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [187] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1237),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1356),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [188] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1292),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1134),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [189] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3325),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [190] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1327),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [191] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1231),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1358),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [192] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1222),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1409),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [193] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1693),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1546),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [194] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1686),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1548),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [195] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3017),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3691),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [196] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1549),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [197] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1686),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1261),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [198] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1292),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1405),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [199] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1684),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1242),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [200] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1244),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1143),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [201] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1731),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1217),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [202] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1327),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1532),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [203] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1237),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1649),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [204] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1231),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1720),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [205] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1222),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1650),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [206] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_mapped_type_clause] = STATE(4023),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1535),
    [anon_sym_export] = ACTIONS(1537),
    [anon_sym_type] = ACTIONS(1537),
    [anon_sym_namespace] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1541),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_get] = ACTIONS(1537),
    [anon_sym_set] = ACTIONS(1537),
    [anon_sym_declare] = ACTIONS(1537),
    [anon_sym_public] = ACTIONS(1537),
    [anon_sym_private] = ACTIONS(1537),
    [anon_sym_protected] = ACTIONS(1537),
    [anon_sym_override] = ACTIONS(1537),
    [anon_sym_module] = ACTIONS(1537),
    [anon_sym_any] = ACTIONS(1537),
    [anon_sym_number] = ACTIONS(1537),
    [anon_sym_boolean] = ACTIONS(1537),
    [anon_sym_string] = ACTIONS(1537),
    [anon_sym_symbol] = ACTIONS(1537),
  },
  [207] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1227),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3862),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [208] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1292),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1654),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [209] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1540),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3968),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [210] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3017),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3691),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1543),
    [anon_sym_export] = ACTIONS(1545),
    [anon_sym_type] = ACTIONS(1545),
    [anon_sym_namespace] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1549),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_get] = ACTIONS(1545),
    [anon_sym_set] = ACTIONS(1545),
    [anon_sym_declare] = ACTIONS(1545),
    [anon_sym_public] = ACTIONS(1545),
    [anon_sym_private] = ACTIONS(1545),
    [anon_sym_protected] = ACTIONS(1545),
    [anon_sym_override] = ACTIONS(1545),
    [anon_sym_module] = ACTIONS(1545),
    [anon_sym_any] = ACTIONS(1545),
    [anon_sym_number] = ACTIONS(1545),
    [anon_sym_boolean] = ACTIONS(1545),
    [anon_sym_string] = ACTIONS(1545),
    [anon_sym_symbol] = ACTIONS(1545),
  },
  [211] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1731),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [212] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1550),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3967),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [213] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1442),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3883),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [214] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1237),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [215] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1555),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3876),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [216] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [217] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1292),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1496),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [218] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1543),
    [anon_sym_export] = ACTIONS(1545),
    [anon_sym_type] = ACTIONS(1545),
    [anon_sym_namespace] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1549),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_get] = ACTIONS(1545),
    [anon_sym_set] = ACTIONS(1545),
    [anon_sym_declare] = ACTIONS(1545),
    [anon_sym_public] = ACTIONS(1545),
    [anon_sym_private] = ACTIONS(1545),
    [anon_sym_protected] = ACTIONS(1545),
    [anon_sym_override] = ACTIONS(1545),
    [anon_sym_module] = ACTIONS(1545),
    [anon_sym_any] = ACTIONS(1545),
    [anon_sym_number] = ACTIONS(1545),
    [anon_sym_boolean] = ACTIONS(1545),
    [anon_sym_string] = ACTIONS(1545),
    [anon_sym_symbol] = ACTIONS(1545),
  },
  [219] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1222),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1487),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [220] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1257),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3846),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [221] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1231),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1482),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [222] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1244),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1680),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [223] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1237),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1480),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [224] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1551),
    [anon_sym_export] = ACTIONS(1553),
    [anon_sym_type] = ACTIONS(1553),
    [anon_sym_namespace] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_get] = ACTIONS(1553),
    [anon_sym_set] = ACTIONS(1553),
    [anon_sym_declare] = ACTIONS(1553),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_override] = ACTIONS(1553),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_any] = ACTIONS(1553),
    [anon_sym_number] = ACTIONS(1553),
    [anon_sym_boolean] = ACTIONS(1553),
    [anon_sym_string] = ACTIONS(1553),
    [anon_sym_symbol] = ACTIONS(1553),
  },
  [225] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3050),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3720),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_type] = ACTIONS(1561),
    [anon_sym_namespace] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
    [anon_sym_declare] = ACTIONS(1561),
    [anon_sym_public] = ACTIONS(1561),
    [anon_sym_private] = ACTIONS(1561),
    [anon_sym_protected] = ACTIONS(1561),
    [anon_sym_override] = ACTIONS(1561),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_any] = ACTIONS(1561),
    [anon_sym_number] = ACTIONS(1561),
    [anon_sym_boolean] = ACTIONS(1561),
    [anon_sym_string] = ACTIONS(1561),
    [anon_sym_symbol] = ACTIONS(1561),
  },
  [226] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3017),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3691),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1551),
    [anon_sym_export] = ACTIONS(1553),
    [anon_sym_type] = ACTIONS(1553),
    [anon_sym_namespace] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1557),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_get] = ACTIONS(1553),
    [anon_sym_set] = ACTIONS(1553),
    [anon_sym_declare] = ACTIONS(1553),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_override] = ACTIONS(1553),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_any] = ACTIONS(1553),
    [anon_sym_number] = ACTIONS(1553),
    [anon_sym_boolean] = ACTIONS(1553),
    [anon_sym_string] = ACTIONS(1553),
    [anon_sym_symbol] = ACTIONS(1553),
  },
  [227] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1437),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [228] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1327),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1365),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [229] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1244),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1352),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [230] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1622),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4067),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [231] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_mapped_type_clause] = STATE(3959),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1567),
    [anon_sym_export] = ACTIONS(1569),
    [anon_sym_type] = ACTIONS(1569),
    [anon_sym_namespace] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1573),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_get] = ACTIONS(1569),
    [anon_sym_set] = ACTIONS(1569),
    [anon_sym_declare] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_override] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_any] = ACTIONS(1569),
    [anon_sym_number] = ACTIONS(1569),
    [anon_sym_boolean] = ACTIONS(1569),
    [anon_sym_string] = ACTIONS(1569),
    [anon_sym_symbol] = ACTIONS(1569),
  },
  [232] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [233] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1689),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1263),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [234] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3017),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3691),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_type] = ACTIONS(1561),
    [anon_sym_namespace] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
    [anon_sym_declare] = ACTIONS(1561),
    [anon_sym_public] = ACTIONS(1561),
    [anon_sym_private] = ACTIONS(1561),
    [anon_sym_protected] = ACTIONS(1561),
    [anon_sym_override] = ACTIONS(1561),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_any] = ACTIONS(1561),
    [anon_sym_number] = ACTIONS(1561),
    [anon_sym_boolean] = ACTIONS(1561),
    [anon_sym_string] = ACTIONS(1561),
    [anon_sym_symbol] = ACTIONS(1561),
  },
  [235] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1519),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4005),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [236] = {
    [sym_import] = STATE(1332),
    [sym_statement_block] = STATE(1244),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1551),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(1529),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [237] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1764),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1485),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [238] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(964),
    [sym_expression] = STATE(1802),
    [sym_primary_expression] = STATE(1393),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(964),
    [sym_subscript_expression] = STATE(964),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(964),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1587),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
  },
  [239] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(964),
    [sym_expression] = STATE(1802),
    [sym_primary_expression] = STATE(1393),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(964),
    [sym_subscript_expression] = STATE(964),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3017),
    [sym_non_null_expression] = STATE(964),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3691),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(1595),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1587),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
  },
  [240] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1764),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1286),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [241] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1355),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3608),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [242] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1825),
    [sym_primary_expression] = STATE(1059),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1559),
    [anon_sym_export] = ACTIONS(1561),
    [anon_sym_type] = ACTIONS(1561),
    [anon_sym_namespace] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(1533),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_get] = ACTIONS(1561),
    [anon_sym_set] = ACTIONS(1561),
    [anon_sym_declare] = ACTIONS(1561),
    [anon_sym_public] = ACTIONS(1561),
    [anon_sym_private] = ACTIONS(1561),
    [anon_sym_protected] = ACTIONS(1561),
    [anon_sym_override] = ACTIONS(1561),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_any] = ACTIONS(1561),
    [anon_sym_number] = ACTIONS(1561),
    [anon_sym_boolean] = ACTIONS(1561),
    [anon_sym_string] = ACTIONS(1561),
    [anon_sym_symbol] = ACTIONS(1561),
  },
  [243] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(964),
    [sym_expression] = STATE(1802),
    [sym_primary_expression] = STATE(1393),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(964),
    [sym_subscript_expression] = STATE(964),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(3017),
    [sym_non_null_expression] = STATE(964),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3691),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1577),
    [anon_sym_export] = ACTIONS(1579),
    [anon_sym_type] = ACTIONS(1579),
    [anon_sym_namespace] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(1583),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1587),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1579),
    [anon_sym_readonly] = ACTIONS(1579),
    [anon_sym_get] = ACTIONS(1579),
    [anon_sym_set] = ACTIONS(1579),
    [anon_sym_declare] = ACTIONS(1579),
    [anon_sym_public] = ACTIONS(1579),
    [anon_sym_private] = ACTIONS(1579),
    [anon_sym_protected] = ACTIONS(1579),
    [anon_sym_override] = ACTIONS(1579),
    [anon_sym_module] = ACTIONS(1579),
    [anon_sym_any] = ACTIONS(1579),
    [anon_sym_number] = ACTIONS(1579),
    [anon_sym_boolean] = ACTIONS(1579),
    [anon_sym_string] = ACTIONS(1579),
    [anon_sym_symbol] = ACTIONS(1579),
  },
  [244] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1513),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(3929),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [245] = {
    [sym_import] = STATE(1791),
    [sym_statement_block] = STATE(1693),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1267),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [246] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(964),
    [sym_expression] = STATE(1802),
    [sym_primary_expression] = STATE(1393),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(964),
    [sym_subscript_expression] = STATE(964),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(964),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1589),
    [anon_sym_export] = ACTIONS(1591),
    [anon_sym_type] = ACTIONS(1591),
    [anon_sym_namespace] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(1575),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(1595),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1587),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_get] = ACTIONS(1591),
    [anon_sym_set] = ACTIONS(1591),
    [anon_sym_declare] = ACTIONS(1591),
    [anon_sym_public] = ACTIONS(1591),
    [anon_sym_private] = ACTIONS(1591),
    [anon_sym_protected] = ACTIONS(1591),
    [anon_sym_override] = ACTIONS(1591),
    [anon_sym_module] = ACTIONS(1591),
    [anon_sym_any] = ACTIONS(1591),
    [anon_sym_number] = ACTIONS(1591),
    [anon_sym_boolean] = ACTIONS(1591),
    [anon_sym_string] = ACTIONS(1591),
    [anon_sym_symbol] = ACTIONS(1591),
  },
  [247] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1343),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_sequence_expression] = STATE(3649),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [248] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_sequence_expression] = STATE(4063),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [249] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [250] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1436),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [251] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1144),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [252] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1279),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [253] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [254] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1113),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [255] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1712),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [256] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1238),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [257] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1219),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [258] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1211),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [259] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1213),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [260] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1281),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [261] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1282),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [262] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1294),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [263] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1297),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [264] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1304),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [265] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1204),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [266] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1099),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [267] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1095),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [268] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1335),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [269] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [270] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1399),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [271] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1090),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [272] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1340),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [273] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1086),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [274] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1085),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [275] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1223),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [276] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1082),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [277] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1080),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [278] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1079),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [279] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1077),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [280] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1076),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [281] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1073),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [282] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1124),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [283] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1126),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [284] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1135),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [285] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1128),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [286] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [287] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1484),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [288] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [289] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1342),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [290] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1381),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [291] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1395),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [292] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1375),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [293] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3406),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3406),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3406),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1597),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [294] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1377),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [295] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1354),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1599),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [296] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1305),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [297] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [298] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1599),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [299] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1702),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [300] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [301] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1701),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [302] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [303] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1256),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [304] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1521),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [305] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [306] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [307] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1523),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [308] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1601),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [309] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1517),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [310] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1162),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [311] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1547),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [312] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1552),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [313] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1603),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [314] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1516),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [315] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1605),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [316] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1359),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [317] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1570),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [318] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1331),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(1607),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [319] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1235),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(1601),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [320] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1545),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [321] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1691),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [322] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1514),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [323] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1312),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [324] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1678),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [325] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1363),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [326] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1235),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [327] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1681),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [328] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1512),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [329] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1467),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [330] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [331] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [332] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1677),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [333] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1337),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [334] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1441),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [335] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1510),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [336] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1509),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [337] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1784),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [338] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1383),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [339] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [340] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1455),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [341] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1673),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [342] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1670),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [343] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1669),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [344] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1507),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [345] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1667),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [346] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1666),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [347] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1328),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [348] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1664),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [349] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1663),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [350] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1661),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [351] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1504),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [352] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1609),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [353] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1660),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [354] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1659),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [355] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1657),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [356] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1288),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [357] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1655),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [358] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(1607),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [359] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1492),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [360] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1341),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [361] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1651),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [362] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1306),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [363] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1075),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1611),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [364] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1599),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [365] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1456),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [366] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1508),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [367] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1346),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [368] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1362),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [369] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1368),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [370] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1464),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [371] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1391),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [372] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1734),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [373] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(1599),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [374] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1443),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [375] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1350),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [376] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [377] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [378] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1589),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [379] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1658),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [380] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1438),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [381] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1769),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [382] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1225),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [383] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1466),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [384] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [385] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1136),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [386] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1469),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [387] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [388] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1695),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [389] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1396),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [390] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1471),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [391] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1472),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [392] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1285),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3287),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3287),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3287),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1613),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [393] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1376),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [394] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1473),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [395] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1477),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [396] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_expression] = STATE(1486),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(3976),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(3976),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(3974),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(1002),
    [sym_subscript_expression] = STATE(1002),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2151),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(3976),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1002),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(999),
    [anon_sym_export] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_namespace] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(759),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_void] = ACTIONS(777),
    [anon_sym_delete] = ACTIONS(777),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_readonly] = ACTIONS(745),
    [anon_sym_get] = ACTIONS(745),
    [anon_sym_set] = ACTIONS(745),
    [anon_sym_declare] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_override] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_any] = ACTIONS(745),
    [anon_sym_number] = ACTIONS(745),
    [anon_sym_boolean] = ACTIONS(745),
    [anon_sym_string] = ACTIONS(745),
    [anon_sym_symbol] = ACTIONS(745),
  },
  [397] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1382),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [398] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1339),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [399] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(907),
    [sym_expression] = STATE(1732),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3861),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3861),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3884),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(907),
    [sym_subscript_expression] = STATE(907),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2164),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3861),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(907),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1007),
    [anon_sym_export] = ACTIONS(797),
    [anon_sym_type] = ACTIONS(797),
    [anon_sym_namespace] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_typeof] = ACTIONS(819),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(1013),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(811),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(805),
    [anon_sym_void] = ACTIONS(819),
    [anon_sym_delete] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(821),
    [anon_sym_DASH_DASH] = ACTIONS(821),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_readonly] = ACTIONS(797),
    [anon_sym_get] = ACTIONS(797),
    [anon_sym_set] = ACTIONS(797),
    [anon_sym_declare] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_override] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_any] = ACTIONS(797),
    [anon_sym_number] = ACTIONS(797),
    [anon_sym_boolean] = ACTIONS(797),
    [anon_sym_string] = ACTIONS(797),
    [anon_sym_symbol] = ACTIONS(797),
  },
  [400] = {
    [sym_import] = STATE(1791),
    [sym_parenthesized_expression] = STATE(974),
    [sym_expression] = STATE(1240),
    [sym_primary_expression] = STATE(1789),
    [sym_yield_expression] = STATE(1783),
    [sym_object] = STATE(1791),
    [sym_object_pattern] = STATE(4167),
    [sym_array] = STATE(1791),
    [sym_array_pattern] = STATE(4167),
    [sym_jsx_element] = STATE(1783),
    [sym_jsx_fragment] = STATE(1783),
    [sym_jsx_opening_element] = STATE(2460),
    [sym_jsx_self_closing_element] = STATE(1783),
    [sym_class] = STATE(1791),
    [sym_function] = STATE(1791),
    [sym_generator_function] = STATE(1791),
    [sym_arrow_function] = STATE(1791),
    [sym__call_signature] = STATE(4168),
    [sym_call_expression] = STATE(1791),
    [sym_new_expression] = STATE(1783),
    [sym_await_expression] = STATE(1783),
    [sym_member_expression] = STATE(974),
    [sym_subscript_expression] = STATE(974),
    [sym_assignment_expression] = STATE(1783),
    [sym__augmented_assignment_lhs] = STATE(2148),
    [sym_augmented_assignment_expression] = STATE(1783),
    [sym__destructuring_pattern] = STATE(4167),
    [sym_ternary_expression] = STATE(1783),
    [sym_binary_expression] = STATE(1783),
    [sym_unary_expression] = STATE(1783),
    [sym_update_expression] = STATE(1783),
    [sym_string] = STATE(1791),
    [sym_template_string] = STATE(1791),
    [sym_regex] = STATE(1791),
    [sym_meta_property] = STATE(1791),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(974),
    [sym_as_expression] = STATE(1783),
    [sym_internal_module] = STATE(1783),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3261),
    [sym_identifier] = ACTIONS(975),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_type] = ACTIONS(831),
    [anon_sym_namespace] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_typeof] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_LPAREN] = ACTIONS(37),
    [anon_sym_await] = ACTIONS(39),
    [anon_sym_yield] = ACTIONS(61),
    [anon_sym_LBRACK] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(65),
    [anon_sym_SLASH] = ACTIONS(67),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_async] = ACTIONS(841),
    [anon_sym_function] = ACTIONS(769),
    [anon_sym_new] = ACTIONS(75),
    [anon_sym_PLUS] = ACTIONS(19),
    [anon_sym_DASH] = ACTIONS(19),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_void] = ACTIONS(19),
    [anon_sym_delete] = ACTIONS(19),
    [anon_sym_PLUS_PLUS] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(77),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(83),
    [sym_number] = ACTIONS(85),
    [sym_this] = ACTIONS(87),
    [sym_super] = ACTIONS(87),
    [sym_true] = ACTIONS(87),
    [sym_false] = ACTIONS(87),
    [sym_null] = ACTIONS(87),
    [sym_undefined] = ACTIONS(89),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_readonly] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [anon_sym_declare] = ACTIONS(831),
    [anon_sym_public] = ACTIONS(831),
    [anon_sym_private] = ACTIONS(831),
    [anon_sym_protected] = ACTIONS(831),
    [anon_sym_override] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(831),
    [anon_sym_any] = ACTIONS(831),
    [anon_sym_number] = ACTIONS(831),
    [anon_sym_boolean] = ACTIONS(831),
    [anon_sym_string] = ACTIONS(831),
    [anon_sym_symbol] = ACTIONS(831),
  },
  [401] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1354),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [402] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(946),
    [sym_expression] = STATE(1484),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(3882),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(3882),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3859),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(946),
    [sym_subscript_expression] = STATE(946),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2161),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(3882),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(946),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(1615),
    [anon_sym_export] = ACTIONS(637),
    [anon_sym_type] = ACTIONS(637),
    [anon_sym_namespace] = ACTIONS(639),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(501),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(469),
    [anon_sym_yield] = ACTIONS(471),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(645),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(501),
    [anon_sym_DASH] = ACTIONS(501),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_void] = ACTIONS(501),
    [anon_sym_delete] = ACTIONS(501),
    [anon_sym_PLUS_PLUS] = ACTIONS(503),
    [anon_sym_DASH_DASH] = ACTIONS(503),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(637),
    [anon_sym_readonly] = ACTIONS(637),
    [anon_sym_get] = ACTIONS(637),
    [anon_sym_set] = ACTIONS(637),
    [anon_sym_declare] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(637),
    [anon_sym_private] = ACTIONS(637),
    [anon_sym_protected] = ACTIONS(637),
    [anon_sym_override] = ACTIONS(637),
    [anon_sym_module] = ACTIONS(637),
    [anon_sym_any] = ACTIONS(637),
    [anon_sym_number] = ACTIONS(637),
    [anon_sym_boolean] = ACTIONS(637),
    [anon_sym_string] = ACTIONS(637),
    [anon_sym_symbol] = ACTIONS(637),
  },
  [403] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(1000),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4090),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4090),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(3903),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(1000),
    [sym_subscript_expression] = STATE(1000),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2155),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4090),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(1000),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(983),
    [anon_sym_export] = ACTIONS(655),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_namespace] = ACTIONS(657),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(679),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(479),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(679),
    [anon_sym_DASH] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_void] = ACTIONS(679),
    [anon_sym_delete] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(681),
    [anon_sym_DASH_DASH] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_readonly] = ACTIONS(655),
    [anon_sym_get] = ACTIONS(655),
    [anon_sym_set] = ACTIONS(655),
    [anon_sym_declare] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_override] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_any] = ACTIONS(655),
    [anon_sym_number] = ACTIONS(655),
    [anon_sym_boolean] = ACTIONS(655),
    [anon_sym_string] = ACTIONS(655),
    [anon_sym_symbol] = ACTIONS(655),
  },
  [404] = {
    [sym_import] = STATE(1332),
    [sym_parenthesized_expression] = STATE(990),
    [sym_expression] = STATE(1360),
    [sym_primary_expression] = STATE(1325),
    [sym_yield_expression] = STATE(1322),
    [sym_object] = STATE(1332),
    [sym_object_pattern] = STATE(4124),
    [sym_array] = STATE(1332),
    [sym_array_pattern] = STATE(4124),
    [sym_jsx_element] = STATE(1322),
    [sym_jsx_fragment] = STATE(1322),
    [sym_jsx_opening_element] = STATE(2453),
    [sym_jsx_self_closing_element] = STATE(1322),
    [sym_class] = STATE(1332),
    [sym_function] = STATE(1332),
    [sym_generator_function] = STATE(1332),
    [sym_arrow_function] = STATE(1332),
    [sym__call_signature] = STATE(4088),
    [sym_call_expression] = STATE(1332),
    [sym_new_expression] = STATE(1322),
    [sym_await_expression] = STATE(1322),
    [sym_member_expression] = STATE(990),
    [sym_subscript_expression] = STATE(990),
    [sym_assignment_expression] = STATE(1322),
    [sym__augmented_assignment_lhs] = STATE(2168),
    [sym_augmented_assignment_expression] = STATE(1322),
    [sym__destructuring_pattern] = STATE(4124),
    [sym_ternary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_string] = STATE(1332),
    [sym_template_string] = STATE(1332),
    [sym_regex] = STATE(1332),
    [sym_meta_property] = STATE(1332),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2746),
    [sym_non_null_expression] = STATE(990),
    [sym_as_expression] = STATE(1322),
    [sym_internal_module] = STATE(1322),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_export_statement_repeat1] = STATE(3247),
    [sym_identifier] = ACTIONS(991),
    [anon_sym_export] = ACTIONS(699),
    [anon_sym_type] = ACTIONS(699),
    [anon_sym_namespace] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(957),
    [anon_sym_typeof] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_await] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(477),
    [anon_sym_SLASH] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(481),
    [anon_sym_async] = ACTIONS(717),
    [anon_sym_function] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_void] = ACTIONS(725),
    [anon_sym_delete] = ACTIONS(725),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(969),
    [sym_number] = ACTIONS(971),
    [sym_this] = ACTIONS(515),
    [sym_super] = ACTIONS(515),
    [sym_true] = ACTIONS(515),
    [sym_false] = ACTIONS(515),
    [sym_null] = ACTIONS(515),
    [sym_undefined] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(699),
    [anon_sym_readonly] = ACTIONS(699),
    [anon_sym_get] = ACTIONS(699),
    [anon_sym_set] = ACTIONS(699),
    [anon_sym_declare] = ACTIONS(699),
    [anon_sym_public] = ACTIONS(699),
    [anon_sym_private] = ACTIONS(699),
    [anon_sym_protected] = ACTIONS(699),
    [anon_sym_override] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(699),
    [anon_sym_any] = ACTIONS(699),
    [anon_sym_number] = ACTIONS(699),
    [anon_sym_boolean] = ACTIONS(699),
    [anon_sym_string] = ACTIONS(699),
    [anon_sym_symbol] = ACTIONS(699),
  },
  [405] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__formal_parameter] = STATE(3431),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3280),
    [sym_constructor_type] = STATE(3280),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3280),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3280),
    [sym_union_type] = STATE(3280),
    [sym_intersection_type] = STATE(3280),
    [sym_function_type] = STATE(3280),
    [aux_sym_export_statement_repeat1] = STATE(1941),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1621),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(949),
    [anon_sym_number] = ACTIONS(949),
    [anon_sym_boolean] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_symbol] = ACTIONS(949),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [406] = {
    [sym_export_clause] = STATE(3245),
    [sym_declaration] = STATE(543),
    [sym_namespace_import] = STATE(3596),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1629),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1631),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1639),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [407] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__formal_parameter] = STATE(3431),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3296),
    [sym_constructor_type] = STATE(3296),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3296),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3296),
    [sym_union_type] = STATE(3296),
    [sym_intersection_type] = STATE(3296),
    [sym_function_type] = STATE(3296),
    [aux_sym_export_statement_repeat1] = STATE(1941),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1621),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(949),
    [anon_sym_number] = ACTIONS(949),
    [anon_sym_boolean] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_symbol] = ACTIONS(949),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [408] = {
    [sym_export_clause] = STATE(3245),
    [sym_declaration] = STATE(543),
    [sym_namespace_import] = STATE(3596),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1641),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1631),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1511),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [409] = {
    [sym_export_clause] = STATE(3245),
    [sym_declaration] = STATE(543),
    [sym_namespace_import] = STATE(3596),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_type] = ACTIONS(1474),
    [anon_sym_EQ] = ACTIONS(1631),
    [anon_sym_as] = ACTIONS(1478),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1511),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [410] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__formal_parameter] = STATE(3431),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3292),
    [sym_constructor_type] = STATE(3292),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3292),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3292),
    [sym_union_type] = STATE(3292),
    [sym_intersection_type] = STATE(3292),
    [sym_function_type] = STATE(3292),
    [aux_sym_export_statement_repeat1] = STATE(1941),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1621),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(949),
    [anon_sym_number] = ACTIONS(949),
    [anon_sym_boolean] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_symbol] = ACTIONS(949),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [411] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1651),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [412] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__formal_parameter] = STATE(3431),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3322),
    [sym_constructor_type] = STATE(3322),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3322),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3322),
    [sym_union_type] = STATE(3322),
    [sym_intersection_type] = STATE(3322),
    [sym_function_type] = STATE(3322),
    [aux_sym_export_statement_repeat1] = STATE(1941),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1621),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(949),
    [anon_sym_number] = ACTIONS(949),
    [anon_sym_boolean] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_symbol] = ACTIONS(949),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [413] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1651),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [414] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1651),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [415] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__formal_parameter] = STATE(3431),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3005),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2136),
    [sym_accessibility_modifier] = STATE(2032),
    [sym_override_modifier] = STATE(2042),
    [sym_required_parameter] = STATE(3431),
    [sym_optional_parameter] = STATE(3431),
    [sym__parameter_name] = STATE(2680),
    [sym__type] = STATE(3250),
    [sym_constructor_type] = STATE(3250),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3250),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3250),
    [sym_union_type] = STATE(3250),
    [sym_intersection_type] = STATE(3250),
    [sym_function_type] = STATE(3250),
    [aux_sym_export_statement_repeat1] = STATE(1941),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(561),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1621),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(1625),
    [anon_sym_private] = ACTIONS(1625),
    [anon_sym_protected] = ACTIONS(1625),
    [anon_sym_override] = ACTIONS(1627),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(949),
    [anon_sym_number] = ACTIONS(949),
    [anon_sym_boolean] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_symbol] = ACTIONS(949),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [416] = {
    [sym_object_pattern] = STATE(2681),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1655),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_RBRACK] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(1667),
    [anon_sym_number] = ACTIONS(1667),
    [anon_sym_boolean] = ACTIONS(1667),
    [anon_sym_string] = ACTIONS(1667),
    [anon_sym_symbol] = ACTIONS(1667),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [417] = {
    [sym_object_pattern] = STATE(2681),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3426),
    [sym_optional_tuple_parameter] = STATE(3426),
    [sym_optional_type] = STATE(3426),
    [sym_rest_type] = STATE(3426),
    [sym__tuple_type_member] = STATE(3426),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1655),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1669),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_RBRACK] = ACTIONS(1671),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(1667),
    [anon_sym_number] = ACTIONS(1667),
    [anon_sym_boolean] = ACTIONS(1667),
    [anon_sym_string] = ACTIONS(1667),
    [anon_sym_symbol] = ACTIONS(1667),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [418] = {
    [sym_object_pattern] = STATE(2681),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1655),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_RBRACK] = ACTIONS(1673),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(1667),
    [anon_sym_number] = ACTIONS(1667),
    [anon_sym_boolean] = ACTIONS(1667),
    [anon_sym_string] = ACTIONS(1667),
    [anon_sym_symbol] = ACTIONS(1667),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [419] = {
    [sym_object_pattern] = STATE(2681),
    [sym_assignment_pattern] = STATE(3378),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(3305),
    [sym_rest_pattern] = STATE(3025),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [aux_sym_array_pattern_repeat1] = STATE(3370),
    [sym_identifier] = ACTIONS(1655),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_RBRACK] = ACTIONS(1675),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(1667),
    [anon_sym_number] = ACTIONS(1667),
    [anon_sym_boolean] = ACTIONS(1667),
    [anon_sym_string] = ACTIONS(1667),
    [anon_sym_symbol] = ACTIONS(1667),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [420] = {
    [sym__call_signature] = STATE(4132),
    [sym_string] = STATE(2857),
    [sym_formal_parameters] = STATE(2746),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1677),
    [anon_sym_export] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1679),
    [anon_sym_function] = ACTIONS(1695),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_get] = ACTIONS(1699),
    [anon_sym_set] = ACTIONS(1699),
    [anon_sym_declare] = ACTIONS(1679),
    [anon_sym_public] = ACTIONS(1679),
    [anon_sym_private] = ACTIONS(1679),
    [anon_sym_protected] = ACTIONS(1679),
    [anon_sym_override] = ACTIONS(1679),
    [anon_sym_module] = ACTIONS(1679),
    [anon_sym_any] = ACTIONS(1679),
    [anon_sym_number] = ACTIONS(1679),
    [anon_sym_boolean] = ACTIONS(1679),
    [anon_sym_string] = ACTIONS(1679),
    [anon_sym_symbol] = ACTIONS(1679),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [421] = {
    [sym__call_signature] = STATE(4132),
    [sym_string] = STATE(2857),
    [sym_formal_parameters] = STATE(2746),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1677),
    [anon_sym_export] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1679),
    [anon_sym_function] = ACTIONS(1695),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_get] = ACTIONS(1699),
    [anon_sym_set] = ACTIONS(1699),
    [anon_sym_declare] = ACTIONS(1679),
    [anon_sym_public] = ACTIONS(1679),
    [anon_sym_private] = ACTIONS(1679),
    [anon_sym_protected] = ACTIONS(1679),
    [anon_sym_override] = ACTIONS(1679),
    [anon_sym_module] = ACTIONS(1679),
    [anon_sym_any] = ACTIONS(1679),
    [anon_sym_number] = ACTIONS(1679),
    [anon_sym_boolean] = ACTIONS(1679),
    [anon_sym_string] = ACTIONS(1679),
    [anon_sym_symbol] = ACTIONS(1679),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [422] = {
    [sym__call_signature] = STATE(4132),
    [sym_string] = STATE(2857),
    [sym_formal_parameters] = STATE(2746),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [sym_type_parameters] = STATE(3593),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1677),
    [anon_sym_export] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1679),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1684),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1679),
    [anon_sym_function] = ACTIONS(1695),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_get] = ACTIONS(1699),
    [anon_sym_set] = ACTIONS(1699),
    [anon_sym_declare] = ACTIONS(1679),
    [anon_sym_public] = ACTIONS(1679),
    [anon_sym_private] = ACTIONS(1679),
    [anon_sym_protected] = ACTIONS(1679),
    [anon_sym_override] = ACTIONS(1679),
    [anon_sym_module] = ACTIONS(1679),
    [anon_sym_any] = ACTIONS(1679),
    [anon_sym_number] = ACTIONS(1679),
    [anon_sym_boolean] = ACTIONS(1679),
    [anon_sym_string] = ACTIONS(1679),
    [anon_sym_symbol] = ACTIONS(1679),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [423] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1651),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [424] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1651),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [425] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1701),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [426] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1633),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1637),
    [anon_sym_module] = ACTIONS(1701),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [427] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [sym_override_modifier] = STATE(2045),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_get] = ACTIONS(1709),
    [anon_sym_set] = ACTIONS(1709),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1711),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [428] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [sym_override_modifier] = STATE(2045),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_get] = ACTIONS(1709),
    [anon_sym_set] = ACTIONS(1709),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1711),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [429] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [sym_override_modifier] = STATE(2045),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_get] = ACTIONS(1709),
    [anon_sym_set] = ACTIONS(1709),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1711),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [430] = {
    [sym_declaration] = STATE(564),
    [sym_variable_declaration] = STATE(526),
    [sym_lexical_declaration] = STATE(526),
    [sym_class_declaration] = STATE(526),
    [sym_function_declaration] = STATE(526),
    [sym_generator_function_declaration] = STATE(526),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(526),
    [sym_ambient_declaration] = STATE(526),
    [sym_abstract_class_declaration] = STATE(526),
    [sym_module] = STATE(526),
    [sym_internal_module] = STATE(547),
    [sym_import_alias] = STATE(526),
    [sym_interface_declaration] = STATE(526),
    [sym_enum_declaration] = STATE(526),
    [sym_type_alias_declaration] = STATE(526),
    [aux_sym_export_statement_repeat1] = STATE(2956),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1480),
    [anon_sym_import] = ACTIONS(1486),
    [anon_sym_var] = ACTIONS(1488),
    [anon_sym_let] = ACTIONS(1490),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_async] = ACTIONS(1505),
    [anon_sym_function] = ACTIONS(1507),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1509),
    [anon_sym_module] = ACTIONS(1651),
    [anon_sym_abstract] = ACTIONS(1513),
    [anon_sym_global] = ACTIONS(1653),
    [anon_sym_interface] = ACTIONS(1515),
    [anon_sym_enum] = ACTIONS(1517),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [431] = {
    [sym_declaration] = STATE(2948),
    [sym_variable_declaration] = STATE(3163),
    [sym_lexical_declaration] = STATE(3163),
    [sym_class_declaration] = STATE(3163),
    [sym_function_declaration] = STATE(3163),
    [sym_generator_function_declaration] = STATE(3163),
    [sym_decorator] = STATE(2090),
    [sym_function_signature] = STATE(3163),
    [sym_ambient_declaration] = STATE(3163),
    [sym_abstract_class_declaration] = STATE(3163),
    [sym_module] = STATE(3163),
    [sym_internal_module] = STATE(3121),
    [sym_import_alias] = STATE(3163),
    [sym_interface_declaration] = STATE(3163),
    [sym_enum_declaration] = STATE(3163),
    [sym_type_alias_declaration] = STATE(3163),
    [aux_sym_export_statement_repeat1] = STATE(2967),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1713),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1715),
    [anon_sym_import] = ACTIONS(1717),
    [anon_sym_var] = ACTIONS(1719),
    [anon_sym_let] = ACTIONS(1721),
    [anon_sym_const] = ACTIONS(1723),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(1725),
    [anon_sym_async] = ACTIONS(1727),
    [anon_sym_function] = ACTIONS(1729),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(921),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_declare] = ACTIONS(1731),
    [anon_sym_module] = ACTIONS(1733),
    [anon_sym_abstract] = ACTIONS(1735),
    [anon_sym_global] = ACTIONS(1737),
    [anon_sym_interface] = ACTIONS(1739),
    [anon_sym_enum] = ACTIONS(1741),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [432] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_get] = ACTIONS(1709),
    [anon_sym_set] = ACTIONS(1709),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1703),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1743),
    [sym_identifier] = ACTIONS(1745),
    [anon_sym_export] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1745),
    [anon_sym_type] = ACTIONS(1745),
    [anon_sym_EQ] = ACTIONS(1745),
    [anon_sym_namespace] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1743),
    [anon_sym_COMMA] = ACTIONS(1743),
    [anon_sym_RBRACE] = ACTIONS(1743),
    [anon_sym_typeof] = ACTIONS(1745),
    [anon_sym_import] = ACTIONS(1745),
    [anon_sym_var] = ACTIONS(1745),
    [anon_sym_let] = ACTIONS(1745),
    [anon_sym_const] = ACTIONS(1745),
    [anon_sym_BANG] = ACTIONS(1743),
    [anon_sym_else] = ACTIONS(1745),
    [anon_sym_if] = ACTIONS(1745),
    [anon_sym_switch] = ACTIONS(1745),
    [anon_sym_for] = ACTIONS(1745),
    [anon_sym_LPAREN] = ACTIONS(1743),
    [anon_sym_RPAREN] = ACTIONS(1743),
    [anon_sym_await] = ACTIONS(1745),
    [anon_sym_while] = ACTIONS(1745),
    [anon_sym_do] = ACTIONS(1745),
    [anon_sym_try] = ACTIONS(1745),
    [anon_sym_with] = ACTIONS(1745),
    [anon_sym_break] = ACTIONS(1745),
    [anon_sym_continue] = ACTIONS(1745),
    [anon_sym_debugger] = ACTIONS(1745),
    [anon_sym_return] = ACTIONS(1745),
    [anon_sym_throw] = ACTIONS(1745),
    [anon_sym_SEMI] = ACTIONS(1743),
    [anon_sym_COLON] = ACTIONS(1743),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_yield] = ACTIONS(1745),
    [anon_sym_LBRACK] = ACTIONS(1743),
    [anon_sym_RBRACK] = ACTIONS(1743),
    [anon_sym_LT] = ACTIONS(1743),
    [anon_sym_GT] = ACTIONS(1743),
    [anon_sym_SLASH] = ACTIONS(1745),
    [anon_sym_class] = ACTIONS(1745),
    [anon_sym_async] = ACTIONS(1745),
    [anon_sym_function] = ACTIONS(1745),
    [anon_sym_EQ_GT] = ACTIONS(1743),
    [anon_sym_new] = ACTIONS(1745),
    [anon_sym_QMARK] = ACTIONS(1743),
    [anon_sym_AMP] = ACTIONS(1743),
    [anon_sym_PIPE] = ACTIONS(1743),
    [anon_sym_PLUS] = ACTIONS(1745),
    [anon_sym_DASH] = ACTIONS(1745),
    [anon_sym_TILDE] = ACTIONS(1743),
    [anon_sym_void] = ACTIONS(1745),
    [anon_sym_delete] = ACTIONS(1745),
    [anon_sym_PLUS_PLUS] = ACTIONS(1743),
    [anon_sym_DASH_DASH] = ACTIONS(1743),
    [anon_sym_DQUOTE] = ACTIONS(1743),
    [anon_sym_SQUOTE] = ACTIONS(1743),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1743),
    [sym_number] = ACTIONS(1743),
    [sym_this] = ACTIONS(1745),
    [sym_super] = ACTIONS(1745),
    [sym_true] = ACTIONS(1745),
    [sym_false] = ACTIONS(1745),
    [sym_null] = ACTIONS(1745),
    [sym_undefined] = ACTIONS(1745),
    [anon_sym_AT] = ACTIONS(1743),
    [anon_sym_static] = ACTIONS(1745),
    [anon_sym_readonly] = ACTIONS(1745),
    [anon_sym_get] = ACTIONS(1745),
    [anon_sym_set] = ACTIONS(1745),
    [anon_sym_declare] = ACTIONS(1745),
    [anon_sym_public] = ACTIONS(1745),
    [anon_sym_private] = ACTIONS(1745),
    [anon_sym_protected] = ACTIONS(1745),
    [anon_sym_override] = ACTIONS(1745),
    [anon_sym_module] = ACTIONS(1745),
    [anon_sym_any] = ACTIONS(1745),
    [anon_sym_number] = ACTIONS(1745),
    [anon_sym_boolean] = ACTIONS(1745),
    [anon_sym_string] = ACTIONS(1745),
    [anon_sym_symbol] = ACTIONS(1745),
    [anon_sym_abstract] = ACTIONS(1745),
    [anon_sym_extends] = ACTIONS(1745),
    [anon_sym_interface] = ACTIONS(1745),
    [anon_sym_enum] = ACTIONS(1745),
  },
  [434] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_get] = ACTIONS(1709),
    [anon_sym_set] = ACTIONS(1709),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1703),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1747),
    [sym_identifier] = ACTIONS(1749),
    [anon_sym_export] = ACTIONS(1749),
    [anon_sym_default] = ACTIONS(1749),
    [anon_sym_type] = ACTIONS(1749),
    [anon_sym_EQ] = ACTIONS(1749),
    [anon_sym_namespace] = ACTIONS(1749),
    [anon_sym_LBRACE] = ACTIONS(1747),
    [anon_sym_COMMA] = ACTIONS(1747),
    [anon_sym_RBRACE] = ACTIONS(1747),
    [anon_sym_typeof] = ACTIONS(1749),
    [anon_sym_import] = ACTIONS(1749),
    [anon_sym_var] = ACTIONS(1749),
    [anon_sym_let] = ACTIONS(1749),
    [anon_sym_const] = ACTIONS(1749),
    [anon_sym_BANG] = ACTIONS(1747),
    [anon_sym_else] = ACTIONS(1749),
    [anon_sym_if] = ACTIONS(1749),
    [anon_sym_switch] = ACTIONS(1749),
    [anon_sym_for] = ACTIONS(1749),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [anon_sym_RPAREN] = ACTIONS(1747),
    [anon_sym_await] = ACTIONS(1749),
    [anon_sym_while] = ACTIONS(1749),
    [anon_sym_do] = ACTIONS(1749),
    [anon_sym_try] = ACTIONS(1749),
    [anon_sym_with] = ACTIONS(1749),
    [anon_sym_break] = ACTIONS(1749),
    [anon_sym_continue] = ACTIONS(1749),
    [anon_sym_debugger] = ACTIONS(1749),
    [anon_sym_return] = ACTIONS(1749),
    [anon_sym_throw] = ACTIONS(1749),
    [anon_sym_SEMI] = ACTIONS(1747),
    [anon_sym_COLON] = ACTIONS(1747),
    [anon_sym_case] = ACTIONS(1749),
    [anon_sym_yield] = ACTIONS(1749),
    [anon_sym_LBRACK] = ACTIONS(1747),
    [anon_sym_RBRACK] = ACTIONS(1747),
    [anon_sym_LT] = ACTIONS(1747),
    [anon_sym_GT] = ACTIONS(1747),
    [anon_sym_SLASH] = ACTIONS(1749),
    [anon_sym_class] = ACTIONS(1749),
    [anon_sym_async] = ACTIONS(1749),
    [anon_sym_function] = ACTIONS(1749),
    [anon_sym_EQ_GT] = ACTIONS(1747),
    [anon_sym_new] = ACTIONS(1749),
    [anon_sym_QMARK] = ACTIONS(1747),
    [anon_sym_AMP] = ACTIONS(1747),
    [anon_sym_PIPE] = ACTIONS(1747),
    [anon_sym_PLUS] = ACTIONS(1749),
    [anon_sym_DASH] = ACTIONS(1749),
    [anon_sym_TILDE] = ACTIONS(1747),
    [anon_sym_void] = ACTIONS(1749),
    [anon_sym_delete] = ACTIONS(1749),
    [anon_sym_PLUS_PLUS] = ACTIONS(1747),
    [anon_sym_DASH_DASH] = ACTIONS(1747),
    [anon_sym_DQUOTE] = ACTIONS(1747),
    [anon_sym_SQUOTE] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1747),
    [sym_number] = ACTIONS(1747),
    [sym_this] = ACTIONS(1749),
    [sym_super] = ACTIONS(1749),
    [sym_true] = ACTIONS(1749),
    [sym_false] = ACTIONS(1749),
    [sym_null] = ACTIONS(1749),
    [sym_undefined] = ACTIONS(1749),
    [anon_sym_AT] = ACTIONS(1747),
    [anon_sym_static] = ACTIONS(1749),
    [anon_sym_readonly] = ACTIONS(1749),
    [anon_sym_get] = ACTIONS(1749),
    [anon_sym_set] = ACTIONS(1749),
    [anon_sym_declare] = ACTIONS(1749),
    [anon_sym_public] = ACTIONS(1749),
    [anon_sym_private] = ACTIONS(1749),
    [anon_sym_protected] = ACTIONS(1749),
    [anon_sym_override] = ACTIONS(1749),
    [anon_sym_module] = ACTIONS(1749),
    [anon_sym_any] = ACTIONS(1749),
    [anon_sym_number] = ACTIONS(1749),
    [anon_sym_boolean] = ACTIONS(1749),
    [anon_sym_string] = ACTIONS(1749),
    [anon_sym_symbol] = ACTIONS(1749),
    [anon_sym_abstract] = ACTIONS(1749),
    [anon_sym_extends] = ACTIONS(1749),
    [anon_sym_interface] = ACTIONS(1749),
    [anon_sym_enum] = ACTIONS(1749),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym_identifier] = ACTIONS(1213),
    [anon_sym_export] = ACTIONS(1213),
    [anon_sym_default] = ACTIONS(1213),
    [anon_sym_type] = ACTIONS(1213),
    [anon_sym_EQ] = ACTIONS(1213),
    [anon_sym_namespace] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [anon_sym_typeof] = ACTIONS(1213),
    [anon_sym_import] = ACTIONS(1213),
    [anon_sym_var] = ACTIONS(1213),
    [anon_sym_let] = ACTIONS(1213),
    [anon_sym_const] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1211),
    [anon_sym_else] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_switch] = ACTIONS(1213),
    [anon_sym_for] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_RPAREN] = ACTIONS(1211),
    [anon_sym_await] = ACTIONS(1213),
    [anon_sym_while] = ACTIONS(1213),
    [anon_sym_do] = ACTIONS(1213),
    [anon_sym_try] = ACTIONS(1213),
    [anon_sym_with] = ACTIONS(1213),
    [anon_sym_break] = ACTIONS(1213),
    [anon_sym_continue] = ACTIONS(1213),
    [anon_sym_debugger] = ACTIONS(1213),
    [anon_sym_return] = ACTIONS(1213),
    [anon_sym_throw] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_COLON] = ACTIONS(1211),
    [anon_sym_case] = ACTIONS(1213),
    [anon_sym_yield] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_RBRACK] = ACTIONS(1211),
    [anon_sym_LT] = ACTIONS(1211),
    [anon_sym_GT] = ACTIONS(1211),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_class] = ACTIONS(1213),
    [anon_sym_async] = ACTIONS(1213),
    [anon_sym_function] = ACTIONS(1213),
    [anon_sym_EQ_GT] = ACTIONS(1211),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_QMARK] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1211),
    [anon_sym_PIPE] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1211),
    [anon_sym_void] = ACTIONS(1213),
    [anon_sym_delete] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1211),
    [anon_sym_SQUOTE] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1211),
    [sym_number] = ACTIONS(1211),
    [sym_this] = ACTIONS(1213),
    [sym_super] = ACTIONS(1213),
    [sym_true] = ACTIONS(1213),
    [sym_false] = ACTIONS(1213),
    [sym_null] = ACTIONS(1213),
    [sym_undefined] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1211),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_readonly] = ACTIONS(1213),
    [anon_sym_get] = ACTIONS(1213),
    [anon_sym_set] = ACTIONS(1213),
    [anon_sym_declare] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_override] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_any] = ACTIONS(1213),
    [anon_sym_number] = ACTIONS(1213),
    [anon_sym_boolean] = ACTIONS(1213),
    [anon_sym_string] = ACTIONS(1213),
    [anon_sym_symbol] = ACTIONS(1213),
    [anon_sym_abstract] = ACTIONS(1213),
    [anon_sym_extends] = ACTIONS(1213),
    [anon_sym_interface] = ACTIONS(1213),
    [anon_sym_enum] = ACTIONS(1213),
  },
  [437] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1705),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_get] = ACTIONS(1709),
    [anon_sym_set] = ACTIONS(1709),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1703),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [438] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_get] = ACTIONS(1703),
    [anon_sym_set] = ACTIONS(1703),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1703),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(1751),
    [sym_identifier] = ACTIONS(1753),
    [anon_sym_export] = ACTIONS(1753),
    [anon_sym_default] = ACTIONS(1753),
    [anon_sym_type] = ACTIONS(1753),
    [anon_sym_EQ] = ACTIONS(1753),
    [anon_sym_namespace] = ACTIONS(1753),
    [anon_sym_LBRACE] = ACTIONS(1751),
    [anon_sym_COMMA] = ACTIONS(1751),
    [anon_sym_RBRACE] = ACTIONS(1751),
    [anon_sym_typeof] = ACTIONS(1753),
    [anon_sym_import] = ACTIONS(1753),
    [anon_sym_var] = ACTIONS(1753),
    [anon_sym_let] = ACTIONS(1753),
    [anon_sym_const] = ACTIONS(1753),
    [anon_sym_BANG] = ACTIONS(1751),
    [anon_sym_else] = ACTIONS(1753),
    [anon_sym_if] = ACTIONS(1753),
    [anon_sym_switch] = ACTIONS(1753),
    [anon_sym_for] = ACTIONS(1753),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(1751),
    [anon_sym_await] = ACTIONS(1753),
    [anon_sym_while] = ACTIONS(1753),
    [anon_sym_do] = ACTIONS(1753),
    [anon_sym_try] = ACTIONS(1753),
    [anon_sym_with] = ACTIONS(1753),
    [anon_sym_break] = ACTIONS(1753),
    [anon_sym_continue] = ACTIONS(1753),
    [anon_sym_debugger] = ACTIONS(1753),
    [anon_sym_return] = ACTIONS(1753),
    [anon_sym_throw] = ACTIONS(1753),
    [anon_sym_SEMI] = ACTIONS(1751),
    [anon_sym_COLON] = ACTIONS(1751),
    [anon_sym_case] = ACTIONS(1753),
    [anon_sym_yield] = ACTIONS(1753),
    [anon_sym_LBRACK] = ACTIONS(1751),
    [anon_sym_RBRACK] = ACTIONS(1751),
    [anon_sym_LT] = ACTIONS(1751),
    [anon_sym_GT] = ACTIONS(1751),
    [anon_sym_SLASH] = ACTIONS(1753),
    [anon_sym_class] = ACTIONS(1753),
    [anon_sym_async] = ACTIONS(1753),
    [anon_sym_function] = ACTIONS(1753),
    [anon_sym_EQ_GT] = ACTIONS(1751),
    [anon_sym_new] = ACTIONS(1753),
    [anon_sym_QMARK] = ACTIONS(1751),
    [anon_sym_AMP] = ACTIONS(1751),
    [anon_sym_PIPE] = ACTIONS(1751),
    [anon_sym_PLUS] = ACTIONS(1753),
    [anon_sym_DASH] = ACTIONS(1753),
    [anon_sym_TILDE] = ACTIONS(1751),
    [anon_sym_void] = ACTIONS(1753),
    [anon_sym_delete] = ACTIONS(1753),
    [anon_sym_PLUS_PLUS] = ACTIONS(1751),
    [anon_sym_DASH_DASH] = ACTIONS(1751),
    [anon_sym_DQUOTE] = ACTIONS(1751),
    [anon_sym_SQUOTE] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1751),
    [sym_number] = ACTIONS(1751),
    [sym_this] = ACTIONS(1753),
    [sym_super] = ACTIONS(1753),
    [sym_true] = ACTIONS(1753),
    [sym_false] = ACTIONS(1753),
    [sym_null] = ACTIONS(1753),
    [sym_undefined] = ACTIONS(1753),
    [anon_sym_AT] = ACTIONS(1751),
    [anon_sym_static] = ACTIONS(1753),
    [anon_sym_readonly] = ACTIONS(1753),
    [anon_sym_get] = ACTIONS(1753),
    [anon_sym_set] = ACTIONS(1753),
    [anon_sym_declare] = ACTIONS(1753),
    [anon_sym_public] = ACTIONS(1753),
    [anon_sym_private] = ACTIONS(1753),
    [anon_sym_protected] = ACTIONS(1753),
    [anon_sym_override] = ACTIONS(1753),
    [anon_sym_module] = ACTIONS(1753),
    [anon_sym_any] = ACTIONS(1753),
    [anon_sym_number] = ACTIONS(1753),
    [anon_sym_boolean] = ACTIONS(1753),
    [anon_sym_string] = ACTIONS(1753),
    [anon_sym_symbol] = ACTIONS(1753),
    [anon_sym_abstract] = ACTIONS(1753),
    [anon_sym_extends] = ACTIONS(1753),
    [anon_sym_interface] = ACTIONS(1753),
    [anon_sym_enum] = ACTIONS(1753),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1755),
    [sym_identifier] = ACTIONS(1757),
    [anon_sym_export] = ACTIONS(1757),
    [anon_sym_default] = ACTIONS(1757),
    [anon_sym_type] = ACTIONS(1757),
    [anon_sym_EQ] = ACTIONS(1757),
    [anon_sym_namespace] = ACTIONS(1757),
    [anon_sym_LBRACE] = ACTIONS(1755),
    [anon_sym_COMMA] = ACTIONS(1755),
    [anon_sym_RBRACE] = ACTIONS(1755),
    [anon_sym_typeof] = ACTIONS(1757),
    [anon_sym_import] = ACTIONS(1757),
    [anon_sym_var] = ACTIONS(1757),
    [anon_sym_let] = ACTIONS(1757),
    [anon_sym_const] = ACTIONS(1757),
    [anon_sym_BANG] = ACTIONS(1755),
    [anon_sym_else] = ACTIONS(1757),
    [anon_sym_if] = ACTIONS(1757),
    [anon_sym_switch] = ACTIONS(1757),
    [anon_sym_for] = ACTIONS(1757),
    [anon_sym_LPAREN] = ACTIONS(1755),
    [anon_sym_RPAREN] = ACTIONS(1755),
    [anon_sym_await] = ACTIONS(1757),
    [anon_sym_while] = ACTIONS(1757),
    [anon_sym_do] = ACTIONS(1757),
    [anon_sym_try] = ACTIONS(1757),
    [anon_sym_with] = ACTIONS(1757),
    [anon_sym_break] = ACTIONS(1757),
    [anon_sym_continue] = ACTIONS(1757),
    [anon_sym_debugger] = ACTIONS(1757),
    [anon_sym_return] = ACTIONS(1757),
    [anon_sym_throw] = ACTIONS(1757),
    [anon_sym_SEMI] = ACTIONS(1755),
    [anon_sym_COLON] = ACTIONS(1755),
    [anon_sym_case] = ACTIONS(1757),
    [anon_sym_yield] = ACTIONS(1757),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_RBRACK] = ACTIONS(1755),
    [anon_sym_LT] = ACTIONS(1755),
    [anon_sym_GT] = ACTIONS(1755),
    [anon_sym_SLASH] = ACTIONS(1757),
    [anon_sym_class] = ACTIONS(1757),
    [anon_sym_async] = ACTIONS(1757),
    [anon_sym_function] = ACTIONS(1757),
    [anon_sym_EQ_GT] = ACTIONS(1755),
    [anon_sym_new] = ACTIONS(1757),
    [anon_sym_QMARK] = ACTIONS(1755),
    [anon_sym_AMP] = ACTIONS(1755),
    [anon_sym_PIPE] = ACTIONS(1755),
    [anon_sym_PLUS] = ACTIONS(1757),
    [anon_sym_DASH] = ACTIONS(1757),
    [anon_sym_TILDE] = ACTIONS(1755),
    [anon_sym_void] = ACTIONS(1757),
    [anon_sym_delete] = ACTIONS(1757),
    [anon_sym_PLUS_PLUS] = ACTIONS(1755),
    [anon_sym_DASH_DASH] = ACTIONS(1755),
    [anon_sym_DQUOTE] = ACTIONS(1755),
    [anon_sym_SQUOTE] = ACTIONS(1755),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1755),
    [sym_number] = ACTIONS(1755),
    [sym_this] = ACTIONS(1757),
    [sym_super] = ACTIONS(1757),
    [sym_true] = ACTIONS(1757),
    [sym_false] = ACTIONS(1757),
    [sym_null] = ACTIONS(1757),
    [sym_undefined] = ACTIONS(1757),
    [anon_sym_AT] = ACTIONS(1755),
    [anon_sym_static] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_get] = ACTIONS(1757),
    [anon_sym_set] = ACTIONS(1757),
    [anon_sym_declare] = ACTIONS(1757),
    [anon_sym_public] = ACTIONS(1757),
    [anon_sym_private] = ACTIONS(1757),
    [anon_sym_protected] = ACTIONS(1757),
    [anon_sym_override] = ACTIONS(1757),
    [anon_sym_module] = ACTIONS(1757),
    [anon_sym_any] = ACTIONS(1757),
    [anon_sym_number] = ACTIONS(1757),
    [anon_sym_boolean] = ACTIONS(1757),
    [anon_sym_string] = ACTIONS(1757),
    [anon_sym_symbol] = ACTIONS(1757),
    [anon_sym_abstract] = ACTIONS(1757),
    [anon_sym_extends] = ACTIONS(1757),
    [anon_sym_interface] = ACTIONS(1757),
    [anon_sym_enum] = ACTIONS(1757),
  },
  [441] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_pattern] = STATE(2958),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(895),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(1759),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(943),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(947),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(949),
    [anon_sym_number] = ACTIONS(949),
    [anon_sym_boolean] = ACTIONS(949),
    [anon_sym_string] = ACTIONS(949),
    [anon_sym_symbol] = ACTIONS(949),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [442] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_get] = ACTIONS(1703),
    [anon_sym_set] = ACTIONS(1703),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1703),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1761),
    [sym_identifier] = ACTIONS(1763),
    [anon_sym_export] = ACTIONS(1763),
    [anon_sym_default] = ACTIONS(1763),
    [anon_sym_type] = ACTIONS(1763),
    [anon_sym_EQ] = ACTIONS(1763),
    [anon_sym_namespace] = ACTIONS(1763),
    [anon_sym_LBRACE] = ACTIONS(1761),
    [anon_sym_COMMA] = ACTIONS(1761),
    [anon_sym_RBRACE] = ACTIONS(1761),
    [anon_sym_typeof] = ACTIONS(1763),
    [anon_sym_import] = ACTIONS(1763),
    [anon_sym_var] = ACTIONS(1763),
    [anon_sym_let] = ACTIONS(1763),
    [anon_sym_const] = ACTIONS(1763),
    [anon_sym_BANG] = ACTIONS(1761),
    [anon_sym_else] = ACTIONS(1763),
    [anon_sym_if] = ACTIONS(1763),
    [anon_sym_switch] = ACTIONS(1763),
    [anon_sym_for] = ACTIONS(1763),
    [anon_sym_LPAREN] = ACTIONS(1761),
    [anon_sym_RPAREN] = ACTIONS(1761),
    [anon_sym_await] = ACTIONS(1763),
    [anon_sym_while] = ACTIONS(1763),
    [anon_sym_do] = ACTIONS(1763),
    [anon_sym_try] = ACTIONS(1763),
    [anon_sym_with] = ACTIONS(1763),
    [anon_sym_break] = ACTIONS(1763),
    [anon_sym_continue] = ACTIONS(1763),
    [anon_sym_debugger] = ACTIONS(1763),
    [anon_sym_return] = ACTIONS(1763),
    [anon_sym_throw] = ACTIONS(1763),
    [anon_sym_SEMI] = ACTIONS(1761),
    [anon_sym_COLON] = ACTIONS(1761),
    [anon_sym_case] = ACTIONS(1763),
    [anon_sym_yield] = ACTIONS(1763),
    [anon_sym_LBRACK] = ACTIONS(1761),
    [anon_sym_RBRACK] = ACTIONS(1761),
    [anon_sym_LT] = ACTIONS(1761),
    [anon_sym_GT] = ACTIONS(1761),
    [anon_sym_SLASH] = ACTIONS(1763),
    [anon_sym_class] = ACTIONS(1763),
    [anon_sym_async] = ACTIONS(1763),
    [anon_sym_function] = ACTIONS(1763),
    [anon_sym_EQ_GT] = ACTIONS(1761),
    [anon_sym_new] = ACTIONS(1763),
    [anon_sym_QMARK] = ACTIONS(1761),
    [anon_sym_AMP] = ACTIONS(1761),
    [anon_sym_PIPE] = ACTIONS(1761),
    [anon_sym_PLUS] = ACTIONS(1763),
    [anon_sym_DASH] = ACTIONS(1763),
    [anon_sym_TILDE] = ACTIONS(1761),
    [anon_sym_void] = ACTIONS(1763),
    [anon_sym_delete] = ACTIONS(1763),
    [anon_sym_PLUS_PLUS] = ACTIONS(1761),
    [anon_sym_DASH_DASH] = ACTIONS(1761),
    [anon_sym_DQUOTE] = ACTIONS(1761),
    [anon_sym_SQUOTE] = ACTIONS(1761),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1761),
    [sym_number] = ACTIONS(1761),
    [sym_this] = ACTIONS(1763),
    [sym_super] = ACTIONS(1763),
    [sym_true] = ACTIONS(1763),
    [sym_false] = ACTIONS(1763),
    [sym_null] = ACTIONS(1763),
    [sym_undefined] = ACTIONS(1763),
    [anon_sym_AT] = ACTIONS(1761),
    [anon_sym_static] = ACTIONS(1763),
    [anon_sym_readonly] = ACTIONS(1763),
    [anon_sym_get] = ACTIONS(1763),
    [anon_sym_set] = ACTIONS(1763),
    [anon_sym_declare] = ACTIONS(1763),
    [anon_sym_public] = ACTIONS(1763),
    [anon_sym_private] = ACTIONS(1763),
    [anon_sym_protected] = ACTIONS(1763),
    [anon_sym_override] = ACTIONS(1763),
    [anon_sym_module] = ACTIONS(1763),
    [anon_sym_any] = ACTIONS(1763),
    [anon_sym_number] = ACTIONS(1763),
    [anon_sym_boolean] = ACTIONS(1763),
    [anon_sym_string] = ACTIONS(1763),
    [anon_sym_symbol] = ACTIONS(1763),
    [anon_sym_abstract] = ACTIONS(1763),
    [anon_sym_extends] = ACTIONS(1763),
    [anon_sym_interface] = ACTIONS(1763),
    [anon_sym_enum] = ACTIONS(1763),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1199),
    [sym_identifier] = ACTIONS(1201),
    [anon_sym_export] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_type] = ACTIONS(1201),
    [anon_sym_EQ] = ACTIONS(1201),
    [anon_sym_namespace] = ACTIONS(1201),
    [anon_sym_LBRACE] = ACTIONS(1199),
    [anon_sym_COMMA] = ACTIONS(1199),
    [anon_sym_RBRACE] = ACTIONS(1199),
    [anon_sym_typeof] = ACTIONS(1201),
    [anon_sym_import] = ACTIONS(1201),
    [anon_sym_var] = ACTIONS(1201),
    [anon_sym_let] = ACTIONS(1201),
    [anon_sym_const] = ACTIONS(1201),
    [anon_sym_BANG] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(1201),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_switch] = ACTIONS(1201),
    [anon_sym_for] = ACTIONS(1201),
    [anon_sym_LPAREN] = ACTIONS(1199),
    [anon_sym_RPAREN] = ACTIONS(1199),
    [anon_sym_await] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(1201),
    [anon_sym_do] = ACTIONS(1201),
    [anon_sym_try] = ACTIONS(1201),
    [anon_sym_with] = ACTIONS(1201),
    [anon_sym_break] = ACTIONS(1201),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_debugger] = ACTIONS(1201),
    [anon_sym_return] = ACTIONS(1201),
    [anon_sym_throw] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1199),
    [anon_sym_COLON] = ACTIONS(1199),
    [anon_sym_case] = ACTIONS(1201),
    [anon_sym_yield] = ACTIONS(1201),
    [anon_sym_LBRACK] = ACTIONS(1199),
    [anon_sym_RBRACK] = ACTIONS(1199),
    [anon_sym_LT] = ACTIONS(1199),
    [anon_sym_GT] = ACTIONS(1199),
    [anon_sym_SLASH] = ACTIONS(1201),
    [anon_sym_class] = ACTIONS(1201),
    [anon_sym_async] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1201),
    [anon_sym_EQ_GT] = ACTIONS(1199),
    [anon_sym_new] = ACTIONS(1201),
    [anon_sym_QMARK] = ACTIONS(1199),
    [anon_sym_AMP] = ACTIONS(1199),
    [anon_sym_PIPE] = ACTIONS(1199),
    [anon_sym_PLUS] = ACTIONS(1201),
    [anon_sym_DASH] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1199),
    [anon_sym_void] = ACTIONS(1201),
    [anon_sym_delete] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1199),
    [anon_sym_DASH_DASH] = ACTIONS(1199),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_SQUOTE] = ACTIONS(1199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1199),
    [sym_number] = ACTIONS(1199),
    [sym_this] = ACTIONS(1201),
    [sym_super] = ACTIONS(1201),
    [sym_true] = ACTIONS(1201),
    [sym_false] = ACTIONS(1201),
    [sym_null] = ACTIONS(1201),
    [sym_undefined] = ACTIONS(1201),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1201),
    [anon_sym_readonly] = ACTIONS(1201),
    [anon_sym_get] = ACTIONS(1201),
    [anon_sym_set] = ACTIONS(1201),
    [anon_sym_declare] = ACTIONS(1201),
    [anon_sym_public] = ACTIONS(1201),
    [anon_sym_private] = ACTIONS(1201),
    [anon_sym_protected] = ACTIONS(1201),
    [anon_sym_override] = ACTIONS(1201),
    [anon_sym_module] = ACTIONS(1201),
    [anon_sym_any] = ACTIONS(1201),
    [anon_sym_number] = ACTIONS(1201),
    [anon_sym_boolean] = ACTIONS(1201),
    [anon_sym_string] = ACTIONS(1201),
    [anon_sym_symbol] = ACTIONS(1201),
    [anon_sym_abstract] = ACTIONS(1201),
    [anon_sym_extends] = ACTIONS(1201),
    [anon_sym_interface] = ACTIONS(1201),
    [anon_sym_enum] = ACTIONS(1201),
  },
  [445] = {
    [sym_string] = STATE(2857),
    [sym__property_name] = STATE(2857),
    [sym_computed_property_name] = STATE(2857),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1703),
    [anon_sym_export] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1688),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1703),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1697),
    [sym_private_property_identifier] = ACTIONS(1697),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_get] = ACTIONS(1703),
    [anon_sym_set] = ACTIONS(1703),
    [anon_sym_declare] = ACTIONS(1703),
    [anon_sym_public] = ACTIONS(1703),
    [anon_sym_private] = ACTIONS(1703),
    [anon_sym_protected] = ACTIONS(1703),
    [anon_sym_override] = ACTIONS(1703),
    [anon_sym_module] = ACTIONS(1703),
    [anon_sym_any] = ACTIONS(1703),
    [anon_sym_number] = ACTIONS(1703),
    [anon_sym_boolean] = ACTIONS(1703),
    [anon_sym_string] = ACTIONS(1703),
    [anon_sym_symbol] = ACTIONS(1703),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [446] = {
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [447] = {
    [sym_object_pattern] = STATE(2681),
    [sym_assignment_pattern] = STATE(3667),
    [sym_array_pattern] = STATE(2681),
    [sym_nested_identifier] = STATE(3847),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_string] = STATE(2386),
    [sym_formal_parameters] = STATE(3947),
    [sym_pattern] = STATE(3473),
    [sym_rest_pattern] = STATE(2681),
    [sym_nested_type_identifier] = STATE(2274),
    [sym__type] = STATE(2445),
    [sym_constructor_type] = STATE(2445),
    [sym__primary_type] = STATE(2381),
    [sym_template_literal_type] = STATE(2379),
    [sym_infer_type] = STATE(2445),
    [sym_conditional_type] = STATE(2379),
    [sym_generic_type] = STATE(2379),
    [sym_type_query] = STATE(2379),
    [sym_index_type_query] = STATE(2379),
    [sym_lookup_type] = STATE(2379),
    [sym_literal_type] = STATE(2379),
    [sym__number] = STATE(2378),
    [sym_existential_type] = STATE(2379),
    [sym_flow_maybe_type] = STATE(2379),
    [sym_parenthesized_type] = STATE(2379),
    [sym_predefined_type] = STATE(2379),
    [sym_object_type] = STATE(2379),
    [sym_type_parameters] = STATE(3840),
    [sym_array_type] = STATE(2379),
    [sym_tuple_type] = STATE(2379),
    [sym_readonly_type] = STATE(2445),
    [sym_union_type] = STATE(2445),
    [sym_intersection_type] = STATE(2445),
    [sym_function_type] = STATE(2445),
    [sym_identifier] = ACTIONS(1769),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(1771),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1773),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(1115),
    [sym_this] = ACTIONS(1117),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1119),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(1777),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(1779),
    [anon_sym_number] = ACTIONS(1779),
    [anon_sym_boolean] = ACTIONS(1779),
    [anon_sym_string] = ACTIONS(1779),
    [anon_sym_symbol] = ACTIONS(1779),
    [anon_sym_infer] = ACTIONS(627),
    [anon_sym_keyof] = ACTIONS(629),
    [anon_sym_unknown] = ACTIONS(631),
    [anon_sym_never] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(633),
  },
  [448] = {
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [449] = {
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1781),
    [anon_sym_export] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_type] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1783),
    [sym_private_property_identifier] = ACTIONS(1783),
    [anon_sym_static] = ACTIONS(1781),
    [anon_sym_readonly] = ACTIONS(1781),
    [anon_sym_get] = ACTIONS(1781),
    [anon_sym_set] = ACTIONS(1781),
    [anon_sym_declare] = ACTIONS(1781),
    [anon_sym_public] = ACTIONS(1781),
    [anon_sym_private] = ACTIONS(1781),
    [anon_sym_protected] = ACTIONS(1781),
    [anon_sym_override] = ACTIONS(1781),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_any] = ACTIONS(1781),
    [anon_sym_number] = ACTIONS(1781),
    [anon_sym_boolean] = ACTIONS(1781),
    [anon_sym_string] = ACTIONS(1781),
    [anon_sym_symbol] = ACTIONS(1781),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [450] = {
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1781),
    [anon_sym_export] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_type] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1783),
    [sym_private_property_identifier] = ACTIONS(1783),
    [anon_sym_static] = ACTIONS(1781),
    [anon_sym_readonly] = ACTIONS(1781),
    [anon_sym_get] = ACTIONS(1781),
    [anon_sym_set] = ACTIONS(1781),
    [anon_sym_declare] = ACTIONS(1781),
    [anon_sym_public] = ACTIONS(1781),
    [anon_sym_private] = ACTIONS(1781),
    [anon_sym_protected] = ACTIONS(1781),
    [anon_sym_override] = ACTIONS(1781),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_any] = ACTIONS(1781),
    [anon_sym_number] = ACTIONS(1781),
    [anon_sym_boolean] = ACTIONS(1781),
    [anon_sym_string] = ACTIONS(1781),
    [anon_sym_symbol] = ACTIONS(1781),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [451] = {
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(1765),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(1767),
    [anon_sym_SQUOTE] = ACTIONS(1767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1767),
    [sym_private_property_identifier] = ACTIONS(1767),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [452] = {
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(1781),
    [anon_sym_export] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(1781),
    [anon_sym_type] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_number] = ACTIONS(1783),
    [sym_private_property_identifier] = ACTIONS(1783),
    [anon_sym_static] = ACTIONS(1781),
    [anon_sym_readonly] = ACTIONS(1781),
    [anon_sym_get] = ACTIONS(1781),
    [anon_sym_set] = ACTIONS(1781),
    [anon_sym_declare] = ACTIONS(1781),
    [anon_sym_public] = ACTIONS(1781),
    [anon_sym_private] = ACTIONS(1781),
    [anon_sym_protected] = ACTIONS(1781),
    [anon_sym_override] = ACTIONS(1781),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_any] = ACTIONS(1781),
    [anon_sym_number] = ACTIONS(1781),
    [anon_sym_boolean] = ACTIONS(1781),
    [anon_sym_string] = ACTIONS(1781),
    [anon_sym_symbol] = ACTIONS(1781),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [453] = {
    [sym_object_pattern] = STATE(2681),
    [sym_array_pattern] = STATE(2681),
    [sym__destructuring_pattern] = STATE(2681),
    [sym_pattern] = STATE(2958),
    [sym_rest_pattern] = STATE(2681),
    [sym_identifier] = ACTIONS(1785),
    [anon_sym_export] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(1789),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(567),
    [anon_sym_QMARK] = ACTIONS(1792),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_this] = ACTIONS(1795),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_readonly] = ACTIONS(897),
    [anon_sym_get] = ACTIONS(897),
    [anon_sym_set] = ACTIONS(897),
    [anon_sym_declare] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_override] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_any] = ACTIONS(897),
    [anon_sym_number] = ACTIONS(897),
    [anon_sym_boolean] = ACTIONS(897),
    [anon_sym_string] = ACTIONS(897),
    [anon_sym_symbol] = ACTIONS(897),
  },
  [454] = {
    [sym__call_signature] = STATE(3852),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1797),
    [anon_sym_export] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1799),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1799),
    [anon_sym_readonly] = ACTIONS(1799),
    [anon_sym_get] = ACTIONS(1799),
    [anon_sym_set] = ACTIONS(1799),
    [anon_sym_declare] = ACTIONS(1799),
    [anon_sym_public] = ACTIONS(1799),
    [anon_sym_private] = ACTIONS(1799),
    [anon_sym_protected] = ACTIONS(1799),
    [anon_sym_override] = ACTIONS(1799),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_any] = ACTIONS(1799),
    [anon_sym_number] = ACTIONS(1799),
    [anon_sym_boolean] = ACTIONS(1799),
    [anon_sym_string] = ACTIONS(1799),
    [anon_sym_symbol] = ACTIONS(1799),
  },
  [455] = {
    [sym__call_signature] = STATE(3852),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1797),
    [anon_sym_export] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(1065),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1799),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1799),
    [anon_sym_readonly] = ACTIONS(1799),
    [anon_sym_get] = ACTIONS(1799),
    [anon_sym_set] = ACTIONS(1799),
    [anon_sym_declare] = ACTIONS(1799),
    [anon_sym_public] = ACTIONS(1799),
    [anon_sym_private] = ACTIONS(1799),
    [anon_sym_protected] = ACTIONS(1799),
    [anon_sym_override] = ACTIONS(1799),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_any] = ACTIONS(1799),
    [anon_sym_number] = ACTIONS(1799),
    [anon_sym_boolean] = ACTIONS(1799),
    [anon_sym_string] = ACTIONS(1799),
    [anon_sym_symbol] = ACTIONS(1799),
  },
  [456] = {
    [sym__call_signature] = STATE(4132),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [457] = {
    [sym__call_signature] = STATE(4132),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1815),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [458] = {
    [sym__call_signature] = STATE(4132),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(1817),
    [anon_sym_of] = ACTIONS(1820),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1815),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [459] = {
    [sym__call_signature] = STATE(4132),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1635),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [460] = {
    [sym__call_signature] = STATE(4132),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1075),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1695),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [461] = {
    [sym__call_signature] = STATE(4132),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1809),
    [anon_sym_export] = ACTIONS(1811),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1811),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1811),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1811),
    [anon_sym_function] = ACTIONS(1815),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1811),
    [anon_sym_readonly] = ACTIONS(1811),
    [anon_sym_get] = ACTIONS(1811),
    [anon_sym_set] = ACTIONS(1811),
    [anon_sym_declare] = ACTIONS(1811),
    [anon_sym_public] = ACTIONS(1811),
    [anon_sym_private] = ACTIONS(1811),
    [anon_sym_protected] = ACTIONS(1811),
    [anon_sym_override] = ACTIONS(1811),
    [anon_sym_module] = ACTIONS(1811),
    [anon_sym_any] = ACTIONS(1811),
    [anon_sym_number] = ACTIONS(1811),
    [anon_sym_boolean] = ACTIONS(1811),
    [anon_sym_string] = ACTIONS(1811),
    [anon_sym_symbol] = ACTIONS(1811),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [462] = {
    [sym__call_signature] = STATE(4098),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1125),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1824),
    [anon_sym_readonly] = ACTIONS(1824),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
    [anon_sym_declare] = ACTIONS(1824),
    [anon_sym_public] = ACTIONS(1824),
    [anon_sym_private] = ACTIONS(1824),
    [anon_sym_protected] = ACTIONS(1824),
    [anon_sym_override] = ACTIONS(1824),
    [anon_sym_module] = ACTIONS(1824),
    [anon_sym_any] = ACTIONS(1824),
    [anon_sym_number] = ACTIONS(1824),
    [anon_sym_boolean] = ACTIONS(1824),
    [anon_sym_string] = ACTIONS(1824),
    [anon_sym_symbol] = ACTIONS(1824),
    [anon_sym_implements] = ACTIONS(904),
  },
  [463] = {
    [sym_catch_clause] = STATE(492),
    [sym_finally_clause] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_export] = ACTIONS(1828),
    [anon_sym_default] = ACTIONS(1828),
    [anon_sym_type] = ACTIONS(1828),
    [anon_sym_namespace] = ACTIONS(1828),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_typeof] = ACTIONS(1828),
    [anon_sym_import] = ACTIONS(1828),
    [anon_sym_var] = ACTIONS(1828),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1828),
    [anon_sym_BANG] = ACTIONS(1826),
    [anon_sym_else] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1828),
    [anon_sym_switch] = ACTIONS(1828),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_await] = ACTIONS(1828),
    [anon_sym_while] = ACTIONS(1828),
    [anon_sym_do] = ACTIONS(1828),
    [anon_sym_try] = ACTIONS(1828),
    [anon_sym_with] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_debugger] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_throw] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_case] = ACTIONS(1828),
    [anon_sym_catch] = ACTIONS(1830),
    [anon_sym_finally] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym_class] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_function] = ACTIONS(1828),
    [anon_sym_new] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_TILDE] = ACTIONS(1826),
    [anon_sym_void] = ACTIONS(1828),
    [anon_sym_delete] = ACTIONS(1828),
    [anon_sym_PLUS_PLUS] = ACTIONS(1826),
    [anon_sym_DASH_DASH] = ACTIONS(1826),
    [anon_sym_DQUOTE] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1826),
    [sym_number] = ACTIONS(1826),
    [sym_this] = ACTIONS(1828),
    [sym_super] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_null] = ACTIONS(1828),
    [sym_undefined] = ACTIONS(1828),
    [anon_sym_AT] = ACTIONS(1826),
    [anon_sym_static] = ACTIONS(1828),
    [anon_sym_readonly] = ACTIONS(1828),
    [anon_sym_get] = ACTIONS(1828),
    [anon_sym_set] = ACTIONS(1828),
    [anon_sym_declare] = ACTIONS(1828),
    [anon_sym_public] = ACTIONS(1828),
    [anon_sym_private] = ACTIONS(1828),
    [anon_sym_protected] = ACTIONS(1828),
    [anon_sym_override] = ACTIONS(1828),
    [anon_sym_module] = ACTIONS(1828),
    [anon_sym_any] = ACTIONS(1828),
    [anon_sym_number] = ACTIONS(1828),
    [anon_sym_boolean] = ACTIONS(1828),
    [anon_sym_string] = ACTIONS(1828),
    [anon_sym_symbol] = ACTIONS(1828),
    [anon_sym_abstract] = ACTIONS(1828),
    [anon_sym_interface] = ACTIONS(1828),
    [anon_sym_enum] = ACTIONS(1828),
  },
  [464] = {
    [sym__call_signature] = STATE(4098),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1822),
    [anon_sym_export] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1123),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1824),
    [anon_sym_LBRACE] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1125),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1824),
    [anon_sym_readonly] = ACTIONS(1824),
    [anon_sym_get] = ACTIONS(1824),
    [anon_sym_set] = ACTIONS(1824),
    [anon_sym_declare] = ACTIONS(1824),
    [anon_sym_public] = ACTIONS(1824),
    [anon_sym_private] = ACTIONS(1824),
    [anon_sym_protected] = ACTIONS(1824),
    [anon_sym_override] = ACTIONS(1824),
    [anon_sym_module] = ACTIONS(1824),
    [anon_sym_any] = ACTIONS(1824),
    [anon_sym_number] = ACTIONS(1824),
    [anon_sym_boolean] = ACTIONS(1824),
    [anon_sym_string] = ACTIONS(1824),
    [anon_sym_symbol] = ACTIONS(1824),
    [anon_sym_implements] = ACTIONS(904),
  },
  [465] = {
    [sym__call_signature] = STATE(3852),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1797),
    [anon_sym_export] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1799),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1792),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1799),
    [anon_sym_readonly] = ACTIONS(1799),
    [anon_sym_get] = ACTIONS(1799),
    [anon_sym_set] = ACTIONS(1799),
    [anon_sym_declare] = ACTIONS(1799),
    [anon_sym_public] = ACTIONS(1799),
    [anon_sym_private] = ACTIONS(1799),
    [anon_sym_protected] = ACTIONS(1799),
    [anon_sym_override] = ACTIONS(1799),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_any] = ACTIONS(1799),
    [anon_sym_number] = ACTIONS(1799),
    [anon_sym_boolean] = ACTIONS(1799),
    [anon_sym_string] = ACTIONS(1799),
    [anon_sym_symbol] = ACTIONS(1799),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_identifier] = ACTIONS(1151),
    [anon_sym_export] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_type] = ACTIONS(1151),
    [anon_sym_namespace] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_typeof] = ACTIONS(1151),
    [anon_sym_import] = ACTIONS(1151),
    [anon_sym_var] = ACTIONS(1151),
    [anon_sym_let] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_await] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1151),
    [anon_sym_with] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_debugger] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_throw] = ACTIONS(1151),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_catch] = ACTIONS(1151),
    [anon_sym_finally] = ACTIONS(1151),
    [anon_sym_yield] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1151),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_new] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_void] = ACTIONS(1151),
    [anon_sym_delete] = ACTIONS(1151),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_super] = ACTIONS(1151),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1151),
    [anon_sym_AT] = ACTIONS(1149),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_readonly] = ACTIONS(1151),
    [anon_sym_get] = ACTIONS(1151),
    [anon_sym_set] = ACTIONS(1151),
    [anon_sym_declare] = ACTIONS(1151),
    [anon_sym_public] = ACTIONS(1151),
    [anon_sym_private] = ACTIONS(1151),
    [anon_sym_protected] = ACTIONS(1151),
    [anon_sym_override] = ACTIONS(1151),
    [anon_sym_module] = ACTIONS(1151),
    [anon_sym_any] = ACTIONS(1151),
    [anon_sym_number] = ACTIONS(1151),
    [anon_sym_boolean] = ACTIONS(1151),
    [anon_sym_string] = ACTIONS(1151),
    [anon_sym_symbol] = ACTIONS(1151),
    [anon_sym_abstract] = ACTIONS(1151),
    [anon_sym_interface] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [sym__automatic_semicolon] = ACTIONS(1159),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_export] = ACTIONS(1309),
    [anon_sym_default] = ACTIONS(1309),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_typeof] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_var] = ACTIONS(1309),
    [anon_sym_let] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1307),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_await] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_debugger] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1309),
    [anon_sym_catch] = ACTIONS(1309),
    [anon_sym_finally] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1307),
    [anon_sym_void] = ACTIONS(1309),
    [anon_sym_delete] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1307),
    [anon_sym_DQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1307),
    [sym_number] = ACTIONS(1307),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_null] = ACTIONS(1309),
    [sym_undefined] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_readonly] = ACTIONS(1309),
    [anon_sym_get] = ACTIONS(1309),
    [anon_sym_set] = ACTIONS(1309),
    [anon_sym_declare] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_override] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_any] = ACTIONS(1309),
    [anon_sym_number] = ACTIONS(1309),
    [anon_sym_boolean] = ACTIONS(1309),
    [anon_sym_string] = ACTIONS(1309),
    [anon_sym_symbol] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
    [sym__automatic_semicolon] = ACTIONS(1834),
  },
  [468] = {
    [sym__call_signature] = STATE(3907),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1081),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
  },
  [469] = {
    [sym__call_signature] = STATE(3852),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1797),
    [anon_sym_export] = ACTIONS(1799),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1799),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_RBRACE] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1799),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1799),
    [anon_sym_readonly] = ACTIONS(1799),
    [anon_sym_get] = ACTIONS(1799),
    [anon_sym_set] = ACTIONS(1799),
    [anon_sym_declare] = ACTIONS(1799),
    [anon_sym_public] = ACTIONS(1799),
    [anon_sym_private] = ACTIONS(1799),
    [anon_sym_protected] = ACTIONS(1799),
    [anon_sym_override] = ACTIONS(1799),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_any] = ACTIONS(1799),
    [anon_sym_number] = ACTIONS(1799),
    [anon_sym_boolean] = ACTIONS(1799),
    [anon_sym_string] = ACTIONS(1799),
    [anon_sym_symbol] = ACTIONS(1799),
  },
  [470] = {
    [sym__call_signature] = STATE(3907),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1081),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_export] = ACTIONS(1309),
    [anon_sym_default] = ACTIONS(1309),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_typeof] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_var] = ACTIONS(1309),
    [anon_sym_let] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1307),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_await] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_debugger] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1309),
    [anon_sym_catch] = ACTIONS(1309),
    [anon_sym_finally] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1307),
    [anon_sym_void] = ACTIONS(1309),
    [anon_sym_delete] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1307),
    [anon_sym_DQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1307),
    [sym_number] = ACTIONS(1307),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_null] = ACTIONS(1309),
    [sym_undefined] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_readonly] = ACTIONS(1309),
    [anon_sym_get] = ACTIONS(1309),
    [anon_sym_set] = ACTIONS(1309),
    [anon_sym_declare] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_override] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_any] = ACTIONS(1309),
    [anon_sym_number] = ACTIONS(1309),
    [anon_sym_boolean] = ACTIONS(1309),
    [anon_sym_string] = ACTIONS(1309),
    [anon_sym_symbol] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1323),
    [anon_sym_export] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_type] = ACTIONS(1323),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_COMMA] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_typeof] = ACTIONS(1323),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_var] = ACTIONS(1323),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_await] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_debugger] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_throw] = ACTIONS(1323),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [anon_sym_LT] = ACTIONS(1321),
    [anon_sym_SLASH] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_new] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_void] = ACTIONS(1323),
    [anon_sym_delete] = ACTIONS(1323),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1321),
    [sym_number] = ACTIONS(1321),
    [sym_this] = ACTIONS(1323),
    [sym_super] = ACTIONS(1323),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_null] = ACTIONS(1323),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_readonly] = ACTIONS(1323),
    [anon_sym_get] = ACTIONS(1323),
    [anon_sym_set] = ACTIONS(1323),
    [anon_sym_declare] = ACTIONS(1323),
    [anon_sym_public] = ACTIONS(1323),
    [anon_sym_private] = ACTIONS(1323),
    [anon_sym_protected] = ACTIONS(1323),
    [anon_sym_override] = ACTIONS(1323),
    [anon_sym_module] = ACTIONS(1323),
    [anon_sym_any] = ACTIONS(1323),
    [anon_sym_number] = ACTIONS(1323),
    [anon_sym_boolean] = ACTIONS(1323),
    [anon_sym_string] = ACTIONS(1323),
    [anon_sym_symbol] = ACTIONS(1323),
    [anon_sym_abstract] = ACTIONS(1323),
    [anon_sym_interface] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1321),
    [sym__automatic_semicolon] = ACTIONS(1321),
  },
  [473] = {
    [sym__call_signature] = STATE(3990),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1847),
    [anon_sym_function] = ACTIONS(1813),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_readonly] = ACTIONS(1847),
    [anon_sym_get] = ACTIONS(1847),
    [anon_sym_set] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_override] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_any] = ACTIONS(1847),
    [anon_sym_number] = ACTIONS(1847),
    [anon_sym_boolean] = ACTIONS(1847),
    [anon_sym_string] = ACTIONS(1847),
    [anon_sym_symbol] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1327),
    [anon_sym_export] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_type] = ACTIONS(1327),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_COMMA] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1327),
    [anon_sym_import] = ACTIONS(1327),
    [anon_sym_var] = ACTIONS(1327),
    [anon_sym_let] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_else] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_try] = ACTIONS(1327),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_debugger] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_throw] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_class] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1327),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1327),
    [anon_sym_delete] = ACTIONS(1327),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1325),
    [sym_number] = ACTIONS(1325),
    [sym_this] = ACTIONS(1327),
    [sym_super] = ACTIONS(1327),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [sym_null] = ACTIONS(1327),
    [sym_undefined] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1325),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_readonly] = ACTIONS(1327),
    [anon_sym_get] = ACTIONS(1327),
    [anon_sym_set] = ACTIONS(1327),
    [anon_sym_declare] = ACTIONS(1327),
    [anon_sym_public] = ACTIONS(1327),
    [anon_sym_private] = ACTIONS(1327),
    [anon_sym_protected] = ACTIONS(1327),
    [anon_sym_override] = ACTIONS(1327),
    [anon_sym_module] = ACTIONS(1327),
    [anon_sym_any] = ACTIONS(1327),
    [anon_sym_number] = ACTIONS(1327),
    [anon_sym_boolean] = ACTIONS(1327),
    [anon_sym_string] = ACTIONS(1327),
    [anon_sym_symbol] = ACTIONS(1327),
    [anon_sym_abstract] = ACTIONS(1327),
    [anon_sym_interface] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1325),
    [sym__automatic_semicolon] = ACTIONS(1325),
  },
  [475] = {
    [sym__call_signature] = STATE(3990),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1847),
    [anon_sym_function] = ACTIONS(1815),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_readonly] = ACTIONS(1847),
    [anon_sym_get] = ACTIONS(1847),
    [anon_sym_set] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_override] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_any] = ACTIONS(1847),
    [anon_sym_number] = ACTIONS(1847),
    [anon_sym_boolean] = ACTIONS(1847),
    [anon_sym_string] = ACTIONS(1847),
    [anon_sym_symbol] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [476] = {
    [sym__call_signature] = STATE(3907),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1081),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
  },
  [477] = {
    [sym__call_signature] = STATE(3990),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1847),
    [anon_sym_function] = ACTIONS(1695),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_readonly] = ACTIONS(1847),
    [anon_sym_get] = ACTIONS(1847),
    [anon_sym_set] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_override] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_any] = ACTIONS(1847),
    [anon_sym_number] = ACTIONS(1847),
    [anon_sym_boolean] = ACTIONS(1847),
    [anon_sym_string] = ACTIONS(1847),
    [anon_sym_symbol] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_identifier] = ACTIONS(1151),
    [anon_sym_export] = ACTIONS(1151),
    [anon_sym_default] = ACTIONS(1151),
    [anon_sym_type] = ACTIONS(1151),
    [anon_sym_namespace] = ACTIONS(1151),
    [anon_sym_LBRACE] = ACTIONS(1149),
    [anon_sym_COMMA] = ACTIONS(1149),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_typeof] = ACTIONS(1151),
    [anon_sym_import] = ACTIONS(1151),
    [anon_sym_var] = ACTIONS(1151),
    [anon_sym_let] = ACTIONS(1151),
    [anon_sym_const] = ACTIONS(1151),
    [anon_sym_BANG] = ACTIONS(1149),
    [anon_sym_else] = ACTIONS(1151),
    [anon_sym_if] = ACTIONS(1151),
    [anon_sym_switch] = ACTIONS(1151),
    [anon_sym_for] = ACTIONS(1151),
    [anon_sym_LPAREN] = ACTIONS(1149),
    [anon_sym_await] = ACTIONS(1151),
    [anon_sym_while] = ACTIONS(1151),
    [anon_sym_do] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1151),
    [anon_sym_with] = ACTIONS(1151),
    [anon_sym_break] = ACTIONS(1151),
    [anon_sym_continue] = ACTIONS(1151),
    [anon_sym_debugger] = ACTIONS(1151),
    [anon_sym_return] = ACTIONS(1151),
    [anon_sym_throw] = ACTIONS(1151),
    [anon_sym_SEMI] = ACTIONS(1149),
    [anon_sym_case] = ACTIONS(1151),
    [anon_sym_yield] = ACTIONS(1151),
    [anon_sym_LBRACK] = ACTIONS(1149),
    [anon_sym_LT] = ACTIONS(1149),
    [anon_sym_SLASH] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1151),
    [anon_sym_async] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_new] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1151),
    [anon_sym_DASH] = ACTIONS(1151),
    [anon_sym_TILDE] = ACTIONS(1149),
    [anon_sym_void] = ACTIONS(1151),
    [anon_sym_delete] = ACTIONS(1151),
    [anon_sym_PLUS_PLUS] = ACTIONS(1149),
    [anon_sym_DASH_DASH] = ACTIONS(1149),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_SQUOTE] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1149),
    [sym_number] = ACTIONS(1149),
    [sym_this] = ACTIONS(1151),
    [sym_super] = ACTIONS(1151),
    [sym_true] = ACTIONS(1151),
    [sym_false] = ACTIONS(1151),
    [sym_null] = ACTIONS(1151),
    [sym_undefined] = ACTIONS(1151),
    [anon_sym_AT] = ACTIONS(1149),
    [anon_sym_static] = ACTIONS(1151),
    [anon_sym_readonly] = ACTIONS(1151),
    [anon_sym_get] = ACTIONS(1151),
    [anon_sym_set] = ACTIONS(1151),
    [anon_sym_declare] = ACTIONS(1151),
    [anon_sym_public] = ACTIONS(1151),
    [anon_sym_private] = ACTIONS(1151),
    [anon_sym_protected] = ACTIONS(1151),
    [anon_sym_override] = ACTIONS(1151),
    [anon_sym_module] = ACTIONS(1151),
    [anon_sym_any] = ACTIONS(1151),
    [anon_sym_number] = ACTIONS(1151),
    [anon_sym_boolean] = ACTIONS(1151),
    [anon_sym_string] = ACTIONS(1151),
    [anon_sym_symbol] = ACTIONS(1151),
    [anon_sym_abstract] = ACTIONS(1151),
    [anon_sym_interface] = ACTIONS(1151),
    [anon_sym_enum] = ACTIONS(1151),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1149),
    [sym__automatic_semicolon] = ACTIONS(1849),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_identifier] = ACTIONS(1315),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_namespace] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_COMMA] = ACTIONS(1313),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_typeof] = ACTIONS(1315),
    [anon_sym_import] = ACTIONS(1315),
    [anon_sym_var] = ACTIONS(1315),
    [anon_sym_let] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_LPAREN] = ACTIONS(1313),
    [anon_sym_await] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_try] = ACTIONS(1315),
    [anon_sym_with] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_debugger] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_throw] = ACTIONS(1315),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_yield] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_async] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1315),
    [anon_sym_new] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_void] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1313),
    [sym_number] = ACTIONS(1313),
    [sym_this] = ACTIONS(1315),
    [sym_super] = ACTIONS(1315),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [sym_null] = ACTIONS(1315),
    [sym_undefined] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1313),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
    [anon_sym_abstract] = ACTIONS(1315),
    [anon_sym_interface] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1313),
    [sym__automatic_semicolon] = ACTIONS(1313),
  },
  [480] = {
    [sym__call_signature] = STATE(3907),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(908),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1081),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
  },
  [481] = {
    [sym__call_signature] = STATE(3907),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1081),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
  },
  [482] = {
    [sym_identifier] = ACTIONS(1781),
    [anon_sym_export] = ACTIONS(1781),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1781),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1781),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(1783),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1781),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1792),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_this] = ACTIONS(1781),
    [anon_sym_static] = ACTIONS(1781),
    [anon_sym_readonly] = ACTIONS(1781),
    [anon_sym_get] = ACTIONS(1781),
    [anon_sym_set] = ACTIONS(1781),
    [anon_sym_declare] = ACTIONS(1781),
    [anon_sym_public] = ACTIONS(1781),
    [anon_sym_private] = ACTIONS(1781),
    [anon_sym_protected] = ACTIONS(1781),
    [anon_sym_override] = ACTIONS(1781),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_any] = ACTIONS(1781),
    [anon_sym_number] = ACTIONS(1781),
    [anon_sym_boolean] = ACTIONS(1781),
    [anon_sym_string] = ACTIONS(1781),
    [anon_sym_symbol] = ACTIONS(1781),
  },
  [483] = {
    [sym_identifier] = ACTIONS(1765),
    [anon_sym_export] = ACTIONS(1765),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1765),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1765),
    [anon_sym_LBRACE] = ACTIONS(1767),
    [anon_sym_COMMA] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_RPAREN] = ACTIONS(908),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(908),
    [anon_sym_LBRACK] = ACTIONS(1767),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_async] = ACTIONS(1765),
    [anon_sym_EQ_GT] = ACTIONS(919),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1767),
    [anon_sym_QMARK] = ACTIONS(1792),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym_this] = ACTIONS(1765),
    [anon_sym_static] = ACTIONS(1765),
    [anon_sym_readonly] = ACTIONS(1765),
    [anon_sym_get] = ACTIONS(1765),
    [anon_sym_set] = ACTIONS(1765),
    [anon_sym_declare] = ACTIONS(1765),
    [anon_sym_public] = ACTIONS(1765),
    [anon_sym_private] = ACTIONS(1765),
    [anon_sym_protected] = ACTIONS(1765),
    [anon_sym_override] = ACTIONS(1765),
    [anon_sym_module] = ACTIONS(1765),
    [anon_sym_any] = ACTIONS(1765),
    [anon_sym_number] = ACTIONS(1765),
    [anon_sym_boolean] = ACTIONS(1765),
    [anon_sym_string] = ACTIONS(1765),
    [anon_sym_symbol] = ACTIONS(1765),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1321),
    [sym_identifier] = ACTIONS(1323),
    [anon_sym_export] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1323),
    [anon_sym_type] = ACTIONS(1323),
    [anon_sym_namespace] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_COMMA] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [anon_sym_typeof] = ACTIONS(1323),
    [anon_sym_import] = ACTIONS(1323),
    [anon_sym_var] = ACTIONS(1323),
    [anon_sym_let] = ACTIONS(1323),
    [anon_sym_const] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_else] = ACTIONS(1323),
    [anon_sym_if] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1323),
    [anon_sym_for] = ACTIONS(1323),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_await] = ACTIONS(1323),
    [anon_sym_while] = ACTIONS(1323),
    [anon_sym_do] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_with] = ACTIONS(1323),
    [anon_sym_break] = ACTIONS(1323),
    [anon_sym_continue] = ACTIONS(1323),
    [anon_sym_debugger] = ACTIONS(1323),
    [anon_sym_return] = ACTIONS(1323),
    [anon_sym_throw] = ACTIONS(1323),
    [anon_sym_SEMI] = ACTIONS(1321),
    [anon_sym_case] = ACTIONS(1323),
    [anon_sym_catch] = ACTIONS(1323),
    [anon_sym_finally] = ACTIONS(1323),
    [anon_sym_yield] = ACTIONS(1323),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [anon_sym_LT] = ACTIONS(1321),
    [anon_sym_SLASH] = ACTIONS(1323),
    [anon_sym_class] = ACTIONS(1323),
    [anon_sym_async] = ACTIONS(1323),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_new] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1323),
    [anon_sym_DASH] = ACTIONS(1323),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_void] = ACTIONS(1323),
    [anon_sym_delete] = ACTIONS(1323),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE] = ACTIONS(1321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1321),
    [sym_number] = ACTIONS(1321),
    [sym_this] = ACTIONS(1323),
    [sym_super] = ACTIONS(1323),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_null] = ACTIONS(1323),
    [sym_undefined] = ACTIONS(1323),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_static] = ACTIONS(1323),
    [anon_sym_readonly] = ACTIONS(1323),
    [anon_sym_get] = ACTIONS(1323),
    [anon_sym_set] = ACTIONS(1323),
    [anon_sym_declare] = ACTIONS(1323),
    [anon_sym_public] = ACTIONS(1323),
    [anon_sym_private] = ACTIONS(1323),
    [anon_sym_protected] = ACTIONS(1323),
    [anon_sym_override] = ACTIONS(1323),
    [anon_sym_module] = ACTIONS(1323),
    [anon_sym_any] = ACTIONS(1323),
    [anon_sym_number] = ACTIONS(1323),
    [anon_sym_boolean] = ACTIONS(1323),
    [anon_sym_string] = ACTIONS(1323),
    [anon_sym_symbol] = ACTIONS(1323),
    [anon_sym_abstract] = ACTIONS(1323),
    [anon_sym_interface] = ACTIONS(1323),
    [anon_sym_enum] = ACTIONS(1323),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_export] = ACTIONS(1309),
    [anon_sym_default] = ACTIONS(1309),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_typeof] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_var] = ACTIONS(1309),
    [anon_sym_let] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1307),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_await] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_debugger] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1307),
    [anon_sym_void] = ACTIONS(1309),
    [anon_sym_delete] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1307),
    [anon_sym_DQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1307),
    [sym_number] = ACTIONS(1307),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_null] = ACTIONS(1309),
    [sym_undefined] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_readonly] = ACTIONS(1309),
    [anon_sym_get] = ACTIONS(1309),
    [anon_sym_set] = ACTIONS(1309),
    [anon_sym_declare] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_override] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_any] = ACTIONS(1309),
    [anon_sym_number] = ACTIONS(1309),
    [anon_sym_boolean] = ACTIONS(1309),
    [anon_sym_string] = ACTIONS(1309),
    [anon_sym_symbol] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1307),
    [sym__automatic_semicolon] = ACTIONS(1851),
  },
  [486] = {
    [sym__call_signature] = STATE(3990),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1847),
    [anon_sym_function] = ACTIONS(1815),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_readonly] = ACTIONS(1847),
    [anon_sym_get] = ACTIONS(1847),
    [anon_sym_set] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_override] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_any] = ACTIONS(1847),
    [anon_sym_number] = ACTIONS(1847),
    [anon_sym_boolean] = ACTIONS(1847),
    [anon_sym_string] = ACTIONS(1847),
    [anon_sym_symbol] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [487] = {
    [sym__call_signature] = STATE(3907),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_export] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1079),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1838),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1081),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1838),
    [anon_sym_readonly] = ACTIONS(1838),
    [anon_sym_get] = ACTIONS(1838),
    [anon_sym_set] = ACTIONS(1838),
    [anon_sym_declare] = ACTIONS(1838),
    [anon_sym_public] = ACTIONS(1838),
    [anon_sym_private] = ACTIONS(1838),
    [anon_sym_protected] = ACTIONS(1838),
    [anon_sym_override] = ACTIONS(1838),
    [anon_sym_module] = ACTIONS(1838),
    [anon_sym_any] = ACTIONS(1838),
    [anon_sym_number] = ACTIONS(1838),
    [anon_sym_boolean] = ACTIONS(1838),
    [anon_sym_string] = ACTIONS(1838),
    [anon_sym_symbol] = ACTIONS(1838),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [anon_sym_export] = ACTIONS(1309),
    [anon_sym_default] = ACTIONS(1309),
    [anon_sym_type] = ACTIONS(1309),
    [anon_sym_namespace] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [anon_sym_typeof] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_var] = ACTIONS(1309),
    [anon_sym_let] = ACTIONS(1309),
    [anon_sym_const] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1307),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_await] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_debugger] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_case] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_LT] = ACTIONS(1307),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_async] = ACTIONS(1309),
    [anon_sym_function] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1307),
    [anon_sym_void] = ACTIONS(1309),
    [anon_sym_delete] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1307),
    [anon_sym_DQUOTE] = ACTIONS(1307),
    [anon_sym_SQUOTE] = ACTIONS(1307),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1307),
    [sym_number] = ACTIONS(1307),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_null] = ACTIONS(1309),
    [sym_undefined] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1307),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_readonly] = ACTIONS(1309),
    [anon_sym_get] = ACTIONS(1309),
    [anon_sym_set] = ACTIONS(1309),
    [anon_sym_declare] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_override] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_any] = ACTIONS(1309),
    [anon_sym_number] = ACTIONS(1309),
    [anon_sym_boolean] = ACTIONS(1309),
    [anon_sym_string] = ACTIONS(1309),
    [anon_sym_symbol] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
    [anon_sym_PIPE_RBRACE] = ACTIONS(1307),
    [sym__automatic_semicolon] = ACTIONS(1307),
  },
  [489] = {
    [sym__call_signature] = STATE(3990),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1845),
    [anon_sym_export] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1847),
    [anon_sym_EQ] = ACTIONS(1083),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1847),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1847),
    [anon_sym_function] = ACTIONS(1855),
    [anon_sym_EQ_GT] = ACTIONS(1085),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1847),
    [anon_sym_readonly] = ACTIONS(1847),
    [anon_sym_get] = ACTIONS(1847),
    [anon_sym_set] = ACTIONS(1847),
    [anon_sym_declare] = ACTIONS(1847),
    [anon_sym_public] = ACTIONS(1847),
    [anon_sym_private] = ACTIONS(1847),
    [anon_sym_protected] = ACTIONS(1847),
    [anon_sym_override] = ACTIONS(1847),
    [anon_sym_module] = ACTIONS(1847),
    [anon_sym_any] = ACTIONS(1847),
    [anon_sym_number] = ACTIONS(1847),
    [anon_sym_boolean] = ACTIONS(1847),
    [anon_sym_string] = ACTIONS(1847),
    [anon_sym_symbol] = ACTIONS(1847),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [490] = {
    [sym__call_signature] = STATE(3877),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_export] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_COLON] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1129),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1859),
    [anon_sym_readonly] = ACTIONS(1859),
    [anon_sym_get] = ACTIONS(1859),
    [anon_sym_set] = ACTIONS(1859),
    [anon_sym_declare] = ACTIONS(1859),
    [anon_sym_public] = ACTIONS(1859),
    [anon_sym_private] = ACTIONS(1859),
    [anon_sym_protected] = ACTIONS(1859),
    [anon_sym_override] = ACTIONS(1859),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_any] = ACTIONS(1859),
    [anon_sym_number] = ACTIONS(1859),
    [anon_sym_boolean] = ACTIONS(1859),
    [anon_sym_string] = ACTIONS(1859),
    [anon_sym_symbol] = ACTIONS(1859),
  },
  [491] = {
    [sym__call_signature] = STATE(3877),
    [sym_formal_parameters] = STATE(2746),
    [sym_type_parameters] = STATE(3593),
    [sym_identifier] = ACTIONS(1857),
    [anon_sym_export] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_type] = ACTIONS(1859),
    [anon_sym_EQ] = ACTIONS(1127),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_namespace] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1801),
    [anon_sym_in] = ACTIONS(1817),
    [anon_sym_of] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_async] = ACTIONS(1859),
    [anon_sym_function] = ACTIONS(1807),
    [anon_sym_EQ_GT] = ACTIONS(1129),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(1859),
    [anon_sym_readonly] = ACTIONS(1859),
    [anon_sym_get] = ACTIONS(1859),
    [anon_sym_set] = ACTIONS(1859),
    [anon_sym_declare] = ACTIONS(1859),
    [anon_sym_public] = ACTIONS(1859),
    [anon_sym_private] = ACTIONS(1859),
    [anon_sym_protected] = ACTIONS(1859),
    [anon_sym_override] = ACTIONS(1859),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_any] = ACTIONS(1859),
    [anon_sym_number] = ACTIONS(1859),
    [anon_sym_boolean] = ACTIONS(1859),
    [anon_sym_string] = ACTIONS(1859),
    [anon_sym_symbol] = ACTIONS(1859),
  },
  [492] = {
    [sym_finally_clause] = STATE(584),
    [ts_builtin_sym_end] = ACTIONS(1861),
    [sym_identifier] = ACTIONS(1863),
    [anon_sym_export] = ACTIONS(1863),
    [anon_sym_default] = ACTIONS(1863),
    [anon_sym_type] = ACTIONS(1863),
    [anon_sym_namespace] = ACTIONS(1863),
    [anon_sym_LBRACE] = ACTIONS(1861),
    [anon_sym_RBRACE] = ACTIONS(1861),
    [anon_sym_typeof] = ACTIONS(1863),
    [anon_sym_import] = ACTIONS(1863),
    [anon_sym_var] = ACTIONS(1863),
    [anon_sym_let] = ACTIONS(1863),
    [anon_sym_const] = ACTIONS(1863),
    [anon_sym_BANG] = ACTIONS(1861),
    [anon_sym_else] = ACTIONS(1863),
    [anon_sym_if] = ACTIONS(1863),
    [anon_sym_switch] = ACTIONS(1863),
    [anon_sym_for] = ACTIONS(1863),
    [anon_sym_LPAREN] = ACTIONS(1861),
    [anon_sym_await] = ACTIONS(1863),
    [anon_sym_while] = ACTIONS(1863),
    [anon_sym_do] = ACTIONS(1863),
    [anon_sym_try] = ACTIONS(1863),
    [anon_sym_with] = ACTIONS(1863),
    [anon_sym_break] = ACTIONS(1863),
    [anon_sym_continue] = ACTIONS(1863),
    [anon_sym_debugger] = ACTIONS(1863),
    [anon_sym_return] = ACTIONS(1863),
    [anon_sym_throw] = ACTIONS(1863),
    [anon_sym_SEMI] = ACTIONS(1861),
    [anon_sym_case] = ACTIONS(1863),
    [anon_sym_finally] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1861),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1863),
    [anon_sym_class] = ACTIONS(1863),
    [anon_sym_async] = ACTIONS(1863),
    [anon_sym_function] = ACTIONS(1863),
    [anon_sym_new] = ACTIONS(1863),
    [anon_sym_PLUS] = ACTIONS(1863),
    [anon_sym_DASH] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1861),
    [anon_sym_void] = ACTIONS(1863),
    [anon_sym_delete] = ACTIONS(1863),
    [anon_sym_PLUS_PLUS] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1861),
    [anon_sym_DQUOTE] = ACTIONS(1861),
    [anon_sym_SQUOTE] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1861),
    [sym_number] = ACTIONS(1861),
    [sym_this] = ACTIONS(1863),
    [sym_super] = ACTIONS(1863),
    [sym_true] = ACTIONS(1863),
    [sym_false] = ACTIONS(1863),
    [sym_null] = ACTIONS(1863),
    [sym_undefined] = ACTIONS(1863),
    [anon_sym_AT] = ACTIONS(1861),
    [anon_sym_static] = ACTIONS(1863),
    [anon_sym_readonly] = ACTIONS(1863),
    [anon_sym_get] = ACTIONS(1863),
    [anon_sym_set] = ACTIONS(1863),
    [anon_sym_declare] = ACTIONS(1863),
    [anon_sym_public] = ACTIONS(1863),
    [anon_sym_private] = ACTIONS(1863),
    [anon_sym_protected] = ACTIONS(1863),
    [anon_sym_override] = ACTIONS(1863),
    [anon_sym_module] = ACTIONS(1863),
    [anon_sym_any] = ACTIONS(1863),
    [anon_sym_number] = ACTIONS(1863),
    [anon_sym_boolean] = ACTIONS(1863),
    [anon_sym_string] = ACTIONS(1863),
    [anon_sym_symbol] = ACTIONS(1863),
    [anon_sym_abstract] = ACTIONS(1863),
    [anon_sym_interface] = ACTIONS(1863),
    [anon_sym_enum] = ACTIONS(1863),
  },
  [493] = {
    [sym_statement_block] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1143),
    [anon_sym_export] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_type] = ACTIONS(1143),
    [anon_sym_namespace] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_typeof] = ACTIONS(1143),
    [anon_sym_import] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_let] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_await] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_with] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_debugger] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_throw] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1143),
    [anon_sym_DOT] = ACTIONS(1867),
    [anon_sym_class] = ACTIONS(1143),
    [anon_sym_async] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_new] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_void] = ACTIONS(1143),
    [anon_sym_delete] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1141),
    [sym_number] = ACTIONS(1141),
    [sym_this] = ACTIONS(1143),
    [sym_super] = ACTIONS(1143),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_undefined] = ACTIONS(1143),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_readonly] = ACTIONS(1143),
    [anon_sym_get] = ACTIONS(1143),
    [anon_sym_set] = ACTIONS(1143),
    [anon_sym_declare] = ACTIONS(1143),
    [anon_sym_public] = ACTIONS(1143),
    [anon_sym_private] = ACTIONS(1143),
    [anon_sym_protected] = ACTIONS(1143),
    [anon_sym_override] = ACTIONS(1143),
    [anon_sym_module] = ACTIONS(1143),
    [anon_sym_any] = ACTIONS(1143),
    [anon_sym_number] = ACTIONS(1143),
    [anon_sym_boolean] = ACTIONS(1143),
    [anon_sym_string] = ACTIONS(1143),
    [anon_sym_symbol] = ACTIONS(1143),
    [anon_sym_abstract] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
  },
  [494] = {
    [ts_builtin_sym_end] = ACTIONS(1303),
    [sym_identifier] = ACTIONS(1305),
    [anon_sym_export] = ACTIONS(1305),
    [anon_sym_default] = ACTIONS(1305),
    [anon_sym_type] = ACTIONS(1305),
    [anon_sym_namespace] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [anon_sym_typeof] = ACTIONS(1305),
    [anon_sym_import] = ACTIONS(1305),
    [anon_sym_var] = ACTIONS(1305),
    [anon_sym_let] = ACTIONS(1305),
    [anon_sym_const] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1303),
    [anon_sym_else] = ACTIONS(1305),
    [anon_sym_if] = ACTIONS(1305),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_await] = ACTIONS(1305),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_with] = ACTIONS(1305),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1305),
    [anon_sym_debugger] = ACTIONS(1305),
    [anon_sym_return] = ACTIONS(1305),
    [anon_sym_throw] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_case] = ACTIONS(1305),
    [anon_sym_yield] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_LT] = ACTIONS(1303),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_class] = ACTIONS(1305),
    [anon_sym_async] = ACTIONS(1305),
    [anon_sym_function] = ACTIONS(1305),
    [anon_sym_new] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1303),
    [anon_sym_void] = ACTIONS(1305),
    [anon_sym_delete] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1303),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1303),
    [sym_number] = ACTIONS(1303),
    [sym_this] = ACTIONS(1305),
    [sym_super] = ACTIONS(1305),
    [sym_true] = ACTIONS(1305),
    [sym_false] = ACTIONS(1305),
    [sym_null] = ACTIONS(1305),
    [sym_undefined] = ACTIONS(1305),
    [anon_sym_AT] = ACTIONS(1303),
    [anon_sym_static] = ACTIONS(1305),
    [anon_sym_readonly] = ACTIONS(1305),
    [anon_sym_get] = ACTIONS(1305),
    [anon_sym_set] = ACTIONS(1305),
    [anon_sym_declare] = ACTIONS(1305),
    [anon_sym_public] = ACTIONS(1305),
    [anon_sym_private] = ACTIONS(1305),
    [anon_sym_protected] = ACTIONS(1305),
    [anon_sym_override] = ACTIONS(1305),
    [anon_sym_module] = ACTIONS(1305),
    [anon_sym_any] = ACTIONS(1305),
    [anon_sym_number] = ACTIONS(1305),
    [anon_sym_boolean] = ACTIONS(1305),
    [anon_sym_string] = ACTIONS(1305),
    [anon_sym_symbol] = ACTIONS(1305),
    [anon_sym_abstract] = ACTIONS(1305),
    [anon_sym_interface] = ACTIONS(1305),
    [anon_sym_enum] = ACTIONS(1305),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1293),
    [sym_identifier] = ACTIONS(1295),
    [anon_sym_export] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1295),
    [anon_sym_type] = ACTIONS(1295),
    [anon_sym_namespace] = ACTIONS(1295),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [anon_sym_typeof] = ACTIONS(1295),
    [anon_sym_import] = ACTIONS(1295),
    [anon_sym_var] = ACTIONS(1295),
    [anon_sym_let] = ACTIONS(1295),
    [anon_sym_const] = ACTIONS(1295),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(1295),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1295),
    [anon_sym_for] = ACTIONS(1295),
    [anon_sym_LPAREN] = ACTIONS(1293),
    [anon_sym_await] = ACTIONS(1295),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1295),
    [anon_sym_try] = ACTIONS(1295),
    [anon_sym_with] = ACTIONS(1295),
    [anon_sym_break] = ACTIONS(1295),
    [anon_sym_continue] = ACTIONS(1295),
    [anon_sym_debugger] = ACTIONS(1295),
    [anon_sym_return] = ACTIONS(1295),
    [anon_sym_throw] = ACTIONS(1295),
    [anon_sym_SEMI] = ACTIONS(1293),
    [anon_sym_case] = ACTIONS(1295),
    [anon_sym_yield] = ACTIONS(1295),
    [anon_sym_LBRACK] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_SLASH] = ACTIONS(1295),
    [anon_sym_class] = ACTIONS(1295),
    [anon_sym_async] = ACTIONS(1295),
    [anon_sym_function] = ACTIONS(1295),
    [anon_sym_new] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1295),
    [anon_sym_DASH] = ACTIONS(1295),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_void] = ACTIONS(1295),
    [anon_sym_delete] = ACTIONS(1295),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE] = ACTIONS(1293),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1293),
    [sym_number] = ACTIONS(1293),
    [sym_this] = ACTIONS(1295),
    [sym_super] = ACTIONS(1295),
    [sym_true] = ACTIONS(1295),
    [sym_false] = ACTIONS(1295),
    [sym_null] = ACTIONS(1295),
    [sym_undefined] = ACTIONS(1295),
    [anon_sym_AT] = ACTIONS(1293),
    [anon_sym_static] = ACTIONS(1295),
    [anon_sym_readonly] = ACTIONS(1295),
    [anon_sym_get] = ACTIONS(1295),
    [anon_sym_set] = ACTIONS(1295),
    [anon_sym_declare] = ACTIONS(1295),
    [anon_sym_public] = ACTIONS(1295),
    [anon_sym_private] = ACTIONS(1295),
    [anon_sym_protected] = ACTIONS(1295),
    [anon_sym_override] = ACTIONS(1295),
    [anon_sym_module] = ACTIONS(1295),
    [anon_sym_any] = ACTIONS(1295),
    [anon_sym_number] = ACTIONS(1295),
    [anon_sym_boolean] = ACTIONS(1295),
    [anon_sym_string] = ACTIONS(1295),
    [anon_sym_symbol] = ACTIONS(1295),
    [anon_sym_abstract] = ACTIONS(1295),
    [anon_sym_interface] = ACTIONS(1295),
    [anon_sym_enum] = ACTIONS(1295),
    [sym__automatic_semicolon] = ACTIONS(1301),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1225),
    [sym_identifier] = ACTIONS(1227),
    [anon_sym_export] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1227),
    [anon_sym_type] = ACTIONS(1227),
    [anon_sym_namespace] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [anon_sym_typeof] = ACTIONS(1227),
    [anon_sym_import] = ACTIONS(1227),
    [anon_sym_var] = ACTIONS(1227),
    [anon_sym_let] = ACTIONS(1227),
    [anon_sym_const] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_else] = ACTIONS(1227),
    [anon_sym_if] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1227),
    [anon_sym_for] = ACTIONS(1227),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_await] = ACTIONS(1227),
    [anon_sym_while] = ACTIONS(1227),
    [anon_sym_do] = ACTIONS(1227),
    [anon_sym_try] = ACTIONS(1227),
    [anon_sym_with] = ACTIONS(1227),
    [anon_sym_break] = ACTIONS(1227),
    [anon_sym_continue] = ACTIONS(1227),
    [anon_sym_debugger] = ACTIONS(1227),
    [anon_sym_return] = ACTIONS(1227),
    [anon_sym_throw] = ACTIONS(1227),
    [anon_sym_SEMI] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1227),
    [anon_sym_yield] = ACTIONS(1227),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1227),
    [anon_sym_class] = ACTIONS(1227),
    [anon_sym_async] = ACTIONS(1227),
    [anon_sym_function] = ACTIONS(1227),
    [anon_sym_new] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1227),
    [anon_sym_DASH] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_void] = ACTIONS(1227),
    [anon_sym_delete] = ACTIONS(1227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE] = ACTIONS(1225),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1225),
    [sym_number] = ACTIONS(1225),
    [sym_this] = ACTIONS(1227),
    [sym_super] = ACTIONS(1227),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [sym_null] = ACTIONS(1227),
    [sym_undefined] = ACTIONS(1227),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1227),
    [anon_sym_readonly] = ACTIONS(1227),
    [anon_sym_get] = ACTIONS(1227),
    [anon_sym_set] = ACTIONS(1227),
    [anon_sym_declare] = ACTIONS(1227),
    [anon_sym_public] = ACTIONS(1227),
    [anon_sym_private] = ACTIONS(1227),
    [anon_sym_protected] = ACTIONS(1227),
    [anon_sym_override] = ACTIONS(1227),
    [anon_sym_module] = ACTIONS(1227),
    [anon_sym_any] = ACTIONS(1227),
    [anon_sym_number] = ACTIONS(1227),
    [anon_sym_boolean] = ACTIONS(1227),
    [anon_sym_string] = ACTIONS(1227),
    [anon_sym_symbol] = ACTIONS(1227),
    [anon_sym_abstract] = ACTIONS(1227),
    [anon_sym_interface] = ACTIONS(1227),
    [anon_sym_enum] = ACTIONS(1227),
    [sym__automatic_semicolon] = ACTIONS(1233),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1869),
    [sym_identifier] = ACTIONS(1871),
    [anon_sym_export] = ACTIONS(1871),
    [anon_sym_default] = ACTIONS(1871),
    [anon_sym_type] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1871),
    [anon_sym_LBRACE] = ACTIONS(1869),
    [anon_sym_RBRACE] = ACTIONS(1869),
    [anon_sym_typeof] = ACTIONS(1871),
    [anon_sym_import] = ACTIONS(1871),
    [anon_sym_var] = ACTIONS(1871),
    [anon_sym_let] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(1871),
    [anon_sym_BANG] = ACTIONS(1869),
    [anon_sym_else] = ACTIONS(1871),
    [anon_sym_if] = ACTIONS(1871),
    [anon_sym_switch] = ACTIONS(1871),
    [anon_sym_for] = ACTIONS(1871),
    [anon_sym_LPAREN] = ACTIONS(1869),
    [anon_sym_await] = ACTIONS(1871),
    [anon_sym_while] = ACTIONS(1871),
    [anon_sym_do] = ACTIONS(1871),
    [anon_sym_try] = ACTIONS(1871),
    [anon_sym_with] = ACTIONS(1871),
    [anon_sym_break] = ACTIONS(1871),
    [anon_sym_continue] = ACTIONS(1871),
    [anon_sym_debugger] = ACTIONS(1871),
    [anon_sym_return] = ACTIONS(1871),
    [anon_sym_throw] = ACTIONS(1871),
    [anon_sym_SEMI] = ACTIONS(1869),
    [anon_sym_case] = ACTIONS(1871),
    [anon_sym_finally] = ACTIONS(1871),
    [anon_sym_yield] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1869),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_class] = ACTIONS(1871),
    [anon_sym_async] = ACTIONS(1871),
    [anon_sym_function] = ACTIONS(1871),
    [anon_sym_new] = ACTIONS(1871),
    [anon_sym_PLUS] = ACTIONS(1871),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_TILDE] = ACTIONS(1869),
    [anon_sym_void] = ACTIONS(1871),
    [anon_sym_delete] = ACTIONS(1871),
    [anon_sym_PLUS_PLUS] = ACTIONS(1869),
    [anon_sym_DASH_DASH] = ACTIONS(1869),
    [anon_sym_DQUOTE] = ACTIONS(1869),
    [anon_sym_SQUOTE] = ACTIONS(1869),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1869),
    [sym_number] = ACTIONS(1869),
    [sym_this] = ACTIONS(1871),
    [sym_super] = ACTIONS(1871),
    [sym_true] = ACTIONS(1871),
    [sym_false] = ACTIONS(1871),
    [sym_null] = ACTIONS(1871),
    [sym_undefined] = ACTIONS(1871),
    [anon_sym_AT] = ACTIONS(1869),
    [anon_sym_static] = ACTIONS(1871),
    [anon_sym_readonly] = ACTIONS(1871),
    [anon_sym_get] = ACTIONS(1871),
    [anon_sym_set] = ACTIONS(1871),
    [anon_sym_declare] = ACTIONS(1871),
    [anon_sym_public] = ACTIONS(1871),
    [anon_sym_private] = ACTIONS(1871),
    [anon_sym_protected] = ACTIONS(1871),
    [anon_sym_override] = ACTIONS(1871),
    [anon_sym_module] = ACTIONS(1871),
    [anon_sym_any] = ACTIONS(1871),
    [anon_sym_number] = ACTIONS(1871),
    [anon_sym_boolean] = ACTIONS(1871),
    [anon_sym_string] = ACTIONS(1871),
    [anon_sym_symbol] = ACTIONS(1871),
    [anon_sym_abstract] = ACTIONS(1871),
    [anon_sym_interface] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1871),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(1339),
    [sym_identifier] = ACTIONS(1341),
    [anon_sym_export] = ACTIONS(1341),
    [anon_sym_default] = ACTIONS(1341),
    [anon_sym_type] = ACTIONS(1341),
    [anon_sym_namespace] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(1339),
    [anon_sym_RBRACE] = ACTIONS(1339),
    [anon_sym_typeof] = ACTIONS(1341),
    [anon_sym_import] = ACTIONS(1341),
    [anon_sym_var] = ACTIONS(1341),
    [anon_sym_let] = ACTIONS(1341),
    [anon_sym_const] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1339),
    [anon_sym_else] = ACTIONS(1341),
    [anon_sym_if] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1341),
    [anon_sym_for] = ACTIONS(1341),
    [anon_sym_LPAREN] = ACTIONS(1339),
    [anon_sym_await] = ACTIONS(1341),
    [anon_sym_while] = ACTIONS(1341),
    [anon_sym_do] = ACTIONS(1341),
    [anon_sym_try] = ACTIONS(1341),
    [anon_sym_with] = ACTIONS(1341),
    [anon_sym_break] = ACTIONS(1341),
    [anon_sym_continue] = ACTIONS(1341),
    [anon_sym_debugger] = ACTIONS(1341),
    [anon_sym_return] = ACTIONS(1341),
    [anon_sym_throw] = ACTIONS(1341),
    [anon_sym_SEMI] = ACTIONS(1339),
    [anon_sym_case] = ACTIONS(1341),
    [anon_sym_yield] = ACTIONS(1341),
    [anon_sym_LBRACK] = ACTIONS(1339),
    [anon_sym_LT] = ACTIONS(1339),
    [anon_sym_SLASH] = ACTIONS(1341),
    [anon_sym_class] = ACTIONS(1341),
    [anon_sym_async] = ACTIONS(1341),
    [anon_sym_function] = ACTIONS(1341),
    [anon_sym_new] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1341),
    [anon_sym_DASH] = ACTIONS(1341),
    [anon_sym_TILDE] = ACTIONS(1339),
    [anon_sym_void] = ACTIONS(1341),
    [anon_sym_delete] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1339),
    [anon_sym_DASH_DASH] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1339),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1339),
    [sym_number] = ACTIONS(1339),
    [sym_this] = ACTIONS(1341),
    [sym_super] = ACTIONS(1341),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_null] = ACTIONS(1341),
    [sym_undefined] = ACTIONS(1341),
    [anon_sym_AT] = ACTIONS(1339),
    [anon_sym_static] = ACTIONS(1341),
    [anon_sym_readonly] = ACTIONS(1341),
    [anon_sym_get] = ACTIONS(1341),
    [anon_sym_set] = ACTIONS(1341),
    [anon_sym_declare] = ACTIONS(1341),
    [anon_sym_public] = ACTIONS(1341),
    [anon_sym_private] = ACTIONS(1341),
    [anon_sym_protected] = ACTIONS(1341),
    [anon_sym_override] = ACTIONS(1341),
    [anon_sym_module] = ACTIONS(1341),
    [anon_sym_any] = ACTIONS(1341),
    [anon_sym_number] = ACTIONS(1341),
    [anon_sym_boolean] = ACTIONS(1341),
    [anon_sym_string] = ACTIONS(1341),
    [anon_sym_symbol] = ACTIONS(1341),
    [anon_sym_abstract] = ACTIONS(1341),
    [anon_sym_interface] = ACTIONS(1341),
    [anon_sym_enum] = ACTIONS(1341),
    [sym__automatic_semicolon] = ACTIONS(1347),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1179),
    [sym_identifier] = ACTIONS(1181),
    [anon_sym_export] = ACTIONS(1181),
    [anon_sym_default] = ACTIONS(1181),
    [anon_sym_type] = ACTIONS(1181),
    [anon_sym_namespace] = ACTIONS(1181),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [anon_sym_typeof] = ACTIONS(1181),
    [anon_sym_import] = ACTIONS(1181),
    [anon_sym_var] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1181),
    [anon_sym_const] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1181),
    [anon_sym_if] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1181),
    [anon_sym_for] = ACTIONS(1181),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_await] = ACTIONS(1181),
    [anon_sym_while] = ACTIONS(1181),
    [anon_sym_do] = ACTIONS(1181),
    [anon_sym_try] = ACTIONS(1181),
    [anon_sym_with] = ACTIONS(1181),
    [anon_sym_break] = ACTIONS(1181),
    [anon_sym_continue] = ACTIONS(1181),
    [anon_sym_debugger] = ACTIONS(1181),
    [anon_sym_return] = ACTIONS(1181),
    [anon_sym_throw] = ACTIONS(1181),
    [anon_sym_SEMI] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1181),
    [anon_sym_yield] = ACTIONS(1181),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1179),
    [anon_sym_SLASH] = ACTIONS(1181),
    [anon_sym_class] = ACTIONS(1181),
    [anon_sym_async] = ACTIONS(1181),
    [anon_sym_function] = ACTIONS(1181),
    [anon_sym_new] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1181),
    [anon_sym_DASH] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_void] = ACTIONS(1181),
    [anon_sym_delete] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [anon_sym_SQUOTE] = ACTIONS(1179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1179),
    [sym_number] = ACTIONS(1179),
    [sym_this] = ACTIONS(1181),
    [sym_super] = ACTIONS(1181),
    [sym_true] = ACTIONS(1181),
    [sym_false] = ACTIONS(1181),
    [sym_null] = ACTIONS(1181),
    [sym_undefined] = ACTIONS(1181),
    [anon_sym_AT] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1181),
    [anon_sym_readonly] = ACTIONS(1181),
    [anon_sym_get] = ACTIONS(1181),
    [anon_sym_set] = ACTIONS(1181),
    [anon_sym_declare] = ACTIONS(1181),
    [anon_sym_public] = ACTIONS(1181),
    [anon_sym_private] = ACTIONS(1181),
    [anon_sym_protected] = ACTIONS(1181),
    [anon_sym_override] = ACTIONS(1181),
    [anon_sym_module] = ACTIONS(1181),
    [anon_sym_any] = ACTIONS(1181),
    [anon_sym_number] = ACTIONS(1181),
    [anon_sym_boolean] = ACTIONS(1181),
    [anon_sym_string] = ACTIONS(1181),
    [anon_sym_symbol] = ACTIONS(1181),
    [anon_sym_abstract] = ACTIONS(1181),
    [anon_sym_interface] = ACTIONS(1181),
    [anon_sym_enum] = ACTIONS(1181),
    [sym__automatic_semicolon] = ACTIONS(1187),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [sym_identifier] = ACTIONS(1237),
    [anon_sym_export] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [anon_sym_type] = ACTIONS(1237),
    [anon_sym_namespace] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_typeof] = ACTIONS(1237),
    [anon_sym_import] = ACTIONS(1237),
    [anon_sym_var] = ACTIONS(1237),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_const] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_if] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_await] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1237),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1237),
    [anon_sym_with] = ACTIONS(1237),
    [anon_sym_break] = ACTIONS(1237),
    [anon_sym_continue] = ACTIONS(1237),
    [anon_sym_debugger] = ACTIONS(1237),
    [anon_sym_return] = ACTIONS(1237),
    [anon_sym_throw] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_LT] = ACTIONS(1235),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_class] = ACTIONS(1237),
    [anon_sym_async] = ACTIONS(1237),
    [anon_sym_function] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_void] = ACTIONS(1237),
    [anon_sym_delete] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1235),
    [anon_sym_DQUOTE] = ACTIONS(1235),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1235),
    [sym_number] = ACTIONS(1235),
    [sym_this] = ACTIONS(1237),
    [sym_super] = ACTIONS(1237),
    [sym_true] = ACTIONS(1237),
    [sym_false] = ACTIONS(1237),
    [sym_null] = ACTIONS(1237),
    [sym_undefined] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(1235),
    [anon_sym_static] = ACTIONS(1237),
    [anon_sym_readonly] = ACTIONS(1237),
    [anon_sym_get] = ACTIONS(1237),
    [anon_sym_set] = ACTIONS(1237),
    [anon_sym_declare] = ACTIONS(1237),
    [anon_sym_public] = ACTIONS(1237),
    [anon_sym_private] = ACTIONS(1237),
    [anon_sym_protected] = ACTIONS(1237),
    [anon_sym_override] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1237),
    [anon_sym_any] = ACTIONS(1237),
    [anon_sym_number] = ACTIONS(1237),
    [anon_sym_boolean] = ACTIONS(1237),
    [anon_sym_string] = ACTIONS(1237),
    [anon_sym_symbol] = ACTIONS(1237),
    [anon_sym_abstract] = ACTIONS(1237),
    [anon_sym_interface] = ACTIONS(1237),
    [anon_sym_enum] = ACTIONS(1237),
    [sym__automatic_semicolon] = ACTIONS(1243),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1873),
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_export] = ACTIONS(1875),
    [anon_sym_default] = ACTIONS(1875),
    [anon_sym_type] = ACTIONS(1875),
    [anon_sym_namespace] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1873),
    [anon_sym_RBRACE] = ACTIONS(1873),
    [anon_sym_typeof] = ACTIONS(1875),
    [anon_sym_import] = ACTIONS(1875),
    [anon_sym_var] = ACTIONS(1875),
    [anon_sym_let] = ACTIONS(1875),
    [anon_sym_const] = ACTIONS(1875),
    [anon_sym_BANG] = ACTIONS(1873),
    [anon_sym_else] = ACTIONS(1875),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_switch] = ACTIONS(1875),
    [anon_sym_for] = ACTIONS(1875),
    [anon_sym_LPAREN] = ACTIONS(1873),
    [anon_sym_RPAREN] = ACTIONS(1873),
    [anon_sym_await] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1875),
    [anon_sym_do] = ACTIONS(1875),
    [anon_sym_try] = ACTIONS(1875),
    [anon_sym_with] = ACTIONS(1875),
    [anon_sym_break] = ACTIONS(1875),
    [anon_sym_continue] = ACTIONS(1875),
    [anon_sym_debugger] = ACTIONS(1875),
    [anon_sym_return] = ACTIONS(1875),
    [anon_sym_throw] = ACTIONS(1875),
    [anon_sym_SEMI] = ACTIONS(1873),
    [anon_sym_case] = ACTIONS(1875),
    [anon_sym_yield] = ACTIONS(1875),
    [anon_sym_LBRACK] = ACTIONS(1873),
    [anon_sym_LT] = ACTIONS(1873),
    [anon_sym_SLASH] = ACTIONS(1875),
    [anon_sym_class] = ACTIONS(1875),
    [anon_sym_async] = ACTIONS(1875),
    [anon_sym_function] = ACTIONS(1875),
    [anon_sym_new] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1875),
    [anon_sym_DASH] = ACTIONS(1875),
    [anon_sym_TILDE] = ACTIONS(1873),
    [anon_sym_void] = ACTIONS(1875),
    [anon_sym_delete] = ACTIONS(1875),
    [anon_sym_PLUS_PLUS] = ACTIONS(1873),
    [anon_sym_DASH_DASH] = ACTIONS(1873),
    [anon_sym_DQUOTE] = ACTIONS(1873),
    [anon_sym_SQUOTE] = ACTIONS(1873),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1873),
    [sym_number] = ACTIONS(1873),
    [sym_this] = ACTIONS(1875),
    [sym_super] = ACTIONS(1875),
    [sym_true] = ACTIONS(1875),
    [sym_false] = ACTIONS(1875),
    [sym_null] = ACTIONS(1875),
    [sym_undefined] = ACTIONS(1875),
    [anon_sym_AT] = ACTIONS(1873),
    [anon_sym_static] = ACTIONS(1875),
    [anon_sym_readonly] = ACTIONS(1875),
    [anon_sym_get] = ACTIONS(1875),
    [anon_sym_set] = ACTIONS(1875),
    [anon_sym_declare] = ACTIONS(1875),
    [anon_sym_public] = ACTIONS(1875),
    [anon_sym_private] = ACTIONS(1875),
    [anon_sym_protected] = ACTIONS(1875),
    [anon_sym_override] = ACTIONS(1875),
    [anon_sym_module] = ACTIONS(1875),
    [anon_sym_any] = ACTIONS(1875),
    [anon_sym_number] = ACTIONS(1875),
    [anon_sym_boolean] = ACTIONS(1875),
    [anon_sym_string] = ACTIONS(1875),
    [anon_sym_symbol] = ACTIONS(1875),
    [anon_sym_abstract] = ACTIONS(1875),
    [anon_sym_interface] = ACTIONS(1875),
    [anon_sym_enum] = ACTIONS(1875),
  },
  [502] = {
    [sym_statement_block] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(1141),
    [sym_identifier] = ACTIONS(1143),
    [anon_sym_export] = ACTIONS(1143),
    [anon_sym_default] = ACTIONS(1143),
    [anon_sym_type] = ACTIONS(1143),
    [anon_sym_namespace] = ACTIONS(1143),
    [anon_sym_LBRACE] = ACTIONS(1865),
    [anon_sym_RBRACE] = ACTIONS(1141),
    [anon_sym_typeof] = ACTIONS(1143),
    [anon_sym_import] = ACTIONS(1143),
    [anon_sym_var] = ACTIONS(1143),
    [anon_sym_let] = ACTIONS(1143),
    [anon_sym_const] = ACTIONS(1143),
    [anon_sym_BANG] = ACTIONS(1141),
    [anon_sym_else] = ACTIONS(1143),
    [anon_sym_if] = ACTIONS(1143),
    [anon_sym_switch] = ACTIONS(1143),
    [anon_sym_for] = ACTIONS(1143),
    [anon_sym_LPAREN] = ACTIONS(1141),
    [anon_sym_await] = ACTIONS(1143),
    [anon_sym_while] = ACTIONS(1143),
    [anon_sym_do] = ACTIONS(1143),
    [anon_sym_try] = ACTIONS(1143),
    [anon_sym_with] = ACTIONS(1143),
    [anon_sym_break] = ACTIONS(1143),
    [anon_sym_continue] = ACTIONS(1143),
    [anon_sym_debugger] = ACTIONS(1143),
    [anon_sym_return] = ACTIONS(1143),
    [anon_sym_throw] = ACTIONS(1143),
    [anon_sym_SEMI] = ACTIONS(1141),
    [anon_sym_case] = ACTIONS(1143),
    [anon_sym_yield] = ACTIONS(1143),
    [anon_sym_LBRACK] = ACTIONS(1141),
    [anon_sym_LT] = ACTIONS(1141),
    [anon_sym_SLASH] = ACTIONS(1143),
    [anon_sym_class] = ACTIONS(1143),
    [anon_sym_async] = ACTIONS(1143),
    [anon_sym_function] = ACTIONS(1143),
    [anon_sym_new] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1143),
    [anon_sym_DASH] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1141),
    [anon_sym_void] = ACTIONS(1143),
    [anon_sym_delete] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1141),
    [anon_sym_DASH_DASH] = ACTIONS(1141),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_SQUOTE] = ACTIONS(1141),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1141),
    [sym_number] = ACTIONS(1141),
    [sym_this] = ACTIONS(1143),
    [sym_super] = ACTIONS(1143),
    [sym_true] = ACTIONS(1143),
    [sym_false] = ACTIONS(1143),
    [sym_null] = ACTIONS(1143),
    [sym_undefined] = ACTIONS(1143),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_static] = ACTIONS(1143),
    [anon_sym_readonly] = ACTIONS(1143),
    [anon_sym_get] = ACTIONS(1143),
    [anon_sym_set] = ACTIONS(1143),
    [anon_sym_declare] = ACTIONS(1143),
    [anon_sym_public] = ACTIONS(1143),
    [anon_sym_private] = ACTIONS(1143),
    [anon_sym_protected] = ACTIONS(1143),
    [anon_sym_override] = ACTIONS(1143),
    [anon_sym_module] = ACTIONS(1143),
    [anon_sym_any] = ACTIONS(1143),
    [anon_sym_number] = ACTIONS(1143),
    [anon_sym_boolean] = ACTIONS(1143),
    [anon_sym_string] = ACTIONS(1143),
    [anon_sym_symbol] = ACTIONS(1143),
    [anon_sym_abstract] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1143),
    [anon_sym_enum] = ACTIONS(1143),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1359),
    [sym_identifier] = ACTIONS(1361),
    [anon_sym_export] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1361),
    [anon_sym_type] = ACTIONS(1361),
    [anon_sym_namespace] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_typeof] = ACTIONS(1361),
    [anon_sym_import] = ACTIONS(1361),
    [anon_sym_var] = ACTIONS(1361),
    [anon_sym_let] = ACTIONS(1361),
    [anon_sym_const] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_else] = ACTIONS(1361),
    [anon_sym_if] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1361),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_await] = ACTIONS(1361),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1361),
    [anon_sym_try] = ACTIONS(1361),
    [anon_sym_with] = ACTIONS(1361),
    [anon_sym_break] = ACTIONS(1361),
    [anon_sym_continue] = ACTIONS(1361),
    [anon_sym_debugger] = ACTIONS(1361),
    [anon_sym_return] = ACTIONS(1361),
    [anon_sym_throw] = ACTIONS(1361),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_case] = ACTIONS(1361),
    [anon_sym_yield] = ACTIONS(1361),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1361),
    [anon_sym_class] = ACTIONS(1361),
    [anon_sym_async] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1361),
    [anon_sym_new] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1361),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_void] = ACTIONS(1361),
    [anon_sym_delete] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [sym_number] = ACTIONS(1359),
    [sym_this] = ACTIONS(1361),
    [sym_super] = ACTIONS(1361),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [sym_null] = ACTIONS(1361),
    [sym_undefined] = ACTIONS(1361),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1361),
    [anon_sym_readonly] = ACTIONS(1361),
    [anon_sym_get] = ACTIONS(1361),
    [anon_sym_set] = ACTIONS(1361),
    [anon_sym_declare] = ACTIONS(1361),
    [anon_sym_public] = ACTIONS(1361),
    [anon_sym_private] = ACTIONS(1361),
    [anon_sym_protected] = ACTIONS(1361),
    [anon_sym_override] = ACTIONS(1361),
    [anon_sym_module] = ACTIONS(1361),
    [anon_sym_any] = ACTIONS(1361),
    [anon_sym_number] = ACTIONS(1361),
    [anon_sym_boolean] = ACTIONS(1361),
    [anon_sym_string] = ACTIONS(1361),
    [anon_sym_symbol] = ACTIONS(1361),
    [anon_sym_abstract] = ACTIONS(1361),
    [anon_sym_interface] = ACTIONS(1361),
    [anon_sym_enum] = ACTIONS(1361),
    [sym__automatic_semicolon] = ACTIONS(1367),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_identifier] = ACTIONS(1285),
    [anon_sym_export] = ACTIONS(1285),
    [anon_sym_default] = ACTIONS(1285),
    [anon_sym_type] = ACTIONS(1285),
    [anon_sym_namespace] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1283),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [anon_sym_typeof] = ACTIONS(1285),
    [anon_sym_import] = ACTIONS(1285),
    [anon_sym_var] = ACTIONS(1285),
    [anon_sym_let] = ACTIONS(1285),
    [anon_sym_const] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1283),
    [anon_sym_else] = ACTIONS(1285),
    [anon_sym_if] = ACTIONS(1285),
    [anon_sym_switch] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_await] = ACTIONS(1285),
    [anon_sym_while] = ACTIONS(1285),
    [anon_sym_do] = ACTIONS(1285),
    [anon_sym_try] = ACTIONS(1285),
    [anon_sym_with] = ACTIONS(1285),
    [anon_sym_break] = ACTIONS(1285),
    [anon_sym_continue] = ACTIONS(1285),
    [anon_sym_debugger] = ACTIONS(1285),
    [anon_sym_return] = ACTIONS(1285),
    [anon_sym_throw] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1283),
    [anon_sym_case] = ACTIONS(1285),
    [anon_sym_yield] = ACTIONS(1285),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_LT] = ACTIONS(1283),
    [anon_sym_SLASH] = ACTIONS(1285),
    [anon_sym_class] = ACTIONS(1285),
    [anon_sym_async] = ACTIONS(1285),
    [anon_sym_function] = ACTIONS(1285),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_void] = ACTIONS(1285),
    [anon_sym_delete] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1283),
    [anon_sym_DQUOTE] = ACTIONS(1283),
    [anon_sym_SQUOTE] = ACTIONS(1283),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1283),
    [sym_number] = ACTIONS(1283),
    [sym_this] = ACTIONS(1285),
    [sym_super] = ACTIONS(1285),
    [sym_true] = ACTIONS(1285),
    [sym_false] = ACTIONS(1285),
    [sym_null] = ACTIONS(1285),
    [sym_undefined] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1283),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_readonly] = ACTIONS(1285),
    [anon_sym_get] = ACTIONS(1285),
    [anon_sym_set] = ACTIONS(1285),
    [anon_sym_declare] = ACTIONS(1285),
    [anon_sym_public] = ACTIONS(1285),
    [anon_sym_private] = ACTIONS(1285),
    [anon_sym_protected] = ACTIONS(1285),
    [anon_sym_override] = ACTIONS(1285),
    [anon_sym_module] = ACTIONS(1285),
    [anon_sym_any] = ACTIONS(1285),
    [anon_sym_number] = ACTIONS(1285),
    [anon_sym_boolean] = ACTIONS(1285),
    [anon_sym_string] = ACTIONS(1285),
    [anon_sym_symbol] = ACTIONS(1285),
    [anon_sym_abstract] = ACTIONS(1285),
    [anon_sym_interface] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1285),
    [sym__automatic_semicolon] = ACTIONS(1291),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1329),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_export] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1331),
    [anon_sym_type] = ACTIONS(1331),
    [anon_sym_namespace] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [anon_sym_typeof] = ACTIONS(1331),
    [anon_sym_import] = ACTIONS(1331),
    [anon_sym_var] = ACTIONS(1331),
    [anon_sym_let] = ACTIONS(1331),
    [anon_sym_const] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_else] = ACTIONS(1331),
    [anon_sym_if] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1331),
    [anon_sym_for] = ACTIONS(1331),
    [anon_sym_LPAREN] = ACTIONS(1329),
    [anon_sym_await] = ACTIONS(1331),
    [anon_sym_while] = ACTIONS(1331),
    [anon_sym_do] = ACTIONS(1331),
    [anon_sym_try] = ACTIONS(1331),
    [anon_sym_with] = ACTIONS(1331),
    [anon_sym_break] = ACTIONS(1331),
    [anon_sym_continue] = ACTIONS(1331),
    [anon_sym_debugger] = ACTIONS(1331),
    [anon_sym_return] = ACTIONS(1331),
    [anon_sym_throw] = ACTIONS(1331),
    [anon_sym_SEMI] = ACTIONS(1329),
    [anon_sym_case] = ACTIONS(1331),
    [anon_sym_yield] = ACTIONS(1331),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1329),
    [anon_sym_SLASH] = ACTIONS(1331),
    [anon_sym_class] = ACTIONS(1331),
    [anon_sym_async] = ACTIONS(1331),
    [anon_sym_function] = ACTIONS(1331),
    [anon_sym_new] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1331),
    [anon_sym_DASH] = ACTIONS(1331),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_void] = ACTIONS(1331),
    [anon_sym_delete] = ACTIONS(1331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE] = ACTIONS(1329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1329),
    [sym_number] = ACTIONS(1329),
    [sym_this] = ACTIONS(1331),
    [sym_super] = ACTIONS(1331),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [sym_null] = ACTIONS(1331),
    [sym_undefined] = ACTIONS(1331),
    [anon_sym_AT] = ACTIONS(1329),
    [anon_sym_static] = ACTIONS(1331),
    [anon_sym_readonly] = ACTIONS(1331),
    [anon_sym_get] = ACTIONS(1331),
    [anon_sym_set] = ACTIONS(1331),
    [anon_sym_declare] = ACTIONS(1331),
    [anon_sym_public] = ACTIONS(1331),
    [anon_sym_private] = ACTIONS(1331),
    [anon_sym_protected] = ACTIONS(1331),
    [anon_sym_override] = ACTIONS(1331),
    [anon_sym_module] = ACTIONS(1331),
    [anon_sym_any] = ACTIONS(1331),
    [anon_sym_number] = ACTIONS(1331),
    [anon_sym_boolean] = ACTIONS(1331),
    [anon_sym_string] = ACTIONS(1331),
    [anon_sym_symbol] = ACTIONS(1331),
    [anon_sym_abstract] = ACTIONS(1331),
    [anon_sym_interface] = ACTIONS(1331),
    [anon_sym_enum] = ACTIONS(1331),
    [sym__automatic_semicolon] = ACTIONS(1337),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_identifier] = ACTIONS(1351),
    [anon_sym_export] = ACTIONS(1351),
    [anon_sym_default] = ACTIONS(1351),
    [anon_sym_type] = ACTIONS(1351),
    [anon_sym_namespace] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [anon_sym_typeof] = ACTIONS(1351),
    [anon_sym_import] = ACTIONS(1351),
    [anon_sym_var] = ACTIONS(1351),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_const] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1349),
    [anon_sym_else] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_await] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_try] = ACTIONS(1351),
    [anon_sym_with] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_debugger] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_throw] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym_case] = ACTIONS(1351),
    [anon_sym_yield] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_LT] = ACTIONS(1349),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_class] = ACTIONS(1351),
    [anon_sym_async] = ACTIONS(1351),
    [anon_sym_function] = ACTIONS(1351),
    [anon_sym_new] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_void] = ACTIONS(1351),
    [anon_sym_delete] = ACTIONS(1351),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1349),
    [anon_sym_SQUOTE] = ACTIONS(1349),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1349),
    [sym_number] = ACTIONS(1349),
    [sym_this] = ACTIONS(1351),
    [sym_super] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_null] = ACTIONS(1351),
    [sym_undefined] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1349),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_readonly] = ACTIONS(1351),
    [anon_sym_get] = ACTIONS(1351),
    [anon_sym_set] = ACTIONS(1351),
    [anon_sym_declare] = ACTIONS(1351),
    [anon_sym_public] = ACTIONS(1351),
    [anon_sym_private] = ACTIONS(1351),
    [anon_sym_protected] = ACTIONS(1351),
    [anon_sym_override] = ACTIONS(1351),
    [anon_sym_module] = ACTIONS(1351),
    [anon_sym_any] = ACTIONS(1351),
    [anon_sym_number] = ACTIONS(1351),
    [anon_sym_boolean] = ACTIONS(1351),
    [anon_sym_string] = ACTIONS(1351),
    [anon_sym_symbol] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [sym__automatic_semicolon] = ACTIONS(1357),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [anon_sym_export] = ACTIONS(1257),
    [anon_sym_default] = ACTIONS(1257),
    [anon_sym_type] = ACTIONS(1257),
    [anon_sym_namespace] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1255),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [anon_sym_typeof] = ACTIONS(1257),
    [anon_sym_import] = ACTIONS(1257),
    [anon_sym_var] = ACTIONS(1257),
    [anon_sym_let] = ACTIONS(1257),
    [anon_sym_const] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_switch] = ACTIONS(1257),
    [anon_sym_for] = ACTIONS(1257),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_await] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1257),
    [anon_sym_do] = ACTIONS(1257),
    [anon_sym_try] = ACTIONS(1257),
    [anon_sym_with] = ACTIONS(1257),
    [anon_sym_break] = ACTIONS(1257),
    [anon_sym_continue] = ACTIONS(1257),
    [anon_sym_debugger] = ACTIONS(1257),
    [anon_sym_return] = ACTIONS(1257),
    [anon_sym_throw] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1255),
    [anon_sym_case] = ACTIONS(1257),
    [anon_sym_yield] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_LT] = ACTIONS(1255),
    [anon_sym_SLASH] = ACTIONS(1257),
    [anon_sym_class] = ACTIONS(1257),
    [anon_sym_async] = ACTIONS(1257),
    [anon_sym_function] = ACTIONS(1257),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_void] = ACTIONS(1257),
    [anon_sym_delete] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [anon_sym_DQUOTE] = ACTIONS(1255),
    [anon_sym_SQUOTE] = ACTIONS(1255),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1255),
    [sym_number] = ACTIONS(1255),
    [sym_this] = ACTIONS(1257),
    [sym_super] = ACTIONS(1257),
    [sym_true] = ACTIONS(1257),
    [sym_false] = ACTIONS(1257),
    [sym_null] = ACTIONS(1257),
    [sym_undefined] = ACTIONS(1257),
    [anon_sym_AT] = ACTIONS(1255),
    [anon_sym_static] = ACTIONS(1257),
    [anon_sym_readonly] = ACTIONS(1257),
    [anon_sym_get] = ACTIONS(1257),
    [anon_sym_set] = ACTIONS(1257),
    [anon_sym_declare] = ACTIONS(1257),
    [anon_sym_public] = ACTIONS(1257),
    [anon_sym_private] = ACTIONS(1257),
    [anon_sym_protected] = ACTIONS(1257),
    [anon_sym_override] = ACTIONS(1257),
    [anon_sym_module] = ACTIONS(1257),
    [anon_sym_any] = ACTIONS(1257),
    [anon_sym_number] = ACTIONS(1257),
    [anon_sym_boolean] = ACTIONS(1257),
    [anon_sym_string] = ACTIONS(1257),
    [anon_sym_symbol] = ACTIONS(1257),
    [anon_sym_abstract] = ACTIONS(1257),
    [anon_sym_interface] = ACTIONS(1257),
    [anon_sym_enum] = ACTIONS(1257),
    [sym__automatic_semicolon] = ACTIONS(1263),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1245),
    [sym_identifier] = ACTIONS(1247),
    [anon_sym_export] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1247),
    [anon_sym_type] = ACTIONS(1247),
    [anon_sym_namespace] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [anon_sym_typeof] = ACTIONS(1247),
    [anon_sym_import] = ACTIONS(1247),
    [anon_sym_var] = ACTIONS(1247),
    [anon_sym_let] = ACTIONS(1247),
    [anon_sym_const] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_else] = ACTIONS(1247),
    [anon_sym_if] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1247),
    [anon_sym_for] = ACTIONS(1247),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_await] = ACTIONS(1247),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1247),
    [anon_sym_try] = ACTIONS(1247),
    [anon_sym_with] = ACTIONS(1247),
    [anon_sym_break] = ACTIONS(1247),
    [anon_sym_continue] = ACTIONS(1247),
    [anon_sym_debugger] = ACTIONS(1247),
    [anon_sym_return] = ACTIONS(1247),
    [anon_sym_throw] = ACTIONS(1247),
    [anon_sym_SEMI] = ACTIONS(1245),
    [anon_sym_case] = ACTIONS(1247),
    [anon_sym_yield] = ACTIONS(1247),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_SLASH] = ACTIONS(1247),
    [anon_sym_class] = ACTIONS(1247),
    [anon_sym_async] = ACTIONS(1247),
    [anon_sym_function] = ACTIONS(1247),
    [anon_sym_new] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1247),
    [anon_sym_DASH] = ACTIONS(1247),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_void] = ACTIONS(1247),
    [anon_sym_delete] = ACTIONS(1247),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE] = ACTIONS(1245),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1245),
    [sym_number] = ACTIONS(1245),
    [sym_this] = ACTIONS(1247),
    [sym_super] = ACTIONS(1247),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [sym_null] = ACTIONS(1247),
    [sym_undefined] = ACTIONS(1247),
    [anon_sym_AT] = ACTIONS(1245),
    [anon_sym_static] = ACTIONS(1247),
    [anon_sym_readonly] = ACTIONS(1247),
    [anon_sym_get] = ACTIONS(1247),
    [anon_sym_set] = ACTIONS(1247),
    [anon_sym_declare] = ACTIONS(1247),
    [anon_sym_public] = ACTIONS(1247),
    [anon_sym_private] = ACTIONS(1247),
    [anon_sym_protected] = ACTIONS(1247),
    [anon_sym_override] = ACTIONS(1247),
    [anon_sym_module] = ACTIONS(1247),
    [anon_sym_any] = ACTIONS(1247),
    [anon_sym_number] = ACTIONS(1247),
    [anon_sym_boolean] = ACTIONS(1247),
    [anon_sym_string] = ACTIONS(1247),
    [anon_sym_symbol] = ACTIONS(1247),
    [anon_sym_abstract] = ACTIONS(1247),
    [anon_sym_interface] = ACTIONS(1247),
    [anon_sym_enum] = ACTIONS(1247),
    [sym__automatic_semicolon] = ACTIONS(1253),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1877),
    [sym_identifier] = ACTIONS(1879),
    [anon_sym_export] = ACTIONS(1879),
    [anon_sym_default] = ACTIONS(1879),
    [anon_sym_type] = ACTIONS(1879),
    [anon_sym_namespace] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1877),
    [anon_sym_RBRACE] = ACTIONS(1877),
    [anon_sym_typeof] = ACTIONS(1879),
    [anon_sym_import] = ACTIONS(1879),
    [anon_sym_var] = ACTIONS(1879),
    [anon_sym_let] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1879),
    [anon_sym_BANG] = ACTIONS(1877),
    [anon_sym_else] = ACTIONS(1879),
    [anon_sym_if] = ACTIONS(1879),
    [anon_sym_switch] = ACTIONS(1879),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_RPAREN] = ACTIONS(1877),
    [anon_sym_await] = ACTIONS(1879),
    [anon_sym_while] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1879),
    [anon_sym_try] = ACTIONS(1879),
    [anon_sym_with] = ACTIONS(1879),
    [anon_sym_break] = ACTIONS(1879),
    [anon_sym_continue] = ACTIONS(1879),
    [anon_sym_debugger] = ACTIONS(1879),
    [anon_sym_return] = ACTIONS(1879),
    [anon_sym_throw] = ACTIONS(1879),
    [anon_sym_SEMI] = ACTIONS(1877),
    [anon_sym_case] = ACTIONS(1879),
    [anon_sym_yield] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1877),
    [anon_sym_LT] = ACTIONS(1877),
    [anon_sym_SLASH] = ACTIONS(1879),
    [anon_sym_class] = ACTIONS(1879),
    [anon_sym_async] = ACTIONS(1879),
    [anon_sym_function] = ACTIONS(1879),
    [anon_sym_new] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1879),
    [anon_sym_TILDE] = ACTIONS(1877),
    [anon_sym_void] = ACTIONS(1879),
    [anon_sym_delete] = ACTIONS(1879),
    [anon_sym_PLUS_PLUS] = ACTIONS(1877),
    [anon_sym_DASH_DASH] = ACTIONS(1877),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [anon_sym_SQUOTE] = ACTIONS(1877),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1877),
    [sym_number] = ACTIONS(1877),
    [sym_this] = ACTIONS(1879),
    [sym_super] = ACTIONS(1879),
    [sym_true] = ACTIONS(1879),
    [sym_false] = ACTIONS(1879),
    [sym_null] = ACTIONS(1879),
    [sym_undefined] = ACTIONS(1879),
    [anon_sym_AT] = ACTIONS(1877),
    [anon_sym_static] = ACTIONS(1879),
    [anon_sym_readonly] = ACTIONS(1879),
    [anon_sym_get] = ACTIONS(1879),
    [anon_sym_set] = ACTIONS(1879),
    [anon_sym_declare] = ACTIONS(1879),
    [anon_sym_public] = ACTIONS(1879),
    [anon_sym_private] = ACTIONS(1879),
    [anon_sym_protected] = ACTIONS(1879),
    [anon_sym_override] = ACTIONS(1879),
    [anon_sym_module] = ACTIONS(1879),
    [anon_sym_any] = ACTIONS(1879),
    [anon_sym_number] = ACTIONS(1879),
    [anon_sym_boolean] = ACTIONS(1879),
    [anon_sym_string] = ACTIONS(1879),
    [anon_sym_symbol] = ACTIONS(1879),
    [anon_sym_abstract] = ACTIONS(1879),
    [anon_sym_interface] = ACTIONS(1879),
    [anon_sym_enum] = ACTIONS(1879),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1269),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_export] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1271),
    [anon_sym_type] = ACTIONS(1271),
    [anon_sym_namespace] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [anon_sym_typeof] = ACTIONS(1271),
    [anon_sym_import] = ACTIONS(1271),
    [anon_sym_var] = ACTIONS(1271),
    [anon_sym_let] = ACTIONS(1271),
    [anon_sym_const] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_else] = ACTIONS(1271),
    [anon_sym_if] = ACTIONS(1271),
    [anon_sym_switch] = ACTIONS(1271),
    [anon_sym_for] = ACTIONS(1271),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_await] = ACTIONS(1271),
    [anon_sym_while] = ACTIONS(1271),
    [anon_sym_do] = ACTIONS(1271),
    [anon_sym_try] = ACTIONS(1271),
    [anon_sym_with] = ACTIONS(1271),
    [anon_sym_break] = ACTIONS(1271),
    [anon_sym_continue] = ACTIONS(1271),
    [anon_sym_debugger] = ACTIONS(1271),
    [anon_sym_return] = ACTIONS(1271),
    [anon_sym_throw] = ACTIONS(1271),
    [anon_sym_SEMI] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1271),
    [anon_sym_yield] = ACTIONS(1271),
    [anon_sym_LBRACK] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1271),
    [anon_sym_async] = ACTIONS(1271),
    [anon_sym_function] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1271),
    [anon_sym_DASH] = ACTIONS(1271),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_void] = ACTIONS(1271),
    [anon_sym_delete] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE] = ACTIONS(1269),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [sym_this] = ACTIONS(1271),
    [sym_super] = ACTIONS(1271),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [sym_null] = ACTIONS(1271),
    [sym_undefined] = ACTIONS(1271),
    [anon_sym_AT] = ACTIONS(1269),
    [anon_sym_static] = ACTIONS(1271),
    [anon_sym_readonly] = ACTIONS(1271),
    [anon_sym_get] = ACTIONS(1271),
    [anon_sym_set] = ACTIONS(1271),
    [anon_sym_declare] = ACTIONS(1271),
    [anon_sym_public] = ACTIONS(1271),
    [anon_sym_private] = ACTIONS(1271),
    [anon_sym_protected] = ACTIONS(1271),
    [anon_sym_override] = ACTIONS(1271),
    [anon_sym_module] = ACTIONS(1271),
    [anon_sym_any] = ACTIONS(1271),
    [anon_sym_number] = ACTIONS(1271),
    [anon_sym_boolean] = ACTIONS(1271),
    [anon_sym_string] = ACTIONS(1271),
    [anon_sym_symbol] = ACTIONS(1271),
    [anon_sym_abstract] = ACTIONS(1271),
    [anon_sym_interface] = ACTIONS(1271),
    [anon_sym_enum] = ACTIONS(1271),
    [sym__automatic_semicolon] = ACTIONS(1277),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1881),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_export] = ACTIONS(1883),
    [anon_sym_default] = ACTIONS(1883),
    [anon_sym_type] = ACTIONS(1883),
    [anon_sym_namespace] = ACTIONS(1883),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [anon_sym_RBRACE] = ACTIONS(1881),
    [anon_sym_typeof] = ACTIONS(1883),
    [anon_sym_import] = ACTIONS(1883),
    [anon_sym_var] = ACTIONS(1883),
    [anon_sym_let] = ACTIONS(1883),
    [anon_sym_const] = ACTIONS(1883),
    [anon_sym_BANG] = ACTIONS(1881),
    [anon_sym_else] = ACTIONS(1883),
    [anon_sym_if] = ACTIONS(1883),
    [anon_sym_switch] = ACTIONS(1883),
    [anon_sym_for] = ACTIONS(1883),
    [anon_sym_LPAREN] = ACTIONS(1881),
    [anon_sym_await] = ACTIONS(1883),
    [anon_sym_while] = ACTIONS(1883),
    [anon_sym_do] = ACTIONS(1883),
    [anon_sym_try] = ACTIONS(1883),
    [anon_sym_with] = ACTIONS(1883),
    [anon_sym_break] = ACTIONS(1883),
    [anon_sym_continue] = ACTIONS(1883),
    [anon_sym_debugger] = ACTIONS(1883),
    [anon_sym_return] = ACTIONS(1883),
    [anon_sym_throw] = ACTIONS(1883),
    [anon_sym_SEMI] = ACTIONS(1881),
    [anon_sym_case] = ACTIONS(1883),
    [anon_sym_finally] = ACTIONS(1883),
    [anon_sym_yield] = ACTIONS(1883),
    [anon_sym_LBRACK] = ACTIONS(1881),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_SLASH] = ACTIONS(1883),
    [anon_sym_class] = ACTIONS(1883),
    [anon_sym_async] = ACTIONS(1883),
    [anon_sym_function] = ACTIONS(1883),
    [anon_sym_new] = ACTIONS(1883),
    [anon_sym_PLUS] = ACTIONS(1883),
    [anon_sym_DASH] = ACTIONS(1883),
    [anon_sym_TILDE] = ACTIONS(1881),
    [anon_sym_void] = ACTIONS(1883),
    [anon_sym_delete] = ACTIONS(1883),
    [anon_sym_PLUS_PLUS] = ACTIONS(1881),
    [anon_sym_DASH_DASH] = ACTIONS(1881),
    [anon_sym_DQUOTE] = ACTIONS(1881),
    [anon_sym_SQUOTE] = ACTIONS(1881),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1881),
    [sym_number] = ACTIONS(1881),
    [sym_this] = ACTIONS(1883),
    [sym_super] = ACTIONS(1883),
    [sym_true] = ACTIONS(1883),
    [sym_false] = ACTIONS(1883),
    [sym_null] = ACTIONS(1883),
    [sym_undefined] = ACTIONS(1883),
    [anon_sym_AT] = ACTIONS(1881),
    [anon_sym_static] = ACTIONS(1883),
    [anon_sym_readonly] = ACTIONS(1883),
    [anon_sym_get] = ACTIONS(1883),
    [anon_sym_set] = ACTIONS(1883),
    [anon_sym_declare] = ACTIONS(1883),
    [anon_sym_public] = ACTIONS(1883),
    [anon_sym_private] = ACTIONS(1883),
    [anon_sym_protected] = ACTIONS(1883),
    [anon_sym_override] = ACTIONS(1883),
    [anon_sym_module] = ACTIONS(1883),
    [anon_sym_any] = ACTIONS(1883),
    [anon_sym_number] = ACTIONS(1883),
    [anon_sym_boolean] = ACTIONS(1883),
    [anon_sym_string] = ACTIONS(1883),
    [anon_sym_symbol] = ACTIONS(1883),
    [anon_sym_abstract] = ACTIONS(1883),
    [anon_sym_interface] = ACTIONS(1883),
    [anon_sym_enum] = ACTIONS(1883),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1885),
    [sym_identifier] = ACTIONS(1887),
    [anon_sym_export] = ACTIONS(1887),
    [anon_sym_default] = ACTIONS(1887),
    [anon_sym_type] = ACTIONS(1887),
    [anon_sym_namespace] = ACTIONS(1887),
    [anon_sym_LBRACE] = ACTIONS(1885),
    [anon_sym_RBRACE] = ACTIONS(1885),
    [anon_sym_typeof] = ACTIONS(1887),
    [anon_sym_import] = ACTIONS(1887),
    [anon_sym_var] = ACTIONS(1887),
    [anon_sym_let] = ACTIONS(1887),
    [anon_sym_const] = ACTIONS(1887),
    [anon_sym_BANG] = ACTIONS(1885),
    [anon_sym_else] = ACTIONS(1887),
    [anon_sym_if] = ACTIONS(1887),
    [anon_sym_switch] = ACTIONS(1887),
    [anon_sym_for] = ACTIONS(1887),
    [anon_sym_LPAREN] = ACTIONS(1885),
    [anon_sym_await] = ACTIONS(1887),
    [anon_sym_while] = ACTIONS(1887),
    [anon_sym_do] = ACTIONS(1887),
    [anon_sym_try] = ACTIONS(1887),
    [anon_sym_with] = ACTIONS(1887),
    [anon_sym_break] = ACTIONS(1887),
    [anon_sym_continue] = ACTIONS(1887),
    [anon_sym_debugger] = ACTIONS(1887),
    [anon_sym_return] = ACTIONS(1887),
    [anon_sym_throw] = ACTIONS(1887),
    [anon_sym_SEMI] = ACTIONS(1885),
    [anon_sym_case] = ACTIONS(1887),
    [anon_sym_finally] = ACTIONS(1887),
    [anon_sym_yield] = ACTIONS(1887),
    [anon_sym_LBRACK] = ACTIONS(1885),
    [anon_sym_LT] = ACTIONS(1885),
    [anon_sym_SLASH] = ACTIONS(1887),
    [anon_sym_class] = ACTIONS(1887),
    [anon_sym_async] = ACTIONS(1887),
    [anon_sym_function] = ACTIONS(1887),
    [anon_sym_new] = ACTIONS(1887),
    [anon_sym_PLUS] = ACTIONS(1887),
    [anon_sym_DASH] = ACTIONS(1887),
    [anon_sym_TILDE] = ACTIONS(1885),
    [anon_sym_void] = ACTIONS(1887),
    [anon_sym_delete] = ACTIONS(1887),
    [anon_sym_PLUS_PLUS] = ACTIONS(1885),
    [anon_sym_DASH_DASH] = ACTIONS(1885),
    [anon_sym_DQUOTE] = ACTIONS(1885),
    [anon_sym_SQUOTE] = ACTIONS(1885),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1885),
    [sym_number] = ACTIONS(1885),
    [sym_this] = ACTIONS(1887),
    [sym_super] = ACTIONS(1887),
    [sym_true] = ACTIONS(1887),
    [sym_false] = ACTIONS(1887),
    [sym_null] = ACTIONS(1887),
    [sym_undefined] = ACTIONS(1887),
    [anon_sym_AT] = ACTIONS(1885),
    [anon_sym_static] = ACTIONS(1887),
    [anon_sym_readonly] = ACTIONS(1887),
    [anon_sym_get] = ACTIONS(1887),
    [anon_sym_set] = ACTIONS(1887),
    [anon_sym_declare] = ACTIONS(1887),
    [anon_sym_public] = ACTIONS(1887),
    [anon_sym_private] = ACTIONS(1887),
    [anon_sym_protected] = ACTIONS(1887),
    [anon_sym_override] = ACTIONS(1887),
    [anon_sym_module] = ACTIONS(1887),
    [anon_sym_any] = ACTIONS(1887),
    [anon_sym_number] = ACTIONS(1887),
    [anon_sym_boolean] = ACTIONS(1887),
    [anon_sym_string] = ACTIONS(1887),
    [anon_sym_symbol] = ACTIONS(1887),
    [anon_sym_abstract] = ACTIONS(1887),
    [anon_sym_interface] = ACTIONS(1887),
    [anon_sym_enum] = ACTIONS(1887),
  },
  [513] = {
    [sym_else_clause] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(1889),
    [sym_identifier] = ACTIONS(1891),
    [anon_sym_export] = ACTIONS(1891),
    [anon_sym_default] = ACTIONS(1891),
    [anon_sym_type] = ACTIONS(1891),
    [anon_sym_namespace] = ACTIONS(1891),
    [anon_sym_LBRACE] = ACTIONS(1889),
    [anon_sym_RBRACE] = ACTIONS(1889),
    [anon_sym_typeof] = ACTIONS(1891),
    [anon_sym_import] = ACTIONS(1891),
    [anon_sym_var] = ACTIONS(1891),
    [anon_sym_let] = ACTIONS(1891),
    [anon_sym_const] = ACTIONS(1891),
    [anon_sym_BANG] = ACTIONS(1889),
    [anon_sym_else] = ACTIONS(1893),
    [anon_sym_if] = ACTIONS(1891),
    [anon_sym_switch] = ACTIONS(1891),
    [anon_sym_for] = ACTIONS(1891),
    [anon_sym_LPAREN] = ACTIONS(1889),
    [anon_sym_await] = ACTIONS(1891),
    [anon_sym_while] = ACTIONS(1891),
    [anon_sym_do] = ACTIONS(1891),
    [anon_sym_try] = ACTIONS(1891),
    [anon_sym_with] = ACTIONS(1891),
    [anon_sym_break] = ACTIONS(1891),
    [anon_sym_continue] = ACTIONS(1891),
    [anon_sym_debugger] = ACTIONS(1891),
    [anon_sym_return] = ACTIONS(1891),
    [anon_sym_throw] = ACTIONS(1891),
    [anon_sym_SEMI] = ACTIONS(1889),
    [anon_sym_case] = ACTIONS(1891),
    [anon_sym_yield] = ACTIONS(1891),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(1889),
    [anon_sym_SLASH] = ACTIONS(1891),
    [anon_sym_class] = ACTIONS(1891),
    [anon_sym_async] = ACTIONS(1891),
    [anon_sym_function] = ACTIONS(1891),
    [anon_sym_new] = ACTIONS(1891),
    [anon_sym_PLUS] = ACTIONS(1891),
    [anon_sym_DASH] = ACTIONS(1891),
    [anon_sym_TILDE] = ACTIONS(1889),
    [anon_sym_void] = ACTIONS(1891),
    [anon_sym_delete] = ACTIONS(1891),
    [anon_sym_PLUS_PLUS] = ACTIONS(1889),
    [anon_sym_DASH_DASH] = ACTIONS(1889),
    [anon_sym_DQUOTE] = ACTIONS(1889),
    [anon_sym_SQUOTE] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1889),
    [sym_number] = ACTIONS(1889),
    [sym_this] = ACTIONS(1891),
    [sym_super] = ACTIONS(1891),
    [sym_true] = ACTIONS(1891),
    [sym_false] = ACTIONS(1891),
    [sym_null] = ACTIONS(1891),
    [sym_undefined] = ACTIONS(1891),
    [anon_sym_AT] = ACTIONS(1889),
    [anon_sym_static] = ACTIONS(1891),
    [anon_sym_readonly] = ACTIONS(1891),
    [anon_sym_get] = ACTIONS(1891),
    [anon_sym_set] = ACTIONS(1891),
    [anon_sym_declare] = ACTIONS(1891),
    [anon_sym_public] = ACTIONS(1891),
    [anon_sym_private] = ACTIONS(1891),
    [anon_sym_protected] = ACTIONS(1891),
    [anon_sym_override] = ACTIONS(1891),
    [anon_sym_module] = ACTIONS(1891),
    [anon_sym_any] = ACTIONS(1891),
    [anon_sym_number] = ACTIONS(1891),
    [anon_sym_boolean] = ACTIONS(1891),
    [anon_sym_string] = ACTIONS(1891),
    [anon_sym_symbol] = ACTIONS(1891),
    [anon_sym_abstract] = ACTIONS(1891),
    [anon_sym_interface] = ACTIONS(1891),
    [anon_sym_enum] = ACTIONS(1891),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1895),
    [sym_identifier] = ACTIONS(1897),
    [anon_sym_export] = ACTIONS(1897),
    [anon_sym_default] = ACTIONS(1897),
    [anon_sym_type] = ACTIONS(1897),
    [anon_sym_namespace] = ACTIONS(1897),
    [anon_sym_LBRACE] = ACTIONS(1895),
    [anon_sym_RBRACE] = ACTIONS(1895),
    [anon_sym_typeof] = ACTIONS(1897),
    [anon_sym_import] = ACTIONS(1897),
    [anon_sym_var] = ACTIONS(1897),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_const] = ACTIONS(1897),
    [anon_sym_BANG] = ACTIONS(1895),
    [anon_sym_else] = ACTIONS(1897),
    [anon_sym_if] = ACTIONS(1897),
    [anon_sym_switch] = ACTIONS(1897),
    [anon_sym_for] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1895),
    [anon_sym_await] = ACTIONS(1897),
    [anon_sym_while] = ACTIONS(1897),
    [anon_sym_do] = ACTIONS(1897),
    [anon_sym_try] = ACTIONS(1897),
    [anon_sym_with] = ACTIONS(1897),
    [anon_sym_break] = ACTIONS(1897),
    [anon_sym_continue] = ACTIONS(1897),
    [anon_sym_debugger] = ACTIONS(1897),
    [anon_sym_return] = ACTIONS(1897),
    [anon_sym_throw] = ACTIONS(1897),
    [anon_sym_SEMI] = ACTIONS(1895),
    [anon_sym_case] = ACTIONS(1897),
    [anon_sym_yield] = ACTIONS(1897),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_LT] = ACTIONS(1895),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_class] = ACTIONS(1897),
    [anon_sym_async] = ACTIONS(1897),
    [anon_sym_function] = ACTIONS(1897),
    [anon_sym_new] = ACTIONS(1897),
    [anon_sym_PLUS] = ACTIONS(1897),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_TILDE] = ACTIONS(1895),
    [anon_sym_void] = ACTIONS(1897),
    [anon_sym_delete] = ACTIONS(1897),
    [anon_sym_PLUS_PLUS] = ACTIONS(1895),
    [anon_sym_DASH_DASH] = ACTIONS(1895),
    [anon_sym_DQUOTE] = ACTIONS(1895),
    [anon_sym_SQUOTE] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1895),
    [sym_number] = ACTIONS(1895),
    [sym_this] = ACTIONS(1897),
    [sym_super] = ACTIONS(1897),
    [sym_true] = ACTIONS(1897),
    [sym_false] = ACTIONS(1897),
    [sym_null] = ACTIONS(1897),
    [sym_undefined] = ACTIONS(1897),
    [anon_sym_AT] = ACTIONS(1895),
    [anon_sym_static] = ACTIONS(1897),
    [anon_sym_readonly] = ACTIONS(1897),
    [anon_sym_get] = ACTIONS(1897),
    [anon_sym_set] = ACTIONS(1897),
    [anon_sym_declare] = ACTIONS(1897),
    [anon_sym_public] = ACTIONS(1897),
    [anon_sym_private] = ACTIONS(1897),
    [anon_sym_protected] = ACTIONS(1897),
    [anon_sym_override] = ACTIONS(1897),
    [anon_sym_module] = ACTIONS(1897),
    [anon_sym_any] = ACTIONS(1897),
    [anon_sym_number] = ACTIONS(1897),
    [anon_sym_boolean] = ACTIONS(1897),
    [anon_sym_string] = ACTIONS(1897),
    [anon_sym_symbol] = ACTIONS(1897),
    [anon_sym_abstract] = ACTIONS(1897),
    [anon_sym_interface] = ACTIONS(1897),
    [anon_sym_enum] = ACTIONS(1897),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1899),
    [sym_identifier] = ACTIONS(1901),
    [anon_sym_export] = ACTIONS(1901),
    [anon_sym_default] = ACTIONS(1901),
    [anon_sym_type] = ACTIONS(1901),
    [anon_sym_namespace] = ACTIONS(1901),
    [anon_sym_LBRACE] = ACTIONS(1899),
    [anon_sym_RBRACE] = ACTIONS(1899),
    [anon_sym_typeof] = ACTIONS(1901),
    [anon_sym_import] = ACTIONS(1901),
    [anon_sym_var] = ACTIONS(1901),
    [anon_sym_let] = ACTIONS(1901),
    [anon_sym_const] = ACTIONS(1901),
    [anon_sym_BANG] = ACTIONS(1899),
    [anon_sym_else] = ACTIONS(1901),
    [anon_sym_if] = ACTIONS(1901),
    [anon_sym_switch] = ACTIONS(1901),
    [anon_sym_for] = ACTIONS(1901),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_await] = ACTIONS(1901),
    [anon_sym_while] = ACTIONS(1901),
    [anon_sym_do] = ACTIONS(1901),
    [anon_sym_try] = ACTIONS(1901),
    [anon_sym_with] = ACTIONS(1901),
    [anon_sym_break] = ACTIONS(1901),
    [anon_sym_continue] = ACTIONS(1901),
    [anon_sym_debugger] = ACTIONS(1901),
    [anon_sym_return] = ACTIONS(1901),
    [anon_sym_throw] = ACTIONS(1901),
    [anon_sym_SEMI] = ACTIONS(1899),
    [anon_sym_case] = ACTIONS(1901),
    [anon_sym_yield] = ACTIONS(1901),
    [anon_sym_LBRACK] = ACTIONS(1899),
    [anon_sym_LT] = ACTIONS(1899),
    [anon_sym_SLASH] = ACTIONS(1901),
    [anon_sym_class] = ACTIONS(1901),
    [anon_sym_async] = ACTIONS(1901),
    [anon_sym_function] = ACTIONS(1901),
    [anon_sym_new] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1899),
    [anon_sym_void] = ACTIONS(1901),
    [anon_sym_delete] = ACTIONS(1901),
    [anon_sym_PLUS_PLUS] = ACTIONS(1899),
    [anon_sym_DASH_DASH] = ACTIONS(1899),
    [anon_sym_DQUOTE] = ACTIONS(1899),
    [anon_sym_SQUOTE] = ACTIONS(1899),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1899),
    [sym_number] = ACTIONS(1899),
    [sym_this] = ACTIONS(1901),
    [sym_super] = ACTIONS(1901),
    [sym_true] = ACTIONS(1901),
    [sym_false] = ACTIONS(1901),
    [sym_null] = ACTIONS(1901),
    [sym_undefined] = ACTIONS(1901),
    [anon_sym_AT] = ACTIONS(1899),
    [anon_sym_static] = ACTIONS(1901),
    [anon_sym_readonly] = ACTIONS(1901),
    [anon_sym_get] = ACTIONS(1901),
    [anon_sym_set] = ACTIONS(1901),
    [anon_sym_declare] = ACTIONS(1901),
    [anon_sym_public] = ACTIONS(1901),
    [anon_sym_private] = ACTIONS(1901),
    [anon_sym_protected] = ACTIONS(1901),
    [anon_sym_override] = ACTIONS(1901),
    [anon_sym_module] = ACTIONS(1901),
    [anon_sym_any] = ACTIONS(1901),
    [anon_sym_number] = ACTIONS(1901),
    [anon_sym_boolean] = ACTIONS(1901),
    [anon_sym_string] = ACTIONS(1901),
    [anon_sym_symbol] = ACTIONS(1901),
    [anon_sym_abstract] = ACTIONS(1901),
    [anon_sym_interface] = ACTIONS(1901),
    [anon_sym_enum] = ACTIONS(1901),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1903),
    [sym_identifier] = ACTIONS(1905),
    [anon_sym_export] = ACTIONS(1905),
    [anon_sym_default] = ACTIONS(1905),
    [anon_sym_type] = ACTIONS(1905),
    [anon_sym_namespace] = ACTIONS(1905),
    [anon_sym_LBRACE] = ACTIONS(1903),
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_typeof] = ACTIONS(1905),
    [anon_sym_import] = ACTIONS(1905),
    [anon_sym_var] = ACTIONS(1905),
    [anon_sym_let] = ACTIONS(1905),
    [anon_sym_const] = ACTIONS(1905),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_else] = ACTIONS(1905),
    [anon_sym_if] = ACTIONS(1905),
    [anon_sym_switch] = ACTIONS(1905),
    [anon_sym_for] = ACTIONS(1905),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_await] = ACTIONS(1905),
    [anon_sym_while] = ACTIONS(1905),
    [anon_sym_do] = ACTIONS(1905),
    [anon_sym_try] = ACTIONS(1905),
    [anon_sym_with] = ACTIONS(1905),
    [anon_sym_break] = ACTIONS(1905),
    [anon_sym_continue] = ACTIONS(1905),
    [anon_sym_debugger] = ACTIONS(1905),
    [anon_sym_return] = ACTIONS(1905),
    [anon_sym_throw] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_case] = ACTIONS(1905),
    [anon_sym_yield] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1903),
    [anon_sym_LT] = ACTIONS(1903),
    [anon_sym_SLASH] = ACTIONS(1905),
    [anon_sym_class] = ACTIONS(1905),
    [anon_sym_async] = ACTIONS(1905),
    [anon_sym_function] = ACTIONS(1905),
    [anon_sym_new] = ACTIONS(1905),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1905),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_void] = ACTIONS(1905),
    [anon_sym_delete] = ACTIONS(1905),
    [anon_sym_PLUS_PLUS] = ACTIONS(1903),
    [anon_sym_DASH_DASH] = ACTIONS(1903),
    [anon_sym_DQUOTE] = ACTIONS(1903),
    [anon_sym_SQUOTE] = ACTIONS(1903),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1903),
    [sym_number] = ACTIONS(1903),
    [sym_this] = ACTIONS(1905),
    [sym_super] = ACTIONS(1905),
    [sym_true] = ACTIONS(1905),
    [sym_false] = ACTIONS(1905),
    [sym_null] = ACTIONS(1905),
    [sym_undefined] = ACTIONS(1905),
    [anon_sym_AT] = ACTIONS(1903),
    [anon_sym_static] = ACTIONS(1905),
    [anon_sym_readonly] = ACTIONS(1905),
    [anon_sym_get] = ACTIONS(1905),
    [anon_sym_set] = ACTIONS(1905),
    [anon_sym_declare] = ACTIONS(1905),
    [anon_sym_public] = ACTIONS(1905),
    [anon_sym_private] = ACTIONS(1905),
    [anon_sym_protected] = ACTIONS(1905),
    [anon_sym_override] = ACTIONS(1905),
    [anon_sym_module] = ACTIONS(1905),
    [anon_sym_any] = ACTIONS(1905),
    [anon_sym_number] = ACTIONS(1905),
    [anon_sym_boolean] = ACTIONS(1905),
    [anon_sym_string] = ACTIONS(1905),
    [anon_sym_symbol] = ACTIONS(1905),
    [anon_sym_abstract] = ACTIONS(1905),
    [anon_sym_interface] = ACTIONS(1905),
    [anon_sym_enum] = ACTIONS(1905),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1907),
    [sym_identifier] = ACTIONS(1909),
    [anon_sym_export] = ACTIONS(1909),
    [anon_sym_default] = ACTIONS(1909),
    [anon_sym_type] = ACTIONS(1909),
    [anon_sym_namespace] = ACTIONS(1909),
    [anon_sym_LBRACE] = ACTIONS(1907),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_typeof] = ACTIONS(1909),
    [anon_sym_import] = ACTIONS(1909),
    [anon_sym_var] = ACTIONS(1909),
    [anon_sym_let] = ACTIONS(1909),
    [anon_sym_const] = ACTIONS(1909),
    [anon_sym_BANG] = ACTIONS(1907),
    [anon_sym_else] = ACTIONS(1909),
    [anon_sym_if] = ACTIONS(1909),
    [anon_sym_switch] = ACTIONS(1909),
    [anon_sym_for] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1907),
    [anon_sym_await] = ACTIONS(1909),
    [anon_sym_while] = ACTIONS(1909),
    [anon_sym_do] = ACTIONS(1909),
    [anon_sym_try] = ACTIONS(1909),
    [anon_sym_with] = ACTIONS(1909),
    [anon_sym_break] = ACTIONS(1909),
    [anon_sym_continue] = ACTIONS(1909),
    [anon_sym_debugger] = ACTIONS(1909),
    [anon_sym_return] = ACTIONS(1909),
    [anon_sym_throw] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1907),
    [anon_sym_case] = ACTIONS(1909),
    [anon_sym_yield] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1907),
    [anon_sym_LT] = ACTIONS(1907),
    [anon_sym_SLASH] = ACTIONS(1909),
    [anon_sym_class] = ACTIONS(1909),
    [anon_sym_async] = ACTIONS(1909),
    [anon_sym_function] = ACTIONS(1909),
    [anon_sym_new] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1909),
    [anon_sym_TILDE] = ACTIONS(1907),
    [anon_sym_void] = ACTIONS(1909),
    [anon_sym_delete] = ACTIONS(1909),
    [anon_sym_PLUS_PLUS] = ACTIONS(1907),
    [anon_sym_DASH_DASH] = ACTIONS(1907),
    [anon_sym_DQUOTE] = ACTIONS(1907),
    [anon_sym_SQUOTE] = ACTIONS(1907),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1907),
    [sym_number] = ACTIONS(1907),
    [sym_this] = ACTIONS(1909),
    [sym_super] = ACTIONS(1909),
    [sym_true] = ACTIONS(1909),
    [sym_false] = ACTIONS(1909),
    [sym_null] = ACTIONS(1909),
    [sym_undefined] = ACTIONS(1909),
    [anon_sym_AT] = ACTIONS(1907),
    [anon_sym_static] = ACTIONS(1909),
    [anon_sym_readonly] = ACTIONS(1909),
    [anon_sym_get] = ACTIONS(1909),
    [anon_sym_set] = ACTIONS(1909),
    [anon_sym_declare] = ACTIONS(1909),
    [anon_sym_public] = ACTIONS(1909),
    [anon_sym_private] = ACTIONS(1909),
    [anon_sym_protected] = ACTIONS(1909),
    [anon_sym_override] = ACTIONS(1909),
    [anon_sym_module] = ACTIONS(1909),
    [anon_sym_any] = ACTIONS(1909),
    [anon_sym_number] = ACTIONS(1909),
    [anon_sym_boolean] = ACTIONS(1909),
    [anon_sym_string] = ACTIONS(1909),
    [anon_sym_symbol] = ACTIONS(1909),
    [anon_sym_abstract] = ACTIONS(1909),
    [anon_sym_interface] = ACTIONS(1909),
    [anon_sym_enum] = ACTIONS(1909),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1911),
    [sym_identifier] = ACTIONS(1913),
    [anon_sym_export] = ACTIONS(1913),
    [anon_sym_default] = ACTIONS(1913),
    [anon_sym_type] = ACTIONS(1913),
    [anon_sym_namespace] = ACTIONS(1913),
    [anon_sym_LBRACE] = ACTIONS(1911),
    [anon_sym_RBRACE] = ACTIONS(1911),
    [anon_sym_typeof] = ACTIONS(1913),
    [anon_sym_import] = ACTIONS(1913),
    [anon_sym_var] = ACTIONS(1913),
    [anon_sym_let] = ACTIONS(1913),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_BANG] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(1913),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_switch] = ACTIONS(1913),
    [anon_sym_for] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_await] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1913),
    [anon_sym_do] = ACTIONS(1913),
    [anon_sym_try] = ACTIONS(1913),
    [anon_sym_with] = ACTIONS(1913),
    [anon_sym_break] = ACTIONS(1913),
    [anon_sym_continue] = ACTIONS(1913),
    [anon_sym_debugger] = ACTIONS(1913),
    [anon_sym_return] = ACTIONS(1913),
    [anon_sym_throw] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1911),
    [anon_sym_case] = ACTIONS(1913),
    [anon_sym_yield] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1911),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1913),
    [anon_sym_class] = ACTIONS(1913),
    [anon_sym_async] = ACTIONS(1913),
    [anon_sym_function] = ACTIONS(1913),
    [anon_sym_new] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1913),
    [anon_sym_TILDE] = ACTIONS(1911),
    [anon_sym_void] = ACTIONS(1913),
    [anon_sym_delete] = ACTIONS(1913),
    [anon_sym_PLUS_PLUS] = ACTIONS(1911),
    [anon_sym_DASH_DASH] = ACTIONS(1911),
    [anon_sym_DQUOTE] = ACTIONS(1911),
    [anon_sym_SQUOTE] = ACTIONS(1911),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1911),
    [sym_number] = ACTIONS(1911),
    [sym_this] = ACTIONS(1913),
    [sym_super] = ACTIONS(1913),
    [sym_true] = ACTIONS(1913),
    [sym_false] = ACTIONS(1913),
    [sym_null] = ACTIONS(1913),
    [sym_undefined] = ACTIONS(1913),
    [anon_sym_AT] = ACTIONS(1911),
    [anon_sym_static] = ACTIONS(1913),
    [anon_sym_readonly] = ACTIONS(1913),
    [anon_sym_get] = ACTIONS(1913),
    [anon_sym_set] = ACTIONS(1913),
    [anon_sym_declare] = ACTIONS(1913),
    [anon_sym_public] = ACTIONS(1913),
    [anon_sym_private] = ACTIONS(1913),
    [anon_sym_protected] = ACTIONS(1913),
    [anon_sym_override] = ACTIONS(1913),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_any] = ACTIONS(1913),
    [anon_sym_number] = ACTIONS(1913),
    [anon_sym_boolean] = ACTIONS(1913),
    [anon_sym_string] = ACTIONS(1913),
    [anon_sym_symbol] = ACTIONS(1913),
    [anon_sym_abstract] = ACTIONS(1913),
    [anon_sym_interface] = ACTIONS(1913),
    [anon_sym_enum] = ACTIONS(1913),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1915),
    [sym_identifier] = ACTIONS(1917),
    [anon_sym_export] = ACTIONS(1917),
    [anon_sym_default] = ACTIONS(1917),
    [anon_sym_type] = ACTIONS(1917),
    [anon_sym_namespace] = ACTIONS(1917),
    [anon_sym_LBRACE] = ACTIONS(1915),
    [anon_sym_RBRACE] = ACTIONS(1915),
    [anon_sym_typeof] = ACTIONS(1917),
    [anon_sym_import] = ACTIONS(1917),
    [anon_sym_var] = ACTIONS(1917),
    [anon_sym_let] = ACTIONS(1917),
    [anon_sym_const] = ACTIONS(1917),
    [anon_sym_BANG] = ACTIONS(1915),
    [anon_sym_else] = ACTIONS(1917),
    [anon_sym_if] = ACTIONS(1917),
    [anon_sym_switch] = ACTIONS(1917),
    [anon_sym_for] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1915),
    [anon_sym_await] = ACTIONS(1917),
    [anon_sym_while] = ACTIONS(1917),
    [anon_sym_do] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1917),
    [anon_sym_with] = ACTIONS(1917),
    [anon_sym_break] = ACTIONS(1917),
    [anon_sym_continue] = ACTIONS(1917),
    [anon_sym_debugger] = ACTIONS(1917),
    [anon_sym_return] = ACTIONS(1917),
    [anon_sym_throw] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1915),
    [anon_sym_case] = ACTIONS(1917),
    [anon_sym_yield] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_class] = ACTIONS(1917),
    [anon_sym_async] = ACTIONS(1917),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_new] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_TILDE] = ACTIONS(1915),
    [anon_sym_void] = ACTIONS(1917),
    [anon_sym_delete] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1915),
    [anon_sym_DASH_DASH] = ACTIONS(1915),
    [anon_sym_DQUOTE] = ACTIONS(1915),
    [anon_sym_SQUOTE] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1915),
    [sym_number] = ACTIONS(1915),
    [sym_this] = ACTIONS(1917),
    [sym_super] = ACTIONS(1917),
    [sym_true] = ACTIONS(1917),
    [sym_false] = ACTIONS(1917),
    [sym_null] = ACTIONS(1917),
    [sym_undefined] = ACTIONS(1917),
    [anon_sym_AT] = ACTIONS(1915),
    [anon_sym_static] = ACTIONS(1917),
    [anon_sym_readonly] = ACTIONS(1917),
    [anon_sym_get] = ACTIONS(1917),
    [anon_sym_set] = ACTIONS(1917),
    [anon_sym_declare] = ACTIONS(1917),
    [anon_sym_public] = ACTIONS(1917),
    [anon_sym_private] = ACTIONS(1917),
    [anon_sym_protected] = ACTIONS(1917),
    [anon_sym_override] = ACTIONS(1917),
    [anon_sym_module] = ACTIONS(1917),
    [anon_sym_any] = ACTIONS(1917),
    [anon_sym_number] = ACTIONS(1917),
    [anon_sym_boolean] = ACTIONS(1917),
    [anon_sym_string] = ACTIONS(1917),
    [anon_sym_symbol] = ACTIONS(1917),
    [anon_sym_abstract] = ACTIONS(1917),
    [anon_sym_interface] = ACTIONS(1917),
    [anon_sym_enum] = ACTIONS(1917),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1919),
    [sym_identifier] = ACTIONS(1921),
    [anon_sym_export] = ACTIONS(1921),
    [anon_sym_default] = ACTIONS(1921),
    [anon_sym_type] = ACTIONS(1921),
    [anon_sym_namespace] = ACTIONS(1921),
    [anon_sym_LBRACE] = ACTIONS(1919),
    [anon_sym_RBRACE] = ACTIONS(1919),
    [anon_sym_typeof] = ACTIONS(1921),
    [anon_sym_import] = ACTIONS(1921),
    [anon_sym_var] = ACTIONS(1921),
    [anon_sym_let] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1921),
    [anon_sym_BANG] = ACTIONS(1919),
    [anon_sym_else] = ACTIONS(1921),
    [anon_sym_if] = ACTIONS(1921),
    [anon_sym_switch] = ACTIONS(1921),
    [anon_sym_for] = ACTIONS(1921),
    [anon_sym_LPAREN] = ACTIONS(1919),
    [anon_sym_await] = ACTIONS(1921),
    [anon_sym_while] = ACTIONS(1921),
    [anon_sym_do] = ACTIONS(1921),
    [anon_sym_try] = ACTIONS(1921),
    [anon_sym_with] = ACTIONS(1921),
    [anon_sym_break] = ACTIONS(1921),
    [anon_sym_continue] = ACTIONS(1921),
    [anon_sym_debugger] = ACTIONS(1921),
    [anon_sym_return] = ACTIONS(1921),
    [anon_sym_throw] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1919),
    [anon_sym_case] = ACTIONS(1921),
    [anon_sym_yield] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1919),
    [anon_sym_LT] = ACTIONS(1919),
    [anon_sym_SLASH] = ACTIONS(1921),
    [anon_sym_class] = ACTIONS(1921),
    [anon_sym_async] = ACTIONS(1921),
    [anon_sym_function] = ACTIONS(1921),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1921),
    [anon_sym_TILDE] = ACTIONS(1919),
    [anon_sym_void] = ACTIONS(1921),
    [anon_sym_delete] = ACTIONS(1921),
    [anon_sym_PLUS_PLUS] = ACTIONS(1919),
    [anon_sym_DASH_DASH] = ACTIONS(1919),
    [anon_sym_DQUOTE] = ACTIONS(1919),
    [anon_sym_SQUOTE] = ACTIONS(1919),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1919),
    [sym_number] = ACTIONS(1919),
    [sym_this] = ACTIONS(1921),
    [sym_super] = ACTIONS(1921),
    [sym_true] = ACTIONS(1921),
    [sym_false] = ACTIONS(1921),
    [sym_null] = ACTIONS(1921),
    [sym_undefined] = ACTIONS(1921),
    [anon_sym_AT] = ACTIONS(1919),
    [anon_sym_static] = ACTIONS(1921),
    [anon_sym_readonly] = ACTIONS(1921),
    [anon_sym_get] = ACTIONS(1921),
    [anon_sym_set] = ACTIONS(1921),
    [anon_sym_declare] = ACTIONS(1921),
    [anon_sym_public] = ACTIONS(1921),
    [anon_sym_private] = ACTIONS(1921),
    [anon_sym_protected] = ACTIONS(1921),
    [anon_sym_override] = ACTIONS(1921),
    [anon_sym_module] = ACTIONS(1921),
    [anon_sym_any] = ACTIONS(1921),
    [anon_sym_number] = ACTIONS(1921),
    [anon_sym_boolean] = ACTIONS(1921),
    [anon_sym_string] = ACTIONS(1921),
    [anon_sym_symbol] = ACTIONS(1921),
    [anon_sym_abstract] = ACTIONS(1921),
    [anon_sym_interface] = ACTIONS(1921),
    [anon_sym_enum] = ACTIONS(1921),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1923),
    [sym_identifier] = ACTIONS(1925),
    [anon_sym_export] = ACTIONS(1925),
    [anon_sym_default] = ACTIONS(1925),
    [anon_sym_type] = ACTIONS(1925),
    [anon_sym_namespace] = ACTIONS(1925),
    [anon_sym_LBRACE] = ACTIONS(1923),
    [anon_sym_RBRACE] = ACTIONS(1923),
    [anon_sym_typeof] = ACTIONS(1925),
    [anon_sym_import] = ACTIONS(1925),
    [anon_sym_var] = ACTIONS(1925),
    [anon_sym_let] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1925),
    [anon_sym_BANG] = ACTIONS(1923),
    [anon_sym_else] = ACTIONS(1925),
    [anon_sym_if] = ACTIONS(1925),
    [anon_sym_switch] = ACTIONS(1925),
    [anon_sym_for] = ACTIONS(1925),
    [anon_sym_LPAREN] = ACTIONS(1923),
    [anon_sym_await] = ACTIONS(1925),
    [anon_sym_while] = ACTIONS(1925),
    [anon_sym_do] = ACTIONS(1925),
    [anon_sym_try] = ACTIONS(1925),
    [anon_sym_with] = ACTIONS(1925),
    [anon_sym_break] = ACTIONS(1925),
    [anon_sym_continue] = ACTIONS(1925),
    [anon_sym_debugger] = ACTIONS(1925),
    [anon_sym_return] = ACTIONS(1925),
    [anon_sym_throw] = ACTIONS(1925),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym_case] = ACTIONS(1925),
    [anon_sym_yield] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1923),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1925),
    [anon_sym_class] = ACTIONS(1925),
    [anon_sym_async] = ACTIONS(1925),
    [anon_sym_function] = ACTIONS(1925),
    [anon_sym_new] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1925),
    [anon_sym_TILDE] = ACTIONS(1923),
    [anon_sym_void] = ACTIONS(1925),
    [anon_sym_delete] = ACTIONS(1925),
    [anon_sym_PLUS_PLUS] = ACTIONS(1923),
    [anon_sym_DASH_DASH] = ACTIONS(1923),
    [anon_sym_DQUOTE] = ACTIONS(1923),
    [anon_sym_SQUOTE] = ACTIONS(1923),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1923),
    [sym_number] = ACTIONS(1923),
    [sym_this] = ACTIONS(1925),
    [sym_super] = ACTIONS(1925),
    [sym_true] = ACTIONS(1925),
    [sym_false] = ACTIONS(1925),
    [sym_null] = ACTIONS(1925),
    [sym_undefined] = ACTIONS(1925),
    [anon_sym_AT] = ACTIONS(1923),
    [anon_sym_static] = ACTIONS(1925),
    [anon_sym_readonly] = ACTIONS(1925),
    [anon_sym_get] = ACTIONS(1925),
    [anon_sym_set] = ACTIONS(1925),
    [anon_sym_declare] = ACTIONS(1925),
    [anon_sym_public] = ACTIONS(1925),
    [anon_sym_private] = ACTIONS(1925),
    [anon_sym_protected] = ACTIONS(1925),
    [anon_sym_override] = ACTIONS(1925),
    [anon_sym_module] = ACTIONS(1925),
    [anon_sym_any] = ACTIONS(1925),
    [anon_sym_number] = ACTIONS(1925),
    [anon_sym_boolean] = ACTIONS(1925),
    [anon_sym_string] = ACTIONS(1925),
    [anon_sym_symbol] = ACTIONS(1925),
    [anon_sym_abstract] = ACTIONS(1925),
    [anon_sym_interface] = ACTIONS(1925),
    [anon_sym_enum] = ACTIONS(1925),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1927),
    [sym_identifier] = ACTIONS(1929),
    [anon_sym_export] = ACTIONS(1929),
    [anon_sym_default] = ACTIONS(1929),
    [anon_sym_type] = ACTIONS(1929),
    [anon_sym_namespace] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1927),
    [anon_sym_RBRACE] = ACTIONS(1927),
    [anon_sym_typeof] = ACTIONS(1929),
    [anon_sym_import] = ACTIONS(1929),
    [anon_sym_var] = ACTIONS(1929),
    [anon_sym_let] = ACTIONS(1929),
    [anon_sym_const] = ACTIONS(1929),
    [anon_sym_BANG] = ACTIONS(1927),
    [anon_sym_else] = ACTIONS(1929),
    [anon_sym_if] = ACTIONS(1929),
    [anon_sym_switch] = ACTIONS(1929),
    [anon_sym_for] = ACTIONS(1929),
    [anon_sym_LPAREN] = ACTIONS(1927),
    [anon_sym_await] = ACTIONS(1929),
    [anon_sym_while] = ACTIONS(1929),
    [anon_sym_do] = ACTIONS(1929),
    [anon_sym_try] = ACTIONS(1929),
    [anon_sym_with] = ACTIONS(1929),
    [anon_sym_break] = ACTIONS(1929),
    [anon_sym_continue] = ACTIONS(1929),
    [anon_sym_debugger] = ACTIONS(1929),
    [anon_sym_return] = ACTIONS(1929),
    [anon_sym_throw] = ACTIONS(1929),
    [anon_sym_SEMI] = ACTIONS(1927),
    [anon_sym_case] = ACTIONS(1929),
    [anon_sym_yield] = ACTIONS(1929),
    [anon_sym_LBRACK] = ACTIONS(1927),
    [anon_sym_LT] = ACTIONS(1927),
    [anon_sym_SLASH] = ACTIONS(1929),
    [anon_sym_class] = ACTIONS(1929),
    [anon_sym_async] = ACTIONS(1929),
    [anon_sym_function] = ACTIONS(1929),
    [anon_sym_new] = ACTIONS(1929),
    [anon_sym_PLUS] = ACTIONS(1929),
    [anon_sym_DASH] = ACTIONS(1929),
    [anon_sym_TILDE] = ACTIONS(1927),
    [anon_sym_void] = ACTIONS(1929),
    [anon_sym_delete] = ACTIONS(1929),
    [anon_sym_PLUS_PLUS] = ACTIONS(1927),
    [anon_sym_DASH_DASH] = ACTIONS(1927),
    [anon_sym_DQUOTE] = ACTIONS(1927),
    [anon_sym_SQUOTE] = ACTIONS(1927),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1927),
    [sym_number] = ACTIONS(1927),
    [sym_this] = ACTIONS(1929),
    [sym_super] = ACTIONS(1929),
    [sym_true] = ACTIONS(1929),
    [sym_false] = ACTIONS(1929),
    [sym_null] = ACTIONS(1929),
    [sym_undefined] = ACTIONS(1929),
    [anon_sym_AT] = ACTIONS(1927),
    [anon_sym_static] = ACTIONS(1929),
    [anon_sym_readonly] = ACTIONS(1929),
    [anon_sym_get] = ACTIONS(1929),
    [anon_sym_set] = ACTIONS(1929),
    [anon_sym_declare] = ACTIONS(1929),
    [anon_sym_public] = ACTIONS(1929),
    [anon_sym_private] = ACTIONS(1929),
    [anon_sym_protected] = ACTIONS(1929),
    [anon_sym_override] = ACTIONS(1929),
    [anon_sym_module] = ACTIONS(1929),
    [anon_sym_any] = ACTIONS(1929),
    [anon_sym_number] = ACTIONS(1929),
    [anon_sym_boolean] = ACTIONS(1929),
    [anon_sym_string] = ACTIONS(1929),
    [anon_sym_symbol] = ACTIONS(1929),
    [anon_sym_abstract] = ACTIONS(1929),
    [anon_sym_interface] = ACTIONS(1929),
    [anon_sym_enum] = ACTIONS(1929),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1931),
    [sym_identifier] = ACTIONS(1933),
    [anon_sym_export] = ACTIONS(1933),
    [anon_sym_default] = ACTIONS(1933),
    [anon_sym_type] = ACTIONS(1933),
    [anon_sym_namespace] = ACTIONS(1933),
    [anon_sym_LBRACE] = ACTIONS(1931),
    [anon_sym_RBRACE] = ACTIONS(1931),
    [anon_sym_typeof] = ACTIONS(1933),
    [anon_sym_import] = ACTIONS(1933),
    [anon_sym_var] = ACTIONS(1933),
    [anon_sym_let] = ACTIONS(1933),
    [anon_sym_const] = ACTIONS(1933),
    [anon_sym_BANG] = ACTIONS(1931),
    [anon_sym_else] = ACTIONS(1933),
    [anon_sym_if] = ACTIONS(1933),
    [anon_sym_switch] = ACTIONS(1933),
    [anon_sym_for] = ACTIONS(1933),
    [anon_sym_LPAREN] = ACTIONS(1931),
    [anon_sym_await] = ACTIONS(1933),
    [anon_sym_while] = ACTIONS(1933),
    [anon_sym_do] = ACTIONS(1933),
    [anon_sym_try] = ACTIONS(1933),
    [anon_sym_with] = ACTIONS(1933),
    [anon_sym_break] = ACTIONS(1933),
    [anon_sym_continue] = ACTIONS(1933),
    [anon_sym_debugger] = ACTIONS(1933),
    [anon_sym_return] = ACTIONS(1933),
    [anon_sym_throw] = ACTIONS(1933),
    [anon_sym_SEMI] = ACTIONS(1931),
    [anon_sym_case] = ACTIONS(1933),
    [anon_sym_yield] = ACTIONS(1933),
    [anon_sym_LBRACK] = ACTIONS(1931),
    [anon_sym_LT] = ACTIONS(1931),
    [anon_sym_SLASH] = ACTIONS(1933),
    [anon_sym_class] = ACTIONS(1933),
    [anon_sym_async] = ACTIONS(1933),
    [anon_sym_function] = ACTIONS(1933),
    [anon_sym_new] = ACTIONS(1933),
    [anon_sym_PLUS] = ACTIONS(1933),
    [anon_sym_DASH] = ACTIONS(1933),
    [anon_sym_TILDE] = ACTIONS(1931),
    [anon_sym_void] = ACTIONS(1933),
    [anon_sym_delete] = ACTIONS(1933),
    [anon_sym_PLUS_PLUS] = ACTIONS(1931),
    [anon_sym_DASH_DASH] = ACTIONS(1931),
    [anon_sym_DQUOTE] = ACTIONS(1931),
    [anon_sym_SQUOTE] = ACTIONS(1931),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1931),
    [sym_number] = ACTIONS(1931),
    [sym_this] = ACTIONS(1933),
    [sym_super] = ACTIONS(1933),
    [sym_true] = ACTIONS(1933),
    [sym_false] = ACTIONS(1933),
    [sym_null] = ACTIONS(1933),
    [sym_undefined] = ACTIONS(1933),
    [anon_sym_AT] = ACTIONS(1931),
    [anon_sym_static] = ACTIONS(1933),
    [anon_sym_readonly] = ACTIONS(1933),
    [anon_sym_get] = ACTIONS(1933),
    [anon_sym_set] = ACTIONS(1933),
    [anon_sym_declare] = ACTIONS(1933),
    [anon_sym_public] = ACTIONS(1933),
    [anon_sym_private] = ACTIONS(1933),
    [anon_sym_protected] = ACTIONS(1933),
    [anon_sym_override] = ACTIONS(1933),
    [anon_sym_module] = ACTIONS(1933),
    [anon_sym_any] = ACTIONS(1933),
    [anon_sym_number] = ACTIONS(1933),
    [anon_sym_boolean] = ACTIONS(1933),
    [anon_sym_string] = ACTIONS(1933),
    [anon_sym_symbol] = ACTIONS(1933),
    [anon_sym_abstract] = ACTIONS(1933),
    [anon_sym_interface] = ACTIONS(1933),
    [anon_sym_enum] = ACTIONS(1933),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1935),
    [sym_identifier] = ACTIONS(1937),
    [anon_sym_export] = ACTIONS(1937),
    [anon_sym_default] = ACTIONS(1937),
    [anon_sym_type] = ACTIONS(1937),
    [anon_sym_namespace] = ACTIONS(1937),
    [anon_sym_LBRACE] = ACTIONS(1935),
    [anon_sym_RBRACE] = ACTIONS(1935),
    [anon_sym_typeof] = ACTIONS(1937),
    [anon_sym_import] = ACTIONS(1937),
    [anon_sym_var] = ACTIONS(1937),
    [anon_sym_let] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1937),
    [anon_sym_BANG] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1937),
    [anon_sym_if] = ACTIONS(1937),
    [anon_sym_switch] = ACTIONS(1937),
    [anon_sym_for] = ACTIONS(1937),
    [anon_sym_LPAREN] = ACTIONS(1935),
    [anon_sym_await] = ACTIONS(1937),
    [anon_sym_while] = ACTIONS(1937),
    [anon_sym_do] = ACTIONS(1937),
    [anon_sym_try] = ACTIONS(1937),
    [anon_sym_with] = ACTIONS(1937),
    [anon_sym_break] = ACTIONS(1937),
    [anon_sym_continue] = ACTIONS(1937),
    [anon_sym_debugger] = ACTIONS(1937),
    [anon_sym_return] = ACTIONS(1937),
    [anon_sym_throw] = ACTIONS(1937),
    [anon_sym_SEMI] = ACTIONS(1935),
    [anon_sym_case] = ACTIONS(1937),
    [anon_sym_yield] = ACTIONS(1937),
    [anon_sym_LBRACK] = ACTIONS(1935),
    [anon_sym_LT] = ACTIONS(1935),
    [anon_sym_SLASH] = ACTIONS(1937),
    [anon_sym_class] = ACTIONS(1937),
    [anon_sym_async] = ACTIONS(1937),
    [anon_sym_function] = ACTIONS(1937),
    [anon_sym_new] = ACTIONS(1937),
    [anon_sym_PLUS] = ACTIONS(1937),
    [anon_sym_DASH] = ACTIONS(1937),
    [anon_sym_TILDE] = ACTIONS(1935),
    [anon_sym_void] = ACTIONS(1937),
    [anon_sym_delete] = ACTIONS(1937),
    [anon_sym_PLUS_PLUS] = ACTIONS(1935),
    [anon_sym_DASH_DASH] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1935),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1935),
    [sym_number] = ACTIONS(1935),
    [sym_this] = ACTIONS(1937),
    [sym_super] = ACTIONS(1937),
    [sym_true] = ACTIONS(1937),
    [sym_false] = ACTIONS(1937),
    [sym_null] = ACTIONS(1937),
    [sym_undefined] = ACTIONS(1937),
    [anon_sym_AT] = ACTIONS(1935),
    [anon_sym_static] = ACTIONS(1937),
    [anon_sym_readonly] = ACTIONS(1937),
    [anon_sym_get] = ACTIONS(1937),
    [anon_sym_set] = ACTIONS(1937),
    [anon_sym_declare] = ACTIONS(1937),
    [anon_sym_public] = ACTIONS(1937),
    [anon_sym_private] = ACTIONS(1937),
    [anon_sym_protected] = ACTIONS(1937),
    [anon_sym_override] = ACTIONS(1937),
    [anon_sym_module] = ACTIONS(1937),
    [anon_sym_any] = ACTIONS(1937),
    [anon_sym_number] = ACTIONS(1937),
    [anon_sym_boolean] = ACTIONS(1937),
    [anon_sym_string] = ACTIONS(1937),
    [anon_sym_symbol] = ACTIONS(1937),
    [anon_sym_abstract] = ACTIONS(1937),
    [anon_sym_interface] = ACTIONS(1937),
    [anon_sym_enum] = ACTIONS(1937),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1939),
    [sym_identifier] = ACTIONS(1941),
    [anon_sym_export] = ACTIONS(1941),
    [anon_sym_default] = ACTIONS(1941),
    [anon_sym_type] = ACTIONS(1941),
    [anon_sym_namespace] = ACTIONS(1941),
    [anon_sym_LBRACE] = ACTIONS(1939),
    [anon_sym_RBRACE] = ACTIONS(1939),
    [anon_sym_typeof] = ACTIONS(1941),
    [anon_sym_import] = ACTIONS(1941),
    [anon_sym_var] = ACTIONS(1941),
    [anon_sym_let] = ACTIONS(1941),
    [anon_sym_const] = ACTIONS(1941),
    [anon_sym_BANG] = ACTIONS(1939),
    [anon_sym_else] = ACTIONS(1941),
    [anon_sym_if] = ACTIONS(1941),
    [anon_sym_switch] = ACTIONS(1941),
    [anon_sym_for] = ACTIONS(1941),
    [anon_sym_LPAREN] = ACTIONS(1939),
    [anon_sym_await] = ACTIONS(1941),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1941),
    [anon_sym_try] = ACTIONS(1941),
    [anon_sym_with] = ACTIONS(1941),
    [anon_sym_break] = ACTIONS(1941),
    [anon_sym_continue] = ACTIONS(1941),
    [anon_sym_debugger] = ACTIONS(1941),
    [anon_sym_return] = ACTIONS(1941),
    [anon_sym_throw] = ACTIONS(1941),
    [anon_sym_SEMI] = ACTIONS(1939),
    [anon_sym_case] = ACTIONS(1941),
    [anon_sym_yield] = ACTIONS(1941),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1939),
    [anon_sym_SLASH] = ACTIONS(1941),
    [anon_sym_class] = ACTIONS(1941),
    [anon_sym_async] = ACTIONS(1941),
    [anon_sym_function] = ACTIONS(1941),
    [anon_sym_new] = ACTIONS(1941),
    [anon_sym_PLUS] = ACTIONS(1941),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_TILDE] = ACTIONS(1939),
    [anon_sym_void] = ACTIONS(1941),
    [anon_sym_delete] = ACTIONS(1941),
    [anon_sym_PLUS_PLUS] = ACTIONS(1939),
    [anon_sym_DASH_DASH] = ACTIONS(1939),
    [anon_sym_DQUOTE] = ACTIONS(1939),
    [anon_sym_SQUOTE] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1939),
    [sym_number] = ACTIONS(1939),
    [sym_this] = ACTIONS(1941),
    [sym_super] = ACTIONS(1941),
    [sym_true] = ACTIONS(1941),
    [sym_false] = ACTIONS(1941),
    [sym_null] = ACTIONS(1941),
    [sym_undefined] = ACTIONS(1941),
    [anon_sym_AT] = ACTIONS(1939),
    [anon_sym_static] = ACTIONS(1941),
    [anon_sym_readonly] = ACTIONS(1941),
    [anon_sym_get] = ACTIONS(1941),
    [anon_sym_set] = ACTIONS(1941),
    [anon_sym_declare] = ACTIONS(1941),
    [anon_sym_public] = ACTIONS(1941),
    [anon_sym_private] = ACTIONS(1941),
    [anon_sym_protected] = ACTIONS(1941),
    [anon_sym_override] = ACTIONS(1941),
    [anon_sym_module] = ACTIONS(1941),
    [anon_sym_any] = ACTIONS(1941),
    [anon_sym_number] = ACTIONS(1941),
    [anon_sym_boolean] = ACTIONS(1941),
    [anon_sym_string] = ACTIONS(1941),
    [anon_sym_symbol] = ACTIONS(1941),
    [anon_sym_abstract] = ACTIONS(1941),
    [anon_sym_interface] = ACTIONS(1941),
    [anon_sym_enum] = ACTIONS(1941),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1203),
    [sym_identifier] = ACTIONS(1205),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_type] = ACTIONS(1205),
    [anon_sym_namespace] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_typeof] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1205),
    [anon_sym_var] = ACTIONS(1205),
    [anon_sym_let] = ACTIONS(1205),
    [anon_sym_const] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_switch] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_await] = ACTIONS(1205),
    [anon_sym_while] = ACTIONS(1205),
    [anon_sym_do] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_with] = ACTIONS(1205),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1205),
    [anon_sym_debugger] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(1205),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1205),
    [anon_sym_yield] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_class] = ACTIONS(1205),
    [anon_sym_async] = ACTIONS(1205),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_new] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1203),
    [anon_sym_void] = ACTIONS(1205),
    [anon_sym_delete] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1203),
    [anon_sym_DQUOTE] = ACTIONS(1203),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1203),
    [sym_number] = ACTIONS(1203),
    [sym_this] = ACTIONS(1205),
    [sym_super] = ACTIONS(1205),
    [sym_true] = ACTIONS(1205),
    [sym_false] = ACTIONS(1205),
    [sym_null] = ACTIONS(1205),
    [sym_undefined] = ACTIONS(1205),
    [anon_sym_AT] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1205),
    [anon_sym_readonly] = ACTIONS(1205),
    [anon_sym_get] = ACTIONS(1205),
    [anon_sym_set] = ACTIONS(1205),
    [anon_sym_declare] = ACTIONS(1205),
    [anon_sym_public] = ACTIONS(1205),
    [anon_sym_private] = ACTIONS(1205),
    [anon_sym_protected] = ACTIONS(1205),
    [anon_sym_override] = ACTIONS(1205),
    [anon_sym_module] = ACTIONS(1205),
    [anon_sym_any] = ACTIONS(1205),
    [anon_sym_number] = ACTIONS(1205),
    [anon_sym_boolean] = ACTIONS(1205),
    [anon_sym_string] = ACTIONS(1205),
    [anon_sym_symbol] = ACTIONS(1205),
    [anon_sym_abstract] = ACTIONS(1205),
    [anon_sym_interface] = ACTIONS(1205),
    [anon_sym_enum] = ACTIONS(1205),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1943),
    [sym_identifier] = ACTIONS(1945),
    [anon_sym_export] = ACTIONS(1945),
    [anon_sym_default] = ACTIONS(1945),
    [anon_sym_type] = ACTIONS(1945),
    [anon_sym_namespace] = ACTIONS(1945),
    [anon_sym_LBRACE] = ACTIONS(1943),
    [anon_sym_RBRACE] = ACTIONS(1943),
    [anon_sym_typeof] = ACTIONS(1945),
    [anon_sym_import] = ACTIONS(1945),
    [anon_sym_var] = ACTIONS(1945),
    [anon_sym_let] = ACTIONS(1945),
    [anon_sym_const] = ACTIONS(1945),
    [anon_sym_BANG] = ACTIONS(1943),
    [anon_sym_else] = ACTIONS(1945),
    [anon_sym_if] = ACTIONS(1945),
    [anon_sym_switch] = ACTIONS(1945),
    [anon_sym_for] = ACTIONS(1945),
    [anon_sym_LPAREN] = ACTIONS(1943),
    [anon_sym_await] = ACTIONS(1945),
    [anon_sym_while] = ACTIONS(1945),
    [anon_sym_do] = ACTIONS(1945),
    [anon_sym_try] = ACTIONS(1945),
    [anon_sym_with] = ACTIONS(1945),
    [anon_sym_break] = ACTIONS(1945),
    [anon_sym_continue] = ACTIONS(1945),
    [anon_sym_debugger] = ACTIONS(1945),
    [anon_sym_return] = ACTIONS(1945),
    [anon_sym_throw] = ACTIONS(1945),
    [anon_sym_SEMI] = ACTIONS(1943),
    [anon_sym_case] = ACTIONS(1945),
    [anon_sym_yield] = ACTIONS(1945),
    [anon_sym_LBRACK] = ACTIONS(1943),
    [anon_sym_LT] = ACTIONS(1943),
    [anon_sym_SLASH] = ACTIONS(1945),
    [anon_sym_class] = ACTIONS(1945),
    [anon_sym_async] = ACTIONS(1945),
    [anon_sym_function] = ACTIONS(1945),
    [anon_sym_new] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1945),
    [anon_sym_TILDE] = ACTIONS(1943),
    [anon_sym_void] = ACTIONS(1945),
    [anon_sym_delete] = ACTIONS(1945),
    [anon_sym_PLUS_PLUS] = ACTIONS(1943),
    [anon_sym_DASH_DASH] = ACTIONS(1943),
    [anon_sym_DQUOTE] = ACTIONS(1943),
    [anon_sym_SQUOTE] = ACTIONS(1943),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1943),
    [sym_number] = ACTIONS(1943),
    [sym_this] = ACTIONS(1945),
    [sym_super] = ACTIONS(1945),
    [sym_true] = ACTIONS(1945),
    [sym_false] = ACTIONS(1945),
    [sym_null] = ACTIONS(1945),
    [sym_undefined] = ACTIONS(1945),
    [anon_sym_AT] = ACTIONS(1943),
    [anon_sym_static] = ACTIONS(1945),
    [anon_sym_readonly] = ACTIONS(1945),
    [anon_sym_get] = ACTIONS(1945),
    [anon_sym_set] = ACTIONS(1945),
    [anon_sym_declare] = ACTIONS(1945),
    [anon_sym_public] = ACTIONS(1945),
    [anon_sym_private] = ACTIONS(1945),
    [anon_sym_protected] = ACTIONS(1945),
    [anon_sym_override] = ACTIONS(1945),
    [anon_sym_module] = ACTIONS(1945),
    [anon_sym_any] = ACTIONS(1945),
    [anon_sym_number] = ACTIONS(1945),
    [anon_sym_boolean] = ACTIONS(1945),
    [anon_sym_string] = ACTIONS(1945),
    [anon_sym_symbol] = ACTIONS(1945),
    [anon_sym_abstract] = ACTIONS(1945),
    [anon_sym_interface] = ACTIONS(1945),
    [anon_sym_enum] = ACTIONS(1945),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1947),
    [sym_identifier] = ACTIONS(1949),
    [anon_sym_export] = ACTIONS(1949),
    [anon_sym_default] = ACTIONS(1949),
    [anon_sym_type] = ACTIONS(1949),
    [anon_sym_namespace] = ACTIONS(1949),
    [anon_sym_LBRACE] = ACTIONS(1947),
    [anon_sym_RBRACE] = ACTIONS(1947),
    [anon_sym_typeof] = ACTIONS(1949),
    [anon_sym_import] = ACTIONS(1949),
    [anon_sym_var] = ACTIONS(1949),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(1949),
    [anon_sym_BANG] = ACTIONS(1947),
    [anon_sym_else] = ACTIONS(1949),
    [anon_sym_if] = ACTIONS(1949),
    [anon_sym_switch] = ACTIONS(1949),
    [anon_sym_for] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1947),
    [anon_sym_await] = ACTIONS(1949),
    [anon_sym_while] = ACTIONS(1949),
    [anon_sym_do] = ACTIONS(1949),
    [anon_sym_try] = ACTIONS(1949),
    [anon_sym_with] = ACTIONS(1949),
    [anon_sym_break] = ACTIONS(1949),
    [anon_sym_continue] = ACTIONS(1949),
    [anon_sym_debugger] = ACTIONS(1949),
    [anon_sym_return] = ACTIONS(1949),
    [anon_sym_throw] = ACTIONS(1949),
    [anon_sym_SEMI] = ACTIONS(1947),
    [anon_sym_case] = ACTIONS(1949),
    [anon_sym_yield] = ACTIONS(1949),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1949),
    [anon_sym_class] = ACTIONS(1949),
    [anon_sym_async] = ACTIONS(1949),
    [anon_sym_function] = ACTIONS(1949),
    [anon_sym_new] = ACTIONS(1949),
    [anon_sym_PLUS] = ACTIONS(1949),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_TILDE] = ACTIONS(1947),
    [anon_sym_void] = ACTIONS(1949),
    [anon_sym_delete] = ACTIONS(1949),
    [anon_sym_PLUS_PLUS] = ACTIONS(1947),
    [anon_sym_DASH_DASH] = ACTIONS(1947),
    [anon_sym_DQUOTE] = ACTIONS(1947),
    [anon_sym_SQUOTE] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1947),
    [sym_number] = ACTIONS(1947),
    [sym_this] = ACTIONS(1949),
    [sym_super] = ACTIONS(1949),
    [sym_true] = ACTIONS(1949),
    [sym_false] = ACTIONS(1949),
    [sym_null] = ACTIONS(1949),
    [sym_undefined] = ACTIONS(1949),
    [anon_sym_AT] = ACTIONS(1947),
    [anon_sym_static] = ACTIONS(1949),
    [anon_sym_readonly] = ACTIONS(1949),
    [anon_sym_get] = ACTIONS(1949),
    [anon_sym_set] = ACTIONS(1949),
    [anon_sym_declare] = ACTIONS(1949),
    [anon_sym_public] = ACTIONS(1949),
    [anon_sym_private] = ACTIONS(1949),
    [anon_sym_protected] = ACTIONS(1949),
    [anon_sym_override] = ACTIONS(1949),
    [anon_sym_module] = ACTIONS(1949),
    [anon_sym_any] = ACTIONS(1949),
    [anon_sym_number] = ACTIONS(1949),
    [anon_sym_boolean] = ACTIONS(1949),
    [anon_sym_string] = ACTIONS(1949),
    [anon_sym_symbol] = ACTIONS(1949),
    [anon_sym_abstract] = ACTIONS(1949),
    [anon_sym_interface] = ACTIONS(1949),
    [anon_sym_enum] = ACTIONS(1949),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1951),
    [sym_identifier] = ACTIONS(1953),
    [anon_sym_export] = ACTIONS(1953),
    [anon_sym_default] = ACTIONS(1953),
    [anon_sym_type] = ACTIONS(1953),
    [anon_sym_namespace] = ACTIONS(1953),
    [anon_sym_LBRACE] = ACTIONS(1951),
    [anon_sym_RBRACE] = ACTIONS(1951),
    [anon_sym_typeof] = ACTIONS(1953),
    [anon_sym_import] = ACTIONS(1953),
    [anon_sym_var] = ACTIONS(1953),
    [anon_sym_let] = ACTIONS(1953),
    [anon_sym_const] = ACTIONS(1953),
    [anon_sym_BANG] = ACTIONS(1951),
    [anon_sym_else] = ACTIONS(1953),
    [anon_sym_if] = ACTIONS(1953),
    [anon_sym_switch] = ACTIONS(1953),
    [anon_sym_for] = ACTIONS(1953),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_await] = ACTIONS(1953),
    [anon_sym_while] = ACTIONS(1953),
    [anon_sym_do] = ACTIONS(1953),
    [anon_sym_try] = ACTIONS(1953),
    [anon_sym_with] = ACTIONS(1953),
    [anon_sym_break] = ACTIONS(1953),
    [anon_sym_continue] = ACTIONS(1953),
    [anon_sym_debugger] = ACTIONS(1953),
    [anon_sym_return] = ACTIONS(1953),
    [anon_sym_throw] = ACTIONS(1953),
    [anon_sym_SEMI] = ACTIONS(1951),
    [anon_sym_case] = ACTIONS(1953),
    [anon_sym_yield] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1951),
    [anon_sym_LT] = ACTIONS(1951),
    [anon_sym_SLASH] = ACTIONS(1953),
    [anon_sym_class] = ACTIONS(1953),
    [anon_sym_async] = ACTIONS(1953),
    [anon_sym_function] = ACTIONS(1953),
    [anon_sym_new] = ACTIONS(1953),
    [anon_sym_PLUS] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1953),
    [anon_sym_TILDE] = ACTIONS(1951),
    [anon_sym_void] = ACTIONS(1953),
    [anon_sym_delete] = ACTIONS(1953),
    [anon_sym_PLUS_PLUS] = ACTIONS(1951),
    [anon_sym_DASH_DASH] = ACTIONS(1951),
    [anon_sym_DQUOTE] = ACTIONS(1951),
    [anon_sym_SQUOTE] = ACTIONS(1951),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1951),
    [sym_number] = ACTIONS(1951),
    [sym_this] = ACTIONS(1953),
    [sym_super] = ACTIONS(1953),
    [sym_true] = ACTIONS(1953),
    [sym_false] = ACTIONS(1953),
    [sym_null] = ACTIONS(1953),
    [sym_undefined] = ACTIONS(1953),
    [anon_sym_AT] = ACTIONS(1951),
    [anon_sym_static] = ACTIONS(1953),
    [anon_sym_readonly] = ACTIONS(1953),
    [anon_sym_get] = ACTIONS(1953),
    [anon_sym_set] = ACTIONS(1953),
    [anon_sym_declare] = ACTIONS(1953),
    [anon_sym_public] = ACTIONS(1953),
    [anon_sym_private] = ACTIONS(1953),
    [anon_sym_protected] = ACTIONS(1953),
    [anon_sym_override] = ACTIONS(1953),
    [anon_sym_module] = ACTIONS(1953),
    [anon_sym_any] = ACTIONS(1953),
    [anon_sym_number] = ACTIONS(1953),
    [anon_sym_boolean] = ACTIONS(1953),
    [anon_sym_string] = ACTIONS(1953),
    [anon_sym_symbol] = ACTIONS(1953),
    [anon_sym_abstract] = ACTIONS(1953),
    [anon_sym_interface] = ACTIONS(1953),
    [anon_sym_enum] = ACTIONS(1953),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1955),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_export] = ACTIONS(1957),
    [anon_sym_default] = ACTIONS(1957),
    [anon_sym_type] = ACTIONS(1957),
    [anon_sym_namespace] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1955),
    [anon_sym_RBRACE] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(1957),
    [anon_sym_import] = ACTIONS(1957),
    [anon_sym_var] = ACTIONS(1957),
    [anon_sym_let] = ACTIONS(1957),
    [anon_sym_const] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1957),
    [anon_sym_if] = ACTIONS(1957),
    [anon_sym_switch] = ACTIONS(1957),
    [anon_sym_for] = ACTIONS(1957),
    [anon_sym_LPAREN] = ACTIONS(1955),
    [anon_sym_await] = ACTIONS(1957),
    [anon_sym_while] = ACTIONS(1957),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_try] = ACTIONS(1957),
    [anon_sym_with] = ACTIONS(1957),
    [anon_sym_break] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1957),
    [anon_sym_debugger] = ACTIONS(1957),
    [anon_sym_return] = ACTIONS(1957),
    [anon_sym_throw] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(1955),
    [anon_sym_case] = ACTIONS(1957),
    [anon_sym_yield] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1957),
    [anon_sym_class] = ACTIONS(1957),
    [anon_sym_async] = ACTIONS(1957),
    [anon_sym_function] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1955),
    [anon_sym_void] = ACTIONS(1957),
    [anon_sym_delete] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(1955),
    [anon_sym_SQUOTE] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1955),
    [sym_number] = ACTIONS(1955),
    [sym_this] = ACTIONS(1957),
    [sym_super] = ACTIONS(1957),
    [sym_true] = ACTIONS(1957),
    [sym_false] = ACTIONS(1957),
    [sym_null] = ACTIONS(1957),
    [sym_undefined] = ACTIONS(1957),
    [anon_sym_AT] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1957),
    [anon_sym_readonly] = ACTIONS(1957),
    [anon_sym_get] = ACTIONS(1957),
    [anon_sym_set] = ACTIONS(1957),
    [anon_sym_declare] = ACTIONS(1957),
    [anon_sym_public] = ACTIONS(1957),
    [anon_sym_private] = ACTIONS(1957),
    [anon_sym_protected] = ACTIONS(1957),
    [anon_sym_override] = ACTIONS(1957),
    [anon_sym_module] = ACTIONS(1957),
    [anon_sym_any] = ACTIONS(1957),
    [anon_sym_number] = ACTIONS(1957),
    [anon_sym_boolean] = ACTIONS(1957),
    [anon_sym_string] = ACTIONS(1957),
    [anon_sym_symbol] = ACTIONS(1957),
    [anon_sym_abstract] = ACTIONS(1957),
    [anon_sym_interface] = ACTIONS(1957),
    [anon_sym_enum] = ACTIONS(1957),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1325),
    [sym_identifier] = ACTIONS(1327),
    [anon_sym_export] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1327),
    [anon_sym_type] = ACTIONS(1327),
    [anon_sym_namespace] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [anon_sym_typeof] = ACTIONS(1327),
    [anon_sym_import] = ACTIONS(1327),
    [anon_sym_var] = ACTIONS(1327),
    [anon_sym_let] = ACTIONS(1327),
    [anon_sym_const] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_else] = ACTIONS(1327),
    [anon_sym_if] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1327),
    [anon_sym_for] = ACTIONS(1327),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_await] = ACTIONS(1327),
    [anon_sym_while] = ACTIONS(1327),
    [anon_sym_do] = ACTIONS(1327),
    [anon_sym_try] = ACTIONS(1327),
    [anon_sym_with] = ACTIONS(1327),
    [anon_sym_break] = ACTIONS(1327),
    [anon_sym_continue] = ACTIONS(1327),
    [anon_sym_debugger] = ACTIONS(1327),
    [anon_sym_return] = ACTIONS(1327),
    [anon_sym_throw] = ACTIONS(1327),
    [anon_sym_SEMI] = ACTIONS(1325),
    [anon_sym_case] = ACTIONS(1327),
    [anon_sym_yield] = ACTIONS(1327),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1327),
    [anon_sym_class] = ACTIONS(1327),
    [anon_sym_async] = ACTIONS(1327),
    [anon_sym_function] = ACTIONS(1327),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1327),
    [anon_sym_DASH] = ACTIONS(1327),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_void] = ACTIONS(1327),
    [anon_sym_delete] = ACTIONS(1327),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE] = ACTIONS(1325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1325),
    [sym_number] = ACTIONS(1325),
    [sym_this] = ACTIONS(1327),
    [sym_super] = ACTIONS(1327),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [sym_null] = ACTIONS(1327),
    [sym_undefined] = ACTIONS(1327),
    [anon_sym_AT] = ACTIONS(1325),
    [anon_sym_static] = ACTIONS(1327),
    [anon_sym_readonly] = ACTIONS(1327),
    [anon_sym_get] = ACTIONS(1327),
    [anon_sym_set] = ACTIONS(1327),
    [anon_sym_declare] = ACTIONS(1327),
    [anon_sym_public] = ACTIONS(1327),
    [anon_sym_private] = ACTIONS(1327),
    [anon_sym_protected] = ACTIONS(1327),
    [anon_sym_override] = ACTIONS(1327),
    [anon_sym_module] = ACTIONS(1327),
    [anon_sym_any] = ACTIONS(1327),
    [anon_sym_number] = ACTIONS(1327),
    [anon_sym_boolean] = ACTIONS(1327),
    [anon_sym_string] = ACTIONS(1327),
    [anon_sym_symbol] = ACTIONS(1327),
    [anon_sym_abstract] = ACTIONS(1327),
    [anon_sym_interface] = ACTIONS(1327),
    [anon_sym_enum] = ACTIONS(1327),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1959),
    [sym_identifier] = ACTIONS(1961),
    [anon_sym_export] = ACTIONS(1961),
    [anon_sym_default] = ACTIONS(1961),
    [anon_sym_type] = ACTIONS(1961),
    [anon_sym_namespace] = ACTIONS(1961),
    [anon_sym_LBRACE] = ACTIONS(1959),
    [anon_sym_RBRACE] = ACTIONS(1959),
    [anon_sym_typeof] = ACTIONS(1961),
    [anon_sym_import] = ACTIONS(1961),
    [anon_sym_var] = ACTIONS(1961),
    [anon_sym_let] = ACTIONS(1961),
    [anon_sym_const] = ACTIONS(1961),
    [anon_sym_BANG] = ACTIONS(1959),
    [anon_sym_else] = ACTIONS(1961),
    [anon_sym_if] = ACTIONS(1961),
    [anon_sym_switch] = ACTIONS(1961),
    [anon_sym_for] = ACTIONS(1961),
    [anon_sym_LPAREN] = ACTIONS(1959),
    [anon_sym_await] = ACTIONS(1961),
    [anon_sym_while] = ACTIONS(1961),
    [anon_sym_do] = ACTIONS(1961),
    [anon_sym_try] = ACTIONS(1961),
    [anon_sym_with] = ACTIONS(1961),
    [anon_sym_break] = ACTIONS(1961),
    [anon_sym_continue] = ACTIONS(1961),
    [anon_sym_debugger] = ACTIONS(1961),
    [anon_sym_return] = ACTIONS(1961),
    [anon_sym_throw] = ACTIONS(1961),
    [anon_sym_SEMI] = ACTIONS(1959),
    [anon_sym_case] = ACTIONS(1961),
    [anon_sym_yield] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_SLASH] = ACTIONS(1961),
    [anon_sym_class] = ACTIONS(1961),
    [anon_sym_async] = ACTIONS(1961),
    [anon_sym_function] = ACTIONS(1961),
    [anon_sym_new] = ACTIONS(1961),
    [anon_sym_PLUS] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1961),
    [anon_sym_TILDE] = ACTIONS(1959),
    [anon_sym_void] = ACTIONS(1961),
    [anon_sym_delete] = ACTIONS(1961),
    [anon_sym_PLUS_PLUS] = ACTIONS(1959),
    [anon_sym_DASH_DASH] = ACTIONS(1959),
    [anon_sym_DQUOTE] = ACTIONS(1959),
    [anon_sym_SQUOTE] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1959),
    [sym_number] = ACTIONS(1959),
    [sym_this] = ACTIONS(1961),
    [sym_super] = ACTIONS(1961),
    [sym_true] = ACTIONS(1961),
    [sym_false] = ACTIONS(1961),
    [sym_null] = ACTIONS(1961),
    [sym_undefined] = ACTIONS(1961),
    [anon_sym_AT] = ACTIONS(1959),
    [anon_sym_static] = ACTIONS(1961),
    [anon_sym_readonly] = ACTIONS(1961),
    [anon_sym_get] = ACTIONS(1961),
    [anon_sym_set] = ACTIONS(1961),
    [anon_sym_declare] = ACTIONS(1961),
    [anon_sym_public] = ACTIONS(1961),
    [anon_sym_private] = ACTIONS(1961),
    [anon_sym_protected] = ACTIONS(1961),
    [anon_sym_override] = ACTIONS(1961),
    [anon_sym_module] = ACTIONS(1961),
    [anon_sym_any] = ACTIONS(1961),
    [anon_sym_number] = ACTIONS(1961),
    [anon_sym_boolean] = ACTIONS(1961),
    [anon_sym_string] = ACTIONS(1961),
    [anon_sym_symbol] = ACTIONS(1961),
    [anon_sym_abstract] = ACTIONS(1961),
    [anon_sym_interface] = ACTIONS(1961),
    [anon_sym_enum] = ACTIONS(1961),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1963),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1965),
    [anon_sym_default] = ACTIONS(1965),
    [anon_sym_type] = ACTIONS(1965),
    [anon_sym_namespace] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1963),
    [anon_sym_RBRACE] = ACTIONS(1963),
    [anon_sym_typeof] = ACTIONS(1965),
    [anon_sym_import] = ACTIONS(1965),
    [anon_sym_var] = ACTIONS(1965),
    [anon_sym_let] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(1965),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_switch] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_await] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_do] = ACTIONS(1965),
    [anon_sym_try] = ACTIONS(1965),
    [anon_sym_with] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1965),
    [anon_sym_continue] = ACTIONS(1965),
    [anon_sym_debugger] = ACTIONS(1965),
    [anon_sym_return] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1965),
    [anon_sym_SEMI] = ACTIONS(1963),
    [anon_sym_case] = ACTIONS(1965),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_class] = ACTIONS(1965),
    [anon_sym_async] = ACTIONS(1965),
    [anon_sym_function] = ACTIONS(1965),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1963),
    [anon_sym_void] = ACTIONS(1965),
    [anon_sym_delete] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1963),
    [anon_sym_DASH_DASH] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1963),
    [anon_sym_SQUOTE] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1963),
    [sym_number] = ACTIONS(1963),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(1965),
    [sym_true] = ACTIONS(1965),
    [sym_false] = ACTIONS(1965),
    [sym_null] = ACTIONS(1965),
    [sym_undefined] = ACTIONS(1965),
    [anon_sym_AT] = ACTIONS(1963),
    [anon_sym_static] = ACTIONS(1965),
    [anon_sym_readonly] = ACTIONS(1965),
    [anon_sym_get] = ACTIONS(1965),
    [anon_sym_set] = ACTIONS(1965),
    [anon_sym_declare] = ACTIONS(1965),
    [anon_sym_public] = ACTIONS(1965),
    [anon_sym_private] = ACTIONS(1965),
    [anon_sym_protected] = ACTIONS(1965),
    [anon_sym_override] = ACTIONS(1965),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_any] = ACTIONS(1965),
    [anon_sym_number] = ACTIONS(1965),
    [anon_sym_boolean] = ACTIONS(1965),
    [anon_sym_string] = ACTIONS(1965),
    [anon_sym_symbol] = ACTIONS(1965),
    [anon_sym_abstract] = ACTIONS(1965),
    [anon_sym_interface] = ACTIONS(1965),
    [anon_sym_enum] = ACTIONS(1965),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1963),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1965),
    [anon_sym_default] = ACTIONS(1965),
    [anon_sym_type] = ACTIONS(1965),
    [anon_sym_namespace] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1963),
    [anon_sym_RBRACE] = ACTIONS(1963),
    [anon_sym_typeof] = ACTIONS(1965),
    [anon_sym_import] = ACTIONS(1965),
    [anon_sym_var] = ACTIONS(1965),
    [anon_sym_let] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(1965),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_switch] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_await] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_do] = ACTIONS(1965),
    [anon_sym_try] = ACTIONS(1965),
    [anon_sym_with] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1965),
    [anon_sym_continue] = ACTIONS(1965),
    [anon_sym_debugger] = ACTIONS(1965),
    [anon_sym_return] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1965),
    [anon_sym_SEMI] = ACTIONS(1963),
    [anon_sym_case] = ACTIONS(1965),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_class] = ACTIONS(1965),
    [anon_sym_async] = ACTIONS(1965),
    [anon_sym_function] = ACTIONS(1965),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1963),
    [anon_sym_void] = ACTIONS(1965),
    [anon_sym_delete] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1963),
    [anon_sym_DASH_DASH] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1963),
    [anon_sym_SQUOTE] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1963),
    [sym_number] = ACTIONS(1963),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(1965),
    [sym_true] = ACTIONS(1965),
    [sym_false] = ACTIONS(1965),
    [sym_null] = ACTIONS(1965),
    [sym_undefined] = ACTIONS(1965),
    [anon_sym_AT] = ACTIONS(1963),
    [anon_sym_static] = ACTIONS(1965),
    [anon_sym_readonly] = ACTIONS(1965),
    [anon_sym_get] = ACTIONS(1965),
    [anon_sym_set] = ACTIONS(1965),
    [anon_sym_declare] = ACTIONS(1965),
    [anon_sym_public] = ACTIONS(1965),
    [anon_sym_private] = ACTIONS(1965),
    [anon_sym_protected] = ACTIONS(1965),
    [anon_sym_override] = ACTIONS(1965),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_any] = ACTIONS(1965),
    [anon_sym_number] = ACTIONS(1965),
    [anon_sym_boolean] = ACTIONS(1965),
    [anon_sym_string] = ACTIONS(1965),
    [anon_sym_symbol] = ACTIONS(1965),
    [anon_sym_abstract] = ACTIONS(1965),
    [anon_sym_interface] = ACTIONS(1965),
    [anon_sym_enum] = ACTIONS(1965),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1967),
    [sym_identifier] = ACTIONS(1969),
    [anon_sym_export] = ACTIONS(1969),
    [anon_sym_default] = ACTIONS(1969),
    [anon_sym_type] = ACTIONS(1969),
    [anon_sym_namespace] = ACTIONS(1969),
    [anon_sym_LBRACE] = ACTIONS(1967),
    [anon_sym_RBRACE] = ACTIONS(1967),
    [anon_sym_typeof] = ACTIONS(1969),
    [anon_sym_import] = ACTIONS(1969),
    [anon_sym_var] = ACTIONS(1969),
    [anon_sym_let] = ACTIONS(1969),
    [anon_sym_const] = ACTIONS(1969),
    [anon_sym_BANG] = ACTIONS(1967),
    [anon_sym_else] = ACTIONS(1969),
    [anon_sym_if] = ACTIONS(1969),
    [anon_sym_switch] = ACTIONS(1969),
    [anon_sym_for] = ACTIONS(1969),
    [anon_sym_LPAREN] = ACTIONS(1967),
    [anon_sym_await] = ACTIONS(1969),
    [anon_sym_while] = ACTIONS(1969),
    [anon_sym_do] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1969),
    [anon_sym_with] = ACTIONS(1969),
    [anon_sym_break] = ACTIONS(1969),
    [anon_sym_continue] = ACTIONS(1969),
    [anon_sym_debugger] = ACTIONS(1969),
    [anon_sym_return] = ACTIONS(1969),
    [anon_sym_throw] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1967),
    [anon_sym_case] = ACTIONS(1969),
    [anon_sym_yield] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1967),
    [anon_sym_LT] = ACTIONS(1967),
    [anon_sym_SLASH] = ACTIONS(1969),
    [anon_sym_class] = ACTIONS(1969),
    [anon_sym_async] = ACTIONS(1969),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_new] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1969),
    [anon_sym_TILDE] = ACTIONS(1967),
    [anon_sym_void] = ACTIONS(1969),
    [anon_sym_delete] = ACTIONS(1969),
    [anon_sym_PLUS_PLUS] = ACTIONS(1967),
    [anon_sym_DASH_DASH] = ACTIONS(1967),
    [anon_sym_DQUOTE] = ACTIONS(1967),
    [anon_sym_SQUOTE] = ACTIONS(1967),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1967),
    [sym_number] = ACTIONS(1967),
    [sym_this] = ACTIONS(1969),
    [sym_super] = ACTIONS(1969),
    [sym_true] = ACTIONS(1969),
    [sym_false] = ACTIONS(1969),
    [sym_null] = ACTIONS(1969),
    [sym_undefined] = ACTIONS(1969),
    [anon_sym_AT] = ACTIONS(1967),
    [anon_sym_static] = ACTIONS(1969),
    [anon_sym_readonly] = ACTIONS(1969),
    [anon_sym_get] = ACTIONS(1969),
    [anon_sym_set] = ACTIONS(1969),
    [anon_sym_declare] = ACTIONS(1969),
    [anon_sym_public] = ACTIONS(1969),
    [anon_sym_private] = ACTIONS(1969),
    [anon_sym_protected] = ACTIONS(1969),
    [anon_sym_override] = ACTIONS(1969),
    [anon_sym_module] = ACTIONS(1969),
    [anon_sym_any] = ACTIONS(1969),
    [anon_sym_number] = ACTIONS(1969),
    [anon_sym_boolean] = ACTIONS(1969),
    [anon_sym_string] = ACTIONS(1969),
    [anon_sym_symbol] = ACTIONS(1969),
    [anon_sym_abstract] = ACTIONS(1969),
    [anon_sym_interface] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1969),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1971),
    [sym_identifier] = ACTIONS(1973),
    [anon_sym_export] = ACTIONS(1973),
    [anon_sym_default] = ACTIONS(1973),
    [anon_sym_type] = ACTIONS(1973),
    [anon_sym_namespace] = ACTIONS(1973),
    [anon_sym_LBRACE] = ACTIONS(1971),
    [anon_sym_RBRACE] = ACTIONS(1971),
    [anon_sym_typeof] = ACTIONS(1973),
    [anon_sym_import] = ACTIONS(1973),
    [anon_sym_var] = ACTIONS(1973),
    [anon_sym_let] = ACTIONS(1973),
    [anon_sym_const] = ACTIONS(1973),
    [anon_sym_BANG] = ACTIONS(1971),
    [anon_sym_else] = ACTIONS(1973),
    [anon_sym_if] = ACTIONS(1973),
    [anon_sym_switch] = ACTIONS(1973),
    [anon_sym_for] = ACTIONS(1973),
    [anon_sym_LPAREN] = ACTIONS(1971),
    [anon_sym_await] = ACTIONS(1973),
    [anon_sym_while] = ACTIONS(1973),
    [anon_sym_do] = ACTIONS(1973),
    [anon_sym_try] = ACTIONS(1973),
    [anon_sym_with] = ACTIONS(1973),
    [anon_sym_break] = ACTIONS(1973),
    [anon_sym_continue] = ACTIONS(1973),
    [anon_sym_debugger] = ACTIONS(1973),
    [anon_sym_return] = ACTIONS(1973),
    [anon_sym_throw] = ACTIONS(1973),
    [anon_sym_SEMI] = ACTIONS(1971),
    [anon_sym_case] = ACTIONS(1973),
    [anon_sym_yield] = ACTIONS(1973),
    [anon_sym_LBRACK] = ACTIONS(1971),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1973),
    [anon_sym_class] = ACTIONS(1973),
    [anon_sym_async] = ACTIONS(1973),
    [anon_sym_function] = ACTIONS(1973),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_PLUS] = ACTIONS(1973),
    [anon_sym_DASH] = ACTIONS(1973),
    [anon_sym_TILDE] = ACTIONS(1971),
    [anon_sym_void] = ACTIONS(1973),
    [anon_sym_delete] = ACTIONS(1973),
    [anon_sym_PLUS_PLUS] = ACTIONS(1971),
    [anon_sym_DASH_DASH] = ACTIONS(1971),
    [anon_sym_DQUOTE] = ACTIONS(1971),
    [anon_sym_SQUOTE] = ACTIONS(1971),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1971),
    [sym_number] = ACTIONS(1971),
    [sym_this] = ACTIONS(1973),
    [sym_super] = ACTIONS(1973),
    [sym_true] = ACTIONS(1973),
    [sym_false] = ACTIONS(1973),
    [sym_null] = ACTIONS(1973),
    [sym_undefined] = ACTIONS(1973),
    [anon_sym_AT] = ACTIONS(1971),
    [anon_sym_static] = ACTIONS(1973),
    [anon_sym_readonly] = ACTIONS(1973),
    [anon_sym_get] = ACTIONS(1973),
    [anon_sym_set] = ACTIONS(1973),
    [anon_sym_declare] = ACTIONS(1973),
    [anon_sym_public] = ACTIONS(1973),
    [anon_sym_private] = ACTIONS(1973),
    [anon_sym_protected] = ACTIONS(1973),
    [anon_sym_override] = ACTIONS(1973),
    [anon_sym_module] = ACTIONS(1973),
    [anon_sym_any] = ACTIONS(1973),
    [anon_sym_number] = ACTIONS(1973),
    [anon_sym_boolean] = ACTIONS(1973),
    [anon_sym_string] = ACTIONS(1973),
    [anon_sym_symbol] = ACTIONS(1973),
    [anon_sym_abstract] = ACTIONS(1973),
    [anon_sym_interface] = ACTIONS(1973),
    [anon_sym_enum] = ACTIONS(1973),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1977),
    [anon_sym_default] = ACTIONS(1977),
    [anon_sym_type] = ACTIONS(1977),
    [anon_sym_namespace] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1977),
    [anon_sym_var] = ACTIONS(1977),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_const] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_switch] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_with] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_debugger] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_case] = ACTIONS(1977),
    [anon_sym_yield] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_LT] = ACTIONS(1975),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_function] = ACTIONS(1977),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_this] = ACTIONS(1977),
    [sym_super] = ACTIONS(1977),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1977),
    [anon_sym_set] = ACTIONS(1977),
    [anon_sym_declare] = ACTIONS(1977),
    [anon_sym_public] = ACTIONS(1977),
    [anon_sym_private] = ACTIONS(1977),
    [anon_sym_protected] = ACTIONS(1977),
    [anon_sym_override] = ACTIONS(1977),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_any] = ACTIONS(1977),
    [anon_sym_number] = ACTIONS(1977),
    [anon_sym_boolean] = ACTIONS(1977),
    [anon_sym_string] = ACTIONS(1977),
    [anon_sym_symbol] = ACTIONS(1977),
    [anon_sym_abstract] = ACTIONS(1977),
    [anon_sym_interface] = ACTIONS(1977),
    [anon_sym_enum] = ACTIONS(1977),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1979),
    [sym_identifier] = ACTIONS(1981),
    [anon_sym_export] = ACTIONS(1981),
    [anon_sym_default] = ACTIONS(1981),
    [anon_sym_type] = ACTIONS(1981),
    [anon_sym_namespace] = ACTIONS(1981),
    [anon_sym_LBRACE] = ACTIONS(1979),
    [anon_sym_RBRACE] = ACTIONS(1979),
    [anon_sym_typeof] = ACTIONS(1981),
    [anon_sym_import] = ACTIONS(1981),
    [anon_sym_var] = ACTIONS(1981),
    [anon_sym_let] = ACTIONS(1981),
    [anon_sym_const] = ACTIONS(1981),
    [anon_sym_BANG] = ACTIONS(1979),
    [anon_sym_else] = ACTIONS(1981),
    [anon_sym_if] = ACTIONS(1981),
    [anon_sym_switch] = ACTIONS(1981),
    [anon_sym_for] = ACTIONS(1981),
    [anon_sym_LPAREN] = ACTIONS(1979),
    [anon_sym_await] = ACTIONS(1981),
    [anon_sym_while] = ACTIONS(1981),
    [anon_sym_do] = ACTIONS(1981),
    [anon_sym_try] = ACTIONS(1981),
    [anon_sym_with] = ACTIONS(1981),
    [anon_sym_break] = ACTIONS(1981),
    [anon_sym_continue] = ACTIONS(1981),
    [anon_sym_debugger] = ACTIONS(1981),
    [anon_sym_return] = ACTIONS(1981),
    [anon_sym_throw] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1979),
    [anon_sym_case] = ACTIONS(1981),
    [anon_sym_yield] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1979),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1981),
    [anon_sym_class] = ACTIONS(1981),
    [anon_sym_async] = ACTIONS(1981),
    [anon_sym_function] = ACTIONS(1981),
    [anon_sym_new] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1981),
    [anon_sym_TILDE] = ACTIONS(1979),
    [anon_sym_void] = ACTIONS(1981),
    [anon_sym_delete] = ACTIONS(1981),
    [anon_sym_PLUS_PLUS] = ACTIONS(1979),
    [anon_sym_DASH_DASH] = ACTIONS(1979),
    [anon_sym_DQUOTE] = ACTIONS(1979),
    [anon_sym_SQUOTE] = ACTIONS(1979),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1979),
    [sym_number] = ACTIONS(1979),
    [sym_this] = ACTIONS(1981),
    [sym_super] = ACTIONS(1981),
    [sym_true] = ACTIONS(1981),
    [sym_false] = ACTIONS(1981),
    [sym_null] = ACTIONS(1981),
    [sym_undefined] = ACTIONS(1981),
    [anon_sym_AT] = ACTIONS(1979),
    [anon_sym_static] = ACTIONS(1981),
    [anon_sym_readonly] = ACTIONS(1981),
    [anon_sym_get] = ACTIONS(1981),
    [anon_sym_set] = ACTIONS(1981),
    [anon_sym_declare] = ACTIONS(1981),
    [anon_sym_public] = ACTIONS(1981),
    [anon_sym_private] = ACTIONS(1981),
    [anon_sym_protected] = ACTIONS(1981),
    [anon_sym_override] = ACTIONS(1981),
    [anon_sym_module] = ACTIONS(1981),
    [anon_sym_any] = ACTIONS(1981),
    [anon_sym_number] = ACTIONS(1981),
    [anon_sym_boolean] = ACTIONS(1981),
    [anon_sym_string] = ACTIONS(1981),
    [anon_sym_symbol] = ACTIONS(1981),
    [anon_sym_abstract] = ACTIONS(1981),
    [anon_sym_interface] = ACTIONS(1981),
    [anon_sym_enum] = ACTIONS(1981),
  },
  [539] = {
    [ts_builtin_sym_end] = ACTIONS(1983),
    [sym_identifier] = ACTIONS(1985),
    [anon_sym_export] = ACTIONS(1985),
    [anon_sym_default] = ACTIONS(1985),
    [anon_sym_type] = ACTIONS(1985),
    [anon_sym_namespace] = ACTIONS(1985),
    [anon_sym_LBRACE] = ACTIONS(1983),
    [anon_sym_RBRACE] = ACTIONS(1983),
    [anon_sym_typeof] = ACTIONS(1985),
    [anon_sym_import] = ACTIONS(1985),
    [anon_sym_var] = ACTIONS(1985),
    [anon_sym_let] = ACTIONS(1985),
    [anon_sym_const] = ACTIONS(1985),
    [anon_sym_BANG] = ACTIONS(1983),
    [anon_sym_else] = ACTIONS(1985),
    [anon_sym_if] = ACTIONS(1985),
    [anon_sym_switch] = ACTIONS(1985),
    [anon_sym_for] = ACTIONS(1985),
    [anon_sym_LPAREN] = ACTIONS(1983),
    [anon_sym_await] = ACTIONS(1985),
    [anon_sym_while] = ACTIONS(1985),
    [anon_sym_do] = ACTIONS(1985),
    [anon_sym_try] = ACTIONS(1985),
    [anon_sym_with] = ACTIONS(1985),
    [anon_sym_break] = ACTIONS(1985),
    [anon_sym_continue] = ACTIONS(1985),
    [anon_sym_debugger] = ACTIONS(1985),
    [anon_sym_return] = ACTIONS(1985),
    [anon_sym_throw] = ACTIONS(1985),
    [anon_sym_SEMI] = ACTIONS(1983),
    [anon_sym_case] = ACTIONS(1985),
    [anon_sym_yield] = ACTIONS(1985),
    [anon_sym_LBRACK] = ACTIONS(1983),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_SLASH] = ACTIONS(1985),
    [anon_sym_class] = ACTIONS(1985),
    [anon_sym_async] = ACTIONS(1985),
    [anon_sym_function] = ACTIONS(1985),
    [anon_sym_new] = ACTIONS(1985),
    [anon_sym_PLUS] = ACTIONS(1985),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_TILDE] = ACTIONS(1983),
    [anon_sym_void] = ACTIONS(1985),
    [anon_sym_delete] = ACTIONS(1985),
    [anon_sym_PLUS_PLUS] = ACTIONS(1983),
    [anon_sym_DASH_DASH] = ACTIONS(1983),
    [anon_sym_DQUOTE] = ACTIONS(1983),
    [anon_sym_SQUOTE] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1983),
    [sym_number] = ACTIONS(1983),
    [sym_this] = ACTIONS(1985),
    [sym_super] = ACTIONS(1985),
    [sym_true] = ACTIONS(1985),
    [sym_false] = ACTIONS(1985),
    [sym_null] = ACTIONS(1985),
    [sym_undefined] = ACTIONS(1985),
    [anon_sym_AT] = ACTIONS(1983),
    [anon_sym_static] = ACTIONS(1985),
    [anon_sym_readonly] = ACTIONS(1985),
    [anon_sym_get] = ACTIONS(1985),
    [anon_sym_set] = ACTIONS(1985),
    [anon_sym_declare] = ACTIONS(1985),
    [anon_sym_public] = ACTIONS(1985),
    [anon_sym_private] = ACTIONS(1985),
    [anon_sym_protected] = ACTIONS(1985),
    [anon_sym_override] = ACTIONS(1985),
    [anon_sym_module] = ACTIONS(1985),
    [anon_sym_any] = ACTIONS(1985),
    [anon_sym_number] = ACTIONS(1985),
    [anon_sym_boolean] = ACTIONS(1985),
    [anon_sym_string] = ACTIONS(1985),
    [anon_sym_symbol] = ACTIONS(1985),
    [anon_sym_abstract] = ACTIONS(1985),
    [anon_sym_interface] = ACTIONS(1985),
    [anon_sym_enum] = ACTIONS(1985),
  },
  [540] = {
    [ts_builtin_sym_end] = ACTIONS(1987),
    [sym_identifier] = ACTIONS(1989),
    [anon_sym_export] = ACTIONS(1989),
    [anon_sym_default] = ACTIONS(1989),
    [anon_sym_type] = ACTIONS(1989),
    [anon_sym_namespace] = ACTIONS(1989),
    [anon_sym_LBRACE] = ACTIONS(1987),
    [anon_sym_RBRACE] = ACTIONS(1987),
    [anon_sym_typeof] = ACTIONS(1989),
    [anon_sym_import] = ACTIONS(1989),
    [anon_sym_var] = ACTIONS(1989),
    [anon_sym_let] = ACTIONS(1989),
    [anon_sym_const] = ACTIONS(1989),
    [anon_sym_BANG] = ACTIONS(1987),
    [anon_sym_else] = ACTIONS(1989),
    [anon_sym_if] = ACTIONS(1989),
    [anon_sym_switch] = ACTIONS(1989),
    [anon_sym_for] = ACTIONS(1989),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_await] = ACTIONS(1989),
    [anon_sym_while] = ACTIONS(1989),
    [anon_sym_do] = ACTIONS(1989),
    [anon_sym_try] = ACTIONS(1989),
    [anon_sym_with] = ACTIONS(1989),
    [anon_sym_break] = ACTIONS(1989),
    [anon_sym_continue] = ACTIONS(1989),
    [anon_sym_debugger] = ACTIONS(1989),
    [anon_sym_return] = ACTIONS(1989),
    [anon_sym_throw] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1987),
    [anon_sym_case] = ACTIONS(1989),
    [anon_sym_yield] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1987),
    [anon_sym_LT] = ACTIONS(1987),
    [anon_sym_SLASH] = ACTIONS(1989),
    [anon_sym_class] = ACTIONS(1989),
    [anon_sym_async] = ACTIONS(1989),
    [anon_sym_function] = ACTIONS(1989),
    [anon_sym_new] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1989),
    [anon_sym_TILDE] = ACTIONS(1987),
    [anon_sym_void] = ACTIONS(1989),
    [anon_sym_delete] = ACTIONS(1989),
    [anon_sym_PLUS_PLUS] = ACTIONS(1987),
    [anon_sym_DASH_DASH] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1987),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1987),
    [sym_number] = ACTIONS(1987),
    [sym_this] = ACTIONS(1989),
    [sym_super] = ACTIONS(1989),
    [sym_true] = ACTIONS(1989),
    [sym_false] = ACTIONS(1989),
    [sym_null] = ACTIONS(1989),
    [sym_undefined] = ACTIONS(1989),
    [anon_sym_AT] = ACTIONS(1987),
    [anon_sym_static] = ACTIONS(1989),
    [anon_sym_readonly] = ACTIONS(1989),
    [anon_sym_get] = ACTIONS(1989),
    [anon_sym_set] = ACTIONS(1989),
    [anon_sym_declare] = ACTIONS(1989),
    [anon_sym_public] = ACTIONS(1989),
    [anon_sym_private] = ACTIONS(1989),
    [anon_sym_protected] = ACTIONS(1989),
    [anon_sym_override] = ACTIONS(1989),
    [anon_sym_module] = ACTIONS(1989),
    [anon_sym_any] = ACTIONS(1989),
    [anon_sym_number] = ACTIONS(1989),
    [anon_sym_boolean] = ACTIONS(1989),
    [anon_sym_string] = ACTIONS(1989),
    [anon_sym_symbol] = ACTIONS(1989),
    [anon_sym_abstract] = ACTIONS(1989),
    [anon_sym_interface] = ACTIONS(1989),
    [anon_sym_enum] = ACTIONS(1989),
  },
  [541] = {
    [ts_builtin_sym_end] = ACTIONS(1991),
    [sym_identifier] = ACTIONS(1993),
    [anon_sym_export] = ACTIONS(1993),
    [anon_sym_default] = ACTIONS(1993),
    [anon_sym_type] = ACTIONS(1993),
    [anon_sym_namespace] = ACTIONS(1993),
    [anon_sym_LBRACE] = ACTIONS(1991),
    [anon_sym_RBRACE] = ACTIONS(1991),
    [anon_sym_typeof] = ACTIONS(1993),
    [anon_sym_import] = ACTIONS(1993),
    [anon_sym_var] = ACTIONS(1993),
    [anon_sym_let] = ACTIONS(1993),
    [anon_sym_const] = ACTIONS(1993),
    [anon_sym_BANG] = ACTIONS(1991),
    [anon_sym_else] = ACTIONS(1993),
    [anon_sym_if] = ACTIONS(1993),
    [anon_sym_switch] = ACTIONS(1993),
    [anon_sym_for] = ACTIONS(1993),
    [anon_sym_LPAREN] = ACTIONS(1991),
    [anon_sym_await] = ACTIONS(1993),
    [anon_sym_while] = ACTIONS(1993),
    [anon_sym_do] = ACTIONS(1993),
    [anon_sym_try] = ACTIONS(1993),
    [anon_sym_with] = ACTIONS(1993),
    [anon_sym_break] = ACTIONS(1993),
    [anon_sym_continue] = ACTIONS(1993),
    [anon_sym_debugger] = ACTIONS(1993),
    [anon_sym_return] = ACTIONS(1993),
    [anon_sym_throw] = ACTIONS(1993),
    [anon_sym_SEMI] = ACTIONS(1991),
    [anon_sym_case] = ACTIONS(1993),
    [anon_sym_yield] = ACTIONS(1993),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_LT] = ACTIONS(1991),
    [anon_sym_SLASH] = ACTIONS(1993),
    [anon_sym_class] = ACTIONS(1993),
    [anon_sym_async] = ACTIONS(1993),
    [anon_sym_function] = ACTIONS(1993),
    [anon_sym_new] = ACTIONS(1993),
    [anon_sym_PLUS] = ACTIONS(1993),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_TILDE] = ACTIONS(1991),
    [anon_sym_void] = ACTIONS(1993),
    [anon_sym_delete] = ACTIONS(1993),
    [anon_sym_PLUS_PLUS] = ACTIONS(1991),
    [anon_sym_DASH_DASH] = ACTIONS(1991),
    [anon_sym_DQUOTE] = ACTIONS(1991),
    [anon_sym_SQUOTE] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1991),
    [sym_number] = ACTIONS(1991),
    [sym_this] = ACTIONS(1993),
    [sym_super] = ACTIONS(1993),
    [sym_true] = ACTIONS(1993),
    [sym_false] = ACTIONS(1993),
    [sym_null] = ACTIONS(1993),
    [sym_undefined] = ACTIONS(1993),
    [anon_sym_AT] = ACTIONS(1991),
    [anon_sym_static] = ACTIONS(1993),
    [anon_sym_readonly] = ACTIONS(1993),
    [anon_sym_get] = ACTIONS(1993),
    [anon_sym_set] = ACTIONS(1993),
    [anon_sym_declare] = ACTIONS(1993),
    [anon_sym_public] = ACTIONS(1993),
    [anon_sym_private] = ACTIONS(1993),
    [anon_sym_protected] = ACTIONS(1993),
    [anon_sym_override] = ACTIONS(1993),
    [anon_sym_module] = ACTIONS(1993),
    [anon_sym_any] = ACTIONS(1993),
    [anon_sym_number] = ACTIONS(1993),
    [anon_sym_boolean] = ACTIONS(1993),
    [anon_sym_string] = ACTIONS(1993),
    [anon_sym_symbol] = ACTIONS(1993),
    [anon_sym_abstract] = ACTIONS(1993),
    [anon_sym_interface] = ACTIONS(1993),
    [anon_sym_enum] = ACTIONS(1993),
  },
  [542] = {
    [ts_builtin_sym_end] = ACTIONS(1995),
    [sym_identifier] = ACTIONS(1997),
    [anon_sym_export] = ACTIONS(1997),
    [anon_sym_default] = ACTIONS(1997),
    [anon_sym_type] = ACTIONS(1997),
    [anon_sym_namespace] = ACTIONS(1997),
    [anon_sym_LBRACE] = ACTIONS(1995),
    [anon_sym_RBRACE] = ACTIONS(1995),
    [anon_sym_typeof] = ACTIONS(1997),
    [anon_sym_import] = ACTIONS(1997),
    [anon_sym_var] = ACTIONS(1997),
    [anon_sym_let] = ACTIONS(1997),
    [anon_sym_const] = ACTIONS(1997),
    [anon_sym_BANG] = ACTIONS(1995),
    [anon_sym_else] = ACTIONS(1997),
    [anon_sym_if] = ACTIONS(1997),
    [anon_sym_switch] = ACTIONS(1997),
    [anon_sym_for] = ACTIONS(1997),
    [anon_sym_LPAREN] = ACTIONS(1995),
    [anon_sym_await] = ACTIONS(1997),
    [anon_sym_while] = ACTIONS(1997),
    [anon_sym_do] = ACTIONS(1997),
    [anon_sym_try] = ACTIONS(1997),
    [anon_sym_with] = ACTIONS(1997),
    [anon_sym_break] = ACTIONS(1997),
    [anon_sym_continue] = ACTIONS(1997),
    [anon_sym_debugger] = ACTIONS(1997),
    [anon_sym_return] = ACTIONS(1997),
    [anon_sym_throw] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1995),
    [anon_sym_case] = ACTIONS(1997),
    [anon_sym_yield] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1995),
    [anon_sym_LT] = ACTIONS(1995),
    [anon_sym_SLASH] = ACTIONS(1997),
    [anon_sym_class] = ACTIONS(1997),
    [anon_sym_async] = ACTIONS(1997),
    [anon_sym_function] = ACTIONS(1997),
    [anon_sym_new] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1997),
    [anon_sym_TILDE] = ACTIONS(1995),
    [anon_sym_void] = ACTIONS(1997),
    [anon_sym_delete] = ACTIONS(1997),
    [anon_sym_PLUS_PLUS] = ACTIONS(1995),
    [anon_sym_DASH_DASH] = ACTIONS(1995),
    [anon_sym_DQUOTE] = ACTIONS(1995),
    [anon_sym_SQUOTE] = ACTIONS(1995),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1995),
    [sym_number] = ACTIONS(1995),
    [sym_this] = ACTIONS(1997),
    [sym_super] = ACTIONS(1997),
    [sym_true] = ACTIONS(1997),
    [sym_false] = ACTIONS(1997),
    [sym_null] = ACTIONS(1997),
    [sym_undefined] = ACTIONS(1997),
    [anon_sym_AT] = ACTIONS(1995),
    [anon_sym_static] = ACTIONS(1997),
    [anon_sym_readonly] = ACTIONS(1997),
    [anon_sym_get] = ACTIONS(1997),
    [anon_sym_set] = ACTIONS(1997),
    [anon_sym_declare] = ACTIONS(1997),
    [anon_sym_public] = ACTIONS(1997),
    [anon_sym_private] = ACTIONS(1997),
    [anon_sym_protected] = ACTIONS(1997),
    [anon_sym_override] = ACTIONS(1997),
    [anon_sym_module] = ACTIONS(1997),
    [anon_sym_any] = ACTIONS(1997),
    [anon_sym_number] = ACTIONS(1997),
    [anon_sym_boolean] = ACTIONS(1997),
    [anon_sym_string] = ACTIONS(1997),
    [anon_sym_symbol] = ACTIONS(1997),
    [anon_sym_abstract] = ACTIONS(1997),
    [anon_sym_interface] = ACTIONS(1997),
    [anon_sym_enum] = ACTIONS(1997),
  },
  [543] = {
    [ts_builtin_sym_end] = ACTIONS(1999),
    [sym_identifier] = ACTIONS(2001),
    [anon_sym_export] = ACTIONS(2001),
    [anon_sym_default] = ACTIONS(2001),
    [anon_sym_type] = ACTIONS(2001),
    [anon_sym_namespace] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1999),
    [anon_sym_RBRACE] = ACTIONS(1999),
    [anon_sym_typeof] = ACTIONS(2001),
    [anon_sym_import] = ACTIONS(2001),
    [anon_sym_var] = ACTIONS(2001),
    [anon_sym_let] = ACTIONS(2001),
    [anon_sym_const] = ACTIONS(2001),
    [anon_sym_BANG] = ACTIONS(1999),
    [anon_sym_else] = ACTIONS(2001),
    [anon_sym_if] = ACTIONS(2001),
    [anon_sym_switch] = ACTIONS(2001),
    [anon_sym_for] = ACTIONS(2001),
    [anon_sym_LPAREN] = ACTIONS(1999),
    [anon_sym_await] = ACTIONS(2001),
    [anon_sym_while] = ACTIONS(2001),
    [anon_sym_do] = ACTIONS(2001),
    [anon_sym_try] = ACTIONS(2001),
    [anon_sym_with] = ACTIONS(2001),
    [anon_sym_break] = ACTIONS(2001),
    [anon_sym_continue] = ACTIONS(2001),
    [anon_sym_debugger] = ACTIONS(2001),
    [anon_sym_return] = ACTIONS(2001),
    [anon_sym_throw] = ACTIONS(2001),
    [anon_sym_SEMI] = ACTIONS(1999),
    [anon_sym_case] = ACTIONS(2001),
    [anon_sym_yield] = ACTIONS(2001),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [anon_sym_LT] = ACTIONS(1999),
    [anon_sym_SLASH] = ACTIONS(2001),
    [anon_sym_class] = ACTIONS(2001),
    [anon_sym_async] = ACTIONS(2001),
    [anon_sym_function] = ACTIONS(2001),
    [anon_sym_new] = ACTIONS(2001),
    [anon_sym_PLUS] = ACTIONS(2001),
    [anon_sym_DASH] = ACTIONS(2001),
    [anon_sym_TILDE] = ACTIONS(1999),
    [anon_sym_void] = ACTIONS(2001),
    [anon_sym_delete] = ACTIONS(2001),
    [anon_sym_PLUS_PLUS] = ACTIONS(1999),
    [anon_sym_DASH_DASH] = ACTIONS(1999),
    [anon_sym_DQUOTE] = ACTIONS(1999),
    [anon_sym_SQUOTE] = ACTIONS(1999),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1999),
    [sym_number] = ACTIONS(1999),
    [sym_this] = ACTIONS(2001),
    [sym_super] = ACTIONS(2001),
    [sym_true] = ACTIONS(2001),
    [sym_false] = ACTIONS(2001),
    [sym_null] = ACTIONS(2001),
    [sym_undefined] = ACTIONS(2001),
    [anon_sym_AT] = ACTIONS(1999),
    [anon_sym_static] = ACTIONS(2001),
    [anon_sym_readonly] = ACTIONS(2001),
    [anon_sym_get] = ACTIONS(2001),
    [anon_sym_set] = ACTIONS(2001),
    [anon_sym_declare] = ACTIONS(2001),
    [anon_sym_public] = ACTIONS(2001),
    [anon_sym_private] = ACTIONS(2001),
    [anon_sym_protected] = ACTIONS(2001),
    [anon_sym_override] = ACTIONS(2001),
    [anon_sym_module] = ACTIONS(2001),
    [anon_sym_any] = ACTIONS(2001),
    [anon_sym_number] = ACTIONS(2001),
    [anon_sym_boolean] = ACTIONS(2001),
    [anon_sym_string] = ACTIONS(2001),
    [anon_sym_symbol] = ACTIONS(2001),
    [anon_sym_abstract] = ACTIONS(2001),
    [anon_sym_interface] = ACTIONS(2001),
    [anon_sym_enum] = ACTIONS(2001),
  },
  [544] = {
    [ts_builtin_sym_end] = ACTIONS(2003),
    [sym_identifier] = ACTIONS(2005),
    [anon_sym_export] = ACTIONS(2005),
    [anon_sym_default] = ACTIONS(2005),
    [anon_sym_type] = ACTIONS(2005),
    [anon_sym_namespace] = ACTIONS(2005),
    [anon_sym_LBRACE] = ACTIONS(2003),
    [anon_sym_RBRACE] = ACTIONS(2003),
    [anon_sym_typeof] = ACTIONS(2005),
    [anon_sym_import] = ACTIONS(2005),
    [anon_sym_var] = ACTIONS(2005),
    [anon_sym_let] = ACTIONS(2005),
    [anon_sym_const] = ACTIONS(2005),
    [anon_sym_BANG] = ACTIONS(2003),
    [anon_sym_else] = ACTIONS(2005),
    [anon_sym_if] = ACTIONS(2005),
    [anon_sym_switch] = ACTIONS(2005),
    [anon_sym_for] = ACTIONS(2005),
    [anon_sym_LPAREN] = ACTIONS(2003),
    [anon_sym_await] = ACTIONS(2005),
    [anon_sym_while] = ACTIONS(2005),
    [anon_sym_do] = ACTIONS(2005),
    [anon_sym_try] = ACTIONS(2005),
    [anon_sym_with] = ACTIONS(2005),
    [anon_sym_break] = ACTIONS(2005),
    [anon_sym_continue] = ACTIONS(2005),
    [anon_sym_debugger] = ACTIONS(2005),
    [anon_sym_return] = ACTIONS(2005),
    [anon_sym_throw] = ACTIONS(2005),
    [anon_sym_SEMI] = ACTIONS(2003),
    [anon_sym_case] = ACTIONS(2005),
    [anon_sym_yield] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2003),
    [anon_sym_LT] = ACTIONS(2003),
    [anon_sym_SLASH] = ACTIONS(2005),
    [anon_sym_class] = ACTIONS(2005),
    [anon_sym_async] = ACTIONS(2005),
    [anon_sym_function] = ACTIONS(2005),
    [anon_sym_new] = ACTIONS(2005),
    [anon_sym_PLUS] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2005),
    [anon_sym_TILDE] = ACTIONS(2003),
    [anon_sym_void] = ACTIONS(2005),
    [anon_sym_delete] = ACTIONS(2005),
    [anon_sym_PLUS_PLUS] = ACTIONS(2003),
    [anon_sym_DASH_DASH] = ACTIONS(2003),
    [anon_sym_DQUOTE] = ACTIONS(2003),
    [anon_sym_SQUOTE] = ACTIONS(2003),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2003),
    [sym_number] = ACTIONS(2003),
    [sym_this] = ACTIONS(2005),
    [sym_super] = ACTIONS(2005),
    [sym_true] = ACTIONS(2005),
    [sym_false] = ACTIONS(2005),
    [sym_null] = ACTIONS(2005),
    [sym_undefined] = ACTIONS(2005),
    [anon_sym_AT] = ACTIONS(2003),
    [anon_sym_static] = ACTIONS(2005),
    [anon_sym_readonly] = ACTIONS(2005),
    [anon_sym_get] = ACTIONS(2005),
    [anon_sym_set] = ACTIONS(2005),
    [anon_sym_declare] = ACTIONS(2005),
    [anon_sym_public] = ACTIONS(2005),
    [anon_sym_private] = ACTIONS(2005),
    [anon_sym_protected] = ACTIONS(2005),
    [anon_sym_override] = ACTIONS(2005),
    [anon_sym_module] = ACTIONS(2005),
    [anon_sym_any] = ACTIONS(2005),
    [anon_sym_number] = ACTIONS(2005),
    [anon_sym_boolean] = ACTIONS(2005),
    [anon_sym_string] = ACTIONS(2005),
    [anon_sym_symbol] = ACTIONS(2005),
    [anon_sym_abstract] = ACTIONS(2005),
    [anon_sym_interface] = ACTIONS(2005),
    [anon_sym_enum] = ACTIONS(2005),
  },
  [545] = {
    [ts_builtin_sym_end] = ACTIONS(1955),
    [sym_identifier] = ACTIONS(1957),
    [anon_sym_export] = ACTIONS(1957),
    [anon_sym_default] = ACTIONS(1957),
    [anon_sym_type] = ACTIONS(1957),
    [anon_sym_namespace] = ACTIONS(1957),
    [anon_sym_LBRACE] = ACTIONS(1955),
    [anon_sym_RBRACE] = ACTIONS(1955),
    [anon_sym_typeof] = ACTIONS(1957),
    [anon_sym_import] = ACTIONS(1957),
    [anon_sym_var] = ACTIONS(1957),
    [anon_sym_let] = ACTIONS(1957),
    [anon_sym_const] = ACTIONS(1957),
    [anon_sym_BANG] = ACTIONS(1955),
    [anon_sym_else] = ACTIONS(1957),
    [anon_sym_if] = ACTIONS(1957),
    [anon_sym_switch] = ACTIONS(1957),
    [anon_sym_for] = ACTIONS(1957),
    [anon_sym_LPAREN] = ACTIONS(1955),
    [anon_sym_await] = ACTIONS(1957),
    [anon_sym_while] = ACTIONS(1957),
    [anon_sym_do] = ACTIONS(1957),
    [anon_sym_try] = ACTIONS(1957),
    [anon_sym_with] = ACTIONS(1957),
    [anon_sym_break] = ACTIONS(1957),
    [anon_sym_continue] = ACTIONS(1957),
    [anon_sym_debugger] = ACTIONS(1957),
    [anon_sym_return] = ACTIONS(1957),
    [anon_sym_throw] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(1955),
    [anon_sym_case] = ACTIONS(1957),
    [anon_sym_yield] = ACTIONS(1957),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1957),
    [anon_sym_class] = ACTIONS(1957),
    [anon_sym_async] = ACTIONS(1957),
    [anon_sym_function] = ACTIONS(1957),
    [anon_sym_new] = ACTIONS(1957),
    [anon_sym_PLUS] = ACTIONS(1957),
    [anon_sym_DASH] = ACTIONS(1957),
    [anon_sym_TILDE] = ACTIONS(1955),
    [anon_sym_void] = ACTIONS(1957),
    [anon_sym_delete] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1955),
    [anon_sym_DASH_DASH] = ACTIONS(1955),
    [anon_sym_DQUOTE] = ACTIONS(1955),
    [anon_sym_SQUOTE] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1955),
    [sym_number] = ACTIONS(1955),
    [sym_this] = ACTIONS(1957),
    [sym_super] = ACTIONS(1957),
    [sym_true] = ACTIONS(1957),
    [sym_false] = ACTIONS(1957),
    [sym_null] = ACTIONS(1957),
    [sym_undefined] = ACTIONS(1957),
    [anon_sym_AT] = ACTIONS(1955),
    [anon_sym_static] = ACTIONS(1957),
    [anon_sym_readonly] = ACTIONS(1957),
    [anon_sym_get] = ACTIONS(1957),
    [anon_sym_set] = ACTIONS(1957),
    [anon_sym_declare] = ACTIONS(1957),
    [anon_sym_public] = ACTIONS(1957),
    [anon_sym_private] = ACTIONS(1957),
    [anon_sym_protected] = ACTIONS(1957),
    [anon_sym_override] = ACTIONS(1957),
    [anon_sym_module] = ACTIONS(1957),
    [anon_sym_any] = ACTIONS(1957),
    [anon_sym_number] = ACTIONS(1957),
    [anon_sym_boolean] = ACTIONS(1957),
    [anon_sym_string] = ACTIONS(1957),
    [anon_sym_symbol] = ACTIONS(1957),
    [anon_sym_abstract] = ACTIONS(1957),
    [anon_sym_interface] = ACTIONS(1957),
    [anon_sym_enum] = ACTIONS(1957),
  },
  [546] = {
    [ts_builtin_sym_end] = ACTIONS(2007),
    [sym_identifier] = ACTIONS(2009),
    [anon_sym_export] = ACTIONS(2009),
    [anon_sym_default] = ACTIONS(2009),
    [anon_sym_type] = ACTIONS(2009),
    [anon_sym_namespace] = ACTIONS(2009),
    [anon_sym_LBRACE] = ACTIONS(2007),
    [anon_sym_RBRACE] = ACTIONS(2007),
    [anon_sym_typeof] = ACTIONS(2009),
    [anon_sym_import] = ACTIONS(2009),
    [anon_sym_var] = ACTIONS(2009),
    [anon_sym_let] = ACTIONS(2009),
    [anon_sym_const] = ACTIONS(2009),
    [anon_sym_BANG] = ACTIONS(2007),
    [anon_sym_else] = ACTIONS(2009),
    [anon_sym_if] = ACTIONS(2009),
    [anon_sym_switch] = ACTIONS(2009),
    [anon_sym_for] = ACTIONS(2009),
    [anon_sym_LPAREN] = ACTIONS(2007),
    [anon_sym_await] = ACTIONS(2009),
    [anon_sym_while] = ACTIONS(2009),
    [anon_sym_do] = ACTIONS(2009),
    [anon_sym_try] = ACTIONS(2009),
    [anon_sym_with] = ACTIONS(2009),
    [anon_sym_break] = ACTIONS(2009),
    [anon_sym_continue] = ACTIONS(2009),
    [anon_sym_debugger] = ACTIONS(2009),
    [anon_sym_return] = ACTIONS(2009),
    [anon_sym_throw] = ACTIONS(2009),
    [anon_sym_SEMI] = ACTIONS(2007),
    [anon_sym_case] = ACTIONS(2009),
    [anon_sym_yield] = ACTIONS(2009),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(2007),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_class] = ACTIONS(2009),
    [anon_sym_async] = ACTIONS(2009),
    [anon_sym_function] = ACTIONS(2009),
    [anon_sym_new] = ACTIONS(2009),
    [anon_sym_PLUS] = ACTIONS(2009),
    [anon_sym_DASH] = ACTIONS(2009),
    [anon_sym_TILDE] = ACTIONS(2007),
    [anon_sym_void] = ACTIONS(2009),
    [anon_sym_delete] = ACTIONS(2009),
    [anon_sym_PLUS_PLUS] = ACTIONS(2007),
    [anon_sym_DASH_DASH] = ACTIONS(2007),
    [anon_sym_DQUOTE] = ACTIONS(2007),
    [anon_sym_SQUOTE] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2007),
    [sym_number] = ACTIONS(2007),
    [sym_this] = ACTIONS(2009),
    [sym_super] = ACTIONS(2009),
    [sym_true] = ACTIONS(2009),
    [sym_false] = ACTIONS(2009),
    [sym_null] = ACTIONS(2009),
    [sym_undefined] = ACTIONS(2009),
    [anon_sym_AT] = ACTIONS(2007),
    [anon_sym_static] = ACTIONS(2009),
    [anon_sym_readonly] = ACTIONS(2009),
    [anon_sym_get] = ACTIONS(2009),
    [anon_sym_set] = ACTIONS(2009),
    [anon_sym_declare] = ACTIONS(2009),
    [anon_sym_public] = ACTIONS(2009),
    [anon_sym_private] = ACTIONS(2009),
    [anon_sym_protected] = ACTIONS(2009),
    [anon_sym_override] = ACTIONS(2009),
    [anon_sym_module] = ACTIONS(2009),
    [anon_sym_any] = ACTIONS(2009),
    [anon_sym_number] = ACTIONS(2009),
    [anon_sym_boolean] = ACTIONS(2009),
    [anon_sym_string] = ACTIONS(2009),
    [anon_sym_symbol] = ACTIONS(2009),
    [anon_sym_abstract] = ACTIONS(2009),
    [anon_sym_interface] = ACTIONS(2009),
    [anon_sym_enum] = ACTIONS(2009),
  },
  [547] = {
    [ts_builtin_sym_end] = ACTIONS(1203),
    [sym_identifier] = ACTIONS(1205),
    [anon_sym_export] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_type] = ACTIONS(1205),
    [anon_sym_namespace] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1203),
    [anon_sym_RBRACE] = ACTIONS(1203),
    [anon_sym_typeof] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1205),
    [anon_sym_var] = ACTIONS(1205),
    [anon_sym_let] = ACTIONS(1205),
    [anon_sym_const] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1203),
    [anon_sym_else] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_switch] = ACTIONS(1205),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1203),
    [anon_sym_await] = ACTIONS(1205),
    [anon_sym_while] = ACTIONS(1205),
    [anon_sym_do] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_with] = ACTIONS(1205),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1205),
    [anon_sym_debugger] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(1205),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1203),
    [anon_sym_case] = ACTIONS(1205),
    [anon_sym_yield] = ACTIONS(1205),
    [anon_sym_LBRACK] = ACTIONS(1203),
    [anon_sym_LT] = ACTIONS(1203),
    [anon_sym_SLASH] = ACTIONS(1205),
    [anon_sym_class] = ACTIONS(1205),
    [anon_sym_async] = ACTIONS(1205),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_new] = ACTIONS(1205),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1203),
    [anon_sym_void] = ACTIONS(1205),
    [anon_sym_delete] = ACTIONS(1205),
    [anon_sym_PLUS_PLUS] = ACTIONS(1203),
    [anon_sym_DASH_DASH] = ACTIONS(1203),
    [anon_sym_DQUOTE] = ACTIONS(1203),
    [anon_sym_SQUOTE] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1203),
    [sym_number] = ACTIONS(1203),
    [sym_this] = ACTIONS(1205),
    [sym_super] = ACTIONS(1205),
    [sym_true] = ACTIONS(1205),
    [sym_false] = ACTIONS(1205),
    [sym_null] = ACTIONS(1205),
    [sym_undefined] = ACTIONS(1205),
    [anon_sym_AT] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1205),
    [anon_sym_readonly] = ACTIONS(1205),
    [anon_sym_get] = ACTIONS(1205),
    [anon_sym_set] = ACTIONS(1205),
    [anon_sym_declare] = ACTIONS(1205),
    [anon_sym_public] = ACTIONS(1205),
    [anon_sym_private] = ACTIONS(1205),
    [anon_sym_protected] = ACTIONS(1205),
    [anon_sym_override] = ACTIONS(1205),
    [anon_sym_module] = ACTIONS(1205),
    [anon_sym_any] = ACTIONS(1205),
    [anon_sym_number] = ACTIONS(1205),
    [anon_sym_boolean] = ACTIONS(1205),
    [anon_sym_string] = ACTIONS(1205),
    [anon_sym_symbol] = ACTIONS(1205),
    [anon_sym_abstract] = ACTIONS(1205),
    [anon_sym_interface] = ACTIONS(1205),
    [anon_sym_enum] = ACTIONS(1205),
  },
  [548] = {
    [ts_builtin_sym_end] = ACTIONS(1313),
    [sym_identifier] = ACTIONS(1315),
    [anon_sym_export] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1315),
    [anon_sym_type] = ACTIONS(1315),
    [anon_sym_namespace] = ACTIONS(1315),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [anon_sym_typeof] = ACTIONS(1315),
    [anon_sym_import] = ACTIONS(1315),
    [anon_sym_var] = ACTIONS(1315),
    [anon_sym_let] = ACTIONS(1315),
    [anon_sym_const] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_else] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1315),
    [anon_sym_for] = ACTIONS(1315),
    [anon_sym_LPAREN] = ACTIONS(1313),
    [anon_sym_await] = ACTIONS(1315),
    [anon_sym_while] = ACTIONS(1315),
    [anon_sym_do] = ACTIONS(1315),
    [anon_sym_try] = ACTIONS(1315),
    [anon_sym_with] = ACTIONS(1315),
    [anon_sym_break] = ACTIONS(1315),
    [anon_sym_continue] = ACTIONS(1315),
    [anon_sym_debugger] = ACTIONS(1315),
    [anon_sym_return] = ACTIONS(1315),
    [anon_sym_throw] = ACTIONS(1315),
    [anon_sym_SEMI] = ACTIONS(1313),
    [anon_sym_case] = ACTIONS(1315),
    [anon_sym_yield] = ACTIONS(1315),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1315),
    [anon_sym_class] = ACTIONS(1315),
    [anon_sym_async] = ACTIONS(1315),
    [anon_sym_function] = ACTIONS(1315),
    [anon_sym_new] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1315),
    [anon_sym_DASH] = ACTIONS(1315),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_void] = ACTIONS(1315),
    [anon_sym_delete] = ACTIONS(1315),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE] = ACTIONS(1313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1313),
    [sym_number] = ACTIONS(1313),
    [sym_this] = ACTIONS(1315),
    [sym_super] = ACTIONS(1315),
    [sym_true] = ACTIONS(1315),
    [sym_false] = ACTIONS(1315),
    [sym_null] = ACTIONS(1315),
    [sym_undefined] = ACTIONS(1315),
    [anon_sym_AT] = ACTIONS(1313),
    [anon_sym_static] = ACTIONS(1315),
    [anon_sym_readonly] = ACTIONS(1315),
    [anon_sym_get] = ACTIONS(1315),
    [anon_sym_set] = ACTIONS(1315),
    [anon_sym_declare] = ACTIONS(1315),
    [anon_sym_public] = ACTIONS(1315),
    [anon_sym_private] = ACTIONS(1315),
    [anon_sym_protected] = ACTIONS(1315),
    [anon_sym_override] = ACTIONS(1315),
    [anon_sym_module] = ACTIONS(1315),
    [anon_sym_any] = ACTIONS(1315),
    [anon_sym_number] = ACTIONS(1315),
    [anon_sym_boolean] = ACTIONS(1315),
    [anon_sym_string] = ACTIONS(1315),
    [anon_sym_symbol] = ACTIONS(1315),
    [anon_sym_abstract] = ACTIONS(1315),
    [anon_sym_interface] = ACTIONS(1315),
    [anon_sym_enum] = ACTIONS(1315),
  },
  [549] = {
    [ts_builtin_sym_end] = ACTIONS(2011),
    [sym_identifier] = ACTIONS(2013),
    [anon_sym_export] = ACTIONS(2013),
    [anon_sym_default] = ACTIONS(2013),
    [anon_sym_type] = ACTIONS(2013),
    [anon_sym_namespace] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2011),
    [anon_sym_RBRACE] = ACTIONS(2011),
    [anon_sym_typeof] = ACTIONS(2013),
    [anon_sym_import] = ACTIONS(2013),
    [anon_sym_var] = ACTIONS(2013),
    [anon_sym_let] = ACTIONS(2013),
    [anon_sym_const] = ACTIONS(2013),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_else] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_switch] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2011),
    [anon_sym_await] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_with] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_debugger] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2011),
    [anon_sym_case] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2011),
    [anon_sym_SLASH] = ACTIONS(2013),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_async] = ACTIONS(2013),
    [anon_sym_function] = ACTIONS(2013),
    [anon_sym_new] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_TILDE] = ACTIONS(2011),
    [anon_sym_void] = ACTIONS(2013),
    [anon_sym_delete] = ACTIONS(2013),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2011),
    [anon_sym_SQUOTE] = ACTIONS(2011),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2011),
    [sym_number] = ACTIONS(2011),
    [sym_this] = ACTIONS(2013),
    [sym_super] = ACTIONS(2013),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [sym_null] = ACTIONS(2013),
    [sym_undefined] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2011),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_readonly] = ACTIONS(2013),
    [anon_sym_get] = ACTIONS(2013),
    [anon_sym_set] = ACTIONS(2013),
    [anon_sym_declare] = ACTIONS(2013),
    [anon_sym_public] = ACTIONS(2013),
    [anon_sym_private] = ACTIONS(2013),
    [anon_sym_protected] = ACTIONS(2013),
    [anon_sym_override] = ACTIONS(2013),
    [anon_sym_module] = ACTIONS(2013),
    [anon_sym_any] = ACTIONS(2013),
    [anon_sym_number] = ACTIONS(2013),
    [anon_sym_boolean] = ACTIONS(2013),
    [anon_sym_string] = ACTIONS(2013),
    [anon_sym_symbol] = ACTIONS(2013),
    [anon_sym_abstract] = ACTIONS(2013),
    [anon_sym_interface] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
  },
  [550] = {
    [ts_builtin_sym_end] = ACTIONS(2015),
    [sym_identifier] = ACTIONS(2017),
    [anon_sym_export] = ACTIONS(2017),
    [anon_sym_default] = ACTIONS(2017),
    [anon_sym_type] = ACTIONS(2017),
    [anon_sym_namespace] = ACTIONS(2017),
    [anon_sym_LBRACE] = ACTIONS(2015),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_typeof] = ACTIONS(2017),
    [anon_sym_import] = ACTIONS(2017),
    [anon_sym_var] = ACTIONS(2017),
    [anon_sym_let] = ACTIONS(2017),
    [anon_sym_const] = ACTIONS(2017),
    [anon_sym_BANG] = ACTIONS(2015),
    [anon_sym_else] = ACTIONS(2017),
    [anon_sym_if] = ACTIONS(2017),
    [anon_sym_switch] = ACTIONS(2017),
    [anon_sym_for] = ACTIONS(2017),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_await] = ACTIONS(2017),
    [anon_sym_while] = ACTIONS(2017),
    [anon_sym_do] = ACTIONS(2017),
    [anon_sym_try] = ACTIONS(2017),
    [anon_sym_with] = ACTIONS(2017),
    [anon_sym_break] = ACTIONS(2017),
    [anon_sym_continue] = ACTIONS(2017),
    [anon_sym_debugger] = ACTIONS(2017),
    [anon_sym_return] = ACTIONS(2017),
    [anon_sym_throw] = ACTIONS(2017),
    [anon_sym_SEMI] = ACTIONS(2015),
    [anon_sym_case] = ACTIONS(2017),
    [anon_sym_yield] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2015),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_class] = ACTIONS(2017),
    [anon_sym_async] = ACTIONS(2017),
    [anon_sym_function] = ACTIONS(2017),
    [anon_sym_new] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_TILDE] = ACTIONS(2015),
    [anon_sym_void] = ACTIONS(2017),
    [anon_sym_delete] = ACTIONS(2017),
    [anon_sym_PLUS_PLUS] = ACTIONS(2015),
    [anon_sym_DASH_DASH] = ACTIONS(2015),
    [anon_sym_DQUOTE] = ACTIONS(2015),
    [anon_sym_SQUOTE] = ACTIONS(2015),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2015),
    [sym_number] = ACTIONS(2015),
    [sym_this] = ACTIONS(2017),
    [sym_super] = ACTIONS(2017),
    [sym_true] = ACTIONS(2017),
    [sym_false] = ACTIONS(2017),
    [sym_null] = ACTIONS(2017),
    [sym_undefined] = ACTIONS(2017),
    [anon_sym_AT] = ACTIONS(2015),
    [anon_sym_static] = ACTIONS(2017),
    [anon_sym_readonly] = ACTIONS(2017),
    [anon_sym_get] = ACTIONS(2017),
    [anon_sym_set] = ACTIONS(2017),
    [anon_sym_declare] = ACTIONS(2017),
    [anon_sym_public] = ACTIONS(2017),
    [anon_sym_private] = ACTIONS(2017),
    [anon_sym_protected] = ACTIONS(2017),
    [anon_sym_override] = ACTIONS(2017),
    [anon_sym_module] = ACTIONS(2017),
    [anon_sym_any] = ACTIONS(2017),
    [anon_sym_number] = ACTIONS(2017),
    [anon_sym_boolean] = ACTIONS(2017),
    [anon_sym_string] = ACTIONS(2017),
    [anon_sym_symbol] = ACTIONS(2017),
    [anon_sym_abstract] = ACTIONS(2017),
    [anon_sym_interface] = ACTIONS(2017),
    [anon_sym_enum] = ACTIONS(2017),
  },
  [551] = {
    [ts_builtin_sym_end] = ACTIONS(2019),
    [sym_identifier] = ACTIONS(2021),
    [anon_sym_export] = ACTIONS(2021),
    [anon_sym_default] = ACTIONS(2021),
    [anon_sym_type] = ACTIONS(2021),
    [anon_sym_namespace] = ACTIONS(2021),
    [anon_sym_LBRACE] = ACTIONS(2019),
    [anon_sym_RBRACE] = ACTIONS(2019),
    [anon_sym_typeof] = ACTIONS(2021),
    [anon_sym_import] = ACTIONS(2021),
    [anon_sym_var] = ACTIONS(2021),
    [anon_sym_let] = ACTIONS(2021),
    [anon_sym_const] = ACTIONS(2021),
    [anon_sym_BANG] = ACTIONS(2019),
    [anon_sym_else] = ACTIONS(2021),
    [anon_sym_if] = ACTIONS(2021),
    [anon_sym_switch] = ACTIONS(2021),
    [anon_sym_for] = ACTIONS(2021),
    [anon_sym_LPAREN] = ACTIONS(2019),
    [anon_sym_await] = ACTIONS(2021),
    [anon_sym_while] = ACTIONS(2021),
    [anon_sym_do] = ACTIONS(2021),
    [anon_sym_try] = ACTIONS(2021),
    [anon_sym_with] = ACTIONS(2021),
    [anon_sym_break] = ACTIONS(2021),
    [anon_sym_continue] = ACTIONS(2021),
    [anon_sym_debugger] = ACTIONS(2021),
    [anon_sym_return] = ACTIONS(2021),
    [anon_sym_throw] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2019),
    [anon_sym_case] = ACTIONS(2021),
    [anon_sym_yield] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2019),
    [anon_sym_LT] = ACTIONS(2019),
    [anon_sym_SLASH] = ACTIONS(2021),
    [anon_sym_class] = ACTIONS(2021),
    [anon_sym_async] = ACTIONS(2021),
    [anon_sym_function] = ACTIONS(2021),
    [anon_sym_new] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2021),
    [anon_sym_TILDE] = ACTIONS(2019),
    [anon_sym_void] = ACTIONS(2021),
    [anon_sym_delete] = ACTIONS(2021),
    [anon_sym_PLUS_PLUS] = ACTIONS(2019),
    [anon_sym_DASH_DASH] = ACTIONS(2019),
    [anon_sym_DQUOTE] = ACTIONS(2019),
    [anon_sym_SQUOTE] = ACTIONS(2019),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2019),
    [sym_number] = ACTIONS(2019),
    [sym_this] = ACTIONS(2021),
    [sym_super] = ACTIONS(2021),
    [sym_true] = ACTIONS(2021),
    [sym_false] = ACTIONS(2021),
    [sym_null] = ACTIONS(2021),
    [sym_undefined] = ACTIONS(2021),
    [anon_sym_AT] = ACTIONS(2019),
    [anon_sym_static] = ACTIONS(2021),
    [anon_sym_readonly] = ACTIONS(2021),
    [anon_sym_get] = ACTIONS(2021),
    [anon_sym_set] = ACTIONS(2021),
    [anon_sym_declare] = ACTIONS(2021),
    [anon_sym_public] = ACTIONS(2021),
    [anon_sym_private] = ACTIONS(2021),
    [anon_sym_protected] = ACTIONS(2021),
    [anon_sym_override] = ACTIONS(2021),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_any] = ACTIONS(2021),
    [anon_sym_number] = ACTIONS(2021),
    [anon_sym_boolean] = ACTIONS(2021),
    [anon_sym_string] = ACTIONS(2021),
    [anon_sym_symbol] = ACTIONS(2021),
    [anon_sym_abstract] = ACTIONS(2021),
    [anon_sym_interface] = ACTIONS(2021),
    [anon_sym_enum] = ACTIONS(2021),
  },
  [552] = {
    [ts_builtin_sym_end] = ACTIONS(2023),
    [sym_identifier] = ACTIONS(2025),
    [anon_sym_export] = ACTIONS(2025),
    [anon_sym_default] = ACTIONS(2025),
    [anon_sym_type] = ACTIONS(2025),
    [anon_sym_namespace] = ACTIONS(2025),
    [anon_sym_LBRACE] = ACTIONS(2023),
    [anon_sym_RBRACE] = ACTIONS(2023),
    [anon_sym_typeof] = ACTIONS(2025),
    [anon_sym_import] = ACTIONS(2025),
    [anon_sym_var] = ACTIONS(2025),
    [anon_sym_let] = ACTIONS(2025),
    [anon_sym_const] = ACTIONS(2025),
    [anon_sym_BANG] = ACTIONS(2023),
    [anon_sym_else] = ACTIONS(2025),
    [anon_sym_if] = ACTIONS(2025),
    [anon_sym_switch] = ACTIONS(2025),
    [anon_sym_for] = ACTIONS(2025),
    [anon_sym_LPAREN] = ACTIONS(2023),
    [anon_sym_await] = ACTIONS(2025),
    [anon_sym_while] = ACTIONS(2025),
    [anon_sym_do] = ACTIONS(2025),
    [anon_sym_try] = ACTIONS(2025),
    [anon_sym_with] = ACTIONS(2025),
    [anon_sym_break] = ACTIONS(2025),
    [anon_sym_continue] = ACTIONS(2025),
    [anon_sym_debugger] = ACTIONS(2025),
    [anon_sym_return] = ACTIONS(2025),
    [anon_sym_throw] = ACTIONS(2025),
    [anon_sym_SEMI] = ACTIONS(2023),
    [anon_sym_case] = ACTIONS(2025),
    [anon_sym_yield] = ACTIONS(2025),
    [anon_sym_LBRACK] = ACTIONS(2023),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_SLASH] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2025),
    [anon_sym_async] = ACTIONS(2025),
    [anon_sym_function] = ACTIONS(2025),
    [anon_sym_new] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2025),
    [anon_sym_DASH] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2023),
    [anon_sym_void] = ACTIONS(2025),
    [anon_sym_delete] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2023),
    [anon_sym_DASH_DASH] = ACTIONS(2023),
    [anon_sym_DQUOTE] = ACTIONS(2023),
    [anon_sym_SQUOTE] = ACTIONS(2023),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2023),
    [sym_number] = ACTIONS(2023),
    [sym_this] = ACTIONS(2025),
    [sym_super] = ACTIONS(2025),
    [sym_true] = ACTIONS(2025),
    [sym_false] = ACTIONS(2025),
    [sym_null] = ACTIONS(2025),
    [sym_undefined] = ACTIONS(2025),
    [anon_sym_AT] = ACTIONS(2023),
    [anon_sym_static] = ACTIONS(2025),
    [anon_sym_readonly] = ACTIONS(2025),
    [anon_sym_get] = ACTIONS(2025),
    [anon_sym_set] = ACTIONS(2025),
    [anon_sym_declare] = ACTIONS(2025),
    [anon_sym_public] = ACTIONS(2025),
    [anon_sym_private] = ACTIONS(2025),
    [anon_sym_protected] = ACTIONS(2025),
    [anon_sym_override] = ACTIONS(2025),
    [anon_sym_module] = ACTIONS(2025),
    [anon_sym_any] = ACTIONS(2025),
    [anon_sym_number] = ACTIONS(2025),
    [anon_sym_boolean] = ACTIONS(2025),
    [anon_sym_string] = ACTIONS(2025),
    [anon_sym_symbol] = ACTIONS(2025),
    [anon_sym_abstract] = ACTIONS(2025),
    [anon_sym_interface] = ACTIONS(2025),
    [anon_sym_enum] = ACTIONS(2025),
  },
  [553] = {
    [ts_builtin_sym_end] = ACTIONS(2027),
    [sym_identifier] = ACTIONS(2029),
    [anon_sym_export] = ACTIONS(2029),
    [anon_sym_default] = ACTIONS(2029),
    [anon_sym_type] = ACTIONS(2029),
    [anon_sym_namespace] = ACTIONS(2029),
    [anon_sym_LBRACE] = ACTIONS(2027),
    [anon_sym_RBRACE] = ACTIONS(2027),
    [anon_sym_typeof] = ACTIONS(2029),
    [anon_sym_import] = ACTIONS(2029),
    [anon_sym_var] = ACTIONS(2029),
    [anon_sym_let] = ACTIONS(2029),
    [anon_sym_const] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2027),
    [anon_sym_else] = ACTIONS(2029),
    [anon_sym_if] = ACTIONS(2029),
    [anon_sym_switch] = ACTIONS(2029),
    [anon_sym_for] = ACTIONS(2029),
    [anon_sym_LPAREN] = ACTIONS(2027),
    [anon_sym_await] = ACTIONS(2029),
    [anon_sym_while] = ACTIONS(2029),
    [anon_sym_do] = ACTIONS(2029),
    [anon_sym_try] = ACTIONS(2029),
    [anon_sym_with] = ACTIONS(2029),
    [anon_sym_break] = ACTIONS(2029),
    [anon_sym_continue] = ACTIONS(2029),
    [anon_sym_debugger] = ACTIONS(2029),
    [anon_sym_return] = ACTIONS(2029),
    [anon_sym_throw] = ACTIONS(2029),
    [anon_sym_SEMI] = ACTIONS(2027),
    [anon_sym_case] = ACTIONS(2029),
    [anon_sym_yield] = ACTIONS(2029),
    [anon_sym_LBRACK] = ACTIONS(2027),
    [anon_sym_LT] = ACTIONS(2027),
    [anon_sym_SLASH] = ACTIONS(2029),
    [anon_sym_class] = ACTIONS(2029),
    [anon_sym_async] = ACTIONS(2029),
    [anon_sym_function] = ACTIONS(2029),
    [anon_sym_new] = ACTIONS(2029),
    [anon_sym_PLUS] = ACTIONS(2029),
    [anon_sym_DASH] = ACTIONS(2029),
    [anon_sym_TILDE] = ACTIONS(2027),
    [anon_sym_void] = ACTIONS(2029),
    [anon_sym_delete] = ACTIONS(2029),
    [anon_sym_PLUS_PLUS] = ACTIONS(2027),
    [anon_sym_DASH_DASH] = ACTIONS(2027),
    [anon_sym_DQUOTE] = ACTIONS(2027),
    [anon_sym_SQUOTE] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2027),
    [sym_number] = ACTIONS(2027),
    [sym_this] = ACTIONS(2029),
    [sym_super] = ACTIONS(2029),
    [sym_true] = ACTIONS(2029),
    [sym_false] = ACTIONS(2029),
    [sym_null] = ACTIONS(2029),
    [sym_undefined] = ACTIONS(2029),
    [anon_sym_AT] = ACTIONS(2027),
    [anon_sym_static] = ACTIONS(2029),
    [anon_sym_readonly] = ACTIONS(2029),
    [anon_sym_get] = ACTIONS(2029),
    [anon_sym_set] = ACTIONS(2029),
    [anon_sym_declare] = ACTIONS(2029),
    [anon_sym_public] = ACTIONS(2029),
    [anon_sym_private] = ACTIONS(2029),
    [anon_sym_protected] = ACTIONS(2029),
    [anon_sym_override] = ACTIONS(2029),
    [anon_sym_module] = ACTIONS(2029),
    [anon_sym_any] = ACTIONS(2029),
    [anon_sym_number] = ACTIONS(2029),
    [anon_sym_boolean] = ACTIONS(2029),
    [anon_sym_string] = ACTIONS(2029),
    [anon_sym_symbol] = ACTIONS(2029),
    [anon_sym_abstract] = ACTIONS(2029),
    [anon_sym_interface] = ACTIONS(2029),
    [anon_sym_enum] = ACTIONS(2029),
  },
  [554] = {
    [ts_builtin_sym_end] = ACTIONS(2031),
    [sym_identifier] = ACTIONS(2033),
    [anon_sym_export] = ACTIONS(2033),
    [anon_sym_default] = ACTIONS(2033),
    [anon_sym_type] = ACTIONS(2033),
    [anon_sym_namespace] = ACTIONS(2033),
    [anon_sym_LBRACE] = ACTIONS(2031),
    [anon_sym_RBRACE] = ACTIONS(2031),
    [anon_sym_typeof] = ACTIONS(2033),
    [anon_sym_import] = ACTIONS(2033),
    [anon_sym_var] = ACTIONS(2033),
    [anon_sym_let] = ACTIONS(2033),
    [anon_sym_const] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2031),
    [anon_sym_else] = ACTIONS(2033),
    [anon_sym_if] = ACTIONS(2033),
    [anon_sym_switch] = ACTIONS(2033),
    [anon_sym_for] = ACTIONS(2033),
    [anon_sym_LPAREN] = ACTIONS(2031),
    [anon_sym_await] = ACTIONS(2033),
    [anon_sym_while] = ACTIONS(2033),
    [anon_sym_do] = ACTIONS(2033),
    [anon_sym_try] = ACTIONS(2033),
    [anon_sym_with] = ACTIONS(2033),
    [anon_sym_break] = ACTIONS(2033),
    [anon_sym_continue] = ACTIONS(2033),
    [anon_sym_debugger] = ACTIONS(2033),
    [anon_sym_return] = ACTIONS(2033),
    [anon_sym_throw] = ACTIONS(2033),
    [anon_sym_SEMI] = ACTIONS(2031),
    [anon_sym_case] = ACTIONS(2033),
    [anon_sym_yield] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [anon_sym_LT] = ACTIONS(2031),
    [anon_sym_SLASH] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2033),
    [anon_sym_async] = ACTIONS(2033),
    [anon_sym_function] = ACTIONS(2033),
    [anon_sym_new] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2033),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2031),
    [anon_sym_void] = ACTIONS(2033),
    [anon_sym_delete] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2031),
    [anon_sym_DASH_DASH] = ACTIONS(2031),
    [anon_sym_DQUOTE] = ACTIONS(2031),
    [anon_sym_SQUOTE] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2031),
    [sym_number] = ACTIONS(2031),
    [sym_this] = ACTIONS(2033),
    [sym_super] = ACTIONS(2033),
    [sym_true] = ACTIONS(2033),
    [sym_false] = ACTIONS(2033),
    [sym_null] = ACTIONS(2033),
    [sym_undefined] = ACTIONS(2033),
    [anon_sym_AT] = ACTIONS(2031),
    [anon_sym_static] = ACTIONS(2033),
    [anon_sym_readonly] = ACTIONS(2033),
    [anon_sym_get] = ACTIONS(2033),
    [anon_sym_set] = ACTIONS(2033),
    [anon_sym_declare] = ACTIONS(2033),
    [anon_sym_public] = ACTIONS(2033),
    [anon_sym_private] = ACTIONS(2033),
    [anon_sym_protected] = ACTIONS(2033),
    [anon_sym_override] = ACTIONS(2033),
    [anon_sym_module] = ACTIONS(2033),
    [anon_sym_any] = ACTIONS(2033),
    [anon_sym_number] = ACTIONS(2033),
    [anon_sym_boolean] = ACTIONS(2033),
    [anon_sym_string] = ACTIONS(2033),
    [anon_sym_symbol] = ACTIONS(2033),
    [anon_sym_abstract] = ACTIONS(2033),
    [anon_sym_interface] = ACTIONS(2033),
    [anon_sym_enum] = ACTIONS(2033),
  },
  [555] = {
    [ts_builtin_sym_end] = ACTIONS(1963),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_export] = ACTIONS(1965),
    [anon_sym_default] = ACTIONS(1965),
    [anon_sym_type] = ACTIONS(1965),
    [anon_sym_namespace] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1963),
    [anon_sym_RBRACE] = ACTIONS(1963),
    [anon_sym_typeof] = ACTIONS(1965),
    [anon_sym_import] = ACTIONS(1965),
    [anon_sym_var] = ACTIONS(1965),
    [anon_sym_let] = ACTIONS(1965),
    [anon_sym_const] = ACTIONS(1965),
    [anon_sym_BANG] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(1965),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_switch] = ACTIONS(1965),
    [anon_sym_for] = ACTIONS(1965),
    [anon_sym_LPAREN] = ACTIONS(1963),
    [anon_sym_await] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1965),
    [anon_sym_do] = ACTIONS(1965),
    [anon_sym_try] = ACTIONS(1965),
    [anon_sym_with] = ACTIONS(1965),
    [anon_sym_break] = ACTIONS(1965),
    [anon_sym_continue] = ACTIONS(1965),
    [anon_sym_debugger] = ACTIONS(1965),
    [anon_sym_return] = ACTIONS(1965),
    [anon_sym_throw] = ACTIONS(1965),
    [anon_sym_SEMI] = ACTIONS(1963),
    [anon_sym_case] = ACTIONS(1965),
    [anon_sym_yield] = ACTIONS(1965),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_class] = ACTIONS(1965),
    [anon_sym_async] = ACTIONS(1965),
    [anon_sym_function] = ACTIONS(1965),
    [anon_sym_new] = ACTIONS(1965),
    [anon_sym_PLUS] = ACTIONS(1965),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_TILDE] = ACTIONS(1963),
    [anon_sym_void] = ACTIONS(1965),
    [anon_sym_delete] = ACTIONS(1965),
    [anon_sym_PLUS_PLUS] = ACTIONS(1963),
    [anon_sym_DASH_DASH] = ACTIONS(1963),
    [anon_sym_DQUOTE] = ACTIONS(1963),
    [anon_sym_SQUOTE] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1963),
    [sym_number] = ACTIONS(1963),
    [sym_this] = ACTIONS(1965),
    [sym_super] = ACTIONS(1965),
    [sym_true] = ACTIONS(1965),
    [sym_false] = ACTIONS(1965),
    [sym_null] = ACTIONS(1965),
    [sym_undefined] = ACTIONS(1965),
    [anon_sym_AT] = ACTIONS(1963),
    [anon_sym_static] = ACTIONS(1965),
    [anon_sym_readonly] = ACTIONS(1965),
    [anon_sym_get] = ACTIONS(1965),
    [anon_sym_set] = ACTIONS(1965),
    [anon_sym_declare] = ACTIONS(1965),
    [anon_sym_public] = ACTIONS(1965),
    [anon_sym_private] = ACTIONS(1965),
    [anon_sym_protected] = ACTIONS(1965),
    [anon_sym_override] = ACTIONS(1965),
    [anon_sym_module] = ACTIONS(1965),
    [anon_sym_any] = ACTIONS(1965),
    [anon_sym_number] = ACTIONS(1965),
    [anon_sym_boolean] = ACTIONS(1965),
    [anon_sym_string] = ACTIONS(1965),
    [anon_sym_symbol] = ACTIONS(1965),
    [anon_sym_abstract] = ACTIONS(1965),
    [anon_sym_interface] = ACTIONS(1965),
    [anon_sym_enum] = ACTIONS(1965),
  },
  [556] = {
    [ts_builtin_sym_end] = ACTIONS(2035),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_export] = ACTIONS(2037),
    [anon_sym_default] = ACTIONS(2037),
    [anon_sym_type] = ACTIONS(2037),
    [anon_sym_namespace] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2035),
    [anon_sym_RBRACE] = ACTIONS(2035),
    [anon_sym_typeof] = ACTIONS(2037),
    [anon_sym_import] = ACTIONS(2037),
    [anon_sym_var] = ACTIONS(2037),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_const] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2035),
    [anon_sym_else] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_switch] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_with] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_debugger] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2035),
    [anon_sym_case] = ACTIONS(2037),
    [anon_sym_yield] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2035),
    [anon_sym_LT] = ACTIONS(2035),
    [anon_sym_SLASH] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_function] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2035),
    [anon_sym_void] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2035),
    [anon_sym_DASH_DASH] = ACTIONS(2035),
    [anon_sym_DQUOTE] = ACTIONS(2035),
    [anon_sym_SQUOTE] = ACTIONS(2035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2035),
    [sym_number] = ACTIONS(2035),
    [sym_this] = ACTIONS(2037),
    [sym_super] = ACTIONS(2037),
    [sym_true] = ACTIONS(2037),
    [sym_false] = ACTIONS(2037),
    [sym_null] = ACTIONS(2037),
    [sym_undefined] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2035),
    [anon_sym_static] = ACTIONS(2037),
    [anon_sym_readonly] = ACTIONS(2037),
    [anon_sym_get] = ACTIONS(2037),
    [anon_sym_set] = ACTIONS(2037),
    [anon_sym_declare] = ACTIONS(2037),
    [anon_sym_public] = ACTIONS(2037),
    [anon_sym_private] = ACTIONS(2037),
    [anon_sym_protected] = ACTIONS(2037),
    [anon_sym_override] = ACTIONS(2037),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_any] = ACTIONS(2037),
    [anon_sym_number] = ACTIONS(2037),
    [anon_sym_boolean] = ACTIONS(2037),
    [anon_sym_string] = ACTIONS(2037),
    [anon_sym_symbol] = ACTIONS(2037),
    [anon_sym_abstract] = ACTIONS(2037),
    [anon_sym_interface] = ACTIONS(2037),
    [anon_sym_enum] = ACTIONS(2037),
  },
  [557] = {
    [ts_builtin_sym_end] = ACTIONS(2039),
    [sym_identifier] = ACTIONS(2041),
    [anon_sym_export] = ACTIONS(2041),
    [anon_sym_default] = ACTIONS(2041),
    [anon_sym_type] = ACTIONS(2041),
    [anon_sym_namespace] = ACTIONS(2041),
    [anon_sym_LBRACE] = ACTIONS(2039),
    [anon_sym_RBRACE] = ACTIONS(2039),
    [anon_sym_typeof] = ACTIONS(2041),
    [anon_sym_import] = ACTIONS(2041),
    [anon_sym_var] = ACTIONS(2041),
    [anon_sym_let] = ACTIONS(2041),
    [anon_sym_const] = ACTIONS(2041),
    [anon_sym_BANG] = ACTIONS(2039),
    [anon_sym_else] = ACTIONS(2041),
    [anon_sym_if] = ACTIONS(2041),
    [anon_sym_switch] = ACTIONS(2041),
    [anon_sym_for] = ACTIONS(2041),
    [anon_sym_LPAREN] = ACTIONS(2039),
    [anon_sym_await] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2041),
    [anon_sym_do] = ACTIONS(2041),
    [anon_sym_try] = ACTIONS(2041),
    [anon_sym_with] = ACTIONS(2041),
    [anon_sym_break] = ACTIONS(2041),
    [anon_sym_continue] = ACTIONS(2041),
    [anon_sym_debugger] = ACTIONS(2041),
    [anon_sym_return] = ACTIONS(2041),
    [anon_sym_throw] = ACTIONS(2041),
    [anon_sym_SEMI] = ACTIONS(2039),
    [anon_sym_case] = ACTIONS(2041),
    [anon_sym_yield] = ACTIONS(2041),
    [anon_sym_LBRACK] = ACTIONS(2039),
    [anon_sym_LT] = ACTIONS(2039),
    [anon_sym_SLASH] = ACTIONS(2041),
    [anon_sym_class] = ACTIONS(2041),
    [anon_sym_async] = ACTIONS(2041),
    [anon_sym_function] = ACTIONS(2041),
    [anon_sym_new] = ACTIONS(2041),
    [anon_sym_PLUS] = ACTIONS(2041),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_TILDE] = ACTIONS(2039),
    [anon_sym_void] = ACTIONS(2041),
    [anon_sym_delete] = ACTIONS(2041),
    [anon_sym_PLUS_PLUS] = ACTIONS(2039),
    [anon_sym_DASH_DASH] = ACTIONS(2039),
    [anon_sym_DQUOTE] = ACTIONS(2039),
    [anon_sym_SQUOTE] = ACTIONS(2039),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2039),
    [sym_number] = ACTIONS(2039),
    [sym_this] = ACTIONS(2041),
    [sym_super] = ACTIONS(2041),
    [sym_true] = ACTIONS(2041),
    [sym_false] = ACTIONS(2041),
    [sym_null] = ACTIONS(2041),
    [sym_undefined] = ACTIONS(2041),
    [anon_sym_AT] = ACTIONS(2039),
    [anon_sym_static] = ACTIONS(2041),
    [anon_sym_readonly] = ACTIONS(2041),
    [anon_sym_get] = ACTIONS(2041),
    [anon_sym_set] = ACTIONS(2041),
    [anon_sym_declare] = ACTIONS(2041),
    [anon_sym_public] = ACTIONS(2041),
    [anon_sym_private] = ACTIONS(2041),
    [anon_sym_protected] = ACTIONS(2041),
    [anon_sym_override] = ACTIONS(2041),
    [anon_sym_module] = ACTIONS(2041),
    [anon_sym_any] = ACTIONS(2041),
    [anon_sym_number] = ACTIONS(2041),
    [anon_sym_boolean] = ACTIONS(2041),
    [anon_sym_string] = ACTIONS(2041),
    [anon_sym_symbol] = ACTIONS(2041),
    [anon_sym_abstract] = ACTIONS(2041),
    [anon_sym_interface] = ACTIONS(2041),
    [anon_sym_enum] = ACTIONS(2041),
  },
  [558] = {
    [ts_builtin_sym_end] = ACTIONS(2035),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_export] = ACTIONS(2037),
    [anon_sym_default] = ACTIONS(2037),
    [anon_sym_type] = ACTIONS(2037),
    [anon_sym_namespace] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2035),
    [anon_sym_RBRACE] = ACTIONS(2035),
    [anon_sym_typeof] = ACTIONS(2037),
    [anon_sym_import] = ACTIONS(2037),
    [anon_sym_var] = ACTIONS(2037),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_const] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2035),
    [anon_sym_else] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_switch] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_with] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_debugger] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2035),
    [anon_sym_case] = ACTIONS(2037),
    [anon_sym_yield] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2035),
    [anon_sym_LT] = ACTIONS(2035),
    [anon_sym_SLASH] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_function] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2035),
    [anon_sym_void] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2035),
    [anon_sym_DASH_DASH] = ACTIONS(2035),
    [anon_sym_DQUOTE] = ACTIONS(2035),
    [anon_sym_SQUOTE] = ACTIONS(2035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2035),
    [sym_number] = ACTIONS(2035),
    [sym_this] = ACTIONS(2037),
    [sym_super] = ACTIONS(2037),
    [sym_true] = ACTIONS(2037),
    [sym_false] = ACTIONS(2037),
    [sym_null] = ACTIONS(2037),
    [sym_undefined] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2035),
    [anon_sym_static] = ACTIONS(2037),
    [anon_sym_readonly] = ACTIONS(2037),
    [anon_sym_get] = ACTIONS(2037),
    [anon_sym_set] = ACTIONS(2037),
    [anon_sym_declare] = ACTIONS(2037),
    [anon_sym_public] = ACTIONS(2037),
    [anon_sym_private] = ACTIONS(2037),
    [anon_sym_protected] = ACTIONS(2037),
    [anon_sym_override] = ACTIONS(2037),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_any] = ACTIONS(2037),
    [anon_sym_number] = ACTIONS(2037),
    [anon_sym_boolean] = ACTIONS(2037),
    [anon_sym_string] = ACTIONS(2037),
    [anon_sym_symbol] = ACTIONS(2037),
    [anon_sym_abstract] = ACTIONS(2037),
    [anon_sym_interface] = ACTIONS(2037),
    [anon_sym_enum] = ACTIONS(2037),
  },
  [559] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [560] = {
    [ts_builtin_sym_end] = ACTIONS(2047),
    [sym_identifier] = ACTIONS(2049),
    [anon_sym_export] = ACTIONS(2049),
    [anon_sym_default] = ACTIONS(2049),
    [anon_sym_type] = ACTIONS(2049),
    [anon_sym_namespace] = ACTIONS(2049),
    [anon_sym_LBRACE] = ACTIONS(2047),
    [anon_sym_RBRACE] = ACTIONS(2047),
    [anon_sym_typeof] = ACTIONS(2049),
    [anon_sym_import] = ACTIONS(2049),
    [anon_sym_var] = ACTIONS(2049),
    [anon_sym_let] = ACTIONS(2049),
    [anon_sym_const] = ACTIONS(2049),
    [anon_sym_BANG] = ACTIONS(2047),
    [anon_sym_else] = ACTIONS(2049),
    [anon_sym_if] = ACTIONS(2049),
    [anon_sym_switch] = ACTIONS(2049),
    [anon_sym_for] = ACTIONS(2049),
    [anon_sym_LPAREN] = ACTIONS(2047),
    [anon_sym_await] = ACTIONS(2049),
    [anon_sym_while] = ACTIONS(2049),
    [anon_sym_do] = ACTIONS(2049),
    [anon_sym_try] = ACTIONS(2049),
    [anon_sym_with] = ACTIONS(2049),
    [anon_sym_break] = ACTIONS(2049),
    [anon_sym_continue] = ACTIONS(2049),
    [anon_sym_debugger] = ACTIONS(2049),
    [anon_sym_return] = ACTIONS(2049),
    [anon_sym_throw] = ACTIONS(2049),
    [anon_sym_SEMI] = ACTIONS(2047),
    [anon_sym_case] = ACTIONS(2049),
    [anon_sym_yield] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(2047),
    [anon_sym_LT] = ACTIONS(2047),
    [anon_sym_SLASH] = ACTIONS(2049),
    [anon_sym_class] = ACTIONS(2049),
    [anon_sym_async] = ACTIONS(2049),
    [anon_sym_function] = ACTIONS(2049),
    [anon_sym_new] = ACTIONS(2049),
    [anon_sym_PLUS] = ACTIONS(2049),
    [anon_sym_DASH] = ACTIONS(2049),
    [anon_sym_TILDE] = ACTIONS(2047),
    [anon_sym_void] = ACTIONS(2049),
    [anon_sym_delete] = ACTIONS(2049),
    [anon_sym_PLUS_PLUS] = ACTIONS(2047),
    [anon_sym_DASH_DASH] = ACTIONS(2047),
    [anon_sym_DQUOTE] = ACTIONS(2047),
    [anon_sym_SQUOTE] = ACTIONS(2047),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2047),
    [sym_number] = ACTIONS(2047),
    [sym_this] = ACTIONS(2049),
    [sym_super] = ACTIONS(2049),
    [sym_true] = ACTIONS(2049),
    [sym_false] = ACTIONS(2049),
    [sym_null] = ACTIONS(2049),
    [sym_undefined] = ACTIONS(2049),
    [anon_sym_AT] = ACTIONS(2047),
    [anon_sym_static] = ACTIONS(2049),
    [anon_sym_readonly] = ACTIONS(2049),
    [anon_sym_get] = ACTIONS(2049),
    [anon_sym_set] = ACTIONS(2049),
    [anon_sym_declare] = ACTIONS(2049),
    [anon_sym_public] = ACTIONS(2049),
    [anon_sym_private] = ACTIONS(2049),
    [anon_sym_protected] = ACTIONS(2049),
    [anon_sym_override] = ACTIONS(2049),
    [anon_sym_module] = ACTIONS(2049),
    [anon_sym_any] = ACTIONS(2049),
    [anon_sym_number] = ACTIONS(2049),
    [anon_sym_boolean] = ACTIONS(2049),
    [anon_sym_string] = ACTIONS(2049),
    [anon_sym_symbol] = ACTIONS(2049),
    [anon_sym_abstract] = ACTIONS(2049),
    [anon_sym_interface] = ACTIONS(2049),
    [anon_sym_enum] = ACTIONS(2049),
  },
  [561] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [562] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [563] = {
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym_identifier] = ACTIONS(2053),
    [anon_sym_export] = ACTIONS(2053),
    [anon_sym_default] = ACTIONS(2053),
    [anon_sym_type] = ACTIONS(2053),
    [anon_sym_namespace] = ACTIONS(2053),
    [anon_sym_LBRACE] = ACTIONS(2051),
    [anon_sym_RBRACE] = ACTIONS(2051),
    [anon_sym_typeof] = ACTIONS(2053),
    [anon_sym_import] = ACTIONS(2053),
    [anon_sym_var] = ACTIONS(2053),
    [anon_sym_let] = ACTIONS(2053),
    [anon_sym_const] = ACTIONS(2053),
    [anon_sym_BANG] = ACTIONS(2051),
    [anon_sym_else] = ACTIONS(2053),
    [anon_sym_if] = ACTIONS(2053),
    [anon_sym_switch] = ACTIONS(2053),
    [anon_sym_for] = ACTIONS(2053),
    [anon_sym_LPAREN] = ACTIONS(2051),
    [anon_sym_await] = ACTIONS(2053),
    [anon_sym_while] = ACTIONS(2053),
    [anon_sym_do] = ACTIONS(2053),
    [anon_sym_try] = ACTIONS(2053),
    [anon_sym_with] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2053),
    [anon_sym_continue] = ACTIONS(2053),
    [anon_sym_debugger] = ACTIONS(2053),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_throw] = ACTIONS(2053),
    [anon_sym_SEMI] = ACTIONS(2051),
    [anon_sym_case] = ACTIONS(2053),
    [anon_sym_yield] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_LT] = ACTIONS(2051),
    [anon_sym_SLASH] = ACTIONS(2053),
    [anon_sym_class] = ACTIONS(2053),
    [anon_sym_async] = ACTIONS(2053),
    [anon_sym_function] = ACTIONS(2053),
    [anon_sym_new] = ACTIONS(2053),
    [anon_sym_PLUS] = ACTIONS(2053),
    [anon_sym_DASH] = ACTIONS(2053),
    [anon_sym_TILDE] = ACTIONS(2051),
    [anon_sym_void] = ACTIONS(2053),
    [anon_sym_delete] = ACTIONS(2053),
    [anon_sym_PLUS_PLUS] = ACTIONS(2051),
    [anon_sym_DASH_DASH] = ACTIONS(2051),
    [anon_sym_DQUOTE] = ACTIONS(2051),
    [anon_sym_SQUOTE] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2051),
    [sym_number] = ACTIONS(2051),
    [sym_this] = ACTIONS(2053),
    [sym_super] = ACTIONS(2053),
    [sym_true] = ACTIONS(2053),
    [sym_false] = ACTIONS(2053),
    [sym_null] = ACTIONS(2053),
    [sym_undefined] = ACTIONS(2053),
    [anon_sym_AT] = ACTIONS(2051),
    [anon_sym_static] = ACTIONS(2053),
    [anon_sym_readonly] = ACTIONS(2053),
    [anon_sym_get] = ACTIONS(2053),
    [anon_sym_set] = ACTIONS(2053),
    [anon_sym_declare] = ACTIONS(2053),
    [anon_sym_public] = ACTIONS(2053),
    [anon_sym_private] = ACTIONS(2053),
    [anon_sym_protected] = ACTIONS(2053),
    [anon_sym_override] = ACTIONS(2053),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_any] = ACTIONS(2053),
    [anon_sym_number] = ACTIONS(2053),
    [anon_sym_boolean] = ACTIONS(2053),
    [anon_sym_string] = ACTIONS(2053),
    [anon_sym_symbol] = ACTIONS(2053),
    [anon_sym_abstract] = ACTIONS(2053),
    [anon_sym_interface] = ACTIONS(2053),
    [anon_sym_enum] = ACTIONS(2053),
  },
  [564] = {
    [ts_builtin_sym_end] = ACTIONS(2055),
    [sym_identifier] = ACTIONS(2057),
    [anon_sym_export] = ACTIONS(2057),
    [anon_sym_default] = ACTIONS(2057),
    [anon_sym_type] = ACTIONS(2057),
    [anon_sym_namespace] = ACTIONS(2057),
    [anon_sym_LBRACE] = ACTIONS(2055),
    [anon_sym_RBRACE] = ACTIONS(2055),
    [anon_sym_typeof] = ACTIONS(2057),
    [anon_sym_import] = ACTIONS(2057),
    [anon_sym_var] = ACTIONS(2057),
    [anon_sym_let] = ACTIONS(2057),
    [anon_sym_const] = ACTIONS(2057),
    [anon_sym_BANG] = ACTIONS(2055),
    [anon_sym_else] = ACTIONS(2057),
    [anon_sym_if] = ACTIONS(2057),
    [anon_sym_switch] = ACTIONS(2057),
    [anon_sym_for] = ACTIONS(2057),
    [anon_sym_LPAREN] = ACTIONS(2055),
    [anon_sym_await] = ACTIONS(2057),
    [anon_sym_while] = ACTIONS(2057),
    [anon_sym_do] = ACTIONS(2057),
    [anon_sym_try] = ACTIONS(2057),
    [anon_sym_with] = ACTIONS(2057),
    [anon_sym_break] = ACTIONS(2057),
    [anon_sym_continue] = ACTIONS(2057),
    [anon_sym_debugger] = ACTIONS(2057),
    [anon_sym_return] = ACTIONS(2057),
    [anon_sym_throw] = ACTIONS(2057),
    [anon_sym_SEMI] = ACTIONS(2055),
    [anon_sym_case] = ACTIONS(2057),
    [anon_sym_yield] = ACTIONS(2057),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2055),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_class] = ACTIONS(2057),
    [anon_sym_async] = ACTIONS(2057),
    [anon_sym_function] = ACTIONS(2057),
    [anon_sym_new] = ACTIONS(2057),
    [anon_sym_PLUS] = ACTIONS(2057),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_TILDE] = ACTIONS(2055),
    [anon_sym_void] = ACTIONS(2057),
    [anon_sym_delete] = ACTIONS(2057),
    [anon_sym_PLUS_PLUS] = ACTIONS(2055),
    [anon_sym_DASH_DASH] = ACTIONS(2055),
    [anon_sym_DQUOTE] = ACTIONS(2055),
    [anon_sym_SQUOTE] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2055),
    [sym_number] = ACTIONS(2055),
    [sym_this] = ACTIONS(2057),
    [sym_super] = ACTIONS(2057),
    [sym_true] = ACTIONS(2057),
    [sym_false] = ACTIONS(2057),
    [sym_null] = ACTIONS(2057),
    [sym_undefined] = ACTIONS(2057),
    [anon_sym_AT] = ACTIONS(2055),
    [anon_sym_static] = ACTIONS(2057),
    [anon_sym_readonly] = ACTIONS(2057),
    [anon_sym_get] = ACTIONS(2057),
    [anon_sym_set] = ACTIONS(2057),
    [anon_sym_declare] = ACTIONS(2057),
    [anon_sym_public] = ACTIONS(2057),
    [anon_sym_private] = ACTIONS(2057),
    [anon_sym_protected] = ACTIONS(2057),
    [anon_sym_override] = ACTIONS(2057),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_any] = ACTIONS(2057),
    [anon_sym_number] = ACTIONS(2057),
    [anon_sym_boolean] = ACTIONS(2057),
    [anon_sym_string] = ACTIONS(2057),
    [anon_sym_symbol] = ACTIONS(2057),
    [anon_sym_abstract] = ACTIONS(2057),
    [anon_sym_interface] = ACTIONS(2057),
    [anon_sym_enum] = ACTIONS(2057),
  },
  [565] = {
    [ts_builtin_sym_end] = ACTIONS(2059),
    [sym_identifier] = ACTIONS(2061),
    [anon_sym_export] = ACTIONS(2061),
    [anon_sym_default] = ACTIONS(2061),
    [anon_sym_type] = ACTIONS(2061),
    [anon_sym_namespace] = ACTIONS(2061),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_RBRACE] = ACTIONS(2059),
    [anon_sym_typeof] = ACTIONS(2061),
    [anon_sym_import] = ACTIONS(2061),
    [anon_sym_var] = ACTIONS(2061),
    [anon_sym_let] = ACTIONS(2061),
    [anon_sym_const] = ACTIONS(2061),
    [anon_sym_BANG] = ACTIONS(2059),
    [anon_sym_else] = ACTIONS(2061),
    [anon_sym_if] = ACTIONS(2061),
    [anon_sym_switch] = ACTIONS(2061),
    [anon_sym_for] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_await] = ACTIONS(2061),
    [anon_sym_while] = ACTIONS(2061),
    [anon_sym_do] = ACTIONS(2061),
    [anon_sym_try] = ACTIONS(2061),
    [anon_sym_with] = ACTIONS(2061),
    [anon_sym_break] = ACTIONS(2061),
    [anon_sym_continue] = ACTIONS(2061),
    [anon_sym_debugger] = ACTIONS(2061),
    [anon_sym_return] = ACTIONS(2061),
    [anon_sym_throw] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2059),
    [anon_sym_case] = ACTIONS(2061),
    [anon_sym_yield] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2059),
    [anon_sym_LT] = ACTIONS(2059),
    [anon_sym_SLASH] = ACTIONS(2061),
    [anon_sym_class] = ACTIONS(2061),
    [anon_sym_async] = ACTIONS(2061),
    [anon_sym_function] = ACTIONS(2061),
    [anon_sym_new] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2061),
    [anon_sym_TILDE] = ACTIONS(2059),
    [anon_sym_void] = ACTIONS(2061),
    [anon_sym_delete] = ACTIONS(2061),
    [anon_sym_PLUS_PLUS] = ACTIONS(2059),
    [anon_sym_DASH_DASH] = ACTIONS(2059),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2059),
    [sym_number] = ACTIONS(2059),
    [sym_this] = ACTIONS(2061),
    [sym_super] = ACTIONS(2061),
    [sym_true] = ACTIONS(2061),
    [sym_false] = ACTIONS(2061),
    [sym_null] = ACTIONS(2061),
    [sym_undefined] = ACTIONS(2061),
    [anon_sym_AT] = ACTIONS(2059),
    [anon_sym_static] = ACTIONS(2061),
    [anon_sym_readonly] = ACTIONS(2061),
    [anon_sym_get] = ACTIONS(2061),
    [anon_sym_set] = ACTIONS(2061),
    [anon_sym_declare] = ACTIONS(2061),
    [anon_sym_public] = ACTIONS(2061),
    [anon_sym_private] = ACTIONS(2061),
    [anon_sym_protected] = ACTIONS(2061),
    [anon_sym_override] = ACTIONS(2061),
    [anon_sym_module] = ACTIONS(2061),
    [anon_sym_any] = ACTIONS(2061),
    [anon_sym_number] = ACTIONS(2061),
    [anon_sym_boolean] = ACTIONS(2061),
    [anon_sym_string] = ACTIONS(2061),
    [anon_sym_symbol] = ACTIONS(2061),
    [anon_sym_abstract] = ACTIONS(2061),
    [anon_sym_interface] = ACTIONS(2061),
    [anon_sym_enum] = ACTIONS(2061),
  },
  [566] = {
    [ts_builtin_sym_end] = ACTIONS(2063),
    [sym_identifier] = ACTIONS(2065),
    [anon_sym_export] = ACTIONS(2065),
    [anon_sym_default] = ACTIONS(2065),
    [anon_sym_type] = ACTIONS(2065),
    [anon_sym_namespace] = ACTIONS(2065),
    [anon_sym_LBRACE] = ACTIONS(2063),
    [anon_sym_RBRACE] = ACTIONS(2063),
    [anon_sym_typeof] = ACTIONS(2065),
    [anon_sym_import] = ACTIONS(2065),
    [anon_sym_var] = ACTIONS(2065),
    [anon_sym_let] = ACTIONS(2065),
    [anon_sym_const] = ACTIONS(2065),
    [anon_sym_BANG] = ACTIONS(2063),
    [anon_sym_else] = ACTIONS(2065),
    [anon_sym_if] = ACTIONS(2065),
    [anon_sym_switch] = ACTIONS(2065),
    [anon_sym_for] = ACTIONS(2065),
    [anon_sym_LPAREN] = ACTIONS(2063),
    [anon_sym_await] = ACTIONS(2065),
    [anon_sym_while] = ACTIONS(2065),
    [anon_sym_do] = ACTIONS(2065),
    [anon_sym_try] = ACTIONS(2065),
    [anon_sym_with] = ACTIONS(2065),
    [anon_sym_break] = ACTIONS(2065),
    [anon_sym_continue] = ACTIONS(2065),
    [anon_sym_debugger] = ACTIONS(2065),
    [anon_sym_return] = ACTIONS(2065),
    [anon_sym_throw] = ACTIONS(2065),
    [anon_sym_SEMI] = ACTIONS(2063),
    [anon_sym_case] = ACTIONS(2065),
    [anon_sym_yield] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(2063),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2065),
    [anon_sym_class] = ACTIONS(2065),
    [anon_sym_async] = ACTIONS(2065),
    [anon_sym_function] = ACTIONS(2065),
    [anon_sym_new] = ACTIONS(2065),
    [anon_sym_PLUS] = ACTIONS(2065),
    [anon_sym_DASH] = ACTIONS(2065),
    [anon_sym_TILDE] = ACTIONS(2063),
    [anon_sym_void] = ACTIONS(2065),
    [anon_sym_delete] = ACTIONS(2065),
    [anon_sym_PLUS_PLUS] = ACTIONS(2063),
    [anon_sym_DASH_DASH] = ACTIONS(2063),
    [anon_sym_DQUOTE] = ACTIONS(2063),
    [anon_sym_SQUOTE] = ACTIONS(2063),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2063),
    [sym_number] = ACTIONS(2063),
    [sym_this] = ACTIONS(2065),
    [sym_super] = ACTIONS(2065),
    [sym_true] = ACTIONS(2065),
    [sym_false] = ACTIONS(2065),
    [sym_null] = ACTIONS(2065),
    [sym_undefined] = ACTIONS(2065),
    [anon_sym_AT] = ACTIONS(2063),
    [anon_sym_static] = ACTIONS(2065),
    [anon_sym_readonly] = ACTIONS(2065),
    [anon_sym_get] = ACTIONS(2065),
    [anon_sym_set] = ACTIONS(2065),
    [anon_sym_declare] = ACTIONS(2065),
    [anon_sym_public] = ACTIONS(2065),
    [anon_sym_private] = ACTIONS(2065),
    [anon_sym_protected] = ACTIONS(2065),
    [anon_sym_override] = ACTIONS(2065),
    [anon_sym_module] = ACTIONS(2065),
    [anon_sym_any] = ACTIONS(2065),
    [anon_sym_number] = ACTIONS(2065),
    [anon_sym_boolean] = ACTIONS(2065),
    [anon_sym_string] = ACTIONS(2065),
    [anon_sym_symbol] = ACTIONS(2065),
    [anon_sym_abstract] = ACTIONS(2065),
    [anon_sym_interface] = ACTIONS(2065),
    [anon_sym_enum] = ACTIONS(2065),
  },
  [567] = {
    [ts_builtin_sym_end] = ACTIONS(2067),
    [sym_identifier] = ACTIONS(2069),
    [anon_sym_export] = ACTIONS(2069),
    [anon_sym_default] = ACTIONS(2069),
    [anon_sym_type] = ACTIONS(2069),
    [anon_sym_namespace] = ACTIONS(2069),
    [anon_sym_LBRACE] = ACTIONS(2067),
    [anon_sym_RBRACE] = ACTIONS(2067),
    [anon_sym_typeof] = ACTIONS(2069),
    [anon_sym_import] = ACTIONS(2069),
    [anon_sym_var] = ACTIONS(2069),
    [anon_sym_let] = ACTIONS(2069),
    [anon_sym_const] = ACTIONS(2069),
    [anon_sym_BANG] = ACTIONS(2067),
    [anon_sym_else] = ACTIONS(2069),
    [anon_sym_if] = ACTIONS(2069),
    [anon_sym_switch] = ACTIONS(2069),
    [anon_sym_for] = ACTIONS(2069),
    [anon_sym_LPAREN] = ACTIONS(2067),
    [anon_sym_await] = ACTIONS(2069),
    [anon_sym_while] = ACTIONS(2069),
    [anon_sym_do] = ACTIONS(2069),
    [anon_sym_try] = ACTIONS(2069),
    [anon_sym_with] = ACTIONS(2069),
    [anon_sym_break] = ACTIONS(2069),
    [anon_sym_continue] = ACTIONS(2069),
    [anon_sym_debugger] = ACTIONS(2069),
    [anon_sym_return] = ACTIONS(2069),
    [anon_sym_throw] = ACTIONS(2069),
    [anon_sym_SEMI] = ACTIONS(2067),
    [anon_sym_case] = ACTIONS(2069),
    [anon_sym_yield] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2067),
    [anon_sym_SLASH] = ACTIONS(2069),
    [anon_sym_class] = ACTIONS(2069),
    [anon_sym_async] = ACTIONS(2069),
    [anon_sym_function] = ACTIONS(2069),
    [anon_sym_new] = ACTIONS(2069),
    [anon_sym_PLUS] = ACTIONS(2069),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_TILDE] = ACTIONS(2067),
    [anon_sym_void] = ACTIONS(2069),
    [anon_sym_delete] = ACTIONS(2069),
    [anon_sym_PLUS_PLUS] = ACTIONS(2067),
    [anon_sym_DASH_DASH] = ACTIONS(2067),
    [anon_sym_DQUOTE] = ACTIONS(2067),
    [anon_sym_SQUOTE] = ACTIONS(2067),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2067),
    [sym_number] = ACTIONS(2067),
    [sym_this] = ACTIONS(2069),
    [sym_super] = ACTIONS(2069),
    [sym_true] = ACTIONS(2069),
    [sym_false] = ACTIONS(2069),
    [sym_null] = ACTIONS(2069),
    [sym_undefined] = ACTIONS(2069),
    [anon_sym_AT] = ACTIONS(2067),
    [anon_sym_static] = ACTIONS(2069),
    [anon_sym_readonly] = ACTIONS(2069),
    [anon_sym_get] = ACTIONS(2069),
    [anon_sym_set] = ACTIONS(2069),
    [anon_sym_declare] = ACTIONS(2069),
    [anon_sym_public] = ACTIONS(2069),
    [anon_sym_private] = ACTIONS(2069),
    [anon_sym_protected] = ACTIONS(2069),
    [anon_sym_override] = ACTIONS(2069),
    [anon_sym_module] = ACTIONS(2069),
    [anon_sym_any] = ACTIONS(2069),
    [anon_sym_number] = ACTIONS(2069),
    [anon_sym_boolean] = ACTIONS(2069),
    [anon_sym_string] = ACTIONS(2069),
    [anon_sym_symbol] = ACTIONS(2069),
    [anon_sym_abstract] = ACTIONS(2069),
    [anon_sym_interface] = ACTIONS(2069),
    [anon_sym_enum] = ACTIONS(2069),
  },
  [568] = {
    [ts_builtin_sym_end] = ACTIONS(2071),
    [sym_identifier] = ACTIONS(2073),
    [anon_sym_export] = ACTIONS(2073),
    [anon_sym_default] = ACTIONS(2073),
    [anon_sym_type] = ACTIONS(2073),
    [anon_sym_namespace] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(2071),
    [anon_sym_RBRACE] = ACTIONS(2071),
    [anon_sym_typeof] = ACTIONS(2073),
    [anon_sym_import] = ACTIONS(2073),
    [anon_sym_var] = ACTIONS(2073),
    [anon_sym_let] = ACTIONS(2073),
    [anon_sym_const] = ACTIONS(2073),
    [anon_sym_BANG] = ACTIONS(2071),
    [anon_sym_else] = ACTIONS(2073),
    [anon_sym_if] = ACTIONS(2073),
    [anon_sym_switch] = ACTIONS(2073),
    [anon_sym_for] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2071),
    [anon_sym_await] = ACTIONS(2073),
    [anon_sym_while] = ACTIONS(2073),
    [anon_sym_do] = ACTIONS(2073),
    [anon_sym_try] = ACTIONS(2073),
    [anon_sym_with] = ACTIONS(2073),
    [anon_sym_break] = ACTIONS(2073),
    [anon_sym_continue] = ACTIONS(2073),
    [anon_sym_debugger] = ACTIONS(2073),
    [anon_sym_return] = ACTIONS(2073),
    [anon_sym_throw] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2071),
    [anon_sym_case] = ACTIONS(2073),
    [anon_sym_yield] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2071),
    [anon_sym_LT] = ACTIONS(2071),
    [anon_sym_SLASH] = ACTIONS(2073),
    [anon_sym_class] = ACTIONS(2073),
    [anon_sym_async] = ACTIONS(2073),
    [anon_sym_function] = ACTIONS(2073),
    [anon_sym_new] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2073),
    [anon_sym_TILDE] = ACTIONS(2071),
    [anon_sym_void] = ACTIONS(2073),
    [anon_sym_delete] = ACTIONS(2073),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_DQUOTE] = ACTIONS(2071),
    [anon_sym_SQUOTE] = ACTIONS(2071),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2071),
    [sym_number] = ACTIONS(2071),
    [sym_this] = ACTIONS(2073),
    [sym_super] = ACTIONS(2073),
    [sym_true] = ACTIONS(2073),
    [sym_false] = ACTIONS(2073),
    [sym_null] = ACTIONS(2073),
    [sym_undefined] = ACTIONS(2073),
    [anon_sym_AT] = ACTIONS(2071),
    [anon_sym_static] = ACTIONS(2073),
    [anon_sym_readonly] = ACTIONS(2073),
    [anon_sym_get] = ACTIONS(2073),
    [anon_sym_set] = ACTIONS(2073),
    [anon_sym_declare] = ACTIONS(2073),
    [anon_sym_public] = ACTIONS(2073),
    [anon_sym_private] = ACTIONS(2073),
    [anon_sym_protected] = ACTIONS(2073),
    [anon_sym_override] = ACTIONS(2073),
    [anon_sym_module] = ACTIONS(2073),
    [anon_sym_any] = ACTIONS(2073),
    [anon_sym_number] = ACTIONS(2073),
    [anon_sym_boolean] = ACTIONS(2073),
    [anon_sym_string] = ACTIONS(2073),
    [anon_sym_symbol] = ACTIONS(2073),
    [anon_sym_abstract] = ACTIONS(2073),
    [anon_sym_interface] = ACTIONS(2073),
    [anon_sym_enum] = ACTIONS(2073),
  },
  [569] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(2075),
    [sym_identifier] = ACTIONS(2077),
    [anon_sym_export] = ACTIONS(2077),
    [anon_sym_default] = ACTIONS(2077),
    [anon_sym_type] = ACTIONS(2077),
    [anon_sym_namespace] = ACTIONS(2077),
    [anon_sym_LBRACE] = ACTIONS(2075),
    [anon_sym_RBRACE] = ACTIONS(2075),
    [anon_sym_typeof] = ACTIONS(2077),
    [anon_sym_import] = ACTIONS(2077),
    [anon_sym_var] = ACTIONS(2077),
    [anon_sym_let] = ACTIONS(2077),
    [anon_sym_const] = ACTIONS(2077),
    [anon_sym_BANG] = ACTIONS(2075),
    [anon_sym_else] = ACTIONS(2077),
    [anon_sym_if] = ACTIONS(2077),
    [anon_sym_switch] = ACTIONS(2077),
    [anon_sym_for] = ACTIONS(2077),
    [anon_sym_LPAREN] = ACTIONS(2075),
    [anon_sym_await] = ACTIONS(2077),
    [anon_sym_while] = ACTIONS(2077),
    [anon_sym_do] = ACTIONS(2077),
    [anon_sym_try] = ACTIONS(2077),
    [anon_sym_with] = ACTIONS(2077),
    [anon_sym_break] = ACTIONS(2077),
    [anon_sym_continue] = ACTIONS(2077),
    [anon_sym_debugger] = ACTIONS(2077),
    [anon_sym_return] = ACTIONS(2077),
    [anon_sym_throw] = ACTIONS(2077),
    [anon_sym_SEMI] = ACTIONS(2075),
    [anon_sym_case] = ACTIONS(2077),
    [anon_sym_yield] = ACTIONS(2077),
    [anon_sym_LBRACK] = ACTIONS(2075),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2077),
    [anon_sym_class] = ACTIONS(2077),
    [anon_sym_async] = ACTIONS(2077),
    [anon_sym_function] = ACTIONS(2077),
    [anon_sym_new] = ACTIONS(2077),
    [anon_sym_PLUS] = ACTIONS(2077),
    [anon_sym_DASH] = ACTIONS(2077),
    [anon_sym_TILDE] = ACTIONS(2075),
    [anon_sym_void] = ACTIONS(2077),
    [anon_sym_delete] = ACTIONS(2077),
    [anon_sym_PLUS_PLUS] = ACTIONS(2075),
    [anon_sym_DASH_DASH] = ACTIONS(2075),
    [anon_sym_DQUOTE] = ACTIONS(2075),
    [anon_sym_SQUOTE] = ACTIONS(2075),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2075),
    [sym_number] = ACTIONS(2075),
    [sym_this] = ACTIONS(2077),
    [sym_super] = ACTIONS(2077),
    [sym_true] = ACTIONS(2077),
    [sym_false] = ACTIONS(2077),
    [sym_null] = ACTIONS(2077),
    [sym_undefined] = ACTIONS(2077),
    [anon_sym_AT] = ACTIONS(2075),
    [anon_sym_static] = ACTIONS(2077),
    [anon_sym_readonly] = ACTIONS(2077),
    [anon_sym_get] = ACTIONS(2077),
    [anon_sym_set] = ACTIONS(2077),
    [anon_sym_declare] = ACTIONS(2077),
    [anon_sym_public] = ACTIONS(2077),
    [anon_sym_private] = ACTIONS(2077),
    [anon_sym_protected] = ACTIONS(2077),
    [anon_sym_override] = ACTIONS(2077),
    [anon_sym_module] = ACTIONS(2077),
    [anon_sym_any] = ACTIONS(2077),
    [anon_sym_number] = ACTIONS(2077),
    [anon_sym_boolean] = ACTIONS(2077),
    [anon_sym_string] = ACTIONS(2077),
    [anon_sym_symbol] = ACTIONS(2077),
    [anon_sym_abstract] = ACTIONS(2077),
    [anon_sym_interface] = ACTIONS(2077),
    [anon_sym_enum] = ACTIONS(2077),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(2079),
    [sym_identifier] = ACTIONS(2081),
    [anon_sym_export] = ACTIONS(2081),
    [anon_sym_default] = ACTIONS(2081),
    [anon_sym_type] = ACTIONS(2081),
    [anon_sym_namespace] = ACTIONS(2081),
    [anon_sym_LBRACE] = ACTIONS(2079),
    [anon_sym_RBRACE] = ACTIONS(2079),
    [anon_sym_typeof] = ACTIONS(2081),
    [anon_sym_import] = ACTIONS(2081),
    [anon_sym_var] = ACTIONS(2081),
    [anon_sym_let] = ACTIONS(2081),
    [anon_sym_const] = ACTIONS(2081),
    [anon_sym_BANG] = ACTIONS(2079),
    [anon_sym_else] = ACTIONS(2081),
    [anon_sym_if] = ACTIONS(2081),
    [anon_sym_switch] = ACTIONS(2081),
    [anon_sym_for] = ACTIONS(2081),
    [anon_sym_LPAREN] = ACTIONS(2079),
    [anon_sym_await] = ACTIONS(2081),
    [anon_sym_while] = ACTIONS(2081),
    [anon_sym_do] = ACTIONS(2081),
    [anon_sym_try] = ACTIONS(2081),
    [anon_sym_with] = ACTIONS(2081),
    [anon_sym_break] = ACTIONS(2081),
    [anon_sym_continue] = ACTIONS(2081),
    [anon_sym_debugger] = ACTIONS(2081),
    [anon_sym_return] = ACTIONS(2081),
    [anon_sym_throw] = ACTIONS(2081),
    [anon_sym_SEMI] = ACTIONS(2079),
    [anon_sym_case] = ACTIONS(2081),
    [anon_sym_yield] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2079),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_class] = ACTIONS(2081),
    [anon_sym_async] = ACTIONS(2081),
    [anon_sym_function] = ACTIONS(2081),
    [anon_sym_new] = ACTIONS(2081),
    [anon_sym_PLUS] = ACTIONS(2081),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_TILDE] = ACTIONS(2079),
    [anon_sym_void] = ACTIONS(2081),
    [anon_sym_delete] = ACTIONS(2081),
    [anon_sym_PLUS_PLUS] = ACTIONS(2079),
    [anon_sym_DASH_DASH] = ACTIONS(2079),
    [anon_sym_DQUOTE] = ACTIONS(2079),
    [anon_sym_SQUOTE] = ACTIONS(2079),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2079),
    [sym_number] = ACTIONS(2079),
    [sym_this] = ACTIONS(2081),
    [sym_super] = ACTIONS(2081),
    [sym_true] = ACTIONS(2081),
    [sym_false] = ACTIONS(2081),
    [sym_null] = ACTIONS(2081),
    [sym_undefined] = ACTIONS(2081),
    [anon_sym_AT] = ACTIONS(2079),
    [anon_sym_static] = ACTIONS(2081),
    [anon_sym_readonly] = ACTIONS(2081),
    [anon_sym_get] = ACTIONS(2081),
    [anon_sym_set] = ACTIONS(2081),
    [anon_sym_declare] = ACTIONS(2081),
    [anon_sym_public] = ACTIONS(2081),
    [anon_sym_private] = ACTIONS(2081),
    [anon_sym_protected] = ACTIONS(2081),
    [anon_sym_override] = ACTIONS(2081),
    [anon_sym_module] = ACTIONS(2081),
    [anon_sym_any] = ACTIONS(2081),
    [anon_sym_number] = ACTIONS(2081),
    [anon_sym_boolean] = ACTIONS(2081),
    [anon_sym_string] = ACTIONS(2081),
    [anon_sym_symbol] = ACTIONS(2081),
    [anon_sym_abstract] = ACTIONS(2081),
    [anon_sym_interface] = ACTIONS(2081),
    [anon_sym_enum] = ACTIONS(2081),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(2083),
    [sym_identifier] = ACTIONS(2085),
    [anon_sym_export] = ACTIONS(2085),
    [anon_sym_default] = ACTIONS(2085),
    [anon_sym_type] = ACTIONS(2085),
    [anon_sym_namespace] = ACTIONS(2085),
    [anon_sym_LBRACE] = ACTIONS(2083),
    [anon_sym_RBRACE] = ACTIONS(2083),
    [anon_sym_typeof] = ACTIONS(2085),
    [anon_sym_import] = ACTIONS(2085),
    [anon_sym_var] = ACTIONS(2085),
    [anon_sym_let] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2085),
    [anon_sym_BANG] = ACTIONS(2083),
    [anon_sym_else] = ACTIONS(2085),
    [anon_sym_if] = ACTIONS(2085),
    [anon_sym_switch] = ACTIONS(2085),
    [anon_sym_for] = ACTIONS(2085),
    [anon_sym_LPAREN] = ACTIONS(2083),
    [anon_sym_await] = ACTIONS(2085),
    [anon_sym_while] = ACTIONS(2085),
    [anon_sym_do] = ACTIONS(2085),
    [anon_sym_try] = ACTIONS(2085),
    [anon_sym_with] = ACTIONS(2085),
    [anon_sym_break] = ACTIONS(2085),
    [anon_sym_continue] = ACTIONS(2085),
    [anon_sym_debugger] = ACTIONS(2085),
    [anon_sym_return] = ACTIONS(2085),
    [anon_sym_throw] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2083),
    [anon_sym_case] = ACTIONS(2085),
    [anon_sym_yield] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2083),
    [anon_sym_LT] = ACTIONS(2083),
    [anon_sym_SLASH] = ACTIONS(2085),
    [anon_sym_class] = ACTIONS(2085),
    [anon_sym_async] = ACTIONS(2085),
    [anon_sym_function] = ACTIONS(2085),
    [anon_sym_new] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2085),
    [anon_sym_TILDE] = ACTIONS(2083),
    [anon_sym_void] = ACTIONS(2085),
    [anon_sym_delete] = ACTIONS(2085),
    [anon_sym_PLUS_PLUS] = ACTIONS(2083),
    [anon_sym_DASH_DASH] = ACTIONS(2083),
    [anon_sym_DQUOTE] = ACTIONS(2083),
    [anon_sym_SQUOTE] = ACTIONS(2083),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2083),
    [sym_number] = ACTIONS(2083),
    [sym_this] = ACTIONS(2085),
    [sym_super] = ACTIONS(2085),
    [sym_true] = ACTIONS(2085),
    [sym_false] = ACTIONS(2085),
    [sym_null] = ACTIONS(2085),
    [sym_undefined] = ACTIONS(2085),
    [anon_sym_AT] = ACTIONS(2083),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_readonly] = ACTIONS(2085),
    [anon_sym_get] = ACTIONS(2085),
    [anon_sym_set] = ACTIONS(2085),
    [anon_sym_declare] = ACTIONS(2085),
    [anon_sym_public] = ACTIONS(2085),
    [anon_sym_private] = ACTIONS(2085),
    [anon_sym_protected] = ACTIONS(2085),
    [anon_sym_override] = ACTIONS(2085),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_any] = ACTIONS(2085),
    [anon_sym_number] = ACTIONS(2085),
    [anon_sym_boolean] = ACTIONS(2085),
    [anon_sym_string] = ACTIONS(2085),
    [anon_sym_symbol] = ACTIONS(2085),
    [anon_sym_abstract] = ACTIONS(2085),
    [anon_sym_interface] = ACTIONS(2085),
    [anon_sym_enum] = ACTIONS(2085),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(2087),
    [sym_identifier] = ACTIONS(2089),
    [anon_sym_export] = ACTIONS(2089),
    [anon_sym_default] = ACTIONS(2089),
    [anon_sym_type] = ACTIONS(2089),
    [anon_sym_namespace] = ACTIONS(2089),
    [anon_sym_LBRACE] = ACTIONS(2087),
    [anon_sym_RBRACE] = ACTIONS(2087),
    [anon_sym_typeof] = ACTIONS(2089),
    [anon_sym_import] = ACTIONS(2089),
    [anon_sym_var] = ACTIONS(2089),
    [anon_sym_let] = ACTIONS(2089),
    [anon_sym_const] = ACTIONS(2089),
    [anon_sym_BANG] = ACTIONS(2087),
    [anon_sym_else] = ACTIONS(2089),
    [anon_sym_if] = ACTIONS(2089),
    [anon_sym_switch] = ACTIONS(2089),
    [anon_sym_for] = ACTIONS(2089),
    [anon_sym_LPAREN] = ACTIONS(2087),
    [anon_sym_await] = ACTIONS(2089),
    [anon_sym_while] = ACTIONS(2089),
    [anon_sym_do] = ACTIONS(2089),
    [anon_sym_try] = ACTIONS(2089),
    [anon_sym_with] = ACTIONS(2089),
    [anon_sym_break] = ACTIONS(2089),
    [anon_sym_continue] = ACTIONS(2089),
    [anon_sym_debugger] = ACTIONS(2089),
    [anon_sym_return] = ACTIONS(2089),
    [anon_sym_throw] = ACTIONS(2089),
    [anon_sym_SEMI] = ACTIONS(2087),
    [anon_sym_case] = ACTIONS(2089),
    [anon_sym_yield] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(2087),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2089),
    [anon_sym_class] = ACTIONS(2089),
    [anon_sym_async] = ACTIONS(2089),
    [anon_sym_function] = ACTIONS(2089),
    [anon_sym_new] = ACTIONS(2089),
    [anon_sym_PLUS] = ACTIONS(2089),
    [anon_sym_DASH] = ACTIONS(2089),
    [anon_sym_TILDE] = ACTIONS(2087),
    [anon_sym_void] = ACTIONS(2089),
    [anon_sym_delete] = ACTIONS(2089),
    [anon_sym_PLUS_PLUS] = ACTIONS(2087),
    [anon_sym_DASH_DASH] = ACTIONS(2087),
    [anon_sym_DQUOTE] = ACTIONS(2087),
    [anon_sym_SQUOTE] = ACTIONS(2087),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2087),
    [sym_number] = ACTIONS(2087),
    [sym_this] = ACTIONS(2089),
    [sym_super] = ACTIONS(2089),
    [sym_true] = ACTIONS(2089),
    [sym_false] = ACTIONS(2089),
    [sym_null] = ACTIONS(2089),
    [sym_undefined] = ACTIONS(2089),
    [anon_sym_AT] = ACTIONS(2087),
    [anon_sym_static] = ACTIONS(2089),
    [anon_sym_readonly] = ACTIONS(2089),
    [anon_sym_get] = ACTIONS(2089),
    [anon_sym_set] = ACTIONS(2089),
    [anon_sym_declare] = ACTIONS(2089),
    [anon_sym_public] = ACTIONS(2089),
    [anon_sym_private] = ACTIONS(2089),
    [anon_sym_protected] = ACTIONS(2089),
    [anon_sym_override] = ACTIONS(2089),
    [anon_sym_module] = ACTIONS(2089),
    [anon_sym_any] = ACTIONS(2089),
    [anon_sym_number] = ACTIONS(2089),
    [anon_sym_boolean] = ACTIONS(2089),
    [anon_sym_string] = ACTIONS(2089),
    [anon_sym_symbol] = ACTIONS(2089),
    [anon_sym_abstract] = ACTIONS(2089),
    [anon_sym_interface] = ACTIONS(2089),
    [anon_sym_enum] = ACTIONS(2089),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1217),
    [sym_identifier] = ACTIONS(1219),
    [anon_sym_export] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1219),
    [anon_sym_type] = ACTIONS(1219),
    [anon_sym_namespace] = ACTIONS(1219),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [anon_sym_typeof] = ACTIONS(1219),
    [anon_sym_import] = ACTIONS(1219),
    [anon_sym_var] = ACTIONS(1219),
    [anon_sym_let] = ACTIONS(1219),
    [anon_sym_const] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_else] = ACTIONS(1219),
    [anon_sym_if] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1219),
    [anon_sym_for] = ACTIONS(1219),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_await] = ACTIONS(1219),
    [anon_sym_while] = ACTIONS(1219),
    [anon_sym_do] = ACTIONS(1219),
    [anon_sym_try] = ACTIONS(1219),
    [anon_sym_with] = ACTIONS(1219),
    [anon_sym_break] = ACTIONS(1219),
    [anon_sym_continue] = ACTIONS(1219),
    [anon_sym_debugger] = ACTIONS(1219),
    [anon_sym_return] = ACTIONS(1219),
    [anon_sym_throw] = ACTIONS(1219),
    [anon_sym_SEMI] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1219),
    [anon_sym_yield] = ACTIONS(1219),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1219),
    [anon_sym_class] = ACTIONS(1219),
    [anon_sym_async] = ACTIONS(1219),
    [anon_sym_function] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_void] = ACTIONS(1219),
    [anon_sym_delete] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1217),
    [sym_number] = ACTIONS(1217),
    [sym_this] = ACTIONS(1219),
    [sym_super] = ACTIONS(1219),
    [sym_true] = ACTIONS(1219),
    [sym_false] = ACTIONS(1219),
    [sym_null] = ACTIONS(1219),
    [sym_undefined] = ACTIONS(1219),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_static] = ACTIONS(1219),
    [anon_sym_readonly] = ACTIONS(1219),
    [anon_sym_get] = ACTIONS(1219),
    [anon_sym_set] = ACTIONS(1219),
    [anon_sym_declare] = ACTIONS(1219),
    [anon_sym_public] = ACTIONS(1219),
    [anon_sym_private] = ACTIONS(1219),
    [anon_sym_protected] = ACTIONS(1219),
    [anon_sym_override] = ACTIONS(1219),
    [anon_sym_module] = ACTIONS(1219),
    [anon_sym_any] = ACTIONS(1219),
    [anon_sym_number] = ACTIONS(1219),
    [anon_sym_boolean] = ACTIONS(1219),
    [anon_sym_string] = ACTIONS(1219),
    [anon_sym_symbol] = ACTIONS(1219),
    [anon_sym_abstract] = ACTIONS(1219),
    [anon_sym_interface] = ACTIONS(1219),
    [anon_sym_enum] = ACTIONS(1219),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(2091),
    [sym_identifier] = ACTIONS(2093),
    [anon_sym_export] = ACTIONS(2093),
    [anon_sym_default] = ACTIONS(2093),
    [anon_sym_type] = ACTIONS(2093),
    [anon_sym_namespace] = ACTIONS(2093),
    [anon_sym_LBRACE] = ACTIONS(2091),
    [anon_sym_RBRACE] = ACTIONS(2091),
    [anon_sym_typeof] = ACTIONS(2093),
    [anon_sym_import] = ACTIONS(2093),
    [anon_sym_var] = ACTIONS(2093),
    [anon_sym_let] = ACTIONS(2093),
    [anon_sym_const] = ACTIONS(2093),
    [anon_sym_BANG] = ACTIONS(2091),
    [anon_sym_else] = ACTIONS(2093),
    [anon_sym_if] = ACTIONS(2093),
    [anon_sym_switch] = ACTIONS(2093),
    [anon_sym_for] = ACTIONS(2093),
    [anon_sym_LPAREN] = ACTIONS(2091),
    [anon_sym_await] = ACTIONS(2093),
    [anon_sym_while] = ACTIONS(2093),
    [anon_sym_do] = ACTIONS(2093),
    [anon_sym_try] = ACTIONS(2093),
    [anon_sym_with] = ACTIONS(2093),
    [anon_sym_break] = ACTIONS(2093),
    [anon_sym_continue] = ACTIONS(2093),
    [anon_sym_debugger] = ACTIONS(2093),
    [anon_sym_return] = ACTIONS(2093),
    [anon_sym_throw] = ACTIONS(2093),
    [anon_sym_SEMI] = ACTIONS(2091),
    [anon_sym_case] = ACTIONS(2093),
    [anon_sym_yield] = ACTIONS(2093),
    [anon_sym_LBRACK] = ACTIONS(2091),
    [anon_sym_LT] = ACTIONS(2091),
    [anon_sym_SLASH] = ACTIONS(2093),
    [anon_sym_class] = ACTIONS(2093),
    [anon_sym_async] = ACTIONS(2093),
    [anon_sym_function] = ACTIONS(2093),
    [anon_sym_new] = ACTIONS(2093),
    [anon_sym_PLUS] = ACTIONS(2093),
    [anon_sym_DASH] = ACTIONS(2093),
    [anon_sym_TILDE] = ACTIONS(2091),
    [anon_sym_void] = ACTIONS(2093),
    [anon_sym_delete] = ACTIONS(2093),
    [anon_sym_PLUS_PLUS] = ACTIONS(2091),
    [anon_sym_DASH_DASH] = ACTIONS(2091),
    [anon_sym_DQUOTE] = ACTIONS(2091),
    [anon_sym_SQUOTE] = ACTIONS(2091),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2091),
    [sym_number] = ACTIONS(2091),
    [sym_this] = ACTIONS(2093),
    [sym_super] = ACTIONS(2093),
    [sym_true] = ACTIONS(2093),
    [sym_false] = ACTIONS(2093),
    [sym_null] = ACTIONS(2093),
    [sym_undefined] = ACTIONS(2093),
    [anon_sym_AT] = ACTIONS(2091),
    [anon_sym_static] = ACTIONS(2093),
    [anon_sym_readonly] = ACTIONS(2093),
    [anon_sym_get] = ACTIONS(2093),
    [anon_sym_set] = ACTIONS(2093),
    [anon_sym_declare] = ACTIONS(2093),
    [anon_sym_public] = ACTIONS(2093),
    [anon_sym_private] = ACTIONS(2093),
    [anon_sym_protected] = ACTIONS(2093),
    [anon_sym_override] = ACTIONS(2093),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_any] = ACTIONS(2093),
    [anon_sym_number] = ACTIONS(2093),
    [anon_sym_boolean] = ACTIONS(2093),
    [anon_sym_string] = ACTIONS(2093),
    [anon_sym_symbol] = ACTIONS(2093),
    [anon_sym_abstract] = ACTIONS(2093),
    [anon_sym_interface] = ACTIONS(2093),
    [anon_sym_enum] = ACTIONS(2093),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(2095),
    [sym_identifier] = ACTIONS(2097),
    [anon_sym_export] = ACTIONS(2097),
    [anon_sym_default] = ACTIONS(2097),
    [anon_sym_type] = ACTIONS(2097),
    [anon_sym_namespace] = ACTIONS(2097),
    [anon_sym_LBRACE] = ACTIONS(2095),
    [anon_sym_RBRACE] = ACTIONS(2095),
    [anon_sym_typeof] = ACTIONS(2097),
    [anon_sym_import] = ACTIONS(2097),
    [anon_sym_var] = ACTIONS(2097),
    [anon_sym_let] = ACTIONS(2097),
    [anon_sym_const] = ACTIONS(2097),
    [anon_sym_BANG] = ACTIONS(2095),
    [anon_sym_else] = ACTIONS(2097),
    [anon_sym_if] = ACTIONS(2097),
    [anon_sym_switch] = ACTIONS(2097),
    [anon_sym_for] = ACTIONS(2097),
    [anon_sym_LPAREN] = ACTIONS(2095),
    [anon_sym_await] = ACTIONS(2097),
    [anon_sym_while] = ACTIONS(2097),
    [anon_sym_do] = ACTIONS(2097),
    [anon_sym_try] = ACTIONS(2097),
    [anon_sym_with] = ACTIONS(2097),
    [anon_sym_break] = ACTIONS(2097),
    [anon_sym_continue] = ACTIONS(2097),
    [anon_sym_debugger] = ACTIONS(2097),
    [anon_sym_return] = ACTIONS(2097),
    [anon_sym_throw] = ACTIONS(2097),
    [anon_sym_SEMI] = ACTIONS(2095),
    [anon_sym_case] = ACTIONS(2097),
    [anon_sym_yield] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(2095),
    [anon_sym_LT] = ACTIONS(2095),
    [anon_sym_SLASH] = ACTIONS(2097),
    [anon_sym_class] = ACTIONS(2097),
    [anon_sym_async] = ACTIONS(2097),
    [anon_sym_function] = ACTIONS(2097),
    [anon_sym_new] = ACTIONS(2097),
    [anon_sym_PLUS] = ACTIONS(2097),
    [anon_sym_DASH] = ACTIONS(2097),
    [anon_sym_TILDE] = ACTIONS(2095),
    [anon_sym_void] = ACTIONS(2097),
    [anon_sym_delete] = ACTIONS(2097),
    [anon_sym_PLUS_PLUS] = ACTIONS(2095),
    [anon_sym_DASH_DASH] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [anon_sym_SQUOTE] = ACTIONS(2095),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2095),
    [sym_number] = ACTIONS(2095),
    [sym_this] = ACTIONS(2097),
    [sym_super] = ACTIONS(2097),
    [sym_true] = ACTIONS(2097),
    [sym_false] = ACTIONS(2097),
    [sym_null] = ACTIONS(2097),
    [sym_undefined] = ACTIONS(2097),
    [anon_sym_AT] = ACTIONS(2095),
    [anon_sym_static] = ACTIONS(2097),
    [anon_sym_readonly] = ACTIONS(2097),
    [anon_sym_get] = ACTIONS(2097),
    [anon_sym_set] = ACTIONS(2097),
    [anon_sym_declare] = ACTIONS(2097),
    [anon_sym_public] = ACTIONS(2097),
    [anon_sym_private] = ACTIONS(2097),
    [anon_sym_protected] = ACTIONS(2097),
    [anon_sym_override] = ACTIONS(2097),
    [anon_sym_module] = ACTIONS(2097),
    [anon_sym_any] = ACTIONS(2097),
    [anon_sym_number] = ACTIONS(2097),
    [anon_sym_boolean] = ACTIONS(2097),
    [anon_sym_string] = ACTIONS(2097),
    [anon_sym_symbol] = ACTIONS(2097),
    [anon_sym_abstract] = ACTIONS(2097),
    [anon_sym_interface] = ACTIONS(2097),
    [anon_sym_enum] = ACTIONS(2097),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(2099),
    [sym_identifier] = ACTIONS(2101),
    [anon_sym_export] = ACTIONS(2101),
    [anon_sym_default] = ACTIONS(2101),
    [anon_sym_type] = ACTIONS(2101),
    [anon_sym_namespace] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(2099),
    [anon_sym_RBRACE] = ACTIONS(2099),
    [anon_sym_typeof] = ACTIONS(2101),
    [anon_sym_import] = ACTIONS(2101),
    [anon_sym_var] = ACTIONS(2101),
    [anon_sym_let] = ACTIONS(2101),
    [anon_sym_const] = ACTIONS(2101),
    [anon_sym_BANG] = ACTIONS(2099),
    [anon_sym_else] = ACTIONS(2101),
    [anon_sym_if] = ACTIONS(2101),
    [anon_sym_switch] = ACTIONS(2101),
    [anon_sym_for] = ACTIONS(2101),
    [anon_sym_LPAREN] = ACTIONS(2099),
    [anon_sym_await] = ACTIONS(2101),
    [anon_sym_while] = ACTIONS(2101),
    [anon_sym_do] = ACTIONS(2101),
    [anon_sym_try] = ACTIONS(2101),
    [anon_sym_with] = ACTIONS(2101),
    [anon_sym_break] = ACTIONS(2101),
    [anon_sym_continue] = ACTIONS(2101),
    [anon_sym_debugger] = ACTIONS(2101),
    [anon_sym_return] = ACTIONS(2101),
    [anon_sym_throw] = ACTIONS(2101),
    [anon_sym_SEMI] = ACTIONS(2099),
    [anon_sym_case] = ACTIONS(2101),
    [anon_sym_yield] = ACTIONS(2101),
    [anon_sym_LBRACK] = ACTIONS(2099),
    [anon_sym_LT] = ACTIONS(2099),
    [anon_sym_SLASH] = ACTIONS(2101),
    [anon_sym_class] = ACTIONS(2101),
    [anon_sym_async] = ACTIONS(2101),
    [anon_sym_function] = ACTIONS(2101),
    [anon_sym_new] = ACTIONS(2101),
    [anon_sym_PLUS] = ACTIONS(2101),
    [anon_sym_DASH] = ACTIONS(2101),
    [anon_sym_TILDE] = ACTIONS(2099),
    [anon_sym_void] = ACTIONS(2101),
    [anon_sym_delete] = ACTIONS(2101),
    [anon_sym_PLUS_PLUS] = ACTIONS(2099),
    [anon_sym_DASH_DASH] = ACTIONS(2099),
    [anon_sym_DQUOTE] = ACTIONS(2099),
    [anon_sym_SQUOTE] = ACTIONS(2099),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2099),
    [sym_number] = ACTIONS(2099),
    [sym_this] = ACTIONS(2101),
    [sym_super] = ACTIONS(2101),
    [sym_true] = ACTIONS(2101),
    [sym_false] = ACTIONS(2101),
    [sym_null] = ACTIONS(2101),
    [sym_undefined] = ACTIONS(2101),
    [anon_sym_AT] = ACTIONS(2099),
    [anon_sym_static] = ACTIONS(2101),
    [anon_sym_readonly] = ACTIONS(2101),
    [anon_sym_get] = ACTIONS(2101),
    [anon_sym_set] = ACTIONS(2101),
    [anon_sym_declare] = ACTIONS(2101),
    [anon_sym_public] = ACTIONS(2101),
    [anon_sym_private] = ACTIONS(2101),
    [anon_sym_protected] = ACTIONS(2101),
    [anon_sym_override] = ACTIONS(2101),
    [anon_sym_module] = ACTIONS(2101),
    [anon_sym_any] = ACTIONS(2101),
    [anon_sym_number] = ACTIONS(2101),
    [anon_sym_boolean] = ACTIONS(2101),
    [anon_sym_string] = ACTIONS(2101),
    [anon_sym_symbol] = ACTIONS(2101),
    [anon_sym_abstract] = ACTIONS(2101),
    [anon_sym_interface] = ACTIONS(2101),
    [anon_sym_enum] = ACTIONS(2101),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(2103),
    [sym_identifier] = ACTIONS(2105),
    [anon_sym_export] = ACTIONS(2105),
    [anon_sym_default] = ACTIONS(2105),
    [anon_sym_type] = ACTIONS(2105),
    [anon_sym_namespace] = ACTIONS(2105),
    [anon_sym_LBRACE] = ACTIONS(2103),
    [anon_sym_RBRACE] = ACTIONS(2103),
    [anon_sym_typeof] = ACTIONS(2105),
    [anon_sym_import] = ACTIONS(2105),
    [anon_sym_var] = ACTIONS(2105),
    [anon_sym_let] = ACTIONS(2105),
    [anon_sym_const] = ACTIONS(2105),
    [anon_sym_BANG] = ACTIONS(2103),
    [anon_sym_else] = ACTIONS(2105),
    [anon_sym_if] = ACTIONS(2105),
    [anon_sym_switch] = ACTIONS(2105),
    [anon_sym_for] = ACTIONS(2105),
    [anon_sym_LPAREN] = ACTIONS(2103),
    [anon_sym_await] = ACTIONS(2105),
    [anon_sym_while] = ACTIONS(2105),
    [anon_sym_do] = ACTIONS(2105),
    [anon_sym_try] = ACTIONS(2105),
    [anon_sym_with] = ACTIONS(2105),
    [anon_sym_break] = ACTIONS(2105),
    [anon_sym_continue] = ACTIONS(2105),
    [anon_sym_debugger] = ACTIONS(2105),
    [anon_sym_return] = ACTIONS(2105),
    [anon_sym_throw] = ACTIONS(2105),
    [anon_sym_SEMI] = ACTIONS(2103),
    [anon_sym_case] = ACTIONS(2105),
    [anon_sym_yield] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(2103),
    [anon_sym_LT] = ACTIONS(2103),
    [anon_sym_SLASH] = ACTIONS(2105),
    [anon_sym_class] = ACTIONS(2105),
    [anon_sym_async] = ACTIONS(2105),
    [anon_sym_function] = ACTIONS(2105),
    [anon_sym_new] = ACTIONS(2105),
    [anon_sym_PLUS] = ACTIONS(2105),
    [anon_sym_DASH] = ACTIONS(2105),
    [anon_sym_TILDE] = ACTIONS(2103),
    [anon_sym_void] = ACTIONS(2105),
    [anon_sym_delete] = ACTIONS(2105),
    [anon_sym_PLUS_PLUS] = ACTIONS(2103),
    [anon_sym_DASH_DASH] = ACTIONS(2103),
    [anon_sym_DQUOTE] = ACTIONS(2103),
    [anon_sym_SQUOTE] = ACTIONS(2103),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2103),
    [sym_number] = ACTIONS(2103),
    [sym_this] = ACTIONS(2105),
    [sym_super] = ACTIONS(2105),
    [sym_true] = ACTIONS(2105),
    [sym_false] = ACTIONS(2105),
    [sym_null] = ACTIONS(2105),
    [sym_undefined] = ACTIONS(2105),
    [anon_sym_AT] = ACTIONS(2103),
    [anon_sym_static] = ACTIONS(2105),
    [anon_sym_readonly] = ACTIONS(2105),
    [anon_sym_get] = ACTIONS(2105),
    [anon_sym_set] = ACTIONS(2105),
    [anon_sym_declare] = ACTIONS(2105),
    [anon_sym_public] = ACTIONS(2105),
    [anon_sym_private] = ACTIONS(2105),
    [anon_sym_protected] = ACTIONS(2105),
    [anon_sym_override] = ACTIONS(2105),
    [anon_sym_module] = ACTIONS(2105),
    [anon_sym_any] = ACTIONS(2105),
    [anon_sym_number] = ACTIONS(2105),
    [anon_sym_boolean] = ACTIONS(2105),
    [anon_sym_string] = ACTIONS(2105),
    [anon_sym_symbol] = ACTIONS(2105),
    [anon_sym_abstract] = ACTIONS(2105),
    [anon_sym_interface] = ACTIONS(2105),
    [anon_sym_enum] = ACTIONS(2105),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(2107),
    [sym_identifier] = ACTIONS(2109),
    [anon_sym_export] = ACTIONS(2109),
    [anon_sym_default] = ACTIONS(2109),
    [anon_sym_type] = ACTIONS(2109),
    [anon_sym_namespace] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(2107),
    [anon_sym_RBRACE] = ACTIONS(2107),
    [anon_sym_typeof] = ACTIONS(2109),
    [anon_sym_import] = ACTIONS(2109),
    [anon_sym_var] = ACTIONS(2109),
    [anon_sym_let] = ACTIONS(2109),
    [anon_sym_const] = ACTIONS(2109),
    [anon_sym_BANG] = ACTIONS(2107),
    [anon_sym_else] = ACTIONS(2109),
    [anon_sym_if] = ACTIONS(2109),
    [anon_sym_switch] = ACTIONS(2109),
    [anon_sym_for] = ACTIONS(2109),
    [anon_sym_LPAREN] = ACTIONS(2107),
    [anon_sym_await] = ACTIONS(2109),
    [anon_sym_while] = ACTIONS(2109),
    [anon_sym_do] = ACTIONS(2109),
    [anon_sym_try] = ACTIONS(2109),
    [anon_sym_with] = ACTIONS(2109),
    [anon_sym_break] = ACTIONS(2109),
    [anon_sym_continue] = ACTIONS(2109),
    [anon_sym_debugger] = ACTIONS(2109),
    [anon_sym_return] = ACTIONS(2109),
    [anon_sym_throw] = ACTIONS(2109),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_case] = ACTIONS(2109),
    [anon_sym_yield] = ACTIONS(2109),
    [anon_sym_LBRACK] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(2107),
    [anon_sym_SLASH] = ACTIONS(2109),
    [anon_sym_class] = ACTIONS(2109),
    [anon_sym_async] = ACTIONS(2109),
    [anon_sym_function] = ACTIONS(2109),
    [anon_sym_new] = ACTIONS(2109),
    [anon_sym_PLUS] = ACTIONS(2109),
    [anon_sym_DASH] = ACTIONS(2109),
    [anon_sym_TILDE] = ACTIONS(2107),
    [anon_sym_void] = ACTIONS(2109),
    [anon_sym_delete] = ACTIONS(2109),
    [anon_sym_PLUS_PLUS] = ACTIONS(2107),
    [anon_sym_DASH_DASH] = ACTIONS(2107),
    [anon_sym_DQUOTE] = ACTIONS(2107),
    [anon_sym_SQUOTE] = ACTIONS(2107),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2107),
    [sym_number] = ACTIONS(2107),
    [sym_this] = ACTIONS(2109),
    [sym_super] = ACTIONS(2109),
    [sym_true] = ACTIONS(2109),
    [sym_false] = ACTIONS(2109),
    [sym_null] = ACTIONS(2109),
    [sym_undefined] = ACTIONS(2109),
    [anon_sym_AT] = ACTIONS(2107),
    [anon_sym_static] = ACTIONS(2109),
    [anon_sym_readonly] = ACTIONS(2109),
    [anon_sym_get] = ACTIONS(2109),
    [anon_sym_set] = ACTIONS(2109),
    [anon_sym_declare] = ACTIONS(2109),
    [anon_sym_public] = ACTIONS(2109),
    [anon_sym_private] = ACTIONS(2109),
    [anon_sym_protected] = ACTIONS(2109),
    [anon_sym_override] = ACTIONS(2109),
    [anon_sym_module] = ACTIONS(2109),
    [anon_sym_any] = ACTIONS(2109),
    [anon_sym_number] = ACTIONS(2109),
    [anon_sym_boolean] = ACTIONS(2109),
    [anon_sym_string] = ACTIONS(2109),
    [anon_sym_symbol] = ACTIONS(2109),
    [anon_sym_abstract] = ACTIONS(2109),
    [anon_sym_interface] = ACTIONS(2109),
    [anon_sym_enum] = ACTIONS(2109),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(2111),
    [sym_identifier] = ACTIONS(2113),
    [anon_sym_export] = ACTIONS(2113),
    [anon_sym_default] = ACTIONS(2113),
    [anon_sym_type] = ACTIONS(2113),
    [anon_sym_namespace] = ACTIONS(2113),
    [anon_sym_LBRACE] = ACTIONS(2111),
    [anon_sym_RBRACE] = ACTIONS(2111),
    [anon_sym_typeof] = ACTIONS(2113),
    [anon_sym_import] = ACTIONS(2113),
    [anon_sym_var] = ACTIONS(2113),
    [anon_sym_let] = ACTIONS(2113),
    [anon_sym_const] = ACTIONS(2113),
    [anon_sym_BANG] = ACTIONS(2111),
    [anon_sym_else] = ACTIONS(2113),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_switch] = ACTIONS(2113),
    [anon_sym_for] = ACTIONS(2113),
    [anon_sym_LPAREN] = ACTIONS(2111),
    [anon_sym_await] = ACTIONS(2113),
    [anon_sym_while] = ACTIONS(2113),
    [anon_sym_do] = ACTIONS(2113),
    [anon_sym_try] = ACTIONS(2113),
    [anon_sym_with] = ACTIONS(2113),
    [anon_sym_break] = ACTIONS(2113),
    [anon_sym_continue] = ACTIONS(2113),
    [anon_sym_debugger] = ACTIONS(2113),
    [anon_sym_return] = ACTIONS(2113),
    [anon_sym_throw] = ACTIONS(2113),
    [anon_sym_SEMI] = ACTIONS(2111),
    [anon_sym_case] = ACTIONS(2113),
    [anon_sym_yield] = ACTIONS(2113),
    [anon_sym_LBRACK] = ACTIONS(2111),
    [anon_sym_LT] = ACTIONS(2111),
    [anon_sym_SLASH] = ACTIONS(2113),
    [anon_sym_class] = ACTIONS(2113),
    [anon_sym_async] = ACTIONS(2113),
    [anon_sym_function] = ACTIONS(2113),
    [anon_sym_new] = ACTIONS(2113),
    [anon_sym_PLUS] = ACTIONS(2113),
    [anon_sym_DASH] = ACTIONS(2113),
    [anon_sym_TILDE] = ACTIONS(2111),
    [anon_sym_void] = ACTIONS(2113),
    [anon_sym_delete] = ACTIONS(2113),
    [anon_sym_PLUS_PLUS] = ACTIONS(2111),
    [anon_sym_DASH_DASH] = ACTIONS(2111),
    [anon_sym_DQUOTE] = ACTIONS(2111),
    [anon_sym_SQUOTE] = ACTIONS(2111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2111),
    [sym_number] = ACTIONS(2111),
    [sym_this] = ACTIONS(2113),
    [sym_super] = ACTIONS(2113),
    [sym_true] = ACTIONS(2113),
    [sym_false] = ACTIONS(2113),
    [sym_null] = ACTIONS(2113),
    [sym_undefined] = ACTIONS(2113),
    [anon_sym_AT] = ACTIONS(2111),
    [anon_sym_static] = ACTIONS(2113),
    [anon_sym_readonly] = ACTIONS(2113),
    [anon_sym_get] = ACTIONS(2113),
    [anon_sym_set] = ACTIONS(2113),
    [anon_sym_declare] = ACTIONS(2113),
    [anon_sym_public] = ACTIONS(2113),
    [anon_sym_private] = ACTIONS(2113),
    [anon_sym_protected] = ACTIONS(2113),
    [anon_sym_override] = ACTIONS(2113),
    [anon_sym_module] = ACTIONS(2113),
    [anon_sym_any] = ACTIONS(2113),
    [anon_sym_number] = ACTIONS(2113),
    [anon_sym_boolean] = ACTIONS(2113),
    [anon_sym_string] = ACTIONS(2113),
    [anon_sym_symbol] = ACTIONS(2113),
    [anon_sym_abstract] = ACTIONS(2113),
    [anon_sym_interface] = ACTIONS(2113),
    [anon_sym_enum] = ACTIONS(2113),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(2115),
    [sym_identifier] = ACTIONS(2117),
    [anon_sym_export] = ACTIONS(2117),
    [anon_sym_default] = ACTIONS(2117),
    [anon_sym_type] = ACTIONS(2117),
    [anon_sym_namespace] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(2115),
    [anon_sym_RBRACE] = ACTIONS(2115),
    [anon_sym_typeof] = ACTIONS(2117),
    [anon_sym_import] = ACTIONS(2117),
    [anon_sym_var] = ACTIONS(2117),
    [anon_sym_let] = ACTIONS(2117),
    [anon_sym_const] = ACTIONS(2117),
    [anon_sym_BANG] = ACTIONS(2115),
    [anon_sym_else] = ACTIONS(2117),
    [anon_sym_if] = ACTIONS(2117),
    [anon_sym_switch] = ACTIONS(2117),
    [anon_sym_for] = ACTIONS(2117),
    [anon_sym_LPAREN] = ACTIONS(2115),
    [anon_sym_await] = ACTIONS(2117),
    [anon_sym_while] = ACTIONS(2117),
    [anon_sym_do] = ACTIONS(2117),
    [anon_sym_try] = ACTIONS(2117),
    [anon_sym_with] = ACTIONS(2117),
    [anon_sym_break] = ACTIONS(2117),
    [anon_sym_continue] = ACTIONS(2117),
    [anon_sym_debugger] = ACTIONS(2117),
    [anon_sym_return] = ACTIONS(2117),
    [anon_sym_throw] = ACTIONS(2117),
    [anon_sym_SEMI] = ACTIONS(2115),
    [anon_sym_case] = ACTIONS(2117),
    [anon_sym_yield] = ACTIONS(2117),
    [anon_sym_LBRACK] = ACTIONS(2115),
    [anon_sym_LT] = ACTIONS(2115),
    [anon_sym_SLASH] = ACTIONS(2117),
    [anon_sym_class] = ACTIONS(2117),
    [anon_sym_async] = ACTIONS(2117),
    [anon_sym_function] = ACTIONS(2117),
    [anon_sym_new] = ACTIONS(2117),
    [anon_sym_PLUS] = ACTIONS(2117),
    [anon_sym_DASH] = ACTIONS(2117),
    [anon_sym_TILDE] = ACTIONS(2115),
    [anon_sym_void] = ACTIONS(2117),
    [anon_sym_delete] = ACTIONS(2117),
    [anon_sym_PLUS_PLUS] = ACTIONS(2115),
    [anon_sym_DASH_DASH] = ACTIONS(2115),
    [anon_sym_DQUOTE] = ACTIONS(2115),
    [anon_sym_SQUOTE] = ACTIONS(2115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2115),
    [sym_number] = ACTIONS(2115),
    [sym_this] = ACTIONS(2117),
    [sym_super] = ACTIONS(2117),
    [sym_true] = ACTIONS(2117),
    [sym_false] = ACTIONS(2117),
    [sym_null] = ACTIONS(2117),
    [sym_undefined] = ACTIONS(2117),
    [anon_sym_AT] = ACTIONS(2115),
    [anon_sym_static] = ACTIONS(2117),
    [anon_sym_readonly] = ACTIONS(2117),
    [anon_sym_get] = ACTIONS(2117),
    [anon_sym_set] = ACTIONS(2117),
    [anon_sym_declare] = ACTIONS(2117),
    [anon_sym_public] = ACTIONS(2117),
    [anon_sym_private] = ACTIONS(2117),
    [anon_sym_protected] = ACTIONS(2117),
    [anon_sym_override] = ACTIONS(2117),
    [anon_sym_module] = ACTIONS(2117),
    [anon_sym_any] = ACTIONS(2117),
    [anon_sym_number] = ACTIONS(2117),
    [anon_sym_boolean] = ACTIONS(2117),
    [anon_sym_string] = ACTIONS(2117),
    [anon_sym_symbol] = ACTIONS(2117),
    [anon_sym_abstract] = ACTIONS(2117),
    [anon_sym_interface] = ACTIONS(2117),
    [anon_sym_enum] = ACTIONS(2117),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(2119),
    [sym_identifier] = ACTIONS(2121),
    [anon_sym_export] = ACTIONS(2121),
    [anon_sym_default] = ACTIONS(2121),
    [anon_sym_type] = ACTIONS(2121),
    [anon_sym_namespace] = ACTIONS(2121),
    [anon_sym_LBRACE] = ACTIONS(2119),
    [anon_sym_RBRACE] = ACTIONS(2119),
    [anon_sym_typeof] = ACTIONS(2121),
    [anon_sym_import] = ACTIONS(2121),
    [anon_sym_var] = ACTIONS(2121),
    [anon_sym_let] = ACTIONS(2121),
    [anon_sym_const] = ACTIONS(2121),
    [anon_sym_BANG] = ACTIONS(2119),
    [anon_sym_else] = ACTIONS(2121),
    [anon_sym_if] = ACTIONS(2121),
    [anon_sym_switch] = ACTIONS(2121),
    [anon_sym_for] = ACTIONS(2121),
    [anon_sym_LPAREN] = ACTIONS(2119),
    [anon_sym_await] = ACTIONS(2121),
    [anon_sym_while] = ACTIONS(2121),
    [anon_sym_do] = ACTIONS(2121),
    [anon_sym_try] = ACTIONS(2121),
    [anon_sym_with] = ACTIONS(2121),
    [anon_sym_break] = ACTIONS(2121),
    [anon_sym_continue] = ACTIONS(2121),
    [anon_sym_debugger] = ACTIONS(2121),
    [anon_sym_return] = ACTIONS(2121),
    [anon_sym_throw] = ACTIONS(2121),
    [anon_sym_SEMI] = ACTIONS(2119),
    [anon_sym_case] = ACTIONS(2121),
    [anon_sym_yield] = ACTIONS(2121),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_LT] = ACTIONS(2119),
    [anon_sym_SLASH] = ACTIONS(2121),
    [anon_sym_class] = ACTIONS(2121),
    [anon_sym_async] = ACTIONS(2121),
    [anon_sym_function] = ACTIONS(2121),
    [anon_sym_new] = ACTIONS(2121),
    [anon_sym_PLUS] = ACTIONS(2121),
    [anon_sym_DASH] = ACTIONS(2121),
    [anon_sym_TILDE] = ACTIONS(2119),
    [anon_sym_void] = ACTIONS(2121),
    [anon_sym_delete] = ACTIONS(2121),
    [anon_sym_PLUS_PLUS] = ACTIONS(2119),
    [anon_sym_DASH_DASH] = ACTIONS(2119),
    [anon_sym_DQUOTE] = ACTIONS(2119),
    [anon_sym_SQUOTE] = ACTIONS(2119),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2119),
    [sym_number] = ACTIONS(2119),
    [sym_this] = ACTIONS(2121),
    [sym_super] = ACTIONS(2121),
    [sym_true] = ACTIONS(2121),
    [sym_false] = ACTIONS(2121),
    [sym_null] = ACTIONS(2121),
    [sym_undefined] = ACTIONS(2121),
    [anon_sym_AT] = ACTIONS(2119),
    [anon_sym_static] = ACTIONS(2121),
    [anon_sym_readonly] = ACTIONS(2121),
    [anon_sym_get] = ACTIONS(2121),
    [anon_sym_set] = ACTIONS(2121),
    [anon_sym_declare] = ACTIONS(2121),
    [anon_sym_public] = ACTIONS(2121),
    [anon_sym_private] = ACTIONS(2121),
    [anon_sym_protected] = ACTIONS(2121),
    [anon_sym_override] = ACTIONS(2121),
    [anon_sym_module] = ACTIONS(2121),
    [anon_sym_any] = ACTIONS(2121),
    [anon_sym_number] = ACTIONS(2121),
    [anon_sym_boolean] = ACTIONS(2121),
    [anon_sym_string] = ACTIONS(2121),
    [anon_sym_symbol] = ACTIONS(2121),
    [anon_sym_abstract] = ACTIONS(2121),
    [anon_sym_interface] = ACTIONS(2121),
    [anon_sym_enum] = ACTIONS(2121),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(2123),
    [sym_identifier] = ACTIONS(2125),
    [anon_sym_export] = ACTIONS(2125),
    [anon_sym_default] = ACTIONS(2125),
    [anon_sym_type] = ACTIONS(2125),
    [anon_sym_namespace] = ACTIONS(2125),
    [anon_sym_LBRACE] = ACTIONS(2123),
    [anon_sym_RBRACE] = ACTIONS(2123),
    [anon_sym_typeof] = ACTIONS(2125),
    [anon_sym_import] = ACTIONS(2125),
    [anon_sym_var] = ACTIONS(2125),
    [anon_sym_let] = ACTIONS(2125),
    [anon_sym_const] = ACTIONS(2125),
    [anon_sym_BANG] = ACTIONS(2123),
    [anon_sym_else] = ACTIONS(2125),
    [anon_sym_if] = ACTIONS(2125),
    [anon_sym_switch] = ACTIONS(2125),
    [anon_sym_for] = ACTIONS(2125),
    [anon_sym_LPAREN] = ACTIONS(2123),
    [anon_sym_await] = ACTIONS(2125),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_do] = ACTIONS(2125),
    [anon_sym_try] = ACTIONS(2125),
    [anon_sym_with] = ACTIONS(2125),
    [anon_sym_break] = ACTIONS(2125),
    [anon_sym_continue] = ACTIONS(2125),
    [anon_sym_debugger] = ACTIONS(2125),
    [anon_sym_return] = ACTIONS(2125),
    [anon_sym_throw] = ACTIONS(2125),
    [anon_sym_SEMI] = ACTIONS(2123),
    [anon_sym_case] = ACTIONS(2125),
    [anon_sym_yield] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(2123),
    [anon_sym_LT] = ACTIONS(2123),
    [anon_sym_SLASH] = ACTIONS(2125),
    [anon_sym_class] = ACTIONS(2125),
    [anon_sym_async] = ACTIONS(2125),
    [anon_sym_function] = ACTIONS(2125),
    [anon_sym_new] = ACTIONS(2125),
    [anon_sym_PLUS] = ACTIONS(2125),
    [anon_sym_DASH] = ACTIONS(2125),
    [anon_sym_TILDE] = ACTIONS(2123),
    [anon_sym_void] = ACTIONS(2125),
    [anon_sym_delete] = ACTIONS(2125),
    [anon_sym_PLUS_PLUS] = ACTIONS(2123),
    [anon_sym_DASH_DASH] = ACTIONS(2123),
    [anon_sym_DQUOTE] = ACTIONS(2123),
    [anon_sym_SQUOTE] = ACTIONS(2123),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2123),
    [sym_number] = ACTIONS(2123),
    [sym_this] = ACTIONS(2125),
    [sym_super] = ACTIONS(2125),
    [sym_true] = ACTIONS(2125),
    [sym_false] = ACTIONS(2125),
    [sym_null] = ACTIONS(2125),
    [sym_undefined] = ACTIONS(2125),
    [anon_sym_AT] = ACTIONS(2123),
    [anon_sym_static] = ACTIONS(2125),
    [anon_sym_readonly] = ACTIONS(2125),
    [anon_sym_get] = ACTIONS(2125),
    [anon_sym_set] = ACTIONS(2125),
    [anon_sym_declare] = ACTIONS(2125),
    [anon_sym_public] = ACTIONS(2125),
    [anon_sym_private] = ACTIONS(2125),
    [anon_sym_protected] = ACTIONS(2125),
    [anon_sym_override] = ACTIONS(2125),
    [anon_sym_module] = ACTIONS(2125),
    [anon_sym_any] = ACTIONS(2125),
    [anon_sym_number] = ACTIONS(2125),
    [anon_sym_boolean] = ACTIONS(2125),
    [anon_sym_string] = ACTIONS(2125),
    [anon_sym_symbol] = ACTIONS(2125),
    [anon_sym_abstract] = ACTIONS(2125),
    [anon_sym_interface] = ACTIONS(2125),
    [anon_sym_enum] = ACTIONS(2125),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(2127),
    [sym_identifier] = ACTIONS(2129),
    [anon_sym_export] = ACTIONS(2129),
    [anon_sym_default] = ACTIONS(2129),
    [anon_sym_type] = ACTIONS(2129),
    [anon_sym_namespace] = ACTIONS(2129),
    [anon_sym_LBRACE] = ACTIONS(2127),
    [anon_sym_RBRACE] = ACTIONS(2127),
    [anon_sym_typeof] = ACTIONS(2129),
    [anon_sym_import] = ACTIONS(2129),
    [anon_sym_var] = ACTIONS(2129),
    [anon_sym_let] = ACTIONS(2129),
    [anon_sym_const] = ACTIONS(2129),
    [anon_sym_BANG] = ACTIONS(2127),
    [anon_sym_else] = ACTIONS(2129),
    [anon_sym_if] = ACTIONS(2129),
    [anon_sym_switch] = ACTIONS(2129),
    [anon_sym_for] = ACTIONS(2129),
    [anon_sym_LPAREN] = ACTIONS(2127),
    [anon_sym_await] = ACTIONS(2129),
    [anon_sym_while] = ACTIONS(2129),
    [anon_sym_do] = ACTIONS(2129),
    [anon_sym_try] = ACTIONS(2129),
    [anon_sym_with] = ACTIONS(2129),
    [anon_sym_break] = ACTIONS(2129),
    [anon_sym_continue] = ACTIONS(2129),
    [anon_sym_debugger] = ACTIONS(2129),
    [anon_sym_return] = ACTIONS(2129),
    [anon_sym_throw] = ACTIONS(2129),
    [anon_sym_SEMI] = ACTIONS(2127),
    [anon_sym_case] = ACTIONS(2129),
    [anon_sym_yield] = ACTIONS(2129),
    [anon_sym_LBRACK] = ACTIONS(2127),
    [anon_sym_LT] = ACTIONS(2127),
    [anon_sym_SLASH] = ACTIONS(2129),
    [anon_sym_class] = ACTIONS(2129),
    [anon_sym_async] = ACTIONS(2129),
    [anon_sym_function] = ACTIONS(2129),
    [anon_sym_new] = ACTIONS(2129),
    [anon_sym_PLUS] = ACTIONS(2129),
    [anon_sym_DASH] = ACTIONS(2129),
    [anon_sym_TILDE] = ACTIONS(2127),
    [anon_sym_void] = ACTIONS(2129),
    [anon_sym_delete] = ACTIONS(2129),
    [anon_sym_PLUS_PLUS] = ACTIONS(2127),
    [anon_sym_DASH_DASH] = ACTIONS(2127),
    [anon_sym_DQUOTE] = ACTIONS(2127),
    [anon_sym_SQUOTE] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2127),
    [sym_number] = ACTIONS(2127),
    [sym_this] = ACTIONS(2129),
    [sym_super] = ACTIONS(2129),
    [sym_true] = ACTIONS(2129),
    [sym_false] = ACTIONS(2129),
    [sym_null] = ACTIONS(2129),
    [sym_undefined] = ACTIONS(2129),
    [anon_sym_AT] = ACTIONS(2127),
    [anon_sym_static] = ACTIONS(2129),
    [anon_sym_readonly] = ACTIONS(2129),
    [anon_sym_get] = ACTIONS(2129),
    [anon_sym_set] = ACTIONS(2129),
    [anon_sym_declare] = ACTIONS(2129),
    [anon_sym_public] = ACTIONS(2129),
    [anon_sym_private] = ACTIONS(2129),
    [anon_sym_protected] = ACTIONS(2129),
    [anon_sym_override] = ACTIONS(2129),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_any] = ACTIONS(2129),
    [anon_sym_number] = ACTIONS(2129),
    [anon_sym_boolean] = ACTIONS(2129),
    [anon_sym_string] = ACTIONS(2129),
    [anon_sym_symbol] = ACTIONS(2129),
    [anon_sym_abstract] = ACTIONS(2129),
    [anon_sym_interface] = ACTIONS(2129),
    [anon_sym_enum] = ACTIONS(2129),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(2131),
    [sym_identifier] = ACTIONS(2133),
    [anon_sym_export] = ACTIONS(2133),
    [anon_sym_default] = ACTIONS(2133),
    [anon_sym_type] = ACTIONS(2133),
    [anon_sym_namespace] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(2131),
    [anon_sym_RBRACE] = ACTIONS(2131),
    [anon_sym_typeof] = ACTIONS(2133),
    [anon_sym_import] = ACTIONS(2133),
    [anon_sym_var] = ACTIONS(2133),
    [anon_sym_let] = ACTIONS(2133),
    [anon_sym_const] = ACTIONS(2133),
    [anon_sym_BANG] = ACTIONS(2131),
    [anon_sym_else] = ACTIONS(2133),
    [anon_sym_if] = ACTIONS(2133),
    [anon_sym_switch] = ACTIONS(2133),
    [anon_sym_for] = ACTIONS(2133),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_await] = ACTIONS(2133),
    [anon_sym_while] = ACTIONS(2133),
    [anon_sym_do] = ACTIONS(2133),
    [anon_sym_try] = ACTIONS(2133),
    [anon_sym_with] = ACTIONS(2133),
    [anon_sym_break] = ACTIONS(2133),
    [anon_sym_continue] = ACTIONS(2133),
    [anon_sym_debugger] = ACTIONS(2133),
    [anon_sym_return] = ACTIONS(2133),
    [anon_sym_throw] = ACTIONS(2133),
    [anon_sym_SEMI] = ACTIONS(2131),
    [anon_sym_case] = ACTIONS(2133),
    [anon_sym_yield] = ACTIONS(2133),
    [anon_sym_LBRACK] = ACTIONS(2131),
    [anon_sym_LT] = ACTIONS(2131),
    [anon_sym_SLASH] = ACTIONS(2133),
    [anon_sym_class] = ACTIONS(2133),
    [anon_sym_async] = ACTIONS(2133),
    [anon_sym_function] = ACTIONS(2133),
    [anon_sym_new] = ACTIONS(2133),
    [anon_sym_PLUS] = ACTIONS(2133),
    [anon_sym_DASH] = ACTIONS(2133),
    [anon_sym_TILDE] = ACTIONS(2131),
    [anon_sym_void] = ACTIONS(2133),
    [anon_sym_delete] = ACTIONS(2133),
    [anon_sym_PLUS_PLUS] = ACTIONS(2131),
    [anon_sym_DASH_DASH] = ACTIONS(2131),
    [anon_sym_DQUOTE] = ACTIONS(2131),
    [anon_sym_SQUOTE] = ACTIONS(2131),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2131),
    [sym_number] = ACTIONS(2131),
    [sym_this] = ACTIONS(2133),
    [sym_super] = ACTIONS(2133),
    [sym_true] = ACTIONS(2133),
    [sym_false] = ACTIONS(2133),
    [sym_null] = ACTIONS(2133),
    [sym_undefined] = ACTIONS(2133),
    [anon_sym_AT] = ACTIONS(2131),
    [anon_sym_static] = ACTIONS(2133),
    [anon_sym_readonly] = ACTIONS(2133),
    [anon_sym_get] = ACTIONS(2133),
    [anon_sym_set] = ACTIONS(2133),
    [anon_sym_declare] = ACTIONS(2133),
    [anon_sym_public] = ACTIONS(2133),
    [anon_sym_private] = ACTIONS(2133),
    [anon_sym_protected] = ACTIONS(2133),
    [anon_sym_override] = ACTIONS(2133),
    [anon_sym_module] = ACTIONS(2133),
    [anon_sym_any] = ACTIONS(2133),
    [anon_sym_number] = ACTIONS(2133),
    [anon_sym_boolean] = ACTIONS(2133),
    [anon_sym_string] = ACTIONS(2133),
    [anon_sym_symbol] = ACTIONS(2133),
    [anon_sym_abstract] = ACTIONS(2133),
    [anon_sym_interface] = ACTIONS(2133),
    [anon_sym_enum] = ACTIONS(2133),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(2135),
    [sym_identifier] = ACTIONS(2137),
    [anon_sym_export] = ACTIONS(2137),
    [anon_sym_default] = ACTIONS(2137),
    [anon_sym_type] = ACTIONS(2137),
    [anon_sym_namespace] = ACTIONS(2137),
    [anon_sym_LBRACE] = ACTIONS(2135),
    [anon_sym_RBRACE] = ACTIONS(2135),
    [anon_sym_typeof] = ACTIONS(2137),
    [anon_sym_import] = ACTIONS(2137),
    [anon_sym_var] = ACTIONS(2137),
    [anon_sym_let] = ACTIONS(2137),
    [anon_sym_const] = ACTIONS(2137),
    [anon_sym_BANG] = ACTIONS(2135),
    [anon_sym_else] = ACTIONS(2137),
    [anon_sym_if] = ACTIONS(2137),
    [anon_sym_switch] = ACTIONS(2137),
    [anon_sym_for] = ACTIONS(2137),
    [anon_sym_LPAREN] = ACTIONS(2135),
    [anon_sym_await] = ACTIONS(2137),
    [anon_sym_while] = ACTIONS(2137),
    [anon_sym_do] = ACTIONS(2137),
    [anon_sym_try] = ACTIONS(2137),
    [anon_sym_with] = ACTIONS(2137),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2137),
    [anon_sym_debugger] = ACTIONS(2137),
    [anon_sym_return] = ACTIONS(2137),
    [anon_sym_throw] = ACTIONS(2137),
    [anon_sym_SEMI] = ACTIONS(2135),
    [anon_sym_case] = ACTIONS(2137),
    [anon_sym_yield] = ACTIONS(2137),
    [anon_sym_LBRACK] = ACTIONS(2135),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_SLASH] = ACTIONS(2137),
    [anon_sym_class] = ACTIONS(2137),
    [anon_sym_async] = ACTIONS(2137),
    [anon_sym_function] = ACTIONS(2137),
    [anon_sym_new] = ACTIONS(2137),
    [anon_sym_PLUS] = ACTIONS(2137),
    [anon_sym_DASH] = ACTIONS(2137),
    [anon_sym_TILDE] = ACTIONS(2135),
    [anon_sym_void] = ACTIONS(2137),
    [anon_sym_delete] = ACTIONS(2137),
    [anon_sym_PLUS_PLUS] = ACTIONS(2135),
    [anon_sym_DASH_DASH] = ACTIONS(2135),
    [anon_sym_DQUOTE] = ACTIONS(2135),
    [anon_sym_SQUOTE] = ACTIONS(2135),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2135),
    [sym_number] = ACTIONS(2135),
    [sym_this] = ACTIONS(2137),
    [sym_super] = ACTIONS(2137),
    [sym_true] = ACTIONS(2137),
    [sym_false] = ACTIONS(2137),
    [sym_null] = ACTIONS(2137),
    [sym_undefined] = ACTIONS(2137),
    [anon_sym_AT] = ACTIONS(2135),
    [anon_sym_static] = ACTIONS(2137),
    [anon_sym_readonly] = ACTIONS(2137),
    [anon_sym_get] = ACTIONS(2137),
    [anon_sym_set] = ACTIONS(2137),
    [anon_sym_declare] = ACTIONS(2137),
    [anon_sym_public] = ACTIONS(2137),
    [anon_sym_private] = ACTIONS(2137),
    [anon_sym_protected] = ACTIONS(2137),
    [anon_sym_override] = ACTIONS(2137),
    [anon_sym_module] = ACTIONS(2137),
    [anon_sym_any] = ACTIONS(2137),
    [anon_sym_number] = ACTIONS(2137),
    [anon_sym_boolean] = ACTIONS(2137),
    [anon_sym_string] = ACTIONS(2137),
    [anon_sym_symbol] = ACTIONS(2137),
    [anon_sym_abstract] = ACTIONS(2137),
    [anon_sym_interface] = ACTIONS(2137),
    [anon_sym_enum] = ACTIONS(2137),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(2143),
    [sym_identifier] = ACTIONS(2145),
    [anon_sym_export] = ACTIONS(2145),
    [anon_sym_default] = ACTIONS(2145),
    [anon_sym_type] = ACTIONS(2145),
    [anon_sym_namespace] = ACTIONS(2145),
    [anon_sym_LBRACE] = ACTIONS(2143),
    [anon_sym_RBRACE] = ACTIONS(2143),
    [anon_sym_typeof] = ACTIONS(2145),
    [anon_sym_import] = ACTIONS(2145),
    [anon_sym_var] = ACTIONS(2145),
    [anon_sym_let] = ACTIONS(2145),
    [anon_sym_const] = ACTIONS(2145),
    [anon_sym_BANG] = ACTIONS(2143),
    [anon_sym_else] = ACTIONS(2145),
    [anon_sym_if] = ACTIONS(2145),
    [anon_sym_switch] = ACTIONS(2145),
    [anon_sym_for] = ACTIONS(2145),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_await] = ACTIONS(2145),
    [anon_sym_while] = ACTIONS(2145),
    [anon_sym_do] = ACTIONS(2145),
    [anon_sym_try] = ACTIONS(2145),
    [anon_sym_with] = ACTIONS(2145),
    [anon_sym_break] = ACTIONS(2145),
    [anon_sym_continue] = ACTIONS(2145),
    [anon_sym_debugger] = ACTIONS(2145),
    [anon_sym_return] = ACTIONS(2145),
    [anon_sym_throw] = ACTIONS(2145),
    [anon_sym_SEMI] = ACTIONS(2143),
    [anon_sym_case] = ACTIONS(2145),
    [anon_sym_yield] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2143),
    [anon_sym_LT] = ACTIONS(2143),
    [anon_sym_SLASH] = ACTIONS(2145),
    [anon_sym_class] = ACTIONS(2145),
    [anon_sym_async] = ACTIONS(2145),
    [anon_sym_function] = ACTIONS(2145),
    [anon_sym_new] = ACTIONS(2145),
    [anon_sym_PLUS] = ACTIONS(2145),
    [anon_sym_DASH] = ACTIONS(2145),
    [anon_sym_TILDE] = ACTIONS(2143),
    [anon_sym_void] = ACTIONS(2145),
    [anon_sym_delete] = ACTIONS(2145),
    [anon_sym_PLUS_PLUS] = ACTIONS(2143),
    [anon_sym_DASH_DASH] = ACTIONS(2143),
    [anon_sym_DQUOTE] = ACTIONS(2143),
    [anon_sym_SQUOTE] = ACTIONS(2143),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2143),
    [sym_number] = ACTIONS(2143),
    [sym_this] = ACTIONS(2145),
    [sym_super] = ACTIONS(2145),
    [sym_true] = ACTIONS(2145),
    [sym_false] = ACTIONS(2145),
    [sym_null] = ACTIONS(2145),
    [sym_undefined] = ACTIONS(2145),
    [anon_sym_AT] = ACTIONS(2143),
    [anon_sym_static] = ACTIONS(2145),
    [anon_sym_readonly] = ACTIONS(2145),
    [anon_sym_get] = ACTIONS(2145),
    [anon_sym_set] = ACTIONS(2145),
    [anon_sym_declare] = ACTIONS(2145),
    [anon_sym_public] = ACTIONS(2145),
    [anon_sym_private] = ACTIONS(2145),
    [anon_sym_protected] = ACTIONS(2145),
    [anon_sym_override] = ACTIONS(2145),
    [anon_sym_module] = ACTIONS(2145),
    [anon_sym_any] = ACTIONS(2145),
    [anon_sym_number] = ACTIONS(2145),
    [anon_sym_boolean] = ACTIONS(2145),
    [anon_sym_string] = ACTIONS(2145),
    [anon_sym_symbol] = ACTIONS(2145),
    [anon_sym_abstract] = ACTIONS(2145),
    [anon_sym_interface] = ACTIONS(2145),
    [anon_sym_enum] = ACTIONS(2145),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(2147),
    [sym_identifier] = ACTIONS(2149),
    [anon_sym_export] = ACTIONS(2149),
    [anon_sym_default] = ACTIONS(2149),
    [anon_sym_type] = ACTIONS(2149),
    [anon_sym_namespace] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2147),
    [anon_sym_RBRACE] = ACTIONS(2147),
    [anon_sym_typeof] = ACTIONS(2149),
    [anon_sym_import] = ACTIONS(2149),
    [anon_sym_var] = ACTIONS(2149),
    [anon_sym_let] = ACTIONS(2149),
    [anon_sym_const] = ACTIONS(2149),
    [anon_sym_BANG] = ACTIONS(2147),
    [anon_sym_else] = ACTIONS(2149),
    [anon_sym_if] = ACTIONS(2149),
    [anon_sym_switch] = ACTIONS(2149),
    [anon_sym_for] = ACTIONS(2149),
    [anon_sym_LPAREN] = ACTIONS(2147),
    [anon_sym_await] = ACTIONS(2149),
    [anon_sym_while] = ACTIONS(2149),
    [anon_sym_do] = ACTIONS(2149),
    [anon_sym_try] = ACTIONS(2149),
    [anon_sym_with] = ACTIONS(2149),
    [anon_sym_break] = ACTIONS(2149),
    [anon_sym_continue] = ACTIONS(2149),
    [anon_sym_debugger] = ACTIONS(2149),
    [anon_sym_return] = ACTIONS(2149),
    [anon_sym_throw] = ACTIONS(2149),
    [anon_sym_SEMI] = ACTIONS(2147),
    [anon_sym_case] = ACTIONS(2149),
    [anon_sym_yield] = ACTIONS(2149),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_LT] = ACTIONS(2147),
    [anon_sym_SLASH] = ACTIONS(2149),
    [anon_sym_class] = ACTIONS(2149),
    [anon_sym_async] = ACTIONS(2149),
    [anon_sym_function] = ACTIONS(2149),
    [anon_sym_new] = ACTIONS(2149),
    [anon_sym_PLUS] = ACTIONS(2149),
    [anon_sym_DASH] = ACTIONS(2149),
    [anon_sym_TILDE] = ACTIONS(2147),
    [anon_sym_void] = ACTIONS(2149),
    [anon_sym_delete] = ACTIONS(2149),
    [anon_sym_PLUS_PLUS] = ACTIONS(2147),
    [anon_sym_DASH_DASH] = ACTIONS(2147),
    [anon_sym_DQUOTE] = ACTIONS(2147),
    [anon_sym_SQUOTE] = ACTIONS(2147),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2147),
    [sym_number] = ACTIONS(2147),
    [sym_this] = ACTIONS(2149),
    [sym_super] = ACTIONS(2149),
    [sym_true] = ACTIONS(2149),
    [sym_false] = ACTIONS(2149),
    [sym_null] = ACTIONS(2149),
    [sym_undefined] = ACTIONS(2149),
    [anon_sym_AT] = ACTIONS(2147),
    [anon_sym_static] = ACTIONS(2149),
    [anon_sym_readonly] = ACTIONS(2149),
    [anon_sym_get] = ACTIONS(2149),
    [anon_sym_set] = ACTIONS(2149),
    [anon_sym_declare] = ACTIONS(2149),
    [anon_sym_public] = ACTIONS(2149),
    [anon_sym_private] = ACTIONS(2149),
    [anon_sym_protected] = ACTIONS(2149),
    [anon_sym_override] = ACTIONS(2149),
    [anon_sym_module] = ACTIONS(2149),
    [anon_sym_any] = ACTIONS(2149),
    [anon_sym_number] = ACTIONS(2149),
    [anon_sym_boolean] = ACTIONS(2149),
    [anon_sym_string] = ACTIONS(2149),
    [anon_sym_symbol] = ACTIONS(2149),
    [anon_sym_abstract] = ACTIONS(2149),
    [anon_sym_interface] = ACTIONS(2149),
    [anon_sym_enum] = ACTIONS(2149),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(2151),
    [sym_identifier] = ACTIONS(2153),
    [anon_sym_export] = ACTIONS(2153),
    [anon_sym_default] = ACTIONS(2153),
    [anon_sym_type] = ACTIONS(2153),
    [anon_sym_namespace] = ACTIONS(2153),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_RBRACE] = ACTIONS(2151),
    [anon_sym_typeof] = ACTIONS(2153),
    [anon_sym_import] = ACTIONS(2153),
    [anon_sym_var] = ACTIONS(2153),
    [anon_sym_let] = ACTIONS(2153),
    [anon_sym_const] = ACTIONS(2153),
    [anon_sym_BANG] = ACTIONS(2151),
    [anon_sym_else] = ACTIONS(2153),
    [anon_sym_if] = ACTIONS(2153),
    [anon_sym_switch] = ACTIONS(2153),
    [anon_sym_for] = ACTIONS(2153),
    [anon_sym_LPAREN] = ACTIONS(2151),
    [anon_sym_await] = ACTIONS(2153),
    [anon_sym_while] = ACTIONS(2153),
    [anon_sym_do] = ACTIONS(2153),
    [anon_sym_try] = ACTIONS(2153),
    [anon_sym_with] = ACTIONS(2153),
    [anon_sym_break] = ACTIONS(2153),
    [anon_sym_continue] = ACTIONS(2153),
    [anon_sym_debugger] = ACTIONS(2153),
    [anon_sym_return] = ACTIONS(2153),
    [anon_sym_throw] = ACTIONS(2153),
    [anon_sym_SEMI] = ACTIONS(2151),
    [anon_sym_case] = ACTIONS(2153),
    [anon_sym_yield] = ACTIONS(2153),
    [anon_sym_LBRACK] = ACTIONS(2151),
    [anon_sym_LT] = ACTIONS(2151),
    [anon_sym_SLASH] = ACTIONS(2153),
    [anon_sym_class] = ACTIONS(2153),
    [anon_sym_async] = ACTIONS(2153),
    [anon_sym_function] = ACTIONS(2153),
    [anon_sym_new] = ACTIONS(2153),
    [anon_sym_PLUS] = ACTIONS(2153),
    [anon_sym_DASH] = ACTIONS(2153),
    [anon_sym_TILDE] = ACTIONS(2151),
    [anon_sym_void] = ACTIONS(2153),
    [anon_sym_delete] = ACTIONS(2153),
    [anon_sym_PLUS_PLUS] = ACTIONS(2151),
    [anon_sym_DASH_DASH] = ACTIONS(2151),
    [anon_sym_DQUOTE] = ACTIONS(2151),
    [anon_sym_SQUOTE] = ACTIONS(2151),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2151),
    [sym_number] = ACTIONS(2151),
    [sym_this] = ACTIONS(2153),
    [sym_super] = ACTIONS(2153),
    [sym_true] = ACTIONS(2153),
    [sym_false] = ACTIONS(2153),
    [sym_null] = ACTIONS(2153),
    [sym_undefined] = ACTIONS(2153),
    [anon_sym_AT] = ACTIONS(2151),
    [anon_sym_static] = ACTIONS(2153),
    [anon_sym_readonly] = ACTIONS(2153),
    [anon_sym_get] = ACTIONS(2153),
    [anon_sym_set] = ACTIONS(2153),
    [anon_sym_declare] = ACTIONS(2153),
    [anon_sym_public] = ACTIONS(2153),
    [anon_sym_private] = ACTIONS(2153),
    [anon_sym_protected] = ACTIONS(2153),
    [anon_sym_override] = ACTIONS(2153),
    [anon_sym_module] = ACTIONS(2153),
    [anon_sym_any] = ACTIONS(2153),
    [anon_sym_number] = ACTIONS(2153),
    [anon_sym_boolean] = ACTIONS(2153),
    [anon_sym_string] = ACTIONS(2153),
    [anon_sym_symbol] = ACTIONS(2153),
    [anon_sym_abstract] = ACTIONS(2153),
    [anon_sym_interface] = ACTIONS(2153),
    [anon_sym_enum] = ACTIONS(2153),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(2155),
    [sym_identifier] = ACTIONS(2157),
    [anon_sym_export] = ACTIONS(2157),
    [anon_sym_default] = ACTIONS(2157),
    [anon_sym_type] = ACTIONS(2157),
    [anon_sym_namespace] = ACTIONS(2157),
    [anon_sym_LBRACE] = ACTIONS(2155),
    [anon_sym_RBRACE] = ACTIONS(2155),
    [anon_sym_typeof] = ACTIONS(2157),
    [anon_sym_import] = ACTIONS(2157),
    [anon_sym_var] = ACTIONS(2157),
    [anon_sym_let] = ACTIONS(2157),
    [anon_sym_const] = ACTIONS(2157),
    [anon_sym_BANG] = ACTIONS(2155),
    [anon_sym_else] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2157),
    [anon_sym_switch] = ACTIONS(2157),
    [anon_sym_for] = ACTIONS(2157),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_await] = ACTIONS(2157),
    [anon_sym_while] = ACTIONS(2157),
    [anon_sym_do] = ACTIONS(2157),
    [anon_sym_try] = ACTIONS(2157),
    [anon_sym_with] = ACTIONS(2157),
    [anon_sym_break] = ACTIONS(2157),
    [anon_sym_continue] = ACTIONS(2157),
    [anon_sym_debugger] = ACTIONS(2157),
    [anon_sym_return] = ACTIONS(2157),
    [anon_sym_throw] = ACTIONS(2157),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_case] = ACTIONS(2157),
    [anon_sym_yield] = ACTIONS(2157),
    [anon_sym_LBRACK] = ACTIONS(2155),
    [anon_sym_LT] = ACTIONS(2155),
    [anon_sym_SLASH] = ACTIONS(2157),
    [anon_sym_class] = ACTIONS(2157),
    [anon_sym_async] = ACTIONS(2157),
    [anon_sym_function] = ACTIONS(2157),
    [anon_sym_new] = ACTIONS(2157),
    [anon_sym_PLUS] = ACTIONS(2157),
    [anon_sym_DASH] = ACTIONS(2157),
    [anon_sym_TILDE] = ACTIONS(2155),
    [anon_sym_void] = ACTIONS(2157),
    [anon_sym_delete] = ACTIONS(2157),
    [anon_sym_PLUS_PLUS] = ACTIONS(2155),
    [anon_sym_DASH_DASH] = ACTIONS(2155),
    [anon_sym_DQUOTE] = ACTIONS(2155),
    [anon_sym_SQUOTE] = ACTIONS(2155),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2155),
    [sym_number] = ACTIONS(2155),
    [sym_this] = ACTIONS(2157),
    [sym_super] = ACTIONS(2157),
    [sym_true] = ACTIONS(2157),
    [sym_false] = ACTIONS(2157),
    [sym_null] = ACTIONS(2157),
    [sym_undefined] = ACTIONS(2157),
    [anon_sym_AT] = ACTIONS(2155),
    [anon_sym_static] = ACTIONS(2157),
    [anon_sym_readonly] = ACTIONS(2157),
    [anon_sym_get] = ACTIONS(2157),
    [anon_sym_set] = ACTIONS(2157),
    [anon_sym_declare] = ACTIONS(2157),
    [anon_sym_public] = ACTIONS(2157),
    [anon_sym_private] = ACTIONS(2157),
    [anon_sym_protected] = ACTIONS(2157),
    [anon_sym_override] = ACTIONS(2157),
    [anon_sym_module] = ACTIONS(2157),
    [anon_sym_any] = ACTIONS(2157),
    [anon_sym_number] = ACTIONS(2157),
    [anon_sym_boolean] = ACTIONS(2157),
    [anon_sym_string] = ACTIONS(2157),
    [anon_sym_symbol] = ACTIONS(2157),
    [anon_sym_abstract] = ACTIONS(2157),
    [anon_sym_interface] = ACTIONS(2157),
    [anon_sym_enum] = ACTIONS(2157),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(2159),
    [sym_identifier] = ACTIONS(2161),
    [anon_sym_export] = ACTIONS(2161),
    [anon_sym_default] = ACTIONS(2161),
    [anon_sym_type] = ACTIONS(2161),
    [anon_sym_namespace] = ACTIONS(2161),
    [anon_sym_LBRACE] = ACTIONS(2159),
    [anon_sym_RBRACE] = ACTIONS(2159),
    [anon_sym_typeof] = ACTIONS(2161),
    [anon_sym_import] = ACTIONS(2161),
    [anon_sym_var] = ACTIONS(2161),
    [anon_sym_let] = ACTIONS(2161),
    [anon_sym_const] = ACTIONS(2161),
    [anon_sym_BANG] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(2161),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_switch] = ACTIONS(2161),
    [anon_sym_for] = ACTIONS(2161),
    [anon_sym_LPAREN] = ACTIONS(2159),
    [anon_sym_await] = ACTIONS(2161),
    [anon_sym_while] = ACTIONS(2161),
    [anon_sym_do] = ACTIONS(2161),
    [anon_sym_try] = ACTIONS(2161),
    [anon_sym_with] = ACTIONS(2161),
    [anon_sym_break] = ACTIONS(2161),
    [anon_sym_continue] = ACTIONS(2161),
    [anon_sym_debugger] = ACTIONS(2161),
    [anon_sym_return] = ACTIONS(2161),
    [anon_sym_throw] = ACTIONS(2161),
    [anon_sym_SEMI] = ACTIONS(2159),
    [anon_sym_case] = ACTIONS(2161),
    [anon_sym_yield] = ACTIONS(2161),
    [anon_sym_LBRACK] = ACTIONS(2159),
    [anon_sym_LT] = ACTIONS(2159),
    [anon_sym_SLASH] = ACTIONS(2161),
    [anon_sym_class] = ACTIONS(2161),
    [anon_sym_async] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2161),
    [anon_sym_new] = ACTIONS(2161),
    [anon_sym_PLUS] = ACTIONS(2161),
    [anon_sym_DASH] = ACTIONS(2161),
    [anon_sym_TILDE] = ACTIONS(2159),
    [anon_sym_void] = ACTIONS(2161),
    [anon_sym_delete] = ACTIONS(2161),
    [anon_sym_PLUS_PLUS] = ACTIONS(2159),
    [anon_sym_DASH_DASH] = ACTIONS(2159),
    [anon_sym_DQUOTE] = ACTIONS(2159),
    [anon_sym_SQUOTE] = ACTIONS(2159),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2159),
    [sym_number] = ACTIONS(2159),
    [sym_this] = ACTIONS(2161),
    [sym_super] = ACTIONS(2161),
    [sym_true] = ACTIONS(2161),
    [sym_false] = ACTIONS(2161),
    [sym_null] = ACTIONS(2161),
    [sym_undefined] = ACTIONS(2161),
    [anon_sym_AT] = ACTIONS(2159),
    [anon_sym_static] = ACTIONS(2161),
    [anon_sym_readonly] = ACTIONS(2161),
    [anon_sym_get] = ACTIONS(2161),
    [anon_sym_set] = ACTIONS(2161),
    [anon_sym_declare] = ACTIONS(2161),
    [anon_sym_public] = ACTIONS(2161),
    [anon_sym_private] = ACTIONS(2161),
    [anon_sym_protected] = ACTIONS(2161),
    [anon_sym_override] = ACTIONS(2161),
    [anon_sym_module] = ACTIONS(2161),
    [anon_sym_any] = ACTIONS(2161),
    [anon_sym_number] = ACTIONS(2161),
    [anon_sym_boolean] = ACTIONS(2161),
    [anon_sym_string] = ACTIONS(2161),
    [anon_sym_symbol] = ACTIONS(2161),
    [anon_sym_abstract] = ACTIONS(2161),
    [anon_sym_interface] = ACTIONS(2161),
    [anon_sym_enum] = ACTIONS(2161),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(2163),
    [sym_identifier] = ACTIONS(2165),
    [anon_sym_export] = ACTIONS(2165),
    [anon_sym_default] = ACTIONS(2165),
    [anon_sym_type] = ACTIONS(2165),
    [anon_sym_namespace] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(2163),
    [anon_sym_RBRACE] = ACTIONS(2163),
    [anon_sym_typeof] = ACTIONS(2165),
    [anon_sym_import] = ACTIONS(2165),
    [anon_sym_var] = ACTIONS(2165),
    [anon_sym_let] = ACTIONS(2165),
    [anon_sym_const] = ACTIONS(2165),
    [anon_sym_BANG] = ACTIONS(2163),
    [anon_sym_else] = ACTIONS(2165),
    [anon_sym_if] = ACTIONS(2165),
    [anon_sym_switch] = ACTIONS(2165),
    [anon_sym_for] = ACTIONS(2165),
    [anon_sym_LPAREN] = ACTIONS(2163),
    [anon_sym_await] = ACTIONS(2165),
    [anon_sym_while] = ACTIONS(2165),
    [anon_sym_do] = ACTIONS(2165),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_with] = ACTIONS(2165),
    [anon_sym_break] = ACTIONS(2165),
    [anon_sym_continue] = ACTIONS(2165),
    [anon_sym_debugger] = ACTIONS(2165),
    [anon_sym_return] = ACTIONS(2165),
    [anon_sym_throw] = ACTIONS(2165),
    [anon_sym_SEMI] = ACTIONS(2163),
    [anon_sym_case] = ACTIONS(2165),
    [anon_sym_yield] = ACTIONS(2165),
    [anon_sym_LBRACK] = ACTIONS(2163),
    [anon_sym_LT] = ACTIONS(2163),
    [anon_sym_SLASH] = ACTIONS(2165),
    [anon_sym_class] = ACTIONS(2165),
    [anon_sym_async] = ACTIONS(2165),
    [anon_sym_function] = ACTIONS(2165),
    [anon_sym_new] = ACTIONS(2165),
    [anon_sym_PLUS] = ACTIONS(2165),
    [anon_sym_DASH] = ACTIONS(2165),
    [anon_sym_TILDE] = ACTIONS(2163),
    [anon_sym_void] = ACTIONS(2165),
    [anon_sym_delete] = ACTIONS(2165),
    [anon_sym_PLUS_PLUS] = ACTIONS(2163),
    [anon_sym_DASH_DASH] = ACTIONS(2163),
    [anon_sym_DQUOTE] = ACTIONS(2163),
    [anon_sym_SQUOTE] = ACTIONS(2163),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2163),
    [sym_number] = ACTIONS(2163),
    [sym_this] = ACTIONS(2165),
    [sym_super] = ACTIONS(2165),
    [sym_true] = ACTIONS(2165),
    [sym_false] = ACTIONS(2165),
    [sym_null] = ACTIONS(2165),
    [sym_undefined] = ACTIONS(2165),
    [anon_sym_AT] = ACTIONS(2163),
    [anon_sym_static] = ACTIONS(2165),
    [anon_sym_readonly] = ACTIONS(2165),
    [anon_sym_get] = ACTIONS(2165),
    [anon_sym_set] = ACTIONS(2165),
    [anon_sym_declare] = ACTIONS(2165),
    [anon_sym_public] = ACTIONS(2165),
    [anon_sym_private] = ACTIONS(2165),
    [anon_sym_protected] = ACTIONS(2165),
    [anon_sym_override] = ACTIONS(2165),
    [anon_sym_module] = ACTIONS(2165),
    [anon_sym_any] = ACTIONS(2165),
    [anon_sym_number] = ACTIONS(2165),
    [anon_sym_boolean] = ACTIONS(2165),
    [anon_sym_string] = ACTIONS(2165),
    [anon_sym_symbol] = ACTIONS(2165),
    [anon_sym_abstract] = ACTIONS(2165),
    [anon_sym_interface] = ACTIONS(2165),
    [anon_sym_enum] = ACTIONS(2165),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(2167),
    [sym_identifier] = ACTIONS(2169),
    [anon_sym_export] = ACTIONS(2169),
    [anon_sym_default] = ACTIONS(2169),
    [anon_sym_type] = ACTIONS(2169),
    [anon_sym_namespace] = ACTIONS(2169),
    [anon_sym_LBRACE] = ACTIONS(2167),
    [anon_sym_RBRACE] = ACTIONS(2167),
    [anon_sym_typeof] = ACTIONS(2169),
    [anon_sym_import] = ACTIONS(2169),
    [anon_sym_var] = ACTIONS(2169),
    [anon_sym_let] = ACTIONS(2169),
    [anon_sym_const] = ACTIONS(2169),
    [anon_sym_BANG] = ACTIONS(2167),
    [anon_sym_else] = ACTIONS(2169),
    [anon_sym_if] = ACTIONS(2169),
    [anon_sym_switch] = ACTIONS(2169),
    [anon_sym_for] = ACTIONS(2169),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_await] = ACTIONS(2169),
    [anon_sym_while] = ACTIONS(2169),
    [anon_sym_do] = ACTIONS(2169),
    [anon_sym_try] = ACTIONS(2169),
    [anon_sym_with] = ACTIONS(2169),
    [anon_sym_break] = ACTIONS(2169),
    [anon_sym_continue] = ACTIONS(2169),
    [anon_sym_debugger] = ACTIONS(2169),
    [anon_sym_return] = ACTIONS(2169),
    [anon_sym_throw] = ACTIONS(2169),
    [anon_sym_SEMI] = ACTIONS(2167),
    [anon_sym_case] = ACTIONS(2169),
    [anon_sym_yield] = ACTIONS(2169),
    [anon_sym_LBRACK] = ACTIONS(2167),
    [anon_sym_LT] = ACTIONS(2167),
    [anon_sym_SLASH] = ACTIONS(2169),
    [anon_sym_class] = ACTIONS(2169),
    [anon_sym_async] = ACTIONS(2169),
    [anon_sym_function] = ACTIONS(2169),
    [anon_sym_new] = ACTIONS(2169),
    [anon_sym_PLUS] = ACTIONS(2169),
    [anon_sym_DASH] = ACTIONS(2169),
    [anon_sym_TILDE] = ACTIONS(2167),
    [anon_sym_void] = ACTIONS(2169),
    [anon_sym_delete] = ACTIONS(2169),
    [anon_sym_PLUS_PLUS] = ACTIONS(2167),
    [anon_sym_DASH_DASH] = ACTIONS(2167),
    [anon_sym_DQUOTE] = ACTIONS(2167),
    [anon_sym_SQUOTE] = ACTIONS(2167),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2167),
    [sym_number] = ACTIONS(2167),
    [sym_this] = ACTIONS(2169),
    [sym_super] = ACTIONS(2169),
    [sym_true] = ACTIONS(2169),
    [sym_false] = ACTIONS(2169),
    [sym_null] = ACTIONS(2169),
    [sym_undefined] = ACTIONS(2169),
    [anon_sym_AT] = ACTIONS(2167),
    [anon_sym_static] = ACTIONS(2169),
    [anon_sym_readonly] = ACTIONS(2169),
    [anon_sym_get] = ACTIONS(2169),
    [anon_sym_set] = ACTIONS(2169),
    [anon_sym_declare] = ACTIONS(2169),
    [anon_sym_public] = ACTIONS(2169),
    [anon_sym_private] = ACTIONS(2169),
    [anon_sym_protected] = ACTIONS(2169),
    [anon_sym_override] = ACTIONS(2169),
    [anon_sym_module] = ACTIONS(2169),
    [anon_sym_any] = ACTIONS(2169),
    [anon_sym_number] = ACTIONS(2169),
    [anon_sym_boolean] = ACTIONS(2169),
    [anon_sym_string] = ACTIONS(2169),
    [anon_sym_symbol] = ACTIONS(2169),
    [anon_sym_abstract] = ACTIONS(2169),
    [anon_sym_interface] = ACTIONS(2169),
    [anon_sym_enum] = ACTIONS(2169),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(2171),
    [sym_identifier] = ACTIONS(2173),
    [anon_sym_export] = ACTIONS(2173),
    [anon_sym_default] = ACTIONS(2173),
    [anon_sym_type] = ACTIONS(2173),
    [anon_sym_namespace] = ACTIONS(2173),
    [anon_sym_LBRACE] = ACTIONS(2171),
    [anon_sym_RBRACE] = ACTIONS(2171),
    [anon_sym_typeof] = ACTIONS(2173),
    [anon_sym_import] = ACTIONS(2173),
    [anon_sym_var] = ACTIONS(2173),
    [anon_sym_let] = ACTIONS(2173),
    [anon_sym_const] = ACTIONS(2173),
    [anon_sym_BANG] = ACTIONS(2171),
    [anon_sym_else] = ACTIONS(2173),
    [anon_sym_if] = ACTIONS(2173),
    [anon_sym_switch] = ACTIONS(2173),
    [anon_sym_for] = ACTIONS(2173),
    [anon_sym_LPAREN] = ACTIONS(2171),
    [anon_sym_await] = ACTIONS(2173),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2173),
    [anon_sym_try] = ACTIONS(2173),
    [anon_sym_with] = ACTIONS(2173),
    [anon_sym_break] = ACTIONS(2173),
    [anon_sym_continue] = ACTIONS(2173),
    [anon_sym_debugger] = ACTIONS(2173),
    [anon_sym_return] = ACTIONS(2173),
    [anon_sym_throw] = ACTIONS(2173),
    [anon_sym_SEMI] = ACTIONS(2171),
    [anon_sym_case] = ACTIONS(2173),
    [anon_sym_yield] = ACTIONS(2173),
    [anon_sym_LBRACK] = ACTIONS(2171),
    [anon_sym_LT] = ACTIONS(2171),
    [anon_sym_SLASH] = ACTIONS(2173),
    [anon_sym_class] = ACTIONS(2173),
    [anon_sym_async] = ACTIONS(2173),
    [anon_sym_function] = ACTIONS(2173),
    [anon_sym_new] = ACTIONS(2173),
    [anon_sym_PLUS] = ACTIONS(2173),
    [anon_sym_DASH] = ACTIONS(2173),
    [anon_sym_TILDE] = ACTIONS(2171),
    [anon_sym_void] = ACTIONS(2173),
    [anon_sym_delete] = ACTIONS(2173),
    [anon_sym_PLUS_PLUS] = ACTIONS(2171),
    [anon_sym_DASH_DASH] = ACTIONS(2171),
    [anon_sym_DQUOTE] = ACTIONS(2171),
    [anon_sym_SQUOTE] = ACTIONS(2171),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2171),
    [sym_number] = ACTIONS(2171),
    [sym_this] = ACTIONS(2173),
    [sym_super] = ACTIONS(2173),
    [sym_true] = ACTIONS(2173),
    [sym_false] = ACTIONS(2173),
    [sym_null] = ACTIONS(2173),
    [sym_undefined] = ACTIONS(2173),
    [anon_sym_AT] = ACTIONS(2171),
    [anon_sym_static] = ACTIONS(2173),
    [anon_sym_readonly] = ACTIONS(2173),
    [anon_sym_get] = ACTIONS(2173),
    [anon_sym_set] = ACTIONS(2173),
    [anon_sym_declare] = ACTIONS(2173),
    [anon_sym_public] = ACTIONS(2173),
    [anon_sym_private] = ACTIONS(2173),
    [anon_sym_protected] = ACTIONS(2173),
    [anon_sym_override] = ACTIONS(2173),
    [anon_sym_module] = ACTIONS(2173),
    [anon_sym_any] = ACTIONS(2173),
    [anon_sym_number] = ACTIONS(2173),
    [anon_sym_boolean] = ACTIONS(2173),
    [anon_sym_string] = ACTIONS(2173),
    [anon_sym_symbol] = ACTIONS(2173),
    [anon_sym_abstract] = ACTIONS(2173),
    [anon_sym_interface] = ACTIONS(2173),
    [anon_sym_enum] = ACTIONS(2173),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(2175),
    [sym_identifier] = ACTIONS(2177),
    [anon_sym_export] = ACTIONS(2177),
    [anon_sym_default] = ACTIONS(2177),
    [anon_sym_type] = ACTIONS(2177),
    [anon_sym_namespace] = ACTIONS(2177),
    [anon_sym_LBRACE] = ACTIONS(2175),
    [anon_sym_RBRACE] = ACTIONS(2175),
    [anon_sym_typeof] = ACTIONS(2177),
    [anon_sym_import] = ACTIONS(2177),
    [anon_sym_var] = ACTIONS(2177),
    [anon_sym_let] = ACTIONS(2177),
    [anon_sym_const] = ACTIONS(2177),
    [anon_sym_BANG] = ACTIONS(2175),
    [anon_sym_else] = ACTIONS(2177),
    [anon_sym_if] = ACTIONS(2177),
    [anon_sym_switch] = ACTIONS(2177),
    [anon_sym_for] = ACTIONS(2177),
    [anon_sym_LPAREN] = ACTIONS(2175),
    [anon_sym_await] = ACTIONS(2177),
    [anon_sym_while] = ACTIONS(2177),
    [anon_sym_do] = ACTIONS(2177),
    [anon_sym_try] = ACTIONS(2177),
    [anon_sym_with] = ACTIONS(2177),
    [anon_sym_break] = ACTIONS(2177),
    [anon_sym_continue] = ACTIONS(2177),
    [anon_sym_debugger] = ACTIONS(2177),
    [anon_sym_return] = ACTIONS(2177),
    [anon_sym_throw] = ACTIONS(2177),
    [anon_sym_SEMI] = ACTIONS(2175),
    [anon_sym_case] = ACTIONS(2177),
    [anon_sym_yield] = ACTIONS(2177),
    [anon_sym_LBRACK] = ACTIONS(2175),
    [anon_sym_LT] = ACTIONS(2175),
    [anon_sym_SLASH] = ACTIONS(2177),
    [anon_sym_class] = ACTIONS(2177),
    [anon_sym_async] = ACTIONS(2177),
    [anon_sym_function] = ACTIONS(2177),
    [anon_sym_new] = ACTIONS(2177),
    [anon_sym_PLUS] = ACTIONS(2177),
    [anon_sym_DASH] = ACTIONS(2177),
    [anon_sym_TILDE] = ACTIONS(2175),
    [anon_sym_void] = ACTIONS(2177),
    [anon_sym_delete] = ACTIONS(2177),
    [anon_sym_PLUS_PLUS] = ACTIONS(2175),
    [anon_sym_DASH_DASH] = ACTIONS(2175),
    [anon_sym_DQUOTE] = ACTIONS(2175),
    [anon_sym_SQUOTE] = ACTIONS(2175),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2175),
    [sym_number] = ACTIONS(2175),
    [sym_this] = ACTIONS(2177),
    [sym_super] = ACTIONS(2177),
    [sym_true] = ACTIONS(2177),
    [sym_false] = ACTIONS(2177),
    [sym_null] = ACTIONS(2177),
    [sym_undefined] = ACTIONS(2177),
    [anon_sym_AT] = ACTIONS(2175),
    [anon_sym_static] = ACTIONS(2177),
    [anon_sym_readonly] = ACTIONS(2177),
    [anon_sym_get] = ACTIONS(2177),
    [anon_sym_set] = ACTIONS(2177),
    [anon_sym_declare] = ACTIONS(2177),
    [anon_sym_public] = ACTIONS(2177),
    [anon_sym_private] = ACTIONS(2177),
    [anon_sym_protected] = ACTIONS(2177),
    [anon_sym_override] = ACTIONS(2177),
    [anon_sym_module] = ACTIONS(2177),
    [anon_sym_any] = ACTIONS(2177),
    [anon_sym_number] = ACTIONS(2177),
    [anon_sym_boolean] = ACTIONS(2177),
    [anon_sym_string] = ACTIONS(2177),
    [anon_sym_symbol] = ACTIONS(2177),
    [anon_sym_abstract] = ACTIONS(2177),
    [anon_sym_interface] = ACTIONS(2177),
    [anon_sym_enum] = ACTIONS(2177),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(2035),
    [sym_identifier] = ACTIONS(2037),
    [anon_sym_export] = ACTIONS(2037),
    [anon_sym_default] = ACTIONS(2037),
    [anon_sym_type] = ACTIONS(2037),
    [anon_sym_namespace] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(2035),
    [anon_sym_RBRACE] = ACTIONS(2035),
    [anon_sym_typeof] = ACTIONS(2037),
    [anon_sym_import] = ACTIONS(2037),
    [anon_sym_var] = ACTIONS(2037),
    [anon_sym_let] = ACTIONS(2037),
    [anon_sym_const] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2035),
    [anon_sym_else] = ACTIONS(2037),
    [anon_sym_if] = ACTIONS(2037),
    [anon_sym_switch] = ACTIONS(2037),
    [anon_sym_for] = ACTIONS(2037),
    [anon_sym_LPAREN] = ACTIONS(2035),
    [anon_sym_await] = ACTIONS(2037),
    [anon_sym_while] = ACTIONS(2037),
    [anon_sym_do] = ACTIONS(2037),
    [anon_sym_try] = ACTIONS(2037),
    [anon_sym_with] = ACTIONS(2037),
    [anon_sym_break] = ACTIONS(2037),
    [anon_sym_continue] = ACTIONS(2037),
    [anon_sym_debugger] = ACTIONS(2037),
    [anon_sym_return] = ACTIONS(2037),
    [anon_sym_throw] = ACTIONS(2037),
    [anon_sym_SEMI] = ACTIONS(2035),
    [anon_sym_case] = ACTIONS(2037),
    [anon_sym_yield] = ACTIONS(2037),
    [anon_sym_LBRACK] = ACTIONS(2035),
    [anon_sym_LT] = ACTIONS(2035),
    [anon_sym_SLASH] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2037),
    [anon_sym_async] = ACTIONS(2037),
    [anon_sym_function] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2037),
    [anon_sym_DASH] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2035),
    [anon_sym_void] = ACTIONS(2037),
    [anon_sym_delete] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2035),
    [anon_sym_DASH_DASH] = ACTIONS(2035),
    [anon_sym_DQUOTE] = ACTIONS(2035),
    [anon_sym_SQUOTE] = ACTIONS(2035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2035),
    [sym_number] = ACTIONS(2035),
    [sym_this] = ACTIONS(2037),
    [sym_super] = ACTIONS(2037),
    [sym_true] = ACTIONS(2037),
    [sym_false] = ACTIONS(2037),
    [sym_null] = ACTIONS(2037),
    [sym_undefined] = ACTIONS(2037),
    [anon_sym_AT] = ACTIONS(2035),
    [anon_sym_static] = ACTIONS(2037),
    [anon_sym_readonly] = ACTIONS(2037),
    [anon_sym_get] = ACTIONS(2037),
    [anon_sym_set] = ACTIONS(2037),
    [anon_sym_declare] = ACTIONS(2037),
    [anon_sym_public] = ACTIONS(2037),
    [anon_sym_private] = ACTIONS(2037),
    [anon_sym_protected] = ACTIONS(2037),
    [anon_sym_override] = ACTIONS(2037),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_any] = ACTIONS(2037),
    [anon_sym_number] = ACTIONS(2037),
    [anon_sym_boolean] = ACTIONS(2037),
    [anon_sym_string] = ACTIONS(2037),
    [anon_sym_symbol] = ACTIONS(2037),
    [anon_sym_abstract] = ACTIONS(2037),
    [anon_sym_interface] = ACTIONS(2037),
    [anon_sym_enum] = ACTIONS(2037),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(2179),
    [sym_identifier] = ACTIONS(2181),
    [anon_sym_export] = ACTIONS(2181),
    [anon_sym_default] = ACTIONS(2181),
    [anon_sym_type] = ACTIONS(2181),
    [anon_sym_namespace] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(2179),
    [anon_sym_RBRACE] = ACTIONS(2179),
    [anon_sym_typeof] = ACTIONS(2181),
    [anon_sym_import] = ACTIONS(2181),
    [anon_sym_var] = ACTIONS(2181),
    [anon_sym_let] = ACTIONS(2181),
    [anon_sym_const] = ACTIONS(2181),
    [anon_sym_BANG] = ACTIONS(2179),
    [anon_sym_else] = ACTIONS(2181),
    [anon_sym_if] = ACTIONS(2181),
    [anon_sym_switch] = ACTIONS(2181),
    [anon_sym_for] = ACTIONS(2181),
    [anon_sym_LPAREN] = ACTIONS(2179),
    [anon_sym_await] = ACTIONS(2181),
    [anon_sym_while] = ACTIONS(2181),
    [anon_sym_do] = ACTIONS(2181),
    [anon_sym_try] = ACTIONS(2181),
    [anon_sym_with] = ACTIONS(2181),
    [anon_sym_break] = ACTIONS(2181),
    [anon_sym_continue] = ACTIONS(2181),
    [anon_sym_debugger] = ACTIONS(2181),
    [anon_sym_return] = ACTIONS(2181),
    [anon_sym_throw] = ACTIONS(2181),
    [anon_sym_SEMI] = ACTIONS(2179),
    [anon_sym_case] = ACTIONS(2181),
    [anon_sym_yield] = ACTIONS(2181),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_LT] = ACTIONS(2179),
    [anon_sym_SLASH] = ACTIONS(2181),
    [anon_sym_class] = ACTIONS(2181),
    [anon_sym_async] = ACTIONS(2181),
    [anon_sym_function] = ACTIONS(2181),
    [anon_sym_new] = ACTIONS(2181),
    [anon_sym_PLUS] = ACTIONS(2181),
    [anon_sym_DASH] = ACTIONS(2181),
    [anon_sym_TILDE] = ACTIONS(2179),
    [anon_sym_void] = ACTIONS(2181),
    [anon_sym_delete] = ACTIONS(2181),
    [anon_sym_PLUS_PLUS] = ACTIONS(2179),
    [anon_sym_DASH_DASH] = ACTIONS(2179),
    [anon_sym_DQUOTE] = ACTIONS(2179),
    [anon_sym_SQUOTE] = ACTIONS(2179),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2179),
    [sym_number] = ACTIONS(2179),
    [sym_this] = ACTIONS(2181),
    [sym_super] = ACTIONS(2181),
    [sym_true] = ACTIONS(2181),
    [sym_false] = ACTIONS(2181),
    [sym_null] = ACTIONS(2181),
    [sym_undefined] = ACTIONS(2181),
    [anon_sym_AT] = ACTIONS(2179),
    [anon_sym_static] = ACTIONS(2181),
    [anon_sym_readonly] = ACTIONS(2181),
    [anon_sym_get] = ACTIONS(2181),
    [anon_sym_set] = ACTIONS(2181),
    [anon_sym_declare] = ACTIONS(2181),
    [anon_sym_public] = ACTIONS(2181),
    [anon_sym_private] = ACTIONS(2181),
    [anon_sym_protected] = ACTIONS(2181),
    [anon_sym_override] = ACTIONS(2181),
    [anon_sym_module] = ACTIONS(2181),
    [anon_sym_any] = ACTIONS(2181),
    [anon_sym_number] = ACTIONS(2181),
    [anon_sym_boolean] = ACTIONS(2181),
    [anon_sym_string] = ACTIONS(2181),
    [anon_sym_symbol] = ACTIONS(2181),
    [anon_sym_abstract] = ACTIONS(2181),
    [anon_sym_interface] = ACTIONS(2181),
    [anon_sym_enum] = ACTIONS(2181),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2183),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_export] = ACTIONS(2185),
    [anon_sym_default] = ACTIONS(2185),
    [anon_sym_type] = ACTIONS(2185),
    [anon_sym_namespace] = ACTIONS(2185),
    [anon_sym_LBRACE] = ACTIONS(2183),
    [anon_sym_RBRACE] = ACTIONS(2183),
    [anon_sym_typeof] = ACTIONS(2185),
    [anon_sym_import] = ACTIONS(2185),
    [anon_sym_var] = ACTIONS(2185),
    [anon_sym_let] = ACTIONS(2185),
    [anon_sym_const] = ACTIONS(2185),
    [anon_sym_BANG] = ACTIONS(2183),
    [anon_sym_else] = ACTIONS(2185),
    [anon_sym_if] = ACTIONS(2185),
    [anon_sym_switch] = ACTIONS(2185),
    [anon_sym_for] = ACTIONS(2185),
    [anon_sym_LPAREN] = ACTIONS(2183),
    [anon_sym_await] = ACTIONS(2185),
    [anon_sym_while] = ACTIONS(2185),
    [anon_sym_do] = ACTIONS(2185),
    [anon_sym_try] = ACTIONS(2185),
    [anon_sym_with] = ACTIONS(2185),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2185),
    [anon_sym_debugger] = ACTIONS(2185),
    [anon_sym_return] = ACTIONS(2185),
    [anon_sym_throw] = ACTIONS(2185),
    [anon_sym_SEMI] = ACTIONS(2183),
    [anon_sym_case] = ACTIONS(2185),
    [anon_sym_yield] = ACTIONS(2185),
    [anon_sym_LBRACK] = ACTIONS(2183),
    [anon_sym_LT] = ACTIONS(2183),
    [anon_sym_SLASH] = ACTIONS(2185),
    [anon_sym_class] = ACTIONS(2185),
    [anon_sym_async] = ACTIONS(2185),
    [anon_sym_function] = ACTIONS(2185),
    [anon_sym_new] = ACTIONS(2185),
    [anon_sym_PLUS] = ACTIONS(2185),
    [anon_sym_DASH] = ACTIONS(2185),
    [anon_sym_TILDE] = ACTIONS(2183),
    [anon_sym_void] = ACTIONS(2185),
    [anon_sym_delete] = ACTIONS(2185),
    [anon_sym_PLUS_PLUS] = ACTIONS(2183),
    [anon_sym_DASH_DASH] = ACTIONS(2183),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [anon_sym_SQUOTE] = ACTIONS(2183),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2183),
    [sym_number] = ACTIONS(2183),
    [sym_this] = ACTIONS(2185),
    [sym_super] = ACTIONS(2185),
    [sym_true] = ACTIONS(2185),
    [sym_false] = ACTIONS(2185),
    [sym_null] = ACTIONS(2185),
    [sym_undefined] = ACTIONS(2185),
    [anon_sym_AT] = ACTIONS(2183),
    [anon_sym_static] = ACTIONS(2185),
    [anon_sym_readonly] = ACTIONS(2185),
    [anon_sym_get] = ACTIONS(2185),
    [anon_sym_set] = ACTIONS(2185),
    [anon_sym_declare] = ACTIONS(2185),
    [anon_sym_public] = ACTIONS(2185),
    [anon_sym_private] = ACTIONS(2185),
    [anon_sym_protected] = ACTIONS(2185),
    [anon_sym_override] = ACTIONS(2185),
    [anon_sym_module] = ACTIONS(2185),
    [anon_sym_any] = ACTIONS(2185),
    [anon_sym_number] = ACTIONS(2185),
    [anon_sym_boolean] = ACTIONS(2185),
    [anon_sym_string] = ACTIONS(2185),
    [anon_sym_symbol] = ACTIONS(2185),
    [anon_sym_abstract] = ACTIONS(2185),
    [anon_sym_interface] = ACTIONS(2185),
    [anon_sym_enum] = ACTIONS(2185),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(2187),
    [sym_identifier] = ACTIONS(2189),
    [anon_sym_export] = ACTIONS(2189),
    [anon_sym_default] = ACTIONS(2189),
    [anon_sym_type] = ACTIONS(2189),
    [anon_sym_namespace] = ACTIONS(2189),
    [anon_sym_LBRACE] = ACTIONS(2187),
    [anon_sym_RBRACE] = ACTIONS(2187),
    [anon_sym_typeof] = ACTIONS(2189),
    [anon_sym_import] = ACTIONS(2189),
    [anon_sym_var] = ACTIONS(2189),
    [anon_sym_let] = ACTIONS(2189),
    [anon_sym_const] = ACTIONS(2189),
    [anon_sym_BANG] = ACTIONS(2187),
    [anon_sym_else] = ACTIONS(2189),
    [anon_sym_if] = ACTIONS(2189),
    [anon_sym_switch] = ACTIONS(2189),
    [anon_sym_for] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(2187),
    [anon_sym_await] = ACTIONS(2189),
    [anon_sym_while] = ACTIONS(2189),
    [anon_sym_do] = ACTIONS(2189),
    [anon_sym_try] = ACTIONS(2189),
    [anon_sym_with] = ACTIONS(2189),
    [anon_sym_break] = ACTIONS(2189),
    [anon_sym_continue] = ACTIONS(2189),
    [anon_sym_debugger] = ACTIONS(2189),
    [anon_sym_return] = ACTIONS(2189),
    [anon_sym_throw] = ACTIONS(2189),
    [anon_sym_SEMI] = ACTIONS(2187),
    [anon_sym_case] = ACTIONS(2189),
    [anon_sym_yield] = ACTIONS(2189),
    [anon_sym_LBRACK] = ACTIONS(2187),
    [anon_sym_LT] = ACTIONS(2187),
    [anon_sym_SLASH] = ACTIONS(2189),
    [anon_sym_class] = ACTIONS(2189),
    [anon_sym_async] = ACTIONS(2189),
    [anon_sym_function] = ACTIONS(2189),
    [anon_sym_new] = ACTIONS(2189),
    [anon_sym_PLUS] = ACTIONS(2189),
    [anon_sym_DASH] = ACTIONS(2189),
    [anon_sym_TILDE] = ACTIONS(2187),
    [anon_sym_void] = ACTIONS(2189),
    [anon_sym_delete] = ACTIONS(2189),
    [anon_sym_PLUS_PLUS] = ACTIONS(2187),
    [anon_sym_DASH_DASH] = ACTIONS(2187),
    [anon_sym_DQUOTE] = ACTIONS(2187),
    [anon_sym_SQUOTE] = ACTIONS(2187),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2187),
    [sym_number] = ACTIONS(2187),
    [sym_this] = ACTIONS(2189),
    [sym_super] = ACTIONS(2189),
    [sym_true] = ACTIONS(2189),
    [sym_false] = ACTIONS(2189),
    [sym_null] = ACTIONS(2189),
    [sym_undefined] = ACTIONS(2189),
    [anon_sym_AT] = ACTIONS(2187),
    [anon_sym_static] = ACTIONS(2189),
    [anon_sym_readonly] = ACTIONS(2189),
    [anon_sym_get] = ACTIONS(2189),
    [anon_sym_set] = ACTIONS(2189),
    [anon_sym_declare] = ACTIONS(2189),
    [anon_sym_public] = ACTIONS(2189),
    [anon_sym_private] = ACTIONS(2189),
    [anon_sym_protected] = ACTIONS(2189),
    [anon_sym_override] = ACTIONS(2189),
    [anon_sym_module] = ACTIONS(2189),
    [anon_sym_any] = ACTIONS(2189),
    [anon_sym_number] = ACTIONS(2189),
    [anon_sym_boolean] = ACTIONS(2189),
    [anon_sym_string] = ACTIONS(2189),
    [anon_sym_symbol] = ACTIONS(2189),
    [anon_sym_abstract] = ACTIONS(2189),
    [anon_sym_interface] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2189),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(2191),
    [sym_identifier] = ACTIONS(2193),
    [anon_sym_export] = ACTIONS(2193),
    [anon_sym_default] = ACTIONS(2193),
    [anon_sym_type] = ACTIONS(2193),
    [anon_sym_namespace] = ACTIONS(2193),
    [anon_sym_LBRACE] = ACTIONS(2191),
    [anon_sym_RBRACE] = ACTIONS(2191),
    [anon_sym_typeof] = ACTIONS(2193),
    [anon_sym_import] = ACTIONS(2193),
    [anon_sym_var] = ACTIONS(2193),
    [anon_sym_let] = ACTIONS(2193),
    [anon_sym_const] = ACTIONS(2193),
    [anon_sym_BANG] = ACTIONS(2191),
    [anon_sym_else] = ACTIONS(2193),
    [anon_sym_if] = ACTIONS(2193),
    [anon_sym_switch] = ACTIONS(2193),
    [anon_sym_for] = ACTIONS(2193),
    [anon_sym_LPAREN] = ACTIONS(2191),
    [anon_sym_await] = ACTIONS(2193),
    [anon_sym_while] = ACTIONS(2193),
    [anon_sym_do] = ACTIONS(2193),
    [anon_sym_try] = ACTIONS(2193),
    [anon_sym_with] = ACTIONS(2193),
    [anon_sym_break] = ACTIONS(2193),
    [anon_sym_continue] = ACTIONS(2193),
    [anon_sym_debugger] = ACTIONS(2193),
    [anon_sym_return] = ACTIONS(2193),
    [anon_sym_throw] = ACTIONS(2193),
    [anon_sym_SEMI] = ACTIONS(2191),
    [anon_sym_case] = ACTIONS(2193),
    [anon_sym_yield] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(2191),
    [anon_sym_LT] = ACTIONS(2191),
    [anon_sym_SLASH] = ACTIONS(2193),
    [anon_sym_class] = ACTIONS(2193),
    [anon_sym_async] = ACTIONS(2193),
    [anon_sym_function] = ACTIONS(2193),
    [anon_sym_new] = ACTIONS(2193),
    [anon_sym_PLUS] = ACTIONS(2193),
    [anon_sym_DASH] = ACTIONS(2193),
    [anon_sym_TILDE] = ACTIONS(2191),
    [anon_sym_void] = ACTIONS(2193),
    [anon_sym_delete] = ACTIONS(2193),
    [anon_sym_PLUS_PLUS] = ACTIONS(2191),
    [anon_sym_DASH_DASH] = ACTIONS(2191),
    [anon_sym_DQUOTE] = ACTIONS(2191),
    [anon_sym_SQUOTE] = ACTIONS(2191),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2191),
    [sym_number] = ACTIONS(2191),
    [sym_this] = ACTIONS(2193),
    [sym_super] = ACTIONS(2193),
    [sym_true] = ACTIONS(2193),
    [sym_false] = ACTIONS(2193),
    [sym_null] = ACTIONS(2193),
    [sym_undefined] = ACTIONS(2193),
    [anon_sym_AT] = ACTIONS(2191),
    [anon_sym_static] = ACTIONS(2193),
    [anon_sym_readonly] = ACTIONS(2193),
    [anon_sym_get] = ACTIONS(2193),
    [anon_sym_set] = ACTIONS(2193),
    [anon_sym_declare] = ACTIONS(2193),
    [anon_sym_public] = ACTIONS(2193),
    [anon_sym_private] = ACTIONS(2193),
    [anon_sym_protected] = ACTIONS(2193),
    [anon_sym_override] = ACTIONS(2193),
    [anon_sym_module] = ACTIONS(2193),
    [anon_sym_any] = ACTIONS(2193),
    [anon_sym_number] = ACTIONS(2193),
    [anon_sym_boolean] = ACTIONS(2193),
    [anon_sym_string] = ACTIONS(2193),
    [anon_sym_symbol] = ACTIONS(2193),
    [anon_sym_abstract] = ACTIONS(2193),
    [anon_sym_interface] = ACTIONS(2193),
    [anon_sym_enum] = ACTIONS(2193),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [611] = {
    [ts_builtin_sym_end] = ACTIONS(1317),
    [sym_identifier] = ACTIONS(1319),
    [anon_sym_export] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1319),
    [anon_sym_type] = ACTIONS(1319),
    [anon_sym_namespace] = ACTIONS(1319),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [anon_sym_typeof] = ACTIONS(1319),
    [anon_sym_import] = ACTIONS(1319),
    [anon_sym_var] = ACTIONS(1319),
    [anon_sym_let] = ACTIONS(1319),
    [anon_sym_const] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_else] = ACTIONS(1319),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1319),
    [anon_sym_for] = ACTIONS(1319),
    [anon_sym_LPAREN] = ACTIONS(1317),
    [anon_sym_await] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1319),
    [anon_sym_do] = ACTIONS(1319),
    [anon_sym_try] = ACTIONS(1319),
    [anon_sym_with] = ACTIONS(1319),
    [anon_sym_break] = ACTIONS(1319),
    [anon_sym_continue] = ACTIONS(1319),
    [anon_sym_debugger] = ACTIONS(1319),
    [anon_sym_return] = ACTIONS(1319),
    [anon_sym_throw] = ACTIONS(1319),
    [anon_sym_SEMI] = ACTIONS(1317),
    [anon_sym_case] = ACTIONS(1319),
    [anon_sym_yield] = ACTIONS(1319),
    [anon_sym_LBRACK] = ACTIONS(1317),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1319),
    [anon_sym_class] = ACTIONS(1319),
    [anon_sym_async] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1319),
    [anon_sym_new] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1319),
    [anon_sym_DASH] = ACTIONS(1319),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_void] = ACTIONS(1319),
    [anon_sym_delete] = ACTIONS(1319),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE] = ACTIONS(1317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1317),
    [sym_number] = ACTIONS(1317),
    [sym_this] = ACTIONS(1319),
    [sym_super] = ACTIONS(1319),
    [sym_true] = ACTIONS(1319),
    [sym_false] = ACTIONS(1319),
    [sym_null] = ACTIONS(1319),
    [sym_undefined] = ACTIONS(1319),
    [anon_sym_AT] = ACTIONS(1317),
    [anon_sym_static] = ACTIONS(1319),
    [anon_sym_readonly] = ACTIONS(1319),
    [anon_sym_get] = ACTIONS(1319),
    [anon_sym_set] = ACTIONS(1319),
    [anon_sym_declare] = ACTIONS(1319),
    [anon_sym_public] = ACTIONS(1319),
    [anon_sym_private] = ACTIONS(1319),
    [anon_sym_protected] = ACTIONS(1319),
    [anon_sym_override] = ACTIONS(1319),
    [anon_sym_module] = ACTIONS(1319),
    [anon_sym_any] = ACTIONS(1319),
    [anon_sym_number] = ACTIONS(1319),
    [anon_sym_boolean] = ACTIONS(1319),
    [anon_sym_string] = ACTIONS(1319),
    [anon_sym_symbol] = ACTIONS(1319),
    [anon_sym_abstract] = ACTIONS(1319),
    [anon_sym_interface] = ACTIONS(1319),
    [anon_sym_enum] = ACTIONS(1319),
  },
  [612] = {
    [ts_builtin_sym_end] = ACTIONS(2195),
    [sym_identifier] = ACTIONS(2197),
    [anon_sym_export] = ACTIONS(2197),
    [anon_sym_default] = ACTIONS(2197),
    [anon_sym_type] = ACTIONS(2197),
    [anon_sym_namespace] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(2195),
    [anon_sym_RBRACE] = ACTIONS(2195),
    [anon_sym_typeof] = ACTIONS(2197),
    [anon_sym_import] = ACTIONS(2197),
    [anon_sym_var] = ACTIONS(2197),
    [anon_sym_let] = ACTIONS(2197),
    [anon_sym_const] = ACTIONS(2197),
    [anon_sym_BANG] = ACTIONS(2195),
    [anon_sym_else] = ACTIONS(2197),
    [anon_sym_if] = ACTIONS(2197),
    [anon_sym_switch] = ACTIONS(2197),
    [anon_sym_for] = ACTIONS(2197),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_await] = ACTIONS(2197),
    [anon_sym_while] = ACTIONS(2197),
    [anon_sym_do] = ACTIONS(2197),
    [anon_sym_try] = ACTIONS(2197),
    [anon_sym_with] = ACTIONS(2197),
    [anon_sym_break] = ACTIONS(2197),
    [anon_sym_continue] = ACTIONS(2197),
    [anon_sym_debugger] = ACTIONS(2197),
    [anon_sym_return] = ACTIONS(2197),
    [anon_sym_throw] = ACTIONS(2197),
    [anon_sym_SEMI] = ACTIONS(2195),
    [anon_sym_case] = ACTIONS(2197),
    [anon_sym_yield] = ACTIONS(2197),
    [anon_sym_LBRACK] = ACTIONS(2195),
    [anon_sym_LT] = ACTIONS(2195),
    [anon_sym_SLASH] = ACTIONS(2197),
    [anon_sym_class] = ACTIONS(2197),
    [anon_sym_async] = ACTIONS(2197),
    [anon_sym_function] = ACTIONS(2197),
    [anon_sym_new] = ACTIONS(2197),
    [anon_sym_PLUS] = ACTIONS(2197),
    [anon_sym_DASH] = ACTIONS(2197),
    [anon_sym_TILDE] = ACTIONS(2195),
    [anon_sym_void] = ACTIONS(2197),
    [anon_sym_delete] = ACTIONS(2197),
    [anon_sym_PLUS_PLUS] = ACTIONS(2195),
    [anon_sym_DASH_DASH] = ACTIONS(2195),
    [anon_sym_DQUOTE] = ACTIONS(2195),
    [anon_sym_SQUOTE] = ACTIONS(2195),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2195),
    [sym_number] = ACTIONS(2195),
    [sym_this] = ACTIONS(2197),
    [sym_super] = ACTIONS(2197),
    [sym_true] = ACTIONS(2197),
    [sym_false] = ACTIONS(2197),
    [sym_null] = ACTIONS(2197),
    [sym_undefined] = ACTIONS(2197),
    [anon_sym_AT] = ACTIONS(2195),
    [anon_sym_static] = ACTIONS(2197),
    [anon_sym_readonly] = ACTIONS(2197),
    [anon_sym_get] = ACTIONS(2197),
    [anon_sym_set] = ACTIONS(2197),
    [anon_sym_declare] = ACTIONS(2197),
    [anon_sym_public] = ACTIONS(2197),
    [anon_sym_private] = ACTIONS(2197),
    [anon_sym_protected] = ACTIONS(2197),
    [anon_sym_override] = ACTIONS(2197),
    [anon_sym_module] = ACTIONS(2197),
    [anon_sym_any] = ACTIONS(2197),
    [anon_sym_number] = ACTIONS(2197),
    [anon_sym_boolean] = ACTIONS(2197),
    [anon_sym_string] = ACTIONS(2197),
    [anon_sym_symbol] = ACTIONS(2197),
    [anon_sym_abstract] = ACTIONS(2197),
    [anon_sym_interface] = ACTIONS(2197),
    [anon_sym_enum] = ACTIONS(2197),
  },
  [613] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [sym_identifier] = ACTIONS(1977),
    [anon_sym_export] = ACTIONS(1977),
    [anon_sym_default] = ACTIONS(1977),
    [anon_sym_type] = ACTIONS(1977),
    [anon_sym_namespace] = ACTIONS(1977),
    [anon_sym_LBRACE] = ACTIONS(1975),
    [anon_sym_RBRACE] = ACTIONS(1975),
    [anon_sym_typeof] = ACTIONS(1977),
    [anon_sym_import] = ACTIONS(1977),
    [anon_sym_var] = ACTIONS(1977),
    [anon_sym_let] = ACTIONS(1977),
    [anon_sym_const] = ACTIONS(1977),
    [anon_sym_BANG] = ACTIONS(1975),
    [anon_sym_else] = ACTIONS(1977),
    [anon_sym_if] = ACTIONS(1977),
    [anon_sym_switch] = ACTIONS(1977),
    [anon_sym_for] = ACTIONS(1977),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_await] = ACTIONS(1977),
    [anon_sym_while] = ACTIONS(1977),
    [anon_sym_do] = ACTIONS(1977),
    [anon_sym_try] = ACTIONS(1977),
    [anon_sym_with] = ACTIONS(1977),
    [anon_sym_break] = ACTIONS(1977),
    [anon_sym_continue] = ACTIONS(1977),
    [anon_sym_debugger] = ACTIONS(1977),
    [anon_sym_return] = ACTIONS(1977),
    [anon_sym_throw] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1975),
    [anon_sym_case] = ACTIONS(1977),
    [anon_sym_yield] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_LT] = ACTIONS(1975),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_class] = ACTIONS(1977),
    [anon_sym_async] = ACTIONS(1977),
    [anon_sym_function] = ACTIONS(1977),
    [anon_sym_new] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_TILDE] = ACTIONS(1975),
    [anon_sym_void] = ACTIONS(1977),
    [anon_sym_delete] = ACTIONS(1977),
    [anon_sym_PLUS_PLUS] = ACTIONS(1975),
    [anon_sym_DASH_DASH] = ACTIONS(1975),
    [anon_sym_DQUOTE] = ACTIONS(1975),
    [anon_sym_SQUOTE] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1975),
    [sym_number] = ACTIONS(1975),
    [sym_this] = ACTIONS(1977),
    [sym_super] = ACTIONS(1977),
    [sym_true] = ACTIONS(1977),
    [sym_false] = ACTIONS(1977),
    [sym_null] = ACTIONS(1977),
    [sym_undefined] = ACTIONS(1977),
    [anon_sym_AT] = ACTIONS(1975),
    [anon_sym_static] = ACTIONS(1977),
    [anon_sym_readonly] = ACTIONS(1977),
    [anon_sym_get] = ACTIONS(1977),
    [anon_sym_set] = ACTIONS(1977),
    [anon_sym_declare] = ACTIONS(1977),
    [anon_sym_public] = ACTIONS(1977),
    [anon_sym_private] = ACTIONS(1977),
    [anon_sym_protected] = ACTIONS(1977),
    [anon_sym_override] = ACTIONS(1977),
    [anon_sym_module] = ACTIONS(1977),
    [anon_sym_any] = ACTIONS(1977),
    [anon_sym_number] = ACTIONS(1977),
    [anon_sym_boolean] = ACTIONS(1977),
    [anon_sym_string] = ACTIONS(1977),
    [anon_sym_symbol] = ACTIONS(1977),
    [anon_sym_abstract] = ACTIONS(1977),
    [anon_sym_interface] = ACTIONS(1977),
    [anon_sym_enum] = ACTIONS(1977),
  },
  [614] = {
    [ts_builtin_sym_end] = ACTIONS(2199),
    [sym_identifier] = ACTIONS(2201),
    [anon_sym_export] = ACTIONS(2201),
    [anon_sym_default] = ACTIONS(2201),
    [anon_sym_type] = ACTIONS(2201),
    [anon_sym_namespace] = ACTIONS(2201),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_typeof] = ACTIONS(2201),
    [anon_sym_import] = ACTIONS(2201),
    [anon_sym_var] = ACTIONS(2201),
    [anon_sym_let] = ACTIONS(2201),
    [anon_sym_const] = ACTIONS(2201),
    [anon_sym_BANG] = ACTIONS(2199),
    [anon_sym_else] = ACTIONS(2201),
    [anon_sym_if] = ACTIONS(2201),
    [anon_sym_switch] = ACTIONS(2201),
    [anon_sym_for] = ACTIONS(2201),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_await] = ACTIONS(2201),
    [anon_sym_while] = ACTIONS(2201),
    [anon_sym_do] = ACTIONS(2201),
    [anon_sym_try] = ACTIONS(2201),
    [anon_sym_with] = ACTIONS(2201),
    [anon_sym_break] = ACTIONS(2201),
    [anon_sym_continue] = ACTIONS(2201),
    [anon_sym_debugger] = ACTIONS(2201),
    [anon_sym_return] = ACTIONS(2201),
    [anon_sym_throw] = ACTIONS(2201),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_case] = ACTIONS(2201),
    [anon_sym_yield] = ACTIONS(2201),
    [anon_sym_LBRACK] = ACTIONS(2199),
    [anon_sym_LT] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2201),
    [anon_sym_class] = ACTIONS(2201),
    [anon_sym_async] = ACTIONS(2201),
    [anon_sym_function] = ACTIONS(2201),
    [anon_sym_new] = ACTIONS(2201),
    [anon_sym_PLUS] = ACTIONS(2201),
    [anon_sym_DASH] = ACTIONS(2201),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_void] = ACTIONS(2201),
    [anon_sym_delete] = ACTIONS(2201),
    [anon_sym_PLUS_PLUS] = ACTIONS(2199),
    [anon_sym_DASH_DASH] = ACTIONS(2199),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [sym_number] = ACTIONS(2199),
    [sym_this] = ACTIONS(2201),
    [sym_super] = ACTIONS(2201),
    [sym_true] = ACTIONS(2201),
    [sym_false] = ACTIONS(2201),
    [sym_null] = ACTIONS(2201),
    [sym_undefined] = ACTIONS(2201),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_static] = ACTIONS(2201),
    [anon_sym_readonly] = ACTIONS(2201),
    [anon_sym_get] = ACTIONS(2201),
    [anon_sym_set] = ACTIONS(2201),
    [anon_sym_declare] = ACTIONS(2201),
    [anon_sym_public] = ACTIONS(2201),
    [anon_sym_private] = ACTIONS(2201),
    [anon_sym_protected] = ACTIONS(2201),
    [anon_sym_override] = ACTIONS(2201),
    [anon_sym_module] = ACTIONS(2201),
    [anon_sym_any] = ACTIONS(2201),
    [anon_sym_number] = ACTIONS(2201),
    [anon_sym_boolean] = ACTIONS(2201),
    [anon_sym_string] = ACTIONS(2201),
    [anon_sym_symbol] = ACTIONS(2201),
    [anon_sym_abstract] = ACTIONS(2201),
    [anon_sym_interface] = ACTIONS(2201),
    [anon_sym_enum] = ACTIONS(2201),
  },
  [615] = {
    [ts_builtin_sym_end] = ACTIONS(2203),
    [sym_identifier] = ACTIONS(2205),
    [anon_sym_export] = ACTIONS(2205),
    [anon_sym_default] = ACTIONS(2205),
    [anon_sym_type] = ACTIONS(2205),
    [anon_sym_namespace] = ACTIONS(2205),
    [anon_sym_LBRACE] = ACTIONS(2203),
    [anon_sym_RBRACE] = ACTIONS(2203),
    [anon_sym_typeof] = ACTIONS(2205),
    [anon_sym_import] = ACTIONS(2205),
    [anon_sym_var] = ACTIONS(2205),
    [anon_sym_let] = ACTIONS(2205),
    [anon_sym_const] = ACTIONS(2205),
    [anon_sym_BANG] = ACTIONS(2203),
    [anon_sym_else] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2205),
    [anon_sym_switch] = ACTIONS(2205),
    [anon_sym_for] = ACTIONS(2205),
    [anon_sym_LPAREN] = ACTIONS(2203),
    [anon_sym_await] = ACTIONS(2205),
    [anon_sym_while] = ACTIONS(2205),
    [anon_sym_do] = ACTIONS(2205),
    [anon_sym_try] = ACTIONS(2205),
    [anon_sym_with] = ACTIONS(2205),
    [anon_sym_break] = ACTIONS(2205),
    [anon_sym_continue] = ACTIONS(2205),
    [anon_sym_debugger] = ACTIONS(2205),
    [anon_sym_return] = ACTIONS(2205),
    [anon_sym_throw] = ACTIONS(2205),
    [anon_sym_SEMI] = ACTIONS(2203),
    [anon_sym_case] = ACTIONS(2205),
    [anon_sym_yield] = ACTIONS(2205),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_LT] = ACTIONS(2203),
    [anon_sym_SLASH] = ACTIONS(2205),
    [anon_sym_class] = ACTIONS(2205),
    [anon_sym_async] = ACTIONS(2205),
    [anon_sym_function] = ACTIONS(2205),
    [anon_sym_new] = ACTIONS(2205),
    [anon_sym_PLUS] = ACTIONS(2205),
    [anon_sym_DASH] = ACTIONS(2205),
    [anon_sym_TILDE] = ACTIONS(2203),
    [anon_sym_void] = ACTIONS(2205),
    [anon_sym_delete] = ACTIONS(2205),
    [anon_sym_PLUS_PLUS] = ACTIONS(2203),
    [anon_sym_DASH_DASH] = ACTIONS(2203),
    [anon_sym_DQUOTE] = ACTIONS(2203),
    [anon_sym_SQUOTE] = ACTIONS(2203),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2203),
    [sym_number] = ACTIONS(2203),
    [sym_this] = ACTIONS(2205),
    [sym_super] = ACTIONS(2205),
    [sym_true] = ACTIONS(2205),
    [sym_false] = ACTIONS(2205),
    [sym_null] = ACTIONS(2205),
    [sym_undefined] = ACTIONS(2205),
    [anon_sym_AT] = ACTIONS(2203),
    [anon_sym_static] = ACTIONS(2205),
    [anon_sym_readonly] = ACTIONS(2205),
    [anon_sym_get] = ACTIONS(2205),
    [anon_sym_set] = ACTIONS(2205),
    [anon_sym_declare] = ACTIONS(2205),
    [anon_sym_public] = ACTIONS(2205),
    [anon_sym_private] = ACTIONS(2205),
    [anon_sym_protected] = ACTIONS(2205),
    [anon_sym_override] = ACTIONS(2205),
    [anon_sym_module] = ACTIONS(2205),
    [anon_sym_any] = ACTIONS(2205),
    [anon_sym_number] = ACTIONS(2205),
    [anon_sym_boolean] = ACTIONS(2205),
    [anon_sym_string] = ACTIONS(2205),
    [anon_sym_symbol] = ACTIONS(2205),
    [anon_sym_abstract] = ACTIONS(2205),
    [anon_sym_interface] = ACTIONS(2205),
    [anon_sym_enum] = ACTIONS(2205),
  },
  [616] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [618] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [619] = {
    [ts_builtin_sym_end] = ACTIONS(2207),
    [sym_identifier] = ACTIONS(2209),
    [anon_sym_export] = ACTIONS(2209),
    [anon_sym_default] = ACTIONS(2209),
    [anon_sym_type] = ACTIONS(2209),
    [anon_sym_namespace] = ACTIONS(2209),
    [anon_sym_LBRACE] = ACTIONS(2207),
    [anon_sym_RBRACE] = ACTIONS(2207),
    [anon_sym_typeof] = ACTIONS(2209),
    [anon_sym_import] = ACTIONS(2209),
    [anon_sym_var] = ACTIONS(2209),
    [anon_sym_let] = ACTIONS(2209),
    [anon_sym_const] = ACTIONS(2209),
    [anon_sym_BANG] = ACTIONS(2207),
    [anon_sym_else] = ACTIONS(2209),
    [anon_sym_if] = ACTIONS(2209),
    [anon_sym_switch] = ACTIONS(2209),
    [anon_sym_for] = ACTIONS(2209),
    [anon_sym_LPAREN] = ACTIONS(2207),
    [anon_sym_await] = ACTIONS(2209),
    [anon_sym_while] = ACTIONS(2209),
    [anon_sym_do] = ACTIONS(2209),
    [anon_sym_try] = ACTIONS(2209),
    [anon_sym_with] = ACTIONS(2209),
    [anon_sym_break] = ACTIONS(2209),
    [anon_sym_continue] = ACTIONS(2209),
    [anon_sym_debugger] = ACTIONS(2209),
    [anon_sym_return] = ACTIONS(2209),
    [anon_sym_throw] = ACTIONS(2209),
    [anon_sym_SEMI] = ACTIONS(2207),
    [anon_sym_case] = ACTIONS(2209),
    [anon_sym_yield] = ACTIONS(2209),
    [anon_sym_LBRACK] = ACTIONS(2207),
    [anon_sym_LT] = ACTIONS(2207),
    [anon_sym_SLASH] = ACTIONS(2209),
    [anon_sym_class] = ACTIONS(2209),
    [anon_sym_async] = ACTIONS(2209),
    [anon_sym_function] = ACTIONS(2209),
    [anon_sym_new] = ACTIONS(2209),
    [anon_sym_PLUS] = ACTIONS(2209),
    [anon_sym_DASH] = ACTIONS(2209),
    [anon_sym_TILDE] = ACTIONS(2207),
    [anon_sym_void] = ACTIONS(2209),
    [anon_sym_delete] = ACTIONS(2209),
    [anon_sym_PLUS_PLUS] = ACTIONS(2207),
    [anon_sym_DASH_DASH] = ACTIONS(2207),
    [anon_sym_DQUOTE] = ACTIONS(2207),
    [anon_sym_SQUOTE] = ACTIONS(2207),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2207),
    [sym_number] = ACTIONS(2207),
    [sym_this] = ACTIONS(2209),
    [sym_super] = ACTIONS(2209),
    [sym_true] = ACTIONS(2209),
    [sym_false] = ACTIONS(2209),
    [sym_null] = ACTIONS(2209),
    [sym_undefined] = ACTIONS(2209),
    [anon_sym_AT] = ACTIONS(2207),
    [anon_sym_static] = ACTIONS(2209),
    [anon_sym_readonly] = ACTIONS(2209),
    [anon_sym_get] = ACTIONS(2209),
    [anon_sym_set] = ACTIONS(2209),
    [anon_sym_declare] = ACTIONS(2209),
    [anon_sym_public] = ACTIONS(2209),
    [anon_sym_private] = ACTIONS(2209),
    [anon_sym_protected] = ACTIONS(2209),
    [anon_sym_override] = ACTIONS(2209),
    [anon_sym_module] = ACTIONS(2209),
    [anon_sym_any] = ACTIONS(2209),
    [anon_sym_number] = ACTIONS(2209),
    [anon_sym_boolean] = ACTIONS(2209),
    [anon_sym_string] = ACTIONS(2209),
    [anon_sym_symbol] = ACTIONS(2209),
    [anon_sym_abstract] = ACTIONS(2209),
    [anon_sym_interface] = ACTIONS(2209),
    [anon_sym_enum] = ACTIONS(2209),
  },
  [620] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2211),
    [sym_identifier] = ACTIONS(2213),
    [anon_sym_export] = ACTIONS(2213),
    [anon_sym_default] = ACTIONS(2213),
    [anon_sym_type] = ACTIONS(2213),
    [anon_sym_namespace] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(2211),
    [anon_sym_RBRACE] = ACTIONS(2211),
    [anon_sym_typeof] = ACTIONS(2213),
    [anon_sym_import] = ACTIONS(2213),
    [anon_sym_var] = ACTIONS(2213),
    [anon_sym_let] = ACTIONS(2213),
    [anon_sym_const] = ACTIONS(2213),
    [anon_sym_BANG] = ACTIONS(2211),
    [anon_sym_else] = ACTIONS(2213),
    [anon_sym_if] = ACTIONS(2213),
    [anon_sym_switch] = ACTIONS(2213),
    [anon_sym_for] = ACTIONS(2213),
    [anon_sym_LPAREN] = ACTIONS(2211),
    [anon_sym_await] = ACTIONS(2213),
    [anon_sym_while] = ACTIONS(2213),
    [anon_sym_do] = ACTIONS(2213),
    [anon_sym_try] = ACTIONS(2213),
    [anon_sym_with] = ACTIONS(2213),
    [anon_sym_break] = ACTIONS(2213),
    [anon_sym_continue] = ACTIONS(2213),
    [anon_sym_debugger] = ACTIONS(2213),
    [anon_sym_return] = ACTIONS(2213),
    [anon_sym_throw] = ACTIONS(2213),
    [anon_sym_SEMI] = ACTIONS(2211),
    [anon_sym_case] = ACTIONS(2213),
    [anon_sym_yield] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(2211),
    [anon_sym_LT] = ACTIONS(2211),
    [anon_sym_SLASH] = ACTIONS(2213),
    [anon_sym_class] = ACTIONS(2213),
    [anon_sym_async] = ACTIONS(2213),
    [anon_sym_function] = ACTIONS(2213),
    [anon_sym_new] = ACTIONS(2213),
    [anon_sym_PLUS] = ACTIONS(2213),
    [anon_sym_DASH] = ACTIONS(2213),
    [anon_sym_TILDE] = ACTIONS(2211),
    [anon_sym_void] = ACTIONS(2213),
    [anon_sym_delete] = ACTIONS(2213),
    [anon_sym_PLUS_PLUS] = ACTIONS(2211),
    [anon_sym_DASH_DASH] = ACTIONS(2211),
    [anon_sym_DQUOTE] = ACTIONS(2211),
    [anon_sym_SQUOTE] = ACTIONS(2211),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2211),
    [sym_number] = ACTIONS(2211),
    [sym_this] = ACTIONS(2213),
    [sym_super] = ACTIONS(2213),
    [sym_true] = ACTIONS(2213),
    [sym_false] = ACTIONS(2213),
    [sym_null] = ACTIONS(2213),
    [sym_undefined] = ACTIONS(2213),
    [anon_sym_AT] = ACTIONS(2211),
    [anon_sym_static] = ACTIONS(2213),
    [anon_sym_readonly] = ACTIONS(2213),
    [anon_sym_get] = ACTIONS(2213),
    [anon_sym_set] = ACTIONS(2213),
    [anon_sym_declare] = ACTIONS(2213),
    [anon_sym_public] = ACTIONS(2213),
    [anon_sym_private] = ACTIONS(2213),
    [anon_sym_protected] = ACTIONS(2213),
    [anon_sym_override] = ACTIONS(2213),
    [anon_sym_module] = ACTIONS(2213),
    [anon_sym_any] = ACTIONS(2213),
    [anon_sym_number] = ACTIONS(2213),
    [anon_sym_boolean] = ACTIONS(2213),
    [anon_sym_string] = ACTIONS(2213),
    [anon_sym_symbol] = ACTIONS(2213),
    [anon_sym_abstract] = ACTIONS(2213),
    [anon_sym_interface] = ACTIONS(2213),
    [anon_sym_enum] = ACTIONS(2213),
  },
  [622] = {
    [ts_builtin_sym_end] = ACTIONS(2215),
    [sym_identifier] = ACTIONS(2217),
    [anon_sym_export] = ACTIONS(2217),
    [anon_sym_default] = ACTIONS(2217),
    [anon_sym_type] = ACTIONS(2217),
    [anon_sym_namespace] = ACTIONS(2217),
    [anon_sym_LBRACE] = ACTIONS(2215),
    [anon_sym_RBRACE] = ACTIONS(2215),
    [anon_sym_typeof] = ACTIONS(2217),
    [anon_sym_import] = ACTIONS(2217),
    [anon_sym_var] = ACTIONS(2217),
    [anon_sym_let] = ACTIONS(2217),
    [anon_sym_const] = ACTIONS(2217),
    [anon_sym_BANG] = ACTIONS(2215),
    [anon_sym_else] = ACTIONS(2217),
    [anon_sym_if] = ACTIONS(2217),
    [anon_sym_switch] = ACTIONS(2217),
    [anon_sym_for] = ACTIONS(2217),
    [anon_sym_LPAREN] = ACTIONS(2215),
    [anon_sym_await] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2217),
    [anon_sym_do] = ACTIONS(2217),
    [anon_sym_try] = ACTIONS(2217),
    [anon_sym_with] = ACTIONS(2217),
    [anon_sym_break] = ACTIONS(2217),
    [anon_sym_continue] = ACTIONS(2217),
    [anon_sym_debugger] = ACTIONS(2217),
    [anon_sym_return] = ACTIONS(2217),
    [anon_sym_throw] = ACTIONS(2217),
    [anon_sym_SEMI] = ACTIONS(2215),
    [anon_sym_case] = ACTIONS(2217),
    [anon_sym_yield] = ACTIONS(2217),
    [anon_sym_LBRACK] = ACTIONS(2215),
    [anon_sym_LT] = ACTIONS(2215),
    [anon_sym_SLASH] = ACTIONS(2217),
    [anon_sym_class] = ACTIONS(2217),
    [anon_sym_async] = ACTIONS(2217),
    [anon_sym_function] = ACTIONS(2217),
    [anon_sym_new] = ACTIONS(2217),
    [anon_sym_PLUS] = ACTIONS(2217),
    [anon_sym_DASH] = ACTIONS(2217),
    [anon_sym_TILDE] = ACTIONS(2215),
    [anon_sym_void] = ACTIONS(2217),
    [anon_sym_delete] = ACTIONS(2217),
    [anon_sym_PLUS_PLUS] = ACTIONS(2215),
    [anon_sym_DASH_DASH] = ACTIONS(2215),
    [anon_sym_DQUOTE] = ACTIONS(2215),
    [anon_sym_SQUOTE] = ACTIONS(2215),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2215),
    [sym_number] = ACTIONS(2215),
    [sym_this] = ACTIONS(2217),
    [sym_super] = ACTIONS(2217),
    [sym_true] = ACTIONS(2217),
    [sym_false] = ACTIONS(2217),
    [sym_null] = ACTIONS(2217),
    [sym_undefined] = ACTIONS(2217),
    [anon_sym_AT] = ACTIONS(2215),
    [anon_sym_static] = ACTIONS(2217),
    [anon_sym_readonly] = ACTIONS(2217),
    [anon_sym_get] = ACTIONS(2217),
    [anon_sym_set] = ACTIONS(2217),
    [anon_sym_declare] = ACTIONS(2217),
    [anon_sym_public] = ACTIONS(2217),
    [anon_sym_private] = ACTIONS(2217),
    [anon_sym_protected] = ACTIONS(2217),
    [anon_sym_override] = ACTIONS(2217),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_any] = ACTIONS(2217),
    [anon_sym_number] = ACTIONS(2217),
    [anon_sym_boolean] = ACTIONS(2217),
    [anon_sym_string] = ACTIONS(2217),
    [anon_sym_symbol] = ACTIONS(2217),
    [anon_sym_abstract] = ACTIONS(2217),
    [anon_sym_interface] = ACTIONS(2217),
    [anon_sym_enum] = ACTIONS(2217),
  },
  [623] = {
    [ts_builtin_sym_end] = ACTIONS(2219),
    [sym_identifier] = ACTIONS(2221),
    [anon_sym_export] = ACTIONS(2221),
    [anon_sym_default] = ACTIONS(2221),
    [anon_sym_type] = ACTIONS(2221),
    [anon_sym_namespace] = ACTIONS(2221),
    [anon_sym_LBRACE] = ACTIONS(2219),
    [anon_sym_RBRACE] = ACTIONS(2219),
    [anon_sym_typeof] = ACTIONS(2221),
    [anon_sym_import] = ACTIONS(2221),
    [anon_sym_var] = ACTIONS(2221),
    [anon_sym_let] = ACTIONS(2221),
    [anon_sym_const] = ACTIONS(2221),
    [anon_sym_BANG] = ACTIONS(2219),
    [anon_sym_else] = ACTIONS(2221),
    [anon_sym_if] = ACTIONS(2221),
    [anon_sym_switch] = ACTIONS(2221),
    [anon_sym_for] = ACTIONS(2221),
    [anon_sym_LPAREN] = ACTIONS(2219),
    [anon_sym_await] = ACTIONS(2221),
    [anon_sym_while] = ACTIONS(2221),
    [anon_sym_do] = ACTIONS(2221),
    [anon_sym_try] = ACTIONS(2221),
    [anon_sym_with] = ACTIONS(2221),
    [anon_sym_break] = ACTIONS(2221),
    [anon_sym_continue] = ACTIONS(2221),
    [anon_sym_debugger] = ACTIONS(2221),
    [anon_sym_return] = ACTIONS(2221),
    [anon_sym_throw] = ACTIONS(2221),
    [anon_sym_SEMI] = ACTIONS(2219),
    [anon_sym_case] = ACTIONS(2221),
    [anon_sym_yield] = ACTIONS(2221),
    [anon_sym_LBRACK] = ACTIONS(2219),
    [anon_sym_LT] = ACTIONS(2219),
    [anon_sym_SLASH] = ACTIONS(2221),
    [anon_sym_class] = ACTIONS(2221),
    [anon_sym_async] = ACTIONS(2221),
    [anon_sym_function] = ACTIONS(2221),
    [anon_sym_new] = ACTIONS(2221),
    [anon_sym_PLUS] = ACTIONS(2221),
    [anon_sym_DASH] = ACTIONS(2221),
    [anon_sym_TILDE] = ACTIONS(2219),
    [anon_sym_void] = ACTIONS(2221),
    [anon_sym_delete] = ACTIONS(2221),
    [anon_sym_PLUS_PLUS] = ACTIONS(2219),
    [anon_sym_DASH_DASH] = ACTIONS(2219),
    [anon_sym_DQUOTE] = ACTIONS(2219),
    [anon_sym_SQUOTE] = ACTIONS(2219),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2219),
    [sym_number] = ACTIONS(2219),
    [sym_this] = ACTIONS(2221),
    [sym_super] = ACTIONS(2221),
    [sym_true] = ACTIONS(2221),
    [sym_false] = ACTIONS(2221),
    [sym_null] = ACTIONS(2221),
    [sym_undefined] = ACTIONS(2221),
    [anon_sym_AT] = ACTIONS(2219),
    [anon_sym_static] = ACTIONS(2221),
    [anon_sym_readonly] = ACTIONS(2221),
    [anon_sym_get] = ACTIONS(2221),
    [anon_sym_set] = ACTIONS(2221),
    [anon_sym_declare] = ACTIONS(2221),
    [anon_sym_public] = ACTIONS(2221),
    [anon_sym_private] = ACTIONS(2221),
    [anon_sym_protected] = ACTIONS(2221),
    [anon_sym_override] = ACTIONS(2221),
    [anon_sym_module] = ACTIONS(2221),
    [anon_sym_any] = ACTIONS(2221),
    [anon_sym_number] = ACTIONS(2221),
    [anon_sym_boolean] = ACTIONS(2221),
    [anon_sym_string] = ACTIONS(2221),
    [anon_sym_symbol] = ACTIONS(2221),
    [anon_sym_abstract] = ACTIONS(2221),
    [anon_sym_interface] = ACTIONS(2221),
    [anon_sym_enum] = ACTIONS(2221),
  },
  [624] = {
    [ts_builtin_sym_end] = ACTIONS(2223),
    [sym_identifier] = ACTIONS(2225),
    [anon_sym_export] = ACTIONS(2225),
    [anon_sym_default] = ACTIONS(2225),
    [anon_sym_type] = ACTIONS(2225),
    [anon_sym_namespace] = ACTIONS(2225),
    [anon_sym_LBRACE] = ACTIONS(2223),
    [anon_sym_RBRACE] = ACTIONS(2223),
    [anon_sym_typeof] = ACTIONS(2225),
    [anon_sym_import] = ACTIONS(2225),
    [anon_sym_var] = ACTIONS(2225),
    [anon_sym_let] = ACTIONS(2225),
    [anon_sym_const] = ACTIONS(2225),
    [anon_sym_BANG] = ACTIONS(2223),
    [anon_sym_else] = ACTIONS(2225),
    [anon_sym_if] = ACTIONS(2225),
    [anon_sym_switch] = ACTIONS(2225),
    [anon_sym_for] = ACTIONS(2225),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_await] = ACTIONS(2225),
    [anon_sym_while] = ACTIONS(2225),
    [anon_sym_do] = ACTIONS(2225),
    [anon_sym_try] = ACTIONS(2225),
    [anon_sym_with] = ACTIONS(2225),
    [anon_sym_break] = ACTIONS(2225),
    [anon_sym_continue] = ACTIONS(2225),
    [anon_sym_debugger] = ACTIONS(2225),
    [anon_sym_return] = ACTIONS(2225),
    [anon_sym_throw] = ACTIONS(2225),
    [anon_sym_SEMI] = ACTIONS(2223),
    [anon_sym_case] = ACTIONS(2225),
    [anon_sym_yield] = ACTIONS(2225),
    [anon_sym_LBRACK] = ACTIONS(2223),
    [anon_sym_LT] = ACTIONS(2223),
    [anon_sym_SLASH] = ACTIONS(2225),
    [anon_sym_class] = ACTIONS(2225),
    [anon_sym_async] = ACTIONS(2225),
    [anon_sym_function] = ACTIONS(2225),
    [anon_sym_new] = ACTIONS(2225),
    [anon_sym_PLUS] = ACTIONS(2225),
    [anon_sym_DASH] = ACTIONS(2225),
    [anon_sym_TILDE] = ACTIONS(2223),
    [anon_sym_void] = ACTIONS(2225),
    [anon_sym_delete] = ACTIONS(2225),
    [anon_sym_PLUS_PLUS] = ACTIONS(2223),
    [anon_sym_DASH_DASH] = ACTIONS(2223),
    [anon_sym_DQUOTE] = ACTIONS(2223),
    [anon_sym_SQUOTE] = ACTIONS(2223),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2223),
    [sym_number] = ACTIONS(2223),
    [sym_this] = ACTIONS(2225),
    [sym_super] = ACTIONS(2225),
    [sym_true] = ACTIONS(2225),
    [sym_false] = ACTIONS(2225),
    [sym_null] = ACTIONS(2225),
    [sym_undefined] = ACTIONS(2225),
    [anon_sym_AT] = ACTIONS(2223),
    [anon_sym_static] = ACTIONS(2225),
    [anon_sym_readonly] = ACTIONS(2225),
    [anon_sym_get] = ACTIONS(2225),
    [anon_sym_set] = ACTIONS(2225),
    [anon_sym_declare] = ACTIONS(2225),
    [anon_sym_public] = ACTIONS(2225),
    [anon_sym_private] = ACTIONS(2225),
    [anon_sym_protected] = ACTIONS(2225),
    [anon_sym_override] = ACTIONS(2225),
    [anon_sym_module] = ACTIONS(2225),
    [anon_sym_any] = ACTIONS(2225),
    [anon_sym_number] = ACTIONS(2225),
    [anon_sym_boolean] = ACTIONS(2225),
    [anon_sym_string] = ACTIONS(2225),
    [anon_sym_symbol] = ACTIONS(2225),
    [anon_sym_abstract] = ACTIONS(2225),
    [anon_sym_interface] = ACTIONS(2225),
    [anon_sym_enum] = ACTIONS(2225),
  },
  [625] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [626] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [627] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2231),
    [sym_identifier] = ACTIONS(2233),
    [anon_sym_export] = ACTIONS(2233),
    [anon_sym_default] = ACTIONS(2233),
    [anon_sym_type] = ACTIONS(2233),
    [anon_sym_namespace] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(2231),
    [anon_sym_RBRACE] = ACTIONS(2231),
    [anon_sym_typeof] = ACTIONS(2233),
    [anon_sym_import] = ACTIONS(2233),
    [anon_sym_var] = ACTIONS(2233),
    [anon_sym_let] = ACTIONS(2233),
    [anon_sym_const] = ACTIONS(2233),
    [anon_sym_BANG] = ACTIONS(2231),
    [anon_sym_else] = ACTIONS(2233),
    [anon_sym_if] = ACTIONS(2233),
    [anon_sym_switch] = ACTIONS(2233),
    [anon_sym_for] = ACTIONS(2233),
    [anon_sym_LPAREN] = ACTIONS(2231),
    [anon_sym_await] = ACTIONS(2233),
    [anon_sym_while] = ACTIONS(2233),
    [anon_sym_do] = ACTIONS(2233),
    [anon_sym_try] = ACTIONS(2233),
    [anon_sym_with] = ACTIONS(2233),
    [anon_sym_break] = ACTIONS(2233),
    [anon_sym_continue] = ACTIONS(2233),
    [anon_sym_debugger] = ACTIONS(2233),
    [anon_sym_return] = ACTIONS(2233),
    [anon_sym_throw] = ACTIONS(2233),
    [anon_sym_SEMI] = ACTIONS(2231),
    [anon_sym_case] = ACTIONS(2233),
    [anon_sym_yield] = ACTIONS(2233),
    [anon_sym_LBRACK] = ACTIONS(2231),
    [anon_sym_LT] = ACTIONS(2231),
    [anon_sym_SLASH] = ACTIONS(2233),
    [anon_sym_class] = ACTIONS(2233),
    [anon_sym_async] = ACTIONS(2233),
    [anon_sym_function] = ACTIONS(2233),
    [anon_sym_new] = ACTIONS(2233),
    [anon_sym_PLUS] = ACTIONS(2233),
    [anon_sym_DASH] = ACTIONS(2233),
    [anon_sym_TILDE] = ACTIONS(2231),
    [anon_sym_void] = ACTIONS(2233),
    [anon_sym_delete] = ACTIONS(2233),
    [anon_sym_PLUS_PLUS] = ACTIONS(2231),
    [anon_sym_DASH_DASH] = ACTIONS(2231),
    [anon_sym_DQUOTE] = ACTIONS(2231),
    [anon_sym_SQUOTE] = ACTIONS(2231),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2231),
    [sym_number] = ACTIONS(2231),
    [sym_this] = ACTIONS(2233),
    [sym_super] = ACTIONS(2233),
    [sym_true] = ACTIONS(2233),
    [sym_false] = ACTIONS(2233),
    [sym_null] = ACTIONS(2233),
    [sym_undefined] = ACTIONS(2233),
    [anon_sym_AT] = ACTIONS(2231),
    [anon_sym_static] = ACTIONS(2233),
    [anon_sym_readonly] = ACTIONS(2233),
    [anon_sym_get] = ACTIONS(2233),
    [anon_sym_set] = ACTIONS(2233),
    [anon_sym_declare] = ACTIONS(2233),
    [anon_sym_public] = ACTIONS(2233),
    [anon_sym_private] = ACTIONS(2233),
    [anon_sym_protected] = ACTIONS(2233),
    [anon_sym_override] = ACTIONS(2233),
    [anon_sym_module] = ACTIONS(2233),
    [anon_sym_any] = ACTIONS(2233),
    [anon_sym_number] = ACTIONS(2233),
    [anon_sym_boolean] = ACTIONS(2233),
    [anon_sym_string] = ACTIONS(2233),
    [anon_sym_symbol] = ACTIONS(2233),
    [anon_sym_abstract] = ACTIONS(2233),
    [anon_sym_interface] = ACTIONS(2233),
    [anon_sym_enum] = ACTIONS(2233),
  },
  [631] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [633] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [634] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [635] = {
    [ts_builtin_sym_end] = ACTIONS(2139),
    [sym_identifier] = ACTIONS(2141),
    [anon_sym_export] = ACTIONS(2141),
    [anon_sym_default] = ACTIONS(2141),
    [anon_sym_type] = ACTIONS(2141),
    [anon_sym_namespace] = ACTIONS(2141),
    [anon_sym_LBRACE] = ACTIONS(2139),
    [anon_sym_RBRACE] = ACTIONS(2139),
    [anon_sym_typeof] = ACTIONS(2141),
    [anon_sym_import] = ACTIONS(2141),
    [anon_sym_var] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2141),
    [anon_sym_const] = ACTIONS(2141),
    [anon_sym_BANG] = ACTIONS(2139),
    [anon_sym_else] = ACTIONS(2141),
    [anon_sym_if] = ACTIONS(2141),
    [anon_sym_switch] = ACTIONS(2141),
    [anon_sym_for] = ACTIONS(2141),
    [anon_sym_LPAREN] = ACTIONS(2139),
    [anon_sym_await] = ACTIONS(2141),
    [anon_sym_while] = ACTIONS(2141),
    [anon_sym_do] = ACTIONS(2141),
    [anon_sym_try] = ACTIONS(2141),
    [anon_sym_with] = ACTIONS(2141),
    [anon_sym_break] = ACTIONS(2141),
    [anon_sym_continue] = ACTIONS(2141),
    [anon_sym_debugger] = ACTIONS(2141),
    [anon_sym_return] = ACTIONS(2141),
    [anon_sym_throw] = ACTIONS(2141),
    [anon_sym_SEMI] = ACTIONS(2139),
    [anon_sym_case] = ACTIONS(2141),
    [anon_sym_yield] = ACTIONS(2141),
    [anon_sym_LBRACK] = ACTIONS(2139),
    [anon_sym_LT] = ACTIONS(2139),
    [anon_sym_SLASH] = ACTIONS(2141),
    [anon_sym_class] = ACTIONS(2141),
    [anon_sym_async] = ACTIONS(2141),
    [anon_sym_function] = ACTIONS(2141),
    [anon_sym_new] = ACTIONS(2141),
    [anon_sym_PLUS] = ACTIONS(2141),
    [anon_sym_DASH] = ACTIONS(2141),
    [anon_sym_TILDE] = ACTIONS(2139),
    [anon_sym_void] = ACTIONS(2141),
    [anon_sym_delete] = ACTIONS(2141),
    [anon_sym_PLUS_PLUS] = ACTIONS(2139),
    [anon_sym_DASH_DASH] = ACTIONS(2139),
    [anon_sym_DQUOTE] = ACTIONS(2139),
    [anon_sym_SQUOTE] = ACTIONS(2139),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2139),
    [sym_number] = ACTIONS(2139),
    [sym_this] = ACTIONS(2141),
    [sym_super] = ACTIONS(2141),
    [sym_true] = ACTIONS(2141),
    [sym_false] = ACTIONS(2141),
    [sym_null] = ACTIONS(2141),
    [sym_undefined] = ACTIONS(2141),
    [anon_sym_AT] = ACTIONS(2139),
    [anon_sym_static] = ACTIONS(2141),
    [anon_sym_readonly] = ACTIONS(2141),
    [anon_sym_get] = ACTIONS(2141),
    [anon_sym_set] = ACTIONS(2141),
    [anon_sym_declare] = ACTIONS(2141),
    [anon_sym_public] = ACTIONS(2141),
    [anon_sym_private] = ACTIONS(2141),
    [anon_sym_protected] = ACTIONS(2141),
    [anon_sym_override] = ACTIONS(2141),
    [anon_sym_module] = ACTIONS(2141),
    [anon_sym_any] = ACTIONS(2141),
    [anon_sym_number] = ACTIONS(2141),
    [anon_sym_boolean] = ACTIONS(2141),
    [anon_sym_string] = ACTIONS(2141),
    [anon_sym_symbol] = ACTIONS(2141),
    [anon_sym_abstract] = ACTIONS(2141),
    [anon_sym_interface] = ACTIONS(2141),
    [anon_sym_enum] = ACTIONS(2141),
  },
  [636] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [637] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
  },
  [639] = {
    [ts_builtin_sym_end] = ACTIONS(2235),
    [sym_identifier] = ACTIONS(2237),
    [anon_sym_export] = ACTIONS(2237),
    [anon_sym_default] = ACTIONS(2237),
    [anon_sym_type] = ACTIONS(2237),
    [anon_sym_namespace] = ACTIONS(2237),
    [anon_sym_LBRACE] = ACTIONS(2235),
    [anon_sym_RBRACE] = ACTIONS(2235),
    [anon_sym_typeof] = ACTIONS(2237),
    [anon_sym_import] = ACTIONS(2237),
    [anon_sym_var] = ACTIONS(2237),
    [anon_sym_let] = ACTIONS(2237),
    [anon_sym_const] = ACTIONS(2237),
    [anon_sym_BANG] = ACTIONS(2235),
    [anon_sym_else] = ACTIONS(2237),
    [anon_sym_if] = ACTIONS(2237),
    [anon_sym_switch] = ACTIONS(2237),
    [anon_sym_for] = ACTIONS(2237),
    [anon_sym_LPAREN] = ACTIONS(2235),
    [anon_sym_await] = ACTIONS(2237),
    [anon_sym_while] = ACTIONS(2237),
    [anon_sym_do] = ACTIONS(2237),
    [anon_sym_try] = ACTIONS(2237),
    [anon_sym_with] = ACTIONS(2237),
    [anon_sym_break] = ACTIONS(2237),
    [anon_sym_continue] = ACTIONS(2237),
    [anon_sym_debugger] = ACTIONS(2237),
    [anon_sym_return] = ACTIONS(2237),
    [anon_sym_throw] = ACTIONS(2237),
    [anon_sym_SEMI] = ACTIONS(2235),
    [anon_sym_case] = ACTIONS(2237),
    [anon_sym_yield] = ACTIONS(2237),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_LT] = ACTIONS(2235),
    [anon_sym_SLASH] = ACTIONS(2237),
    [anon_sym_class] = ACTIONS(2237),
    [anon_sym_async] = ACTIONS(2237),
    [anon_sym_function] = ACTIONS(2237),
    [anon_sym_new] = ACTIONS(2237),
    [anon_sym_PLUS] = ACTIONS(2237),
    [anon_sym_DASH] = ACTIONS(2237),
    [anon_sym_TILDE] = ACTIONS(2235),
    [anon_sym_void] = ACTIONS(2237),
    [anon_sym_delete] = ACTIONS(2237),
    [anon_sym_PLUS_PLUS] = ACTIONS(2235),
    [anon_sym_DASH_DASH] = ACTIONS(2235),
    [anon_sym_DQUOTE] = ACTIONS(2235),
    [anon_sym_SQUOTE] = ACTIONS(2235),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2235),
    [sym_number] = ACTIONS(2235),
    [sym_this] = ACTIONS(2237),
    [sym_super] = ACTIONS(2237),
    [sym_true] = ACTIONS(2237),
    [sym_false] = ACTIONS(2237),
    [sym_null] = ACTIONS(2237),
    [sym_undefined] = ACTIONS(2237),
    [anon_sym_AT] = ACTIONS(2235),
    [anon_sym_static] = ACTIONS(2237),
    [anon_sym_readonly] = ACTIONS(2237),
    [anon_sym_get] = ACTIONS(2237),
    [anon_sym_set] = ACTIONS(2237),
    [anon_sym_declare] = ACTIONS(2237),
    [anon_sym_public] = ACTIONS(2237),
    [anon_sym_private] = ACTIONS(2237),
    [anon_sym_protected] = ACTIONS(2237),
    [anon_sym_override] = ACTIONS(2237),
    [anon_sym_module] = ACTIONS(2237),
    [anon_sym_any] = ACTIONS(2237),
    [anon_sym_number] = ACTIONS(2237),
    [anon_sym_boolean] = ACTIONS(2237),
    [anon_sym_string] = ACTIONS(2237),
    [anon_sym_symbol] = ACTIONS(2237),
    [anon_sym_abstract] = ACTIONS(2237),
    [anon_sym_interface] = ACTIONS(2237),
    [anon_sym_enum] = ACTIONS(2237),
  },
  [640] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [641] = {
    [ts_builtin_sym_end] = ACTIONS(2239),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_export] = ACTIONS(2241),
    [anon_sym_default] = ACTIONS(2241),
    [anon_sym_type] = ACTIONS(2241),
    [anon_sym_namespace] = ACTIONS(2241),
    [anon_sym_LBRACE] = ACTIONS(2239),
    [anon_sym_RBRACE] = ACTIONS(2239),
    [anon_sym_typeof] = ACTIONS(2241),
    [anon_sym_import] = ACTIONS(2241),
    [anon_sym_var] = ACTIONS(2241),
    [anon_sym_let] = ACTIONS(2241),
    [anon_sym_const] = ACTIONS(2241),
    [anon_sym_BANG] = ACTIONS(2239),
    [anon_sym_else] = ACTIONS(2241),
    [anon_sym_if] = ACTIONS(2241),
    [anon_sym_switch] = ACTIONS(2241),
    [anon_sym_for] = ACTIONS(2241),
    [anon_sym_LPAREN] = ACTIONS(2239),
    [anon_sym_await] = ACTIONS(2241),
    [anon_sym_while] = ACTIONS(2241),
    [anon_sym_do] = ACTIONS(2241),
    [anon_sym_try] = ACTIONS(2241),
    [anon_sym_with] = ACTIONS(2241),
    [anon_sym_break] = ACTIONS(2241),
    [anon_sym_continue] = ACTIONS(2241),
    [anon_sym_debugger] = ACTIONS(2241),
    [anon_sym_return] = ACTIONS(2241),
    [anon_sym_throw] = ACTIONS(2241),
    [anon_sym_SEMI] = ACTIONS(2239),
    [anon_sym_case] = ACTIONS(2241),
    [anon_sym_yield] = ACTIONS(2241),
    [anon_sym_LBRACK] = ACTIONS(2239),
    [anon_sym_LT] = ACTIONS(2239),
    [anon_sym_SLASH] = ACTIONS(2241),
    [anon_sym_class] = ACTIONS(2241),
    [anon_sym_async] = ACTIONS(2241),
    [anon_sym_function] = ACTIONS(2241),
    [anon_sym_new] = ACTIONS(2241),
    [anon_sym_PLUS] = ACTIONS(2241),
    [anon_sym_DASH] = ACTIONS(2241),
    [anon_sym_TILDE] = ACTIONS(2239),
    [anon_sym_void] = ACTIONS(2241),
    [anon_sym_delete] = ACTIONS(2241),
    [anon_sym_PLUS_PLUS] = ACTIONS(2239),
    [anon_sym_DASH_DASH] = ACTIONS(2239),
    [anon_sym_DQUOTE] = ACTIONS(2239),
    [anon_sym_SQUOTE] = ACTIONS(2239),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2239),
    [sym_number] = ACTIONS(2239),
    [sym_this] = ACTIONS(2241),
    [sym_super] = ACTIONS(2241),
    [sym_true] = ACTIONS(2241),
    [sym_false] = ACTIONS(2241),
    [sym_null] = ACTIONS(2241),
    [sym_undefined] = ACTIONS(2241),
    [anon_sym_AT] = ACTIONS(2239),
    [anon_sym_static] = ACTIONS(2241),
    [anon_sym_readonly] = ACTIONS(2241),
    [anon_sym_get] = ACTIONS(2241),
    [anon_sym_set] = ACTIONS(2241),
    [anon_sym_declare] = ACTIONS(2241),
    [anon_sym_public] = ACTIONS(2241),
    [anon_sym_private] = ACTIONS(2241),
    [anon_sym_protected] = ACTIONS(2241),
    [anon_sym_override] = ACTIONS(2241),
    [anon_sym_module] = ACTIONS(2241),
    [anon_sym_any] = ACTIONS(2241),
    [anon_sym_number] = ACTIONS(2241),
    [anon_sym_boolean] = ACTIONS(2241),
    [anon_sym_string] = ACTIONS(2241),
    [anon_sym_symbol] = ACTIONS(2241),
    [anon_sym_abstract] = ACTIONS(2241),
    [anon_sym_interface] = ACTIONS(2241),
    [anon_sym_enum] = ACTIONS(2241),
  },
  [642] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [644] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [645] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [646] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [647] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [650] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [651] = {
    [ts_builtin_sym_end] = ACTIONS(2243),
    [sym_identifier] = ACTIONS(2245),
    [anon_sym_export] = ACTIONS(2245),
    [anon_sym_default] = ACTIONS(2245),
    [anon_sym_type] = ACTIONS(2245),
    [anon_sym_namespace] = ACTIONS(2245),
    [anon_sym_LBRACE] = ACTIONS(2243),
    [anon_sym_RBRACE] = ACTIONS(2243),
    [anon_sym_typeof] = ACTIONS(2245),
    [anon_sym_import] = ACTIONS(2245),
    [anon_sym_var] = ACTIONS(2245),
    [anon_sym_let] = ACTIONS(2245),
    [anon_sym_const] = ACTIONS(2245),
    [anon_sym_BANG] = ACTIONS(2243),
    [anon_sym_else] = ACTIONS(2245),
    [anon_sym_if] = ACTIONS(2245),
    [anon_sym_switch] = ACTIONS(2245),
    [anon_sym_for] = ACTIONS(2245),
    [anon_sym_LPAREN] = ACTIONS(2243),
    [anon_sym_await] = ACTIONS(2245),
    [anon_sym_while] = ACTIONS(2245),
    [anon_sym_do] = ACTIONS(2245),
    [anon_sym_try] = ACTIONS(2245),
    [anon_sym_with] = ACTIONS(2245),
    [anon_sym_break] = ACTIONS(2245),
    [anon_sym_continue] = ACTIONS(2245),
    [anon_sym_debugger] = ACTIONS(2245),
    [anon_sym_return] = ACTIONS(2245),
    [anon_sym_throw] = ACTIONS(2245),
    [anon_sym_SEMI] = ACTIONS(2243),
    [anon_sym_case] = ACTIONS(2245),
    [anon_sym_yield] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(2243),
    [anon_sym_LT] = ACTIONS(2243),
    [anon_sym_SLASH] = ACTIONS(2245),
    [anon_sym_class] = ACTIONS(2245),
    [anon_sym_async] = ACTIONS(2245),
    [anon_sym_function] = ACTIONS(2245),
    [anon_sym_new] = ACTIONS(2245),
    [anon_sym_PLUS] = ACTIONS(2245),
    [anon_sym_DASH] = ACTIONS(2245),
    [anon_sym_TILDE] = ACTIONS(2243),
    [anon_sym_void] = ACTIONS(2245),
    [anon_sym_delete] = ACTIONS(2245),
    [anon_sym_PLUS_PLUS] = ACTIONS(2243),
    [anon_sym_DASH_DASH] = ACTIONS(2243),
    [anon_sym_DQUOTE] = ACTIONS(2243),
    [anon_sym_SQUOTE] = ACTIONS(2243),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2243),
    [sym_number] = ACTIONS(2243),
    [sym_this] = ACTIONS(2245),
    [sym_super] = ACTIONS(2245),
    [sym_true] = ACTIONS(2245),
    [sym_false] = ACTIONS(2245),
    [sym_null] = ACTIONS(2245),
    [sym_undefined] = ACTIONS(2245),
    [anon_sym_AT] = ACTIONS(2243),
    [anon_sym_static] = ACTIONS(2245),
    [anon_sym_readonly] = ACTIONS(2245),
    [anon_sym_get] = ACTIONS(2245),
    [anon_sym_set] = ACTIONS(2245),
    [anon_sym_declare] = ACTIONS(2245),
    [anon_sym_public] = ACTIONS(2245),
    [anon_sym_private] = ACTIONS(2245),
    [anon_sym_protected] = ACTIONS(2245),
    [anon_sym_override] = ACTIONS(2245),
    [anon_sym_module] = ACTIONS(2245),
    [anon_sym_any] = ACTIONS(2245),
    [anon_sym_number] = ACTIONS(2245),
    [anon_sym_boolean] = ACTIONS(2245),
    [anon_sym_string] = ACTIONS(2245),
    [anon_sym_symbol] = ACTIONS(2245),
    [anon_sym_abstract] = ACTIONS(2245),
    [anon_sym_interface] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2245),
  },
  [652] = {
    [ts_builtin_sym_end] = ACTIONS(2227),
    [sym_identifier] = ACTIONS(2229),
    [anon_sym_export] = ACTIONS(2229),
    [anon_sym_default] = ACTIONS(2229),
    [anon_sym_type] = ACTIONS(2229),
    [anon_sym_namespace] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(2227),
    [anon_sym_RBRACE] = ACTIONS(2227),
    [anon_sym_typeof] = ACTIONS(2229),
    [anon_sym_import] = ACTIONS(2229),
    [anon_sym_var] = ACTIONS(2229),
    [anon_sym_let] = ACTIONS(2229),
    [anon_sym_const] = ACTIONS(2229),
    [anon_sym_BANG] = ACTIONS(2227),
    [anon_sym_else] = ACTIONS(2229),
    [anon_sym_if] = ACTIONS(2229),
    [anon_sym_switch] = ACTIONS(2229),
    [anon_sym_for] = ACTIONS(2229),
    [anon_sym_LPAREN] = ACTIONS(2227),
    [anon_sym_await] = ACTIONS(2229),
    [anon_sym_while] = ACTIONS(2229),
    [anon_sym_do] = ACTIONS(2229),
    [anon_sym_try] = ACTIONS(2229),
    [anon_sym_with] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2229),
    [anon_sym_continue] = ACTIONS(2229),
    [anon_sym_debugger] = ACTIONS(2229),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_throw] = ACTIONS(2229),
    [anon_sym_SEMI] = ACTIONS(2227),
    [anon_sym_case] = ACTIONS(2229),
    [anon_sym_yield] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(2227),
    [anon_sym_LT] = ACTIONS(2227),
    [anon_sym_SLASH] = ACTIONS(2229),
    [anon_sym_class] = ACTIONS(2229),
    [anon_sym_async] = ACTIONS(2229),
    [anon_sym_function] = ACTIONS(2229),
    [anon_sym_new] = ACTIONS(2229),
    [anon_sym_PLUS] = ACTIONS(2229),
    [anon_sym_DASH] = ACTIONS(2229),
    [anon_sym_TILDE] = ACTIONS(2227),
    [anon_sym_void] = ACTIONS(2229),
    [anon_sym_delete] = ACTIONS(2229),
    [anon_sym_PLUS_PLUS] = ACTIONS(2227),
    [anon_sym_DASH_DASH] = ACTIONS(2227),
    [anon_sym_DQUOTE] = ACTIONS(2227),
    [anon_sym_SQUOTE] = ACTIONS(2227),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2227),
    [sym_number] = ACTIONS(2227),
    [sym_this] = ACTIONS(2229),
    [sym_super] = ACTIONS(2229),
    [sym_true] = ACTIONS(2229),
    [sym_false] = ACTIONS(2229),
    [sym_null] = ACTIONS(2229),
    [sym_undefined] = ACTIONS(2229),
    [anon_sym_AT] = ACTIONS(2227),
    [anon_sym_static] = ACTIONS(2229),
    [anon_sym_readonly] = ACTIONS(2229),
    [anon_sym_get] = ACTIONS(2229),
    [anon_sym_set] = ACTIONS(2229),
    [anon_sym_declare] = ACTIONS(2229),
    [anon_sym_public] = ACTIONS(2229),
    [anon_sym_private] = ACTIONS(2229),
    [anon_sym_protected] = ACTIONS(2229),
    [anon_sym_override] = ACTIONS(2229),
    [anon_sym_module] = ACTIONS(2229),
    [anon_sym_any] = ACTIONS(2229),
    [anon_sym_number] = ACTIONS(2229),
    [anon_sym_boolean] = ACTIONS(2229),
    [anon_sym_string] = ACTIONS(2229),
    [anon_sym_symbol] = ACTIONS(2229),
    [anon_sym_abstract] = ACTIONS(2229),
    [anon_sym_interface] = ACTIONS(2229),
    [anon_sym_enum] = ACTIONS(2229),
  },
  [653] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [654] = {
    [ts_builtin_sym_end] = ACTIONS(2247),
    [sym_identifier] = ACTIONS(2249),
    [anon_sym_export] = ACTIONS(2249),
    [anon_sym_default] = ACTIONS(2249),
    [anon_sym_type] = ACTIONS(2249),
    [anon_sym_namespace] = ACTIONS(2249),
    [anon_sym_LBRACE] = ACTIONS(2247),
    [anon_sym_RBRACE] = ACTIONS(2247),
    [anon_sym_typeof] = ACTIONS(2249),
    [anon_sym_import] = ACTIONS(2249),
    [anon_sym_var] = ACTIONS(2249),
    [anon_sym_let] = ACTIONS(2249),
    [anon_sym_const] = ACTIONS(2249),
    [anon_sym_BANG] = ACTIONS(2247),
    [anon_sym_else] = ACTIONS(2249),
    [anon_sym_if] = ACTIONS(2249),
    [anon_sym_switch] = ACTIONS(2249),
    [anon_sym_for] = ACTIONS(2249),
    [anon_sym_LPAREN] = ACTIONS(2247),
    [anon_sym_await] = ACTIONS(2249),
    [anon_sym_while] = ACTIONS(2249),
    [anon_sym_do] = ACTIONS(2249),
    [anon_sym_try] = ACTIONS(2249),
    [anon_sym_with] = ACTIONS(2249),
    [anon_sym_break] = ACTIONS(2249),
    [anon_sym_continue] = ACTIONS(2249),
    [anon_sym_debugger] = ACTIONS(2249),
    [anon_sym_return] = ACTIONS(2249),
    [anon_sym_throw] = ACTIONS(2249),
    [anon_sym_SEMI] = ACTIONS(2247),
    [anon_sym_case] = ACTIONS(2249),
    [anon_sym_yield] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(2247),
    [anon_sym_LT] = ACTIONS(2247),
    [anon_sym_SLASH] = ACTIONS(2249),
    [anon_sym_class] = ACTIONS(2249),
    [anon_sym_async] = ACTIONS(2249),
    [anon_sym_function] = ACTIONS(2249),
    [anon_sym_new] = ACTIONS(2249),
    [anon_sym_PLUS] = ACTIONS(2249),
    [anon_sym_DASH] = ACTIONS(2249),
    [anon_sym_TILDE] = ACTIONS(2247),
    [anon_sym_void] = ACTIONS(2249),
    [anon_sym_delete] = ACTIONS(2249),
    [anon_sym_PLUS_PLUS] = ACTIONS(2247),
    [anon_sym_DASH_DASH] = ACTIONS(2247),
    [anon_sym_DQUOTE] = ACTIONS(2247),
    [anon_sym_SQUOTE] = ACTIONS(2247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2247),
    [sym_number] = ACTIONS(2247),
    [sym_this] = ACTIONS(2249),
    [sym_super] = ACTIONS(2249),
    [sym_true] = ACTIONS(2249),
    [sym_false] = ACTIONS(2249),
    [sym_null] = ACTIONS(2249),
    [sym_undefined] = ACTIONS(2249),
    [anon_sym_AT] = ACTIONS(2247),
    [anon_sym_static] = ACTIONS(2249),
    [anon_sym_readonly] = ACTIONS(2249),
    [anon_sym_get] = ACTIONS(2249),
    [anon_sym_set] = ACTIONS(2249),
    [anon_sym_declare] = ACTIONS(2249),
    [anon_sym_public] = ACTIONS(2249),
    [anon_sym_private] = ACTIONS(2249),
    [anon_sym_protected] = ACTIONS(2249),
    [anon_sym_override] = ACTIONS(2249),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_any] = ACTIONS(2249),
    [anon_sym_number] = ACTIONS(2249),
    [anon_sym_boolean] = ACTIONS(2249),
    [anon_sym_string] = ACTIONS(2249),
    [anon_sym_symbol] = ACTIONS(2249),
    [anon_sym_abstract] = ACTIONS(2249),
    [anon_sym_interface] = ACTIONS(2249),
    [anon_sym_enum] = ACTIONS(2249),
  },
  [655] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [656] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [657] = {
    [ts_builtin_sym_end] = ACTIONS(2251),
    [sym_identifier] = ACTIONS(2253),
    [anon_sym_export] = ACTIONS(2253),
    [anon_sym_default] = ACTIONS(2253),
    [anon_sym_type] = ACTIONS(2253),
    [anon_sym_namespace] = ACTIONS(2253),
    [anon_sym_LBRACE] = ACTIONS(2251),
    [anon_sym_RBRACE] = ACTIONS(2251),
    [anon_sym_typeof] = ACTIONS(2253),
    [anon_sym_import] = ACTIONS(2253),
    [anon_sym_var] = ACTIONS(2253),
    [anon_sym_let] = ACTIONS(2253),
    [anon_sym_const] = ACTIONS(2253),
    [anon_sym_BANG] = ACTIONS(2251),
    [anon_sym_else] = ACTIONS(2253),
    [anon_sym_if] = ACTIONS(2253),
    [anon_sym_switch] = ACTIONS(2253),
    [anon_sym_for] = ACTIONS(2253),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_await] = ACTIONS(2253),
    [anon_sym_while] = ACTIONS(2253),
    [anon_sym_do] = ACTIONS(2253),
    [anon_sym_try] = ACTIONS(2253),
    [anon_sym_with] = ACTIONS(2253),
    [anon_sym_break] = ACTIONS(2253),
    [anon_sym_continue] = ACTIONS(2253),
    [anon_sym_debugger] = ACTIONS(2253),
    [anon_sym_return] = ACTIONS(2253),
    [anon_sym_throw] = ACTIONS(2253),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_case] = ACTIONS(2253),
    [anon_sym_yield] = ACTIONS(2253),
    [anon_sym_LBRACK] = ACTIONS(2251),
    [anon_sym_LT] = ACTIONS(2251),
    [anon_sym_SLASH] = ACTIONS(2253),
    [anon_sym_class] = ACTIONS(2253),
    [anon_sym_async] = ACTIONS(2253),
    [anon_sym_function] = ACTIONS(2253),
    [anon_sym_new] = ACTIONS(2253),
    [anon_sym_PLUS] = ACTIONS(2253),
    [anon_sym_DASH] = ACTIONS(2253),
    [anon_sym_TILDE] = ACTIONS(2251),
    [anon_sym_void] = ACTIONS(2253),
    [anon_sym_delete] = ACTIONS(2253),
    [anon_sym_PLUS_PLUS] = ACTIONS(2251),
    [anon_sym_DASH_DASH] = ACTIONS(2251),
    [anon_sym_DQUOTE] = ACTIONS(2251),
    [anon_sym_SQUOTE] = ACTIONS(2251),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2251),
    [sym_number] = ACTIONS(2251),
    [sym_this] = ACTIONS(2253),
    [sym_super] = ACTIONS(2253),
    [sym_true] = ACTIONS(2253),
    [sym_false] = ACTIONS(2253),
    [sym_null] = ACTIONS(2253),
    [sym_undefined] = ACTIONS(2253),
    [anon_sym_AT] = ACTIONS(2251),
    [anon_sym_static] = ACTIONS(2253),
    [anon_sym_readonly] = ACTIONS(2253),
    [anon_sym_get] = ACTIONS(2253),
    [anon_sym_set] = ACTIONS(2253),
    [anon_sym_declare] = ACTIONS(2253),
    [anon_sym_public] = ACTIONS(2253),
    [anon_sym_private] = ACTIONS(2253),
    [anon_sym_protected] = ACTIONS(2253),
    [anon_sym_override] = ACTIONS(2253),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_any] = ACTIONS(2253),
    [anon_sym_number] = ACTIONS(2253),
    [anon_sym_boolean] = ACTIONS(2253),
    [anon_sym_string] = ACTIONS(2253),
    [anon_sym_symbol] = ACTIONS(2253),
    [anon_sym_abstract] = ACTIONS(2253),
    [anon_sym_interface] = ACTIONS(2253),
    [anon_sym_enum] = ACTIONS(2253),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2255),
    [anon_sym_RBRACE] = ACTIONS(2255),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_else] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2255),
    [anon_sym_LT] = ACTIONS(2255),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2255),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2255),
    [anon_sym_DASH_DASH] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(2255),
    [anon_sym_SQUOTE] = ACTIONS(2255),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2255),
    [sym_number] = ACTIONS(2255),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2255),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
  },
  [659] = {
    [ts_builtin_sym_end] = ACTIONS(2259),
    [sym_identifier] = ACTIONS(2261),
    [anon_sym_export] = ACTIONS(2261),
    [anon_sym_default] = ACTIONS(2261),
    [anon_sym_type] = ACTIONS(2261),
    [anon_sym_namespace] = ACTIONS(2261),
    [anon_sym_LBRACE] = ACTIONS(2259),
    [anon_sym_RBRACE] = ACTIONS(2259),
    [anon_sym_typeof] = ACTIONS(2261),
    [anon_sym_import] = ACTIONS(2261),
    [anon_sym_var] = ACTIONS(2261),
    [anon_sym_let] = ACTIONS(2261),
    [anon_sym_const] = ACTIONS(2261),
    [anon_sym_BANG] = ACTIONS(2259),
    [anon_sym_else] = ACTIONS(2261),
    [anon_sym_if] = ACTIONS(2261),
    [anon_sym_switch] = ACTIONS(2261),
    [anon_sym_for] = ACTIONS(2261),
    [anon_sym_LPAREN] = ACTIONS(2259),
    [anon_sym_await] = ACTIONS(2261),
    [anon_sym_while] = ACTIONS(2261),
    [anon_sym_do] = ACTIONS(2261),
    [anon_sym_try] = ACTIONS(2261),
    [anon_sym_with] = ACTIONS(2261),
    [anon_sym_break] = ACTIONS(2261),
    [anon_sym_continue] = ACTIONS(2261),
    [anon_sym_debugger] = ACTIONS(2261),
    [anon_sym_return] = ACTIONS(2261),
    [anon_sym_throw] = ACTIONS(2261),
    [anon_sym_SEMI] = ACTIONS(2259),
    [anon_sym_case] = ACTIONS(2261),
    [anon_sym_yield] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(2259),
    [anon_sym_LT] = ACTIONS(2259),
    [anon_sym_SLASH] = ACTIONS(2261),
    [anon_sym_class] = ACTIONS(2261),
    [anon_sym_async] = ACTIONS(2261),
    [anon_sym_function] = ACTIONS(2261),
    [anon_sym_new] = ACTIONS(2261),
    [anon_sym_PLUS] = ACTIONS(2261),
    [anon_sym_DASH] = ACTIONS(2261),
    [anon_sym_TILDE] = ACTIONS(2259),
    [anon_sym_void] = ACTIONS(2261),
    [anon_sym_delete] = ACTIONS(2261),
    [anon_sym_PLUS_PLUS] = ACTIONS(2259),
    [anon_sym_DASH_DASH] = ACTIONS(2259),
    [anon_sym_DQUOTE] = ACTIONS(2259),
    [anon_sym_SQUOTE] = ACTIONS(2259),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2259),
    [sym_number] = ACTIONS(2259),
    [sym_this] = ACTIONS(2261),
    [sym_super] = ACTIONS(2261),
    [sym_true] = ACTIONS(2261),
    [sym_false] = ACTIONS(2261),
    [sym_null] = ACTIONS(2261),
    [sym_undefined] = ACTIONS(2261),
    [anon_sym_AT] = ACTIONS(2259),
    [anon_sym_static] = ACTIONS(2261),
    [anon_sym_readonly] = ACTIONS(2261),
    [anon_sym_get] = ACTIONS(2261),
    [anon_sym_set] = ACTIONS(2261),
    [anon_sym_declare] = ACTIONS(2261),
    [anon_sym_public] = ACTIONS(2261),
    [anon_sym_private] = ACTIONS(2261),
    [anon_sym_protected] = ACTIONS(2261),
    [anon_sym_override] = ACTIONS(2261),
    [anon_sym_module] = ACTIONS(2261),
    [anon_sym_any] = ACTIONS(2261),
    [anon_sym_number] = ACTIONS(2261),
    [anon_sym_boolean] = ACTIONS(2261),
    [anon_sym_string] = ACTIONS(2261),
    [anon_sym_symbol] = ACTIONS(2261),
    [anon_sym_abstract] = ACTIONS(2261),
    [anon_sym_interface] = ACTIONS(2261),
    [anon_sym_enum] = ACTIONS(2261),
  },
  [660] = {
    [ts_builtin_sym_end] = ACTIONS(2263),
    [sym_identifier] = ACTIONS(2265),
    [anon_sym_export] = ACTIONS(2265),
    [anon_sym_default] = ACTIONS(2265),
    [anon_sym_type] = ACTIONS(2265),
    [anon_sym_namespace] = ACTIONS(2265),
    [anon_sym_LBRACE] = ACTIONS(2263),
    [anon_sym_RBRACE] = ACTIONS(2263),
    [anon_sym_typeof] = ACTIONS(2265),
    [anon_sym_import] = ACTIONS(2265),
    [anon_sym_var] = ACTIONS(2265),
    [anon_sym_let] = ACTIONS(2265),
    [anon_sym_const] = ACTIONS(2265),
    [anon_sym_BANG] = ACTIONS(2263),
    [anon_sym_else] = ACTIONS(2265),
    [anon_sym_if] = ACTIONS(2265),
    [anon_sym_switch] = ACTIONS(2265),
    [anon_sym_for] = ACTIONS(2265),
    [anon_sym_LPAREN] = ACTIONS(2263),
    [anon_sym_await] = ACTIONS(2265),
    [anon_sym_while] = ACTIONS(2265),
    [anon_sym_do] = ACTIONS(2265),
    [anon_sym_try] = ACTIONS(2265),
    [anon_sym_with] = ACTIONS(2265),
    [anon_sym_break] = ACTIONS(2265),
    [anon_sym_continue] = ACTIONS(2265),
    [anon_sym_debugger] = ACTIONS(2265),
    [anon_sym_return] = ACTIONS(2265),
    [anon_sym_throw] = ACTIONS(2265),
    [anon_sym_SEMI] = ACTIONS(2263),
    [anon_sym_case] = ACTIONS(2265),
    [anon_sym_yield] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(2263),
    [anon_sym_LT] = ACTIONS(2263),
    [anon_sym_SLASH] = ACTIONS(2265),
    [anon_sym_class] = ACTIONS(2265),
    [anon_sym_async] = ACTIONS(2265),
    [anon_sym_function] = ACTIONS(2265),
    [anon_sym_new] = ACTIONS(2265),
    [anon_sym_PLUS] = ACTIONS(2265),
    [anon_sym_DASH] = ACTIONS(2265),
    [anon_sym_TILDE] = ACTIONS(2263),
    [anon_sym_void] = ACTIONS(2265),
    [anon_sym_delete] = ACTIONS(2265),
    [anon_sym_PLUS_PLUS] = ACTIONS(2263),
    [anon_sym_DASH_DASH] = ACTIONS(2263),
    [anon_sym_DQUOTE] = ACTIONS(2263),
    [anon_sym_SQUOTE] = ACTIONS(2263),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2263),
    [sym_number] = ACTIONS(2263),
    [sym_this] = ACTIONS(2265),
    [sym_super] = ACTIONS(2265),
    [sym_true] = ACTIONS(2265),
    [sym_false] = ACTIONS(2265),
    [sym_null] = ACTIONS(2265),
    [sym_undefined] = ACTIONS(2265),
    [anon_sym_AT] = ACTIONS(2263),
    [anon_sym_static] = ACTIONS(2265),
    [anon_sym_readonly] = ACTIONS(2265),
    [anon_sym_get] = ACTIONS(2265),
    [anon_sym_set] = ACTIONS(2265),
    [anon_sym_declare] = ACTIONS(2265),
    [anon_sym_public] = ACTIONS(2265),
    [anon_sym_private] = ACTIONS(2265),
    [anon_sym_protected] = ACTIONS(2265),
    [anon_sym_override] = ACTIONS(2265),
    [anon_sym_module] = ACTIONS(2265),
    [anon_sym_any] = ACTIONS(2265),
    [anon_sym_number] = ACTIONS(2265),
    [anon_sym_boolean] = ACTIONS(2265),
    [anon_sym_string] = ACTIONS(2265),
    [anon_sym_symbol] = ACTIONS(2265),
    [anon_sym_abstract] = ACTIONS(2265),
    [anon_sym_interface] = ACTIONS(2265),
    [anon_sym_enum] = ACTIONS(2265),
  },
  [661] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [662] = {
    [ts_builtin_sym_end] = ACTIONS(2043),
    [sym_identifier] = ACTIONS(2045),
    [anon_sym_export] = ACTIONS(2045),
    [anon_sym_default] = ACTIONS(2045),
    [anon_sym_type] = ACTIONS(2045),
    [anon_sym_namespace] = ACTIONS(2045),
    [anon_sym_LBRACE] = ACTIONS(2043),
    [anon_sym_RBRACE] = ACTIONS(2043),
    [anon_sym_typeof] = ACTIONS(2045),
    [anon_sym_import] = ACTIONS(2045),
    [anon_sym_var] = ACTIONS(2045),
    [anon_sym_let] = ACTIONS(2045),
    [anon_sym_const] = ACTIONS(2045),
    [anon_sym_BANG] = ACTIONS(2043),
    [anon_sym_else] = ACTIONS(2045),
    [anon_sym_if] = ACTIONS(2045),
    [anon_sym_switch] = ACTIONS(2045),
    [anon_sym_for] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2043),
    [anon_sym_await] = ACTIONS(2045),
    [anon_sym_while] = ACTIONS(2045),
    [anon_sym_do] = ACTIONS(2045),
    [anon_sym_try] = ACTIONS(2045),
    [anon_sym_with] = ACTIONS(2045),
    [anon_sym_break] = ACTIONS(2045),
    [anon_sym_continue] = ACTIONS(2045),
    [anon_sym_debugger] = ACTIONS(2045),
    [anon_sym_return] = ACTIONS(2045),
    [anon_sym_throw] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2043),
    [anon_sym_case] = ACTIONS(2045),
    [anon_sym_yield] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2043),
    [anon_sym_LT] = ACTIONS(2043),
    [anon_sym_SLASH] = ACTIONS(2045),
    [anon_sym_class] = ACTIONS(2045),
    [anon_sym_async] = ACTIONS(2045),
    [anon_sym_function] = ACTIONS(2045),
    [anon_sym_new] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2045),
    [anon_sym_TILDE] = ACTIONS(2043),
    [anon_sym_void] = ACTIONS(2045),
    [anon_sym_delete] = ACTIONS(2045),
    [anon_sym_PLUS_PLUS] = ACTIONS(2043),
    [anon_sym_DASH_DASH] = ACTIONS(2043),
    [anon_sym_DQUOTE] = ACTIONS(2043),
    [anon_sym_SQUOTE] = ACTIONS(2043),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2043),
    [sym_number] = ACTIONS(2043),
    [sym_this] = ACTIONS(2045),
    [sym_super] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_null] = ACTIONS(2045),
    [sym_undefined] = ACTIONS(2045),
    [anon_sym_AT] = ACTIONS(2043),
    [anon_sym_static] = ACTIONS(2045),
    [anon_sym_readonly] = ACTIONS(2045),
    [anon_sym_get] = ACTIONS(2045),
    [anon_sym_set] = ACTIONS(2045),
    [anon_sym_declare] = ACTIONS(2045),
    [anon_sym_public] = ACTIONS(2045),
    [anon_sym_private] = ACTIONS(2045),
    [anon_sym_protected] = ACTIONS(2045),
    [anon_sym_override] = ACTIONS(2045),
    [anon_sym_module] = ACTIONS(2045),
    [anon_sym_any] = ACTIONS(2045),
    [anon_sym_number] = ACTIONS(2045),
    [anon_sym_boolean] = ACTIONS(2045),
    [anon_sym_string] = ACTIONS(2045),
    [anon_sym_symbol] = ACTIONS(2045),
    [anon_sym_abstract] = ACTIONS(2045),
    [anon_sym_interface] = ACTIONS(2045),
    [anon_sym_enum] = ACTIONS(2045),
  },
  [663] = {
    [ts_builtin_sym_end] = ACTIONS(2255),
    [sym_identifier] = ACTIONS(2257),
    [anon_sym_export] = ACTIONS(2257),
    [anon_sym_default] = ACTIONS(2257),
    [anon_sym_type] = ACTIONS(2257),
    [anon_sym_namespace] = ACTIONS(2257),
    [anon_sym_LBRACE] = ACTIONS(2255),
    [anon_sym_RBRACE] = ACTIONS(2255),
    [anon_sym_typeof] = ACTIONS(2257),
    [anon_sym_import] = ACTIONS(2257),
    [anon_sym_var] = ACTIONS(2257),
    [anon_sym_let] = ACTIONS(2257),
    [anon_sym_const] = ACTIONS(2257),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_else] = ACTIONS(2257),
    [anon_sym_if] = ACTIONS(2257),
    [anon_sym_switch] = ACTIONS(2257),
    [anon_sym_for] = ACTIONS(2257),
    [anon_sym_LPAREN] = ACTIONS(2255),
    [anon_sym_await] = ACTIONS(2257),
    [anon_sym_while] = ACTIONS(2257),
    [anon_sym_do] = ACTIONS(2257),
    [anon_sym_try] = ACTIONS(2257),
    [anon_sym_with] = ACTIONS(2257),
    [anon_sym_break] = ACTIONS(2257),
    [anon_sym_continue] = ACTIONS(2257),
    [anon_sym_debugger] = ACTIONS(2257),
    [anon_sym_return] = ACTIONS(2257),
    [anon_sym_throw] = ACTIONS(2257),
    [anon_sym_SEMI] = ACTIONS(2255),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_yield] = ACTIONS(2257),
    [anon_sym_LBRACK] = ACTIONS(2255),
    [anon_sym_LT] = ACTIONS(2255),
    [anon_sym_SLASH] = ACTIONS(2257),
    [anon_sym_class] = ACTIONS(2257),
    [anon_sym_async] = ACTIONS(2257),
    [anon_sym_function] = ACTIONS(2257),
    [anon_sym_new] = ACTIONS(2257),
    [anon_sym_PLUS] = ACTIONS(2257),
    [anon_sym_DASH] = ACTIONS(2257),
    [anon_sym_TILDE] = ACTIONS(2255),
    [anon_sym_void] = ACTIONS(2257),
    [anon_sym_delete] = ACTIONS(2257),
    [anon_sym_PLUS_PLUS] = ACTIONS(2255),
    [anon_sym_DASH_DASH] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(2255),
    [anon_sym_SQUOTE] = ACTIONS(2255),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2255),
    [sym_number] = ACTIONS(2255),
    [sym_this] = ACTIONS(2257),
    [sym_super] = ACTIONS(2257),
    [sym_true] = ACTIONS(2257),
    [sym_false] = ACTIONS(2257),
    [sym_null] = ACTIONS(2257),
    [sym_undefined] = ACTIONS(2257),
    [anon_sym_AT] = ACTIONS(2255),
    [anon_sym_static] = ACTIONS(2257),
    [anon_sym_readonly] = ACTIONS(2257),
    [anon_sym_get] = ACTIONS(2257),
    [anon_sym_set] = ACTIONS(2257),
    [anon_sym_declare] = ACTIONS(2257),
    [anon_sym_public] = ACTIONS(2257),
    [anon_sym_private] = ACTIONS(2257),
    [anon_sym_protected] = ACTIONS(2257),
    [anon_sym_override] = ACTIONS(2257),
    [anon_sym_module] = ACTIONS(2257),
    [anon_sym_any] = ACTIONS(2257),
    [anon_sym_number] = ACTIONS(2257),
    [anon_sym_boolean] = ACTIONS(2257),
    [anon_sym_string] = ACTIONS(2257),
    [anon_sym_symbol] = ACTIONS(2257),
    [anon_sym_abstract] = ACTIONS(2257),
    [anon_sym_interface] = ACTIONS(2257),
    [anon_sym_enum] = ACTIONS(2257),
  },
  [664] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3330),
    [sym_optional_tuple_parameter] = STATE(3330),
    [sym_optional_type] = STATE(3330),
    [sym_rest_type] = STATE(3330),
    [sym__tuple_type_member] = STATE(3330),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(2269),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2271),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [665] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3486),
    [sym_optional_tuple_parameter] = STATE(3486),
    [sym_optional_type] = STATE(3486),
    [sym_rest_type] = STATE(3486),
    [sym__tuple_type_member] = STATE(3486),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(2275),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2277),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [666] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3400),
    [sym_optional_tuple_parameter] = STATE(3400),
    [sym_optional_type] = STATE(3400),
    [sym_rest_type] = STATE(3400),
    [sym__tuple_type_member] = STATE(3400),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(2279),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2281),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [667] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3426),
    [sym_optional_tuple_parameter] = STATE(3426),
    [sym_optional_type] = STATE(3426),
    [sym_rest_type] = STATE(3426),
    [sym__tuple_type_member] = STATE(3426),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(2283),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2285),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [668] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3397),
    [sym_optional_tuple_parameter] = STATE(3397),
    [sym_optional_type] = STATE(3397),
    [sym_rest_type] = STATE(3397),
    [sym__tuple_type_member] = STATE(3397),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(2287),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2289),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [669] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2291),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [670] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2293),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [671] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2295),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [672] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [673] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2299),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [674] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2301),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [675] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2303),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [676] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2305),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [677] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2307),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [678] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2309),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2311),
    [anon_sym_export] = ACTIONS(2311),
    [anon_sym_type] = ACTIONS(2311),
    [anon_sym_namespace] = ACTIONS(2311),
    [anon_sym_LBRACE] = ACTIONS(2313),
    [anon_sym_typeof] = ACTIONS(2311),
    [anon_sym_import] = ACTIONS(2311),
    [anon_sym_var] = ACTIONS(2311),
    [anon_sym_let] = ACTIONS(2311),
    [anon_sym_const] = ACTIONS(2311),
    [anon_sym_BANG] = ACTIONS(2313),
    [anon_sym_if] = ACTIONS(2311),
    [anon_sym_switch] = ACTIONS(2311),
    [anon_sym_for] = ACTIONS(2311),
    [anon_sym_LPAREN] = ACTIONS(2313),
    [anon_sym_await] = ACTIONS(2311),
    [anon_sym_while] = ACTIONS(2311),
    [anon_sym_do] = ACTIONS(2311),
    [anon_sym_try] = ACTIONS(2311),
    [anon_sym_with] = ACTIONS(2311),
    [anon_sym_break] = ACTIONS(2311),
    [anon_sym_continue] = ACTIONS(2311),
    [anon_sym_debugger] = ACTIONS(2311),
    [anon_sym_return] = ACTIONS(2311),
    [anon_sym_throw] = ACTIONS(2311),
    [anon_sym_SEMI] = ACTIONS(2313),
    [anon_sym_yield] = ACTIONS(2311),
    [anon_sym_LBRACK] = ACTIONS(2313),
    [anon_sym_LT] = ACTIONS(2313),
    [anon_sym_SLASH] = ACTIONS(2311),
    [anon_sym_class] = ACTIONS(2311),
    [anon_sym_async] = ACTIONS(2311),
    [anon_sym_function] = ACTIONS(2311),
    [anon_sym_new] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_TILDE] = ACTIONS(2313),
    [anon_sym_void] = ACTIONS(2311),
    [anon_sym_delete] = ACTIONS(2311),
    [anon_sym_PLUS_PLUS] = ACTIONS(2313),
    [anon_sym_DASH_DASH] = ACTIONS(2313),
    [anon_sym_DQUOTE] = ACTIONS(2313),
    [anon_sym_SQUOTE] = ACTIONS(2313),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2313),
    [sym_number] = ACTIONS(2313),
    [sym_this] = ACTIONS(2311),
    [sym_super] = ACTIONS(2311),
    [sym_true] = ACTIONS(2311),
    [sym_false] = ACTIONS(2311),
    [sym_null] = ACTIONS(2311),
    [sym_undefined] = ACTIONS(2311),
    [anon_sym_AT] = ACTIONS(2313),
    [anon_sym_static] = ACTIONS(2311),
    [anon_sym_readonly] = ACTIONS(2311),
    [anon_sym_get] = ACTIONS(2311),
    [anon_sym_set] = ACTIONS(2311),
    [anon_sym_declare] = ACTIONS(2311),
    [anon_sym_public] = ACTIONS(2311),
    [anon_sym_private] = ACTIONS(2311),
    [anon_sym_protected] = ACTIONS(2311),
    [anon_sym_override] = ACTIONS(2311),
    [anon_sym_module] = ACTIONS(2311),
    [anon_sym_any] = ACTIONS(2311),
    [anon_sym_number] = ACTIONS(2311),
    [anon_sym_boolean] = ACTIONS(2311),
    [anon_sym_string] = ACTIONS(2311),
    [anon_sym_symbol] = ACTIONS(2311),
    [anon_sym_abstract] = ACTIONS(2311),
    [anon_sym_interface] = ACTIONS(2311),
    [anon_sym_enum] = ACTIONS(2311),
  },
  [680] = {
    [sym_identifier] = ACTIONS(2315),
    [anon_sym_export] = ACTIONS(2315),
    [anon_sym_type] = ACTIONS(2315),
    [anon_sym_namespace] = ACTIONS(2315),
    [anon_sym_LBRACE] = ACTIONS(2317),
    [anon_sym_typeof] = ACTIONS(2315),
    [anon_sym_import] = ACTIONS(2315),
    [anon_sym_var] = ACTIONS(2315),
    [anon_sym_let] = ACTIONS(2315),
    [anon_sym_const] = ACTIONS(2315),
    [anon_sym_BANG] = ACTIONS(2317),
    [anon_sym_if] = ACTIONS(2315),
    [anon_sym_switch] = ACTIONS(2315),
    [anon_sym_for] = ACTIONS(2315),
    [anon_sym_LPAREN] = ACTIONS(2317),
    [anon_sym_await] = ACTIONS(2315),
    [anon_sym_while] = ACTIONS(2315),
    [anon_sym_do] = ACTIONS(2315),
    [anon_sym_try] = ACTIONS(2315),
    [anon_sym_with] = ACTIONS(2315),
    [anon_sym_break] = ACTIONS(2315),
    [anon_sym_continue] = ACTIONS(2315),
    [anon_sym_debugger] = ACTIONS(2315),
    [anon_sym_return] = ACTIONS(2315),
    [anon_sym_throw] = ACTIONS(2315),
    [anon_sym_SEMI] = ACTIONS(2317),
    [anon_sym_yield] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(2317),
    [anon_sym_LT] = ACTIONS(2317),
    [anon_sym_SLASH] = ACTIONS(2315),
    [anon_sym_class] = ACTIONS(2315),
    [anon_sym_async] = ACTIONS(2315),
    [anon_sym_function] = ACTIONS(2315),
    [anon_sym_new] = ACTIONS(2315),
    [anon_sym_PLUS] = ACTIONS(2315),
    [anon_sym_DASH] = ACTIONS(2315),
    [anon_sym_TILDE] = ACTIONS(2317),
    [anon_sym_void] = ACTIONS(2315),
    [anon_sym_delete] = ACTIONS(2315),
    [anon_sym_PLUS_PLUS] = ACTIONS(2317),
    [anon_sym_DASH_DASH] = ACTIONS(2317),
    [anon_sym_DQUOTE] = ACTIONS(2317),
    [anon_sym_SQUOTE] = ACTIONS(2317),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2317),
    [sym_number] = ACTIONS(2317),
    [sym_this] = ACTIONS(2315),
    [sym_super] = ACTIONS(2315),
    [sym_true] = ACTIONS(2315),
    [sym_false] = ACTIONS(2315),
    [sym_null] = ACTIONS(2315),
    [sym_undefined] = ACTIONS(2315),
    [anon_sym_AT] = ACTIONS(2317),
    [anon_sym_static] = ACTIONS(2315),
    [anon_sym_readonly] = ACTIONS(2315),
    [anon_sym_get] = ACTIONS(2315),
    [anon_sym_set] = ACTIONS(2315),
    [anon_sym_declare] = ACTIONS(2315),
    [anon_sym_public] = ACTIONS(2315),
    [anon_sym_private] = ACTIONS(2315),
    [anon_sym_protected] = ACTIONS(2315),
    [anon_sym_override] = ACTIONS(2315),
    [anon_sym_module] = ACTIONS(2315),
    [anon_sym_any] = ACTIONS(2315),
    [anon_sym_number] = ACTIONS(2315),
    [anon_sym_boolean] = ACTIONS(2315),
    [anon_sym_string] = ACTIONS(2315),
    [anon_sym_symbol] = ACTIONS(2315),
    [anon_sym_abstract] = ACTIONS(2315),
    [anon_sym_interface] = ACTIONS(2315),
    [anon_sym_enum] = ACTIONS(2315),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2319),
    [anon_sym_export] = ACTIONS(2319),
    [anon_sym_type] = ACTIONS(2319),
    [anon_sym_namespace] = ACTIONS(2319),
    [anon_sym_LBRACE] = ACTIONS(2321),
    [anon_sym_typeof] = ACTIONS(2319),
    [anon_sym_import] = ACTIONS(2319),
    [anon_sym_var] = ACTIONS(2319),
    [anon_sym_let] = ACTIONS(2319),
    [anon_sym_const] = ACTIONS(2319),
    [anon_sym_BANG] = ACTIONS(2321),
    [anon_sym_if] = ACTIONS(2319),
    [anon_sym_switch] = ACTIONS(2319),
    [anon_sym_for] = ACTIONS(2319),
    [anon_sym_LPAREN] = ACTIONS(2321),
    [anon_sym_await] = ACTIONS(2319),
    [anon_sym_while] = ACTIONS(2319),
    [anon_sym_do] = ACTIONS(2319),
    [anon_sym_try] = ACTIONS(2319),
    [anon_sym_with] = ACTIONS(2319),
    [anon_sym_break] = ACTIONS(2319),
    [anon_sym_continue] = ACTIONS(2319),
    [anon_sym_debugger] = ACTIONS(2319),
    [anon_sym_return] = ACTIONS(2319),
    [anon_sym_throw] = ACTIONS(2319),
    [anon_sym_SEMI] = ACTIONS(2321),
    [anon_sym_yield] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(2321),
    [anon_sym_LT] = ACTIONS(2321),
    [anon_sym_SLASH] = ACTIONS(2319),
    [anon_sym_class] = ACTIONS(2319),
    [anon_sym_async] = ACTIONS(2319),
    [anon_sym_function] = ACTIONS(2319),
    [anon_sym_new] = ACTIONS(2319),
    [anon_sym_PLUS] = ACTIONS(2319),
    [anon_sym_DASH] = ACTIONS(2319),
    [anon_sym_TILDE] = ACTIONS(2321),
    [anon_sym_void] = ACTIONS(2319),
    [anon_sym_delete] = ACTIONS(2319),
    [anon_sym_PLUS_PLUS] = ACTIONS(2321),
    [anon_sym_DASH_DASH] = ACTIONS(2321),
    [anon_sym_DQUOTE] = ACTIONS(2321),
    [anon_sym_SQUOTE] = ACTIONS(2321),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2321),
    [sym_number] = ACTIONS(2321),
    [sym_this] = ACTIONS(2319),
    [sym_super] = ACTIONS(2319),
    [sym_true] = ACTIONS(2319),
    [sym_false] = ACTIONS(2319),
    [sym_null] = ACTIONS(2319),
    [sym_undefined] = ACTIONS(2319),
    [anon_sym_AT] = ACTIONS(2321),
    [anon_sym_static] = ACTIONS(2319),
    [anon_sym_readonly] = ACTIONS(2319),
    [anon_sym_get] = ACTIONS(2319),
    [anon_sym_set] = ACTIONS(2319),
    [anon_sym_declare] = ACTIONS(2319),
    [anon_sym_public] = ACTIONS(2319),
    [anon_sym_private] = ACTIONS(2319),
    [anon_sym_protected] = ACTIONS(2319),
    [anon_sym_override] = ACTIONS(2319),
    [anon_sym_module] = ACTIONS(2319),
    [anon_sym_any] = ACTIONS(2319),
    [anon_sym_number] = ACTIONS(2319),
    [anon_sym_boolean] = ACTIONS(2319),
    [anon_sym_string] = ACTIONS(2319),
    [anon_sym_symbol] = ACTIONS(2319),
    [anon_sym_abstract] = ACTIONS(2319),
    [anon_sym_interface] = ACTIONS(2319),
    [anon_sym_enum] = ACTIONS(2319),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2323),
    [anon_sym_export] = ACTIONS(2323),
    [anon_sym_type] = ACTIONS(2323),
    [anon_sym_namespace] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2325),
    [anon_sym_typeof] = ACTIONS(2323),
    [anon_sym_import] = ACTIONS(2323),
    [anon_sym_var] = ACTIONS(2323),
    [anon_sym_let] = ACTIONS(2323),
    [anon_sym_const] = ACTIONS(2323),
    [anon_sym_BANG] = ACTIONS(2325),
    [anon_sym_if] = ACTIONS(2323),
    [anon_sym_switch] = ACTIONS(2323),
    [anon_sym_for] = ACTIONS(2323),
    [anon_sym_LPAREN] = ACTIONS(2325),
    [anon_sym_await] = ACTIONS(2323),
    [anon_sym_while] = ACTIONS(2323),
    [anon_sym_do] = ACTIONS(2323),
    [anon_sym_try] = ACTIONS(2323),
    [anon_sym_with] = ACTIONS(2323),
    [anon_sym_break] = ACTIONS(2323),
    [anon_sym_continue] = ACTIONS(2323),
    [anon_sym_debugger] = ACTIONS(2323),
    [anon_sym_return] = ACTIONS(2323),
    [anon_sym_throw] = ACTIONS(2323),
    [anon_sym_SEMI] = ACTIONS(2325),
    [anon_sym_yield] = ACTIONS(2323),
    [anon_sym_LBRACK] = ACTIONS(2325),
    [anon_sym_LT] = ACTIONS(2325),
    [anon_sym_SLASH] = ACTIONS(2323),
    [anon_sym_class] = ACTIONS(2323),
    [anon_sym_async] = ACTIONS(2323),
    [anon_sym_function] = ACTIONS(2323),
    [anon_sym_new] = ACTIONS(2323),
    [anon_sym_PLUS] = ACTIONS(2323),
    [anon_sym_DASH] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2325),
    [anon_sym_void] = ACTIONS(2323),
    [anon_sym_delete] = ACTIONS(2323),
    [anon_sym_PLUS_PLUS] = ACTIONS(2325),
    [anon_sym_DASH_DASH] = ACTIONS(2325),
    [anon_sym_DQUOTE] = ACTIONS(2325),
    [anon_sym_SQUOTE] = ACTIONS(2325),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2325),
    [sym_number] = ACTIONS(2325),
    [sym_this] = ACTIONS(2323),
    [sym_super] = ACTIONS(2323),
    [sym_true] = ACTIONS(2323),
    [sym_false] = ACTIONS(2323),
    [sym_null] = ACTIONS(2323),
    [sym_undefined] = ACTIONS(2323),
    [anon_sym_AT] = ACTIONS(2325),
    [anon_sym_static] = ACTIONS(2323),
    [anon_sym_readonly] = ACTIONS(2323),
    [anon_sym_get] = ACTIONS(2323),
    [anon_sym_set] = ACTIONS(2323),
    [anon_sym_declare] = ACTIONS(2323),
    [anon_sym_public] = ACTIONS(2323),
    [anon_sym_private] = ACTIONS(2323),
    [anon_sym_protected] = ACTIONS(2323),
    [anon_sym_override] = ACTIONS(2323),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_any] = ACTIONS(2323),
    [anon_sym_number] = ACTIONS(2323),
    [anon_sym_boolean] = ACTIONS(2323),
    [anon_sym_string] = ACTIONS(2323),
    [anon_sym_symbol] = ACTIONS(2323),
    [anon_sym_abstract] = ACTIONS(2323),
    [anon_sym_interface] = ACTIONS(2323),
    [anon_sym_enum] = ACTIONS(2323),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2327),
    [anon_sym_export] = ACTIONS(2327),
    [anon_sym_type] = ACTIONS(2327),
    [anon_sym_namespace] = ACTIONS(2327),
    [anon_sym_LBRACE] = ACTIONS(2329),
    [anon_sym_typeof] = ACTIONS(2327),
    [anon_sym_import] = ACTIONS(2327),
    [anon_sym_var] = ACTIONS(2327),
    [anon_sym_let] = ACTIONS(2327),
    [anon_sym_const] = ACTIONS(2327),
    [anon_sym_BANG] = ACTIONS(2329),
    [anon_sym_if] = ACTIONS(2327),
    [anon_sym_switch] = ACTIONS(2327),
    [anon_sym_for] = ACTIONS(2327),
    [anon_sym_LPAREN] = ACTIONS(2329),
    [anon_sym_await] = ACTIONS(2327),
    [anon_sym_while] = ACTIONS(2327),
    [anon_sym_do] = ACTIONS(2327),
    [anon_sym_try] = ACTIONS(2327),
    [anon_sym_with] = ACTIONS(2327),
    [anon_sym_break] = ACTIONS(2327),
    [anon_sym_continue] = ACTIONS(2327),
    [anon_sym_debugger] = ACTIONS(2327),
    [anon_sym_return] = ACTIONS(2327),
    [anon_sym_throw] = ACTIONS(2327),
    [anon_sym_SEMI] = ACTIONS(2329),
    [anon_sym_yield] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [anon_sym_LT] = ACTIONS(2329),
    [anon_sym_SLASH] = ACTIONS(2327),
    [anon_sym_class] = ACTIONS(2327),
    [anon_sym_async] = ACTIONS(2327),
    [anon_sym_function] = ACTIONS(2327),
    [anon_sym_new] = ACTIONS(2327),
    [anon_sym_PLUS] = ACTIONS(2327),
    [anon_sym_DASH] = ACTIONS(2327),
    [anon_sym_TILDE] = ACTIONS(2329),
    [anon_sym_void] = ACTIONS(2327),
    [anon_sym_delete] = ACTIONS(2327),
    [anon_sym_PLUS_PLUS] = ACTIONS(2329),
    [anon_sym_DASH_DASH] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2329),
    [anon_sym_SQUOTE] = ACTIONS(2329),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2329),
    [sym_number] = ACTIONS(2329),
    [sym_this] = ACTIONS(2327),
    [sym_super] = ACTIONS(2327),
    [sym_true] = ACTIONS(2327),
    [sym_false] = ACTIONS(2327),
    [sym_null] = ACTIONS(2327),
    [sym_undefined] = ACTIONS(2327),
    [anon_sym_AT] = ACTIONS(2329),
    [anon_sym_static] = ACTIONS(2327),
    [anon_sym_readonly] = ACTIONS(2327),
    [anon_sym_get] = ACTIONS(2327),
    [anon_sym_set] = ACTIONS(2327),
    [anon_sym_declare] = ACTIONS(2327),
    [anon_sym_public] = ACTIONS(2327),
    [anon_sym_private] = ACTIONS(2327),
    [anon_sym_protected] = ACTIONS(2327),
    [anon_sym_override] = ACTIONS(2327),
    [anon_sym_module] = ACTIONS(2327),
    [anon_sym_any] = ACTIONS(2327),
    [anon_sym_number] = ACTIONS(2327),
    [anon_sym_boolean] = ACTIONS(2327),
    [anon_sym_string] = ACTIONS(2327),
    [anon_sym_symbol] = ACTIONS(2327),
    [anon_sym_abstract] = ACTIONS(2327),
    [anon_sym_interface] = ACTIONS(2327),
    [anon_sym_enum] = ACTIONS(2327),
  },
  [684] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_rest_pattern] = STATE(3682),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2868),
    [sym_tuple_parameter] = STATE(3767),
    [sym_optional_tuple_parameter] = STATE(3767),
    [sym_optional_type] = STATE(3767),
    [sym_rest_type] = STATE(3767),
    [sym__tuple_type_member] = STATE(3767),
    [sym_constructor_type] = STATE(2868),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2868),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2868),
    [sym_union_type] = STATE(2868),
    [sym_intersection_type] = STATE(2868),
    [sym_function_type] = STATE(2868),
    [sym_identifier] = ACTIONS(2267),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2273),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [685] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2217),
    [sym_constructor_type] = STATE(2217),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2217),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2217),
    [sym_union_type] = STATE(2217),
    [sym_intersection_type] = STATE(2217),
    [sym_function_type] = STATE(2217),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_EQ] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_COLON] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(1759),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [686] = {
    [sym_object_pattern] = STATE(2710),
    [sym_array_pattern] = STATE(2710),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2710),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3125),
    [sym_constructor_type] = STATE(3125),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3125),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3125),
    [sym_union_type] = STATE(3125),
    [sym_intersection_type] = STATE(3125),
    [sym_function_type] = STATE(3125),
    [sym_identifier] = ACTIONS(2331),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(2333),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(2335),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [687] = {
    [sym_nested_identifier] = STATE(3847),
    [sym_string] = STATE(2386),
    [sym_formal_parameters] = STATE(3947),
    [sym_nested_type_identifier] = STATE(2274),
    [sym__type] = STATE(2410),
    [sym_constructor_type] = STATE(2410),
    [sym__primary_type] = STATE(2381),
    [sym_template_literal_type] = STATE(2379),
    [sym_infer_type] = STATE(2410),
    [sym_conditional_type] = STATE(2379),
    [sym_generic_type] = STATE(2379),
    [sym_type_query] = STATE(2379),
    [sym_index_type_query] = STATE(2379),
    [sym_lookup_type] = STATE(2379),
    [sym_literal_type] = STATE(2379),
    [sym__number] = STATE(2378),
    [sym_existential_type] = STATE(2379),
    [sym_flow_maybe_type] = STATE(2379),
    [sym_parenthesized_type] = STATE(2379),
    [sym_predefined_type] = STATE(2379),
    [sym_object_type] = STATE(2379),
    [sym_type_parameters] = STATE(3840),
    [sym_array_type] = STATE(2379),
    [sym_tuple_type] = STATE(2379),
    [sym_readonly_type] = STATE(2410),
    [sym_union_type] = STATE(2410),
    [sym_intersection_type] = STATE(2410),
    [sym_function_type] = STATE(2410),
    [sym_identifier] = ACTIONS(1087),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(1759),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_COMMA] = ACTIONS(1759),
    [anon_sym_RBRACE] = ACTIONS(1759),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(1115),
    [sym_this] = ACTIONS(1117),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(631),
    [anon_sym_number] = ACTIONS(631),
    [anon_sym_boolean] = ACTIONS(631),
    [anon_sym_string] = ACTIONS(631),
    [anon_sym_symbol] = ACTIONS(631),
    [anon_sym_infer] = ACTIONS(627),
    [anon_sym_keyof] = ACTIONS(629),
    [anon_sym_unknown] = ACTIONS(631),
    [anon_sym_never] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(633),
  },
  [688] = {
    [sym_object_pattern] = STATE(2710),
    [sym_array_pattern] = STATE(2710),
    [sym_nested_identifier] = STATE(4074),
    [sym__destructuring_pattern] = STATE(2710),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3125),
    [sym_constructor_type] = STATE(3125),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3125),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3125),
    [sym_union_type] = STATE(3125),
    [sym_intersection_type] = STATE(3125),
    [sym_function_type] = STATE(3125),
    [sym_identifier] = ACTIONS(2337),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [689] = {
    [sym_nested_identifier] = STATE(493),
    [sym_string] = STATE(502),
    [sym__module] = STATE(554),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [690] = {
    [sym_nested_identifier] = STATE(102),
    [sym_string] = STATE(103),
    [sym__module] = STATE(132),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(2341),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(2343),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [691] = {
    [sym_nested_identifier] = STATE(102),
    [sym_string] = STATE(103),
    [sym__module] = STATE(132),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(2341),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1521),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(2343),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [692] = {
    [sym_nested_identifier] = STATE(3847),
    [sym_string] = STATE(2386),
    [sym_formal_parameters] = STATE(3947),
    [sym_nested_type_identifier] = STATE(2274),
    [sym__type] = STATE(2445),
    [sym_constructor_type] = STATE(2445),
    [sym__primary_type] = STATE(2381),
    [sym_template_literal_type] = STATE(2379),
    [sym_infer_type] = STATE(2445),
    [sym_conditional_type] = STATE(2379),
    [sym_generic_type] = STATE(2379),
    [sym_type_predicate] = STATE(2728),
    [sym_type_query] = STATE(2379),
    [sym_index_type_query] = STATE(2379),
    [sym_lookup_type] = STATE(2379),
    [sym_literal_type] = STATE(2379),
    [sym__number] = STATE(2378),
    [sym_existential_type] = STATE(2379),
    [sym_flow_maybe_type] = STATE(2379),
    [sym_parenthesized_type] = STATE(2379),
    [sym_predefined_type] = STATE(2379),
    [sym_object_type] = STATE(2379),
    [sym_type_parameters] = STATE(3840),
    [sym_array_type] = STATE(2379),
    [sym_tuple_type] = STATE(2379),
    [sym_readonly_type] = STATE(2445),
    [sym_union_type] = STATE(2445),
    [sym_intersection_type] = STATE(2445),
    [sym_function_type] = STATE(2445),
    [sym_identifier] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(1115),
    [sym_this] = ACTIONS(2349),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(631),
    [anon_sym_number] = ACTIONS(631),
    [anon_sym_boolean] = ACTIONS(631),
    [anon_sym_string] = ACTIONS(631),
    [anon_sym_symbol] = ACTIONS(631),
    [anon_sym_asserts] = ACTIONS(2351),
    [anon_sym_infer] = ACTIONS(627),
    [anon_sym_keyof] = ACTIONS(629),
    [anon_sym_unknown] = ACTIONS(631),
    [anon_sym_never] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(633),
  },
  [693] = {
    [sym_nested_identifier] = STATE(493),
    [sym_string] = STATE(502),
    [sym__module] = STATE(554),
    [aux_sym_object_repeat1] = STATE(3531),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1525),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [694] = {
    [sym_nested_identifier] = STATE(493),
    [sym_string] = STATE(502),
    [sym__module] = STATE(554),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(2339),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [695] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2494),
    [sym_constructor_type] = STATE(2494),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2494),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_predicate] = STATE(3661),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2494),
    [sym_union_type] = STATE(2494),
    [sym_intersection_type] = STATE(2494),
    [sym_function_type] = STATE(2494),
    [sym_identifier] = ACTIONS(2353),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(2355),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_asserts] = ACTIONS(2357),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [696] = {
    [sym_nested_identifier] = STATE(102),
    [sym_string] = STATE(103),
    [sym__module] = STATE(132),
    [aux_sym_object_repeat1] = STATE(3551),
    [aux_sym_object_pattern_repeat1] = STATE(3522),
    [sym_identifier] = ACTIONS(2341),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_as] = ACTIONS(904),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(1494),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_LT] = ACTIONS(1500),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_DOT] = ACTIONS(921),
    [anon_sym_EQ_GT] = ACTIONS(1077),
    [anon_sym_QMARK_DOT] = ACTIONS(921),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(925),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(925),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1500),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(921),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_QMARK_QMARK] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(921),
    [anon_sym_DASH_DASH] = ACTIONS(921),
    [anon_sym_DQUOTE] = ACTIONS(2343),
    [anon_sym_SQUOTE] = ACTIONS(2345),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(921),
    [sym__automatic_semicolon] = ACTIONS(921),
  },
  [697] = {
    [sym_nested_identifier] = STATE(3961),
    [sym_string] = STATE(2581),
    [sym_formal_parameters] = STATE(4109),
    [sym_nested_type_identifier] = STATE(2365),
    [sym__type] = STATE(2600),
    [sym_constructor_type] = STATE(2600),
    [sym__primary_type] = STATE(2576),
    [sym_template_literal_type] = STATE(2575),
    [sym_infer_type] = STATE(2600),
    [sym_conditional_type] = STATE(2575),
    [sym_generic_type] = STATE(2575),
    [sym_type_predicate] = STATE(3131),
    [sym_type_query] = STATE(2575),
    [sym_index_type_query] = STATE(2575),
    [sym_lookup_type] = STATE(2575),
    [sym_literal_type] = STATE(2575),
    [sym__number] = STATE(2574),
    [sym_existential_type] = STATE(2575),
    [sym_flow_maybe_type] = STATE(2575),
    [sym_parenthesized_type] = STATE(2575),
    [sym_predefined_type] = STATE(2575),
    [sym_object_type] = STATE(2575),
    [sym_type_parameters] = STATE(3745),
    [sym_array_type] = STATE(2575),
    [sym_tuple_type] = STATE(2575),
    [sym_readonly_type] = STATE(2600),
    [sym_union_type] = STATE(2600),
    [sym_intersection_type] = STATE(2600),
    [sym_function_type] = STATE(2600),
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_typeof] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_QMARK] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2379),
    [anon_sym_void] = ACTIONS(2381),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2387),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2391),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_undefined] = ACTIONS(2393),
    [anon_sym_readonly] = ACTIONS(2395),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_asserts] = ACTIONS(2397),
    [anon_sym_infer] = ACTIONS(2399),
    [anon_sym_keyof] = ACTIONS(2401),
    [anon_sym_unknown] = ACTIONS(2381),
    [anon_sym_never] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2403),
  },
  [698] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2215),
    [sym_constructor_type] = STATE(2215),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2215),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_predicate] = STATE(2180),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2215),
    [sym_union_type] = STATE(2215),
    [sym_intersection_type] = STATE(2215),
    [sym_function_type] = STATE(2215),
    [sym_identifier] = ACTIONS(2353),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(2355),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [699] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_export] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2405),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2437),
    [anon_sym_module] = ACTIONS(2405),
    [anon_sym_any] = ACTIONS(2405),
    [anon_sym_number] = ACTIONS(2405),
    [anon_sym_boolean] = ACTIONS(2405),
    [anon_sym_string] = ACTIONS(2405),
    [anon_sym_symbol] = ACTIONS(2405),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [700] = {
    [sym_nested_identifier] = STATE(3847),
    [sym_string] = STATE(2386),
    [sym_formal_parameters] = STATE(3947),
    [sym_nested_type_identifier] = STATE(2274),
    [sym__type] = STATE(2371),
    [sym_constructor_type] = STATE(2371),
    [sym__primary_type] = STATE(2381),
    [sym_template_literal_type] = STATE(2379),
    [sym_infer_type] = STATE(2371),
    [sym_conditional_type] = STATE(2379),
    [sym_generic_type] = STATE(2379),
    [sym_type_predicate] = STATE(2372),
    [sym_type_query] = STATE(2379),
    [sym_index_type_query] = STATE(2379),
    [sym_lookup_type] = STATE(2379),
    [sym_literal_type] = STATE(2379),
    [sym__number] = STATE(2378),
    [sym_existential_type] = STATE(2379),
    [sym_flow_maybe_type] = STATE(2379),
    [sym_parenthesized_type] = STATE(2379),
    [sym_predefined_type] = STATE(2379),
    [sym_object_type] = STATE(2379),
    [sym_type_parameters] = STATE(3840),
    [sym_array_type] = STATE(2379),
    [sym_tuple_type] = STATE(2379),
    [sym_readonly_type] = STATE(2371),
    [sym_union_type] = STATE(2371),
    [sym_intersection_type] = STATE(2371),
    [sym_function_type] = STATE(2371),
    [sym_identifier] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(1115),
    [sym_this] = ACTIONS(2349),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(631),
    [anon_sym_number] = ACTIONS(631),
    [anon_sym_boolean] = ACTIONS(631),
    [anon_sym_string] = ACTIONS(631),
    [anon_sym_symbol] = ACTIONS(631),
    [anon_sym_infer] = ACTIONS(627),
    [anon_sym_keyof] = ACTIONS(629),
    [anon_sym_unknown] = ACTIONS(631),
    [anon_sym_never] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(633),
  },
  [701] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [702] = {
    [sym_nested_identifier] = STATE(3847),
    [sym_string] = STATE(2386),
    [sym_formal_parameters] = STATE(3947),
    [sym_nested_type_identifier] = STATE(2274),
    [sym__type] = STATE(2401),
    [sym_constructor_type] = STATE(2401),
    [sym__primary_type] = STATE(2381),
    [sym_template_literal_type] = STATE(2379),
    [sym_infer_type] = STATE(2401),
    [sym_conditional_type] = STATE(2379),
    [sym_generic_type] = STATE(2379),
    [sym_type_predicate] = STATE(2402),
    [sym_type_query] = STATE(2379),
    [sym_index_type_query] = STATE(2379),
    [sym_lookup_type] = STATE(2379),
    [sym_literal_type] = STATE(2379),
    [sym__number] = STATE(2378),
    [sym_existential_type] = STATE(2379),
    [sym_flow_maybe_type] = STATE(2379),
    [sym_parenthesized_type] = STATE(2379),
    [sym_predefined_type] = STATE(2379),
    [sym_object_type] = STATE(2379),
    [sym_type_parameters] = STATE(3840),
    [sym_array_type] = STATE(2379),
    [sym_tuple_type] = STATE(2379),
    [sym_readonly_type] = STATE(2401),
    [sym_union_type] = STATE(2401),
    [sym_intersection_type] = STATE(2401),
    [sym_function_type] = STATE(2401),
    [sym_identifier] = ACTIONS(2347),
    [anon_sym_STAR] = ACTIONS(591),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_typeof] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_LBRACK] = ACTIONS(1097),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(603),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(1775),
    [anon_sym_DASH] = ACTIONS(1775),
    [anon_sym_void] = ACTIONS(631),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1113),
    [sym_number] = ACTIONS(1115),
    [sym_this] = ACTIONS(2349),
    [sym_true] = ACTIONS(1119),
    [sym_false] = ACTIONS(1119),
    [sym_null] = ACTIONS(1119),
    [sym_undefined] = ACTIONS(1119),
    [anon_sym_readonly] = ACTIONS(1121),
    [anon_sym_any] = ACTIONS(631),
    [anon_sym_number] = ACTIONS(631),
    [anon_sym_boolean] = ACTIONS(631),
    [anon_sym_string] = ACTIONS(631),
    [anon_sym_symbol] = ACTIONS(631),
    [anon_sym_infer] = ACTIONS(627),
    [anon_sym_keyof] = ACTIONS(629),
    [anon_sym_unknown] = ACTIONS(631),
    [anon_sym_never] = ACTIONS(631),
    [anon_sym_object] = ACTIONS(631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(633),
  },
  [703] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [704] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_export] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2445),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2405),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2437),
    [anon_sym_module] = ACTIONS(2405),
    [anon_sym_any] = ACTIONS(2405),
    [anon_sym_number] = ACTIONS(2405),
    [anon_sym_boolean] = ACTIONS(2405),
    [anon_sym_string] = ACTIONS(2405),
    [anon_sym_symbol] = ACTIONS(2405),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [705] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4033),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2861),
    [sym_constructor_type] = STATE(2861),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2861),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_predicate] = STATE(2150),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3690),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2861),
    [sym_union_type] = STATE(2861),
    [sym_intersection_type] = STATE(2861),
    [sym_function_type] = STATE(2861),
    [sym_identifier] = ACTIONS(2447),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(2449),
    [anon_sym_typeof] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(2459),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(2461),
    [anon_sym_SQUOTE] = ACTIONS(2463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(2465),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(2467),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(2469),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2471),
  },
  [706] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2473),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [707] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3321),
    [sym_constructor_type] = STATE(3321),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3321),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3321),
    [sym_union_type] = STATE(3321),
    [sym_intersection_type] = STATE(3321),
    [sym_function_type] = STATE(3321),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [708] = {
    [sym_nested_identifier] = STATE(3922),
    [sym_string] = STATE(1107),
    [sym_formal_parameters] = STATE(4028),
    [sym_nested_type_identifier] = STATE(1063),
    [sym__type] = STATE(1176),
    [sym_constructor_type] = STATE(1176),
    [sym__primary_type] = STATE(1111),
    [sym_template_literal_type] = STATE(1112),
    [sym_infer_type] = STATE(1176),
    [sym_conditional_type] = STATE(1112),
    [sym_generic_type] = STATE(1112),
    [sym_type_predicate] = STATE(1178),
    [sym_type_query] = STATE(1112),
    [sym_index_type_query] = STATE(1112),
    [sym_lookup_type] = STATE(1112),
    [sym_literal_type] = STATE(1112),
    [sym__number] = STATE(1115),
    [sym_existential_type] = STATE(1112),
    [sym_flow_maybe_type] = STATE(1112),
    [sym_parenthesized_type] = STATE(1112),
    [sym_predefined_type] = STATE(1112),
    [sym_object_type] = STATE(1112),
    [sym_type_parameters] = STATE(3762),
    [sym_array_type] = STATE(1112),
    [sym_tuple_type] = STATE(1112),
    [sym_readonly_type] = STATE(1176),
    [sym_union_type] = STATE(1176),
    [sym_intersection_type] = STATE(1176),
    [sym_function_type] = STATE(1176),
    [sym_identifier] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_LBRACE] = ACTIONS(2481),
    [anon_sym_typeof] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2489),
    [anon_sym_QMARK] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2495),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_void] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2501),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2505),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [sym_null] = ACTIONS(2507),
    [sym_undefined] = ACTIONS(2507),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_infer] = ACTIONS(2511),
    [anon_sym_keyof] = ACTIONS(2513),
    [anon_sym_unknown] = ACTIONS(2499),
    [anon_sym_never] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2515),
  },
  [709] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2517),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [710] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2519),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [711] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2521),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [712] = {
    [sym_nested_identifier] = STATE(3922),
    [sym_string] = STATE(1107),
    [sym_formal_parameters] = STATE(4028),
    [sym_nested_type_identifier] = STATE(1063),
    [sym__type] = STATE(1201),
    [sym_constructor_type] = STATE(1201),
    [sym__primary_type] = STATE(1111),
    [sym_template_literal_type] = STATE(1112),
    [sym_infer_type] = STATE(1201),
    [sym_conditional_type] = STATE(1112),
    [sym_generic_type] = STATE(1112),
    [sym_type_predicate] = STATE(1202),
    [sym_type_query] = STATE(1112),
    [sym_index_type_query] = STATE(1112),
    [sym_lookup_type] = STATE(1112),
    [sym_literal_type] = STATE(1112),
    [sym__number] = STATE(1115),
    [sym_existential_type] = STATE(1112),
    [sym_flow_maybe_type] = STATE(1112),
    [sym_parenthesized_type] = STATE(1112),
    [sym_predefined_type] = STATE(1112),
    [sym_object_type] = STATE(1112),
    [sym_type_parameters] = STATE(3762),
    [sym_array_type] = STATE(1112),
    [sym_tuple_type] = STATE(1112),
    [sym_readonly_type] = STATE(1201),
    [sym_union_type] = STATE(1201),
    [sym_intersection_type] = STATE(1201),
    [sym_function_type] = STATE(1201),
    [sym_identifier] = ACTIONS(2477),
    [anon_sym_STAR] = ACTIONS(2479),
    [anon_sym_LBRACE] = ACTIONS(2481),
    [anon_sym_typeof] = ACTIONS(2483),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2489),
    [anon_sym_QMARK] = ACTIONS(2491),
    [anon_sym_AMP] = ACTIONS(2493),
    [anon_sym_PIPE] = ACTIONS(2495),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_void] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2501),
    [sym_number] = ACTIONS(2503),
    [sym_this] = ACTIONS(2505),
    [sym_true] = ACTIONS(2507),
    [sym_false] = ACTIONS(2507),
    [sym_null] = ACTIONS(2507),
    [sym_undefined] = ACTIONS(2507),
    [anon_sym_readonly] = ACTIONS(2509),
    [anon_sym_any] = ACTIONS(2499),
    [anon_sym_number] = ACTIONS(2499),
    [anon_sym_boolean] = ACTIONS(2499),
    [anon_sym_string] = ACTIONS(2499),
    [anon_sym_symbol] = ACTIONS(2499),
    [anon_sym_infer] = ACTIONS(2511),
    [anon_sym_keyof] = ACTIONS(2513),
    [anon_sym_unknown] = ACTIONS(2499),
    [anon_sym_never] = ACTIONS(2499),
    [anon_sym_object] = ACTIONS(2499),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2515),
  },
  [713] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_export] = ACTIONS(2525),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2523),
    [anon_sym_namespace] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_readonly] = ACTIONS(2533),
    [anon_sym_get] = ACTIONS(2535),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_declare] = ACTIONS(2523),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2539),
    [anon_sym_module] = ACTIONS(2523),
    [anon_sym_any] = ACTIONS(2523),
    [anon_sym_number] = ACTIONS(2523),
    [anon_sym_boolean] = ACTIONS(2523),
    [anon_sym_string] = ACTIONS(2523),
    [anon_sym_symbol] = ACTIONS(2523),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [714] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2541),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [715] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3479),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3479),
    [sym_pair] = STATE(3479),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3465),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_export] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2543),
    [anon_sym_namespace] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_readonly] = ACTIONS(2553),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2543),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_override] = ACTIONS(2559),
    [anon_sym_module] = ACTIONS(2543),
    [anon_sym_any] = ACTIONS(2543),
    [anon_sym_number] = ACTIONS(2543),
    [anon_sym_boolean] = ACTIONS(2543),
    [anon_sym_string] = ACTIONS(2543),
    [anon_sym_symbol] = ACTIONS(2543),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [716] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2561),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [717] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3281),
    [sym_constructor_type] = STATE(3281),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3281),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3281),
    [sym_union_type] = STATE(3281),
    [sym_intersection_type] = STATE(3281),
    [sym_function_type] = STATE(3281),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2563),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [718] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2565),
    [anon_sym_export] = ACTIONS(2567),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2565),
    [anon_sym_namespace] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2569),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_readonly] = ACTIONS(2575),
    [anon_sym_get] = ACTIONS(2577),
    [anon_sym_set] = ACTIONS(2577),
    [anon_sym_declare] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2579),
    [anon_sym_private] = ACTIONS(2579),
    [anon_sym_protected] = ACTIONS(2579),
    [anon_sym_override] = ACTIONS(2581),
    [anon_sym_module] = ACTIONS(2565),
    [anon_sym_any] = ACTIONS(2565),
    [anon_sym_number] = ACTIONS(2565),
    [anon_sym_boolean] = ACTIONS(2565),
    [anon_sym_string] = ACTIONS(2565),
    [anon_sym_symbol] = ACTIONS(2565),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [719] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [720] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3240),
    [sym_constructor_type] = STATE(3240),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3240),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3240),
    [sym_union_type] = STATE(3240),
    [sym_intersection_type] = STATE(3240),
    [sym_function_type] = STATE(3240),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2585),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [721] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [722] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2750),
    [sym_constructor_type] = STATE(2750),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2750),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2750),
    [sym_union_type] = STATE(2750),
    [sym_intersection_type] = STATE(2750),
    [sym_function_type] = STATE(2750),
    [sym_identifier] = ACTIONS(2589),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [sym_jsx_identifier] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [723] = {
    [sym_export_statement] = STATE(2829),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2829),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2829),
    [sym_property_signature] = STATE(2829),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2829),
    [sym_index_signature] = STATE(2829),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2405),
    [anon_sym_export] = ACTIONS(2407),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2405),
    [anon_sym_namespace] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2593),
    [anon_sym_RBRACE] = ACTIONS(2595),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2421),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_readonly] = ACTIONS(2431),
    [anon_sym_get] = ACTIONS(2433),
    [anon_sym_set] = ACTIONS(2433),
    [anon_sym_declare] = ACTIONS(2405),
    [anon_sym_public] = ACTIONS(2435),
    [anon_sym_private] = ACTIONS(2435),
    [anon_sym_protected] = ACTIONS(2435),
    [anon_sym_override] = ACTIONS(2437),
    [anon_sym_module] = ACTIONS(2405),
    [anon_sym_any] = ACTIONS(2405),
    [anon_sym_number] = ACTIONS(2405),
    [anon_sym_boolean] = ACTIONS(2405),
    [anon_sym_string] = ACTIONS(2405),
    [anon_sym_symbol] = ACTIONS(2405),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2599),
  },
  [724] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3267),
    [sym_constructor_type] = STATE(3267),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3267),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3267),
    [sym_union_type] = STATE(3267),
    [sym_intersection_type] = STATE(3267),
    [sym_function_type] = STATE(3267),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2601),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [725] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2603),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [726] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2605),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [727] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [728] = {
    [sym_nested_identifier] = STATE(4034),
    [sym_string] = STATE(1585),
    [sym_formal_parameters] = STATE(3860),
    [sym_nested_type_identifier] = STATE(1357),
    [sym__type] = STATE(1524),
    [sym_constructor_type] = STATE(1524),
    [sym__primary_type] = STATE(1576),
    [sym_template_literal_type] = STATE(1575),
    [sym_infer_type] = STATE(1524),
    [sym_conditional_type] = STATE(1575),
    [sym_generic_type] = STATE(1575),
    [sym_type_predicate] = STATE(1520),
    [sym_type_query] = STATE(1575),
    [sym_index_type_query] = STATE(1575),
    [sym_lookup_type] = STATE(1575),
    [sym_literal_type] = STATE(1575),
    [sym__number] = STATE(1574),
    [sym_existential_type] = STATE(1575),
    [sym_flow_maybe_type] = STATE(1575),
    [sym_parenthesized_type] = STATE(1575),
    [sym_predefined_type] = STATE(1575),
    [sym_object_type] = STATE(1575),
    [sym_type_parameters] = STATE(3677),
    [sym_array_type] = STATE(1575),
    [sym_tuple_type] = STATE(1575),
    [sym_readonly_type] = STATE(1524),
    [sym_union_type] = STATE(1524),
    [sym_intersection_type] = STATE(1524),
    [sym_function_type] = STATE(1524),
    [sym_identifier] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_QMARK] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_void] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2633),
    [sym_number] = ACTIONS(2635),
    [sym_this] = ACTIONS(2637),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [sym_null] = ACTIONS(2639),
    [sym_undefined] = ACTIONS(2639),
    [anon_sym_readonly] = ACTIONS(2641),
    [anon_sym_any] = ACTIONS(2631),
    [anon_sym_number] = ACTIONS(2631),
    [anon_sym_boolean] = ACTIONS(2631),
    [anon_sym_string] = ACTIONS(2631),
    [anon_sym_symbol] = ACTIONS(2631),
    [anon_sym_infer] = ACTIONS(2643),
    [anon_sym_keyof] = ACTIONS(2645),
    [anon_sym_unknown] = ACTIONS(2631),
    [anon_sym_never] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
  },
  [729] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2649),
    [anon_sym_export] = ACTIONS(2651),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2649),
    [anon_sym_namespace] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2655),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2657),
    [anon_sym_readonly] = ACTIONS(2659),
    [anon_sym_get] = ACTIONS(2661),
    [anon_sym_set] = ACTIONS(2661),
    [anon_sym_declare] = ACTIONS(2649),
    [anon_sym_public] = ACTIONS(2663),
    [anon_sym_private] = ACTIONS(2663),
    [anon_sym_protected] = ACTIONS(2663),
    [anon_sym_override] = ACTIONS(2665),
    [anon_sym_module] = ACTIONS(2649),
    [anon_sym_any] = ACTIONS(2649),
    [anon_sym_number] = ACTIONS(2649),
    [anon_sym_boolean] = ACTIONS(2649),
    [anon_sym_string] = ACTIONS(2649),
    [anon_sym_symbol] = ACTIONS(2649),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [730] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_export] = ACTIONS(2525),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2523),
    [anon_sym_namespace] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_readonly] = ACTIONS(2533),
    [anon_sym_get] = ACTIONS(2535),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_declare] = ACTIONS(2523),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2539),
    [anon_sym_module] = ACTIONS(2523),
    [anon_sym_any] = ACTIONS(2523),
    [anon_sym_number] = ACTIONS(2523),
    [anon_sym_boolean] = ACTIONS(2523),
    [anon_sym_string] = ACTIONS(2523),
    [anon_sym_symbol] = ACTIONS(2523),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [731] = {
    [sym_nested_identifier] = STATE(4034),
    [sym_string] = STATE(1585),
    [sym_formal_parameters] = STATE(3860),
    [sym_nested_type_identifier] = STATE(1357),
    [sym__type] = STATE(1621),
    [sym_constructor_type] = STATE(1621),
    [sym__primary_type] = STATE(1576),
    [sym_template_literal_type] = STATE(1575),
    [sym_infer_type] = STATE(1621),
    [sym_conditional_type] = STATE(1575),
    [sym_generic_type] = STATE(1575),
    [sym_type_predicate] = STATE(1620),
    [sym_type_query] = STATE(1575),
    [sym_index_type_query] = STATE(1575),
    [sym_lookup_type] = STATE(1575),
    [sym_literal_type] = STATE(1575),
    [sym__number] = STATE(1574),
    [sym_existential_type] = STATE(1575),
    [sym_flow_maybe_type] = STATE(1575),
    [sym_parenthesized_type] = STATE(1575),
    [sym_predefined_type] = STATE(1575),
    [sym_object_type] = STATE(1575),
    [sym_type_parameters] = STATE(3677),
    [sym_array_type] = STATE(1575),
    [sym_tuple_type] = STATE(1575),
    [sym_readonly_type] = STATE(1621),
    [sym_union_type] = STATE(1621),
    [sym_intersection_type] = STATE(1621),
    [sym_function_type] = STATE(1621),
    [sym_identifier] = ACTIONS(2609),
    [anon_sym_STAR] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(2613),
    [anon_sym_typeof] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2621),
    [anon_sym_QMARK] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2625),
    [anon_sym_PIPE] = ACTIONS(2627),
    [anon_sym_PLUS] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2629),
    [anon_sym_void] = ACTIONS(2631),
    [anon_sym_DQUOTE] = ACTIONS(79),
    [anon_sym_SQUOTE] = ACTIONS(81),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2633),
    [sym_number] = ACTIONS(2635),
    [sym_this] = ACTIONS(2637),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [sym_null] = ACTIONS(2639),
    [sym_undefined] = ACTIONS(2639),
    [anon_sym_readonly] = ACTIONS(2641),
    [anon_sym_any] = ACTIONS(2631),
    [anon_sym_number] = ACTIONS(2631),
    [anon_sym_boolean] = ACTIONS(2631),
    [anon_sym_string] = ACTIONS(2631),
    [anon_sym_symbol] = ACTIONS(2631),
    [anon_sym_infer] = ACTIONS(2643),
    [anon_sym_keyof] = ACTIONS(2645),
    [anon_sym_unknown] = ACTIONS(2631),
    [anon_sym_never] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(2631),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2647),
  },
  [732] = {
    [sym_nested_identifier] = STATE(3961),
    [sym_string] = STATE(2581),
    [sym_formal_parameters] = STATE(4109),
    [sym_nested_type_identifier] = STATE(2365),
    [sym__type] = STATE(2521),
    [sym_constructor_type] = STATE(2521),
    [sym__primary_type] = STATE(2576),
    [sym_template_literal_type] = STATE(2575),
    [sym_infer_type] = STATE(2521),
    [sym_conditional_type] = STATE(2575),
    [sym_generic_type] = STATE(2575),
    [sym_type_predicate] = STATE(2520),
    [sym_type_query] = STATE(2575),
    [sym_index_type_query] = STATE(2575),
    [sym_lookup_type] = STATE(2575),
    [sym_literal_type] = STATE(2575),
    [sym__number] = STATE(2574),
    [sym_existential_type] = STATE(2575),
    [sym_flow_maybe_type] = STATE(2575),
    [sym_parenthesized_type] = STATE(2575),
    [sym_predefined_type] = STATE(2575),
    [sym_object_type] = STATE(2575),
    [sym_type_parameters] = STATE(3745),
    [sym_array_type] = STATE(2575),
    [sym_tuple_type] = STATE(2575),
    [sym_readonly_type] = STATE(2521),
    [sym_union_type] = STATE(2521),
    [sym_intersection_type] = STATE(2521),
    [sym_function_type] = STATE(2521),
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_typeof] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_QMARK] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2379),
    [anon_sym_void] = ACTIONS(2381),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2387),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2391),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_undefined] = ACTIONS(2393),
    [anon_sym_readonly] = ACTIONS(2395),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_infer] = ACTIONS(2399),
    [anon_sym_keyof] = ACTIONS(2401),
    [anon_sym_unknown] = ACTIONS(2381),
    [anon_sym_never] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2403),
  },
  [733] = {
    [sym_nested_identifier] = STATE(3961),
    [sym_string] = STATE(2581),
    [sym_formal_parameters] = STATE(4109),
    [sym_nested_type_identifier] = STATE(2365),
    [sym__type] = STATE(2481),
    [sym_constructor_type] = STATE(2481),
    [sym__primary_type] = STATE(2576),
    [sym_template_literal_type] = STATE(2575),
    [sym_infer_type] = STATE(2481),
    [sym_conditional_type] = STATE(2575),
    [sym_generic_type] = STATE(2575),
    [sym_type_predicate] = STATE(2480),
    [sym_type_query] = STATE(2575),
    [sym_index_type_query] = STATE(2575),
    [sym_lookup_type] = STATE(2575),
    [sym_literal_type] = STATE(2575),
    [sym__number] = STATE(2574),
    [sym_existential_type] = STATE(2575),
    [sym_flow_maybe_type] = STATE(2575),
    [sym_parenthesized_type] = STATE(2575),
    [sym_predefined_type] = STATE(2575),
    [sym_object_type] = STATE(2575),
    [sym_type_parameters] = STATE(3745),
    [sym_array_type] = STATE(2575),
    [sym_tuple_type] = STATE(2575),
    [sym_readonly_type] = STATE(2481),
    [sym_union_type] = STATE(2481),
    [sym_intersection_type] = STATE(2481),
    [sym_function_type] = STATE(2481),
    [sym_identifier] = ACTIONS(2359),
    [anon_sym_STAR] = ACTIONS(2361),
    [anon_sym_LBRACE] = ACTIONS(2363),
    [anon_sym_typeof] = ACTIONS(2365),
    [anon_sym_LPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(2369),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2371),
    [anon_sym_QMARK] = ACTIONS(2373),
    [anon_sym_AMP] = ACTIONS(2375),
    [anon_sym_PIPE] = ACTIONS(2377),
    [anon_sym_PLUS] = ACTIONS(2379),
    [anon_sym_DASH] = ACTIONS(2379),
    [anon_sym_void] = ACTIONS(2381),
    [anon_sym_DQUOTE] = ACTIONS(2383),
    [anon_sym_SQUOTE] = ACTIONS(2385),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(2387),
    [sym_number] = ACTIONS(2389),
    [sym_this] = ACTIONS(2391),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_null] = ACTIONS(2393),
    [sym_undefined] = ACTIONS(2393),
    [anon_sym_readonly] = ACTIONS(2395),
    [anon_sym_any] = ACTIONS(2381),
    [anon_sym_number] = ACTIONS(2381),
    [anon_sym_boolean] = ACTIONS(2381),
    [anon_sym_string] = ACTIONS(2381),
    [anon_sym_symbol] = ACTIONS(2381),
    [anon_sym_infer] = ACTIONS(2399),
    [anon_sym_keyof] = ACTIONS(2401),
    [anon_sym_unknown] = ACTIONS(2381),
    [anon_sym_never] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(2381),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2403),
  },
  [734] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4033),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2867),
    [sym_constructor_type] = STATE(2867),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2867),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_predicate] = STATE(2180),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3690),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2867),
    [sym_union_type] = STATE(2867),
    [sym_intersection_type] = STATE(2867),
    [sym_function_type] = STATE(2867),
    [sym_identifier] = ACTIONS(2447),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(2449),
    [anon_sym_typeof] = ACTIONS(2451),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_QMARK] = ACTIONS(2455),
    [anon_sym_AMP] = ACTIONS(2457),
    [anon_sym_PIPE] = ACTIONS(2459),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(2461),
    [anon_sym_SQUOTE] = ACTIONS(2463),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(2465),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(2467),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(2469),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(2471),
  },
  [735] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3580),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3580),
    [sym_pair] = STATE(3580),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3489),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2523),
    [anon_sym_export] = ACTIONS(2525),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2523),
    [anon_sym_namespace] = ACTIONS(2523),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2529),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2531),
    [anon_sym_readonly] = ACTIONS(2533),
    [anon_sym_get] = ACTIONS(2535),
    [anon_sym_set] = ACTIONS(2535),
    [anon_sym_declare] = ACTIONS(2523),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_override] = ACTIONS(2539),
    [anon_sym_module] = ACTIONS(2523),
    [anon_sym_any] = ACTIONS(2523),
    [anon_sym_number] = ACTIONS(2523),
    [anon_sym_boolean] = ACTIONS(2523),
    [anon_sym_string] = ACTIONS(2523),
    [anon_sym_symbol] = ACTIONS(2523),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [736] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2852),
    [sym_constructor_type] = STATE(2852),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2852),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2852),
    [sym_union_type] = STATE(2852),
    [sym_intersection_type] = STATE(2852),
    [sym_function_type] = STATE(2852),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_GT] = ACTIONS(2669),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [737] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(2221),
    [sym_constructor_type] = STATE(2221),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(2221),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_predicate] = STATE(2150),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(2221),
    [sym_union_type] = STATE(2221),
    [sym_intersection_type] = STATE(2221),
    [sym_function_type] = STATE(2221),
    [sym_identifier] = ACTIONS(2353),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(2355),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
  [738] = {
    [sym_export_statement] = STATE(2885),
    [sym_object_pattern] = STATE(4103),
    [sym_object_assignment_pattern] = STATE(3487),
    [sym_array_pattern] = STATE(4103),
    [sym__call_signature] = STATE(3016),
    [sym__destructuring_pattern] = STATE(4103),
    [sym_spread_element] = STATE(3479),
    [sym_string] = STATE(2287),
    [sym_decorator] = STATE(2090),
    [sym_formal_parameters] = STATE(2430),
    [sym_rest_pattern] = STATE(3487),
    [sym_method_definition] = STATE(3479),
    [sym_pair] = STATE(3479),
    [sym_pair_pattern] = STATE(3487),
    [sym__property_name] = STATE(2287),
    [sym_computed_property_name] = STATE(2287),
    [sym_method_signature] = STATE(2885),
    [sym_accessibility_modifier] = STATE(2033),
    [sym_override_modifier] = STATE(2041),
    [sym_call_signature] = STATE(2885),
    [sym_property_signature] = STATE(2885),
    [sym_type_parameters] = STATE(3689),
    [sym_construct_signature] = STATE(2885),
    [sym_index_signature] = STATE(2885),
    [aux_sym_export_statement_repeat1] = STATE(3301),
    [aux_sym_object_repeat1] = STATE(3465),
    [aux_sym_object_pattern_repeat1] = STATE(3461),
    [sym_identifier] = ACTIONS(2543),
    [anon_sym_export] = ACTIONS(2545),
    [anon_sym_STAR] = ACTIONS(2409),
    [anon_sym_type] = ACTIONS(2543),
    [anon_sym_namespace] = ACTIONS(2543),
    [anon_sym_LBRACE] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2671),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_SEMI] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_async] = ACTIONS(2549),
    [anon_sym_new] = ACTIONS(2423),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(123),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_SQUOTE] = ACTIONS(1111),
    [sym_comment] = ACTIONS(3),
    [sym_number] = ACTIONS(2427),
    [sym_private_property_identifier] = ACTIONS(2427),
    [anon_sym_AT] = ACTIONS(91),
    [anon_sym_static] = ACTIONS(2551),
    [anon_sym_readonly] = ACTIONS(2553),
    [anon_sym_get] = ACTIONS(2555),
    [anon_sym_set] = ACTIONS(2555),
    [anon_sym_declare] = ACTIONS(2543),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_override] = ACTIONS(2559),
    [anon_sym_module] = ACTIONS(2543),
    [anon_sym_any] = ACTIONS(2543),
    [anon_sym_number] = ACTIONS(2543),
    [anon_sym_boolean] = ACTIONS(2543),
    [anon_sym_string] = ACTIONS(2543),
    [anon_sym_symbol] = ACTIONS(2543),
    [anon_sym_PIPE_RBRACE] = ACTIONS(2439),
  },
  [739] = {
    [sym_nested_identifier] = STATE(4074),
    [sym_string] = STATE(2162),
    [sym_formal_parameters] = STATE(4073),
    [sym_nested_type_identifier] = STATE(2136),
    [sym__type] = STATE(3315),
    [sym_constructor_type] = STATE(3315),
    [sym__primary_type] = STATE(2159),
    [sym_template_literal_type] = STATE(2157),
    [sym_infer_type] = STATE(3315),
    [sym_conditional_type] = STATE(2157),
    [sym_generic_type] = STATE(2157),
    [sym_type_query] = STATE(2157),
    [sym_index_type_query] = STATE(2157),
    [sym_lookup_type] = STATE(2157),
    [sym_literal_type] = STATE(2157),
    [sym__number] = STATE(2147),
    [sym_existential_type] = STATE(2157),
    [sym_flow_maybe_type] = STATE(2157),
    [sym_parenthesized_type] = STATE(2157),
    [sym_predefined_type] = STATE(2157),
    [sym_object_type] = STATE(2157),
    [sym_type_parameters] = STATE(3645),
    [sym_array_type] = STATE(2157),
    [sym_tuple_type] = STATE(2157),
    [sym_readonly_type] = STATE(3315),
    [sym_union_type] = STATE(3315),
    [sym_intersection_type] = STATE(3315),
    [sym_function_type] = STATE(3315),
    [sym_identifier] = ACTIONS(1063),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_typeof] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_RBRACK] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_void] = ACTIONS(529),
    [anon_sym_DQUOTE] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(937),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(939),
    [sym_number] = ACTIONS(941),
    [sym_this] = ACTIONS(1071),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_null] = ACTIONS(945),
    [sym_undefined] = ACTIONS(945),
    [anon_sym_readonly] = ACTIONS(1073),
    [anon_sym_any] = ACTIONS(529),
    [anon_sym_number] = ACTIONS(529),
    [anon_sym_boolean] = ACTIONS(529),
    [anon_sym_string] = ACTIONS(529),
    [anon_sym_symbol] = ACTIONS(529),
    [anon_sym_infer] = ACTIONS(525),
    [anon_sym_keyof] = ACTIONS(527),
    [anon_sym_unknown] = ACTIONS(529),
    [anon_sym_never] = ACTIONS(529),
    [anon_sym_object] = ACTIONS(529),
    [anon_sym_LBRACE_PIPE] = ACTIONS(531),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2162), 1,
      sym_string,
    STATE(2165), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3577), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [131] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2220), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [262] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1432), 1,
      sym__primary_type,
    STATE(1574), 1,
      sym__number,
    STATE(1585), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3561), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [393] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3257), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [524] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2222), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [655] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3140), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [786] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2961), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [917] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2395), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1048] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2969), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1179] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2855), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1310] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3239), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1441] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2729), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1572] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2166), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1703] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3242), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1834] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2737), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [1965] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3278), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2096] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3004), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2227] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3276), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2358] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3072), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2489] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2882), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2620] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2154), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2751] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1105), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [2882] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3230), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3013] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1615), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3144] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1426), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3275] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3206), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3406] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1421), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3537] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1418), 1,
      sym__primary_type,
    STATE(1574), 1,
      sym__number,
    STATE(1585), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3561), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3668] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [3757] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2154), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [3888] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2864), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4019] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2445), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4150] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2866), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4281] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2181), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4412] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3020), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4543] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2908), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4674] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3217), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4805] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2216), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [4936] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2181), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5067] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2852), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5198] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1617), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5329] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1565), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5460] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1534), 1,
      sym_template_literal_type,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1539), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 13,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5593] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2162), 1,
      sym_string,
    STATE(3179), 1,
      sym__primary_type,
    STATE(3233), 1,
      sym_infer_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3338), 6,
      sym__type,
      sym_constructor_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5726] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2816), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5857] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2815), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [5988] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2453), 1,
      anon_sym_new,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2457), 1,
      anon_sym_AMP,
    ACTIONS(2459), 1,
      anon_sym_PIPE,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2467), 1,
      anon_sym_readonly,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3690), 1,
      sym_type_parameters,
    STATE(4033), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2179), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6119] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2449), 1,
      anon_sym_LBRACE,
    ACTIONS(2451), 1,
      anon_sym_typeof,
    ACTIONS(2455), 1,
      anon_sym_QMARK,
    ACTIONS(2461), 1,
      anon_sym_DQUOTE,
    ACTIONS(2463), 1,
      anon_sym_SQUOTE,
    ACTIONS(2469), 1,
      anon_sym_keyof,
    ACTIONS(2471), 1,
      anon_sym_LBRACE_PIPE,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2162), 1,
      sym_string,
    STATE(2182), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3577), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6250] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2513), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6381] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3243), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6512] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3003), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6643] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2768), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6774] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2494), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [6905] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2833), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7036] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1595), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7167] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1093), 1,
      sym_template_literal_type,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1094), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 13,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7300] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3258), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7431] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2920), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7562] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1453), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7693] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2840), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7824] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2218), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [7955] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3320), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8086] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2750), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8217] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2606), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8348] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2604), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8479] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3306), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8610] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3229), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8741] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1431), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [8872] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3268), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9003] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3319), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9134] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2799), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9265] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2386), 1,
      sym_string,
    STATE(2391), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3565), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9396] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2366), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9527] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2393), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9658] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2410), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9789] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2386), 1,
      sym_string,
    STATE(2415), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3565), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [9920] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2463), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10051] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2467), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10182] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2485), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10313] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2166), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10444] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2373), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10575] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2374), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10706] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3286), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10837] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2517), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [10968] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2519), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11099] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2611), 1,
      anon_sym_STAR,
    ACTIONS(2613), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_typeof,
    ACTIONS(2617), 1,
      anon_sym_LPAREN,
    ACTIONS(2619), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_new,
    ACTIONS(2623), 1,
      anon_sym_QMARK,
    ACTIONS(2625), 1,
      anon_sym_AMP,
    ACTIONS(2627), 1,
      anon_sym_PIPE,
    ACTIONS(2633), 1,
      anon_sym_BQUOTE,
    ACTIONS(2635), 1,
      sym_number,
    ACTIONS(2641), 1,
      anon_sym_readonly,
    ACTIONS(2643), 1,
      anon_sym_infer,
    ACTIONS(2645), 1,
      anon_sym_keyof,
    ACTIONS(2647), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      sym_this,
    STATE(1357), 1,
      sym_nested_type_identifier,
    STATE(1574), 1,
      sym__number,
    STATE(1576), 1,
      sym__primary_type,
    STATE(1585), 1,
      sym_string,
    STATE(3677), 1,
      sym_type_parameters,
    STATE(3860), 1,
      sym_formal_parameters,
    STATE(4034), 1,
      sym_nested_identifier,
    ACTIONS(2629), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2639), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1434), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11230] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2548), 1,
      sym__primary_type,
    STATE(2574), 1,
      sym__number,
    STATE(2581), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3575), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11361] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1199), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11492] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2398), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11623] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2418), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11754] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(591), 1,
      anon_sym_STAR,
    ACTIONS(603), 1,
      anon_sym_QMARK,
    ACTIONS(605), 1,
      anon_sym_AMP,
    ACTIONS(607), 1,
      anon_sym_PIPE,
    ACTIONS(627), 1,
      anon_sym_infer,
    ACTIONS(629), 1,
      anon_sym_keyof,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1087), 1,
      sym_identifier,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(1093), 1,
      anon_sym_typeof,
    ACTIONS(1095), 1,
      anon_sym_LPAREN,
    ACTIONS(1097), 1,
      anon_sym_LBRACK,
    ACTIONS(1099), 1,
      anon_sym_new,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1113), 1,
      anon_sym_BQUOTE,
    ACTIONS(1115), 1,
      sym_number,
    ACTIONS(1117), 1,
      sym_this,
    ACTIONS(1121), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2274), 1,
      sym_nested_type_identifier,
    STATE(2378), 1,
      sym__number,
    STATE(2381), 1,
      sym__primary_type,
    STATE(2386), 1,
      sym_string,
    STATE(3840), 1,
      sym_type_parameters,
    STATE(3847), 1,
      sym_nested_identifier,
    STATE(3947), 1,
      sym_formal_parameters,
    ACTIONS(1775), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1119), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2409), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(631), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2379), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [11885] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2179), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12016] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1138), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12147] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1065), 1,
      anon_sym_EQ,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [12236] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3313), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12367] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3282), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12498] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3307), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12629] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1115), 1,
      sym__number,
    STATE(1147), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3571), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12760] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2162), 1,
      sym_string,
    STATE(2182), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3338), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [12891] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1149), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13022] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1150), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1114), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13284] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1158), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13415] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1115), 1,
      sym__number,
    STATE(1160), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3571), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13546] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2162), 1,
      sym_string,
    STATE(2165), 1,
      sym__primary_type,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3338), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13677] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 1,
      anon_sym_STAR,
    ACTIONS(491), 1,
      anon_sym_QMARK,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(527), 1,
      anon_sym_keyof,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(911), 1,
      anon_sym_typeof,
    ACTIONS(913), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(939), 1,
      anon_sym_BQUOTE,
    ACTIONS(941), 1,
      sym_number,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(1069), 1,
      anon_sym_LBRACK,
    ACTIONS(1071), 1,
      sym_this,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    STATE(2136), 1,
      sym_nested_type_identifier,
    STATE(2147), 1,
      sym__number,
    STATE(2159), 1,
      sym__primary_type,
    STATE(2162), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(4073), 1,
      sym_formal_parameters,
    STATE(4074), 1,
      sym_nested_identifier,
    ACTIONS(1619), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(945), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2217), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(529), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2157), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13808] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1179), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [13939] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym_AMP,
    ACTIONS(495), 1,
      anon_sym_PIPE,
    ACTIONS(525), 1,
      anon_sym_infer,
    ACTIONS(923), 1,
      anon_sym_new,
    ACTIONS(1073), 1,
      anon_sym_readonly,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2557), 1,
      sym__primary_type,
    STATE(2574), 1,
      sym__number,
    STATE(2581), 1,
      sym_string,
    STATE(3645), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4073), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(3575), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14070] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2556), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14201] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2479), 1,
      anon_sym_STAR,
    ACTIONS(2481), 1,
      anon_sym_LBRACE,
    ACTIONS(2483), 1,
      anon_sym_typeof,
    ACTIONS(2485), 1,
      anon_sym_LPAREN,
    ACTIONS(2487), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      anon_sym_new,
    ACTIONS(2491), 1,
      anon_sym_QMARK,
    ACTIONS(2493), 1,
      anon_sym_AMP,
    ACTIONS(2495), 1,
      anon_sym_PIPE,
    ACTIONS(2501), 1,
      anon_sym_BQUOTE,
    ACTIONS(2503), 1,
      sym_number,
    ACTIONS(2509), 1,
      anon_sym_readonly,
    ACTIONS(2511), 1,
      anon_sym_infer,
    ACTIONS(2513), 1,
      anon_sym_keyof,
    ACTIONS(2515), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2679), 1,
      sym_identifier,
    ACTIONS(2681), 1,
      sym_this,
    STATE(1063), 1,
      sym_nested_type_identifier,
    STATE(1107), 1,
      sym_string,
    STATE(1111), 1,
      sym__primary_type,
    STATE(1115), 1,
      sym__number,
    STATE(3762), 1,
      sym_type_parameters,
    STATE(3922), 1,
      sym_nested_identifier,
    STATE(4028), 1,
      sym_formal_parameters,
    ACTIONS(2497), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2507), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(1180), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2499), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(1112), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14332] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2554), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14463] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2361), 1,
      anon_sym_STAR,
    ACTIONS(2363), 1,
      anon_sym_LBRACE,
    ACTIONS(2365), 1,
      anon_sym_typeof,
    ACTIONS(2367), 1,
      anon_sym_LPAREN,
    ACTIONS(2369), 1,
      anon_sym_LBRACK,
    ACTIONS(2371), 1,
      anon_sym_new,
    ACTIONS(2373), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_AMP,
    ACTIONS(2377), 1,
      anon_sym_PIPE,
    ACTIONS(2383), 1,
      anon_sym_DQUOTE,
    ACTIONS(2385), 1,
      anon_sym_SQUOTE,
    ACTIONS(2387), 1,
      anon_sym_BQUOTE,
    ACTIONS(2389), 1,
      sym_number,
    ACTIONS(2395), 1,
      anon_sym_readonly,
    ACTIONS(2399), 1,
      anon_sym_infer,
    ACTIONS(2401), 1,
      anon_sym_keyof,
    ACTIONS(2403), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(2687), 1,
      sym_this,
    STATE(2365), 1,
      sym_nested_type_identifier,
    STATE(2574), 1,
      sym__number,
    STATE(2576), 1,
      sym__primary_type,
    STATE(2581), 1,
      sym_string,
    STATE(3745), 1,
      sym_type_parameters,
    STATE(3961), 1,
      sym_nested_identifier,
    STATE(4109), 1,
      sym_formal_parameters,
    ACTIONS(2379), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2393), 4,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
    STATE(2551), 7,
      sym__type,
      sym_constructor_type,
      sym_infer_type,
      sym_readonly_type,
      sym_union_type,
      sym_intersection_type,
      sym_function_type,
    ACTIONS(2381), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
    STATE(2575), 14,
      sym_template_literal_type,
      sym_conditional_type,
      sym_generic_type,
      sym_type_query,
      sym_index_type_query,
      sym_lookup_type,
      sym_literal_type,
      sym_existential_type,
      sym_flow_maybe_type,
      sym_parenthesized_type,
      sym_predefined_type,
      sym_object_type,
      sym_array_type,
      sym_tuple_type,
  [14594] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1635), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      sym_identifier,
    STATE(1058), 1,
      sym_nested_identifier,
    STATE(1061), 1,
      sym_string,
    STATE(1270), 1,
      sym__module,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14684] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14772] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1645), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      sym_identifier,
    ACTIONS(2343), 1,
      anon_sym_DQUOTE,
    ACTIONS(2345), 1,
      anon_sym_SQUOTE,
    STATE(102), 1,
      sym_nested_identifier,
    STATE(103), 1,
      sym_string,
    STATE(132), 1,
      sym__module,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14862] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(2689), 1,
      sym_identifier,
    STATE(1058), 1,
      sym_nested_identifier,
    STATE(1061), 1,
      sym_string,
    STATE(1270), 1,
      sym__module,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14950] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1643), 1,
      anon_sym_COLON,
    ACTIONS(2689), 1,
      sym_identifier,
    STATE(1058), 1,
      sym_nested_identifier,
    STATE(1061), 1,
      sym_string,
    STATE(1270), 1,
      sym__module,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15040] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1643), 1,
      anon_sym_COLON,
    ACTIONS(2339), 1,
      sym_identifier,
    STATE(493), 1,
      sym_nested_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15130] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1645), 1,
      anon_sym_COLON,
    ACTIONS(2339), 1,
      sym_identifier,
    STATE(493), 1,
      sym_nested_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15220] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1635), 1,
      anon_sym_COLON,
    ACTIONS(2691), 1,
      sym_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
    STATE(3264), 1,
      sym_nested_identifier,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15310] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1817), 1,
      anon_sym_in,
    ACTIONS(1820), 1,
      anon_sym_of,
    ACTIONS(2689), 1,
      sym_identifier,
    STATE(1058), 1,
      sym_nested_identifier,
    STATE(1061), 1,
      sym_string,
    STATE(1270), 1,
      sym__module,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15402] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [15489] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1792), 1,
      anon_sym_QMARK,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(908), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(921), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15580] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(908), 1,
      anon_sym_RBRACK,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1759), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15673] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1123), 1,
      anon_sym_EQ,
    ACTIONS(1125), 1,
      anon_sym_EQ_GT,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 25,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [15760] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(908), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(921), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15849] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1853), 1,
      anon_sym_COLON,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15937] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16025] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2409), 1,
      anon_sym_STAR,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2695), 1,
      anon_sym_export,
    ACTIONS(2700), 1,
      anon_sym_async,
    ACTIONS(2702), 1,
      anon_sym_static,
    ACTIONS(2704), 1,
      anon_sym_readonly,
    ACTIONS(2710), 1,
      anon_sym_override,
    STATE(2033), 1,
      sym_accessibility_modifier,
    STATE(2041), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2427), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2697), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2706), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2708), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3629), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3630), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2838), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2693), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16155] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2341), 1,
      sym_identifier,
    ACTIONS(2343), 1,
      anon_sym_DQUOTE,
    ACTIONS(2345), 1,
      anon_sym_SQUOTE,
    STATE(102), 1,
      sym_nested_identifier,
    STATE(103), 1,
      sym_string,
    STATE(132), 1,
      sym__module,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16241] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_DQUOTE,
    ACTIONS(81), 1,
      anon_sym_SQUOTE,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2689), 1,
      sym_identifier,
    STATE(1058), 1,
      sym_nested_identifier,
    STATE(1061), 1,
      sym_string,
    STATE(1270), 1,
      sym__module,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16327] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_SEMI,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2439), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2714), 1,
      anon_sym_export,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_COMMA,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    ACTIONS(2722), 1,
      anon_sym_async,
    ACTIONS(2726), 1,
      anon_sym_static,
    ACTIONS(2728), 1,
      anon_sym_readonly,
    ACTIONS(2734), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2724), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2730), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2732), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2292), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2885), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2712), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16463] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2691), 1,
      sym_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
    STATE(3264), 1,
      sym_nested_identifier,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16549] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 13,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16635] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2597), 1,
      anon_sym_SEMI,
    ACTIONS(2599), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2714), 1,
      anon_sym_export,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2722), 1,
      anon_sym_async,
    ACTIONS(2726), 1,
      anon_sym_static,
    ACTIONS(2728), 1,
      anon_sym_readonly,
    ACTIONS(2734), 1,
      anon_sym_override,
    ACTIONS(2736), 1,
      anon_sym_COMMA,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2724), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2730), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2732), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2292), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2829), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2712), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16771] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [16857] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2409), 1,
      anon_sym_STAR,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2695), 1,
      anon_sym_export,
    ACTIONS(2700), 1,
      anon_sym_async,
    ACTIONS(2702), 1,
      anon_sym_static,
    ACTIONS(2704), 1,
      anon_sym_readonly,
    ACTIONS(2710), 1,
      anon_sym_override,
    STATE(2033), 1,
      sym_accessibility_modifier,
    STATE(2041), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2427), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2697), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2706), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2708), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3629), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3630), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2819), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2693), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [16987] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2740), 1,
      sym_identifier,
    STATE(2596), 1,
      sym_nested_identifier,
    STATE(2713), 1,
      sym_string,
    STATE(2932), 1,
      sym__module,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17073] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 13,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17159] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    ACTIONS(2742), 1,
      sym_identifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1500), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17247] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_SEMI,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2439), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2714), 1,
      anon_sym_export,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_async,
    ACTIONS(2726), 1,
      anon_sym_static,
    ACTIONS(2728), 1,
      anon_sym_readonly,
    ACTIONS(2734), 1,
      anon_sym_override,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2724), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2730), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2732), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2292), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2885), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2712), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17383] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2417), 1,
      anon_sym_SEMI,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2439), 1,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2714), 1,
      anon_sym_export,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2718), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_async,
    ACTIONS(2726), 1,
      anon_sym_static,
    ACTIONS(2728), 1,
      anon_sym_readonly,
    ACTIONS(2734), 1,
      anon_sym_override,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2724), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2730), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2732), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2292), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2885), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2712), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [17519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(908), 1,
      anon_sym_RBRACK,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1759), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17609] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    ACTIONS(2742), 1,
      sym_identifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1500), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17697] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    ACTIONS(2742), 1,
      sym_identifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1500), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17785] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2339), 1,
      sym_identifier,
    STATE(493), 1,
      sym_nested_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2750), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [17938] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2762), 1,
      anon_sym_LBRACK,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2768), 1,
      anon_sym_QMARK_DOT,
    STATE(2297), 1,
      sym_arguments,
    ACTIONS(2772), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2758), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2756), 9,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18025] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(2774), 1,
      anon_sym_EQ,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2779), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2756), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18110] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1500), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18195] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1500), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18280] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(1129), 1,
      anon_sym_EQ_GT,
    ACTIONS(1817), 1,
      anon_sym_in,
    ACTIONS(1820), 1,
      anon_sym_of,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 23,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2313), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2786), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18503] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(2774), 1,
      anon_sym_EQ,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2779), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2756), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18588] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1494), 1,
      anon_sym_LPAREN,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1649), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1500), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2790), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [18740] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_COLON,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(2774), 1,
      anon_sym_EQ,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2779), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2756), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18825] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2772), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [18912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_DQUOTE,
    ACTIONS(507), 1,
      anon_sym_SQUOTE,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(1129), 1,
      anon_sym_EQ_GT,
    ACTIONS(2683), 1,
      sym_identifier,
    STATE(1078), 1,
      sym_nested_identifier,
    STATE(1081), 1,
      sym_string,
    STATE(1309), 1,
      sym__module,
    ACTIONS(921), 12,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2802), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [19064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2329), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [19131] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2804), 1,
      anon_sym_EQ,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2816), 1,
      anon_sym_LT,
    ACTIONS(2819), 1,
      anon_sym_DOT,
    STATE(2405), 1,
      sym_type_arguments,
    ACTIONS(2807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2822), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2811), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2756), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2827), 36,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [19285] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2811), 1,
      anon_sym_extends,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2813), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2822), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19370] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2772), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 12,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19456] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2804), 1,
      anon_sym_EQ,
    ACTIONS(2811), 1,
      anon_sym_extends,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(2839), 1,
      anon_sym_QMARK,
    STATE(2176), 1,
      sym_type_arguments,
    STATE(3740), 1,
      sym_type_annotation,
    ACTIONS(2807), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2822), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19618] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1065), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_extends,
    ACTIONS(2845), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2848), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19696] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(2845), 1,
      anon_sym_LBRACK,
    ACTIONS(2848), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2851), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1221), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(921), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19776] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2811), 1,
      anon_sym_extends,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2813), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2822), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19860] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2772), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2758), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_extends,
    ACTIONS(2756), 11,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [19946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1065), 1,
      anon_sym_EQ,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20088] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_extends,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2813), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2822), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20171] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2811), 1,
      anon_sym_extends,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2859), 1,
      anon_sym_EQ,
    ACTIONS(2865), 1,
      anon_sym_COLON,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2822), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2861), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2756), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20258] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2869), 1,
      anon_sym_export,
    ACTIONS(2873), 1,
      anon_sym_async,
    ACTIONS(2875), 1,
      anon_sym_static,
    ACTIONS(2877), 1,
      anon_sym_readonly,
    ACTIONS(2883), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2724), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2879), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2881), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2292), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3629), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2819), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2867), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [20383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20454] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2419), 1,
      anon_sym_LBRACK,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2869), 1,
      anon_sym_export,
    ACTIONS(2873), 1,
      anon_sym_async,
    ACTIONS(2875), 1,
      anon_sym_static,
    ACTIONS(2877), 1,
      anon_sym_readonly,
    ACTIONS(2883), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2724), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2879), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2881), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2292), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3629), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    STATE(2838), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2867), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [20579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1645), 1,
      anon_sym_COLON,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20654] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2804), 1,
      anon_sym_EQ,
    ACTIONS(2807), 1,
      anon_sym_RPAREN,
    ACTIONS(2811), 1,
      anon_sym_extends,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2888), 1,
      anon_sym_QMARK,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2822), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2885), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2756), 11,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20743] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2822), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20826] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(2897), 1,
      anon_sym_EQ_GT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2772), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 11,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20911] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1221), 1,
      anon_sym_extends,
    ACTIONS(2845), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2848), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [20988] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2772), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 11,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21073] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1643), 1,
      anon_sym_COLON,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21219] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(2897), 1,
      anon_sym_EQ_GT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2822), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 13,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21302] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2772), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 11,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21387] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1635), 1,
      anon_sym_COLON,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2790), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21596] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2772), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 9,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2313), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [21884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2750), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(2845), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2848), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 14,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2786), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22088] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 1,
      anon_sym_COLON,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22230] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1221), 1,
      anon_sym_extends,
    ACTIONS(1792), 1,
      anon_sym_QMARK,
    ACTIONS(2845), 1,
      anon_sym_LBRACK,
    ACTIONS(2851), 1,
      anon_sym_RPAREN,
    ACTIONS(908), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2848), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22312] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2756), 15,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2802), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2811), 1,
      anon_sym_extends,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2813), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(2822), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1645), 1,
      anon_sym_COLON,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22670] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2772), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2758), 3,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2756), 9,
      anon_sym_as,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22754] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      anon_sym_LBRACK,
    ACTIONS(2829), 1,
      anon_sym_LT,
    ACTIONS(2832), 1,
      anon_sym_DOT,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2901), 1,
      anon_sym_EQ_GT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2822), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 18,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2329), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [22900] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1643), 1,
      anon_sym_COLON,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [22972] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2903), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(2756), 15,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23044] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2901), 1,
      anon_sym_EQ_GT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2772), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2756), 10,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23128] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1635), 1,
      anon_sym_COLON,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_EQ,
    ACTIONS(1125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1221), 1,
      anon_sym_extends,
    ACTIONS(2845), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(2848), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1635), 1,
      anon_sym_COLON,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23348] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_EQ_GT,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2905), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_of,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1817), 1,
      anon_sym_in,
    ACTIONS(2910), 1,
      anon_sym_of,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2825), 23,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(2827), 33,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23560] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 1,
      anon_sym_EQ,
    ACTIONS(1077), 1,
      anon_sym_EQ_GT,
    ACTIONS(1643), 1,
      anon_sym_COLON,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2845), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2848), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23708] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 1,
      anon_sym_EQ,
    ACTIONS(1125), 1,
      anon_sym_EQ_GT,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23917] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [23984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1065), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_extends,
    ACTIONS(2848), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2845), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(921), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2905), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_of,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24130] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1065), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_extends,
    ACTIONS(2845), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(2848), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 13,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 20,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_RBRACK,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1759), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(921), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24280] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2804), 1,
      anon_sym_EQ,
    ACTIONS(2885), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2857), 1,
      anon_sym_EQ_GT,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24420] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(908), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(921), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2804), 1,
      anon_sym_EQ,
    ACTIONS(2888), 1,
      anon_sym_QMARK,
    ACTIONS(2885), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24564] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACK,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    ACTIONS(2912), 1,
      anon_sym_EQ,
    ACTIONS(2915), 1,
      anon_sym_COMMA,
    ACTIONS(2917), 1,
      anon_sym_in,
    ACTIONS(2919), 1,
      anon_sym_COLON,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1792), 1,
      anon_sym_QMARK,
    ACTIONS(908), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(921), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24781] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(919), 1,
      anon_sym_EQ_GT,
    ACTIONS(1221), 1,
      anon_sym_extends,
    ACTIONS(2845), 1,
      anon_sym_LBRACK,
    ACTIONS(2851), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2848), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 12,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [24858] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(2921), 1,
      sym_identifier,
    ACTIONS(921), 13,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 24,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [24929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(1129), 1,
      anon_sym_EQ_GT,
    ACTIONS(2845), 1,
      anon_sym_LBRACK,
    ACTIONS(1221), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(2848), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(921), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 19,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(921), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25141] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2923), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    ACTIONS(2917), 1,
      anon_sym_in,
    ACTIONS(2926), 1,
      anon_sym_COLON,
    ACTIONS(2756), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25283] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2885), 1,
      anon_sym_RBRACK,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    ACTIONS(2912), 1,
      anon_sym_EQ,
    ACTIONS(2915), 1,
      anon_sym_COMMA,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2897), 1,
      anon_sym_EQ_GT,
    ACTIONS(2756), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1853), 1,
      anon_sym_COLON,
    ACTIONS(921), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(2897), 1,
      anon_sym_EQ_GT,
    ACTIONS(2756), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 1,
      anon_sym_EQ,
    ACTIONS(1085), 1,
      anon_sym_EQ_GT,
    ACTIONS(921), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(921), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(921), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2756), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25831] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    ACTIONS(2917), 1,
      anon_sym_in,
    ACTIONS(2919), 1,
      anon_sym_COLON,
    ACTIONS(2756), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25903] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 1,
      anon_sym_EQ,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1843), 1,
      anon_sym_COLON,
    ACTIONS(921), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [25973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    ACTIONS(2756), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26041] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(908), 1,
      anon_sym_RBRACK,
    ACTIONS(1081), 1,
      anon_sym_EQ_GT,
    ACTIONS(1759), 1,
      anon_sym_COMMA,
    ACTIONS(1840), 1,
      anon_sym_EQ,
    ACTIONS(921), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_EQ_GT,
    ACTIONS(2859), 1,
      anon_sym_EQ,
    ACTIONS(2923), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(2893), 1,
      anon_sym_EQ_GT,
    ACTIONS(2756), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(1129), 1,
      anon_sym_EQ_GT,
    ACTIONS(921), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26318] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2901), 1,
      anon_sym_EQ_GT,
    ACTIONS(2905), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_of,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2901), 1,
      anon_sym_EQ_GT,
    ACTIONS(2756), 14,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(2756), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26521] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 1,
      anon_sym_EQ,
    ACTIONS(1129), 1,
      anon_sym_EQ_GT,
    ACTIONS(1817), 1,
      anon_sym_in,
    ACTIONS(2910), 1,
      anon_sym_of,
    ACTIONS(921), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(925), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(904), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(2756), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 22,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2905), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_of,
    ACTIONS(2756), 13,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(2770), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(2752), 21,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [26725] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2932), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2934), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2767), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26838] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2952), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2954), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2796), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [26951] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2956), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2958), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2736), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27064] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2417), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2439), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2885), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27177] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2597), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2599), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2829), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27290] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2960), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(2962), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2883), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [27403] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(2982), 1,
      anon_sym_module,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27521] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2982), 1,
      anon_sym_module,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27639] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2982), 1,
      anon_sym_module,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27757] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2982), 1,
      anon_sym_module,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27875] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2982), 1,
      anon_sym_module,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [27993] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2996), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28102] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2998), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28211] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3000), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28320] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2982), 1,
      anon_sym_module,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [28435] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3008), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28544] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3010), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28653] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3012), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28762] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3014), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28871] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3016), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [28980] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3018), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29089] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3020), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29198] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3022), 1,
      sym_identifier,
    ACTIONS(3024), 1,
      anon_sym_STAR,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    STATE(3597), 1,
      sym_import_clause,
    STATE(3600), 1,
      sym_string,
    STATE(3601), 1,
      sym_import_require_clause,
    ACTIONS(3026), 2,
      anon_sym_type,
      anon_sym_typeof,
    STATE(4152), 2,
      sym_namespace_import,
      sym_named_imports,
    ACTIONS(3028), 15,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3032), 22,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29275] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3034), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29384] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3036), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29493] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3038), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29602] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3040), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29711] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3042), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29820] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3044), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [29929] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3046), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30038] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3048), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30147] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2982), 1,
      anon_sym_module,
    ACTIONS(3050), 1,
      anon_sym_EQ,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [30255] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2982), 1,
      anon_sym_module,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [30365] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2964), 1,
      anon_sym_STAR,
    ACTIONS(2966), 1,
      anon_sym_default,
    ACTIONS(2968), 1,
      anon_sym_type,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(2972), 1,
      anon_sym_as,
    ACTIONS(2982), 1,
      anon_sym_module,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3186), 1,
      sym_declaration,
    STATE(3273), 1,
      sym_export_clause,
    STATE(3613), 1,
      sym_namespace_import,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [30475] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2838), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30580] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2735), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 20,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3059), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_extends,
  [30740] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3060), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [30845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 20,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3063), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_extends,
  [30900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 20,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(3067), 27,
      anon_sym_export,
      anon_sym_type,
      anon_sym_EQ,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      anon_sym_QMARK,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
      anon_sym_extends,
  [30955] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2872), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31060] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2766), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31165] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2790), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31270] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(2423), 1,
      anon_sym_new,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2716), 1,
      anon_sym_STAR,
    ACTIONS(2930), 1,
      anon_sym_export,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2938), 1,
      anon_sym_async,
    ACTIONS(2942), 1,
      anon_sym_static,
    ACTIONS(2944), 1,
      anon_sym_readonly,
    ACTIONS(2950), 1,
      anon_sym_override,
    STATE(2031), 1,
      sym_accessibility_modifier,
    STATE(2054), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3016), 1,
      sym__call_signature,
    STATE(3301), 1,
      aux_sym_export_statement_repeat1,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(2940), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2946), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2280), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(2819), 6,
      sym_export_statement,
      sym_method_signature,
      sym_call_signature,
      sym_property_signature,
      sym_construct_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31375] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3073), 1,
      anon_sym_RBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3077), 1,
      anon_sym_async,
    ACTIONS(3079), 1,
      anon_sym_static,
    ACTIONS(3081), 1,
      anon_sym_readonly,
    ACTIONS(3087), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3489), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3083), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3085), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3580), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3071), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31473] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3091), 1,
      anon_sym_RBRACE,
    ACTIONS(3093), 1,
      anon_sym_async,
    ACTIONS(3095), 1,
      anon_sym_static,
    ACTIONS(3097), 1,
      anon_sym_readonly,
    ACTIONS(3103), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3489), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3099), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3101), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3580), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3089), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31571] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3107), 1,
      anon_sym_RBRACE,
    ACTIONS(3109), 1,
      anon_sym_async,
    ACTIONS(3111), 1,
      anon_sym_static,
    ACTIONS(3113), 1,
      anon_sym_readonly,
    ACTIONS(3119), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3489), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3115), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3117), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3580), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3105), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31669] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3123), 1,
      anon_sym_RBRACE,
    ACTIONS(3125), 1,
      anon_sym_async,
    ACTIONS(3127), 1,
      anon_sym_static,
    ACTIONS(3129), 1,
      anon_sym_readonly,
    ACTIONS(3135), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3489), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3131), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3133), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3580), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3121), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31767] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3139), 1,
      anon_sym_RBRACE,
    ACTIONS(3141), 1,
      anon_sym_async,
    ACTIONS(3143), 1,
      anon_sym_static,
    ACTIONS(3145), 1,
      anon_sym_readonly,
    ACTIONS(3151), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3465), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3147), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3149), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3479), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3137), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31865] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3155), 1,
      anon_sym_RBRACE,
    ACTIONS(3157), 1,
      anon_sym_async,
    ACTIONS(3159), 1,
      anon_sym_static,
    ACTIONS(3161), 1,
      anon_sym_readonly,
    ACTIONS(3167), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3465), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3163), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3165), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3479), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3153), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [31963] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3171), 1,
      anon_sym_RBRACE,
    ACTIONS(3173), 1,
      anon_sym_async,
    ACTIONS(3175), 1,
      anon_sym_static,
    ACTIONS(3177), 1,
      anon_sym_readonly,
    ACTIONS(3183), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3489), 1,
      aux_sym_object_repeat1,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3179), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3181), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3580), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3169), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [32061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1199), 31,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [32114] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_LT,
    ACTIONS(3189), 1,
      anon_sym_DOT,
    ACTIONS(3191), 1,
      anon_sym_is,
    STATE(1156), 1,
      sym_type_arguments,
    ACTIONS(3185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2811), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 31,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [32228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(3195), 1,
      anon_sym_DOT,
    STATE(1287), 1,
      sym_statement_block,
    ACTIONS(1143), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1141), 27,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [32286] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_LT,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3207), 1,
      anon_sym_QMARK_DOT,
    STATE(1103), 1,
      sym_type_arguments,
    STATE(1318), 1,
      sym_arguments,
    ACTIONS(3197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3199), 24,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [32352] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3209), 1,
      anon_sym_LBRACK,
    ACTIONS(3211), 1,
      anon_sym_DOT,
    ACTIONS(3213), 1,
      anon_sym_QMARK_DOT,
    STATE(1169), 1,
      sym_arguments,
    ACTIONS(2772), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2758), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1287), 1,
      sym_statement_block,
    ACTIONS(1143), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1141), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [32470] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(123), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(3217), 1,
      anon_sym_async,
    ACTIONS(3219), 1,
      anon_sym_static,
    ACTIONS(3221), 1,
      anon_sym_readonly,
    ACTIONS(3227), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    ACTIONS(127), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2697), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3223), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(3225), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2697), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3629), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(3630), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(3215), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [32560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_LT,
    STATE(1166), 1,
      sym_type_arguments,
    ACTIONS(3229), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3231), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3237), 1,
      anon_sym_LBRACK,
    ACTIONS(3239), 1,
      anon_sym_DOT,
    ACTIONS(3241), 1,
      anon_sym_QMARK_DOT,
    STATE(1170), 1,
      sym_arguments,
    ACTIONS(3233), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 1,
      anon_sym_LT,
    ACTIONS(3189), 1,
      anon_sym_DOT,
    STATE(1156), 1,
      sym_type_arguments,
    ACTIONS(3185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2811), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3247), 1,
      anon_sym_LBRACK,
    ACTIONS(3249), 1,
      anon_sym_DOT,
    ACTIONS(3251), 1,
      anon_sym_QMARK_DOT,
    STATE(1171), 1,
      sym_arguments,
    ACTIONS(3243), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3245), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [32798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(3253), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3256), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1153), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [32858] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3271), 1,
      anon_sym_extends,
    ACTIONS(3265), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3268), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [32918] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(3273), 1,
      sym__automatic_semicolon,
    ACTIONS(1151), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1149), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [32974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 1,
      anon_sym_is,
    ACTIONS(3275), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3277), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3281), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3285), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33130] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3291), 1,
      anon_sym_LT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 19,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3300), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33250] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3306), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3304), 19,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33319] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3291), 1,
      anon_sym_LT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 17,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33394] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 9,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [33487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    ACTIONS(3337), 1,
      anon_sym_DOT,
    STATE(1313), 1,
      sym_statement_block,
    ACTIONS(1143), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1141), 26,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [33544] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 10,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [33635] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3289), 10,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [33724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1313), 1,
      sym_statement_block,
    ACTIONS(1143), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1141), 27,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [33779] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3291), 1,
      anon_sym_LT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 17,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [33856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [33909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1199), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [33960] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 8,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34057] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 9,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [34152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(3343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_extends,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3352), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34319] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 15,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3069), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34451] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3367), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_extends,
    ACTIONS(3377), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3383), 1,
      anon_sym_PIPE,
    ACTIONS(3385), 1,
      anon_sym_extends,
    ACTIONS(3377), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34668] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3291), 1,
      anon_sym_LT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 18,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [34739] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3387), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [34844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1153), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [34897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3065), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [34948] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3389), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [35053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3273), 1,
      sym__automatic_semicolon,
    ACTIONS(1151), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1149), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3393), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    STATE(1302), 1,
      sym_arguments,
    ACTIONS(3395), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3397), 27,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1221), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3383), 1,
      anon_sym_PIPE,
    ACTIONS(3385), 1,
      anon_sym_extends,
    ACTIONS(3399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3401), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 27,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3361), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3277), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35530] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3407), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_extends,
    ACTIONS(3413), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3416), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3409), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [35642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3231), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35746] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3427), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [35851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3383), 1,
      anon_sym_PIPE,
    ACTIONS(3429), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3431), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3435), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [35957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3281), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1751), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36212] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3441), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3281), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1211), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36419] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 12,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [36504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3445), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36555] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 7,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [36654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3449), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36705] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3451), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [36810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3445), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [36861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 1,
      sym__automatic_semicolon,
    ACTIONS(1309), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [36914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 29,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [36965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3445), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37067] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3455), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37172] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3457), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37277] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3463), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 18,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [37350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1743), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3468), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3472), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3476), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3476), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3476), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37656] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3478), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [37761] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3484), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [37828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3491), 1,
      anon_sym_LBRACK,
    ACTIONS(3493), 1,
      anon_sym_DOT,
    ACTIONS(3495), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3487), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3489), 26,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3271), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [37936] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_extends,
    ACTIONS(3425), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3501), 27,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [37993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3513), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38148] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3515), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3419), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3521), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38508] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3523), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3383), 1,
      anon_sym_PIPE,
    ACTIONS(3385), 1,
      anon_sym_extends,
    ACTIONS(3525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3527), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [38670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3531), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3425), 1,
      anon_sym_LBRACK,
    ACTIONS(3533), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3535), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38825] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3541), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [38930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [38981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3061), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3545), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1747), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3553), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3557), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3561), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3565), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3567), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3569), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3573), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_DOT,
    ACTIONS(3575), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3577), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3383), 1,
      anon_sym_PIPE,
    ACTIONS(3385), 1,
      anon_sym_extends,
    ACTIONS(3582), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3584), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [39652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3588), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3584), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3592), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3596), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3600), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1761), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [39960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3604), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3608), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3612), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3616), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3612), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3616), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3620), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3624), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3620), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40419] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3626), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [40524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3624), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3630), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3634), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3630), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3634), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3638), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3646), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [40932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 1,
      anon_sym_AMP,
    ACTIONS(3383), 1,
      anon_sym_PIPE,
    ACTIONS(3385), 1,
      anon_sym_extends,
    ACTIONS(3648), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3650), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [40989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3650), 29,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [41040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41090] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 6,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [41188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1231), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [41288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3698), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3700), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [41338] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3704), 1,
      anon_sym_RBRACE,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1224), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [41432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 1,
      sym__automatic_semicolon,
    ACTIONS(1309), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 27,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [41484] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_STAR,
    ACTIONS(3728), 1,
      anon_sym_RBRACE,
    ACTIONS(3730), 1,
      anon_sym_LBRACK,
    ACTIONS(3733), 1,
      anon_sym_async,
    ACTIONS(3736), 1,
      anon_sym_DASH,
    ACTIONS(3739), 1,
      anon_sym_DQUOTE,
    ACTIONS(3742), 1,
      anon_sym_SQUOTE,
    ACTIONS(3748), 1,
      anon_sym_AT,
    ACTIONS(3751), 1,
      anon_sym_static,
    ACTIONS(3754), 1,
      anon_sym_readonly,
    ACTIONS(3760), 1,
      anon_sym_declare,
    ACTIONS(3766), 1,
      anon_sym_override,
    ACTIONS(3769), 1,
      anon_sym_abstract,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3745), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3757), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1210), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(3763), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(3722), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [41578] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3772), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [41654] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3941), 1,
      sym_type_annotation,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [41764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3289), 9,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [41852] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    STATE(2043), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [41934] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    STATE(2043), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [42016] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(3791), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1220), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [42110] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3478), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3803), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42264] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 7,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [42360] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(3805), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1210), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [42454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3809), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3626), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42554] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3457), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42658] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(3813), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1210), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [42752] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3427), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [42906] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3815), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3851), 1,
      sym_type_annotation,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3819), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3823), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3409), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43266] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3451), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1299), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43420] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3827), 1,
      anon_sym_COMMA,
    ACTIONS(3830), 1,
      anon_sym_RBRACE,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [43528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1241), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3515), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43628] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 8,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [43722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3836), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [43772] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3838), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 20,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [43838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1325), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [43888] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3515), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3478), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3849), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1325), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44192] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    STATE(2043), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [44274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3851), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3853), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44374] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    STATE(2043), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [44456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1313), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [44506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1321), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44556] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(3855), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1307), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [44650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3859), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3863), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [44750] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3389), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [44854] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3865), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(4018), 1,
      sym_type_annotation,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [44964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3869), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1365), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45064] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(3871), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1262), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [45158] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3523), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45262] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(3873), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1210), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [45356] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3387), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1335), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1345), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1185), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45610] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3626), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1321), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [45764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3877), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1317), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [45864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [45914] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3441), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1261), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3881), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1251), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3885), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46218] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3265), 1,
      anon_sym_LBRACK,
    ACTIONS(3268), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3271), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3259), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46278] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(3253), 1,
      anon_sym_LBRACK,
    ACTIONS(3256), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3891), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1755), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1153), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46338] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [46418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1313), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [46468] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 9,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [46558] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 8,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [46650] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(3358), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3355), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3361), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [46708] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_LT,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    ACTIONS(3899), 1,
      anon_sym_is,
    STATE(1422), 1,
      sym_type_arguments,
    ACTIONS(3185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2811), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [46766] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3901), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46870] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3455), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1217), 28,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [47024] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3903), 1,
      anon_sym_COMMA,
    ACTIONS(3906), 1,
      anon_sym_RBRACE,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [47132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3910), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3914), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3918), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3924), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47382] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3772), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3928), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3932), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47556] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3772), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 18,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [47624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3936), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1289), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1275), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3940), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3944), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [47924] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 11,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [48008] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3541), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [48112] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3950), 1,
      anon_sym_COMMA,
    ACTIONS(3954), 1,
      anon_sym_LT,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    STATE(2613), 1,
      sym_type_arguments,
    STATE(3288), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3948), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [48220] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(3986), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1210), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [48314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3028), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3032), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1317), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3988), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3990), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3992), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3994), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48514] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3996), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 17,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [48586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1217), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4001), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4005), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4009), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4013), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4017), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4021), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [48936] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    STATE(2043), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4027), 1,
      sym__automatic_semicolon,
    ACTIONS(1151), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1149), 27,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_PIPE_RBRACE,
  [49170] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 24,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [49228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3207), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1207), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 25,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49284] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4029), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(4086), 1,
      sym_type_annotation,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49444] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(3830), 1,
      anon_sym_RBRACE,
    ACTIONS(4033), 1,
      anon_sym_COMMA,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [49552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4038), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4042), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49652] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4044), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3304), 18,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49770] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(4047), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1210), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [49864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 28,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [49914] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3772), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 17,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [49984] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2425), 1,
      anon_sym_DASH,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3702), 1,
      anon_sym_STAR,
    ACTIONS(3706), 1,
      anon_sym_async,
    ACTIONS(3710), 1,
      anon_sym_static,
    ACTIONS(3712), 1,
      anon_sym_readonly,
    ACTIONS(3716), 1,
      anon_sym_declare,
    ACTIONS(3718), 1,
      anon_sym_abstract,
    ACTIONS(4049), 1,
      anon_sym_RBRACE,
    STATE(1980), 1,
      sym_method_definition,
    STATE(2005), 1,
      sym_accessibility_modifier,
    STATE(2055), 1,
      sym_override_modifier,
    STATE(3234), 1,
      sym_method_signature,
    ACTIONS(3708), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3714), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1333), 2,
      sym_decorator,
      aux_sym_class_body_repeat1,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2248), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3543), 3,
      sym_public_field_definition,
      sym_abstract_method_signature,
      sym_index_signature,
    ACTIONS(2928), 10,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50078] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4051), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [50153] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50228] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4056), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [50331] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4051), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [50398] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 7,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [50491] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [50574] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [50679] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4066), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50752] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [50827] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [50906] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3409), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1159), 1,
      sym__automatic_semicolon,
    ACTIONS(1149), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1153), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51068] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4070), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3492), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51175] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3451), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51278] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51383] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3478), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51486] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3271), 1,
      anon_sym_extends,
    ACTIONS(3265), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3268), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [51543] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4074), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3304), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [51610] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4077), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51715] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3515), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_LT,
    STATE(1413), 1,
      sym_type_arguments,
    ACTIONS(3229), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3231), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [51871] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3523), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [51974] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 8,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [52063] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4079), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 16,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [52134] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3441), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52237] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4051), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [52306] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3289), 8,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [52393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3895), 1,
      anon_sym_LT,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    STATE(1422), 1,
      sym_type_arguments,
    ACTIONS(3185), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2811), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [52448] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3387), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3355), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3361), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3352), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3349), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3277), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52661] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3389), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52764] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4082), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3414), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [52871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3413), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3419), 4,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(3409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [52926] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4084), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3390), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      sym_regex_flags,
    ACTIONS(4086), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(4088), 24,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53084] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [53159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3405), 7,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53212] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3457), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53315] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4092), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [53418] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 7,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [53509] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4094), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3390), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53616] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4096), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3403), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [53723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(3253), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3256), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1153), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [53780] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4056), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [53883] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4098), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 19,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_implements,
  [53948] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 6,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [54043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3358), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3355), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3899), 1,
      anon_sym_is,
    ACTIONS(3275), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3277), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54151] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [54226] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4066), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [54299] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4066), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [54372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(4101), 1,
      anon_sym_LBRACK,
    ACTIONS(4103), 1,
      anon_sym_DOT,
    ACTIONS(4105), 1,
      anon_sym_QMARK_DOT,
    STATE(1636), 1,
      sym_arguments,
    ACTIONS(2772), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2758), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(4107), 1,
      anon_sym_LBRACK,
    ACTIONS(4109), 1,
      anon_sym_DOT,
    ACTIONS(4111), 1,
      anon_sym_QMARK_DOT,
    STATE(1635), 1,
      sym_arguments,
    ACTIONS(3233), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3235), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54490] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3427), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54593] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(4113), 1,
      anon_sym_LBRACK,
    ACTIONS(4115), 1,
      anon_sym_DOT,
    ACTIONS(4117), 1,
      anon_sym_QMARK_DOT,
    STATE(1633), 1,
      sym_arguments,
    ACTIONS(3243), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3245), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [54652] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3895), 1,
      anon_sym_LT,
    ACTIONS(4119), 1,
      anon_sym_QMARK_DOT,
    STATE(1526), 1,
      sym_type_arguments,
    STATE(1772), 1,
      sym_arguments,
    ACTIONS(3197), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3199), 21,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [54715] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4121), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3387), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [54822] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 5,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_QMARK_QMARK,
      anon_sym_implements,
  [54919] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3954), 1,
      anon_sym_LT,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    STATE(2649), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4123), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [55022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 26,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55073] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3541), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55176] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4051), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_implements,
  [55249] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3664), 1,
      anon_sym_LT,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3670), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3672), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3674), 1,
      anon_sym_GT_GT,
    ACTIONS(3678), 1,
      anon_sym_AMP,
    ACTIONS(3680), 1,
      anon_sym_CARET,
    ACTIONS(3682), 1,
      anon_sym_PIPE,
    ACTIONS(3686), 1,
      anon_sym_PERCENT,
    ACTIONS(3688), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(3797), 1,
      anon_sym_QMARK,
    ACTIONS(3799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4060), 1,
      anon_sym_COMMA,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3656), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3660), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3676), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3684), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3692), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3694), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4125), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3690), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(3253), 1,
      anon_sym_LBRACK,
    ACTIONS(1755), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3256), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1153), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 23,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3265), 1,
      anon_sym_LBRACK,
    ACTIONS(3271), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3268), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 23,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [55525] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    ACTIONS(4133), 1,
      anon_sym_readonly,
    STATE(2052), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [55604] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3455), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55707] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4066), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [55780] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4137), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3529), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [55887] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4066), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [55960] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3956), 1,
      anon_sym_QMARK,
    ACTIONS(3958), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3960), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3962), 1,
      anon_sym_GT_GT,
    ACTIONS(3966), 1,
      anon_sym_AMP,
    ACTIONS(3968), 1,
      anon_sym_CARET,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3974), 1,
      anon_sym_PERCENT,
    ACTIONS(3976), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3984), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4058), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3946), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3952), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3964), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3972), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3980), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3982), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3626), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
    ACTIONS(3978), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56063] = 32,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4139), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(3555), 1,
      aux_sym_array_repeat1,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56170] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [56245] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(4141), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [56348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3545), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3588), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56444] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3451), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56546] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4179), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [56648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      sym__automatic_semicolon,
    ACTIONS(1179), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1183), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1185), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56700] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_LBRACK,
    ACTIONS(3533), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3535), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3531), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(3355), 1,
      anon_sym_LBRACK,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56854] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(4189), 1,
      anon_sym_extends,
    ACTIONS(3525), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3527), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [56908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3521), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [56956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3419), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3405), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4191), 1,
      sym__automatic_semicolon,
    ACTIONS(1293), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1297), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1299), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(3511), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3513), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57202] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4193), 1,
      anon_sym_SEMI,
    ACTIONS(4195), 1,
      sym__automatic_semicolon,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57356] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3427), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3509), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3423), 1,
      anon_sym_extends,
    ACTIONS(4183), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3499), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3501), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3271), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [57608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(4189), 1,
      anon_sym_extends,
    ACTIONS(3399), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3401), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1289), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [57712] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3389), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57814] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3387), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [57916] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4197), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 15,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [57984] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4200), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4202), 1,
      anon_sym_LBRACK,
    ACTIONS(4204), 1,
      anon_sym_DOT,
    ACTIONS(4206), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3487), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3489), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58140] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 12,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [58218] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4208), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58322] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3541), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [58424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4246), 1,
      sym_regex_flags,
    ACTIONS(4086), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(4088), 23,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1755), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58522] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      sym__automatic_semicolon,
    ACTIONS(1255), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1261), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      sym__automatic_semicolon,
    ACTIONS(1245), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1249), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1251), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 1,
      anon_sym_EQ,
    ACTIONS(2905), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_of,
    ACTIONS(2752), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58730] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_extends,
    ACTIONS(3349), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3352), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58784] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1273), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1275), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [58834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(3429), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3431), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3620), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [58982] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 6,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [59074] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 5,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [59168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3624), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59216] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1207), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3620), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59368] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4248), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3304), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59434] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    ACTIONS(4133), 1,
      anon_sym_readonly,
    STATE(2052), 1,
      sym_override_modifier,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [59508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym__automatic_semicolon,
    ACTIONS(1235), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1239), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1241), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [59560] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4197), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59634] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3289), 7,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [59720] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 7,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [59808] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4253), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 15,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [59878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3616), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [59926] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 6,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [60016] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4258), 1,
      anon_sym_static,
    ACTIONS(4260), 1,
      anon_sym_readonly,
    ACTIONS(4262), 1,
      anon_sym_abstract,
    STATE(2019), 1,
      sym_accessibility_modifier,
    STATE(2079), 1,
      sym_override_modifier,
    ACTIONS(4256), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2948), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2488), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [60088] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4197), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 14,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [60160] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4197), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 16,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [60226] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 9,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [60308] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(4027), 1,
      sym__automatic_semicolon,
    ACTIONS(1151), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1149), 24,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3439), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3281), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [60456] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 4,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [60552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      sym__automatic_semicolon,
    ACTIONS(1349), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1353), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [60604] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4264), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60708] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3515), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60810] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4266), 1,
      anon_sym_RBRACE,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [60914] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3523), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61016] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1229), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1231), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61066] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3830), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61168] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3455), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61270] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3457), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61372] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3626), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(4268), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61526] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(3906), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61628] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3441), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3612), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61778] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3457), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [61880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(4271), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(3343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [61932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3616), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [61980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3069), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62028] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3455), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3612), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62178] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3265), 1,
      anon_sym_LBRACK,
    ACTIONS(3271), 1,
      anon_sym_extends,
    ACTIONS(4274), 1,
      anon_sym_COLON,
    ACTIONS(3268), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3259), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62238] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(3253), 1,
      anon_sym_LBRACK,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    ACTIONS(3256), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3891), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1153), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(4278), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1153), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 22,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62350] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4281), 1,
      anon_sym_RBRACE,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [62454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3608), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3604), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62550] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 4,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [62646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1761), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [62694] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1207), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [62744] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 9,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [62826] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4283), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 18,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [62890] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4286), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 16,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [62956] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4286), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 14,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [63028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3281), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63076] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 6,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [63166] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63270] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 7,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [63358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      sym__automatic_semicolon,
    ACTIONS(1235), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1239), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1241), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [63410] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3289), 7,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [63496] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4286), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 14,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [63570] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 5,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [63664] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4291), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [63768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3650), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [63816] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 6,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [63908] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 12,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [63986] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4293), 1,
      anon_sym_LT,
    STATE(3238), 1,
      sym_type_arguments,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 18,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [64050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(4189), 1,
      anon_sym_extends,
    ACTIONS(3648), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3650), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64104] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4286), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 15,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [64172] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    STATE(1653), 1,
      sym_arguments,
    ACTIONS(3395), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3397), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_extends,
    ACTIONS(3413), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3416), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3409), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1363), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1365), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3355), 2,
      anon_sym_COMMA,
      anon_sym_LBRACK,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [64384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(3407), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64436] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4296), 1,
      anon_sym_COLON,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64540] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3387), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [64642] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3265), 1,
      anon_sym_LBRACK,
    ACTIONS(3271), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3268), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 1,
      anon_sym_extends,
    ACTIONS(3377), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(3253), 1,
      anon_sym_LBRACK,
    ACTIONS(1755), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3256), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1153), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3646), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [64852] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1345), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(3355), 1,
      anon_sym_LBRACK,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [64958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(4189), 1,
      anon_sym_extends,
    ACTIONS(3377), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3379), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [65012] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4298), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3449), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3281), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3445), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3445), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [65308] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3389), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65410] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3626), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65512] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3427), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65614] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3523), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65716] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65818] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [65922] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3478), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66024] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3451), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3445), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACK,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66228] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4302), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66332] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1333), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1335), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66382] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4304), 1,
      anon_sym_SEMI,
    ACTIONS(4306), 1,
      sym__automatic_semicolon,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66486] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [66590] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [66658] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_extends,
    ACTIONS(3349), 1,
      anon_sym_LBRACK,
    ACTIONS(4310), 1,
      anon_sym_EQ,
    ACTIONS(4315), 1,
      anon_sym_RPAREN,
    ACTIONS(4319), 1,
      anon_sym_QMARK,
    ACTIONS(3352), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4312), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3352), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3358), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3355), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [66930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3642), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [66978] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67046] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [67114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1153), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3638), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67212] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3541), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3634), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3630), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      sym__automatic_semicolon,
    ACTIONS(1269), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1273), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1275), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3435), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3231), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4183), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3423), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      sym__automatic_semicolon,
    ACTIONS(1283), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1289), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [67660] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4322), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [67764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3285), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1743), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67860] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4324), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3304), 16,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [67926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3277), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [67974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 1,
      sym__automatic_semicolon,
    ACTIONS(1329), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1333), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1335), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3634), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3361), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1221), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68170] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    STATE(2043), 1,
      sym_override_modifier,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [68244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3419), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3416), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3409), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 23,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68298] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4327), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 15,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [68368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3624), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3630), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3393), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      sym__automatic_semicolon,
    ACTIONS(1339), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1345), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3061), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3468), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3065), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(4276), 1,
      anon_sym_of,
    ACTIONS(4330), 1,
      anon_sym_in,
    ACTIONS(1153), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [68762] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [68866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3472), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3476), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [68962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3300), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [69010] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [69112] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(4335), 1,
      anon_sym_in,
    ACTIONS(4338), 1,
      anon_sym_of,
    ACTIONS(3343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym__automatic_semicolon,
    ACTIONS(1225), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1229), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1231), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      sym__automatic_semicolon,
    ACTIONS(1293), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1297), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1299), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69270] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(4274), 1,
      anon_sym_of,
    ACTIONS(4340), 1,
      anon_sym_in,
    ACTIONS(3259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 24,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69324] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(3253), 1,
      anon_sym_LBRACK,
    ACTIONS(3891), 1,
      anon_sym_RPAREN,
    ACTIONS(4330), 1,
      anon_sym_QMARK,
    ACTIONS(3256), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4278), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1153), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 1,
      sym__automatic_semicolon,
    ACTIONS(1179), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1183), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1185), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69438] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3265), 1,
      anon_sym_LBRACK,
    ACTIONS(3271), 1,
      anon_sym_extends,
    ACTIONS(3887), 1,
      anon_sym_RPAREN,
    ACTIONS(4340), 1,
      anon_sym_QMARK,
    ACTIONS(3268), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(4268), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69500] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3405), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_extends,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_extends,
    ACTIONS(3416), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3413), 3,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(3409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1751), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [69654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1249), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1251), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3600), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [69752] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(3594), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3596), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [69802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1261), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [69852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3592), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [69900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3476), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [69948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3476), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [69996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3584), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4185), 1,
      anon_sym_AMP,
    ACTIONS(4187), 1,
      anon_sym_PIPE,
    ACTIONS(4189), 1,
      anon_sym_extends,
    ACTIONS(3582), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3584), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70098] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3311), 1,
      anon_sym_PERCENT,
    ACTIONS(3313), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3317), 1,
      anon_sym_LT,
    ACTIONS(3319), 1,
      anon_sym_GT_GT,
    ACTIONS(3323), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_CARET,
    ACTIONS(3339), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3341), 1,
      anon_sym_PIPE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3365), 1,
      anon_sym_COMMA,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3371), 1,
      anon_sym_QMARK,
    ACTIONS(3373), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3375), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4343), 1,
      anon_sym_RBRACE,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3309), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3315), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(3321), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(3327), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3331), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3333), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3329), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70202] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [70270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3579), 1,
      anon_sym_DOT,
    ACTIONS(3575), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3577), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3573), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3567), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3569), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3565), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(3343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [70514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70658] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3441), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3561), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70808] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3793), 1,
      anon_sym_as,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4147), 1,
      anon_sym_LT,
    ACTIONS(4149), 1,
      anon_sym_QMARK,
    ACTIONS(4151), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4153), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4155), 1,
      anon_sym_GT_GT,
    ACTIONS(4159), 1,
      anon_sym_AMP,
    ACTIONS(4161), 1,
      anon_sym_CARET,
    ACTIONS(4163), 1,
      anon_sym_PIPE,
    ACTIONS(4167), 1,
      anon_sym_PERCENT,
    ACTIONS(4169), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4177), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3696), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4143), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4145), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4157), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4165), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4173), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4175), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(4345), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4171), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [70910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3557), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [70958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3553), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [71006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1747), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [71054] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      sym__automatic_semicolon,
    ACTIONS(1359), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(1363), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1365), 23,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3539), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [71154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [71202] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [71318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3505), 26,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_extends,
  [71366] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4347), 1,
      sym__automatic_semicolon,
    ACTIONS(1349), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1353), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71418] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4349), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4351), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2837), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71488] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [71560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [71654] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3515), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71755] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3626), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71856] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3457), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [71957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3883), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3885), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3938), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3940), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72051] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3455), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72152] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3289), 3,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4007), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4009), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72294] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 6,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 8,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [72375] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3541), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [72476] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4389), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 15,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72541] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4389), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 11,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 13,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [72612] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 5,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [72701] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4392), 1,
      anon_sym_STAR,
    ACTIONS(4394), 1,
      anon_sym_async,
    ACTIONS(4398), 1,
      anon_sym_readonly,
    STATE(2048), 1,
      sym_override_modifier,
    ACTIONS(4396), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4400), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2277), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [72770] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 3,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_PIPE,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 6,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [72857] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3287), 4,
      anon_sym_BANG,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3289), 6,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [72942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3847), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3849), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [72989] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4389), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 9,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 13,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73062] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 4,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4038), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73202] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3287), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(3289), 5,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [73293] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 8,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 11,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73370] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [73449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(4330), 1,
      anon_sym_QMARK,
    ACTIONS(4278), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(1153), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73502] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4389), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3287), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3289), 14,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [73569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4023), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4025), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [73616] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3387), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73717] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3389), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73818] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3427), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [73919] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4406), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4040), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4042), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74067] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3478), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74168] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3451), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74269] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4408), 1,
      anon_sym_RPAREN,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3681), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74350] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    ACTIONS(4416), 1,
      anon_sym_RPAREN,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3681), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3515), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3803), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3825), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3523), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3999), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4001), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74619] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    ACTIONS(4418), 1,
      anon_sym_RPAREN,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3681), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [74700] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4031), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3387), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3821), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3823), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [74794] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4420), 1,
      anon_sym_COLON,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [74895] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4422), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3302), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3304), 15,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [74960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3626), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(4335), 1,
      anon_sym_QMARK,
    ACTIONS(4271), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75060] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4425), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3459), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 14,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [75129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3988), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3990), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3809), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3908), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3910), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3867), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3869), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75317] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3441), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75418] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(4428), 1,
      anon_sym_LT,
    STATE(3208), 1,
      sym_type_arguments,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(3480), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3482), 17,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [75481] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4431), 1,
      anon_sym_COLON,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [75582] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4349), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2837), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3859), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [75694] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4433), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75773] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4066), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75838] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75905] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4437), 1,
      anon_sym_async,
    ACTIONS(4441), 1,
      anon_sym_readonly,
    STATE(2038), 1,
      sym_override_modifier,
    ACTIONS(4439), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4443), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2293), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [75974] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 1,
      anon_sym_LBRACK,
    ACTIONS(3277), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3352), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76027] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(561), 1,
      anon_sym_RPAREN,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3431), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76108] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3355), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3358), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76163] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4445), 1,
      anon_sym_COLON,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3698), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3700), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3836), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3942), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3944), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76405] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(2045), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [76484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3934), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3936), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3992), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3994), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76578] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3409), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76625] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3523), 1,
      anon_sym_COLON,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [76726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3912), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3914), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(3253), 1,
      anon_sym_LBRACK,
    ACTIONS(3891), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3256), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1153), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3819), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3926), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3928), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [76971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3654), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3863), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77065] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3265), 1,
      anon_sym_LBRACK,
    ACTIONS(3271), 1,
      anon_sym_extends,
    ACTIONS(3887), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3268), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3259), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(3355), 1,
      anon_sym_LBRACK,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3841), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3843), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3845), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3478), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77271] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4447), 1,
      anon_sym_COLON,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77372] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [77451] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(3901), 1,
      anon_sym_RBRACE,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [77552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 1,
      anon_sym_LBRACK,
    ACTIONS(3361), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3358), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3916), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3918), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77652] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3419), 2,
      anon_sym_COMMA,
      anon_sym_extends,
    ACTIONS(3416), 3,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3409), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1185), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4310), 1,
      anon_sym_EQ,
    ACTIONS(4319), 1,
      anon_sym_QMARK,
    ACTIONS(4312), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(2752), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1299), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1289), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4090), 1,
      sym_regex_flags,
    ACTIONS(4086), 17,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
      anon_sym_implements,
    ACTIONS(4088), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1275), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [77995] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(2045), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78074] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(4455), 1,
      anon_sym_RBRACE,
    STATE(3540), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4457), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3579), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4091), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4451), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3028), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3032), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78190] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4459), 1,
      anon_sym_RBRACE,
    STATE(2045), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1231), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1241), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1335), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3851), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3853), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1261), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78551] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    ACTIONS(4461), 1,
      anon_sym_RPAREN,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3681), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4005), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1249), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1251), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4021), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78773] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(2045), 1,
      sym_override_modifier,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [78852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3932), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      anon_sym_EQ,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3358), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3355), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [78954] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4214), 1,
      anon_sym_LT,
    ACTIONS(4216), 1,
      anon_sym_QMARK,
    ACTIONS(4218), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4220), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4222), 1,
      anon_sym_GT_GT,
    ACTIONS(4226), 1,
      anon_sym_AMP,
    ACTIONS(4228), 1,
      anon_sym_CARET,
    ACTIONS(4230), 1,
      anon_sym_PIPE,
    ACTIONS(4234), 1,
      anon_sym_PERCENT,
    ACTIONS(4236), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4244), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4463), 1,
      anon_sym_RBRACK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4210), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4212), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4224), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4232), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4240), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4242), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4238), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79055] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(4338), 1,
      anon_sym_COLON,
    ACTIONS(4271), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79108] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    ACTIONS(4133), 1,
      anon_sym_readonly,
    STATE(2052), 1,
      sym_override_modifier,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3455), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79224] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    ACTIONS(4465), 1,
      anon_sym_RPAREN,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3536), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79305] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(1755), 1,
      anon_sym_extends,
    ACTIONS(3253), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3256), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1153), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4011), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4013), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79407] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(3271), 1,
      anon_sym_extends,
    ACTIONS(3265), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3268), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3259), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79462] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4467), 1,
      anon_sym_COLON,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [79563] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4469), 1,
      anon_sym_STAR,
    ACTIONS(4471), 1,
      anon_sym_async,
    ACTIONS(4475), 1,
      anon_sym_readonly,
    STATE(2040), 1,
      sym_override_modifier,
    ACTIONS(4473), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4477), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2269), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79632] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4015), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4017), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1345), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4479), 1,
      anon_sym_LPAREN,
    ACTIONS(4482), 1,
      anon_sym_COLON,
    ACTIONS(4484), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [79846] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4349), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4351), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2837), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79911] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4469), 1,
      anon_sym_STAR,
    ACTIONS(4471), 1,
      anon_sym_async,
    ACTIONS(4487), 1,
      anon_sym_abstract,
    ACTIONS(4473), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4477), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2269), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [79976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(4340), 1,
      anon_sym_QMARK,
    ACTIONS(4268), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(3259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80029] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4491), 1,
      anon_sym_async,
    ACTIONS(4497), 1,
      anon_sym_abstract,
    ACTIONS(4493), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4495), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2193), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80094] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    ACTIONS(4499), 1,
      anon_sym_RPAREN,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3417), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_EQ,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 24,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
      anon_sym_implements,
  [80224] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4491), 1,
      anon_sym_async,
    ACTIONS(4501), 1,
      anon_sym_readonly,
    STATE(2034), 1,
      sym_override_modifier,
    ACTIONS(4493), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4495), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2193), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4503), 1,
      anon_sym_LPAREN,
    ACTIONS(4506), 1,
      anon_sym_COLON,
    ACTIONS(4508), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3879), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3881), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80393] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(4511), 1,
      anon_sym_COLON,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [80494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3924), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80541] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(4515), 1,
      anon_sym_RBRACE,
    STATE(3461), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(4457), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3487), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4091), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4513), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80610] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    ACTIONS(4517), 1,
      anon_sym_RPAREN,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3681), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3875), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3877), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(4119), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(1207), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1209), 22,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3879), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3881), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [80885] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    ACTIONS(4519), 1,
      anon_sym_RPAREN,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3681), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [80966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1365), 25,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81013] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4433), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(4271), 1,
      anon_sym_RBRACK,
    ACTIONS(4338), 1,
      anon_sym_COMMA,
    ACTIONS(3343), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      sym_identifier,
    ACTIONS(3028), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3032), 21,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 1,
      anon_sym_EQ,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      sym__automatic_semicolon,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81233] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4412), 1,
      sym_this,
    ACTIONS(4414), 1,
      anon_sym_readonly,
    STATE(1941), 1,
      aux_sym_export_statement_repeat1,
    STATE(2032), 1,
      sym_accessibility_modifier,
    STATE(2042), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2680), 1,
      sym__parameter_name,
    STATE(3005), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(3681), 3,
      sym__formal_parameter,
      sym_required_parameter,
      sym_optional_parameter,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_EQ,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 23,
      anon_sym_as,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [81359] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4523), 1,
      anon_sym_STAR,
    ACTIONS(4525), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4527), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2892), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81419] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4529), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4531), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2873), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81479] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(3662), 1,
      anon_sym_LBRACK,
    ACTIONS(3666), 1,
      anon_sym_DOT,
    ACTIONS(3668), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3795), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3238), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1679), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [81577] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4523), 1,
      anon_sym_STAR,
    ACTIONS(4533), 1,
      anon_sym_async,
    ACTIONS(4535), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4537), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2243), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81639] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4539), 1,
      anon_sym_STAR,
    ACTIONS(4541), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4543), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81699] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_STAR,
    ACTIONS(4547), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4549), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2860), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81759] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4551), 1,
      anon_sym_STAR,
    ACTIONS(4553), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4555), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2858), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81819] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4392), 1,
      anon_sym_STAR,
    ACTIONS(4557), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4559), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81879] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [81949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82021] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4392), 1,
      anon_sym_STAR,
    ACTIONS(4394), 1,
      anon_sym_async,
    ACTIONS(4396), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4400), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2277), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4561), 1,
      sym_identifier,
    ACTIONS(3028), 16,
      anon_sym_STAR,
      anon_sym_as,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(3032), 21,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82131] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(2297), 1,
      sym_arguments,
    ACTIONS(2752), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 22,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82181] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82241] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4437), 1,
      anon_sym_async,
    ACTIONS(4439), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4443), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2293), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_extends,
    ACTIONS(3349), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3352), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82355] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(3075), 1,
      anon_sym_LBRACK,
    ACTIONS(2871), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4457), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3629), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(4091), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(4103), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(4563), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82419] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82489] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(4054), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82623] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4349), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4351), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2837), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3405), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [82733] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4565), 1,
      anon_sym_STAR,
    ACTIONS(4567), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4569), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2725), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82793] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4565), 1,
      anon_sym_STAR,
    ACTIONS(4571), 1,
      anon_sym_async,
    ACTIONS(4573), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4575), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2209), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82855] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4577), 1,
      anon_sym_STAR,
    ACTIONS(4579), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4581), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [82915] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3203), 1,
      anon_sym_LBRACK,
    ACTIONS(3205), 1,
      anon_sym_DOT,
    ACTIONS(3294), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3363), 1,
      anon_sym_as,
    ACTIONS(3369), 1,
      anon_sym_BANG,
    ACTIONS(4357), 1,
      anon_sym_LT,
    ACTIONS(4359), 1,
      anon_sym_QMARK,
    ACTIONS(4361), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4363), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4365), 1,
      anon_sym_GT_GT,
    ACTIONS(4369), 1,
      anon_sym_AMP,
    ACTIONS(4371), 1,
      anon_sym_CARET,
    ACTIONS(4373), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_PERCENT,
    ACTIONS(4379), 1,
      anon_sym_STAR_STAR,
    ACTIONS(4387), 1,
      anon_sym_QMARK_QMARK,
    STATE(3208), 1,
      sym_type_arguments,
    ACTIONS(3296), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(4353), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(4355), 2,
      anon_sym_in,
      anon_sym_GT,
    ACTIONS(4367), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(4375), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4383), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4385), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(1330), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(4381), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [83013] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4577), 1,
      anon_sym_STAR,
    ACTIONS(4583), 1,
      anon_sym_async,
    ACTIONS(4585), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2279), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83075] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4589), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4591), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83135] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4349), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2837), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83195] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83369] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83427] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83497] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83555] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83627] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83685] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83743] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_extends,
    ACTIONS(3416), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3413), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3409), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [83853] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4539), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_async,
    ACTIONS(4595), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4597), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2278), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83915] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4599), 1,
      anon_sym_STAR,
    ACTIONS(4601), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4603), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2789), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [83975] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84117] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_extends,
    ACTIONS(3349), 2,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
    ACTIONS(3352), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 21,
      anon_sym_as,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84169] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84227] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4469), 1,
      anon_sym_STAR,
    ACTIONS(4471), 1,
      anon_sym_async,
    ACTIONS(4473), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4477), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2269), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84289] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4605), 1,
      anon_sym_STAR,
    ACTIONS(4607), 1,
      anon_sym_async,
    ACTIONS(4609), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4611), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2300), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84351] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84421] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4605), 1,
      anon_sym_STAR,
    ACTIONS(4613), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4615), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2843), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84481] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84553] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4545), 1,
      anon_sym_STAR,
    ACTIONS(4617), 1,
      anon_sym_async,
    ACTIONS(4619), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4621), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2282), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84615] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3355), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3358), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2752), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 1,
      anon_sym_extends,
    ACTIONS(3358), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3355), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84777] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 1,
      anon_sym_extends,
    ACTIONS(3352), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3349), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(4276), 1,
      anon_sym_COMMA,
    ACTIONS(4278), 1,
      anon_sym_RBRACK,
    ACTIONS(1153), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [84881] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4459), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [84951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3405), 4,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
    ACTIONS(2752), 12,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85001] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4623), 1,
      anon_sym_STAR,
    ACTIONS(4625), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4627), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2869), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 1,
      anon_sym_extends,
    ACTIONS(3413), 3,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(3416), 3,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3409), 11,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3411), 20,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4459), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [85233] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4433), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85303] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4469), 1,
      anon_sym_STAR,
    ACTIONS(4629), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4631), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2804), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(4268), 1,
      anon_sym_RBRACK,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    ACTIONS(3259), 14,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85415] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4629), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2804), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85470] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4557), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85525] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85590] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4579), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 1,
      anon_sym_EQ,
    ACTIONS(2905), 1,
      anon_sym_in,
    ACTIONS(2908), 1,
      anon_sym_of,
    ACTIONS(2752), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2756), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [85751] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2820), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85853] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4567), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2725), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85908] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4635), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [85963] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4349), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2837), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86018] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86083] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86148] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(109), 1,
      anon_sym_STAR,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1410), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4641), 1,
      anon_sym_async,
    ACTIONS(4645), 1,
      anon_sym_static,
    ACTIONS(4647), 1,
      anon_sym_readonly,
    ACTIONS(4653), 1,
      anon_sym_override,
    STATE(2022), 1,
      sym_accessibility_modifier,
    STATE(2035), 1,
      sym_override_modifier,
    ACTIONS(4639), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(4643), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4649), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4651), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2628), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(3630), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    ACTIONS(4637), 11,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86225] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4601), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2789), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2584), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4459), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1155), 1,
      anon_sym_EQ,
    ACTIONS(4276), 1,
      anon_sym_of,
    ACTIONS(4330), 1,
      anon_sym_in,
    ACTIONS(1153), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1157), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [86451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(4661), 1,
      anon_sym_DOT,
    STATE(1934), 1,
      sym_arguments,
    ACTIONS(4659), 11,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4657), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [86502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    ACTIONS(4335), 1,
      anon_sym_in,
    ACTIONS(4338), 1,
      anon_sym_of,
    ACTIONS(3343), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3347), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [86553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4625), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2869), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86608] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4433), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86673] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4663), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2904), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_EQ,
    ACTIONS(4274), 1,
      anon_sym_of,
    ACTIONS(4340), 1,
      anon_sym_in,
    ACTIONS(3259), 13,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_QMARK,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3263), 21,
      anon_sym_as,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [86779] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4525), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2892), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86834] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(2045), 1,
      sym_override_modifier,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86905] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [86970] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4613), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2843), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87025] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87145] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4529), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2873), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87255] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4553), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2858), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4547), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2860), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4541), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 9,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87420] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87532] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87582] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4487), 1,
      anon_sym_abstract,
    ACTIONS(4635), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87638] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4668), 1,
      anon_sym_readonly,
    STATE(2067), 1,
      sym_override_modifier,
    ACTIONS(4635), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2928), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87748] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4670), 1,
      anon_sym_readonly,
    STATE(2074), 1,
      sym_override_modifier,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2584), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2928), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 12,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4672), 24,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [87852] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    STATE(2045), 1,
      sym_override_modifier,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87920] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [87984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4678), 1,
      anon_sym_abstract,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2584), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88090] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4459), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88145] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88202] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4433), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88312] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4433), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4459), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88422] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4680), 1,
      anon_sym_class,
    ACTIONS(4682), 1,
      sym_this,
    ACTIONS(4684), 1,
      anon_sym_readonly,
    STATE(2021), 1,
      sym_accessibility_modifier,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2057), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2926), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88495] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88550] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88660] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4686), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88829] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88884] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88939] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [88994] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89049] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4688), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2550), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_BANG,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89157] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4659), 11,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4657), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 11,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4690), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [89300] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89354] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4694), 1,
      sym_this,
    STATE(3013), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89410] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4696), 1,
      sym_this,
    STATE(3154), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89466] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4698), 1,
      sym_this,
    STATE(3044), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89522] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4700), 1,
      sym_this,
    STATE(3061), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89578] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1795), 1,
      sym_this,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    STATE(2958), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89634] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4682), 1,
      sym_this,
    ACTIONS(4684), 1,
      anon_sym_readonly,
    STATE(2021), 1,
      sym_accessibility_modifier,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2057), 1,
      sym_override_modifier,
    STATE(2090), 1,
      sym_decorator,
    STATE(2926), 1,
      sym_pattern,
    ACTIONS(1625), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89704] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4702), 1,
      sym_this,
    STATE(3047), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89760] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4704), 1,
      sym_this,
    STATE(3033), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [89816] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1480), 1,
      anon_sym_namespace,
    ACTIONS(1486), 1,
      anon_sym_import,
    ACTIONS(1488), 1,
      anon_sym_var,
    ACTIONS(1490), 1,
      anon_sym_let,
    ACTIONS(1492), 1,
      anon_sym_const,
    ACTIONS(1503), 1,
      anon_sym_class,
    ACTIONS(1505), 1,
      anon_sym_async,
    ACTIONS(1507), 1,
      anon_sym_function,
    ACTIONS(1509), 1,
      anon_sym_declare,
    ACTIONS(1511), 1,
      anon_sym_module,
    ACTIONS(1513), 1,
      anon_sym_abstract,
    ACTIONS(1515), 1,
      anon_sym_interface,
    ACTIONS(1517), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_type,
    ACTIONS(4706), 1,
      anon_sym_default,
    STATE(547), 1,
      sym_internal_module,
    STATE(660), 1,
      sym_declaration,
    STATE(2090), 1,
      sym_decorator,
    STATE(2956), 1,
      aux_sym_export_statement_repeat1,
    STATE(526), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [89895] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1713), 1,
      anon_sym_type,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    ACTIONS(2982), 1,
      anon_sym_module,
    ACTIONS(4708), 1,
      anon_sym_default,
    STATE(2090), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3142), 1,
      sym_declaration,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [89974] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1486), 1,
      anon_sym_import,
    ACTIONS(1488), 1,
      anon_sym_var,
    ACTIONS(1490), 1,
      anon_sym_let,
    ACTIONS(1492), 1,
      anon_sym_const,
    ACTIONS(1503), 1,
      anon_sym_class,
    ACTIONS(1505), 1,
      anon_sym_async,
    ACTIONS(1507), 1,
      anon_sym_function,
    ACTIONS(1513), 1,
      anon_sym_abstract,
    ACTIONS(1515), 1,
      anon_sym_interface,
    ACTIONS(1517), 1,
      anon_sym_enum,
    ACTIONS(1633), 1,
      anon_sym_namespace,
    ACTIONS(1637), 1,
      anon_sym_declare,
    ACTIONS(1639), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_type,
    ACTIONS(4710), 1,
      anon_sym_default,
    STATE(547), 1,
      sym_internal_module,
    STATE(660), 1,
      sym_declaration,
    STATE(2090), 1,
      sym_decorator,
    STATE(2956), 1,
      aux_sym_export_statement_repeat1,
    STATE(526), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [90053] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      anon_sym_STAR,
    ACTIONS(4714), 1,
      anon_sym_async,
    ACTIONS(4718), 1,
      anon_sym_readonly,
    STATE(2044), 1,
      sym_override_modifier,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4720), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2814), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 15,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90116] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1486), 1,
      anon_sym_import,
    ACTIONS(1488), 1,
      anon_sym_var,
    ACTIONS(1490), 1,
      anon_sym_let,
    ACTIONS(1492), 1,
      anon_sym_const,
    ACTIONS(1503), 1,
      anon_sym_class,
    ACTIONS(1505), 1,
      anon_sym_async,
    ACTIONS(1507), 1,
      anon_sym_function,
    ACTIONS(1513), 1,
      anon_sym_abstract,
    ACTIONS(1515), 1,
      anon_sym_interface,
    ACTIONS(1517), 1,
      anon_sym_enum,
    ACTIONS(1633), 1,
      anon_sym_namespace,
    ACTIONS(1637), 1,
      anon_sym_declare,
    ACTIONS(1647), 1,
      anon_sym_type,
    ACTIONS(1653), 1,
      anon_sym_global,
    ACTIONS(1701), 1,
      anon_sym_module,
    STATE(547), 1,
      sym_internal_module,
    STATE(564), 1,
      sym_declaration,
    STATE(2090), 1,
      sym_decorator,
    STATE(2956), 1,
      aux_sym_export_statement_repeat1,
    STATE(526), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [90195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90242] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1480), 1,
      anon_sym_namespace,
    ACTIONS(1486), 1,
      anon_sym_import,
    ACTIONS(1488), 1,
      anon_sym_var,
    ACTIONS(1490), 1,
      anon_sym_let,
    ACTIONS(1492), 1,
      anon_sym_const,
    ACTIONS(1503), 1,
      anon_sym_class,
    ACTIONS(1505), 1,
      anon_sym_async,
    ACTIONS(1507), 1,
      anon_sym_function,
    ACTIONS(1509), 1,
      anon_sym_declare,
    ACTIONS(1513), 1,
      anon_sym_abstract,
    ACTIONS(1515), 1,
      anon_sym_interface,
    ACTIONS(1517), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_type,
    ACTIONS(1651), 1,
      anon_sym_module,
    ACTIONS(1653), 1,
      anon_sym_global,
    STATE(547), 1,
      sym_internal_module,
    STATE(564), 1,
      sym_declaration,
    STATE(2090), 1,
      sym_decorator,
    STATE(2956), 1,
      aux_sym_export_statement_repeat1,
    STATE(526), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [90321] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90368] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1480), 1,
      anon_sym_namespace,
    ACTIONS(1486), 1,
      anon_sym_import,
    ACTIONS(1488), 1,
      anon_sym_var,
    ACTIONS(1490), 1,
      anon_sym_let,
    ACTIONS(1492), 1,
      anon_sym_const,
    ACTIONS(1503), 1,
      anon_sym_class,
    ACTIONS(1505), 1,
      anon_sym_async,
    ACTIONS(1507), 1,
      anon_sym_function,
    ACTIONS(1509), 1,
      anon_sym_declare,
    ACTIONS(1511), 1,
      anon_sym_module,
    ACTIONS(1513), 1,
      anon_sym_abstract,
    ACTIONS(1515), 1,
      anon_sym_interface,
    ACTIONS(1517), 1,
      anon_sym_enum,
    ACTIONS(1647), 1,
      anon_sym_type,
    ACTIONS(4722), 1,
      anon_sym_default,
    STATE(547), 1,
      sym_internal_module,
    STATE(660), 1,
      sym_declaration,
    STATE(2090), 1,
      sym_decorator,
    STATE(2956), 1,
      aux_sym_export_statement_repeat1,
    STATE(526), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [90447] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(1713), 1,
      anon_sym_type,
    ACTIONS(1715), 1,
      anon_sym_namespace,
    ACTIONS(1717), 1,
      anon_sym_import,
    ACTIONS(1719), 1,
      anon_sym_var,
    ACTIONS(1721), 1,
      anon_sym_let,
    ACTIONS(1723), 1,
      anon_sym_const,
    ACTIONS(1725), 1,
      anon_sym_class,
    ACTIONS(1727), 1,
      anon_sym_async,
    ACTIONS(1729), 1,
      anon_sym_function,
    ACTIONS(1731), 1,
      anon_sym_declare,
    ACTIONS(1733), 1,
      anon_sym_module,
    ACTIONS(1735), 1,
      anon_sym_abstract,
    ACTIONS(1737), 1,
      anon_sym_global,
    ACTIONS(1739), 1,
      anon_sym_interface,
    ACTIONS(1741), 1,
      anon_sym_enum,
    STATE(2090), 1,
      sym_decorator,
    STATE(2948), 1,
      sym_declaration,
    STATE(2967), 1,
      aux_sym_export_statement_repeat1,
    STATE(3121), 1,
      sym_internal_module,
    STATE(3163), 13,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
      sym_function_signature,
      sym_ambient_declaration,
      sym_abstract_class_declaration,
      sym_module,
      sym_import_alias,
      sym_interface_declaration,
      sym_enum_declaration,
      sym_type_alias_declaration,
  [90526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4724), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4728), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4728), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 1,
      sym__automatic_semicolon,
    ACTIONS(1149), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1151), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1323), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90772] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4734), 1,
      anon_sym_STAR,
    ACTIONS(4736), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4738), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2879), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4740), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4744), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [90906] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4734), 1,
      anon_sym_STAR,
    ACTIONS(4748), 1,
      anon_sym_async,
    ACTIONS(4736), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4738), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2879), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [90962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4724), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4750), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4754), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4760), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4758), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4762), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4766), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4770), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91242] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4774), 1,
      anon_sym_RBRACK,
    STATE(3324), 1,
      sym_pattern,
    STATE(3342), 1,
      sym_assignment_pattern,
    STATE(3352), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91300] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4776), 1,
      anon_sym_EQ_GT,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2814), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4778), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91392] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      anon_sym_STAR,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4720), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2814), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91446] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      anon_sym_STAR,
    ACTIONS(4714), 1,
      anon_sym_async,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4720), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2814), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4782), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4762), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1309), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4770), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(4788), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4786), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91704] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      anon_sym_STAR,
    ACTIONS(4794), 1,
      anon_sym_async,
    ACTIONS(4796), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4798), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4800), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4804), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [91840] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      anon_sym_STAR,
    ACTIONS(4796), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4798), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91894] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4808), 1,
      anon_sym_STAR,
    ACTIONS(4810), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4812), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [91948] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(1383), 1,
      anon_sym_RBRACK,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    STATE(3305), 1,
      sym_pattern,
    STATE(3370), 1,
      aux_sym_array_pattern_repeat1,
    STATE(3378), 1,
      sym_assignment_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1767), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1765), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4754), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [92090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4814), 1,
      sym__automatic_semicolon,
    ACTIONS(1307), 10,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(1309), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [92132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4782), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [92172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4800), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [92212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 11,
      sym__automatic_semicolon,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4778), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [92252] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4547), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2860), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4557), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4541), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4579), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4736), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2879), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92497] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      anon_sym_COMMA,
    ACTIONS(4818), 1,
      anon_sym_RBRACK,
    STATE(3449), 1,
      sym_pattern,
    STATE(3641), 1,
      sym_assignment_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92552] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4821), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2877), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92601] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2814), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4625), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2869), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92699] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4629), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2804), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92748] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2745), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92797] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4825), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2856), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92846] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4491), 1,
      anon_sym_async,
    ACTIONS(4827), 1,
      anon_sym_static,
    ACTIONS(4829), 1,
      anon_sym_readonly,
    ACTIONS(4831), 1,
      anon_sym_abstract,
    STATE(2034), 1,
      sym_override_modifier,
    ACTIONS(4493), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4495), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2193), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92909] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    STATE(3449), 1,
      sym_pattern,
    STATE(3641), 1,
      sym_assignment_pattern,
    ACTIONS(4816), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [92962] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4567), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2725), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93011] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4529), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2873), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93060] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4553), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2858), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93109] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4816), 1,
      anon_sym_COMMA,
    ACTIONS(4833), 1,
      anon_sym_RBRACK,
    STATE(3449), 1,
      sym_pattern,
    STATE(3641), 1,
      sym_assignment_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93164] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4601), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2789), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93213] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4836), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93262] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93311] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4613), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2843), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4525), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2892), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93409] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4796), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(2771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4838), 1,
      anon_sym_RBRACE,
    STATE(3365), 1,
      sym_enum_assignment,
    ACTIONS(4840), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3109), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93508] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4842), 1,
      anon_sym_RBRACE,
    STATE(3388), 1,
      sym_enum_assignment,
    ACTIONS(4844), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3046), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93558] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4846), 1,
      anon_sym_static,
    ACTIONS(4848), 1,
      anon_sym_readonly,
    ACTIONS(4850), 1,
      anon_sym_abstract,
    STATE(2067), 1,
      sym_override_modifier,
    ACTIONS(4635), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93614] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4852), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93664] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4856), 1,
      sym_this,
    ACTIONS(4858), 1,
      anon_sym_readonly,
    STATE(2050), 1,
      sym_override_modifier,
    STATE(3041), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93720] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(1711), 1,
      anon_sym_override,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(4860), 1,
      anon_sym_static,
    STATE(2045), 1,
      sym_override_modifier,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
    ACTIONS(4862), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [93818] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4864), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4866), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93918] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4868), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [93968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4870), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4872), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4874), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4876), 1,
      anon_sym_RBRACE,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94168] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    ACTIONS(4133), 1,
      anon_sym_readonly,
    ACTIONS(4878), 1,
      anon_sym_static,
    STATE(2052), 1,
      sym_override_modifier,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94228] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1627), 1,
      anon_sym_override,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1795), 1,
      sym_this,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_readonly,
    STATE(2036), 1,
      sym_override_modifier,
    STATE(2958), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94284] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(2950), 1,
      anon_sym_override,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    ACTIONS(4882), 1,
      anon_sym_static,
    STATE(2043), 1,
      sym_override_modifier,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 14,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94344] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4469), 1,
      anon_sym_STAR,
    ACTIONS(4471), 1,
      anon_sym_async,
    ACTIONS(4475), 1,
      anon_sym_readonly,
    ACTIONS(4473), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4477), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2269), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94397] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(1705), 1,
      anon_sym_async,
    ACTIONS(1707), 1,
      anon_sym_readonly,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 1,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1709), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94450] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4696), 1,
      sym_this,
    ACTIONS(4884), 1,
      anon_sym_readonly,
    STATE(3154), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(1783), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1781), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94540] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4539), 1,
      anon_sym_STAR,
    ACTIONS(4593), 1,
      anon_sym_async,
    ACTIONS(4886), 1,
      anon_sym_readonly,
    ACTIONS(4595), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4597), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2278), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94593] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4668), 1,
      anon_sym_readonly,
    ACTIONS(4888), 1,
      anon_sym_STAR,
    ACTIONS(4890), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4892), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2190), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4523), 1,
      anon_sym_STAR,
    ACTIONS(4533), 1,
      anon_sym_async,
    ACTIONS(4894), 1,
      anon_sym_readonly,
    ACTIONS(4535), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4537), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2243), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94697] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3777), 1,
      anon_sym_STAR,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(3783), 1,
      anon_sym_async,
    ACTIONS(3787), 1,
      anon_sym_readonly,
    ACTIONS(3785), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(3789), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2289), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94750] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1795), 1,
      sym_this,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4880), 1,
      anon_sym_readonly,
    STATE(2958), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94801] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4435), 1,
      anon_sym_STAR,
    ACTIONS(4437), 1,
      anon_sym_async,
    ACTIONS(4441), 1,
      anon_sym_readonly,
    ACTIONS(4439), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4443), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2293), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94854] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4792), 1,
      anon_sym_STAR,
    ACTIONS(4794), 1,
      anon_sym_async,
    ACTIONS(4896), 1,
      anon_sym_readonly,
    ACTIONS(4796), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4798), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94907] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4712), 1,
      anon_sym_STAR,
    ACTIONS(4714), 1,
      anon_sym_async,
    ACTIONS(4718), 1,
      anon_sym_readonly,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4720), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2814), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [94960] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    STATE(3473), 1,
      sym_pattern,
    STATE(3667), 1,
      sym_assignment_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1781), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95048] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4577), 1,
      anon_sym_STAR,
    ACTIONS(4583), 1,
      anon_sym_async,
    ACTIONS(4898), 1,
      anon_sym_readonly,
    ACTIONS(4585), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4587), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2279), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95101] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    STATE(3768), 1,
      sym_enum_assignment,
    ACTIONS(4854), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(3205), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95148] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4900), 1,
      sym_this,
    ACTIONS(4902), 1,
      anon_sym_readonly,
    STATE(3052), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4908), 1,
      anon_sym_AT,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
    ACTIONS(4906), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4904), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [95242] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4392), 1,
      anon_sym_STAR,
    ACTIONS(4394), 1,
      anon_sym_async,
    ACTIONS(4398), 1,
      anon_sym_readonly,
    ACTIONS(4396), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4400), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2277), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 3,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1759), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(1765), 21,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95334] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4127), 1,
      anon_sym_STAR,
    ACTIONS(4129), 1,
      anon_sym_async,
    ACTIONS(4133), 1,
      anon_sym_readonly,
    ACTIONS(4131), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4135), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2295), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95387] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4489), 1,
      anon_sym_STAR,
    ACTIONS(4491), 1,
      anon_sym_async,
    ACTIONS(4501), 1,
      anon_sym_readonly,
    ACTIONS(4493), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4495), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2193), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 16,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95440] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4911), 1,
      anon_sym_STAR,
    ACTIONS(4915), 1,
      anon_sym_readonly,
    ACTIONS(4913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(4917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(2208), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 17,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95491] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1785), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(4919), 1,
      sym_this,
    ACTIONS(4921), 1,
      anon_sym_readonly,
    STATE(3023), 1,
      sym_pattern,
    STATE(2681), 4,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
      sym_rest_pattern,
    ACTIONS(897), 18,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95542] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4686), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95586] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4579), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2899), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95630] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4716), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2814), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95674] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4625), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2869), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(1697), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2857), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4736), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2879), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95806] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4064), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2884), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4525), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2892), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95894] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4529), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2873), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4670), 1,
      anon_sym_readonly,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2584), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [95984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4821), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2877), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96028] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4655), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2584), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96072] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4541), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2863), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4629), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2804), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2775), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96204] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4633), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2820), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96248] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4923), 1,
      anon_sym_readonly,
    ACTIONS(4686), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2484), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96294] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2745), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96338] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4825), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2856), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4635), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4601), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2789), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96470] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3781), 1,
      anon_sym_LBRACK,
    ACTIONS(4668), 1,
      anon_sym_readonly,
    ACTIONS(4635), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2518), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2928), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4613), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2843), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96560] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4349), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2837), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96604] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4547), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2860), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96648] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4557), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2906), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96692] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4836), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2798), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96736] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4567), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2725), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96780] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4796), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2771), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4810), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2772), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96868] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4553), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2858), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96912] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(4062), 1,
      anon_sym_LBRACK,
    ACTIONS(4663), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(2904), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(1703), 20,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [96956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4927), 4,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AT,
    ACTIONS(4925), 23,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      sym_this,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_abstract,
  [96991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4929), 1,
      sym_identifier,
    STATE(3921), 1,
      sym_mapped_type_clause,
    ACTIONS(4931), 19,
      anon_sym_export,
      anon_sym_type,
      anon_sym_namespace,
      anon_sym_async,
      anon_sym_static,
      anon_sym_readonly,
      anon_sym_get,
      anon_sym_set,
      anon_sym_declare,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_override,
      anon_sym_module,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
  [97022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_EQ,
    ACTIONS(3449), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [97048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3439), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97074] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(4935), 1,
      anon_sym_DOT,
    ACTIONS(4937), 1,
      anon_sym_QMARK_DOT,
    STATE(2139), 1,
      sym_arguments,
    ACTIONS(3233), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3235), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97110] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(4939), 1,
      anon_sym_LBRACK,
    ACTIONS(4941), 1,
      anon_sym_DOT,
    ACTIONS(4943), 1,
      anon_sym_QMARK_DOT,
    STATE(2138), 1,
      sym_arguments,
    ACTIONS(3243), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3245), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3549), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3539), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3445), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3612), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97250] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    ACTIONS(4949), 1,
      anon_sym_is,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3445), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3539), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3505), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3505), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3612), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3445), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3505), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3439), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3439), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3604), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3608), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3281), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2772), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(2758), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3616), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3539), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97716] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4953), 1,
      anon_sym_EQ,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4957), 1,
      anon_sym_COMMA,
    ACTIONS(4959), 1,
      anon_sym_COLON,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4963), 1,
      anon_sym_GT,
    ACTIONS(4966), 1,
      anon_sym_SLASH,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(4972), 1,
      anon_sym_extends,
    STATE(2500), 1,
      sym_type_arguments,
    STATE(2501), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3241), 1,
      sym_constraint,
    STATE(3643), 1,
      sym_default_type,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [97772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_EQ,
    ACTIONS(3300), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [97798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3616), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97824] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4953), 1,
      anon_sym_EQ,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4957), 1,
      anon_sym_COMMA,
    ACTIONS(4959), 1,
      anon_sym_COLON,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4963), 1,
      anon_sym_GT,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(4972), 1,
      anon_sym_extends,
    ACTIONS(4974), 1,
      anon_sym_SLASH,
    STATE(2509), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2511), 1,
      sym_type_arguments,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3241), 1,
      sym_constraint,
    STATE(3643), 1,
      sym_default_type,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [97880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3620), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3476), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3624), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [97958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_EQ,
    ACTIONS(3588), 17,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_BQUOTE,
      anon_sym_extends,
      anon_sym_implements,
  [97984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3476), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3476), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3620), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3624), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3281), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3285), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3630), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3634), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3630), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3634), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3281), 16,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LT,
    STATE(2173), 1,
      sym_type_arguments,
    ACTIONS(3231), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_DOT,
    ACTIONS(3575), 1,
      anon_sym_EQ,
    ACTIONS(3577), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3561), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3557), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3553), 15,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_GT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4976), 1,
      anon_sym_LBRACK,
    ACTIONS(4978), 1,
      anon_sym_DOT,
    ACTIONS(4980), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3487), 2,
      anon_sym_EQ,
      anon_sym_QMARK,
    ACTIONS(3489), 12,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 1,
      anon_sym_PIPE,
    ACTIONS(1199), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 1,
      anon_sym_PIPE,
    ACTIONS(1211), 15,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(3233), 1,
      anon_sym_PIPE,
    ACTIONS(4982), 1,
      anon_sym_LBRACK,
    ACTIONS(4984), 1,
      anon_sym_DOT,
    ACTIONS(4986), 1,
      anon_sym_QMARK_DOT,
    STATE(2296), 1,
      sym_arguments,
    ACTIONS(3235), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 1,
      anon_sym_EQ,
    ACTIONS(3600), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(3243), 1,
      anon_sym_PIPE,
    ACTIONS(4988), 1,
      anon_sym_LBRACK,
    ACTIONS(4990), 1,
      anon_sym_DOT,
    ACTIONS(4992), 1,
      anon_sym_QMARK_DOT,
    STATE(2294), 1,
      sym_arguments,
    ACTIONS(3245), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_EQ,
    ACTIONS(3435), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4994), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [98613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_EQ,
    ACTIONS(3646), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_EQ,
    ACTIONS(3650), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4996), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [98680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 1,
      anon_sym_EQ,
    ACTIONS(3393), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_EQ,
    ACTIONS(1221), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_EQ,
    ACTIONS(3642), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4998), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [98770] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_PIPE,
    ACTIONS(5000), 1,
      anon_sym_LT,
    ACTIONS(5002), 1,
      anon_sym_DOT,
    ACTIONS(5004), 1,
      anon_sym_is,
    STATE(2405), 1,
      sym_type_arguments,
    ACTIONS(2811), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [98801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_EQ,
    ACTIONS(3231), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_EQ,
    ACTIONS(3638), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3421), 1,
      anon_sym_EQ,
    ACTIONS(5006), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_EQ,
    ACTIONS(4949), 1,
      anon_sym_is,
    ACTIONS(3277), 13,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5008), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [98918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_EQ,
    ACTIONS(3361), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_EQ,
    ACTIONS(3277), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [98964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5010), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [98985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_EQ,
    ACTIONS(5006), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 13,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_EQ,
    ACTIONS(3468), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 1,
      anon_sym_EQ,
    ACTIONS(3472), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5012), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [99077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 1,
      anon_sym_EQ,
    ACTIONS(3405), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_EQ,
    ACTIONS(3271), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 1,
      anon_sym_EQ,
    ACTIONS(3565), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_EQ,
    ACTIONS(3569), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_EQ,
    ACTIONS(3545), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_EQ,
    ACTIONS(3531), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99215] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2762), 1,
      anon_sym_LBRACK,
    ACTIONS(2764), 1,
      anon_sym_DOT,
    ACTIONS(2768), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(2772), 1,
      anon_sym_PIPE,
    STATE(2297), 1,
      sym_arguments,
    ACTIONS(2758), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_EQ,
    ACTIONS(3521), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_EQ,
    ACTIONS(3419), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_EQ,
    ACTIONS(3573), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 1,
      anon_sym_EQ,
    ACTIONS(3509), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_EQ,
    ACTIONS(3584), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_EQ,
    ACTIONS(3592), 14,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [99386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3499), 1,
      anon_sym_EQ,
    ACTIONS(5006), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3501), 10,
      anon_sym_as,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [99413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE,
    ACTIONS(3476), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5016), 1,
      sym_number,
    STATE(4010), 1,
      sym_string,
    STATE(4011), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5018), 1,
      sym_number,
    STATE(3904), 1,
      sym_string,
    STATE(3908), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5020), 1,
      sym_number,
    STATE(3919), 1,
      sym_string,
    STATE(3920), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5022), 1,
      sym_number,
    STATE(3923), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5024), 1,
      sym_number,
    STATE(3927), 1,
      sym_string,
    STATE(3928), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99583] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5026), 1,
      sym_number,
    STATE(3933), 1,
      sym_string,
    STATE(3934), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99613] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5032), 1,
      anon_sym_BANG,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5036), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2983), 1,
      sym_type_annotation,
    STATE(3520), 1,
      sym__call_signature,
    STATE(3523), 1,
      sym__initializer,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5030), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99655] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5038), 1,
      sym_number,
    STATE(3936), 1,
      sym_string,
    STATE(3937), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_PIPE,
    ACTIONS(3439), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99707] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5042), 1,
      anon_sym_BANG,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5046), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2811), 1,
      sym__call_signature,
    STATE(3100), 1,
      sym_type_annotation,
    STATE(3343), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5040), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [99749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_PIPE,
    ACTIONS(3281), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_PIPE,
    ACTIONS(3281), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3279), 1,
      anon_sym_PIPE,
    ACTIONS(3281), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PIPE,
    ACTIONS(3445), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99837] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5048), 1,
      sym_number,
    STATE(3895), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99865] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5050), 1,
      sym_number,
    STATE(4177), 1,
      sym_string,
    STATE(4178), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PIPE,
    ACTIONS(3445), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [99917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5052), 1,
      sym_number,
    STATE(3916), 1,
      sym_predefined_type,
    STATE(3917), 1,
      sym_string,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99947] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5054), 1,
      sym_number,
    STATE(4169), 1,
      sym_string,
    STATE(4175), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [99977] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5056), 1,
      sym_number,
    STATE(3913), 1,
      sym_predefined_type,
    STATE(3914), 1,
      sym_string,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3443), 1,
      anon_sym_PIPE,
    ACTIONS(3445), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100029] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5058), 1,
      sym_number,
    STATE(4160), 1,
      sym_string,
    STATE(4165), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5060), 1,
      sym_number,
    STATE(3910), 1,
      sym_predefined_type,
    STATE(3911), 1,
      sym_string,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5062), 1,
      sym_number,
    STATE(4149), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100117] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5042), 1,
      anon_sym_BANG,
    ACTIONS(5064), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3100), 1,
      sym_type_annotation,
    STATE(3412), 1,
      sym__call_signature,
    STATE(3539), 1,
      sym__initializer,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5040), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100159] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5068), 1,
      anon_sym_BANG,
    ACTIONS(5070), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2850), 1,
      sym__call_signature,
    STATE(3184), 1,
      sym_type_annotation,
    STATE(3550), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5066), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [100201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3283), 1,
      anon_sym_PIPE,
    ACTIONS(3285), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5072), 1,
      sym_number,
    STATE(4147), 1,
      sym_string,
    STATE(4148), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100253] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5074), 1,
      sym_number,
    STATE(4142), 1,
      sym_string,
    STATE(4145), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100283] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5076), 1,
      sym_number,
    STATE(4131), 1,
      sym_string,
    STATE(4137), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5078), 1,
      sym_number,
    STATE(4126), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(3584), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [100369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(3596), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_extends,
  [100393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3525), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(3527), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [100421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3429), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(3431), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_extends,
  [100447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE,
    ACTIONS(3476), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100469] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(3513), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_extends,
  [100493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(3650), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [100521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_EQ,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(3401), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
  [100549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5086), 1,
      sym_number,
    STATE(4007), 1,
      sym_string,
    STATE(4008), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_PIPE,
    ACTIONS(3476), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_PIPE,
    ACTIONS(3604), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5088), 1,
      sym_number,
    STATE(3898), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_PIPE,
    ACTIONS(3439), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_PIPE,
    ACTIONS(3439), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 1,
      anon_sym_PIPE,
    ACTIONS(3505), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5090), 1,
      sym_number,
    STATE(4100), 1,
      sym_string,
    STATE(4101), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5092), 1,
      sym_number,
    STATE(4089), 1,
      sym_string,
    STATE(4095), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100777] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5094), 1,
      sym_number,
    STATE(4084), 1,
      sym_string,
    STATE(4085), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5096), 1,
      sym_number,
    STATE(4082), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 1,
      anon_sym_PIPE,
    ACTIONS(3505), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5098), 1,
      sym_number,
    STATE(4079), 1,
      sym_string,
    STATE(4081), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100887] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5100), 1,
      sym_number,
    STATE(4070), 1,
      sym_string,
    STATE(4072), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5102), 1,
      sym_number,
    STATE(4064), 1,
      sym_string,
    STATE(4068), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5104), 1,
      sym_number,
    STATE(4061), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [100975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_PIPE,
    ACTIONS(3608), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [100997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3503), 1,
      anon_sym_PIPE,
    ACTIONS(3505), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_PIPE,
    ACTIONS(3539), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101041] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5106), 1,
      sym_number,
    STATE(3900), 1,
      sym_string,
    STATE(3901), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101071] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5110), 1,
      anon_sym_BANG,
    ACTIONS(5112), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2730), 1,
      sym__call_signature,
    STATE(3181), 1,
      sym_type_annotation,
    STATE(3327), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_PIPE,
    ACTIONS(3539), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3537), 1,
      anon_sym_PIPE,
    ACTIONS(3539), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3547), 1,
      anon_sym_PIPE,
    ACTIONS(3549), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_PIPE,
    ACTIONS(5000), 1,
      anon_sym_LT,
    ACTIONS(5002), 1,
      anon_sym_DOT,
    STATE(2405), 1,
      sym_type_arguments,
    ACTIONS(2811), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101207] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5116), 1,
      anon_sym_BANG,
    ACTIONS(5118), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2802), 1,
      sym__call_signature,
    STATE(3093), 1,
      sym_type_annotation,
    STATE(3348), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5114), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3185), 1,
      anon_sym_extends,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    ACTIONS(5124), 1,
      anon_sym_GT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(5120), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(5122), 2,
      anon_sym_LBRACE,
      sym_jsx_identifier,
    ACTIONS(2811), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
  [101283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_PIPE,
    ACTIONS(3612), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_PIPE,
    ACTIONS(3616), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_PIPE,
    ACTIONS(3630), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_PIPE,
    ACTIONS(3634), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5127), 1,
      sym_number,
    STATE(3981), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101421] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5129), 1,
      sym_number,
    STATE(3983), 1,
      sym_string,
    STATE(3984), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5131), 1,
      sym_number,
    STATE(3881), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_PIPE,
    ACTIONS(3630), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101501] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5133), 1,
      sym_number,
    STATE(3892), 1,
      sym_predefined_type,
    STATE(3893), 1,
      sym_string,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5135), 1,
      sym_number,
    STATE(3986), 1,
      sym_string,
    STATE(3988), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5137), 1,
      sym_number,
    STATE(3993), 1,
      sym_string,
    STATE(3996), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101591] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5139), 1,
      sym_number,
    STATE(4001), 1,
      sym_string,
    STATE(4004), 1,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5141), 1,
      sym_number,
    STATE(3997), 2,
      sym_string,
      sym_predefined_type,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3624), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_PIPE,
    ACTIONS(3620), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_PIPE,
    ACTIONS(3612), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_PIPE,
    ACTIONS(3624), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5143), 1,
      sym_number,
    STATE(3889), 1,
      sym_predefined_type,
    STATE(3890), 1,
      sym_string,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101767] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5032), 1,
      anon_sym_BANG,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5145), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2897), 1,
      sym__call_signature,
    STATE(2983), 1,
      sym_type_annotation,
    STATE(3462), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5030), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [101809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_PIPE,
    ACTIONS(3620), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_PIPE,
    ACTIONS(3616), 13,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101853] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5147), 1,
      sym_number,
    STATE(3886), 1,
      sym_predefined_type,
    STATE(3887), 1,
      sym_string,
    ACTIONS(5014), 9,
      anon_sym_void,
      anon_sym_any,
      anon_sym_number,
      anon_sym_boolean,
      anon_sym_string,
      anon_sym_symbol,
      anon_sym_unknown,
      anon_sym_never,
      anon_sym_object,
  [101883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_LPAREN,
    ACTIONS(5151), 1,
      anon_sym_LBRACK,
    ACTIONS(5153), 1,
      anon_sym_DOT,
    ACTIONS(5155), 1,
      anon_sym_QMARK_DOT,
    STATE(2407), 1,
      sym_arguments,
    ACTIONS(3245), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [101912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_PIPE,
    ACTIONS(5000), 1,
      anon_sym_LT,
    STATE(2420), 1,
      sym_type_arguments,
    ACTIONS(3231), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_PIPE,
    ACTIONS(3061), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [101958] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5161), 1,
      anon_sym_SLASH,
    STATE(2530), 1,
      sym_type_arguments,
    STATE(2538), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [101999] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5165), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2934), 1,
      sym__call_signature,
    STATE(2957), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5163), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102034] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5169), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2661), 1,
      sym__call_signature,
    STATE(3155), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5167), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102069] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5171), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3155), 1,
      sym_type_annotation,
    STATE(3156), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5167), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102104] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5175), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3194), 1,
      sym__call_signature,
    STATE(3195), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5173), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_EQ,
    ACTIONS(3185), 1,
      anon_sym_PIPE,
    ACTIONS(5000), 1,
      anon_sym_LT,
    ACTIONS(5002), 1,
      anon_sym_DOT,
    STATE(2405), 1,
      sym_type_arguments,
    ACTIONS(5177), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2811), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102170] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5182), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2644), 1,
      sym__call_signature,
    STATE(2996), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5180), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102205] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_LPAREN,
    ACTIONS(5184), 1,
      anon_sym_LBRACK,
    ACTIONS(5186), 1,
      anon_sym_DOT,
    ACTIONS(5188), 1,
      anon_sym_QMARK_DOT,
    STATE(2411), 1,
      sym_arguments,
    ACTIONS(3235), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_PIPE,
    ACTIONS(3065), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_PIPE,
    ACTIONS(3069), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 1,
      anon_sym_LT,
    ACTIONS(5192), 1,
      anon_sym_DOT,
    ACTIONS(5194), 1,
      anon_sym_is,
    STATE(2462), 1,
      sym_type_arguments,
    ACTIONS(2811), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102303] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5196), 1,
      anon_sym_COLON,
    ACTIONS(5198), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2630), 1,
      sym__call_signature,
    STATE(3195), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5173), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102338] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5200), 1,
      anon_sym_SLASH,
    STATE(2566), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2568), 1,
      sym_type_arguments,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [102379] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5204), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2672), 1,
      sym__call_signature,
    STATE(3059), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5202), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_DOT,
    ACTIONS(3575), 1,
      anon_sym_PIPE,
    ACTIONS(3577), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102437] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(2915), 1,
      anon_sym_EQ,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    ACTIONS(5206), 1,
      anon_sym_QMARK,
    STATE(2176), 1,
      sym_type_arguments,
    STATE(3740), 1,
      sym_type_annotation,
    ACTIONS(5177), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2811), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102472] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5175), 1,
      anon_sym_QMARK,
    ACTIONS(5209), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3194), 1,
      sym__call_signature,
    STATE(3195), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5173), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102507] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5211), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2692), 1,
      sym__call_signature,
    STATE(2957), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5163), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3559), 1,
      anon_sym_PIPE,
    ACTIONS(3561), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102563] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5213), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3011), 1,
      sym__call_signature,
    STATE(3059), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5202), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3555), 1,
      anon_sym_PIPE,
    ACTIONS(3557), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3551), 1,
      anon_sym_PIPE,
    ACTIONS(3553), 12,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_LPAREN,
    ACTIONS(5215), 1,
      anon_sym_LBRACK,
    ACTIONS(5217), 1,
      anon_sym_DOT,
    ACTIONS(5219), 1,
      anon_sym_QMARK_DOT,
    STATE(2367), 1,
      sym_arguments,
    ACTIONS(2758), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3487), 1,
      anon_sym_PIPE,
    ACTIONS(5221), 1,
      anon_sym_LBRACK,
    ACTIONS(5223), 1,
      anon_sym_DOT,
    ACTIONS(5225), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3489), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [102696] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5227), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2996), 1,
      sym_type_annotation,
    STATE(2998), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5180), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [102777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2929), 1,
      sym_type_annotation,
    STATE(2941), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5229), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [102863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3445), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [102953] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4966), 1,
      anon_sym_SLASH,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5159), 1,
      anon_sym_GT,
    STATE(2500), 1,
      sym_type_arguments,
    STATE(2502), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [102991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103009] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2636), 1,
      sym__call_signature,
    STATE(2929), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5229), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103041] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_PIPE,
    ACTIONS(5004), 1,
      anon_sym_is,
    ACTIONS(3277), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [103063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2999), 1,
      sym_type_annotation,
    STATE(3007), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5231), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103095] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(4974), 1,
      anon_sym_SLASH,
    ACTIONS(5159), 1,
      anon_sym_GT,
    STATE(2504), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2511), 1,
      sym_type_arguments,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [103133] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2797), 1,
      sym__call_signature,
    STATE(3074), 1,
      sym_type_annotation,
    STATE(3326), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5233), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103169] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2902), 1,
      sym__call_signature,
    STATE(2981), 1,
      sym_type_annotation,
    STATE(3468), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2666), 1,
      sym__call_signature,
    STATE(3177), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5237), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103237] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2645), 1,
      sym__call_signature,
    STATE(2999), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5231), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103269] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2981), 1,
      sym_type_annotation,
    STATE(3483), 1,
      sym__call_signature,
    STATE(3493), 1,
      sym__initializer,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103305] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3101), 1,
      sym__call_signature,
    STATE(3106), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5239), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2653), 1,
      sym__call_signature,
    STATE(3106), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5239), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [103369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103387] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    ACTIONS(5206), 1,
      anon_sym_QMARK,
    STATE(2176), 1,
      sym_type_arguments,
    STATE(3740), 1,
      sym_type_annotation,
    ACTIONS(2811), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3476), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3505), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3539), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3539), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3539), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    ACTIONS(5177), 1,
      anon_sym_RPAREN,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(2915), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [103589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3549), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103661] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2738), 1,
      sym__call_signature,
    STATE(2918), 1,
      sym_type_annotation,
    STATE(3559), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5241), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103697] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5200), 1,
      anon_sym_SLASH,
    STATE(2565), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2568), 1,
      sym_type_arguments,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [103735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 12,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [103933] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2918), 1,
      sym_type_annotation,
    STATE(3329), 1,
      sym__initializer,
    STATE(3459), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5241), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [103969] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2976), 1,
      sym__call_signature,
    STATE(2978), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5243), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104001] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5161), 1,
      anon_sym_SLASH,
    STATE(2530), 1,
      sym_type_arguments,
    STATE(2539), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [104039] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2987), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [104067] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2865), 1,
      sym__call_signature,
    STATE(3099), 1,
      sym_type_annotation,
    STATE(3379), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5245), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2977), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [104131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [104159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3177), 1,
      sym_type_annotation,
    STATE(3178), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5237), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104191] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2830), 1,
      sym__call_signature,
    STATE(3147), 1,
      sym_type_annotation,
    STATE(3437), 1,
      sym__initializer,
    STATE(3829), 1,
      sym_type_parameters,
    ACTIONS(5247), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [104227] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2974), 1,
      anon_sym_COMMA,
    ACTIONS(2993), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [104255] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2670), 1,
      sym__call_signature,
    STATE(2978), 1,
      sym_type_annotation,
    STATE(3689), 1,
      sym_type_parameters,
    ACTIONS(5243), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 1,
      anon_sym_LT,
    ACTIONS(5192), 1,
      anon_sym_DOT,
    STATE(2462), 1,
      sym_type_arguments,
    ACTIONS(2811), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5190), 1,
      anon_sym_LT,
    STATE(2464), 1,
      sym_type_arguments,
    ACTIONS(3231), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3507), 1,
      anon_sym_PIPE,
    ACTIONS(3509), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3553), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3563), 1,
      anon_sym_PIPE,
    ACTIONS(3565), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3567), 1,
      anon_sym_PIPE,
    ACTIONS(3569), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3571), 1,
      anon_sym_PIPE,
    ACTIONS(3573), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(3584), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [104448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_PIPE,
    ACTIONS(3584), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym_PIPE,
    ACTIONS(3592), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_PIPE,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(3596), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104507] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 1,
      anon_sym_PIPE,
    ACTIONS(3600), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104543] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5255), 1,
      anon_sym_LBRACK,
    ACTIONS(5257), 1,
      anon_sym_DOT,
    ACTIONS(5259), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(3489), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3433), 1,
      anon_sym_PIPE,
    ACTIONS(3435), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 1,
      anon_sym_PIPE,
    ACTIONS(3231), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3421), 1,
      anon_sym_PIPE,
    ACTIONS(5261), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1763), 1,
      anon_sym_PIPE,
    ACTIONS(1761), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE,
    ACTIONS(3449), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_DOT,
    ACTIONS(3577), 10,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [104699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3275), 1,
      anon_sym_PIPE,
    ACTIONS(3277), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      anon_sym_PIPE,
    ACTIONS(3361), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(1755), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 1,
      anon_sym_PIPE,
    ACTIONS(3393), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_PIPE,
    ACTIONS(3271), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_PIPE,
    ACTIONS(1221), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104813] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3421), 1,
      anon_sym_PIPE,
    ACTIONS(5261), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 2,
      anon_sym_AMP,
      anon_sym_extends,
    ACTIONS(3501), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [104836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [104853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3511), 1,
      anon_sym_PIPE,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(3513), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_PIPE,
    ACTIONS(3588), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(3401), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [104916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1749), 1,
      anon_sym_PIPE,
    ACTIONS(1747), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_PIPE,
    ACTIONS(3638), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_PIPE,
    ACTIONS(3642), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3407), 1,
      anon_sym_PIPE,
    ACTIONS(3405), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [104992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      anon_sym_PIPE,
    ACTIONS(3646), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(3650), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [105034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_PIPE,
    ACTIONS(3650), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_PIPE,
    ACTIONS(3300), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3517), 1,
      anon_sym_PIPE,
    ACTIONS(3419), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_PIPE,
    ACTIONS(3521), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_PIPE,
    ACTIONS(1751), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3561), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(3431), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(3527), 8,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE_RBRACE,
  [105207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3557), 11,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 11,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [105241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3529), 1,
      anon_sym_PIPE,
    ACTIONS(3531), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105260] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2865), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5263), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2811), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3533), 1,
      anon_sym_PIPE,
    ACTIONS(5261), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 9,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3005), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [105333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3470), 1,
      anon_sym_PIPE,
    ACTIONS(3472), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_PIPE,
    ACTIONS(3468), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_PIPE,
    ACTIONS(1743), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_PIPE,
    ACTIONS(3545), 10,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [105429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_COLON,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105453] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5268), 1,
      anon_sym_LT,
    ACTIONS(5270), 1,
      sym_jsx_text,
    ACTIONS(5272), 1,
      sym_comment,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(3558), 1,
      sym_jsx_closing_element,
    STATE(2428), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [105479] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_PIPE,
    ACTIONS(4276), 1,
      anon_sym_EQ,
    ACTIONS(5274), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1755), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [105501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5277), 1,
      sym_identifier,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    STATE(1736), 1,
      sym_class_body,
    STATE(2687), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3655), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [105535] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LT,
    ACTIONS(5287), 1,
      sym_jsx_text,
    STATE(1785), 1,
      sym_jsx_closing_element,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [105561] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5289), 1,
      sym_identifier,
    STATE(1736), 1,
      sym_class_body,
    STATE(2687), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3655), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [105595] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5268), 1,
      anon_sym_LT,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_jsx_text,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(3344), 1,
      sym_jsx_closing_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [105621] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(3055), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 7,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACE,
  [105641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON,
    STATE(2900), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5291), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105661] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5295), 1,
      sym_identifier,
    STATE(1715), 1,
      sym_class_body,
    STATE(2675), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3610), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [105695] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_LT,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      anon_sym_SQUOTE,
    STATE(2443), 1,
      sym_jsx_opening_element,
    STATE(3067), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [105721] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4939), 1,
      anon_sym_LBRACK,
    ACTIONS(4941), 1,
      anon_sym_DOT,
    ACTIONS(4943), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5303), 1,
      anon_sym_LPAREN,
    STATE(2138), 1,
      sym_arguments,
    ACTIONS(3245), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4933), 1,
      anon_sym_LBRACK,
    ACTIONS(4935), 1,
      anon_sym_DOT,
    ACTIONS(4937), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5303), 1,
      anon_sym_LPAREN,
    STATE(2139), 1,
      sym_arguments,
    ACTIONS(3235), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105773] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2794), 1,
      anon_sym_LBRACK,
    ACTIONS(2796), 1,
      anon_sym_DOT,
    ACTIONS(2798), 1,
      anon_sym_QMARK_DOT,
    ACTIONS(5303), 1,
      anon_sym_LPAREN,
    STATE(2140), 1,
      sym_arguments,
    ACTIONS(2758), 5,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105799] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5200), 1,
      anon_sym_SLASH,
    STATE(2570), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [105831] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(5297), 1,
      anon_sym_LT,
    ACTIONS(5299), 1,
      anon_sym_DQUOTE,
    ACTIONS(5301), 1,
      anon_sym_SQUOTE,
    STATE(2443), 1,
      sym_jsx_opening_element,
    STATE(3073), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [105857] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5305), 1,
      sym_identifier,
    STATE(1736), 1,
      sym_class_body,
    STATE(2687), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3655), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [105891] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4945), 1,
      anon_sym_LT,
    ACTIONS(4947), 1,
      anon_sym_DOT,
    ACTIONS(5307), 1,
      anon_sym_is,
    STATE(2176), 1,
      sym_type_arguments,
    ACTIONS(2811), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [105915] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5309), 1,
      sym_identifier,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1291), 1,
      sym_class_body,
    STATE(2721), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3825), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [105949] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_jsx_text,
    ACTIONS(5313), 1,
      anon_sym_LT,
    STATE(1293), 1,
      sym_jsx_closing_element,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [105975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5293), 1,
      anon_sym_COLON,
    STATE(2727), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5315), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [105995] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LT,
    ACTIONS(5319), 1,
      sym_jsx_text,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(3105), 1,
      sym_jsx_closing_element,
    STATE(2450), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [106021] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5321), 1,
      sym_identifier,
    STATE(1303), 1,
      sym_class_body,
    STATE(2651), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3834), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [106055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(5323), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [106077] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4974), 1,
      anon_sym_SLASH,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5159), 1,
      anon_sym_GT,
    STATE(2512), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [106109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 1,
      anon_sym_is,
    ACTIONS(3277), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym_PIPE,
    ACTIONS(4274), 1,
      anon_sym_EQ,
    ACTIONS(5325), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3271), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [106149] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5330), 1,
      anon_sym_BANG,
    STATE(3035), 1,
      sym_type_annotation,
    STATE(3385), 1,
      sym__initializer,
    ACTIONS(5332), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106177] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_jsx_text,
    ACTIONS(5317), 1,
      anon_sym_LT,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2992), 1,
      sym_jsx_closing_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [106203] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5334), 1,
      sym_identifier,
    STATE(1736), 1,
      sym_class_body,
    STATE(2687), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3655), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [106237] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 1,
      sym_identifier,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    STATE(3632), 1,
      sym_import_clause,
    STATE(3633), 1,
      sym_string,
    STATE(3634), 1,
      sym_import_require_clause,
    STATE(4152), 2,
      sym_namespace_import,
      sym_named_imports,
  [106269] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5313), 1,
      anon_sym_LT,
    ACTIONS(5340), 1,
      sym_jsx_text,
    STATE(1329), 1,
      sym_jsx_closing_element,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2441), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [106295] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5342), 1,
      sym_identifier,
    STATE(1715), 1,
      sym_class_body,
    STATE(2675), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3610), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [106329] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1223), 1,
      anon_sym_PIPE,
    ACTIONS(1759), 1,
      anon_sym_EQ,
    ACTIONS(5344), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1221), 6,
      sym__automatic_semicolon,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_extends,
      anon_sym_PIPE_RBRACE,
  [106351] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4966), 1,
      anon_sym_SLASH,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5159), 1,
      anon_sym_GT,
    STATE(2499), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [106383] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5347), 1,
      sym_identifier,
    STATE(1715), 1,
      sym_class_body,
    STATE(2675), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3610), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [106417] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5161), 1,
      anon_sym_SLASH,
    STATE(2496), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [106449] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5281), 1,
      anon_sym_extends,
    ACTIONS(5283), 1,
      anon_sym_implements,
    ACTIONS(5349), 1,
      sym_identifier,
    STATE(1715), 1,
      sym_class_body,
    STATE(2675), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3610), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [106483] = 7,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5285), 1,
      anon_sym_LT,
    ACTIONS(5351), 1,
      sym_jsx_text,
    STATE(1668), 1,
      sym_jsx_closing_element,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2426), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [106509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3521), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(5357), 1,
      anon_sym_PIPE,
    ACTIONS(3431), 7,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_extends,
  [106558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3545), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5359), 1,
      anon_sym_GT,
    ACTIONS(5361), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [106602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3468), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3472), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106662] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(505), 1,
      sym_class_body,
    STATE(2702), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3702), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [106693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4449), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [106718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5369), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106748] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5371), 1,
      anon_sym_LT,
    ACTIONS(5373), 1,
      sym_jsx_text,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2482), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [106771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4274), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4276), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [106801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4404), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [106826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106871] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(5357), 1,
      anon_sym_PIPE,
    ACTIONS(5375), 1,
      anon_sym_extends,
    ACTIONS(3650), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [106892] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_jsx_text,
    ACTIONS(5377), 1,
      anon_sym_LT,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [106915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106930] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3184), 1,
      sym_type_annotation,
    STATE(3535), 1,
      sym__initializer,
    ACTIONS(5068), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5066), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [106955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [106985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4966), 1,
      anon_sym_SLASH,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5159), 1,
      anon_sym_GT,
    STATE(2503), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107014] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3100), 1,
      sym_type_annotation,
    STATE(3401), 1,
      sym__initializer,
    ACTIONS(5042), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5040), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107039] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(590), 1,
      sym_class_body,
    STATE(2629), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3748), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [107070] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4459), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [107095] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_class_body,
    STATE(2655), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3687), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [107126] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_jsx_text,
    ACTIONS(5381), 1,
      anon_sym_LT,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [107149] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(135), 1,
      sym_class_body,
    STATE(2708), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3697), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [107180] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5385), 1,
      anon_sym_EQ,
    ACTIONS(5323), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_EQ_GT,
  [107203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5161), 1,
      anon_sym_SLASH,
    STATE(2573), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5387), 1,
      anon_sym_GT,
    ACTIONS(5389), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107261] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5391), 1,
      anon_sym_GT,
    ACTIONS(5393), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107290] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5395), 1,
      anon_sym_LT,
    ACTIONS(5397), 1,
      sym_jsx_text,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2492), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [107313] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5387), 1,
      anon_sym_GT,
    ACTIONS(5399), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107342] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5401), 1,
      anon_sym_GT,
    ACTIONS(5403), 1,
      anon_sym_SLASH,
    STATE(2516), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5405), 1,
      anon_sym_GT,
    ACTIONS(5407), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107400] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5409), 1,
      anon_sym_GT,
    ACTIONS(5411), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5391), 1,
      anon_sym_GT,
    ACTIONS(5413), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5409), 1,
      anon_sym_GT,
    ACTIONS(5415), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107487] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5417), 1,
      anon_sym_LT,
    ACTIONS(5419), 1,
      sym_jsx_text,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2523), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [107510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [107525] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(4974), 1,
      anon_sym_SLASH,
    ACTIONS(5159), 1,
      anon_sym_GT,
    STATE(2497), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107554] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(136), 1,
      sym_class_body,
    STATE(2632), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3652), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [107585] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5405), 1,
      anon_sym_GT,
    ACTIONS(5421), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [107629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5401), 1,
      anon_sym_GT,
    ACTIONS(5423), 1,
      anon_sym_SLASH,
    STATE(2465), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107658] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5387), 1,
      anon_sym_GT,
    ACTIONS(5425), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(5357), 1,
      anon_sym_PIPE,
    ACTIONS(5375), 1,
      anon_sym_extends,
    ACTIONS(3401), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [107708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [107723] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_jsx_text,
    ACTIONS(5427), 1,
      anon_sym_LT,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [107746] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5359), 1,
      anon_sym_GT,
    ACTIONS(5429), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [107775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(3596), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [107792] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2983), 1,
      sym_type_annotation,
    STATE(3472), 1,
      sym__initializer,
    ACTIONS(5032), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5030), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [107832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [107847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(5357), 1,
      anon_sym_PIPE,
    ACTIONS(5375), 1,
      anon_sym_extends,
    ACTIONS(3584), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [107868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3573), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [107883] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5287), 1,
      sym_jsx_text,
    ACTIONS(5431), 1,
      anon_sym_LT,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [107906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3035), 1,
      sym_type_annotation,
    STATE(3399), 1,
      sym__initializer,
    ACTIONS(5332), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(5328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [107931] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1556), 1,
      sym_class_body,
    STATE(2615), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3724), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [107962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5433), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [107977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3569), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [107992] = 6,
    ACTIONS(5266), 1,
      anon_sym_LBRACE,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5435), 1,
      anon_sym_LT,
    ACTIONS(5437), 1,
      sym_jsx_text,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2515), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [108015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3565), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108030] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5401), 1,
      anon_sym_GT,
    ACTIONS(5439), 1,
      anon_sym_SLASH,
    STATE(2586), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1521), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [108084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 1,
      anon_sym_COLON,
    STATE(3139), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5315), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108133] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1537), 1,
      sym_class_body,
    STATE(2658), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3747), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [108164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5441), 1,
      anon_sym_COLON,
    STATE(3034), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
    ACTIONS(5291), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108183] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3551), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [108208] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5405), 1,
      anon_sym_GT,
    ACTIONS(5443), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108237] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5409), 1,
      anon_sym_GT,
    ACTIONS(5445), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108266] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4274), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5325), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3271), 5,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4276), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5274), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1755), 5,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108304] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1593), 1,
      sym_class_body,
    STATE(2622), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3836), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [108335] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5359), 1,
      anon_sym_GT,
    ACTIONS(5447), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108364] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(498), 1,
      sym_class_body,
    STATE(2714), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3665), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [108395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5274), 1,
      anon_sym_RPAREN,
    ACTIONS(1755), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4276), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [108414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5325), 1,
      anon_sym_RPAREN,
    ACTIONS(3271), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(4274), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [108433] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5451), 1,
      anon_sym_RPAREN,
    ACTIONS(3277), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5449), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [108452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3531), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108484] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3043), 1,
      sym_type_annotation,
    STATE(3384), 1,
      sym__initializer,
    ACTIONS(5458), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5456), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(5357), 1,
      anon_sym_PIPE,
    ACTIONS(5375), 1,
      anon_sym_extends,
    ACTIONS(3527), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
  [108530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3419), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3405), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(3513), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [108577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [108592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3509), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108607] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(3501), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [108626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3271), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5391), 1,
      anon_sym_GT,
    ACTIONS(5462), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(1525), 1,
      anon_sym_RBRACE,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [108695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [108710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [108725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5344), 1,
      anon_sym_RPAREN,
    ACTIONS(1221), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(1759), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [108744] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1773), 1,
      sym_class_body,
    STATE(2712), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3671), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [108775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5409), 1,
      anon_sym_GT,
    ACTIONS(5466), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108804] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5405), 1,
      anon_sym_GT,
    ACTIONS(5468), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108833] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(2677), 1,
      sym_type_parameters,
    STATE(2911), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3823), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [108864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5401), 1,
      anon_sym_GT,
    ACTIONS(5470), 1,
      anon_sym_SLASH,
    STATE(2543), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 1,
      anon_sym_RPAREN,
    ACTIONS(3277), 4,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
    ACTIONS(5472), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_QMARK,
  [108912] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5387), 1,
      anon_sym_GT,
    ACTIONS(5477), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [108941] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(2640), 1,
      sym_type_parameters,
    STATE(2916), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3778), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [108972] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1265), 1,
      sym_class_body,
    STATE(2723), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3822), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [109003] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5391), 1,
      anon_sym_GT,
    ACTIONS(5479), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [109032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3435), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3231), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 8,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109079] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5159), 1,
      anon_sym_GT,
    ACTIONS(5200), 1,
      anon_sym_SLASH,
    STATE(2559), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [109108] = 6,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(5481), 1,
      anon_sym_LBRACE,
    ACTIONS(5484), 1,
      anon_sym_LT,
    ACTIONS(5487), 1,
      sym_jsx_text,
    STATE(2423), 1,
      sym_jsx_opening_element,
    STATE(2578), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [109131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(2619), 1,
      sym_type_parameters,
    STATE(3132), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3806), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [109177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3361), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 9,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [109207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3181), 1,
      sym_type_annotation,
    STATE(3574), 1,
      sym__initializer,
    ACTIONS(5110), 2,
      anon_sym_BANG,
      anon_sym_QMARK,
    ACTIONS(5108), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3393), 9,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109262] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4951), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_LBRACE,
    ACTIONS(4968), 1,
      sym_jsx_identifier,
    ACTIONS(5359), 1,
      anon_sym_GT,
    ACTIONS(5490), 1,
      anon_sym_SLASH,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [109291] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5492), 1,
      sym_identifier,
    ACTIONS(5495), 1,
      anon_sym_LBRACE,
    ACTIONS(5498), 1,
      anon_sym_GT,
    ACTIONS(5500), 1,
      anon_sym_SLASH,
    ACTIONS(5502), 1,
      sym_jsx_identifier,
    STATE(2587), 1,
      aux_sym__jsx_start_opening_element_repeat1,
    STATE(2842), 1,
      sym_jsx_namespace_name,
    STATE(3185), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [109320] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1750), 1,
      sym_class_body,
    STATE(2694), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3716), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [109351] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1583), 1,
      sym_class_body,
    STATE(2626), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3786), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [109382] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1264), 1,
      sym_class_body,
    STATE(2631), 1,
      sym_type_parameters,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3789), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [109413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(115), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4433), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
    STATE(3531), 1,
      aux_sym_object_repeat1,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [109438] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(2627), 1,
      sym_type_parameters,
    STATE(3188), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3793), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [109469] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 1,
      sym_escape_sequence,
    ACTIONS(5507), 1,
      anon_sym_BQUOTE,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    STATE(2888), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_EQ,
    ACTIONS(5344), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1221), 5,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109511] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 1,
      sym_escape_sequence,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    ACTIONS(5513), 1,
      anon_sym_BQUOTE,
    STATE(2888), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109535] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    ACTIONS(5517), 1,
      anon_sym_DOT,
    STATE(3006), 1,
      sym_statement_block,
    ACTIONS(1141), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [109555] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 1,
      sym_escape_sequence,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    ACTIONS(5519), 1,
      anon_sym_BQUOTE,
    STATE(2888), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3138), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    ACTIONS(5521), 1,
      sym_escape_sequence,
    ACTIONS(5523), 1,
      anon_sym_BQUOTE,
    STATE(2821), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109617] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5355), 1,
      anon_sym_AMP,
    ACTIONS(5357), 1,
      anon_sym_PIPE,
    ACTIONS(5375), 1,
      anon_sym_extends,
    ACTIONS(5323), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 1,
      sym_identifier,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5531), 1,
      anon_sym_enum,
    STATE(3266), 1,
      sym_variable_declarator,
    STATE(2688), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [109661] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 1,
      sym_escape_sequence,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    ACTIONS(5533), 1,
      anon_sym_BQUOTE,
    STATE(2888), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109699] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(5535), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [109719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 8,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_QMARK_DOT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [109733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5251), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(5537), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [109753] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    ACTIONS(5521), 1,
      sym_escape_sequence,
    ACTIONS(5539), 1,
      anon_sym_BQUOTE,
    STATE(2821), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109777] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5525), 1,
      sym_identifier,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5541), 1,
      anon_sym_enum,
    STATE(3254), 1,
      sym_variable_declarator,
    STATE(2688), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [109801] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 1,
      sym_escape_sequence,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    ACTIONS(5543), 1,
      anon_sym_BQUOTE,
    STATE(2888), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109825] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5330), 1,
      anon_sym_BANG,
    STATE(3035), 1,
      sym_type_annotation,
    STATE(3385), 1,
      sym__initializer,
    ACTIONS(5328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [109849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5505), 1,
      sym_escape_sequence,
    ACTIONS(5509), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5511), 1,
      sym__template_chars,
    ACTIONS(5545), 1,
      anon_sym_BQUOTE,
    STATE(2888), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [109873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      anon_sym_while,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1303), 5,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
  [109889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(3950), 1,
      anon_sym_COMMA,
    STATE(3246), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(5547), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
    STATE(1298), 2,
      sym_template_string,
      sym_arguments,
  [109913] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5549), 1,
      sym_identifier,
    ACTIONS(5551), 1,
      anon_sym_STAR,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3611), 1,
      sym__call_signature,
  [109938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1451), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3710), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [109963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [109976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3809), 1,
      sym_statement_block,
    ACTIONS(5557), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [109993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4276), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [110006] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(3137), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3780), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4274), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [110044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [110057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1446), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3814), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3801), 1,
      sym_statement_block,
    ACTIONS(5559), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3805), 1,
      sym_statement_block,
    ACTIONS(5561), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5433), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [110129] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1573), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3779), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(2946), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3777), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110179] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5563), 1,
      anon_sym_COLON,
    ACTIONS(5565), 1,
      anon_sym_QMARK,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3631), 1,
      sym__call_signature,
  [110204] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3769), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3670), 1,
      sym_statement_block,
    ACTIONS(5567), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110246] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1300), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3775), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(118), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3680), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110296] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5569), 1,
      sym_identifier,
    ACTIONS(5571), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3647), 1,
      sym__call_signature,
  [110321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2925), 1,
      sym_type_annotation,
    ACTIONS(5573), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110338] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(5575), 1,
      sym_identifier,
    ACTIONS(5577), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      sym_private_property_identifier,
    STATE(1295), 1,
      sym_arguments,
    STATE(3827), 1,
      sym_type_arguments,
  [110363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3819), 1,
      sym_statement_block,
    ACTIONS(5581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3799), 1,
      sym_statement_block,
    ACTIONS(5583), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3810), 1,
      sym_statement_block,
    ACTIONS(5581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3588), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_BQUOTE,
  [110429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(3102), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3764), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4665), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [110471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3074), 1,
      sym_type_annotation,
    STATE(3347), 1,
      sym__initializer,
    ACTIONS(5233), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [110492] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(5585), 1,
      anon_sym_LT,
    ACTIONS(5587), 1,
      anon_sym_extends,
    STATE(2965), 1,
      sym_type_parameters,
    STATE(3048), 1,
      sym_object_type,
    STATE(3488), 1,
      sym_extends_type_clause,
  [110517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3818), 1,
      sym_statement_block,
    ACTIONS(5589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3817), 1,
      sym_statement_block,
    ACTIONS(5591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3796), 1,
      sym_statement_block,
    ACTIONS(5589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_EQ,
    STATE(3241), 1,
      sym_constraint,
    STATE(3643), 1,
      sym_default_type,
    ACTIONS(4957), 2,
      anon_sym_COMMA,
      anon_sym_GT,
    ACTIONS(5593), 2,
      anon_sym_COLON,
      anon_sym_extends,
  [110589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(5595), 1,
      sym_identifier,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(2596), 1,
      sym_nested_identifier,
    STATE(2713), 1,
      sym_string,
    STATE(2932), 1,
      sym__module,
  [110614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    STATE(1298), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(5599), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_implements,
  [110633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3787), 1,
      sym_statement_block,
    ACTIONS(5591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1311), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3832), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3704), 1,
      sym_statement_block,
    ACTIONS(5601), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110692] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3706), 1,
      sym_statement_block,
    ACTIONS(5603), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110709] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    ACTIONS(4961), 1,
      anon_sym_LT,
    ACTIONS(5605), 1,
      sym_identifier,
    ACTIONS(5607), 1,
      anon_sym_LBRACK,
    ACTIONS(5609), 1,
      sym_private_property_identifier,
    STATE(1725), 1,
      sym_arguments,
    STATE(3651), 1,
      sym_type_arguments,
  [110734] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(549), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3744), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2919), 1,
      sym_type_annotation,
    ACTIONS(5611), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 1,
      anon_sym_LBRACE,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(5617), 1,
      anon_sym_LT,
    ACTIONS(5619), 1,
      anon_sym_DOT,
    ACTIONS(5621), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3271), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3456), 1,
      sym_type_arguments,
  [110801] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1616), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3737), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [110826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4274), 1,
      anon_sym_COLON,
    ACTIONS(3271), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [110841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4276), 1,
      anon_sym_COLON,
    ACTIONS(1755), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [110856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3816), 1,
      sym_statement_block,
    ACTIONS(5623), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110873] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(5585), 1,
      anon_sym_LT,
    ACTIONS(5587), 1,
      anon_sym_extends,
    STATE(597), 1,
      sym_object_type,
    STATE(3089), 1,
      sym_type_parameters,
    STATE(3341), 1,
      sym_extends_type_clause,
  [110898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5625), 1,
      sym_identifier,
    ACTIONS(5627), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3647), 1,
      sym__call_signature,
  [110923] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5629), 1,
      sym_identifier,
    ACTIONS(5631), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_nested_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
  [110948] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(5635), 1,
      anon_sym_EQ,
    ACTIONS(5633), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(5637), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [110967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3820), 1,
      sym_statement_block,
    ACTIONS(5639), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [110984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3772), 1,
      sym_statement_block,
    ACTIONS(5623), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3770), 1,
      sym_statement_block,
    ACTIONS(5639), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111018] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5641), 1,
      sym_identifier,
    STATE(3547), 1,
      sym_variable_declarator,
    STATE(2688), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [111039] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3812), 1,
      sym_statement_block,
    ACTIONS(5643), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 1,
      anon_sym_is,
    ACTIONS(3277), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [111071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3815), 1,
      sym_statement_block,
    ACTIONS(5601), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5645), 1,
      sym_identifier,
    ACTIONS(5647), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3647), 1,
      sym__call_signature,
  [111113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2981), 1,
      sym_type_annotation,
    STATE(3467), 1,
      sym__initializer,
    ACTIONS(5235), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111134] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1718), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3646), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2982), 1,
      sym_type_annotation,
    STATE(3460), 1,
      sym__initializer,
    ACTIONS(5649), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111180] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(3187), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3794), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111205] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5651), 1,
      sym_identifier,
    ACTIONS(5653), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3831), 1,
      sym__call_signature,
  [111230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [111243] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(5657), 1,
      anon_sym_EQ,
    ACTIONS(5661), 1,
      anon_sym_QMARK,
    STATE(3235), 1,
      sym_type_annotation,
    STATE(3638), 1,
      sym__initializer,
    ACTIONS(5659), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [111266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [111279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5663), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [111292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5665), 1,
      anon_sym_EQ,
    ACTIONS(2915), 6,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [111307] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5668), 1,
      sym_identifier,
    ACTIONS(5670), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3611), 1,
      sym__call_signature,
  [111332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5004), 1,
      anon_sym_is,
    ACTIONS(5672), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3147), 1,
      sym_type_annotation,
    STATE(3429), 1,
      sym__initializer,
    ACTIONS(5247), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111368] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1698), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3730), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3035), 1,
      sym_type_annotation,
    STATE(3399), 1,
      sym__initializer,
    ACTIONS(5328), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [111427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3449), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_BQUOTE,
  [111442] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5674), 1,
      sym_identifier,
    ACTIONS(5676), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3611), 1,
      sym__call_signature,
  [111467] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3811), 1,
      sym_statement_block,
    ACTIONS(5678), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5641), 1,
      sym_identifier,
    STATE(3263), 1,
      sym_variable_declarator,
    STATE(2688), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [111505] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1743), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3758), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3755), 1,
      sym_statement_block,
    ACTIONS(5678), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3752), 1,
      sym_statement_block,
    ACTIONS(5643), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111564] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5565), 1,
      anon_sym_QMARK,
    ACTIONS(5680), 1,
      anon_sym_COLON,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3631), 1,
      sym__call_signature,
  [111589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5460), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [111602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5682), 1,
      sym_identifier,
    STATE(3263), 1,
      sym_variable_declarator,
    STATE(2524), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [111623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [111636] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5684), 1,
      sym_identifier,
    ACTIONS(5686), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3837), 1,
      sym__call_signature,
  [111661] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(510), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3751), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3300), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_BQUOTE,
  [111701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5464), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [111714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5641), 1,
      sym_identifier,
    STATE(3254), 1,
      sym_variable_declarator,
    STATE(2688), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [111735] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5641), 1,
      sym_identifier,
    STATE(3316), 1,
      sym_variable_declarator,
    STATE(2688), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [111756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5688), 1,
      sym_identifier,
    ACTIONS(5690), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3647), 1,
      sym__call_signature,
  [111781] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(121), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3761), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5692), 1,
      sym_identifier,
    ACTIONS(5694), 1,
      anon_sym_STAR,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3611), 1,
      sym__call_signature,
  [111831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [111844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5631), 1,
      anon_sym_DOT,
    ACTIONS(5696), 1,
      sym_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
    STATE(3264), 1,
      sym_nested_identifier,
  [111869] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1753), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3707), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    STATE(3006), 1,
      sym_statement_block,
    ACTIONS(1141), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [111911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(507), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3700), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [111936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5369), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [111949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(2918), 1,
      sym_type_annotation,
    STATE(3545), 1,
      sym__initializer,
    ACTIONS(5241), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [111970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_PIPE_RBRACE,
  [111983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5682), 1,
      sym_identifier,
    STATE(3266), 1,
      sym_variable_declarator,
    STATE(2524), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [112004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5353), 7,
      sym__automatic_semicolon,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
  [112017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5527), 1,
      anon_sym_LBRACE,
    ACTIONS(5529), 1,
      anon_sym_LBRACK,
    ACTIONS(5641), 1,
      sym_identifier,
    STATE(3266), 1,
      sym_variable_declarator,
    STATE(2688), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [112038] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1289), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3795), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [112063] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3099), 1,
      sym_type_annotation,
    STATE(3335), 1,
      sym__initializer,
    ACTIONS(5245), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    ACTIONS(5365), 1,
      anon_sym_extends,
    ACTIONS(5367), 1,
      anon_sym_implements,
    STATE(1273), 1,
      sym_class_body,
    STATE(3345), 1,
      sym_extends_clause,
    STATE(3792), 1,
      sym_class_heritage,
    STATE(4135), 1,
      sym_implements_clause,
  [112109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 7,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_PIPE_RBRACE,
  [112122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5700), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2871), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [112144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(2917), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [112162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112186] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5710), 1,
      anon_sym_COMMA,
    ACTIONS(5712), 1,
      anon_sym_GT,
    STATE(3576), 1,
      aux_sym_implements_clause_repeat1,
  [112208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1982), 1,
      sym_statement_block,
    ACTIONS(5623), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1965), 1,
      sym_statement_block,
    ACTIONS(5557), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3014), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5716), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3010), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5718), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym_identifier,
    ACTIONS(5722), 1,
      anon_sym_GT,
    ACTIONS(5724), 1,
      sym_jsx_identifier,
    STATE(2317), 1,
      sym_nested_identifier,
    STATE(2507), 1,
      sym_jsx_namespace_name,
    STATE(3354), 1,
      sym_type_parameter,
  [112294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2732), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3010), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5718), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2733), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5728), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5726), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112326] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5730), 1,
      anon_sym_COMMA,
    ACTIONS(5732), 1,
      anon_sym_GT,
    STATE(3557), 1,
      aux_sym_implements_clause_repeat1,
  [112348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1956), 1,
      sym_statement_block,
    ACTIONS(5639), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_BQUOTE,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5521), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2821), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [112382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2235), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5738), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3648), 1,
      sym__call_signature,
  [112416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2235), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [112428] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_statement_block,
    ACTIONS(5623), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112456] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5740), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2912), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [112478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(5291), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(3636), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [112494] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5744), 1,
      anon_sym_export,
    ACTIONS(5746), 1,
      anon_sym_class,
    ACTIONS(5748), 1,
      anon_sym_abstract,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [112516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5748), 1,
      anon_sym_abstract,
    ACTIONS(5750), 1,
      anon_sym_export,
    ACTIONS(5752), 1,
      anon_sym_class,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [112538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(3076), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [112556] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5754), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
  [112574] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5629), 1,
      sym_identifier,
    STATE(493), 1,
      sym_nested_identifier,
    STATE(502), 1,
      sym_string,
    STATE(611), 1,
      sym__module,
  [112596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1955), 1,
      sym_statement_block,
    ACTIONS(5639), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112612] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(5760), 1,
      anon_sym_COMMA,
    ACTIONS(5762), 1,
      anon_sym_RBRACE,
    STATE(3457), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [112632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [112656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3018), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5764), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112672] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5629), 1,
      sym_identifier,
    STATE(493), 1,
      sym_nested_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
  [112694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(3071), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [112724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [112748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5770), 1,
      anon_sym_SLASH,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [112770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3036), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(3063), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [112804] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5779), 1,
      anon_sym_BQUOTE,
    ACTIONS(5781), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5776), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2765), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [112822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2756), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3036), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5774), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112838] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2763), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5786), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5784), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5788), 1,
      anon_sym_COMMA,
    ACTIONS(5790), 1,
      anon_sym_GT,
    STATE(3494), 1,
      aux_sym_implements_clause_repeat1,
  [112876] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5792), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3685), 1,
      sym__call_signature,
  [112898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1967), 1,
      sym_statement_block,
    ACTIONS(5561), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [112914] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5794), 1,
      anon_sym_QMARK,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3756), 1,
      sym__call_signature,
  [112936] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5796), 1,
      anon_sym_QMARK,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3797), 1,
      sym__call_signature,
  [112958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5696), 1,
      sym_identifier,
    STATE(502), 1,
      sym_string,
    STATE(554), 1,
      sym__module,
    STATE(3264), 1,
      sym_nested_identifier,
  [112980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5798), 1,
      sym_identifier,
    ACTIONS(5800), 1,
      anon_sym_import,
    STATE(2273), 1,
      sym__type_query_subscript_expression,
    STATE(2283), 1,
      sym__type_query_member_expression,
    STATE(2377), 1,
      sym__type_query_call_expression,
    STATE(3627), 1,
      sym_import,
  [113002] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5802), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2801), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [113024] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    ACTIONS(5696), 1,
      sym_identifier,
    STATE(502), 1,
      sym_string,
    STATE(611), 1,
      sym__module,
    STATE(3264), 1,
      sym_nested_identifier,
  [113046] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1969), 1,
      sym_statement_block,
    ACTIONS(5559), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(5804), 1,
      anon_sym_COMMA,
    ACTIONS(5806), 1,
      anon_sym_RBRACE,
    STATE(3371), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [113082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2247), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113094] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5808), 1,
      anon_sym_default,
    ACTIONS(5810), 1,
      anon_sym_RBRACE,
    ACTIONS(5812), 1,
      anon_sym_case,
    STATE(2786), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [113112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(5814), 1,
      sym_identifier,
    STATE(2710), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [113130] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3012), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5816), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1199), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [113158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5818), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [113180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5800), 1,
      anon_sym_import,
    ACTIONS(5820), 1,
      sym_identifier,
    STATE(2141), 1,
      sym__type_query_call_expression,
    STATE(2433), 1,
      sym__type_query_subscript_expression,
    STATE(2434), 1,
      sym__type_query_member_expression,
    STATE(3709), 1,
      sym_import,
  [113202] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 1,
      anon_sym_default,
    ACTIONS(5825), 1,
      anon_sym_RBRACE,
    ACTIONS(5827), 1,
      anon_sym_case,
    STATE(2786), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [113220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3020), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 6,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [113248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5832), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2944), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [113270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2782), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3020), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5830), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113286] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 1,
      sym_identifier,
    ACTIONS(5836), 1,
      anon_sym_GT,
    ACTIONS(5838), 1,
      sym_jsx_identifier,
    STATE(2312), 1,
      sym_nested_identifier,
    STATE(2487), 1,
      sym_jsx_namespace_name,
    STATE(3354), 1,
      sym_type_parameter,
  [113308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      anon_sym_LT,
    ACTIONS(5619), 1,
      anon_sym_DOT,
    ACTIONS(5840), 1,
      anon_sym_LBRACE,
    STATE(3456), 1,
      sym_type_arguments,
    ACTIONS(5842), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [113328] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5844), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3830), 1,
      sym__call_signature,
  [113350] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5846), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [113372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1895), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5850), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5848), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113400] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1973), 1,
      sym_statement_block,
    ACTIONS(5581), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5852), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2770), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [113438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5854), 1,
      anon_sym_COMMA,
    ACTIONS(5856), 1,
      anon_sym_GT,
    STATE(3405), 1,
      aux_sym_implements_clause_repeat1,
  [113460] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5800), 1,
      anon_sym_import,
    ACTIONS(5858), 1,
      sym_identifier,
    STATE(1064), 1,
      sym__type_query_member_expression,
    STATE(1066), 1,
      sym__type_query_subscript_expression,
    STATE(1145), 1,
      sym__type_query_call_expression,
    STATE(3669), 1,
      sym_import,
  [113482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1964), 1,
      sym_statement_block,
    ACTIONS(5601), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113498] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1961), 1,
      sym_statement_block,
    ACTIONS(5567), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(2994), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [113532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5860), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2891), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [113554] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5862), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3685), 1,
      sym__call_signature,
  [113576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1983), 1,
      sym_statement_block,
    ACTIONS(5583), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113592] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5864), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3648), 1,
      sym__call_signature,
  [113614] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5866), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3808), 1,
      sym__call_signature,
  [113636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5868), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [113658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5870), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [113680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1954), 1,
      sym_statement_block,
    ACTIONS(5601), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3034), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5872), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [113724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5874), 1,
      anon_sym_QMARK,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3705), 1,
      sym__call_signature,
  [113746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(3513), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [113760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_PIPE,
    ACTIONS(5880), 1,
      anon_sym_extends,
    ACTIONS(3527), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [113778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5882), 1,
      anon_sym_BQUOTE,
    ACTIONS(5505), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2888), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [113796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3046), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5884), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2812), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3046), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5884), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5886), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3481), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [113850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5890), 1,
      anon_sym_BQUOTE,
    ACTIONS(5888), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2765), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [113868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1992), 1,
      sym_statement_block,
    ACTIONS(5581), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [113884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(2986), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [113902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5892), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3648), 1,
      sym__call_signature,
  [113924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5894), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [113946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(2987), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [113964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(5595), 1,
      sym_identifier,
    STATE(2596), 1,
      sym_nested_identifier,
    STATE(2713), 1,
      sym_string,
    STATE(3012), 1,
      sym__module,
  [113986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(5896), 1,
      anon_sym_COMMA,
    ACTIONS(5898), 1,
      anon_sym_RBRACE,
    STATE(3553), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [114006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2818), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5902), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5900), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1962), 1,
      sym_statement_block,
    ACTIONS(5603), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114038] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    ACTIONS(5595), 1,
      sym_identifier,
    STATE(2596), 1,
      sym_nested_identifier,
    STATE(2713), 1,
      sym_string,
    STATE(2932), 1,
      sym__module,
  [114060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(5904), 1,
      sym_identifier,
    STATE(3722), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [114078] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5906), 1,
      anon_sym_COMMA,
    ACTIONS(5908), 1,
      anon_sym_GT,
    STATE(3408), 1,
      aux_sym_implements_clause_repeat1,
  [114100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [114112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5800), 1,
      anon_sym_import,
    ACTIONS(5910), 1,
      sym_identifier,
    STATE(2144), 1,
      sym__type_query_member_expression,
    STATE(2146), 1,
      sym__type_query_subscript_expression,
    STATE(2299), 1,
      sym__type_query_call_expression,
    STATE(3735), 1,
      sym_import,
  [114134] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(5617), 1,
      anon_sym_LT,
    ACTIONS(5912), 1,
      anon_sym_LBRACE,
    ACTIONS(5914), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3274), 1,
      aux_sym_extends_type_clause_repeat1,
    STATE(3442), 1,
      sym_type_arguments,
  [114156] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5916), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2924), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [114178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2907), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2996), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5918), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5920), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [114216] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5922), 1,
      anon_sym_COMMA,
    ACTIONS(5924), 1,
      anon_sym_GT,
    STATE(3453), 1,
      aux_sym_implements_clause_repeat1,
  [114238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5926), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3685), 1,
      sym__call_signature,
  [114260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5930), 1,
      anon_sym_EQ,
    ACTIONS(5928), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(5932), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [114276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5934), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3018), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [114298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(5315), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
    STATE(3653), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [114314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(2996), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5918), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114330] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5748), 1,
      anon_sym_abstract,
    ACTIONS(5752), 1,
      anon_sym_class,
    ACTIONS(5936), 1,
      anon_sym_export,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [114352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [114364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5663), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [114376] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5938), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [114398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1977), 1,
      sym_statement_block,
    ACTIONS(5589), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(3087), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [114432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5940), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_GT,
  [114450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5194), 1,
      anon_sym_is,
    ACTIONS(5672), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [114476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_PIPE,
    ACTIONS(3431), 4,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_extends,
  [114492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5942), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2624), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [114514] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5944), 1,
      anon_sym_QMARK,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3666), 1,
      sym__call_signature,
  [114536] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5946), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2637), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [114558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    ACTIONS(5702), 1,
      anon_sym_DASH_QMARK_COLON,
    ACTIONS(5704), 1,
      anon_sym_QMARK_COLON,
    STATE(3088), 3,
      sym_omitting_type_annotation,
      sym_opting_type_annotation,
      sym_type_annotation,
  [114576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5948), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2646), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [114598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_PIPE,
    ACTIONS(5880), 1,
      anon_sym_extends,
    ACTIONS(3650), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [114616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3038), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5950), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114632] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5952), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2667), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [114654] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_PIPE,
    ACTIONS(5880), 1,
      anon_sym_extends,
    ACTIONS(3401), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [114672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1988), 1,
      sym_statement_block,
    ACTIONS(5591), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(3596), 5,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_extends,
  [114702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_PIPE,
    ACTIONS(5880), 1,
      anon_sym_extends,
    ACTIONS(3584), 3,
      anon_sym_as,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
  [114720] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5956), 1,
      anon_sym_QMARK,
    ACTIONS(5954), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [114740] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5958), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2806), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [114762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3000), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114778] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1968), 1,
      sym_statement_block,
    ACTIONS(5589), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114794] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2862), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3000), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5960), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114810] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5962), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2695), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [114832] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5964), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3648), 1,
      sym__call_signature,
  [114854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5969), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5966), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1966), 1,
      sym_statement_block,
    ACTIONS(5591), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [114886] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5971), 1,
      anon_sym_QMARK,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3800), 1,
      sym__call_signature,
  [114908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 6,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON,
  [114920] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(5973), 1,
      anon_sym_QMARK,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3773), 1,
      sym__call_signature,
  [114942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5808), 1,
      anon_sym_default,
    ACTIONS(5812), 1,
      anon_sym_case,
    ACTIONS(5975), 1,
      anon_sym_RBRACE,
    STATE(2780), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [114960] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5977), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [114982] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(5979), 1,
      anon_sym_LBRACE,
    ACTIONS(5981), 1,
      anon_sym_COMMA,
    STATE(3425), 1,
      aux_sym_implements_clause_repeat1,
  [115004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2870), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5985), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5983), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(5987), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2652), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [115042] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2845), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5991), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(5989), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115058] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5993), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [115080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1979), 1,
      sym_statement_block,
    ACTIONS(5643), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(5995), 1,
      anon_sym_BQUOTE,
    ACTIONS(5888), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(2765), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [115114] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(5997), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [115136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5120), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(5122), 4,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [115150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1976), 1,
      sym_statement_block,
    ACTIONS(5678), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115166] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    ACTIONS(5999), 1,
      anon_sym_QMARK,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2743), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [115188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    ACTIONS(6001), 1,
      sym_identifier,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3685), 1,
      sym__call_signature,
  [115210] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5800), 1,
      anon_sym_import,
    ACTIONS(6003), 1,
      sym_identifier,
    STATE(2094), 1,
      sym__type_query_member_expression,
    STATE(2095), 1,
      sym__type_query_subscript_expression,
    STATE(2141), 1,
      sym__type_query_call_expression,
    STATE(3698), 1,
      sym_import,
  [115232] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(5657), 1,
      anon_sym_EQ,
    STATE(3304), 1,
      sym_type_annotation,
    STATE(3674), 1,
      sym__initializer,
    ACTIONS(6005), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [115252] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5800), 1,
      anon_sym_import,
    ACTIONS(6007), 1,
      sym_identifier,
    STATE(1390), 1,
      sym__type_query_member_expression,
    STATE(1392), 1,
      sym__type_query_subscript_expression,
    STATE(1440), 1,
      sym__type_query_call_expression,
    STATE(3813), 1,
      sym_import,
  [115274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1990), 1,
      sym_statement_block,
    ACTIONS(5678), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(4410), 1,
      anon_sym_LBRACK,
    ACTIONS(6009), 1,
      sym_identifier,
    STATE(3363), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [115308] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(6011), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3190), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [115330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 6,
      sym__automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    ACTIONS(6015), 1,
      anon_sym_SLASH,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [115364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      anon_sym_LBRACE,
    STATE(1970), 1,
      sym_statement_block,
    ACTIONS(5643), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(2980), 4,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_QMARK,
  [115394] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(6017), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3428), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [115416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2231), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_from,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    ACTIONS(6019), 1,
      anon_sym_QMARK,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2923), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [115450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2875), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(3008), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE_RBRACE,
    ACTIONS(6021), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115466] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6023), 1,
      anon_sym_COMMA,
    ACTIONS(6025), 1,
      anon_sym_GT,
    STATE(3383), 1,
      aux_sym_implements_clause_repeat1,
  [115488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3807), 1,
      sym__call_signature,
  [115507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5639), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5561), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2985), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [115559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5559), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1213), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1211), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [115583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6027), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3350), 1,
      sym__initializer,
    ACTIONS(6029), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [115620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6031), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6033), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [115648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2910), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [115667] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_LBRACE,
    ACTIONS(6035), 1,
      anon_sym_SEMI,
    ACTIONS(6037), 1,
      sym__automatic_semicolon,
    ACTIONS(6039), 1,
      sym__function_signature_automatic_semicolon,
    STATE(137), 1,
      sym_statement_block,
  [115686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6041), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [115730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1199), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [115743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(6045), 1,
      anon_sym_RBRACE,
    STATE(3699), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [115760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3019), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [115801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_COLON,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6049), 1,
      anon_sym_RBRACE,
    STATE(3522), 1,
      aux_sym_object_pattern_repeat1,
  [115831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3750), 1,
      sym__call_signature,
  [115872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [115883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6051), 1,
      anon_sym_class,
    ACTIONS(6053), 1,
      anon_sym_abstract,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [115902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3686), 1,
      sym__call_signature,
  [115921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    ACTIONS(6055), 1,
      anon_sym_SEMI,
    ACTIONS(6057), 1,
      sym__automatic_semicolon,
    ACTIONS(6059), 1,
      sym__function_signature_automatic_semicolon,
    STATE(499), 1,
      sym_statement_block,
  [115962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5583), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [115984] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2942), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116014] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2876), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3701), 1,
      sym__call_signature,
  [116063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      sym_identifier,
    ACTIONS(5768), 1,
      anon_sym_GT,
    ACTIONS(5772), 1,
      sym_jsx_identifier,
    STATE(2341), 1,
      sym_nested_identifier,
    STATE(2577), 1,
      sym_jsx_namespace_name,
  [116093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(3157), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6061), 1,
      anon_sym_BQUOTE,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6065), 1,
      sym__template_chars,
    STATE(3030), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [116129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2914), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [116148] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    ACTIONS(6035), 1,
      anon_sym_SEMI,
    ACTIONS(6037), 1,
      sym__automatic_semicolon,
    ACTIONS(6039), 1,
      sym__function_signature_automatic_semicolon,
    STATE(506), 1,
      sym_statement_block,
  [116167] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5748), 1,
      anon_sym_abstract,
    ACTIONS(6067), 1,
      anon_sym_class,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [116186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5449), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [116208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5581), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(6035), 1,
      anon_sym_SEMI,
    ACTIONS(6037), 1,
      sym__automatic_semicolon,
    ACTIONS(6039), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1478), 1,
      sym_statement_block,
  [116238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(6073), 1,
      anon_sym_PIPE,
    ACTIONS(6071), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(3153), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6075), 1,
      anon_sym_BQUOTE,
    ACTIONS(6077), 1,
      sym__template_chars,
    STATE(3174), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [116291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3754), 1,
      sym__call_signature,
  [116310] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    ACTIONS(5587), 1,
      anon_sym_extends,
    STATE(3135), 1,
      sym_object_type,
    STATE(3389), 1,
      sym_extends_type_clause,
  [116329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6079), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [116340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6053), 1,
      anon_sym_abstract,
    ACTIONS(6081), 1,
      anon_sym_class,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [116359] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3361), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [116378] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(6073), 1,
      anon_sym_PIPE,
    ACTIONS(6083), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6085), 1,
      anon_sym_BQUOTE,
    ACTIONS(6087), 1,
      sym__template_chars,
    STATE(2963), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [116423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3788), 1,
      sym__call_signature,
  [116442] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6089), 1,
      anon_sym_BQUOTE,
    ACTIONS(6091), 1,
      sym__template_chars,
    STATE(3129), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [116459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3757), 1,
      sym__call_signature,
  [116478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2243), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5643), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6093), 1,
      anon_sym_EQ_GT,
    STATE(3636), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [116515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6096), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1903), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2731), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3563), 1,
      sym__initializer,
    ACTIONS(6098), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3552), 1,
      sym__initializer,
    ACTIONS(6100), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3560), 1,
      sym__initializer,
    ACTIONS(6102), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [116601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6104), 1,
      anon_sym_EQ_GT,
    STATE(3653), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [116616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5557), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6107), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6109), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2960), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(6111), 1,
      anon_sym_RBRACE,
    STATE(3721), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [116685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116696] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2752), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3922), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3924), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [116728] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3714), 1,
      sym__call_signature,
  [116747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6113), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3857), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3859), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [116771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6115), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(6117), 1,
      anon_sym_RBRACE,
    STATE(3699), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [116799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6119), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_SEMI,
    ACTIONS(6123), 1,
      sym__automatic_semicolon,
    ACTIONS(6125), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3069), 1,
      sym_statement_block,
  [116851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(6127), 1,
      anon_sym_RBRACE,
    STATE(3721), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [116868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(6073), 1,
      anon_sym_PIPE,
    ACTIONS(6129), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [116885] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_AMP,
    ACTIONS(5878), 1,
      anon_sym_PIPE,
    ACTIONS(5880), 1,
      anon_sym_extends,
    ACTIONS(6131), 1,
      anon_sym_as,
    ACTIONS(6133), 1,
      anon_sym_RBRACK,
  [116904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5472), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [116915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1943), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5748), 1,
      anon_sym_abstract,
    ACTIONS(5752), 1,
      anon_sym_class,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [116967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(3001), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [116986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5601), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [116997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5617), 1,
      anon_sym_LT,
    ACTIONS(6137), 1,
      anon_sym_LBRACE,
    STATE(3442), 1,
      sym_type_arguments,
    ACTIONS(6139), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [117047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6143), 1,
      anon_sym_EQ_GT,
    STATE(3636), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [117073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5589), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5643), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(6073), 1,
      anon_sym_PIPE,
    ACTIONS(6146), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117112] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(3136), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [117131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3729), 1,
      sym__call_signature,
  [117150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117161] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3821), 1,
      sym__call_signature,
  [117180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    STATE(3740), 1,
      sym_type_annotation,
    ACTIONS(2915), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [117195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2959), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [117214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3703), 1,
      sym__call_signature,
  [117233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6077), 1,
      sym__template_chars,
    ACTIONS(6150), 1,
      anon_sym_BQUOTE,
    STATE(3174), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [117250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6077), 1,
      sym__template_chars,
    ACTIONS(6152), 1,
      anon_sym_BQUOTE,
    STATE(3174), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [117278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1927), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5591), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3542), 1,
      sym__initializer,
    ACTIONS(6156), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2195), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117348] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3708), 1,
      sym__call_signature,
  [117367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1899), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117378] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(6055), 1,
      anon_sym_SEMI,
    ACTIONS(6057), 1,
      sym__automatic_semicolon,
    ACTIONS(6059), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1608), 1,
      sym_statement_block,
  [117397] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3771), 1,
      sym__call_signature,
  [117416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3466), 1,
      sym__initializer,
    ACTIONS(6158), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117475] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 1,
      anon_sym_EQ,
    ACTIONS(6162), 1,
      anon_sym_COMMA,
    ACTIONS(6164), 1,
      anon_sym_RBRACE,
    STATE(3360), 1,
      aux_sym_enum_body_repeat1,
    STATE(3746), 1,
      sym__initializer,
  [117494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2155), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6166), 1,
      anon_sym_EQ_GT,
    STATE(3636), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [117542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6169), 1,
      anon_sym_EQ_GT,
    STATE(3653), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [117579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(3039), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [117620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6172), 1,
      anon_sym_BQUOTE,
    ACTIONS(6174), 1,
      sym__template_chars,
    STATE(3028), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [117637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3798), 1,
      sym__call_signature,
  [117656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5969), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [117689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1947), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117711] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_COLON,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6180), 1,
      anon_sym_RBRACE,
    STATE(3541), 1,
      aux_sym_object_pattern_repeat1,
  [117730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(6182), 1,
      anon_sym_RBRACE,
    STATE(3699), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [117758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6186), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [117771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    ACTIONS(6188), 1,
      anon_sym_SEMI,
    ACTIONS(6190), 1,
      sym__automatic_semicolon,
    ACTIONS(6192), 1,
      sym__function_signature_automatic_semicolon,
    STATE(3117), 1,
      sym_statement_block,
  [117790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4347), 1,
      sym__automatic_semicolon,
    ACTIONS(1349), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1959), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6194), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117825] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(6073), 1,
      anon_sym_PIPE,
    ACTIONS(6196), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [117842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6200), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [117855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3333), 1,
      sym__initializer,
    ACTIONS(6202), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [117870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1967), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6204), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1971), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3672), 1,
      sym__call_signature,
  [117922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3711), 1,
      sym__call_signature,
  [117941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2822), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [117960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2696), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [117979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [117990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [118001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2887), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [118020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2167), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6208), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6210), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    ACTIONS(5587), 1,
      anon_sym_extends,
    STATE(588), 1,
      sym_object_type,
    STATE(3463), 1,
      sym_extends_type_clause,
  [118083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2777), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [118102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3861), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3863), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [118115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(3068), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [118134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3438), 1,
      sym__initializer,
    ACTIONS(6212), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118149] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3791), 1,
      sym__call_signature,
  [118168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3790), 1,
      sym__call_signature,
  [118187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3819), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [118200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3339), 1,
      sym__initializer,
    ACTIONS(6214), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3470), 1,
      sym__initializer,
    ACTIONS(6216), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5603), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4036), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4038), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [118309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6218), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3654), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [118333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3781), 1,
      sym__call_signature,
  [118352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 1,
      anon_sym_EQ,
    ACTIONS(6220), 1,
      anon_sym_COMMA,
    ACTIONS(6222), 1,
      anon_sym_RBRACE,
    STATE(3415), 1,
      aux_sym_enum_body_repeat1,
    STATE(3746), 1,
      sym__initializer,
  [118371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6224), 1,
      anon_sym_EQ_GT,
    STATE(3653), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [118386] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3668), 1,
      sym__call_signature,
  [118405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3654), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [118418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3654), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [118431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6227), 1,
      sym_identifier,
    ACTIONS(6229), 1,
      anon_sym_GT,
    ACTIONS(6231), 1,
      sym_jsx_identifier,
    STATE(2355), 1,
      sym_nested_identifier,
    STATE(2495), 1,
      sym_jsx_namespace_name,
  [118450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6233), 1,
      anon_sym_EQ_GT,
    STATE(3653), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [118465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3776), 1,
      sym__call_signature,
  [118484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4181), 1,
      sym__automatic_semicolon,
    ACTIONS(1179), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4191), 1,
      sym__automatic_semicolon,
    ACTIONS(1293), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      anon_sym_COLON,
    ACTIONS(6236), 1,
      anon_sym_EQ_GT,
    STATE(3636), 3,
      sym_type_annotation,
      sym_asserts,
      sym_type_predicate_annotation,
  [118525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6239), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6241), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [118538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118560] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2668), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [118579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1975), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118590] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6243), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [118607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1963), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6077), 1,
      sym__template_chars,
    ACTIONS(6245), 1,
      anon_sym_BQUOTE,
    STATE(3174), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [118657] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3736), 1,
      sym__call_signature,
  [118676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2059), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2019), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(6188), 1,
      anon_sym_SEMI,
    ACTIONS(6190), 1,
      sym__automatic_semicolon,
    ACTIONS(6192), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1417), 1,
      sym_statement_block,
  [118750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2011), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6077), 1,
      sym__template_chars,
    ACTIONS(6247), 1,
      anon_sym_BQUOTE,
    STATE(3174), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [118778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5249), 1,
      anon_sym_AMP,
    ACTIONS(5253), 1,
      anon_sym_extends,
    ACTIONS(6073), 1,
      anon_sym_PIPE,
    ACTIONS(6249), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [118806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3723), 1,
      sym__call_signature,
  [118847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym__automatic_semicolon,
    ACTIONS(1235), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2650), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [118879] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3802), 1,
      sym__call_signature,
  [118898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3498), 1,
      sym__initializer,
    ACTIONS(6251), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [118913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1939), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1935), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [118946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 5,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_extends,
      anon_sym_implements,
  [118957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2746), 1,
      sym_formal_parameters,
    STATE(3593), 1,
      sym_type_parameters,
    STATE(3742), 1,
      sym__call_signature,
  [118976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_LBRACE,
    ACTIONS(6055), 1,
      anon_sym_SEMI,
    ACTIONS(6057), 1,
      sym__automatic_semicolon,
    ACTIONS(6059), 1,
      sym__function_signature_automatic_semicolon,
    STATE(106), 1,
      sym_statement_block,
  [118995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6255), 5,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_QMARK,
  [119006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    ACTIONS(6121), 1,
      anon_sym_SEMI,
    ACTIONS(6123), 1,
      sym__automatic_semicolon,
    ACTIONS(6125), 1,
      sym__function_signature_automatic_semicolon,
    STATE(1644), 1,
      sym_statement_block,
  [119047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2638), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [119077] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6063), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6259), 1,
      anon_sym_BQUOTE,
    ACTIONS(6261), 1,
      sym__template_chars,
    STATE(3138), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [119094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2922), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [119113] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2623), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [119132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119154] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(2617), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [119173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3566), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [119192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3836), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [119205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6263), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6265), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [119229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2035), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2191), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 5,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119273] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6267), 1,
      anon_sym_BQUOTE,
    ACTIONS(6269), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(6272), 1,
      sym__template_chars,
    STATE(3174), 2,
      sym_template_type,
      aux_sym_template_literal_type_repeat1,
  [119290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4003), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4005), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [119303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4019), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4021), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [119316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5639), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5006), 1,
      anon_sym_LBRACK,
    ACTIONS(6277), 1,
      anon_sym_RBRACE,
    ACTIONS(3423), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [119353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1919), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3395), 1,
      sym__initializer,
    ACTIONS(6279), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    ACTIONS(6281), 1,
      anon_sym_RBRACE,
    STATE(3699), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [119396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1245), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_EQ,
    STATE(3368), 1,
      sym__initializer,
    ACTIONS(6283), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [119422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6285), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(6287), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [119435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1999), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_DOT,
    ACTIONS(3575), 1,
      anon_sym_LBRACE,
    ACTIONS(3577), 3,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_LBRACE_PIPE,
  [119483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5623), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2175), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2430), 1,
      sym_formal_parameters,
    STATE(3032), 1,
      sym__call_signature,
    STATE(3689), 1,
      sym_type_parameters,
  [119524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5567), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6289), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(5746), 1,
      anon_sym_class,
    ACTIONS(5748), 1,
      anon_sym_abstract,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [119609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2239), 5,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACE,
  [119642] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2536), 1,
      sym_formal_parameters,
    STATE(2955), 1,
      sym__call_signature,
    STATE(3829), 1,
      sym_type_parameters,
  [119661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3654), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [119674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 1,
      anon_sym_EQ,
    STATE(3746), 1,
      sym__initializer,
    ACTIONS(6291), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6293), 1,
      anon_sym_QMARK,
  [119704] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6295), 1,
      anon_sym_DQUOTE,
    STATE(3284), 1,
      aux_sym_string_repeat1,
    ACTIONS(6297), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(969), 1,
      anon_sym_BQUOTE,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    STATE(1298), 2,
      sym_template_string,
      sym_arguments,
  [119732] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6299), 1,
      anon_sym_DQUOTE,
    STATE(3236), 1,
      aux_sym_string_repeat1,
    ACTIONS(6301), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119746] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6299), 1,
      anon_sym_SQUOTE,
    STATE(3237), 1,
      aux_sym_string_repeat2,
    ACTIONS(6303), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119760] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119774] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6305), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119788] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_SQUOTE,
    STATE(3211), 1,
      aux_sym_string_repeat2,
    ACTIONS(6313), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119802] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6311), 1,
      anon_sym_DQUOTE,
    STATE(3212), 1,
      aux_sym_string_repeat1,
    ACTIONS(6315), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_COLON,
    ACTIONS(3779), 1,
      anon_sym_EQ,
    ACTIONS(6317), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [119830] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6321), 1,
      anon_sym_QMARK,
  [119860] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6319), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119874] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6323), 1,
      anon_sym_SQUOTE,
    STATE(3216), 1,
      aux_sym_string_repeat2,
    ACTIONS(6325), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119888] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6323), 1,
      anon_sym_DQUOTE,
    STATE(3218), 1,
      aux_sym_string_repeat1,
    ACTIONS(6327), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6329), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [119912] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_DQUOTE,
    STATE(3302), 1,
      aux_sym_string_repeat1,
    ACTIONS(6333), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119926] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6331), 1,
      anon_sym_SQUOTE,
    STATE(3300), 1,
      aux_sym_string_repeat2,
    ACTIONS(6335), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119940] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6337), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119954] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6337), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119968] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_SQUOTE,
    STATE(3224), 1,
      aux_sym_string_repeat2,
    ACTIONS(6341), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [119982] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6339), 1,
      anon_sym_DQUOTE,
    STATE(3225), 1,
      aux_sym_string_repeat1,
    ACTIONS(6343), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [119996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_type_parameters,
    STATE(3980), 1,
      sym_formal_parameters,
  [120012] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6345), 1,
      anon_sym_RBRACK,
  [120028] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6347), 1,
      anon_sym_COLON,
  [120044] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3262), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6351), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3262), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6353), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6277), 1,
      anon_sym_RBRACE,
    ACTIONS(3423), 3,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_extends,
  [120084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 4,
      sym__automatic_semicolon,
      sym__function_signature_automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [120094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 1,
      anon_sym_EQ,
    STATE(3675), 1,
      sym__initializer,
    ACTIONS(6355), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [120108] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [120122] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6357), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [120136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(83), 1,
      anon_sym_BQUOTE,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    STATE(1717), 2,
      sym_template_string,
      sym_arguments,
  [120150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6359), 1,
      anon_sym_QMARK,
  [120166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6361), 1,
      anon_sym_RBRACK,
  [120182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4953), 1,
      anon_sym_EQ,
    STATE(3678), 1,
      sym_default_type,
    ACTIONS(6363), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [120196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6365), 1,
      anon_sym_QMARK,
  [120212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6367), 1,
      anon_sym_COLON,
  [120228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6371), 1,
      anon_sym_COMMA,
    STATE(3244), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6369), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [120242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    STATE(3623), 1,
      sym__from_clause,
    ACTIONS(6376), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_COMMA,
    STATE(3244), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6378), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [120270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6380), 1,
      anon_sym_class,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [120286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(5912), 1,
      anon_sym_LBRACE,
    ACTIONS(5914), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3275), 1,
      aux_sym_extends_type_clause_repeat1,
  [120302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6382), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
    ACTIONS(5940), 2,
      anon_sym_LBRACE,
      anon_sym_GT,
  [120316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6385), 1,
      anon_sym_RPAREN,
  [120332] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6387), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [120346] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6387), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [120360] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_SQUOTE,
    STATE(3251), 1,
      aux_sym_string_repeat2,
    ACTIONS(6391), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [120374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3232), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6393), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120388] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6389), 1,
      anon_sym_DQUOTE,
    STATE(3252), 1,
      aux_sym_string_repeat1,
    ACTIONS(6395), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [120402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6397), 1,
      anon_sym_COMMA,
    STATE(3256), 1,
      aux_sym_array_repeat1,
    ACTIONS(4141), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [120416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6400), 1,
      anon_sym_COLON,
  [120432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6402), 1,
      anon_sym_COLON,
  [120448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3759), 1,
      sym_type_parameters,
    STATE(4048), 1,
      sym_formal_parameters,
  [120464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6404), 1,
      sym_identifier,
    ACTIONS(6406), 1,
      sym_jsx_identifier,
    STATE(3663), 1,
      sym_nested_identifier,
    STATE(3979), 1,
      sym_jsx_namespace_name,
  [120480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6408), 1,
      anon_sym_class,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [120496] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 1,
      anon_sym_COMMA,
    STATE(3262), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6413), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3295), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6415), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_while,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    STATE(575), 1,
      sym_statement_block,
  [120540] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2656), 1,
      sym_formal_parameters,
    STATE(3731), 1,
      sym_type_parameters,
  [120556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3294), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6417), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6419), 1,
      anon_sym_RBRACK,
  [120586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6421), 1,
      anon_sym_QMARK,
  [120602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3743), 1,
      sym_type_parameters,
    STATE(4111), 1,
      sym_formal_parameters,
  [120618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6423), 1,
      sym_identifier,
    STATE(3015), 1,
      sym_nested_type_identifier,
    STATE(3413), 1,
      sym_generic_type,
    STATE(3944), 1,
      sym_nested_identifier,
  [120634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(6425), 1,
      anon_sym_LBRACE,
    ACTIONS(6427), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3285), 1,
      aux_sym_extends_type_clause_repeat1,
  [120650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6429), 1,
      sym_escape_sequence,
    ACTIONS(6431), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [120662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    STATE(3842), 1,
      sym__from_clause,
    ACTIONS(6434), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120676] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(6436), 1,
      anon_sym_LBRACE,
    ACTIONS(6438), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3285), 1,
      aux_sym_extends_type_clause_repeat1,
  [120692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(6436), 1,
      anon_sym_LBRACE,
    ACTIONS(6438), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3285), 1,
      aux_sym_extends_type_clause_repeat1,
  [120708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6440), 1,
      anon_sym_RBRACK,
  [120724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3835), 1,
      sym_type_parameters,
    STATE(3957), 1,
      sym_formal_parameters,
  [120740] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6442), 1,
      anon_sym_RBRACK,
  [120756] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6444), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6446), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [120770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6449), 1,
      anon_sym_RPAREN,
  [120786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6451), 1,
      anon_sym_RBRACK,
  [120802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6453), 1,
      anon_sym_RBRACK,
  [120818] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6455), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [120832] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6455), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [120846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6457), 1,
      anon_sym_LBRACE,
    ACTIONS(6459), 1,
      anon_sym_COMMA,
    ACTIONS(6462), 1,
      anon_sym_LBRACE_PIPE,
    STATE(3285), 1,
      aux_sym_extends_type_clause_repeat1,
  [120862] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6464), 1,
      anon_sym_COLON,
  [120878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [120888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_COMMA,
    STATE(3244), 1,
      aux_sym_extends_clause_repeat1,
    ACTIONS(6466), 2,
      anon_sym_LBRACE,
      anon_sym_implements,
  [120902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_EQ_GT,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [120914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6468), 1,
      sym_identifier,
    ACTIONS(6470), 1,
      sym_jsx_identifier,
    STATE(3727), 1,
      sym_nested_identifier,
    STATE(3965), 1,
      sym_jsx_namespace_name,
  [120930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym_EQ_GT,
    ACTIONS(2980), 3,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_QMARK,
  [120942] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6474), 1,
      anon_sym_RPAREN,
  [120958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    STATE(3721), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [120972] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3262), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6476), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [120986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3262), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6478), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6480), 1,
      anon_sym_RPAREN,
  [121016] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6482), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6484), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [121030] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 1,
      sym_identifier,
    STATE(2836), 1,
      sym_nested_type_identifier,
    STATE(3248), 1,
      sym_generic_type,
    STATE(3944), 1,
      sym_nested_identifier,
  [121046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3713), 1,
      sym_type_parameters,
    STATE(3873), 1,
      sym_formal_parameters,
  [121062] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6489), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [121076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_AT,
    ACTIONS(6491), 1,
      anon_sym_export,
    STATE(2051), 1,
      aux_sym_export_statement_repeat1,
    STATE(2090), 1,
      sym_decorator,
  [121092] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6489), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [121106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5756), 1,
      sym_identifier,
    STATE(3699), 1,
      sym__import_export_specifier,
    ACTIONS(5758), 2,
      anon_sym_type,
      anon_sym_typeof,
  [121120] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5657), 1,
      anon_sym_EQ,
    STATE(3725), 1,
      sym__initializer,
    ACTIONS(6493), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [121134] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6495), 1,
      anon_sym_EQ,
    ACTIONS(6497), 1,
      anon_sym_RBRACK,
    STATE(3450), 1,
      aux_sym_array_pattern_repeat1,
  [121150] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6499), 1,
      anon_sym_RBRACK,
  [121166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6501), 1,
      anon_sym_RBRACK,
  [121182] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3683), 1,
      sym_type_parameters,
    STATE(4017), 1,
      sym_formal_parameters,
  [121198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3030), 1,
      anon_sym_LBRACE,
    ACTIONS(5338), 1,
      anon_sym_STAR,
    STATE(4037), 2,
      sym_namespace_import,
      sym_named_imports,
  [121212] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6295), 1,
      anon_sym_SQUOTE,
    STATE(3283), 1,
      aux_sym_string_repeat2,
    ACTIONS(6503), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [121226] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6505), 1,
      anon_sym_SQUOTE,
    STATE(3279), 1,
      aux_sym_string_repeat2,
    ACTIONS(6307), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [121240] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6505), 1,
      anon_sym_DQUOTE,
    STATE(3297), 1,
      aux_sym_string_repeat1,
    ACTIONS(6309), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [121254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6507), 1,
      anon_sym_RBRACK,
  [121270] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      sym_identifier,
    ACTIONS(6511), 1,
      sym_jsx_identifier,
    STATE(3693), 1,
      sym_nested_identifier,
    STATE(3999), 1,
      sym_jsx_namespace_name,
  [121286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6513), 1,
      anon_sym_RBRACK,
  [121302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6349), 1,
      anon_sym_COMMA,
    STATE(3231), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(6515), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [121316] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_SQUOTE,
    STATE(3311), 1,
      aux_sym_string_repeat2,
    ACTIONS(6519), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [121330] = 4,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6517), 1,
      anon_sym_DQUOTE,
    STATE(3312), 1,
      aux_sym_string_repeat1,
    ACTIONS(6521), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [121344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6523), 1,
      anon_sym_QMARK,
  [121360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6525), 1,
      anon_sym_COLON,
  [121376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6527), 1,
      anon_sym_RBRACK,
  [121392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
    ACTIONS(6529), 1,
      anon_sym_RPAREN,
  [121408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6531), 1,
      sym_identifier,
    ACTIONS(6533), 1,
      sym_jsx_identifier,
    STATE(3803), 1,
      sym_nested_identifier,
    STATE(3880), 1,
      sym_jsx_namespace_name,
  [121424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6495), 1,
      anon_sym_EQ,
    ACTIONS(6535), 1,
      anon_sym_RBRACK,
    STATE(3528), 1,
      aux_sym_array_pattern_repeat1,
  [121440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [121450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      anon_sym_as,
    ACTIONS(6543), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [121479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 1,
      anon_sym_COMMA,
    ACTIONS(6549), 1,
      anon_sym_RBRACK,
    STATE(3532), 1,
      aux_sym_tuple_type_repeat1,
  [121501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4137), 1,
      anon_sym_RBRACK,
    STATE(3529), 1,
      aux_sym_array_repeat1,
  [121514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6551), 1,
      anon_sym_COMMA,
    ACTIONS(6554), 1,
      anon_sym_RBRACK,
    STATE(3332), 1,
      aux_sym_tuple_type_repeat1,
  [121527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6556), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6558), 1,
      sym_identifier,
    ACTIONS(6560), 1,
      anon_sym_LBRACK,
    ACTIONS(6562), 1,
      sym_private_property_identifier,
  [121549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121558] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6566), 1,
      sym_identifier,
    ACTIONS(6568), 1,
      anon_sym_LBRACK,
    ACTIONS(6570), 1,
      sym_private_property_identifier,
  [121571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6572), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5084), 1,
      anon_sym_extends,
  [121593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6574), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6576), 1,
      sym_identifier,
    ACTIONS(6578), 1,
      anon_sym_LBRACK,
    ACTIONS(6580), 1,
      sym_private_property_identifier,
  [121615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    STATE(582), 1,
      sym_object_type,
  [121628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6535), 1,
      anon_sym_RBRACK,
    STATE(3528), 1,
      aux_sym_array_pattern_repeat1,
  [121641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121650] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3922), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [121659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5367), 1,
      anon_sym_implements,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
    STATE(4071), 1,
      sym_implements_clause,
  [121672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 1,
      sym_identifier,
    ACTIONS(6588), 1,
      anon_sym_LBRACK,
    ACTIONS(6590), 1,
      sym_private_property_identifier,
  [121685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6537), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6592), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6594), 3,
      sym__template_chars,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [121712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121721] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4137), 1,
      anon_sym_RBRACK,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [121734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6535), 1,
      anon_sym_RBRACK,
    STATE(3510), 1,
      aux_sym_array_pattern_repeat1,
  [121747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6598), 1,
      anon_sym_COMMA,
    ACTIONS(6600), 1,
      anon_sym_GT,
    STATE(3524), 1,
      aux_sym_type_parameters_repeat1,
  [121760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6602), 1,
      anon_sym_COMMA,
    ACTIONS(6604), 1,
      anon_sym_GT,
    STATE(3432), 1,
      aux_sym_type_parameters_repeat1,
  [121773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_COMMA,
    ACTIONS(6609), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      aux_sym_object_pattern_repeat1,
  [121786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6611), 1,
      anon_sym_COMMA,
    ACTIONS(6614), 1,
      anon_sym_RBRACE,
    STATE(3356), 1,
      aux_sym_object_repeat1,
  [121799] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_DQUOTE,
    ACTIONS(937), 1,
      anon_sym_SQUOTE,
    STATE(3930), 1,
      sym_string,
  [121812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6616), 1,
      anon_sym_EQ,
    ACTIONS(6618), 1,
      anon_sym_COMMA,
    ACTIONS(6620), 1,
      anon_sym_from,
  [121825] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6622), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [121834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6624), 1,
      anon_sym_COMMA,
    ACTIONS(6626), 1,
      anon_sym_RBRACE,
    STATE(3423), 1,
      aux_sym_enum_body_repeat1,
  [121847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121856] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6630), 1,
      sym_identifier,
    ACTIONS(6632), 1,
      anon_sym_require,
    STATE(3394), 1,
      sym_nested_identifier,
  [121869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    ACTIONS(6634), 1,
      anon_sym_RPAREN,
    STATE(3926), 1,
      sym_type_annotation,
  [121882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_RBRACK,
    ACTIONS(6636), 1,
      anon_sym_COMMA,
    STATE(3332), 1,
      aux_sym_tuple_type_repeat1,
  [121895] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6638), 1,
      anon_sym_COMMA,
    ACTIONS(6640), 1,
      anon_sym_RBRACE,
    STATE(3411), 1,
      aux_sym_enum_body_repeat1,
  [121908] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6642), 1,
      sym_identifier,
    ACTIONS(6644), 1,
      anon_sym_LBRACK,
    ACTIONS(6646), 1,
      sym_private_property_identifier,
  [121921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6648), 1,
      sym_identifier,
    ACTIONS(6650), 1,
      anon_sym_LBRACK,
    ACTIONS(6652), 1,
      sym_private_property_identifier,
  [121934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6654), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [121943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6656), 1,
      sym_identifier,
    ACTIONS(6658), 1,
      anon_sym_LBRACK,
    ACTIONS(6660), 1,
      sym_private_property_identifier,
  [121956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6497), 1,
      anon_sym_RBRACK,
    STATE(3510), 1,
      aux_sym_array_pattern_repeat1,
  [121969] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_COMMA,
    ACTIONS(6664), 1,
      anon_sym_RBRACE,
    STATE(3419), 1,
      aux_sym_named_imports_repeat1,
  [121982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4094), 1,
      anon_sym_RBRACK,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [121995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6666), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [122006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6668), 1,
      anon_sym_COMMA,
    ACTIONS(6670), 1,
      anon_sym_RBRACE,
    STATE(3423), 1,
      aux_sym_enum_body_repeat1,
  [122019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4094), 1,
      anon_sym_RBRACK,
    STATE(3390), 1,
      aux_sym_array_repeat1,
  [122032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      sym_identifier,
    ACTIONS(6674), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      sym_private_property_identifier,
  [122045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6678), 1,
      anon_sym_GT,
  [122058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6497), 1,
      anon_sym_RBRACK,
    STATE(3450), 1,
      aux_sym_array_pattern_repeat1,
  [122071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6564), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4096), 1,
      anon_sym_RPAREN,
    STATE(3403), 1,
      aux_sym_array_repeat1,
  [122093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4096), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [122106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3696), 1,
      sym_type_predicate,
    ACTIONS(6680), 2,
      sym_identifier,
      sym_this,
  [122117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2443), 1,
      anon_sym_GT,
    ACTIONS(6682), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [122130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6684), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122148] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3652), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [122157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(6688), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [122170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6690), 1,
      anon_sym_COMMA,
    ACTIONS(6692), 1,
      anon_sym_RBRACE,
    STATE(3374), 1,
      aux_sym_enum_body_repeat1,
  [122183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    STATE(3134), 1,
      sym_object_type,
  [122196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(6694), 1,
      anon_sym_RBRACK,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [122209] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6696), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [122218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6700), 1,
      anon_sym_RBRACE,
    STATE(3356), 1,
      aux_sym_object_repeat1,
  [122231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 1,
      sym_identifier,
    ACTIONS(6704), 1,
      anon_sym_LBRACK,
    ACTIONS(6706), 1,
      sym_private_property_identifier,
  [122244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_DOT,
    ACTIONS(6708), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5663), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [122273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6712), 1,
      anon_sym_COMMA,
    ACTIONS(6714), 1,
      anon_sym_RBRACK,
    STATE(3424), 1,
      aux_sym_tuple_type_repeat1,
  [122286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6716), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      aux_sym_object_pattern_repeat1,
  [122299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6686), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 1,
      anon_sym_COMMA,
    ACTIONS(6720), 1,
      anon_sym_RBRACK,
    STATE(3455), 1,
      aux_sym_tuple_type_repeat1,
  [122321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_while,
    ACTIONS(6722), 1,
      anon_sym_else,
    STATE(615), 1,
      sym_else_clause,
  [122343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(6724), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [122356] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_GT,
  [122369] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_GT,
    ACTIONS(6728), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [122382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 1,
      anon_sym_EQ,
    ACTIONS(2865), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [122393] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6732), 1,
      anon_sym_GT,
  [122406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_GT,
    ACTIONS(6734), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [122419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(6736), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [122432] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6740), 1,
      anon_sym_GT,
    STATE(3679), 1,
      sym_type_parameter,
  [122445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6742), 1,
      anon_sym_COMMA,
    ACTIONS(6744), 1,
      anon_sym_RBRACE,
    STATE(3423), 1,
      aux_sym_enum_body_repeat1,
  [122458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6746), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6137), 1,
      anon_sym_LBRACE,
    ACTIONS(6139), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [122478] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(6748), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [122491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6750), 1,
      anon_sym_COMMA,
    ACTIONS(6752), 1,
      anon_sym_RBRACE,
    STATE(3423), 1,
      aux_sym_enum_body_repeat1,
  [122504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6754), 1,
      sym_identifier,
    ACTIONS(6756), 1,
      anon_sym_LBRACK,
    ACTIONS(6758), 1,
      sym_private_property_identifier,
  [122517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6760), 1,
      anon_sym_COMMA,
    ACTIONS(6762), 1,
      anon_sym_RPAREN,
    STATE(3530), 1,
      aux_sym_formal_parameters_repeat1,
  [122530] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6764), 1,
      sym_identifier,
    ACTIONS(6766), 1,
      anon_sym_LBRACK,
    ACTIONS(6768), 1,
      sym_private_property_identifier,
  [122543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6770), 1,
      anon_sym_COMMA,
    ACTIONS(6772), 1,
      anon_sym_RBRACE,
    STATE(3443), 1,
      aux_sym_named_imports_repeat1,
  [122556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6774), 1,
      sym_identifier,
    ACTIONS(6776), 1,
      anon_sym_LBRACK,
    ACTIONS(6778), 1,
      sym_private_property_identifier,
  [122569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5517), 1,
      anon_sym_DOT,
    ACTIONS(6780), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [122580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6782), 1,
      sym_identifier,
    ACTIONS(6784), 1,
      anon_sym_LBRACK,
    ACTIONS(6786), 1,
      sym_private_property_identifier,
  [122593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6788), 1,
      anon_sym_COMMA,
    ACTIONS(6791), 1,
      anon_sym_RBRACE,
    STATE(3423), 1,
      aux_sym_enum_body_repeat1,
  [122606] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 1,
      anon_sym_RBRACK,
    ACTIONS(6793), 1,
      anon_sym_COMMA,
    STATE(3332), 1,
      aux_sym_tuple_type_repeat1,
  [122619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5981), 1,
      anon_sym_COMMA,
    ACTIONS(6795), 1,
      anon_sym_LBRACE,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [122632] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6797), 1,
      anon_sym_COMMA,
    ACTIONS(6799), 1,
      anon_sym_RBRACK,
    STATE(3364), 1,
      aux_sym_tuple_type_repeat1,
  [122645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6801), 1,
      anon_sym_COMMA,
    ACTIONS(6804), 1,
      anon_sym_RPAREN,
    STATE(3427), 1,
      aux_sym_formal_parameters_repeat1,
  [122658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6806), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_LBRACE,
    ACTIONS(6810), 1,
      sym_identifier,
    STATE(2975), 1,
      sym_export_clause,
  [122689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6812), 1,
      anon_sym_COMMA,
    ACTIONS(6814), 1,
      anon_sym_RPAREN,
    STATE(3513), 1,
      aux_sym_formal_parameters_repeat1,
  [122702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6816), 1,
      anon_sym_COMMA,
    ACTIONS(6818), 1,
      anon_sym_GT,
    STATE(3478), 1,
      aux_sym_type_parameters_repeat1,
  [122715] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3817), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [122724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 1,
      anon_sym_LBRACE,
    ACTIONS(3300), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [122735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5555), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [122744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6820), 1,
      anon_sym_COMMA,
    ACTIONS(6822), 1,
      anon_sym_RBRACE,
    STATE(3534), 1,
      aux_sym_export_clause_repeat1,
  [122757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6808), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6824), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [122775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2813), 1,
      sym_type_predicate,
    ACTIONS(6826), 2,
      sym_identifier,
      sym_this,
  [122786] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6818), 1,
      anon_sym_GT,
    STATE(3679), 1,
      sym_type_parameter,
  [122799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_LBRACE,
    ACTIONS(3588), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [122810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3543), 1,
      anon_sym_LBRACE,
    ACTIONS(3545), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [122821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6828), 1,
      anon_sym_COMMA,
    ACTIONS(6831), 1,
      anon_sym_RBRACE,
    STATE(3443), 1,
      aux_sym_named_imports_repeat1,
  [122834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5698), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [122843] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6618), 1,
      anon_sym_COMMA,
    ACTIONS(6620), 1,
      anon_sym_from,
    ACTIONS(6833), 1,
      anon_sym_EQ,
  [122856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_LBRACE,
    ACTIONS(3449), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [122867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3172), 1,
      sym_type_predicate,
    ACTIONS(6835), 2,
      sym_identifier,
      sym_this,
  [122878] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6239), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [122887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 1,
      anon_sym_EQ,
    ACTIONS(6837), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [122898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6839), 1,
      anon_sym_RBRACK,
    STATE(3510), 1,
      aux_sym_array_pattern_repeat1,
  [122911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [122924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4068), 1,
      anon_sym_RPAREN,
    STATE(3409), 1,
      aux_sym_array_repeat1,
  [122937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_GT,
    ACTIONS(6841), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [122950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4141), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [122959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_RBRACK,
    ACTIONS(6843), 1,
      anon_sym_COMMA,
    STATE(3332), 1,
      aux_sym_tuple_type_repeat1,
  [122972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3519), 1,
      anon_sym_LBRACE,
    ACTIONS(3521), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE_PIPE,
  [122983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6845), 1,
      anon_sym_COMMA,
    ACTIONS(6847), 1,
      anon_sym_RBRACE,
    STATE(3469), 1,
      aux_sym_export_clause_repeat1,
  [122996] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3652), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6628), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6849), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6851), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      aux_sym_object_pattern_repeat1,
  [123036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(531), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1067), 1,
      anon_sym_LBRACE,
    STATE(551), 1,
      sym_object_type,
  [123058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 1,
      sym_identifier,
    ACTIONS(5607), 1,
      anon_sym_LBRACK,
    ACTIONS(5609), 1,
      sym_private_property_identifier,
  [123071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6855), 1,
      anon_sym_RBRACE,
    STATE(3356), 1,
      aux_sym_object_repeat1,
  [123084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6857), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6861), 1,
      anon_sym_COMMA,
    ACTIONS(6863), 1,
      anon_sym_RBRACE,
    STATE(3534), 1,
      aux_sym_export_clause_repeat1,
  [123124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6865), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6867), 1,
      anon_sym_EQ,
    ACTIONS(2908), 2,
      anon_sym_in,
      anon_sym_of,
  [123144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6495), 1,
      anon_sym_EQ,
    ACTIONS(6869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [123164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4121), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [123177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4121), 1,
      anon_sym_RPAREN,
    STATE(3387), 1,
      aux_sym_array_repeat1,
  [123190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4070), 1,
      anon_sym_RPAREN,
    STATE(3492), 1,
      aux_sym_array_repeat1,
  [123203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4070), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [123216] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6871), 1,
      anon_sym_COMMA,
    ACTIONS(6874), 1,
      anon_sym_GT,
    STATE(3478), 1,
      aux_sym_type_parameters_repeat1,
  [123229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6855), 1,
      anon_sym_RBRACE,
    STATE(3392), 1,
      aux_sym_object_repeat1,
  [123242] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6876), 1,
      anon_sym_GT,
    STATE(3679), 1,
      sym_type_parameter,
  [123255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123264] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6696), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6880), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123282] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3652), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123291] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(6882), 1,
      anon_sym_EQ,
    STATE(4002), 1,
      sym_type_parameters,
  [123304] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6884), 1,
      anon_sym_COMMA,
    ACTIONS(6886), 1,
      anon_sym_RBRACK,
    STATE(3507), 1,
      aux_sym_tuple_type_repeat1,
  [123317] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6851), 1,
      anon_sym_RBRACE,
    STATE(3398), 1,
      aux_sym_object_pattern_repeat1,
  [123330] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LBRACE_PIPE,
    ACTIONS(1091), 1,
      anon_sym_LBRACE,
    STATE(3133), 1,
      sym_object_type,
  [123343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6888), 1,
      anon_sym_RBRACE,
    STATE(3356), 1,
      aux_sym_object_repeat1,
  [123356] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6263), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123365] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(4019), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(6890), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [123387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6859), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 1,
      anon_sym_GT,
    ACTIONS(6892), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [123409] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6696), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_GT,
  [123431] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6696), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6896), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 1,
      sym_identifier,
    ACTIONS(6900), 1,
      anon_sym_LBRACK,
    ACTIONS(6902), 1,
      sym_private_property_identifier,
  [123462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 1,
      anon_sym_LT,
    ACTIONS(6904), 1,
      anon_sym_EQ,
    STATE(4106), 1,
      sym_type_parameters,
  [123475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6906), 1,
      sym_identifier,
    ACTIONS(6908), 1,
      anon_sym_LBRACK,
    ACTIONS(6910), 1,
      sym_private_property_identifier,
  [123488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4082), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [123501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6912), 1,
      sym_identifier,
    ACTIONS(6914), 1,
      anon_sym_LBRACK,
    ACTIONS(6916), 1,
      sym_private_property_identifier,
  [123514] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3652), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6918), 1,
      sym_identifier,
    ACTIONS(6920), 1,
      anon_sym_LBRACK,
    ACTIONS(6922), 1,
      sym_private_property_identifier,
  [123536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4082), 1,
      anon_sym_RPAREN,
    STATE(3414), 1,
      aux_sym_array_repeat1,
  [123549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2293), 1,
      anon_sym_RBRACK,
    ACTIONS(6924), 1,
      anon_sym_COMMA,
    STATE(3332), 1,
      aux_sym_tuple_type_repeat1,
  [123562] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(4003), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123571] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_RPAREN,
    ACTIONS(6926), 1,
      anon_sym_COMMA,
    STATE(3427), 1,
      aux_sym_formal_parameters_repeat1,
  [123584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 1,
      anon_sym_RBRACK,
    ACTIONS(6928), 1,
      anon_sym_COMMA,
    STATE(3510), 1,
      aux_sym_array_pattern_repeat1,
  [123597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5655), 3,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [123606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_EQ,
    ACTIONS(2908), 2,
      anon_sym_in,
      anon_sym_of,
  [123617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4517), 1,
      anon_sym_RPAREN,
    ACTIONS(6933), 1,
      anon_sym_COMMA,
    STATE(3427), 1,
      aux_sym_formal_parameters_repeat1,
  [123630] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3857), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    ACTIONS(6935), 1,
      anon_sym_as,
    STATE(3843), 1,
      sym__from_clause,
  [123652] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6937), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6939), 1,
      anon_sym_EQ,
    ACTIONS(2915), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [123672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      sym_identifier,
    ACTIONS(6944), 1,
      anon_sym_LBRACE,
    STATE(651), 1,
      sym_export_clause,
  [123685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    ACTIONS(6935), 1,
      anon_sym_as,
    STATE(3616), 1,
      sym__from_clause,
  [123698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6878), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4949), 1,
      anon_sym_is,
    ACTIONS(5672), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [123718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6946), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      aux_sym_object_pattern_repeat1,
  [123731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6853), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6948), 1,
      anon_sym_COMMA,
    ACTIONS(6950), 1,
      anon_sym_GT,
    STATE(3478), 1,
      aux_sym_type_parameters_repeat1,
  [123753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      sym_identifier,
    ACTIONS(6950), 1,
      anon_sym_GT,
    STATE(3679), 1,
      sym_type_parameter,
  [123766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6952), 1,
      anon_sym_LPAREN,
    ACTIONS(6954), 1,
      anon_sym_await,
    STATE(42), 1,
      sym__for_header,
  [123779] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3861), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_COMMA,
    ACTIONS(6956), 1,
      anon_sym_RBRACK,
    STATE(3510), 1,
      aux_sym_array_pattern_repeat1,
  [123801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(6958), 1,
      anon_sym_RBRACK,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [123814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4519), 1,
      anon_sym_RPAREN,
    ACTIONS(6960), 1,
      anon_sym_COMMA,
    STATE(3427), 1,
      aux_sym_formal_parameters_repeat1,
  [123827] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6962), 1,
      anon_sym_RBRACE,
    STATE(3356), 1,
      aux_sym_object_repeat1,
  [123840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_RBRACK,
    ACTIONS(6964), 1,
      anon_sym_COMMA,
    STATE(3332), 1,
      aux_sym_tuple_type_repeat1,
  [123853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6966), 1,
      anon_sym_RBRACE,
    STATE(3356), 1,
      aux_sym_object_repeat1,
  [123866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6968), 1,
      anon_sym_COMMA,
    ACTIONS(6971), 1,
      anon_sym_RBRACE,
    STATE(3534), 1,
      aux_sym_export_clause_repeat1,
  [123879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6975), 1,
      anon_sym_COMMA,
    ACTIONS(6977), 1,
      anon_sym_RPAREN,
    STATE(3509), 1,
      aux_sym_formal_parameters_repeat1,
  [123901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6979), 1,
      sym_identifier,
    STATE(1884), 1,
      sym_decorator_member_expression,
    STATE(1933), 1,
      sym_decorator_call_expression,
  [123914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6981), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      aux_sym_object_pattern_repeat1,
  [123927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6582), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6983), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      aux_sym_object_pattern_repeat1,
  [123949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6985), 1,
      anon_sym_RBRACE,
    STATE(3355), 1,
      aux_sym_object_pattern_repeat1,
  [123962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6987), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4790), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123980] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(6989), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [123989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [123998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6991), 1,
      anon_sym_LPAREN,
    ACTIONS(6993), 1,
      anon_sym_await,
    STATE(38), 1,
      sym__for_header,
  [124011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6413), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4139), 1,
      anon_sym_RPAREN,
    STATE(3555), 1,
      aux_sym_array_repeat1,
  [124033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(4139), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [124046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6995), 1,
      anon_sym_RBRACE,
    STATE(3356), 1,
      aux_sym_object_repeat1,
  [124068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6997), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6999), 1,
      anon_sym_COMMA,
    ACTIONS(7001), 1,
      anon_sym_RBRACE,
    STATE(3436), 1,
      aux_sym_export_clause_repeat1,
  [124090] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(3834), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [124099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1406), 1,
      anon_sym_COMMA,
    ACTIONS(7003), 1,
      anon_sym_RPAREN,
    STATE(3256), 1,
      aux_sym_array_repeat1,
  [124112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    ACTIONS(7005), 1,
      anon_sym_LPAREN,
    STATE(511), 1,
      sym_statement_block,
  [124125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_GT,
    ACTIONS(7007), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [124138] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(4036), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [124147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6545), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7009), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124165] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4189), 1,
      anon_sym_extends,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
  [124178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7011), 1,
      sym_identifier,
    ACTIONS(7013), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7015), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7017), 1,
      sym_identifier,
    ACTIONS(7019), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5253), 1,
      anon_sym_extends,
  [124222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7021), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_DQUOTE,
    ACTIONS(1111), 1,
      anon_sym_SQUOTE,
    STATE(3657), 1,
      sym_string,
  [124244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7023), 1,
      anon_sym_LBRACE,
    ACTIONS(6253), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [124255] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7025), 1,
      sym_identifier,
    ACTIONS(7027), 1,
      anon_sym_LBRACK,
    ACTIONS(7029), 1,
      sym_private_property_identifier,
  [124268] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7031), 1,
      sym_identifier,
    ACTIONS(7033), 1,
      anon_sym_LBRACK,
    ACTIONS(7035), 1,
      sym_private_property_identifier,
  [124281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 1,
      anon_sym_extends,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
  [124294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7037), 1,
      anon_sym_LPAREN,
    ACTIONS(7039), 1,
      anon_sym_await,
    STATE(43), 1,
      sym__for_header,
  [124307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 1,
      sym_identifier,
    ACTIONS(7043), 1,
      anon_sym_LBRACK,
    ACTIONS(7045), 1,
      sym_private_property_identifier,
  [124320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6539), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [124329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5375), 1,
      anon_sym_extends,
  [124342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_GT,
    ACTIONS(7047), 1,
      anon_sym_COMMA,
    STATE(3249), 1,
      aux_sym_implements_clause_repeat1,
  [124355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5080), 1,
      anon_sym_AMP,
    ACTIONS(5082), 1,
      anon_sym_PIPE,
    ACTIONS(5880), 1,
      anon_sym_extends,
  [124368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_while,
    ACTIONS(7049), 1,
      anon_sym_else,
    STATE(615), 1,
      sym_else_clause,
  [124381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    ACTIONS(6983), 1,
      anon_sym_RBRACE,
    STATE(3538), 1,
      aux_sym_object_pattern_repeat1,
  [124394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6698), 1,
      anon_sym_COMMA,
    ACTIONS(6888), 1,
      anon_sym_RBRACE,
    STATE(3533), 1,
      aux_sym_object_repeat1,
  [124407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7051), 1,
      anon_sym_as,
    ACTIONS(7053), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [124418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7055), 1,
      anon_sym_LBRACE,
    ACTIONS(6206), 2,
      anon_sym_extends,
      anon_sym_LBRACE_PIPE,
  [124429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 1,
      sym_identifier,
    ACTIONS(5577), 1,
      anon_sym_LBRACK,
    ACTIONS(5579), 1,
      sym_private_property_identifier,
  [124442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7057), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [124450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_LBRACE,
    STATE(3085), 1,
      sym_enum_body,
  [124460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(3603), 1,
      sym_parenthesized_expression,
  [124470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym_parenthesized_expression,
  [124480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(463), 1,
      sym_statement_block,
  [124490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(52), 1,
      sym_parenthesized_expression,
  [124500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7063), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(49), 1,
      sym_parenthesized_expression,
  [124518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4125), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2844), 1,
      sym_formal_parameters,
  [124536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7065), 1,
      sym_identifier,
    ACTIONS(7067), 1,
      anon_sym_STAR,
  [124546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(41), 1,
      sym_parenthesized_expression,
  [124556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    STATE(3625), 1,
      sym__from_clause,
  [124566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    STATE(3635), 1,
      sym__from_clause,
  [124576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym_parenthesized_expression,
  [124586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(36), 1,
      sym_parenthesized_expression,
  [124596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7069), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parenthesized_expression,
  [124622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_switch_body,
  [124632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym__for_header,
  [124642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7077), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7079), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4072), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4077), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      sym_identifier,
    STATE(3354), 1,
      sym_type_parameter,
  [124684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1696), 1,
      sym_class_body,
  [124694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1687), 1,
      sym_statement_block,
  [124704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym_statement_block,
  [124714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    STATE(3841), 1,
      sym__from_clause,
  [124724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(600), 1,
      sym_enum_body,
  [124734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5605), 1,
      sym_identifier,
    ACTIONS(5609), 1,
      sym_private_property_identifier,
  [124744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7083), 1,
      anon_sym_SEMI,
    ACTIONS(7085), 1,
      sym__automatic_semicolon,
  [124754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7087), 1,
      sym_identifier,
    ACTIONS(7089), 1,
      sym_private_property_identifier,
  [124764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      sym_identifier,
    ACTIONS(7093), 1,
      sym_private_property_identifier,
  [124774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      sym_identifier,
    ACTIONS(7097), 1,
      sym_private_property_identifier,
  [124784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6898), 1,
      sym_identifier,
    ACTIONS(6902), 1,
      sym_private_property_identifier,
  [124794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_LPAREN,
    STATE(35), 1,
      sym__for_header,
  [124804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7099), 1,
      sym_identifier,
    ACTIONS(7101), 1,
      anon_sym_STAR,
  [124814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym_SEMI,
    ACTIONS(7105), 1,
      sym__automatic_semicolon,
  [124824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7075), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym__for_header,
  [124834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7107), 1,
      anon_sym_SEMI,
    ACTIONS(7109), 1,
      sym__automatic_semicolon,
  [124844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
  [124854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_LPAREN,
    STATE(2367), 1,
      sym_arguments,
  [124864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7061), 1,
      anon_sym_LPAREN,
    STATE(30), 1,
      sym_parenthesized_expression,
  [124874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6609), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [124882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6614), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [124890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3670), 1,
      sym_statement_block,
  [124900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6374), 1,
      anon_sym_from,
    STATE(3673), 1,
      sym__from_clause,
  [124910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7111), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7113), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [124926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7115), 1,
      anon_sym_SEMI,
    ACTIONS(7117), 1,
      sym__automatic_semicolon,
  [124936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6013), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [124944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7081), 1,
      anon_sym_LBRACE,
    STATE(515), 1,
      sym_enum_body,
  [124954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7119), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [124962] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7121), 1,
      anon_sym_LPAREN,
    STATE(3676), 1,
      sym_parenthesized_expression,
  [124972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(585), 1,
      sym_statement_block,
  [124982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6837), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [124990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym_jsx_identifier,
    ACTIONS(7123), 1,
      sym_identifier,
  [125000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7125), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [125008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5034), 1,
      anon_sym_COLON,
    STATE(3337), 1,
      sym_type_annotation,
  [125018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(4014), 1,
      sym_formal_parameters,
  [125028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1697), 1,
      sym_class_body,
  [125038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_statement_block,
  [125048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1665), 1,
      sym_statement_block,
  [125058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [125066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(2984), 1,
      sym_formal_parameters,
  [125076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    STATE(1759), 1,
      sym_arguments,
  [125086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(117), 1,
      sym_class_body,
  [125096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [125104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7127), 1,
      sym_identifier,
    ACTIONS(7129), 1,
      sym_private_property_identifier,
  [125114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1721), 1,
      sym_class_body,
  [125124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7131), 1,
      sym_identifier,
    ACTIONS(7133), 1,
      sym_private_property_identifier,
  [125134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7135), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [125142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7137), 1,
      sym_identifier,
    ACTIONS(7139), 1,
      sym_private_property_identifier,
  [125152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6754), 1,
      sym_identifier,
    ACTIONS(6758), 1,
      sym_private_property_identifier,
  [125162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [125170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [125178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7143), 1,
      sym_identifier,
    STATE(3394), 1,
      sym_nested_identifier,
  [125188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(6732), 1,
      anon_sym_GT,
  [125198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6732), 1,
      anon_sym_GT,
  [125208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(508), 1,
      sym_class_body,
  [125218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3704), 1,
      sym_statement_block,
  [125228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6869), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [125236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3706), 1,
      sym_statement_block,
  [125246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    STATE(1169), 1,
      sym_arguments,
  [125256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [125264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1756), 1,
      sym_class_body,
  [125274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1751), 1,
      sym_statement_block,
  [125284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7145), 1,
      anon_sym_SEMI,
    ACTIONS(7147), 1,
      sym__automatic_semicolon,
  [125294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7149), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [125302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7151), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [125310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7153), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [125318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3875), 1,
      sym_formal_parameters,
  [125328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7155), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [125336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6874), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [125344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(138), 1,
      sym_class_body,
  [125354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [125362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    STATE(3740), 1,
      sym_type_annotation,
  [125372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3949), 1,
      sym_formal_parameters,
  [125382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3955), 1,
      sym_formal_parameters,
  [125392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1685), 1,
      sym_statement_block,
  [125402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_LBRACE,
    STATE(125), 1,
      sym_statement_block,
  [125412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_class_body,
  [125422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3053), 1,
      sym_formal_parameters,
  [125432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2442), 1,
      sym_formal_parameters,
  [125442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3978), 1,
      sym_formal_parameters,
  [125452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3115), 1,
      sym_formal_parameters,
  [125462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6894), 1,
      anon_sym_GT,
  [125472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(6894), 1,
      anon_sym_GT,
  [125482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7157), 1,
      sym_identifier,
    ACTIONS(7159), 1,
      anon_sym_STAR,
  [125492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7161), 1,
      sym_identifier,
    STATE(3421), 1,
      sym_nested_identifier,
  [125502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5672), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [125510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(124), 1,
      sym_class_body,
  [125520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_LPAREN,
    STATE(2140), 1,
      sym_arguments,
  [125530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7163), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [125538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_class_body,
  [125548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    STATE(495), 1,
      sym_statement_block,
  [125558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(504), 1,
      sym_class_body,
  [125568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3752), 1,
      sym_statement_block,
  [125578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [125586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3755), 1,
      sym_statement_block,
  [125596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [125604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1793), 1,
      sym_class_body,
  [125614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1738), 1,
      sym_statement_block,
  [125624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5303), 1,
      anon_sym_LPAREN,
    STATE(2140), 1,
      sym_arguments,
  [125634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1483), 1,
      sym_class_body,
  [125644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1463), 1,
      sym_statement_block,
  [125654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7165), 1,
      sym_identifier,
    ACTIONS(7167), 1,
      anon_sym_STAR,
  [125664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3897), 1,
      sym_formal_parameters,
  [125674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1740), 1,
      sym_statement_block,
  [125684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7169), 1,
      sym_identifier,
    ACTIONS(7171), 1,
      sym_private_property_identifier,
  [125694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1741), 1,
      sym_class_body,
  [125704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7173), 1,
      sym_identifier,
    ACTIONS(7175), 1,
      sym_private_property_identifier,
  [125714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7177), 1,
      sym_identifier,
    ACTIONS(7179), 1,
      sym_private_property_identifier,
  [125724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6672), 1,
      sym_identifier,
    ACTIONS(6676), 1,
      sym_private_property_identifier,
  [125734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3110), 1,
      sym_formal_parameters,
  [125744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7181), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [125752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5332), 2,
      anon_sym_in,
      anon_sym_of,
  [125760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    STATE(3118), 1,
      sym_statement_block,
  [125770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1435), 1,
      sym_class_body,
  [125780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7183), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [125788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      sym_identifier,
    STATE(3679), 1,
      sym_type_parameter,
  [125798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(6726), 1,
      anon_sym_GT,
  [125808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6726), 1,
      anon_sym_GT,
  [125818] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1425), 1,
      sym_statement_block,
  [125828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1730), 1,
      sym_class_body,
  [125838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2415), 1,
      anon_sym_LPAREN,
    STATE(2634), 1,
      sym_formal_parameters,
  [125848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7041), 1,
      sym_identifier,
    ACTIONS(7045), 1,
      sym_private_property_identifier,
  [125858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7185), 1,
      sym_identifier,
    ACTIONS(7187), 1,
      sym_private_property_identifier,
  [125868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7189), 1,
      sym_identifier,
    ACTIONS(7191), 1,
      sym_private_property_identifier,
  [125878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    STATE(2297), 1,
      sym_arguments,
  [125888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    STATE(3144), 1,
      sym_statement_block,
  [125898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1528), 1,
      sym_class_body,
  [125908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7193), 1,
      sym_identifier,
    ACTIONS(7195), 1,
      sym_private_property_identifier,
  [125918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      anon_sym_COLON,
    STATE(3766), 1,
      sym_type_annotation,
  [125928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7197), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [125936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7199), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [125944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_LBRACE,
    STATE(116), 1,
      sym_statement_block,
  [125954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(4125), 1,
      sym_formal_parameters,
  [125964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_class_body,
  [125974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(4119), 1,
      sym_formal_parameters,
  [125984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7201), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [125992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1613), 1,
      sym_class_body,
  [126002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(544), 1,
      sym_class_body,
  [126012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7203), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    STATE(500), 1,
      sym_statement_block,
  [126030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(496), 1,
      sym_class_body,
  [126040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6586), 1,
      sym_identifier,
    ACTIONS(6590), 1,
      sym_private_property_identifier,
  [126058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3770), 1,
      sym_statement_block,
  [126068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3772), 1,
      sym_statement_block,
  [126086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1749), 1,
      sym_statement_block,
  [126096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1748), 1,
      sym_class_body,
  [126106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(4059), 1,
      sym_formal_parameters,
  [126116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_statement_block,
  [126126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5383), 1,
      anon_sym_LBRACE,
    STATE(115), 1,
      sym_class_body,
  [126136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(4051), 1,
      sym_formal_parameters,
  [126146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [126154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(3191), 1,
      sym_class_body,
  [126164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7205), 1,
      anon_sym_in,
    ACTIONS(7207), 1,
      anon_sym_COLON,
  [126174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7209), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [126182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6554), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [126190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7211), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5379), 1,
      anon_sym_LBRACE,
    STATE(602), 1,
      sym_class_body,
  [126208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3787), 1,
      sym_statement_block,
  [126226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3796), 1,
      sym_statement_block,
  [126244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7213), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [126252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1205), 1,
      sym_class_body,
  [126262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1236), 1,
      sym_statement_block,
  [126272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(3103), 1,
      sym_class_body,
  [126282] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(3097), 1,
      sym_class_body,
  [126292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1604), 1,
      sym_class_body,
  [126302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(3065), 1,
      sym_class_body,
  [126312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1515), 1,
      sym_statement_block,
  [126322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(497), 1,
      sym_statement_block,
  [126332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7215), 1,
      sym_identifier,
    ACTIONS(7217), 1,
      sym_private_property_identifier,
  [126342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7219), 1,
      sym_identifier,
    ACTIONS(7221), 1,
      sym_private_property_identifier,
  [126352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7223), 1,
      sym_identifier,
    ACTIONS(7225), 1,
      sym_private_property_identifier,
  [126362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1577), 1,
      sym_class_body,
  [126372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3810), 1,
      sym_statement_block,
  [126390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1299), 1,
      sym_class_body,
  [126400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1234), 1,
      sym_statement_block,
  [126410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1266), 1,
      sym_statement_block,
  [126420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1259), 1,
      sym_class_body,
  [126430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(2935), 1,
      sym_class_body,
  [126440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(2930), 1,
      sym_class_body,
  [126450] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1243), 1,
      sym_class_body,
  [126460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3799), 1,
      sym_statement_block,
  [126478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3801), 1,
      sym_statement_block,
  [126488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3805), 1,
      sym_statement_block,
  [126506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4768), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1865), 1,
      anon_sym_LBRACE,
    STATE(3809), 1,
      sym_statement_block,
  [126524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4970), 1,
      anon_sym_DOT,
    ACTIONS(6678), 1,
      anon_sym_GT,
  [126534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5157), 1,
      anon_sym_COLON,
    ACTIONS(6678), 1,
      anon_sym_GT,
  [126544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4760), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(3148), 1,
      sym_class_body,
  [126562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_LBRACE,
    STATE(1605), 1,
      sym_statement_block,
  [126572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1218), 1,
      sym_statement_block,
  [126582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4784), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4772), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_LPAREN,
    STATE(1636), 1,
      sym_arguments,
  [126624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1638), 1,
      sym_class_body,
  [126634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4802), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4764), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4780), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [126682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1271), 1,
      sym_statement_block,
  [126692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1275), 1,
      sym_class_body,
  [126702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5363), 1,
      anon_sym_LBRACE,
    STATE(3183), 1,
      sym_class_body,
  [126712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7227), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [126720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1290), 1,
      sym_class_body,
  [126730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2313), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [126738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3201), 1,
      anon_sym_LPAREN,
    STATE(1296), 1,
      sym_arguments,
  [126748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [126756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_LPAREN,
    STATE(2534), 1,
      sym_formal_parameters,
  [126766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1245), 1,
      sym_statement_block,
  [126776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1230), 1,
      sym_statement_block,
  [126786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1221), 1,
      sym_class_body,
  [126796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6738), 1,
      sym_identifier,
    STATE(3353), 1,
      sym_type_parameter,
  [126806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5311), 1,
      anon_sym_LBRACE,
    STATE(1310), 1,
      sym_class_body,
  [126816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3924), 1,
      sym_formal_parameters,
  [126826] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5279), 1,
      anon_sym_LBRACE,
    STATE(1447), 1,
      sym_class_body,
  [126836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3335), 1,
      anon_sym_LBRACE,
    STATE(1314), 1,
      sym_statement_block,
  [126846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    STATE(3168), 1,
      sym_statement_block,
  [126856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7059), 1,
      anon_sym_LBRACE,
    STATE(3038), 1,
      sym_enum_body,
  [126866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5553), 1,
      anon_sym_LPAREN,
    STATE(3960), 1,
      sym_formal_parameters,
  [126876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7229), 1,
      anon_sym_SEMI,
    ACTIONS(7231), 1,
      sym__automatic_semicolon,
  [126886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7233), 1,
      anon_sym_SEMI,
    ACTIONS(7235), 1,
      sym__automatic_semicolon,
  [126896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7237), 1,
      anon_sym_SEMI,
    ACTIONS(7239), 1,
      sym__automatic_semicolon,
  [126906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5575), 1,
      sym_identifier,
    ACTIONS(5579), 1,
      sym_private_property_identifier,
  [126916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6799), 1,
      anon_sym_RBRACK,
  [126923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3865), 1,
      anon_sym_RPAREN,
  [126930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5002), 1,
      anon_sym_DOT,
  [126937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7241), 1,
      anon_sym_RBRACK,
  [126944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7243), 1,
      sym_identifier,
  [126951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7245), 1,
      anon_sym_target,
  [126958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7247), 1,
      anon_sym_RPAREN,
  [126965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7249), 1,
      anon_sym_EQ_GT,
  [126972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7251), 1,
      anon_sym_EQ_GT,
  [126979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7253), 1,
      anon_sym_EQ_GT,
  [126986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7255), 1,
      anon_sym_GT,
  [126993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7257), 1,
      sym_number,
  [127000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7259), 1,
      sym_identifier,
  [127007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7261), 1,
      anon_sym_SLASH2,
  [127014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7263), 1,
      anon_sym_EQ_GT,
  [127021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7265), 1,
      anon_sym_EQ_GT,
  [127028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6931), 1,
      anon_sym_EQ,
  [127035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 1,
      anon_sym_RPAREN,
  [127042] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(7267), 1,
      sym_regex_pattern,
  [127049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4266), 1,
      anon_sym_RBRACE,
  [127056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 1,
      anon_sym_LPAREN,
  [127063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7269), 1,
      anon_sym_GT,
  [127070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7271), 1,
      anon_sym_GT,
  [127077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7273), 1,
      anon_sym_GT,
  [127084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7275), 1,
      anon_sym_GT,
  [127091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7277), 1,
      anon_sym_GT,
  [127098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7279), 1,
      anon_sym_GT,
  [127105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6720), 1,
      anon_sym_RBRACK,
  [127112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7281), 1,
      anon_sym_EQ_GT,
  [127119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7283), 1,
      sym_identifier,
  [127126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7285), 1,
      anon_sym_EQ_GT,
  [127133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4302), 1,
      anon_sym_RBRACK,
  [127140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7287), 1,
      anon_sym_EQ_GT,
  [127147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7289), 1,
      anon_sym_EQ_GT,
  [127154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7291), 1,
      anon_sym_EQ_GT,
  [127161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6678), 1,
      anon_sym_GT,
  [127168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7293), 1,
      anon_sym_RBRACK,
  [127175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6730), 1,
      anon_sym_EQ,
  [127182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4208), 1,
      anon_sym_RBRACK,
  [127189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7295), 1,
      anon_sym_EQ_GT,
  [127196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7297), 1,
      anon_sym_GT,
  [127203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7299), 1,
      anon_sym_RBRACK,
  [127210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7301), 1,
      anon_sym_RBRACK,
  [127217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7303), 1,
      anon_sym_RBRACK,
  [127224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7305), 1,
      anon_sym_RBRACK,
  [127231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7307), 1,
      anon_sym_RBRACK,
  [127238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7309), 1,
      anon_sym_RBRACK,
  [127245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7311), 1,
      anon_sym_RBRACK,
  [127252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7313), 1,
      anon_sym_RBRACK,
  [127259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7315), 1,
      anon_sym_RBRACK,
  [127266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7317), 1,
      anon_sym_RBRACK,
  [127273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7319), 1,
      anon_sym_GT,
  [127280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7321), 1,
      anon_sym_EQ_GT,
  [127287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7323), 1,
      anon_sym_RBRACK,
  [127294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7325), 1,
      anon_sym_RBRACK,
  [127301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_RBRACK,
  [127308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7329), 1,
      anon_sym_RBRACK,
  [127315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7331), 1,
      anon_sym_RBRACK,
  [127322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7333), 1,
      anon_sym_EQ_GT,
  [127329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7335), 1,
      anon_sym_RBRACK,
  [127336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7337), 1,
      anon_sym_EQ_GT,
  [127343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7339), 1,
      anon_sym_EQ_GT,
  [127350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7341), 1,
      anon_sym_EQ_GT,
  [127357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7343), 1,
      anon_sym_RBRACK,
  [127364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7345), 1,
      anon_sym_RBRACK,
  [127371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7347), 1,
      anon_sym_RBRACK,
  [127378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7349), 1,
      anon_sym_RBRACK,
  [127385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7351), 1,
      anon_sym_RBRACK,
  [127392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7353), 1,
      anon_sym_RBRACK,
  [127399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_RBRACK,
  [127406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7357), 1,
      anon_sym_RBRACK,
  [127413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_RBRACK,
  [127420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7361), 1,
      anon_sym_RBRACK,
  [127427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7363), 1,
      anon_sym_RBRACK,
  [127434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym_RBRACK,
  [127441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7367), 1,
      anon_sym_RBRACK,
  [127448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7369), 1,
      anon_sym_RBRACK,
  [127455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_DOT,
  [127462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_RBRACK,
  [127469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7373), 1,
      anon_sym_EQ_GT,
  [127476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_COLON,
  [127483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7377), 1,
      anon_sym_RPAREN,
  [127490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_RBRACK,
  [127497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7381), 1,
      anon_sym_RBRACK,
  [127504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
  [127511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7383), 1,
      anon_sym_RPAREN,
  [127518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7385), 1,
      anon_sym_from,
  [127525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      anon_sym_RBRACK,
  [127532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_RBRACK,
  [127539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7391), 1,
      anon_sym_RBRACK,
  [127546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7393), 1,
      anon_sym_RBRACK,
  [127553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7395), 1,
      anon_sym_RBRACK,
  [127560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7397), 1,
      anon_sym_RBRACK,
  [127567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
  [127574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7399), 1,
      anon_sym_SLASH2,
  [127581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7401), 1,
      sym_identifier,
  [127588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7403), 1,
      anon_sym_RPAREN,
  [127595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7405), 1,
      sym_identifier,
  [127602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7407), 1,
      anon_sym_GT,
  [127609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5619), 1,
      anon_sym_DOT,
  [127616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7409), 1,
      sym_number,
  [127623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7411), 1,
      sym_identifier,
  [127630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7413), 1,
      anon_sym_EQ_GT,
  [127637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7415), 1,
      anon_sym_GT,
  [127644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7417), 1,
      anon_sym_EQ_GT,
  [127651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7419), 1,
      anon_sym_GT,
  [127658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7421), 1,
      anon_sym_GT,
  [127665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7423), 1,
      anon_sym_GT,
  [127672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7425), 1,
      anon_sym_GT,
  [127679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7427), 1,
      anon_sym_GT,
  [127686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7429), 1,
      anon_sym_EQ_GT,
  [127693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7431), 1,
      sym_identifier,
  [127700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7433), 1,
      anon_sym_EQ_GT,
  [127707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7435), 1,
      sym_identifier,
  [127714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7437), 1,
      anon_sym_RBRACK,
  [127721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7439), 1,
      anon_sym_EQ_GT,
  [127728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5192), 1,
      anon_sym_DOT,
  [127735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7441), 1,
      anon_sym_GT,
  [127742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7443), 1,
      anon_sym_GT,
  [127749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4333), 1,
      anon_sym_RPAREN,
  [127756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6726), 1,
      anon_sym_GT,
  [127763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
  [127770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4300), 1,
      anon_sym_RPAREN,
  [127777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4298), 1,
      anon_sym_RPAREN,
  [127784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4296), 1,
      anon_sym_COLON,
  [127791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_from,
  [127798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7447), 1,
      anon_sym_GT,
  [127805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7449), 1,
      anon_sym_class,
  [127812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7445), 1,
      anon_sym_from,
  [127819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7451), 1,
      anon_sym_EQ_GT,
  [127826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7453), 1,
      anon_sym_GT,
  [127833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7455), 1,
      anon_sym_EQ,
  [127840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7457), 1,
      anon_sym_namespace,
  [127847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7459), 1,
      anon_sym_EQ_GT,
  [127854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6732), 1,
      anon_sym_GT,
  [127861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7461), 1,
      anon_sym_EQ_GT,
  [127868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7463), 1,
      anon_sym_RBRACK,
  [127875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7465), 1,
      anon_sym_RBRACK,
  [127882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7467), 1,
      anon_sym_RBRACK,
  [127889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7469), 1,
      anon_sym_RBRACK,
  [127896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7471), 1,
      anon_sym_RBRACK,
  [127903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7473), 1,
      anon_sym_RBRACK,
  [127910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7475), 1,
      anon_sym_EQ_GT,
  [127917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7477), 1,
      anon_sym_RBRACK,
  [127924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7479), 1,
      anon_sym_EQ_GT,
  [127931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7481), 1,
      anon_sym_EQ_GT,
  [127938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7483), 1,
      anon_sym_RBRACK,
  [127945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6810), 1,
      sym_identifier,
  [127952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7485), 1,
      anon_sym_RBRACK,
  [127959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7487), 1,
      sym_identifier,
  [127966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7489), 1,
      anon_sym_class,
  [127973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7491), 1,
      anon_sym_RBRACK,
  [127980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7493), 1,
      anon_sym_RBRACK,
  [127987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7495), 1,
      anon_sym_RBRACK,
  [127994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6894), 1,
      anon_sym_GT,
  [128001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7497), 1,
      anon_sym_EQ,
  [128008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7499), 1,
      anon_sym_RBRACK,
  [128015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7501), 1,
      anon_sym_EQ,
  [128022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7503), 1,
      sym_identifier,
  [128029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7505), 1,
      anon_sym_RBRACK,
  [128036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4291), 1,
      anon_sym_RBRACK,
  [128043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      anon_sym_RBRACK,
  [128050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_RBRACK,
  [128057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7511), 1,
      anon_sym_RBRACK,
  [128064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7513), 1,
      anon_sym_COLON,
  [128071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7515), 1,
      anon_sym_RBRACK,
  [128078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7517), 1,
      anon_sym_RBRACK,
  [128085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7519), 1,
      anon_sym_RBRACE,
  [128092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7521), 1,
      anon_sym_COLON,
  [128099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7523), 1,
      anon_sym_EQ_GT,
  [128106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7525), 1,
      sym_identifier,
  [128113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7527), 1,
      sym_identifier,
  [128120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7529), 1,
      anon_sym_EQ_GT,
  [128127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7531), 1,
      anon_sym_RPAREN,
  [128134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6549), 1,
      anon_sym_RBRACK,
  [128141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7533), 1,
      anon_sym_GT,
  [128148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7535), 1,
      sym_number,
  [128155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7537), 1,
      anon_sym_LBRACK,
  [128162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7539), 1,
      anon_sym_RBRACK,
  [128169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7541), 1,
      sym_identifier,
  [128176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7543), 1,
      anon_sym_GT,
  [128183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7545), 1,
      anon_sym_GT,
  [128190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7547), 1,
      anon_sym_GT,
  [128197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7549), 1,
      anon_sym_EQ_GT,
  [128204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7551), 1,
      anon_sym_GT,
  [128211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7553), 1,
      anon_sym_GT,
  [128218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7555), 1,
      anon_sym_GT,
  [128225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7557), 1,
      anon_sym_GT,
  [128232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7559), 1,
      anon_sym_EQ_GT,
  [128239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3897), 1,
      anon_sym_DOT,
  [128246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7561), 1,
      sym_identifier,
  [128253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7563), 1,
      anon_sym_COLON,
  [128260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7565), 1,
      anon_sym_from,
  [128267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7567), 1,
      anon_sym_LPAREN,
  [128274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7569), 1,
      anon_sym_from,
  [128281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7571), 1,
      anon_sym_from,
  [128288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_GT,
  [128295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym_require,
  [128302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_GT,
  [128309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7579), 1,
      anon_sym_GT,
  [128316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7581), 1,
      anon_sym_GT,
  [128323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7583), 1,
      anon_sym_GT,
  [128330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 1,
      anon_sym_RBRACK,
  [128337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7587), 1,
      anon_sym_EQ_GT,
  [128344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7589), 1,
      sym_identifier,
  [128351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7591), 1,
      sym_identifier,
  [128358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7593), 1,
      anon_sym_EQ_GT,
  [128365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7595), 1,
      sym_identifier,
  [128372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7597), 1,
      anon_sym_GT,
  [128379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7599), 1,
      anon_sym_GT,
  [128386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7601), 1,
      anon_sym_from,
  [128393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7603), 1,
      sym_identifier,
  [128400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7605), 1,
      sym_identifier,
  [128407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7607), 1,
      sym_identifier,
  [128414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7609), 1,
      anon_sym_EQ_GT,
  [128421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_RBRACE,
  [128428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7611), 1,
      anon_sym_RBRACK,
  [128435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7613), 1,
      anon_sym_RBRACK,
  [128442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4264), 1,
      anon_sym_RBRACK,
  [128449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7615), 1,
      anon_sym_RBRACK,
  [128456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7617), 1,
      sym_identifier,
  [128463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7619), 1,
      sym_identifier,
  [128470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4343), 1,
      anon_sym_RBRACE,
  [128477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7621), 1,
      anon_sym_RBRACK,
  [128484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7623), 1,
      anon_sym_RBRACK,
  [128491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7625), 1,
      anon_sym_RBRACK,
  [128498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7627), 1,
      anon_sym_LBRACE,
  [128505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7629), 1,
      anon_sym_RBRACK,
  [128512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7631), 1,
      anon_sym_EQ_GT,
  [128519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4947), 1,
      anon_sym_DOT,
  [128526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7633), 1,
      sym_identifier,
  [128533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7635), 1,
      sym_number,
  [128540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7637), 1,
      anon_sym_RBRACK,
  [128547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7639), 1,
      anon_sym_readonly,
  [128554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7641), 1,
      anon_sym_RBRACK,
  [128561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7643), 1,
      anon_sym_GT,
  [128568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7645), 1,
      anon_sym_RBRACK,
  [128575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7647), 1,
      anon_sym_RBRACK,
  [128582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7649), 1,
      anon_sym_RBRACK,
  [128589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7651), 1,
      anon_sym_RBRACK,
  [128596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7653), 1,
      anon_sym_RBRACK,
  [128603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7655), 1,
      anon_sym_RPAREN,
  [128610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7657), 1,
      anon_sym_RBRACK,
  [128617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7659), 1,
      anon_sym_EQ_GT,
  [128624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7661), 1,
      anon_sym_RBRACK,
  [128631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7663), 1,
      anon_sym_EQ,
  [128638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      anon_sym_COLON,
  [128645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7667), 1,
      sym_identifier,
  [128652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7669), 1,
      anon_sym_from,
  [128659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7671), 1,
      anon_sym_RBRACE,
  [128666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7673), 1,
      anon_sym_RBRACK,
  [128673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7675), 1,
      anon_sym_EQ_GT,
  [128680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7677), 1,
      anon_sym_EQ_GT,
  [128687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7679), 1,
      anon_sym_EQ_GT,
  [128694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7681), 1,
      anon_sym_RBRACK,
  [128701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7683), 1,
      anon_sym_RBRACK,
  [128708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7685), 1,
      anon_sym_RBRACK,
  [128715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7687), 1,
      sym_identifier,
  [128722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7689), 1,
      anon_sym_EQ,
  [128729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 1,
      anon_sym_RBRACK,
  [128736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7691), 1,
      sym_identifier,
  [128743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7693), 1,
      anon_sym_EQ,
  [128750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7695), 1,
      sym_identifier,
  [128757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7697), 1,
      sym_identifier,
  [128764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7699), 1,
      anon_sym_EQ_GT,
  [128771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6886), 1,
      anon_sym_RBRACK,
  [128778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7701), 1,
      anon_sym_EQ_GT,
  [128785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7703), 1,
      sym_identifier,
  [128792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7705), 1,
      sym_identifier,
  [128799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7707), 1,
      anon_sym_EQ,
  [128806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      sym_identifier,
  [128813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7711), 1,
      anon_sym_RBRACE,
  [128820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7713), 1,
      sym_identifier,
  [128827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7715), 1,
      sym_identifier,
  [128834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_EQ_GT,
  [128841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4322), 1,
      anon_sym_RPAREN,
  [128848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7719), 1,
      sym_identifier,
  [128855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7721), 1,
      anon_sym_class,
  [128862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7723), 1,
      sym_identifier,
  [128869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7725), 1,
      anon_sym_EQ,
  [128876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7727), 1,
      anon_sym_EQ_GT,
  [128883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7729), 1,
      anon_sym_RBRACK,
  [128890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7731), 1,
      sym_identifier,
  [128897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7733), 1,
      anon_sym_RBRACK,
  [128904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6942), 1,
      sym_identifier,
  [128911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7735), 1,
      anon_sym_target,
  [128918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7737), 1,
      anon_sym_RBRACK,
  [128925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7739), 1,
      anon_sym_EQ_GT,
  [128932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6472), 1,
      anon_sym_EQ_GT,
  [128939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_EQ_GT,
  [128946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6584), 1,
      anon_sym_LBRACE,
  [128953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7741), 1,
      sym_identifier,
  [128960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7743), 1,
      anon_sym_RBRACK,
  [128967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7745), 1,
      anon_sym_SLASH2,
  [128974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7747), 1,
      anon_sym_RBRACK,
  [128981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7749), 1,
      sym_identifier,
  [128988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7751), 1,
      sym_identifier,
  [128995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7753), 1,
      anon_sym_RBRACK,
  [129002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_while,
  [129009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4029), 1,
      anon_sym_RPAREN,
  [129016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7757), 1,
      anon_sym_RBRACK,
  [129023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7759), 1,
      anon_sym_RBRACK,
  [129030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7761), 1,
      anon_sym_RBRACK,
  [129037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7763), 1,
      anon_sym_RBRACK,
  [129044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7765), 1,
      anon_sym_RBRACK,
  [129051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7767), 1,
      sym_identifier,
  [129058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7769), 1,
      anon_sym_function,
  [129065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6620), 1,
      anon_sym_from,
  [129072] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(7771), 1,
      sym_regex_pattern,
  [129079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_as,
  [129086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7773), 1,
      sym_identifier,
  [129093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7775), 1,
      sym_identifier,
  [129100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7777), 1,
      sym_identifier,
  [129107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7779), 1,
      anon_sym_EQ,
  [129114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7781), 1,
      anon_sym_RBRACK,
  [129121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7783), 1,
      anon_sym_RBRACK,
  [129128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7785), 1,
      anon_sym_function,
  [129135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7787), 1,
      sym_identifier,
  [129142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7789), 1,
      sym_identifier,
  [129149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7791), 1,
      anon_sym_namespace,
  [129156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7793), 1,
      anon_sym_RBRACK,
  [129163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7795), 1,
      anon_sym_RBRACK,
  [129170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6867), 1,
      anon_sym_EQ,
  [129177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7797), 1,
      anon_sym_EQ_GT,
  [129184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7799), 1,
      anon_sym_RBRACK,
  [129191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7801), 1,
      ts_builtin_sym_end,
  [129198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7803), 1,
      sym_identifier,
  [129205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7805), 1,
      sym_identifier,
  [129212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7807), 1,
      anon_sym_class,
  [129219] = 2,
    ACTIONS(5272), 1,
      sym_comment,
    ACTIONS(7809), 1,
      sym_regex_pattern,
  [129226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7811), 1,
      anon_sym_RBRACK,
  [129233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7813), 1,
      anon_sym_RBRACK,
  [129240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_RBRACK,
  [129247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7817), 1,
      anon_sym_RBRACK,
  [129254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7819), 1,
      sym_number,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(740)] = 0,
  [SMALL_STATE(741)] = 131,
  [SMALL_STATE(742)] = 262,
  [SMALL_STATE(743)] = 393,
  [SMALL_STATE(744)] = 524,
  [SMALL_STATE(745)] = 655,
  [SMALL_STATE(746)] = 786,
  [SMALL_STATE(747)] = 917,
  [SMALL_STATE(748)] = 1048,
  [SMALL_STATE(749)] = 1179,
  [SMALL_STATE(750)] = 1310,
  [SMALL_STATE(751)] = 1441,
  [SMALL_STATE(752)] = 1572,
  [SMALL_STATE(753)] = 1703,
  [SMALL_STATE(754)] = 1834,
  [SMALL_STATE(755)] = 1965,
  [SMALL_STATE(756)] = 2096,
  [SMALL_STATE(757)] = 2227,
  [SMALL_STATE(758)] = 2358,
  [SMALL_STATE(759)] = 2489,
  [SMALL_STATE(760)] = 2620,
  [SMALL_STATE(761)] = 2751,
  [SMALL_STATE(762)] = 2882,
  [SMALL_STATE(763)] = 3013,
  [SMALL_STATE(764)] = 3144,
  [SMALL_STATE(765)] = 3275,
  [SMALL_STATE(766)] = 3406,
  [SMALL_STATE(767)] = 3537,
  [SMALL_STATE(768)] = 3668,
  [SMALL_STATE(769)] = 3757,
  [SMALL_STATE(770)] = 3888,
  [SMALL_STATE(771)] = 4019,
  [SMALL_STATE(772)] = 4150,
  [SMALL_STATE(773)] = 4281,
  [SMALL_STATE(774)] = 4412,
  [SMALL_STATE(775)] = 4543,
  [SMALL_STATE(776)] = 4674,
  [SMALL_STATE(777)] = 4805,
  [SMALL_STATE(778)] = 4936,
  [SMALL_STATE(779)] = 5067,
  [SMALL_STATE(780)] = 5198,
  [SMALL_STATE(781)] = 5329,
  [SMALL_STATE(782)] = 5460,
  [SMALL_STATE(783)] = 5593,
  [SMALL_STATE(784)] = 5726,
  [SMALL_STATE(785)] = 5857,
  [SMALL_STATE(786)] = 5988,
  [SMALL_STATE(787)] = 6119,
  [SMALL_STATE(788)] = 6250,
  [SMALL_STATE(789)] = 6381,
  [SMALL_STATE(790)] = 6512,
  [SMALL_STATE(791)] = 6643,
  [SMALL_STATE(792)] = 6774,
  [SMALL_STATE(793)] = 6905,
  [SMALL_STATE(794)] = 7036,
  [SMALL_STATE(795)] = 7167,
  [SMALL_STATE(796)] = 7300,
  [SMALL_STATE(797)] = 7431,
  [SMALL_STATE(798)] = 7562,
  [SMALL_STATE(799)] = 7693,
  [SMALL_STATE(800)] = 7824,
  [SMALL_STATE(801)] = 7955,
  [SMALL_STATE(802)] = 8086,
  [SMALL_STATE(803)] = 8217,
  [SMALL_STATE(804)] = 8348,
  [SMALL_STATE(805)] = 8479,
  [SMALL_STATE(806)] = 8610,
  [SMALL_STATE(807)] = 8741,
  [SMALL_STATE(808)] = 8872,
  [SMALL_STATE(809)] = 9003,
  [SMALL_STATE(810)] = 9134,
  [SMALL_STATE(811)] = 9265,
  [SMALL_STATE(812)] = 9396,
  [SMALL_STATE(813)] = 9527,
  [SMALL_STATE(814)] = 9658,
  [SMALL_STATE(815)] = 9789,
  [SMALL_STATE(816)] = 9920,
  [SMALL_STATE(817)] = 10051,
  [SMALL_STATE(818)] = 10182,
  [SMALL_STATE(819)] = 10313,
  [SMALL_STATE(820)] = 10444,
  [SMALL_STATE(821)] = 10575,
  [SMALL_STATE(822)] = 10706,
  [SMALL_STATE(823)] = 10837,
  [SMALL_STATE(824)] = 10968,
  [SMALL_STATE(825)] = 11099,
  [SMALL_STATE(826)] = 11230,
  [SMALL_STATE(827)] = 11361,
  [SMALL_STATE(828)] = 11492,
  [SMALL_STATE(829)] = 11623,
  [SMALL_STATE(830)] = 11754,
  [SMALL_STATE(831)] = 11885,
  [SMALL_STATE(832)] = 12016,
  [SMALL_STATE(833)] = 12147,
  [SMALL_STATE(834)] = 12236,
  [SMALL_STATE(835)] = 12367,
  [SMALL_STATE(836)] = 12498,
  [SMALL_STATE(837)] = 12629,
  [SMALL_STATE(838)] = 12760,
  [SMALL_STATE(839)] = 12891,
  [SMALL_STATE(840)] = 13022,
  [SMALL_STATE(841)] = 13153,
  [SMALL_STATE(842)] = 13284,
  [SMALL_STATE(843)] = 13415,
  [SMALL_STATE(844)] = 13546,
  [SMALL_STATE(845)] = 13677,
  [SMALL_STATE(846)] = 13808,
  [SMALL_STATE(847)] = 13939,
  [SMALL_STATE(848)] = 14070,
  [SMALL_STATE(849)] = 14201,
  [SMALL_STATE(850)] = 14332,
  [SMALL_STATE(851)] = 14463,
  [SMALL_STATE(852)] = 14594,
  [SMALL_STATE(853)] = 14684,
  [SMALL_STATE(854)] = 14772,
  [SMALL_STATE(855)] = 14862,
  [SMALL_STATE(856)] = 14950,
  [SMALL_STATE(857)] = 15040,
  [SMALL_STATE(858)] = 15130,
  [SMALL_STATE(859)] = 15220,
  [SMALL_STATE(860)] = 15310,
  [SMALL_STATE(861)] = 15402,
  [SMALL_STATE(862)] = 15489,
  [SMALL_STATE(863)] = 15580,
  [SMALL_STATE(864)] = 15673,
  [SMALL_STATE(865)] = 15760,
  [SMALL_STATE(866)] = 15849,
  [SMALL_STATE(867)] = 15937,
  [SMALL_STATE(868)] = 16025,
  [SMALL_STATE(869)] = 16155,
  [SMALL_STATE(870)] = 16241,
  [SMALL_STATE(871)] = 16327,
  [SMALL_STATE(872)] = 16463,
  [SMALL_STATE(873)] = 16549,
  [SMALL_STATE(874)] = 16635,
  [SMALL_STATE(875)] = 16771,
  [SMALL_STATE(876)] = 16857,
  [SMALL_STATE(877)] = 16987,
  [SMALL_STATE(878)] = 17073,
  [SMALL_STATE(879)] = 17159,
  [SMALL_STATE(880)] = 17247,
  [SMALL_STATE(881)] = 17383,
  [SMALL_STATE(882)] = 17519,
  [SMALL_STATE(883)] = 17609,
  [SMALL_STATE(884)] = 17697,
  [SMALL_STATE(885)] = 17785,
  [SMALL_STATE(886)] = 17871,
  [SMALL_STATE(887)] = 17938,
  [SMALL_STATE(888)] = 18025,
  [SMALL_STATE(889)] = 18110,
  [SMALL_STATE(890)] = 18195,
  [SMALL_STATE(891)] = 18280,
  [SMALL_STATE(892)] = 18369,
  [SMALL_STATE(893)] = 18436,
  [SMALL_STATE(894)] = 18503,
  [SMALL_STATE(895)] = 18588,
  [SMALL_STATE(896)] = 18673,
  [SMALL_STATE(897)] = 18740,
  [SMALL_STATE(898)] = 18825,
  [SMALL_STATE(899)] = 18912,
  [SMALL_STATE(900)] = 18997,
  [SMALL_STATE(901)] = 19064,
  [SMALL_STATE(902)] = 19131,
  [SMALL_STATE(903)] = 19218,
  [SMALL_STATE(904)] = 19285,
  [SMALL_STATE(905)] = 19370,
  [SMALL_STATE(906)] = 19456,
  [SMALL_STATE(907)] = 19548,
  [SMALL_STATE(908)] = 19618,
  [SMALL_STATE(909)] = 19696,
  [SMALL_STATE(910)] = 19776,
  [SMALL_STATE(911)] = 19860,
  [SMALL_STATE(912)] = 19946,
  [SMALL_STATE(913)] = 20017,
  [SMALL_STATE(914)] = 20088,
  [SMALL_STATE(915)] = 20171,
  [SMALL_STATE(916)] = 20258,
  [SMALL_STATE(917)] = 20383,
  [SMALL_STATE(918)] = 20454,
  [SMALL_STATE(919)] = 20579,
  [SMALL_STATE(920)] = 20654,
  [SMALL_STATE(921)] = 20743,
  [SMALL_STATE(922)] = 20826,
  [SMALL_STATE(923)] = 20911,
  [SMALL_STATE(924)] = 20988,
  [SMALL_STATE(925)] = 21073,
  [SMALL_STATE(926)] = 21148,
  [SMALL_STATE(927)] = 21219,
  [SMALL_STATE(928)] = 21302,
  [SMALL_STATE(929)] = 21387,
  [SMALL_STATE(930)] = 21462,
  [SMALL_STATE(931)] = 21526,
  [SMALL_STATE(932)] = 21596,
  [SMALL_STATE(933)] = 21680,
  [SMALL_STATE(934)] = 21744,
  [SMALL_STATE(935)] = 21814,
  [SMALL_STATE(936)] = 21884,
  [SMALL_STATE(937)] = 21948,
  [SMALL_STATE(938)] = 22024,
  [SMALL_STATE(939)] = 22088,
  [SMALL_STATE(940)] = 22158,
  [SMALL_STATE(941)] = 22230,
  [SMALL_STATE(942)] = 22312,
  [SMALL_STATE(943)] = 22384,
  [SMALL_STATE(944)] = 22448,
  [SMALL_STATE(945)] = 22530,
  [SMALL_STATE(946)] = 22602,
  [SMALL_STATE(947)] = 22670,
  [SMALL_STATE(948)] = 22754,
  [SMALL_STATE(949)] = 22836,
  [SMALL_STATE(950)] = 22900,
  [SMALL_STATE(951)] = 22972,
  [SMALL_STATE(952)] = 23044,
  [SMALL_STATE(953)] = 23128,
  [SMALL_STATE(954)] = 23200,
  [SMALL_STATE(955)] = 23276,
  [SMALL_STATE(956)] = 23348,
  [SMALL_STATE(957)] = 23422,
  [SMALL_STATE(958)] = 23496,
  [SMALL_STATE(959)] = 23560,
  [SMALL_STATE(960)] = 23632,
  [SMALL_STATE(961)] = 23708,
  [SMALL_STATE(962)] = 23779,
  [SMALL_STATE(963)] = 23848,
  [SMALL_STATE(964)] = 23917,
  [SMALL_STATE(965)] = 23984,
  [SMALL_STATE(966)] = 24059,
  [SMALL_STATE(967)] = 24130,
  [SMALL_STATE(968)] = 24205,
  [SMALL_STATE(969)] = 24280,
  [SMALL_STATE(970)] = 24351,
  [SMALL_STATE(971)] = 24420,
  [SMALL_STATE(972)] = 24491,
  [SMALL_STATE(973)] = 24564,
  [SMALL_STATE(974)] = 24641,
  [SMALL_STATE(975)] = 24708,
  [SMALL_STATE(976)] = 24781,
  [SMALL_STATE(977)] = 24858,
  [SMALL_STATE(978)] = 24929,
  [SMALL_STATE(979)] = 25004,
  [SMALL_STATE(980)] = 25073,
  [SMALL_STATE(981)] = 25141,
  [SMALL_STATE(982)] = 25211,
  [SMALL_STATE(983)] = 25283,
  [SMALL_STATE(984)] = 25355,
  [SMALL_STATE(985)] = 25423,
  [SMALL_STATE(986)] = 25493,
  [SMALL_STATE(987)] = 25561,
  [SMALL_STATE(988)] = 25629,
  [SMALL_STATE(989)] = 25697,
  [SMALL_STATE(990)] = 25765,
  [SMALL_STATE(991)] = 25831,
  [SMALL_STATE(992)] = 25903,
  [SMALL_STATE(993)] = 25973,
  [SMALL_STATE(994)] = 26041,
  [SMALL_STATE(995)] = 26113,
  [SMALL_STATE(996)] = 26183,
  [SMALL_STATE(997)] = 26251,
  [SMALL_STATE(998)] = 26318,
  [SMALL_STATE(999)] = 26389,
  [SMALL_STATE(1000)] = 26456,
  [SMALL_STATE(1001)] = 26521,
  [SMALL_STATE(1002)] = 26592,
  [SMALL_STATE(1003)] = 26657,
  [SMALL_STATE(1004)] = 26725,
  [SMALL_STATE(1005)] = 26838,
  [SMALL_STATE(1006)] = 26951,
  [SMALL_STATE(1007)] = 27064,
  [SMALL_STATE(1008)] = 27177,
  [SMALL_STATE(1009)] = 27290,
  [SMALL_STATE(1010)] = 27403,
  [SMALL_STATE(1011)] = 27521,
  [SMALL_STATE(1012)] = 27639,
  [SMALL_STATE(1013)] = 27757,
  [SMALL_STATE(1014)] = 27875,
  [SMALL_STATE(1015)] = 27993,
  [SMALL_STATE(1016)] = 28102,
  [SMALL_STATE(1017)] = 28211,
  [SMALL_STATE(1018)] = 28320,
  [SMALL_STATE(1019)] = 28435,
  [SMALL_STATE(1020)] = 28544,
  [SMALL_STATE(1021)] = 28653,
  [SMALL_STATE(1022)] = 28762,
  [SMALL_STATE(1023)] = 28871,
  [SMALL_STATE(1024)] = 28980,
  [SMALL_STATE(1025)] = 29089,
  [SMALL_STATE(1026)] = 29198,
  [SMALL_STATE(1027)] = 29275,
  [SMALL_STATE(1028)] = 29384,
  [SMALL_STATE(1029)] = 29493,
  [SMALL_STATE(1030)] = 29602,
  [SMALL_STATE(1031)] = 29711,
  [SMALL_STATE(1032)] = 29820,
  [SMALL_STATE(1033)] = 29929,
  [SMALL_STATE(1034)] = 30038,
  [SMALL_STATE(1035)] = 30147,
  [SMALL_STATE(1036)] = 30255,
  [SMALL_STATE(1037)] = 30365,
  [SMALL_STATE(1038)] = 30475,
  [SMALL_STATE(1039)] = 30580,
  [SMALL_STATE(1040)] = 30685,
  [SMALL_STATE(1041)] = 30740,
  [SMALL_STATE(1042)] = 30845,
  [SMALL_STATE(1043)] = 30900,
  [SMALL_STATE(1044)] = 30955,
  [SMALL_STATE(1045)] = 31060,
  [SMALL_STATE(1046)] = 31165,
  [SMALL_STATE(1047)] = 31270,
  [SMALL_STATE(1048)] = 31375,
  [SMALL_STATE(1049)] = 31473,
  [SMALL_STATE(1050)] = 31571,
  [SMALL_STATE(1051)] = 31669,
  [SMALL_STATE(1052)] = 31767,
  [SMALL_STATE(1053)] = 31865,
  [SMALL_STATE(1054)] = 31963,
  [SMALL_STATE(1055)] = 32061,
  [SMALL_STATE(1056)] = 32114,
  [SMALL_STATE(1057)] = 32175,
  [SMALL_STATE(1058)] = 32228,
  [SMALL_STATE(1059)] = 32286,
  [SMALL_STATE(1060)] = 32352,
  [SMALL_STATE(1061)] = 32414,
  [SMALL_STATE(1062)] = 32470,
  [SMALL_STATE(1063)] = 32560,
  [SMALL_STATE(1064)] = 32616,
  [SMALL_STATE(1065)] = 32678,
  [SMALL_STATE(1066)] = 32736,
  [SMALL_STATE(1067)] = 32798,
  [SMALL_STATE(1068)] = 32858,
  [SMALL_STATE(1069)] = 32918,
  [SMALL_STATE(1070)] = 32974,
  [SMALL_STATE(1071)] = 33028,
  [SMALL_STATE(1072)] = 33079,
  [SMALL_STATE(1073)] = 33130,
  [SMALL_STATE(1074)] = 33199,
  [SMALL_STATE(1075)] = 33250,
  [SMALL_STATE(1076)] = 33319,
  [SMALL_STATE(1077)] = 33394,
  [SMALL_STATE(1078)] = 33487,
  [SMALL_STATE(1079)] = 33544,
  [SMALL_STATE(1080)] = 33635,
  [SMALL_STATE(1081)] = 33724,
  [SMALL_STATE(1082)] = 33779,
  [SMALL_STATE(1083)] = 33856,
  [SMALL_STATE(1084)] = 33909,
  [SMALL_STATE(1085)] = 33960,
  [SMALL_STATE(1086)] = 34057,
  [SMALL_STATE(1087)] = 34152,
  [SMALL_STATE(1088)] = 34205,
  [SMALL_STATE(1089)] = 34262,
  [SMALL_STATE(1090)] = 34319,
  [SMALL_STATE(1091)] = 34400,
  [SMALL_STATE(1092)] = 34451,
  [SMALL_STATE(1093)] = 34558,
  [SMALL_STATE(1094)] = 34611,
  [SMALL_STATE(1095)] = 34668,
  [SMALL_STATE(1096)] = 34739,
  [SMALL_STATE(1097)] = 34844,
  [SMALL_STATE(1098)] = 34897,
  [SMALL_STATE(1099)] = 34948,
  [SMALL_STATE(1100)] = 35053,
  [SMALL_STATE(1101)] = 35106,
  [SMALL_STATE(1102)] = 35157,
  [SMALL_STATE(1103)] = 35210,
  [SMALL_STATE(1104)] = 35265,
  [SMALL_STATE(1105)] = 35316,
  [SMALL_STATE(1106)] = 35373,
  [SMALL_STATE(1107)] = 35428,
  [SMALL_STATE(1108)] = 35479,
  [SMALL_STATE(1109)] = 35530,
  [SMALL_STATE(1110)] = 35585,
  [SMALL_STATE(1111)] = 35642,
  [SMALL_STATE(1112)] = 35695,
  [SMALL_STATE(1113)] = 35746,
  [SMALL_STATE(1114)] = 35851,
  [SMALL_STATE(1115)] = 35906,
  [SMALL_STATE(1116)] = 35957,
  [SMALL_STATE(1117)] = 36008,
  [SMALL_STATE(1118)] = 36059,
  [SMALL_STATE(1119)] = 36110,
  [SMALL_STATE(1120)] = 36161,
  [SMALL_STATE(1121)] = 36212,
  [SMALL_STATE(1122)] = 36317,
  [SMALL_STATE(1123)] = 36368,
  [SMALL_STATE(1124)] = 36419,
  [SMALL_STATE(1125)] = 36504,
  [SMALL_STATE(1126)] = 36555,
  [SMALL_STATE(1127)] = 36654,
  [SMALL_STATE(1128)] = 36705,
  [SMALL_STATE(1129)] = 36810,
  [SMALL_STATE(1130)] = 36861,
  [SMALL_STATE(1131)] = 36914,
  [SMALL_STATE(1132)] = 36965,
  [SMALL_STATE(1133)] = 37016,
  [SMALL_STATE(1134)] = 37067,
  [SMALL_STATE(1135)] = 37172,
  [SMALL_STATE(1136)] = 37277,
  [SMALL_STATE(1137)] = 37350,
  [SMALL_STATE(1138)] = 37401,
  [SMALL_STATE(1139)] = 37452,
  [SMALL_STATE(1140)] = 37503,
  [SMALL_STATE(1141)] = 37554,
  [SMALL_STATE(1142)] = 37605,
  [SMALL_STATE(1143)] = 37656,
  [SMALL_STATE(1144)] = 37761,
  [SMALL_STATE(1145)] = 37828,
  [SMALL_STATE(1146)] = 37885,
  [SMALL_STATE(1147)] = 37936,
  [SMALL_STATE(1148)] = 37993,
  [SMALL_STATE(1149)] = 38044,
  [SMALL_STATE(1150)] = 38095,
  [SMALL_STATE(1151)] = 38148,
  [SMALL_STATE(1152)] = 38253,
  [SMALL_STATE(1153)] = 38304,
  [SMALL_STATE(1154)] = 38355,
  [SMALL_STATE(1155)] = 38406,
  [SMALL_STATE(1156)] = 38457,
  [SMALL_STATE(1157)] = 38508,
  [SMALL_STATE(1158)] = 38613,
  [SMALL_STATE(1159)] = 38670,
  [SMALL_STATE(1160)] = 38721,
  [SMALL_STATE(1161)] = 38774,
  [SMALL_STATE(1162)] = 38825,
  [SMALL_STATE(1163)] = 38930,
  [SMALL_STATE(1164)] = 38981,
  [SMALL_STATE(1165)] = 39032,
  [SMALL_STATE(1166)] = 39083,
  [SMALL_STATE(1167)] = 39134,
  [SMALL_STATE(1168)] = 39185,
  [SMALL_STATE(1169)] = 39236,
  [SMALL_STATE(1170)] = 39287,
  [SMALL_STATE(1171)] = 39338,
  [SMALL_STATE(1172)] = 39389,
  [SMALL_STATE(1173)] = 39440,
  [SMALL_STATE(1174)] = 39491,
  [SMALL_STATE(1175)] = 39542,
  [SMALL_STATE(1176)] = 39595,
  [SMALL_STATE(1177)] = 39652,
  [SMALL_STATE(1178)] = 39703,
  [SMALL_STATE(1179)] = 39754,
  [SMALL_STATE(1180)] = 39805,
  [SMALL_STATE(1181)] = 39858,
  [SMALL_STATE(1182)] = 39909,
  [SMALL_STATE(1183)] = 39960,
  [SMALL_STATE(1184)] = 40011,
  [SMALL_STATE(1185)] = 40062,
  [SMALL_STATE(1186)] = 40113,
  [SMALL_STATE(1187)] = 40164,
  [SMALL_STATE(1188)] = 40215,
  [SMALL_STATE(1189)] = 40266,
  [SMALL_STATE(1190)] = 40317,
  [SMALL_STATE(1191)] = 40368,
  [SMALL_STATE(1192)] = 40419,
  [SMALL_STATE(1193)] = 40524,
  [SMALL_STATE(1194)] = 40575,
  [SMALL_STATE(1195)] = 40626,
  [SMALL_STATE(1196)] = 40677,
  [SMALL_STATE(1197)] = 40728,
  [SMALL_STATE(1198)] = 40779,
  [SMALL_STATE(1199)] = 40830,
  [SMALL_STATE(1200)] = 40881,
  [SMALL_STATE(1201)] = 40932,
  [SMALL_STATE(1202)] = 40989,
  [SMALL_STATE(1203)] = 41040,
  [SMALL_STATE(1204)] = 41090,
  [SMALL_STATE(1205)] = 41188,
  [SMALL_STATE(1206)] = 41238,
  [SMALL_STATE(1207)] = 41288,
  [SMALL_STATE(1208)] = 41338,
  [SMALL_STATE(1209)] = 41432,
  [SMALL_STATE(1210)] = 41484,
  [SMALL_STATE(1211)] = 41578,
  [SMALL_STATE(1212)] = 41654,
  [SMALL_STATE(1213)] = 41764,
  [SMALL_STATE(1214)] = 41852,
  [SMALL_STATE(1215)] = 41934,
  [SMALL_STATE(1216)] = 42016,
  [SMALL_STATE(1217)] = 42110,
  [SMALL_STATE(1218)] = 42214,
  [SMALL_STATE(1219)] = 42264,
  [SMALL_STATE(1220)] = 42360,
  [SMALL_STATE(1221)] = 42454,
  [SMALL_STATE(1222)] = 42504,
  [SMALL_STATE(1223)] = 42554,
  [SMALL_STATE(1224)] = 42658,
  [SMALL_STATE(1225)] = 42752,
  [SMALL_STATE(1226)] = 42856,
  [SMALL_STATE(1227)] = 42906,
  [SMALL_STATE(1228)] = 43016,
  [SMALL_STATE(1229)] = 43066,
  [SMALL_STATE(1230)] = 43116,
  [SMALL_STATE(1231)] = 43166,
  [SMALL_STATE(1232)] = 43216,
  [SMALL_STATE(1233)] = 43266,
  [SMALL_STATE(1234)] = 43370,
  [SMALL_STATE(1235)] = 43420,
  [SMALL_STATE(1236)] = 43528,
  [SMALL_STATE(1237)] = 43578,
  [SMALL_STATE(1238)] = 43628,
  [SMALL_STATE(1239)] = 43722,
  [SMALL_STATE(1240)] = 43772,
  [SMALL_STATE(1241)] = 43838,
  [SMALL_STATE(1242)] = 43888,
  [SMALL_STATE(1243)] = 43992,
  [SMALL_STATE(1244)] = 44042,
  [SMALL_STATE(1245)] = 44092,
  [SMALL_STATE(1246)] = 44142,
  [SMALL_STATE(1247)] = 44192,
  [SMALL_STATE(1248)] = 44274,
  [SMALL_STATE(1249)] = 44324,
  [SMALL_STATE(1250)] = 44374,
  [SMALL_STATE(1251)] = 44456,
  [SMALL_STATE(1252)] = 44506,
  [SMALL_STATE(1253)] = 44556,
  [SMALL_STATE(1254)] = 44650,
  [SMALL_STATE(1255)] = 44700,
  [SMALL_STATE(1256)] = 44750,
  [SMALL_STATE(1257)] = 44854,
  [SMALL_STATE(1258)] = 44964,
  [SMALL_STATE(1259)] = 45014,
  [SMALL_STATE(1260)] = 45064,
  [SMALL_STATE(1261)] = 45158,
  [SMALL_STATE(1262)] = 45262,
  [SMALL_STATE(1263)] = 45356,
  [SMALL_STATE(1264)] = 45460,
  [SMALL_STATE(1265)] = 45510,
  [SMALL_STATE(1266)] = 45560,
  [SMALL_STATE(1267)] = 45610,
  [SMALL_STATE(1268)] = 45714,
  [SMALL_STATE(1269)] = 45764,
  [SMALL_STATE(1270)] = 45814,
  [SMALL_STATE(1271)] = 45864,
  [SMALL_STATE(1272)] = 45914,
  [SMALL_STATE(1273)] = 46018,
  [SMALL_STATE(1274)] = 46068,
  [SMALL_STATE(1275)] = 46118,
  [SMALL_STATE(1276)] = 46168,
  [SMALL_STATE(1277)] = 46218,
  [SMALL_STATE(1278)] = 46278,
  [SMALL_STATE(1279)] = 46338,
  [SMALL_STATE(1280)] = 46418,
  [SMALL_STATE(1281)] = 46468,
  [SMALL_STATE(1282)] = 46558,
  [SMALL_STATE(1283)] = 46650,
  [SMALL_STATE(1284)] = 46708,
  [SMALL_STATE(1285)] = 46766,
  [SMALL_STATE(1286)] = 46870,
  [SMALL_STATE(1287)] = 46974,
  [SMALL_STATE(1288)] = 47024,
  [SMALL_STATE(1289)] = 47132,
  [SMALL_STATE(1290)] = 47182,
  [SMALL_STATE(1291)] = 47232,
  [SMALL_STATE(1292)] = 47282,
  [SMALL_STATE(1293)] = 47332,
  [SMALL_STATE(1294)] = 47382,
  [SMALL_STATE(1295)] = 47456,
  [SMALL_STATE(1296)] = 47506,
  [SMALL_STATE(1297)] = 47556,
  [SMALL_STATE(1298)] = 47624,
  [SMALL_STATE(1299)] = 47674,
  [SMALL_STATE(1300)] = 47724,
  [SMALL_STATE(1301)] = 47774,
  [SMALL_STATE(1302)] = 47824,
  [SMALL_STATE(1303)] = 47874,
  [SMALL_STATE(1304)] = 47924,
  [SMALL_STATE(1305)] = 48008,
  [SMALL_STATE(1306)] = 48112,
  [SMALL_STATE(1307)] = 48220,
  [SMALL_STATE(1308)] = 48314,
  [SMALL_STATE(1309)] = 48364,
  [SMALL_STATE(1310)] = 48414,
  [SMALL_STATE(1311)] = 48464,
  [SMALL_STATE(1312)] = 48514,
  [SMALL_STATE(1313)] = 48586,
  [SMALL_STATE(1314)] = 48636,
  [SMALL_STATE(1315)] = 48686,
  [SMALL_STATE(1316)] = 48736,
  [SMALL_STATE(1317)] = 48786,
  [SMALL_STATE(1318)] = 48836,
  [SMALL_STATE(1319)] = 48886,
  [SMALL_STATE(1320)] = 48936,
  [SMALL_STATE(1321)] = 49018,
  [SMALL_STATE(1322)] = 49068,
  [SMALL_STATE(1323)] = 49118,
  [SMALL_STATE(1324)] = 49170,
  [SMALL_STATE(1325)] = 49228,
  [SMALL_STATE(1326)] = 49284,
  [SMALL_STATE(1327)] = 49394,
  [SMALL_STATE(1328)] = 49444,
  [SMALL_STATE(1329)] = 49552,
  [SMALL_STATE(1330)] = 49602,
  [SMALL_STATE(1331)] = 49652,
  [SMALL_STATE(1332)] = 49720,
  [SMALL_STATE(1333)] = 49770,
  [SMALL_STATE(1334)] = 49864,
  [SMALL_STATE(1335)] = 49914,
  [SMALL_STATE(1336)] = 49984,
  [SMALL_STATE(1337)] = 50078,
  [SMALL_STATE(1338)] = 50153,
  [SMALL_STATE(1339)] = 50228,
  [SMALL_STATE(1340)] = 50331,
  [SMALL_STATE(1341)] = 50398,
  [SMALL_STATE(1342)] = 50491,
  [SMALL_STATE(1343)] = 50574,
  [SMALL_STATE(1344)] = 50679,
  [SMALL_STATE(1345)] = 50752,
  [SMALL_STATE(1346)] = 50827,
  [SMALL_STATE(1347)] = 50906,
  [SMALL_STATE(1348)] = 51013,
  [SMALL_STATE(1349)] = 51068,
  [SMALL_STATE(1350)] = 51175,
  [SMALL_STATE(1351)] = 51278,
  [SMALL_STATE(1352)] = 51383,
  [SMALL_STATE(1353)] = 51486,
  [SMALL_STATE(1354)] = 51543,
  [SMALL_STATE(1355)] = 51610,
  [SMALL_STATE(1356)] = 51715,
  [SMALL_STATE(1357)] = 51818,
  [SMALL_STATE(1358)] = 51871,
  [SMALL_STATE(1359)] = 51974,
  [SMALL_STATE(1360)] = 52063,
  [SMALL_STATE(1361)] = 52134,
  [SMALL_STATE(1362)] = 52237,
  [SMALL_STATE(1363)] = 52306,
  [SMALL_STATE(1364)] = 52393,
  [SMALL_STATE(1365)] = 52448,
  [SMALL_STATE(1366)] = 52551,
  [SMALL_STATE(1367)] = 52606,
  [SMALL_STATE(1368)] = 52661,
  [SMALL_STATE(1369)] = 52764,
  [SMALL_STATE(1370)] = 52871,
  [SMALL_STATE(1371)] = 52926,
  [SMALL_STATE(1372)] = 53033,
  [SMALL_STATE(1373)] = 53084,
  [SMALL_STATE(1374)] = 53159,
  [SMALL_STATE(1375)] = 53212,
  [SMALL_STATE(1376)] = 53315,
  [SMALL_STATE(1377)] = 53418,
  [SMALL_STATE(1378)] = 53509,
  [SMALL_STATE(1379)] = 53616,
  [SMALL_STATE(1380)] = 53723,
  [SMALL_STATE(1381)] = 53780,
  [SMALL_STATE(1382)] = 53883,
  [SMALL_STATE(1383)] = 53948,
  [SMALL_STATE(1384)] = 54043,
  [SMALL_STATE(1385)] = 54100,
  [SMALL_STATE(1386)] = 54151,
  [SMALL_STATE(1387)] = 54226,
  [SMALL_STATE(1388)] = 54299,
  [SMALL_STATE(1389)] = 54372,
  [SMALL_STATE(1390)] = 54431,
  [SMALL_STATE(1391)] = 54490,
  [SMALL_STATE(1392)] = 54593,
  [SMALL_STATE(1393)] = 54652,
  [SMALL_STATE(1394)] = 54715,
  [SMALL_STATE(1395)] = 54822,
  [SMALL_STATE(1396)] = 54919,
  [SMALL_STATE(1397)] = 55022,
  [SMALL_STATE(1398)] = 55073,
  [SMALL_STATE(1399)] = 55176,
  [SMALL_STATE(1400)] = 55249,
  [SMALL_STATE(1401)] = 55354,
  [SMALL_STATE(1402)] = 55411,
  [SMALL_STATE(1403)] = 55468,
  [SMALL_STATE(1404)] = 55525,
  [SMALL_STATE(1405)] = 55604,
  [SMALL_STATE(1406)] = 55707,
  [SMALL_STATE(1407)] = 55780,
  [SMALL_STATE(1408)] = 55887,
  [SMALL_STATE(1409)] = 55960,
  [SMALL_STATE(1410)] = 56063,
  [SMALL_STATE(1411)] = 56170,
  [SMALL_STATE(1412)] = 56245,
  [SMALL_STATE(1413)] = 56348,
  [SMALL_STATE(1414)] = 56396,
  [SMALL_STATE(1415)] = 56444,
  [SMALL_STATE(1416)] = 56546,
  [SMALL_STATE(1417)] = 56648,
  [SMALL_STATE(1418)] = 56700,
  [SMALL_STATE(1419)] = 56750,
  [SMALL_STATE(1420)] = 56798,
  [SMALL_STATE(1421)] = 56854,
  [SMALL_STATE(1422)] = 56908,
  [SMALL_STATE(1423)] = 56956,
  [SMALL_STATE(1424)] = 57004,
  [SMALL_STATE(1425)] = 57052,
  [SMALL_STATE(1426)] = 57104,
  [SMALL_STATE(1427)] = 57154,
  [SMALL_STATE(1428)] = 57202,
  [SMALL_STATE(1429)] = 57306,
  [SMALL_STATE(1430)] = 57356,
  [SMALL_STATE(1431)] = 57458,
  [SMALL_STATE(1432)] = 57506,
  [SMALL_STATE(1433)] = 57560,
  [SMALL_STATE(1434)] = 57608,
  [SMALL_STATE(1435)] = 57662,
  [SMALL_STATE(1436)] = 57712,
  [SMALL_STATE(1437)] = 57814,
  [SMALL_STATE(1438)] = 57916,
  [SMALL_STATE(1439)] = 57984,
  [SMALL_STATE(1440)] = 58086,
  [SMALL_STATE(1441)] = 58140,
  [SMALL_STATE(1442)] = 58218,
  [SMALL_STATE(1443)] = 58322,
  [SMALL_STATE(1444)] = 58424,
  [SMALL_STATE(1445)] = 58474,
  [SMALL_STATE(1446)] = 58522,
  [SMALL_STATE(1447)] = 58574,
  [SMALL_STATE(1448)] = 58626,
  [SMALL_STATE(1449)] = 58680,
  [SMALL_STATE(1450)] = 58730,
  [SMALL_STATE(1451)] = 58784,
  [SMALL_STATE(1452)] = 58834,
  [SMALL_STATE(1453)] = 58882,
  [SMALL_STATE(1454)] = 58934,
  [SMALL_STATE(1455)] = 58982,
  [SMALL_STATE(1456)] = 59074,
  [SMALL_STATE(1457)] = 59168,
  [SMALL_STATE(1458)] = 59216,
  [SMALL_STATE(1459)] = 59270,
  [SMALL_STATE(1460)] = 59320,
  [SMALL_STATE(1461)] = 59368,
  [SMALL_STATE(1462)] = 59434,
  [SMALL_STATE(1463)] = 59508,
  [SMALL_STATE(1464)] = 59560,
  [SMALL_STATE(1465)] = 59634,
  [SMALL_STATE(1466)] = 59720,
  [SMALL_STATE(1467)] = 59808,
  [SMALL_STATE(1468)] = 59878,
  [SMALL_STATE(1469)] = 59926,
  [SMALL_STATE(1470)] = 60016,
  [SMALL_STATE(1471)] = 60088,
  [SMALL_STATE(1472)] = 60160,
  [SMALL_STATE(1473)] = 60226,
  [SMALL_STATE(1474)] = 60308,
  [SMALL_STATE(1475)] = 60360,
  [SMALL_STATE(1476)] = 60408,
  [SMALL_STATE(1477)] = 60456,
  [SMALL_STATE(1478)] = 60552,
  [SMALL_STATE(1479)] = 60604,
  [SMALL_STATE(1480)] = 60708,
  [SMALL_STATE(1481)] = 60810,
  [SMALL_STATE(1482)] = 60914,
  [SMALL_STATE(1483)] = 61016,
  [SMALL_STATE(1484)] = 61066,
  [SMALL_STATE(1485)] = 61168,
  [SMALL_STATE(1486)] = 61270,
  [SMALL_STATE(1487)] = 61372,
  [SMALL_STATE(1488)] = 61474,
  [SMALL_STATE(1489)] = 61526,
  [SMALL_STATE(1490)] = 61628,
  [SMALL_STATE(1491)] = 61730,
  [SMALL_STATE(1492)] = 61778,
  [SMALL_STATE(1493)] = 61880,
  [SMALL_STATE(1494)] = 61932,
  [SMALL_STATE(1495)] = 61980,
  [SMALL_STATE(1496)] = 62028,
  [SMALL_STATE(1497)] = 62130,
  [SMALL_STATE(1498)] = 62178,
  [SMALL_STATE(1499)] = 62238,
  [SMALL_STATE(1500)] = 62298,
  [SMALL_STATE(1501)] = 62350,
  [SMALL_STATE(1502)] = 62454,
  [SMALL_STATE(1503)] = 62502,
  [SMALL_STATE(1504)] = 62550,
  [SMALL_STATE(1505)] = 62646,
  [SMALL_STATE(1506)] = 62694,
  [SMALL_STATE(1507)] = 62744,
  [SMALL_STATE(1508)] = 62826,
  [SMALL_STATE(1509)] = 62890,
  [SMALL_STATE(1510)] = 62956,
  [SMALL_STATE(1511)] = 63028,
  [SMALL_STATE(1512)] = 63076,
  [SMALL_STATE(1513)] = 63166,
  [SMALL_STATE(1514)] = 63270,
  [SMALL_STATE(1515)] = 63358,
  [SMALL_STATE(1516)] = 63410,
  [SMALL_STATE(1517)] = 63496,
  [SMALL_STATE(1518)] = 63570,
  [SMALL_STATE(1519)] = 63664,
  [SMALL_STATE(1520)] = 63768,
  [SMALL_STATE(1521)] = 63816,
  [SMALL_STATE(1522)] = 63908,
  [SMALL_STATE(1523)] = 63986,
  [SMALL_STATE(1524)] = 64050,
  [SMALL_STATE(1525)] = 64104,
  [SMALL_STATE(1526)] = 64172,
  [SMALL_STATE(1527)] = 64224,
  [SMALL_STATE(1528)] = 64278,
  [SMALL_STATE(1529)] = 64328,
  [SMALL_STATE(1530)] = 64384,
  [SMALL_STATE(1531)] = 64436,
  [SMALL_STATE(1532)] = 64540,
  [SMALL_STATE(1533)] = 64642,
  [SMALL_STATE(1534)] = 64698,
  [SMALL_STATE(1535)] = 64748,
  [SMALL_STATE(1536)] = 64804,
  [SMALL_STATE(1537)] = 64852,
  [SMALL_STATE(1538)] = 64902,
  [SMALL_STATE(1539)] = 64958,
  [SMALL_STATE(1540)] = 65012,
  [SMALL_STATE(1541)] = 65116,
  [SMALL_STATE(1542)] = 65164,
  [SMALL_STATE(1543)] = 65212,
  [SMALL_STATE(1544)] = 65260,
  [SMALL_STATE(1545)] = 65308,
  [SMALL_STATE(1546)] = 65410,
  [SMALL_STATE(1547)] = 65512,
  [SMALL_STATE(1548)] = 65614,
  [SMALL_STATE(1549)] = 65716,
  [SMALL_STATE(1550)] = 65818,
  [SMALL_STATE(1551)] = 65922,
  [SMALL_STATE(1552)] = 66024,
  [SMALL_STATE(1553)] = 66126,
  [SMALL_STATE(1554)] = 66174,
  [SMALL_STATE(1555)] = 66228,
  [SMALL_STATE(1556)] = 66332,
  [SMALL_STATE(1557)] = 66382,
  [SMALL_STATE(1558)] = 66486,
  [SMALL_STATE(1559)] = 66590,
  [SMALL_STATE(1560)] = 66658,
  [SMALL_STATE(1561)] = 66720,
  [SMALL_STATE(1562)] = 66774,
  [SMALL_STATE(1563)] = 66826,
  [SMALL_STATE(1564)] = 66876,
  [SMALL_STATE(1565)] = 66930,
  [SMALL_STATE(1566)] = 66978,
  [SMALL_STATE(1567)] = 67046,
  [SMALL_STATE(1568)] = 67114,
  [SMALL_STATE(1569)] = 67164,
  [SMALL_STATE(1570)] = 67212,
  [SMALL_STATE(1571)] = 67314,
  [SMALL_STATE(1572)] = 67362,
  [SMALL_STATE(1573)] = 67410,
  [SMALL_STATE(1574)] = 67462,
  [SMALL_STATE(1575)] = 67510,
  [SMALL_STATE(1576)] = 67558,
  [SMALL_STATE(1577)] = 67608,
  [SMALL_STATE(1578)] = 67660,
  [SMALL_STATE(1579)] = 67764,
  [SMALL_STATE(1580)] = 67812,
  [SMALL_STATE(1581)] = 67860,
  [SMALL_STATE(1582)] = 67926,
  [SMALL_STATE(1583)] = 67974,
  [SMALL_STATE(1584)] = 68026,
  [SMALL_STATE(1585)] = 68074,
  [SMALL_STATE(1586)] = 68122,
  [SMALL_STATE(1587)] = 68170,
  [SMALL_STATE(1588)] = 68244,
  [SMALL_STATE(1589)] = 68298,
  [SMALL_STATE(1590)] = 68368,
  [SMALL_STATE(1591)] = 68416,
  [SMALL_STATE(1592)] = 68464,
  [SMALL_STATE(1593)] = 68512,
  [SMALL_STATE(1594)] = 68564,
  [SMALL_STATE(1595)] = 68612,
  [SMALL_STATE(1596)] = 68660,
  [SMALL_STATE(1597)] = 68708,
  [SMALL_STATE(1598)] = 68762,
  [SMALL_STATE(1599)] = 68866,
  [SMALL_STATE(1600)] = 68914,
  [SMALL_STATE(1601)] = 68962,
  [SMALL_STATE(1602)] = 69010,
  [SMALL_STATE(1603)] = 69112,
  [SMALL_STATE(1604)] = 69166,
  [SMALL_STATE(1605)] = 69218,
  [SMALL_STATE(1606)] = 69270,
  [SMALL_STATE(1607)] = 69324,
  [SMALL_STATE(1608)] = 69386,
  [SMALL_STATE(1609)] = 69438,
  [SMALL_STATE(1610)] = 69500,
  [SMALL_STATE(1611)] = 69552,
  [SMALL_STATE(1612)] = 69606,
  [SMALL_STATE(1613)] = 69654,
  [SMALL_STATE(1614)] = 69704,
  [SMALL_STATE(1615)] = 69752,
  [SMALL_STATE(1616)] = 69802,
  [SMALL_STATE(1617)] = 69852,
  [SMALL_STATE(1618)] = 69900,
  [SMALL_STATE(1619)] = 69948,
  [SMALL_STATE(1620)] = 69996,
  [SMALL_STATE(1621)] = 70044,
  [SMALL_STATE(1622)] = 70098,
  [SMALL_STATE(1623)] = 70202,
  [SMALL_STATE(1624)] = 70270,
  [SMALL_STATE(1625)] = 70320,
  [SMALL_STATE(1626)] = 70368,
  [SMALL_STATE(1627)] = 70416,
  [SMALL_STATE(1628)] = 70464,
  [SMALL_STATE(1629)] = 70514,
  [SMALL_STATE(1630)] = 70562,
  [SMALL_STATE(1631)] = 70610,
  [SMALL_STATE(1632)] = 70658,
  [SMALL_STATE(1633)] = 70760,
  [SMALL_STATE(1634)] = 70808,
  [SMALL_STATE(1635)] = 70910,
  [SMALL_STATE(1636)] = 70958,
  [SMALL_STATE(1637)] = 71006,
  [SMALL_STATE(1638)] = 71054,
  [SMALL_STATE(1639)] = 71106,
  [SMALL_STATE(1640)] = 71154,
  [SMALL_STATE(1641)] = 71202,
  [SMALL_STATE(1642)] = 71270,
  [SMALL_STATE(1643)] = 71318,
  [SMALL_STATE(1644)] = 71366,
  [SMALL_STATE(1645)] = 71418,
  [SMALL_STATE(1646)] = 71488,
  [SMALL_STATE(1647)] = 71560,
  [SMALL_STATE(1648)] = 71607,
  [SMALL_STATE(1649)] = 71654,
  [SMALL_STATE(1650)] = 71755,
  [SMALL_STATE(1651)] = 71856,
  [SMALL_STATE(1652)] = 71957,
  [SMALL_STATE(1653)] = 72004,
  [SMALL_STATE(1654)] = 72051,
  [SMALL_STATE(1655)] = 72152,
  [SMALL_STATE(1656)] = 72247,
  [SMALL_STATE(1657)] = 72294,
  [SMALL_STATE(1658)] = 72375,
  [SMALL_STATE(1659)] = 72476,
  [SMALL_STATE(1660)] = 72541,
  [SMALL_STATE(1661)] = 72612,
  [SMALL_STATE(1662)] = 72701,
  [SMALL_STATE(1663)] = 72770,
  [SMALL_STATE(1664)] = 72857,
  [SMALL_STATE(1665)] = 72942,
  [SMALL_STATE(1666)] = 72989,
  [SMALL_STATE(1667)] = 73062,
  [SMALL_STATE(1668)] = 73155,
  [SMALL_STATE(1669)] = 73202,
  [SMALL_STATE(1670)] = 73293,
  [SMALL_STATE(1671)] = 73370,
  [SMALL_STATE(1672)] = 73449,
  [SMALL_STATE(1673)] = 73502,
  [SMALL_STATE(1674)] = 73569,
  [SMALL_STATE(1675)] = 73616,
  [SMALL_STATE(1676)] = 73717,
  [SMALL_STATE(1677)] = 73818,
  [SMALL_STATE(1678)] = 73919,
  [SMALL_STATE(1679)] = 74020,
  [SMALL_STATE(1680)] = 74067,
  [SMALL_STATE(1681)] = 74168,
  [SMALL_STATE(1682)] = 74269,
  [SMALL_STATE(1683)] = 74350,
  [SMALL_STATE(1684)] = 74431,
  [SMALL_STATE(1685)] = 74478,
  [SMALL_STATE(1686)] = 74525,
  [SMALL_STATE(1687)] = 74572,
  [SMALL_STATE(1688)] = 74619,
  [SMALL_STATE(1689)] = 74700,
  [SMALL_STATE(1690)] = 74747,
  [SMALL_STATE(1691)] = 74794,
  [SMALL_STATE(1692)] = 74895,
  [SMALL_STATE(1693)] = 74960,
  [SMALL_STATE(1694)] = 75007,
  [SMALL_STATE(1695)] = 75060,
  [SMALL_STATE(1696)] = 75129,
  [SMALL_STATE(1697)] = 75176,
  [SMALL_STATE(1698)] = 75223,
  [SMALL_STATE(1699)] = 75270,
  [SMALL_STATE(1700)] = 75317,
  [SMALL_STATE(1701)] = 75418,
  [SMALL_STATE(1702)] = 75481,
  [SMALL_STATE(1703)] = 75582,
  [SMALL_STATE(1704)] = 75647,
  [SMALL_STATE(1705)] = 75694,
  [SMALL_STATE(1706)] = 75773,
  [SMALL_STATE(1707)] = 75838,
  [SMALL_STATE(1708)] = 75905,
  [SMALL_STATE(1709)] = 75974,
  [SMALL_STATE(1710)] = 76027,
  [SMALL_STATE(1711)] = 76108,
  [SMALL_STATE(1712)] = 76163,
  [SMALL_STATE(1713)] = 76264,
  [SMALL_STATE(1714)] = 76311,
  [SMALL_STATE(1715)] = 76358,
  [SMALL_STATE(1716)] = 76405,
  [SMALL_STATE(1717)] = 76484,
  [SMALL_STATE(1718)] = 76531,
  [SMALL_STATE(1719)] = 76578,
  [SMALL_STATE(1720)] = 76625,
  [SMALL_STATE(1721)] = 76726,
  [SMALL_STATE(1722)] = 76773,
  [SMALL_STATE(1723)] = 76820,
  [SMALL_STATE(1724)] = 76877,
  [SMALL_STATE(1725)] = 76924,
  [SMALL_STATE(1726)] = 76971,
  [SMALL_STATE(1727)] = 77018,
  [SMALL_STATE(1728)] = 77065,
  [SMALL_STATE(1729)] = 77122,
  [SMALL_STATE(1730)] = 77177,
  [SMALL_STATE(1731)] = 77224,
  [SMALL_STATE(1732)] = 77271,
  [SMALL_STATE(1733)] = 77372,
  [SMALL_STATE(1734)] = 77451,
  [SMALL_STATE(1735)] = 77552,
  [SMALL_STATE(1736)] = 77605,
  [SMALL_STATE(1737)] = 77652,
  [SMALL_STATE(1738)] = 77705,
  [SMALL_STATE(1739)] = 77752,
  [SMALL_STATE(1740)] = 77805,
  [SMALL_STATE(1741)] = 77852,
  [SMALL_STATE(1742)] = 77899,
  [SMALL_STATE(1743)] = 77948,
  [SMALL_STATE(1744)] = 77995,
  [SMALL_STATE(1745)] = 78074,
  [SMALL_STATE(1746)] = 78143,
  [SMALL_STATE(1747)] = 78190,
  [SMALL_STATE(1748)] = 78269,
  [SMALL_STATE(1749)] = 78316,
  [SMALL_STATE(1750)] = 78363,
  [SMALL_STATE(1751)] = 78410,
  [SMALL_STATE(1752)] = 78457,
  [SMALL_STATE(1753)] = 78504,
  [SMALL_STATE(1754)] = 78551,
  [SMALL_STATE(1755)] = 78632,
  [SMALL_STATE(1756)] = 78679,
  [SMALL_STATE(1757)] = 78726,
  [SMALL_STATE(1758)] = 78773,
  [SMALL_STATE(1759)] = 78852,
  [SMALL_STATE(1760)] = 78899,
  [SMALL_STATE(1761)] = 78954,
  [SMALL_STATE(1762)] = 79055,
  [SMALL_STATE(1763)] = 79108,
  [SMALL_STATE(1764)] = 79177,
  [SMALL_STATE(1765)] = 79224,
  [SMALL_STATE(1766)] = 79305,
  [SMALL_STATE(1767)] = 79360,
  [SMALL_STATE(1768)] = 79407,
  [SMALL_STATE(1769)] = 79462,
  [SMALL_STATE(1770)] = 79563,
  [SMALL_STATE(1771)] = 79632,
  [SMALL_STATE(1772)] = 79699,
  [SMALL_STATE(1773)] = 79746,
  [SMALL_STATE(1774)] = 79793,
  [SMALL_STATE(1775)] = 79846,
  [SMALL_STATE(1776)] = 79911,
  [SMALL_STATE(1777)] = 79976,
  [SMALL_STATE(1778)] = 80029,
  [SMALL_STATE(1779)] = 80094,
  [SMALL_STATE(1780)] = 80175,
  [SMALL_STATE(1781)] = 80224,
  [SMALL_STATE(1782)] = 80293,
  [SMALL_STATE(1783)] = 80346,
  [SMALL_STATE(1784)] = 80393,
  [SMALL_STATE(1785)] = 80494,
  [SMALL_STATE(1786)] = 80541,
  [SMALL_STATE(1787)] = 80610,
  [SMALL_STATE(1788)] = 80691,
  [SMALL_STATE(1789)] = 80738,
  [SMALL_STATE(1790)] = 80791,
  [SMALL_STATE(1791)] = 80838,
  [SMALL_STATE(1792)] = 80885,
  [SMALL_STATE(1793)] = 80966,
  [SMALL_STATE(1794)] = 81013,
  [SMALL_STATE(1795)] = 81085,
  [SMALL_STATE(1796)] = 81137,
  [SMALL_STATE(1797)] = 81185,
  [SMALL_STATE(1798)] = 81233,
  [SMALL_STATE(1799)] = 81311,
  [SMALL_STATE(1800)] = 81359,
  [SMALL_STATE(1801)] = 81419,
  [SMALL_STATE(1802)] = 81479,
  [SMALL_STATE(1803)] = 81577,
  [SMALL_STATE(1804)] = 81639,
  [SMALL_STATE(1805)] = 81699,
  [SMALL_STATE(1806)] = 81759,
  [SMALL_STATE(1807)] = 81819,
  [SMALL_STATE(1808)] = 81879,
  [SMALL_STATE(1809)] = 81949,
  [SMALL_STATE(1810)] = 82021,
  [SMALL_STATE(1811)] = 82083,
  [SMALL_STATE(1812)] = 82131,
  [SMALL_STATE(1813)] = 82181,
  [SMALL_STATE(1814)] = 82241,
  [SMALL_STATE(1815)] = 82303,
  [SMALL_STATE(1816)] = 82355,
  [SMALL_STATE(1817)] = 82419,
  [SMALL_STATE(1818)] = 82489,
  [SMALL_STATE(1819)] = 82561,
  [SMALL_STATE(1820)] = 82623,
  [SMALL_STATE(1821)] = 82683,
  [SMALL_STATE(1822)] = 82733,
  [SMALL_STATE(1823)] = 82793,
  [SMALL_STATE(1824)] = 82855,
  [SMALL_STATE(1825)] = 82915,
  [SMALL_STATE(1826)] = 83013,
  [SMALL_STATE(1827)] = 83075,
  [SMALL_STATE(1828)] = 83135,
  [SMALL_STATE(1829)] = 83195,
  [SMALL_STATE(1830)] = 83253,
  [SMALL_STATE(1831)] = 83311,
  [SMALL_STATE(1832)] = 83369,
  [SMALL_STATE(1833)] = 83427,
  [SMALL_STATE(1834)] = 83497,
  [SMALL_STATE(1835)] = 83555,
  [SMALL_STATE(1836)] = 83627,
  [SMALL_STATE(1837)] = 83685,
  [SMALL_STATE(1838)] = 83743,
  [SMALL_STATE(1839)] = 83801,
  [SMALL_STATE(1840)] = 83853,
  [SMALL_STATE(1841)] = 83915,
  [SMALL_STATE(1842)] = 83975,
  [SMALL_STATE(1843)] = 84045,
  [SMALL_STATE(1844)] = 84117,
  [SMALL_STATE(1845)] = 84169,
  [SMALL_STATE(1846)] = 84227,
  [SMALL_STATE(1847)] = 84289,
  [SMALL_STATE(1848)] = 84351,
  [SMALL_STATE(1849)] = 84421,
  [SMALL_STATE(1850)] = 84481,
  [SMALL_STATE(1851)] = 84553,
  [SMALL_STATE(1852)] = 84615,
  [SMALL_STATE(1853)] = 84673,
  [SMALL_STATE(1854)] = 84725,
  [SMALL_STATE(1855)] = 84777,
  [SMALL_STATE(1856)] = 84829,
  [SMALL_STATE(1857)] = 84881,
  [SMALL_STATE(1858)] = 84951,
  [SMALL_STATE(1859)] = 85001,
  [SMALL_STATE(1860)] = 85061,
  [SMALL_STATE(1861)] = 85113,
  [SMALL_STATE(1862)] = 85185,
  [SMALL_STATE(1863)] = 85233,
  [SMALL_STATE(1864)] = 85303,
  [SMALL_STATE(1865)] = 85363,
  [SMALL_STATE(1866)] = 85415,
  [SMALL_STATE(1867)] = 85470,
  [SMALL_STATE(1868)] = 85525,
  [SMALL_STATE(1869)] = 85590,
  [SMALL_STATE(1870)] = 85645,
  [SMALL_STATE(1871)] = 85700,
  [SMALL_STATE(1872)] = 85751,
  [SMALL_STATE(1873)] = 85806,
  [SMALL_STATE(1874)] = 85853,
  [SMALL_STATE(1875)] = 85908,
  [SMALL_STATE(1876)] = 85963,
  [SMALL_STATE(1877)] = 86018,
  [SMALL_STATE(1878)] = 86083,
  [SMALL_STATE(1879)] = 86148,
  [SMALL_STATE(1880)] = 86225,
  [SMALL_STATE(1881)] = 86280,
  [SMALL_STATE(1882)] = 86335,
  [SMALL_STATE(1883)] = 86400,
  [SMALL_STATE(1884)] = 86451,
  [SMALL_STATE(1885)] = 86502,
  [SMALL_STATE(1886)] = 86553,
  [SMALL_STATE(1887)] = 86608,
  [SMALL_STATE(1888)] = 86673,
  [SMALL_STATE(1889)] = 86728,
  [SMALL_STATE(1890)] = 86779,
  [SMALL_STATE(1891)] = 86834,
  [SMALL_STATE(1892)] = 86905,
  [SMALL_STATE(1893)] = 86970,
  [SMALL_STATE(1894)] = 87025,
  [SMALL_STATE(1895)] = 87090,
  [SMALL_STATE(1896)] = 87145,
  [SMALL_STATE(1897)] = 87200,
  [SMALL_STATE(1898)] = 87255,
  [SMALL_STATE(1899)] = 87310,
  [SMALL_STATE(1900)] = 87365,
  [SMALL_STATE(1901)] = 87420,
  [SMALL_STATE(1902)] = 87482,
  [SMALL_STATE(1903)] = 87532,
  [SMALL_STATE(1904)] = 87582,
  [SMALL_STATE(1905)] = 87638,
  [SMALL_STATE(1906)] = 87698,
  [SMALL_STATE(1907)] = 87748,
  [SMALL_STATE(1908)] = 87808,
  [SMALL_STATE(1909)] = 87852,
  [SMALL_STATE(1910)] = 87920,
  [SMALL_STATE(1911)] = 87984,
  [SMALL_STATE(1912)] = 88034,
  [SMALL_STATE(1913)] = 88090,
  [SMALL_STATE(1914)] = 88145,
  [SMALL_STATE(1915)] = 88202,
  [SMALL_STATE(1916)] = 88257,
  [SMALL_STATE(1917)] = 88312,
  [SMALL_STATE(1918)] = 88367,
  [SMALL_STATE(1919)] = 88422,
  [SMALL_STATE(1920)] = 88495,
  [SMALL_STATE(1921)] = 88550,
  [SMALL_STATE(1922)] = 88605,
  [SMALL_STATE(1923)] = 88660,
  [SMALL_STATE(1924)] = 88721,
  [SMALL_STATE(1925)] = 88776,
  [SMALL_STATE(1926)] = 88829,
  [SMALL_STATE(1927)] = 88884,
  [SMALL_STATE(1928)] = 88939,
  [SMALL_STATE(1929)] = 88994,
  [SMALL_STATE(1930)] = 89049,
  [SMALL_STATE(1931)] = 89104,
  [SMALL_STATE(1932)] = 89157,
  [SMALL_STATE(1933)] = 89216,
  [SMALL_STATE(1934)] = 89258,
  [SMALL_STATE(1935)] = 89300,
  [SMALL_STATE(1936)] = 89354,
  [SMALL_STATE(1937)] = 89410,
  [SMALL_STATE(1938)] = 89466,
  [SMALL_STATE(1939)] = 89522,
  [SMALL_STATE(1940)] = 89578,
  [SMALL_STATE(1941)] = 89634,
  [SMALL_STATE(1942)] = 89704,
  [SMALL_STATE(1943)] = 89760,
  [SMALL_STATE(1944)] = 89816,
  [SMALL_STATE(1945)] = 89895,
  [SMALL_STATE(1946)] = 89974,
  [SMALL_STATE(1947)] = 90053,
  [SMALL_STATE(1948)] = 90116,
  [SMALL_STATE(1949)] = 90195,
  [SMALL_STATE(1950)] = 90242,
  [SMALL_STATE(1951)] = 90321,
  [SMALL_STATE(1952)] = 90368,
  [SMALL_STATE(1953)] = 90447,
  [SMALL_STATE(1954)] = 90526,
  [SMALL_STATE(1955)] = 90566,
  [SMALL_STATE(1956)] = 90606,
  [SMALL_STATE(1957)] = 90646,
  [SMALL_STATE(1958)] = 90688,
  [SMALL_STATE(1959)] = 90732,
  [SMALL_STATE(1960)] = 90772,
  [SMALL_STATE(1961)] = 90826,
  [SMALL_STATE(1962)] = 90866,
  [SMALL_STATE(1963)] = 90906,
  [SMALL_STATE(1964)] = 90962,
  [SMALL_STATE(1965)] = 91002,
  [SMALL_STATE(1966)] = 91042,
  [SMALL_STATE(1967)] = 91082,
  [SMALL_STATE(1968)] = 91122,
  [SMALL_STATE(1969)] = 91162,
  [SMALL_STATE(1970)] = 91202,
  [SMALL_STATE(1971)] = 91242,
  [SMALL_STATE(1972)] = 91300,
  [SMALL_STATE(1973)] = 91352,
  [SMALL_STATE(1974)] = 91392,
  [SMALL_STATE(1975)] = 91446,
  [SMALL_STATE(1976)] = 91502,
  [SMALL_STATE(1977)] = 91542,
  [SMALL_STATE(1978)] = 91582,
  [SMALL_STATE(1979)] = 91622,
  [SMALL_STATE(1980)] = 91662,
  [SMALL_STATE(1981)] = 91704,
  [SMALL_STATE(1982)] = 91760,
  [SMALL_STATE(1983)] = 91800,
  [SMALL_STATE(1984)] = 91840,
  [SMALL_STATE(1985)] = 91894,
  [SMALL_STATE(1986)] = 91948,
  [SMALL_STATE(1987)] = 92006,
  [SMALL_STATE(1988)] = 92050,
  [SMALL_STATE(1989)] = 92090,
  [SMALL_STATE(1990)] = 92132,
  [SMALL_STATE(1991)] = 92172,
  [SMALL_STATE(1992)] = 92212,
  [SMALL_STATE(1993)] = 92252,
  [SMALL_STATE(1994)] = 92301,
  [SMALL_STATE(1995)] = 92350,
  [SMALL_STATE(1996)] = 92399,
  [SMALL_STATE(1997)] = 92448,
  [SMALL_STATE(1998)] = 92497,
  [SMALL_STATE(1999)] = 92552,
  [SMALL_STATE(2000)] = 92601,
  [SMALL_STATE(2001)] = 92650,
  [SMALL_STATE(2002)] = 92699,
  [SMALL_STATE(2003)] = 92748,
  [SMALL_STATE(2004)] = 92797,
  [SMALL_STATE(2005)] = 92846,
  [SMALL_STATE(2006)] = 92909,
  [SMALL_STATE(2007)] = 92962,
  [SMALL_STATE(2008)] = 93011,
  [SMALL_STATE(2009)] = 93060,
  [SMALL_STATE(2010)] = 93109,
  [SMALL_STATE(2011)] = 93164,
  [SMALL_STATE(2012)] = 93213,
  [SMALL_STATE(2013)] = 93262,
  [SMALL_STATE(2014)] = 93311,
  [SMALL_STATE(2015)] = 93360,
  [SMALL_STATE(2016)] = 93409,
  [SMALL_STATE(2017)] = 93458,
  [SMALL_STATE(2018)] = 93508,
  [SMALL_STATE(2019)] = 93558,
  [SMALL_STATE(2020)] = 93614,
  [SMALL_STATE(2021)] = 93664,
  [SMALL_STATE(2022)] = 93720,
  [SMALL_STATE(2023)] = 93780,
  [SMALL_STATE(2024)] = 93818,
  [SMALL_STATE(2025)] = 93868,
  [SMALL_STATE(2026)] = 93918,
  [SMALL_STATE(2027)] = 93968,
  [SMALL_STATE(2028)] = 94018,
  [SMALL_STATE(2029)] = 94068,
  [SMALL_STATE(2030)] = 94118,
  [SMALL_STATE(2031)] = 94168,
  [SMALL_STATE(2032)] = 94228,
  [SMALL_STATE(2033)] = 94284,
  [SMALL_STATE(2034)] = 94344,
  [SMALL_STATE(2035)] = 94397,
  [SMALL_STATE(2036)] = 94450,
  [SMALL_STATE(2037)] = 94501,
  [SMALL_STATE(2038)] = 94540,
  [SMALL_STATE(2039)] = 94593,
  [SMALL_STATE(2040)] = 94644,
  [SMALL_STATE(2041)] = 94697,
  [SMALL_STATE(2042)] = 94750,
  [SMALL_STATE(2043)] = 94801,
  [SMALL_STATE(2044)] = 94854,
  [SMALL_STATE(2045)] = 94907,
  [SMALL_STATE(2046)] = 94960,
  [SMALL_STATE(2047)] = 95009,
  [SMALL_STATE(2048)] = 95048,
  [SMALL_STATE(2049)] = 95101,
  [SMALL_STATE(2050)] = 95148,
  [SMALL_STATE(2051)] = 95199,
  [SMALL_STATE(2052)] = 95242,
  [SMALL_STATE(2053)] = 95295,
  [SMALL_STATE(2054)] = 95334,
  [SMALL_STATE(2055)] = 95387,
  [SMALL_STATE(2056)] = 95440,
  [SMALL_STATE(2057)] = 95491,
  [SMALL_STATE(2058)] = 95542,
  [SMALL_STATE(2059)] = 95586,
  [SMALL_STATE(2060)] = 95630,
  [SMALL_STATE(2061)] = 95674,
  [SMALL_STATE(2062)] = 95718,
  [SMALL_STATE(2063)] = 95762,
  [SMALL_STATE(2064)] = 95806,
  [SMALL_STATE(2065)] = 95850,
  [SMALL_STATE(2066)] = 95894,
  [SMALL_STATE(2067)] = 95938,
  [SMALL_STATE(2068)] = 95984,
  [SMALL_STATE(2069)] = 96028,
  [SMALL_STATE(2070)] = 96072,
  [SMALL_STATE(2071)] = 96116,
  [SMALL_STATE(2072)] = 96160,
  [SMALL_STATE(2073)] = 96204,
  [SMALL_STATE(2074)] = 96248,
  [SMALL_STATE(2075)] = 96294,
  [SMALL_STATE(2076)] = 96338,
  [SMALL_STATE(2077)] = 96382,
  [SMALL_STATE(2078)] = 96426,
  [SMALL_STATE(2079)] = 96470,
  [SMALL_STATE(2080)] = 96516,
  [SMALL_STATE(2081)] = 96560,
  [SMALL_STATE(2082)] = 96604,
  [SMALL_STATE(2083)] = 96648,
  [SMALL_STATE(2084)] = 96692,
  [SMALL_STATE(2085)] = 96736,
  [SMALL_STATE(2086)] = 96780,
  [SMALL_STATE(2087)] = 96824,
  [SMALL_STATE(2088)] = 96868,
  [SMALL_STATE(2089)] = 96912,
  [SMALL_STATE(2090)] = 96956,
  [SMALL_STATE(2091)] = 96991,
  [SMALL_STATE(2092)] = 97022,
  [SMALL_STATE(2093)] = 97048,
  [SMALL_STATE(2094)] = 97074,
  [SMALL_STATE(2095)] = 97110,
  [SMALL_STATE(2096)] = 97146,
  [SMALL_STATE(2097)] = 97172,
  [SMALL_STATE(2098)] = 97198,
  [SMALL_STATE(2099)] = 97224,
  [SMALL_STATE(2100)] = 97250,
  [SMALL_STATE(2101)] = 97284,
  [SMALL_STATE(2102)] = 97310,
  [SMALL_STATE(2103)] = 97336,
  [SMALL_STATE(2104)] = 97362,
  [SMALL_STATE(2105)] = 97388,
  [SMALL_STATE(2106)] = 97414,
  [SMALL_STATE(2107)] = 97440,
  [SMALL_STATE(2108)] = 97466,
  [SMALL_STATE(2109)] = 97492,
  [SMALL_STATE(2110)] = 97518,
  [SMALL_STATE(2111)] = 97544,
  [SMALL_STATE(2112)] = 97570,
  [SMALL_STATE(2113)] = 97596,
  [SMALL_STATE(2114)] = 97632,
  [SMALL_STATE(2115)] = 97658,
  [SMALL_STATE(2116)] = 97690,
  [SMALL_STATE(2117)] = 97716,
  [SMALL_STATE(2118)] = 97772,
  [SMALL_STATE(2119)] = 97798,
  [SMALL_STATE(2120)] = 97824,
  [SMALL_STATE(2121)] = 97880,
  [SMALL_STATE(2122)] = 97906,
  [SMALL_STATE(2123)] = 97932,
  [SMALL_STATE(2124)] = 97958,
  [SMALL_STATE(2125)] = 97984,
  [SMALL_STATE(2126)] = 98010,
  [SMALL_STATE(2127)] = 98036,
  [SMALL_STATE(2128)] = 98062,
  [SMALL_STATE(2129)] = 98088,
  [SMALL_STATE(2130)] = 98114,
  [SMALL_STATE(2131)] = 98140,
  [SMALL_STATE(2132)] = 98166,
  [SMALL_STATE(2133)] = 98192,
  [SMALL_STATE(2134)] = 98218,
  [SMALL_STATE(2135)] = 98244,
  [SMALL_STATE(2136)] = 98270,
  [SMALL_STATE(2137)] = 98299,
  [SMALL_STATE(2138)] = 98326,
  [SMALL_STATE(2139)] = 98351,
  [SMALL_STATE(2140)] = 98376,
  [SMALL_STATE(2141)] = 98401,
  [SMALL_STATE(2142)] = 98432,
  [SMALL_STATE(2143)] = 98456,
  [SMALL_STATE(2144)] = 98480,
  [SMALL_STATE(2145)] = 98513,
  [SMALL_STATE(2146)] = 98536,
  [SMALL_STATE(2147)] = 98569,
  [SMALL_STATE(2148)] = 98592,
  [SMALL_STATE(2149)] = 98613,
  [SMALL_STATE(2150)] = 98636,
  [SMALL_STATE(2151)] = 98659,
  [SMALL_STATE(2152)] = 98680,
  [SMALL_STATE(2153)] = 98703,
  [SMALL_STATE(2154)] = 98726,
  [SMALL_STATE(2155)] = 98749,
  [SMALL_STATE(2156)] = 98770,
  [SMALL_STATE(2157)] = 98801,
  [SMALL_STATE(2158)] = 98824,
  [SMALL_STATE(2159)] = 98847,
  [SMALL_STATE(2160)] = 98872,
  [SMALL_STATE(2161)] = 98897,
  [SMALL_STATE(2162)] = 98918,
  [SMALL_STATE(2163)] = 98941,
  [SMALL_STATE(2164)] = 98964,
  [SMALL_STATE(2165)] = 98985,
  [SMALL_STATE(2166)] = 99010,
  [SMALL_STATE(2167)] = 99033,
  [SMALL_STATE(2168)] = 99056,
  [SMALL_STATE(2169)] = 99077,
  [SMALL_STATE(2170)] = 99100,
  [SMALL_STATE(2171)] = 99123,
  [SMALL_STATE(2172)] = 99146,
  [SMALL_STATE(2173)] = 99169,
  [SMALL_STATE(2174)] = 99192,
  [SMALL_STATE(2175)] = 99215,
  [SMALL_STATE(2176)] = 99248,
  [SMALL_STATE(2177)] = 99271,
  [SMALL_STATE(2178)] = 99294,
  [SMALL_STATE(2179)] = 99317,
  [SMALL_STATE(2180)] = 99340,
  [SMALL_STATE(2181)] = 99363,
  [SMALL_STATE(2182)] = 99386,
  [SMALL_STATE(2183)] = 99413,
  [SMALL_STATE(2184)] = 99435,
  [SMALL_STATE(2185)] = 99465,
  [SMALL_STATE(2186)] = 99495,
  [SMALL_STATE(2187)] = 99525,
  [SMALL_STATE(2188)] = 99553,
  [SMALL_STATE(2189)] = 99583,
  [SMALL_STATE(2190)] = 99613,
  [SMALL_STATE(2191)] = 99655,
  [SMALL_STATE(2192)] = 99685,
  [SMALL_STATE(2193)] = 99707,
  [SMALL_STATE(2194)] = 99749,
  [SMALL_STATE(2195)] = 99771,
  [SMALL_STATE(2196)] = 99793,
  [SMALL_STATE(2197)] = 99815,
  [SMALL_STATE(2198)] = 99837,
  [SMALL_STATE(2199)] = 99865,
  [SMALL_STATE(2200)] = 99895,
  [SMALL_STATE(2201)] = 99917,
  [SMALL_STATE(2202)] = 99947,
  [SMALL_STATE(2203)] = 99977,
  [SMALL_STATE(2204)] = 100007,
  [SMALL_STATE(2205)] = 100029,
  [SMALL_STATE(2206)] = 100059,
  [SMALL_STATE(2207)] = 100089,
  [SMALL_STATE(2208)] = 100117,
  [SMALL_STATE(2209)] = 100159,
  [SMALL_STATE(2210)] = 100201,
  [SMALL_STATE(2211)] = 100223,
  [SMALL_STATE(2212)] = 100253,
  [SMALL_STATE(2213)] = 100283,
  [SMALL_STATE(2214)] = 100313,
  [SMALL_STATE(2215)] = 100341,
  [SMALL_STATE(2216)] = 100369,
  [SMALL_STATE(2217)] = 100393,
  [SMALL_STATE(2218)] = 100421,
  [SMALL_STATE(2219)] = 100447,
  [SMALL_STATE(2220)] = 100469,
  [SMALL_STATE(2221)] = 100493,
  [SMALL_STATE(2222)] = 100521,
  [SMALL_STATE(2223)] = 100549,
  [SMALL_STATE(2224)] = 100579,
  [SMALL_STATE(2225)] = 100601,
  [SMALL_STATE(2226)] = 100623,
  [SMALL_STATE(2227)] = 100651,
  [SMALL_STATE(2228)] = 100673,
  [SMALL_STATE(2229)] = 100695,
  [SMALL_STATE(2230)] = 100717,
  [SMALL_STATE(2231)] = 100747,
  [SMALL_STATE(2232)] = 100777,
  [SMALL_STATE(2233)] = 100807,
  [SMALL_STATE(2234)] = 100835,
  [SMALL_STATE(2235)] = 100857,
  [SMALL_STATE(2236)] = 100887,
  [SMALL_STATE(2237)] = 100917,
  [SMALL_STATE(2238)] = 100947,
  [SMALL_STATE(2239)] = 100975,
  [SMALL_STATE(2240)] = 100997,
  [SMALL_STATE(2241)] = 101019,
  [SMALL_STATE(2242)] = 101041,
  [SMALL_STATE(2243)] = 101071,
  [SMALL_STATE(2244)] = 101113,
  [SMALL_STATE(2245)] = 101135,
  [SMALL_STATE(2246)] = 101157,
  [SMALL_STATE(2247)] = 101179,
  [SMALL_STATE(2248)] = 101207,
  [SMALL_STATE(2249)] = 101249,
  [SMALL_STATE(2250)] = 101283,
  [SMALL_STATE(2251)] = 101305,
  [SMALL_STATE(2252)] = 101327,
  [SMALL_STATE(2253)] = 101349,
  [SMALL_STATE(2254)] = 101371,
  [SMALL_STATE(2255)] = 101393,
  [SMALL_STATE(2256)] = 101421,
  [SMALL_STATE(2257)] = 101451,
  [SMALL_STATE(2258)] = 101479,
  [SMALL_STATE(2259)] = 101501,
  [SMALL_STATE(2260)] = 101531,
  [SMALL_STATE(2261)] = 101561,
  [SMALL_STATE(2262)] = 101591,
  [SMALL_STATE(2263)] = 101621,
  [SMALL_STATE(2264)] = 101649,
  [SMALL_STATE(2265)] = 101671,
  [SMALL_STATE(2266)] = 101693,
  [SMALL_STATE(2267)] = 101715,
  [SMALL_STATE(2268)] = 101737,
  [SMALL_STATE(2269)] = 101767,
  [SMALL_STATE(2270)] = 101809,
  [SMALL_STATE(2271)] = 101831,
  [SMALL_STATE(2272)] = 101853,
  [SMALL_STATE(2273)] = 101883,
  [SMALL_STATE(2274)] = 101912,
  [SMALL_STATE(2275)] = 101937,
  [SMALL_STATE(2276)] = 101958,
  [SMALL_STATE(2277)] = 101999,
  [SMALL_STATE(2278)] = 102034,
  [SMALL_STATE(2279)] = 102069,
  [SMALL_STATE(2280)] = 102104,
  [SMALL_STATE(2281)] = 102139,
  [SMALL_STATE(2282)] = 102170,
  [SMALL_STATE(2283)] = 102205,
  [SMALL_STATE(2284)] = 102234,
  [SMALL_STATE(2285)] = 102255,
  [SMALL_STATE(2286)] = 102276,
  [SMALL_STATE(2287)] = 102303,
  [SMALL_STATE(2288)] = 102338,
  [SMALL_STATE(2289)] = 102379,
  [SMALL_STATE(2290)] = 102414,
  [SMALL_STATE(2291)] = 102437,
  [SMALL_STATE(2292)] = 102472,
  [SMALL_STATE(2293)] = 102507,
  [SMALL_STATE(2294)] = 102542,
  [SMALL_STATE(2295)] = 102563,
  [SMALL_STATE(2296)] = 102598,
  [SMALL_STATE(2297)] = 102619,
  [SMALL_STATE(2298)] = 102640,
  [SMALL_STATE(2299)] = 102669,
  [SMALL_STATE(2300)] = 102696,
  [SMALL_STATE(2301)] = 102731,
  [SMALL_STATE(2302)] = 102749,
  [SMALL_STATE(2303)] = 102777,
  [SMALL_STATE(2304)] = 102795,
  [SMALL_STATE(2305)] = 102813,
  [SMALL_STATE(2306)] = 102831,
  [SMALL_STATE(2307)] = 102863,
  [SMALL_STATE(2308)] = 102881,
  [SMALL_STATE(2309)] = 102899,
  [SMALL_STATE(2310)] = 102917,
  [SMALL_STATE(2311)] = 102935,
  [SMALL_STATE(2312)] = 102953,
  [SMALL_STATE(2313)] = 102991,
  [SMALL_STATE(2314)] = 103009,
  [SMALL_STATE(2315)] = 103041,
  [SMALL_STATE(2316)] = 103063,
  [SMALL_STATE(2317)] = 103095,
  [SMALL_STATE(2318)] = 103133,
  [SMALL_STATE(2319)] = 103169,
  [SMALL_STATE(2320)] = 103205,
  [SMALL_STATE(2321)] = 103237,
  [SMALL_STATE(2322)] = 103269,
  [SMALL_STATE(2323)] = 103305,
  [SMALL_STATE(2324)] = 103337,
  [SMALL_STATE(2325)] = 103369,
  [SMALL_STATE(2326)] = 103387,
  [SMALL_STATE(2327)] = 103417,
  [SMALL_STATE(2328)] = 103435,
  [SMALL_STATE(2329)] = 103453,
  [SMALL_STATE(2330)] = 103471,
  [SMALL_STATE(2331)] = 103489,
  [SMALL_STATE(2332)] = 103507,
  [SMALL_STATE(2333)] = 103525,
  [SMALL_STATE(2334)] = 103543,
  [SMALL_STATE(2335)] = 103561,
  [SMALL_STATE(2336)] = 103589,
  [SMALL_STATE(2337)] = 103607,
  [SMALL_STATE(2338)] = 103625,
  [SMALL_STATE(2339)] = 103643,
  [SMALL_STATE(2340)] = 103661,
  [SMALL_STATE(2341)] = 103697,
  [SMALL_STATE(2342)] = 103735,
  [SMALL_STATE(2343)] = 103753,
  [SMALL_STATE(2344)] = 103771,
  [SMALL_STATE(2345)] = 103789,
  [SMALL_STATE(2346)] = 103807,
  [SMALL_STATE(2347)] = 103825,
  [SMALL_STATE(2348)] = 103843,
  [SMALL_STATE(2349)] = 103861,
  [SMALL_STATE(2350)] = 103879,
  [SMALL_STATE(2351)] = 103897,
  [SMALL_STATE(2352)] = 103915,
  [SMALL_STATE(2353)] = 103933,
  [SMALL_STATE(2354)] = 103969,
  [SMALL_STATE(2355)] = 104001,
  [SMALL_STATE(2356)] = 104039,
  [SMALL_STATE(2357)] = 104067,
  [SMALL_STATE(2358)] = 104103,
  [SMALL_STATE(2359)] = 104131,
  [SMALL_STATE(2360)] = 104159,
  [SMALL_STATE(2361)] = 104191,
  [SMALL_STATE(2362)] = 104227,
  [SMALL_STATE(2363)] = 104255,
  [SMALL_STATE(2364)] = 104287,
  [SMALL_STATE(2365)] = 104311,
  [SMALL_STATE(2366)] = 104332,
  [SMALL_STATE(2367)] = 104351,
  [SMALL_STATE(2368)] = 104368,
  [SMALL_STATE(2369)] = 104387,
  [SMALL_STATE(2370)] = 104406,
  [SMALL_STATE(2371)] = 104425,
  [SMALL_STATE(2372)] = 104448,
  [SMALL_STATE(2373)] = 104467,
  [SMALL_STATE(2374)] = 104486,
  [SMALL_STATE(2375)] = 104507,
  [SMALL_STATE(2376)] = 104526,
  [SMALL_STATE(2377)] = 104543,
  [SMALL_STATE(2378)] = 104566,
  [SMALL_STATE(2379)] = 104585,
  [SMALL_STATE(2380)] = 104604,
  [SMALL_STATE(2381)] = 104621,
  [SMALL_STATE(2382)] = 104642,
  [SMALL_STATE(2383)] = 104661,
  [SMALL_STATE(2384)] = 104680,
  [SMALL_STATE(2385)] = 104699,
  [SMALL_STATE(2386)] = 104718,
  [SMALL_STATE(2387)] = 104737,
  [SMALL_STATE(2388)] = 104756,
  [SMALL_STATE(2389)] = 104775,
  [SMALL_STATE(2390)] = 104794,
  [SMALL_STATE(2391)] = 104813,
  [SMALL_STATE(2392)] = 104836,
  [SMALL_STATE(2393)] = 104853,
  [SMALL_STATE(2394)] = 104874,
  [SMALL_STATE(2395)] = 104893,
  [SMALL_STATE(2396)] = 104916,
  [SMALL_STATE(2397)] = 104935,
  [SMALL_STATE(2398)] = 104954,
  [SMALL_STATE(2399)] = 104973,
  [SMALL_STATE(2400)] = 104992,
  [SMALL_STATE(2401)] = 105011,
  [SMALL_STATE(2402)] = 105034,
  [SMALL_STATE(2403)] = 105053,
  [SMALL_STATE(2404)] = 105072,
  [SMALL_STATE(2405)] = 105091,
  [SMALL_STATE(2406)] = 105110,
  [SMALL_STATE(2407)] = 105129,
  [SMALL_STATE(2408)] = 105146,
  [SMALL_STATE(2409)] = 105163,
  [SMALL_STATE(2410)] = 105184,
  [SMALL_STATE(2411)] = 105207,
  [SMALL_STATE(2412)] = 105224,
  [SMALL_STATE(2413)] = 105241,
  [SMALL_STATE(2414)] = 105260,
  [SMALL_STATE(2415)] = 105287,
  [SMALL_STATE(2416)] = 105308,
  [SMALL_STATE(2417)] = 105333,
  [SMALL_STATE(2418)] = 105352,
  [SMALL_STATE(2419)] = 105371,
  [SMALL_STATE(2420)] = 105390,
  [SMALL_STATE(2421)] = 105409,
  [SMALL_STATE(2422)] = 105429,
  [SMALL_STATE(2423)] = 105453,
  [SMALL_STATE(2424)] = 105479,
  [SMALL_STATE(2425)] = 105501,
  [SMALL_STATE(2426)] = 105535,
  [SMALL_STATE(2427)] = 105561,
  [SMALL_STATE(2428)] = 105595,
  [SMALL_STATE(2429)] = 105621,
  [SMALL_STATE(2430)] = 105641,
  [SMALL_STATE(2431)] = 105661,
  [SMALL_STATE(2432)] = 105695,
  [SMALL_STATE(2433)] = 105721,
  [SMALL_STATE(2434)] = 105747,
  [SMALL_STATE(2435)] = 105773,
  [SMALL_STATE(2436)] = 105799,
  [SMALL_STATE(2437)] = 105831,
  [SMALL_STATE(2438)] = 105857,
  [SMALL_STATE(2439)] = 105891,
  [SMALL_STATE(2440)] = 105915,
  [SMALL_STATE(2441)] = 105949,
  [SMALL_STATE(2442)] = 105975,
  [SMALL_STATE(2443)] = 105995,
  [SMALL_STATE(2444)] = 106021,
  [SMALL_STATE(2445)] = 106055,
  [SMALL_STATE(2446)] = 106077,
  [SMALL_STATE(2447)] = 106109,
  [SMALL_STATE(2448)] = 106127,
  [SMALL_STATE(2449)] = 106149,
  [SMALL_STATE(2450)] = 106177,
  [SMALL_STATE(2451)] = 106203,
  [SMALL_STATE(2452)] = 106237,
  [SMALL_STATE(2453)] = 106269,
  [SMALL_STATE(2454)] = 106295,
  [SMALL_STATE(2455)] = 106329,
  [SMALL_STATE(2456)] = 106351,
  [SMALL_STATE(2457)] = 106383,
  [SMALL_STATE(2458)] = 106417,
  [SMALL_STATE(2459)] = 106449,
  [SMALL_STATE(2460)] = 106483,
  [SMALL_STATE(2461)] = 106509,
  [SMALL_STATE(2462)] = 106524,
  [SMALL_STATE(2463)] = 106539,
  [SMALL_STATE(2464)] = 106558,
  [SMALL_STATE(2465)] = 106573,
  [SMALL_STATE(2466)] = 106602,
  [SMALL_STATE(2467)] = 106617,
  [SMALL_STATE(2468)] = 106632,
  [SMALL_STATE(2469)] = 106647,
  [SMALL_STATE(2470)] = 106662,
  [SMALL_STATE(2471)] = 106693,
  [SMALL_STATE(2472)] = 106718,
  [SMALL_STATE(2473)] = 106733,
  [SMALL_STATE(2474)] = 106748,
  [SMALL_STATE(2475)] = 106771,
  [SMALL_STATE(2476)] = 106786,
  [SMALL_STATE(2477)] = 106801,
  [SMALL_STATE(2478)] = 106826,
  [SMALL_STATE(2479)] = 106841,
  [SMALL_STATE(2480)] = 106856,
  [SMALL_STATE(2481)] = 106871,
  [SMALL_STATE(2482)] = 106892,
  [SMALL_STATE(2483)] = 106915,
  [SMALL_STATE(2484)] = 106930,
  [SMALL_STATE(2485)] = 106955,
  [SMALL_STATE(2486)] = 106970,
  [SMALL_STATE(2487)] = 106985,
  [SMALL_STATE(2488)] = 107014,
  [SMALL_STATE(2489)] = 107039,
  [SMALL_STATE(2490)] = 107070,
  [SMALL_STATE(2491)] = 107095,
  [SMALL_STATE(2492)] = 107126,
  [SMALL_STATE(2493)] = 107149,
  [SMALL_STATE(2494)] = 107180,
  [SMALL_STATE(2495)] = 107203,
  [SMALL_STATE(2496)] = 107232,
  [SMALL_STATE(2497)] = 107261,
  [SMALL_STATE(2498)] = 107290,
  [SMALL_STATE(2499)] = 107313,
  [SMALL_STATE(2500)] = 107342,
  [SMALL_STATE(2501)] = 107371,
  [SMALL_STATE(2502)] = 107400,
  [SMALL_STATE(2503)] = 107429,
  [SMALL_STATE(2504)] = 107458,
  [SMALL_STATE(2505)] = 107487,
  [SMALL_STATE(2506)] = 107510,
  [SMALL_STATE(2507)] = 107525,
  [SMALL_STATE(2508)] = 107554,
  [SMALL_STATE(2509)] = 107585,
  [SMALL_STATE(2510)] = 107614,
  [SMALL_STATE(2511)] = 107629,
  [SMALL_STATE(2512)] = 107658,
  [SMALL_STATE(2513)] = 107687,
  [SMALL_STATE(2514)] = 107708,
  [SMALL_STATE(2515)] = 107723,
  [SMALL_STATE(2516)] = 107746,
  [SMALL_STATE(2517)] = 107775,
  [SMALL_STATE(2518)] = 107792,
  [SMALL_STATE(2519)] = 107817,
  [SMALL_STATE(2520)] = 107832,
  [SMALL_STATE(2521)] = 107847,
  [SMALL_STATE(2522)] = 107868,
  [SMALL_STATE(2523)] = 107883,
  [SMALL_STATE(2524)] = 107906,
  [SMALL_STATE(2525)] = 107931,
  [SMALL_STATE(2526)] = 107962,
  [SMALL_STATE(2527)] = 107977,
  [SMALL_STATE(2528)] = 107992,
  [SMALL_STATE(2529)] = 108015,
  [SMALL_STATE(2530)] = 108030,
  [SMALL_STATE(2531)] = 108059,
  [SMALL_STATE(2532)] = 108084,
  [SMALL_STATE(2533)] = 108099,
  [SMALL_STATE(2534)] = 108114,
  [SMALL_STATE(2535)] = 108133,
  [SMALL_STATE(2536)] = 108164,
  [SMALL_STATE(2537)] = 108183,
  [SMALL_STATE(2538)] = 108208,
  [SMALL_STATE(2539)] = 108237,
  [SMALL_STATE(2540)] = 108266,
  [SMALL_STATE(2541)] = 108285,
  [SMALL_STATE(2542)] = 108304,
  [SMALL_STATE(2543)] = 108335,
  [SMALL_STATE(2544)] = 108364,
  [SMALL_STATE(2545)] = 108395,
  [SMALL_STATE(2546)] = 108414,
  [SMALL_STATE(2547)] = 108433,
  [SMALL_STATE(2548)] = 108452,
  [SMALL_STATE(2549)] = 108469,
  [SMALL_STATE(2550)] = 108484,
  [SMALL_STATE(2551)] = 108509,
  [SMALL_STATE(2552)] = 108530,
  [SMALL_STATE(2553)] = 108545,
  [SMALL_STATE(2554)] = 108560,
  [SMALL_STATE(2555)] = 108577,
  [SMALL_STATE(2556)] = 108592,
  [SMALL_STATE(2557)] = 108607,
  [SMALL_STATE(2558)] = 108626,
  [SMALL_STATE(2559)] = 108641,
  [SMALL_STATE(2560)] = 108670,
  [SMALL_STATE(2561)] = 108695,
  [SMALL_STATE(2562)] = 108710,
  [SMALL_STATE(2563)] = 108725,
  [SMALL_STATE(2564)] = 108744,
  [SMALL_STATE(2565)] = 108775,
  [SMALL_STATE(2566)] = 108804,
  [SMALL_STATE(2567)] = 108833,
  [SMALL_STATE(2568)] = 108864,
  [SMALL_STATE(2569)] = 108893,
  [SMALL_STATE(2570)] = 108912,
  [SMALL_STATE(2571)] = 108941,
  [SMALL_STATE(2572)] = 108972,
  [SMALL_STATE(2573)] = 109003,
  [SMALL_STATE(2574)] = 109032,
  [SMALL_STATE(2575)] = 109047,
  [SMALL_STATE(2576)] = 109062,
  [SMALL_STATE(2577)] = 109079,
  [SMALL_STATE(2578)] = 109108,
  [SMALL_STATE(2579)] = 109131,
  [SMALL_STATE(2580)] = 109146,
  [SMALL_STATE(2581)] = 109177,
  [SMALL_STATE(2582)] = 109192,
  [SMALL_STATE(2583)] = 109207,
  [SMALL_STATE(2584)] = 109222,
  [SMALL_STATE(2585)] = 109247,
  [SMALL_STATE(2586)] = 109262,
  [SMALL_STATE(2587)] = 109291,
  [SMALL_STATE(2588)] = 109320,
  [SMALL_STATE(2589)] = 109351,
  [SMALL_STATE(2590)] = 109382,
  [SMALL_STATE(2591)] = 109413,
  [SMALL_STATE(2592)] = 109438,
  [SMALL_STATE(2593)] = 109469,
  [SMALL_STATE(2594)] = 109493,
  [SMALL_STATE(2595)] = 109511,
  [SMALL_STATE(2596)] = 109535,
  [SMALL_STATE(2597)] = 109555,
  [SMALL_STATE(2598)] = 109579,
  [SMALL_STATE(2599)] = 109603,
  [SMALL_STATE(2600)] = 109617,
  [SMALL_STATE(2601)] = 109637,
  [SMALL_STATE(2602)] = 109661,
  [SMALL_STATE(2603)] = 109685,
  [SMALL_STATE(2604)] = 109699,
  [SMALL_STATE(2605)] = 109719,
  [SMALL_STATE(2606)] = 109733,
  [SMALL_STATE(2607)] = 109753,
  [SMALL_STATE(2608)] = 109777,
  [SMALL_STATE(2609)] = 109801,
  [SMALL_STATE(2610)] = 109825,
  [SMALL_STATE(2611)] = 109849,
  [SMALL_STATE(2612)] = 109873,
  [SMALL_STATE(2613)] = 109889,
  [SMALL_STATE(2614)] = 109913,
  [SMALL_STATE(2615)] = 109938,
  [SMALL_STATE(2616)] = 109963,
  [SMALL_STATE(2617)] = 109976,
  [SMALL_STATE(2618)] = 109993,
  [SMALL_STATE(2619)] = 110006,
  [SMALL_STATE(2620)] = 110031,
  [SMALL_STATE(2621)] = 110044,
  [SMALL_STATE(2622)] = 110057,
  [SMALL_STATE(2623)] = 110082,
  [SMALL_STATE(2624)] = 110099,
  [SMALL_STATE(2625)] = 110116,
  [SMALL_STATE(2626)] = 110129,
  [SMALL_STATE(2627)] = 110154,
  [SMALL_STATE(2628)] = 110179,
  [SMALL_STATE(2629)] = 110204,
  [SMALL_STATE(2630)] = 110229,
  [SMALL_STATE(2631)] = 110246,
  [SMALL_STATE(2632)] = 110271,
  [SMALL_STATE(2633)] = 110296,
  [SMALL_STATE(2634)] = 110321,
  [SMALL_STATE(2635)] = 110338,
  [SMALL_STATE(2636)] = 110363,
  [SMALL_STATE(2637)] = 110380,
  [SMALL_STATE(2638)] = 110397,
  [SMALL_STATE(2639)] = 110414,
  [SMALL_STATE(2640)] = 110429,
  [SMALL_STATE(2641)] = 110454,
  [SMALL_STATE(2642)] = 110471,
  [SMALL_STATE(2643)] = 110492,
  [SMALL_STATE(2644)] = 110517,
  [SMALL_STATE(2645)] = 110534,
  [SMALL_STATE(2646)] = 110551,
  [SMALL_STATE(2647)] = 110568,
  [SMALL_STATE(2648)] = 110589,
  [SMALL_STATE(2649)] = 110614,
  [SMALL_STATE(2650)] = 110633,
  [SMALL_STATE(2651)] = 110650,
  [SMALL_STATE(2652)] = 110675,
  [SMALL_STATE(2653)] = 110692,
  [SMALL_STATE(2654)] = 110709,
  [SMALL_STATE(2655)] = 110734,
  [SMALL_STATE(2656)] = 110759,
  [SMALL_STATE(2657)] = 110776,
  [SMALL_STATE(2658)] = 110801,
  [SMALL_STATE(2659)] = 110826,
  [SMALL_STATE(2660)] = 110841,
  [SMALL_STATE(2661)] = 110856,
  [SMALL_STATE(2662)] = 110873,
  [SMALL_STATE(2663)] = 110898,
  [SMALL_STATE(2664)] = 110923,
  [SMALL_STATE(2665)] = 110948,
  [SMALL_STATE(2666)] = 110967,
  [SMALL_STATE(2667)] = 110984,
  [SMALL_STATE(2668)] = 111001,
  [SMALL_STATE(2669)] = 111018,
  [SMALL_STATE(2670)] = 111039,
  [SMALL_STATE(2671)] = 111056,
  [SMALL_STATE(2672)] = 111071,
  [SMALL_STATE(2673)] = 111088,
  [SMALL_STATE(2674)] = 111113,
  [SMALL_STATE(2675)] = 111134,
  [SMALL_STATE(2676)] = 111159,
  [SMALL_STATE(2677)] = 111180,
  [SMALL_STATE(2678)] = 111205,
  [SMALL_STATE(2679)] = 111230,
  [SMALL_STATE(2680)] = 111243,
  [SMALL_STATE(2681)] = 111266,
  [SMALL_STATE(2682)] = 111279,
  [SMALL_STATE(2683)] = 111292,
  [SMALL_STATE(2684)] = 111307,
  [SMALL_STATE(2685)] = 111332,
  [SMALL_STATE(2686)] = 111347,
  [SMALL_STATE(2687)] = 111368,
  [SMALL_STATE(2688)] = 111393,
  [SMALL_STATE(2689)] = 111414,
  [SMALL_STATE(2690)] = 111427,
  [SMALL_STATE(2691)] = 111442,
  [SMALL_STATE(2692)] = 111467,
  [SMALL_STATE(2693)] = 111484,
  [SMALL_STATE(2694)] = 111505,
  [SMALL_STATE(2695)] = 111530,
  [SMALL_STATE(2696)] = 111547,
  [SMALL_STATE(2697)] = 111564,
  [SMALL_STATE(2698)] = 111589,
  [SMALL_STATE(2699)] = 111602,
  [SMALL_STATE(2700)] = 111623,
  [SMALL_STATE(2701)] = 111636,
  [SMALL_STATE(2702)] = 111661,
  [SMALL_STATE(2703)] = 111686,
  [SMALL_STATE(2704)] = 111701,
  [SMALL_STATE(2705)] = 111714,
  [SMALL_STATE(2706)] = 111735,
  [SMALL_STATE(2707)] = 111756,
  [SMALL_STATE(2708)] = 111781,
  [SMALL_STATE(2709)] = 111806,
  [SMALL_STATE(2710)] = 111831,
  [SMALL_STATE(2711)] = 111844,
  [SMALL_STATE(2712)] = 111869,
  [SMALL_STATE(2713)] = 111894,
  [SMALL_STATE(2714)] = 111911,
  [SMALL_STATE(2715)] = 111936,
  [SMALL_STATE(2716)] = 111949,
  [SMALL_STATE(2717)] = 111970,
  [SMALL_STATE(2718)] = 111983,
  [SMALL_STATE(2719)] = 112004,
  [SMALL_STATE(2720)] = 112017,
  [SMALL_STATE(2721)] = 112038,
  [SMALL_STATE(2722)] = 112063,
  [SMALL_STATE(2723)] = 112084,
  [SMALL_STATE(2724)] = 112109,
  [SMALL_STATE(2725)] = 112122,
  [SMALL_STATE(2726)] = 112144,
  [SMALL_STATE(2727)] = 112162,
  [SMALL_STATE(2728)] = 112174,
  [SMALL_STATE(2729)] = 112186,
  [SMALL_STATE(2730)] = 112208,
  [SMALL_STATE(2731)] = 112224,
  [SMALL_STATE(2732)] = 112240,
  [SMALL_STATE(2733)] = 112256,
  [SMALL_STATE(2734)] = 112272,
  [SMALL_STATE(2735)] = 112294,
  [SMALL_STATE(2736)] = 112310,
  [SMALL_STATE(2737)] = 112326,
  [SMALL_STATE(2738)] = 112348,
  [SMALL_STATE(2739)] = 112364,
  [SMALL_STATE(2740)] = 112382,
  [SMALL_STATE(2741)] = 112394,
  [SMALL_STATE(2742)] = 112416,
  [SMALL_STATE(2743)] = 112428,
  [SMALL_STATE(2744)] = 112444,
  [SMALL_STATE(2745)] = 112456,
  [SMALL_STATE(2746)] = 112478,
  [SMALL_STATE(2747)] = 112494,
  [SMALL_STATE(2748)] = 112516,
  [SMALL_STATE(2749)] = 112538,
  [SMALL_STATE(2750)] = 112556,
  [SMALL_STATE(2751)] = 112574,
  [SMALL_STATE(2752)] = 112596,
  [SMALL_STATE(2753)] = 112612,
  [SMALL_STATE(2754)] = 112632,
  [SMALL_STATE(2755)] = 112644,
  [SMALL_STATE(2756)] = 112656,
  [SMALL_STATE(2757)] = 112672,
  [SMALL_STATE(2758)] = 112694,
  [SMALL_STATE(2759)] = 112706,
  [SMALL_STATE(2760)] = 112724,
  [SMALL_STATE(2761)] = 112736,
  [SMALL_STATE(2762)] = 112748,
  [SMALL_STATE(2763)] = 112770,
  [SMALL_STATE(2764)] = 112786,
  [SMALL_STATE(2765)] = 112804,
  [SMALL_STATE(2766)] = 112822,
  [SMALL_STATE(2767)] = 112838,
  [SMALL_STATE(2768)] = 112854,
  [SMALL_STATE(2769)] = 112876,
  [SMALL_STATE(2770)] = 112898,
  [SMALL_STATE(2771)] = 112914,
  [SMALL_STATE(2772)] = 112936,
  [SMALL_STATE(2773)] = 112958,
  [SMALL_STATE(2774)] = 112980,
  [SMALL_STATE(2775)] = 113002,
  [SMALL_STATE(2776)] = 113024,
  [SMALL_STATE(2777)] = 113046,
  [SMALL_STATE(2778)] = 113062,
  [SMALL_STATE(2779)] = 113082,
  [SMALL_STATE(2780)] = 113094,
  [SMALL_STATE(2781)] = 113112,
  [SMALL_STATE(2782)] = 113130,
  [SMALL_STATE(2783)] = 113146,
  [SMALL_STATE(2784)] = 113158,
  [SMALL_STATE(2785)] = 113180,
  [SMALL_STATE(2786)] = 113202,
  [SMALL_STATE(2787)] = 113220,
  [SMALL_STATE(2788)] = 113236,
  [SMALL_STATE(2789)] = 113248,
  [SMALL_STATE(2790)] = 113270,
  [SMALL_STATE(2791)] = 113286,
  [SMALL_STATE(2792)] = 113308,
  [SMALL_STATE(2793)] = 113328,
  [SMALL_STATE(2794)] = 113350,
  [SMALL_STATE(2795)] = 113372,
  [SMALL_STATE(2796)] = 113384,
  [SMALL_STATE(2797)] = 113400,
  [SMALL_STATE(2798)] = 113416,
  [SMALL_STATE(2799)] = 113438,
  [SMALL_STATE(2800)] = 113460,
  [SMALL_STATE(2801)] = 113482,
  [SMALL_STATE(2802)] = 113498,
  [SMALL_STATE(2803)] = 113514,
  [SMALL_STATE(2804)] = 113532,
  [SMALL_STATE(2805)] = 113554,
  [SMALL_STATE(2806)] = 113576,
  [SMALL_STATE(2807)] = 113592,
  [SMALL_STATE(2808)] = 113614,
  [SMALL_STATE(2809)] = 113636,
  [SMALL_STATE(2810)] = 113658,
  [SMALL_STATE(2811)] = 113680,
  [SMALL_STATE(2812)] = 113696,
  [SMALL_STATE(2813)] = 113712,
  [SMALL_STATE(2814)] = 113724,
  [SMALL_STATE(2815)] = 113746,
  [SMALL_STATE(2816)] = 113760,
  [SMALL_STATE(2817)] = 113778,
  [SMALL_STATE(2818)] = 113796,
  [SMALL_STATE(2819)] = 113812,
  [SMALL_STATE(2820)] = 113828,
  [SMALL_STATE(2821)] = 113850,
  [SMALL_STATE(2822)] = 113868,
  [SMALL_STATE(2823)] = 113884,
  [SMALL_STATE(2824)] = 113902,
  [SMALL_STATE(2825)] = 113924,
  [SMALL_STATE(2826)] = 113946,
  [SMALL_STATE(2827)] = 113964,
  [SMALL_STATE(2828)] = 113986,
  [SMALL_STATE(2829)] = 114006,
  [SMALL_STATE(2830)] = 114022,
  [SMALL_STATE(2831)] = 114038,
  [SMALL_STATE(2832)] = 114060,
  [SMALL_STATE(2833)] = 114078,
  [SMALL_STATE(2834)] = 114100,
  [SMALL_STATE(2835)] = 114112,
  [SMALL_STATE(2836)] = 114134,
  [SMALL_STATE(2837)] = 114156,
  [SMALL_STATE(2838)] = 114178,
  [SMALL_STATE(2839)] = 114194,
  [SMALL_STATE(2840)] = 114216,
  [SMALL_STATE(2841)] = 114238,
  [SMALL_STATE(2842)] = 114260,
  [SMALL_STATE(2843)] = 114276,
  [SMALL_STATE(2844)] = 114298,
  [SMALL_STATE(2845)] = 114314,
  [SMALL_STATE(2846)] = 114330,
  [SMALL_STATE(2847)] = 114352,
  [SMALL_STATE(2848)] = 114364,
  [SMALL_STATE(2849)] = 114376,
  [SMALL_STATE(2850)] = 114398,
  [SMALL_STATE(2851)] = 114414,
  [SMALL_STATE(2852)] = 114432,
  [SMALL_STATE(2853)] = 114450,
  [SMALL_STATE(2854)] = 114464,
  [SMALL_STATE(2855)] = 114476,
  [SMALL_STATE(2856)] = 114492,
  [SMALL_STATE(2857)] = 114514,
  [SMALL_STATE(2858)] = 114536,
  [SMALL_STATE(2859)] = 114558,
  [SMALL_STATE(2860)] = 114576,
  [SMALL_STATE(2861)] = 114598,
  [SMALL_STATE(2862)] = 114616,
  [SMALL_STATE(2863)] = 114632,
  [SMALL_STATE(2864)] = 114654,
  [SMALL_STATE(2865)] = 114672,
  [SMALL_STATE(2866)] = 114688,
  [SMALL_STATE(2867)] = 114702,
  [SMALL_STATE(2868)] = 114720,
  [SMALL_STATE(2869)] = 114740,
  [SMALL_STATE(2870)] = 114762,
  [SMALL_STATE(2871)] = 114778,
  [SMALL_STATE(2872)] = 114794,
  [SMALL_STATE(2873)] = 114810,
  [SMALL_STATE(2874)] = 114832,
  [SMALL_STATE(2875)] = 114854,
  [SMALL_STATE(2876)] = 114870,
  [SMALL_STATE(2877)] = 114886,
  [SMALL_STATE(2878)] = 114908,
  [SMALL_STATE(2879)] = 114920,
  [SMALL_STATE(2880)] = 114942,
  [SMALL_STATE(2881)] = 114960,
  [SMALL_STATE(2882)] = 114982,
  [SMALL_STATE(2883)] = 115004,
  [SMALL_STATE(2884)] = 115020,
  [SMALL_STATE(2885)] = 115042,
  [SMALL_STATE(2886)] = 115058,
  [SMALL_STATE(2887)] = 115080,
  [SMALL_STATE(2888)] = 115096,
  [SMALL_STATE(2889)] = 115114,
  [SMALL_STATE(2890)] = 115136,
  [SMALL_STATE(2891)] = 115150,
  [SMALL_STATE(2892)] = 115166,
  [SMALL_STATE(2893)] = 115188,
  [SMALL_STATE(2894)] = 115210,
  [SMALL_STATE(2895)] = 115232,
  [SMALL_STATE(2896)] = 115252,
  [SMALL_STATE(2897)] = 115274,
  [SMALL_STATE(2898)] = 115290,
  [SMALL_STATE(2899)] = 115308,
  [SMALL_STATE(2900)] = 115330,
  [SMALL_STATE(2901)] = 115342,
  [SMALL_STATE(2902)] = 115364,
  [SMALL_STATE(2903)] = 115380,
  [SMALL_STATE(2904)] = 115394,
  [SMALL_STATE(2905)] = 115416,
  [SMALL_STATE(2906)] = 115428,
  [SMALL_STATE(2907)] = 115450,
  [SMALL_STATE(2908)] = 115466,
  [SMALL_STATE(2909)] = 115488,
  [SMALL_STATE(2910)] = 115507,
  [SMALL_STATE(2911)] = 115518,
  [SMALL_STATE(2912)] = 115529,
  [SMALL_STATE(2913)] = 115540,
  [SMALL_STATE(2914)] = 115559,
  [SMALL_STATE(2915)] = 115570,
  [SMALL_STATE(2916)] = 115583,
  [SMALL_STATE(2917)] = 115594,
  [SMALL_STATE(2918)] = 115605,
  [SMALL_STATE(2919)] = 115620,
  [SMALL_STATE(2920)] = 115631,
  [SMALL_STATE(2921)] = 115648,
  [SMALL_STATE(2922)] = 115667,
  [SMALL_STATE(2923)] = 115686,
  [SMALL_STATE(2924)] = 115697,
  [SMALL_STATE(2925)] = 115708,
  [SMALL_STATE(2926)] = 115719,
  [SMALL_STATE(2927)] = 115730,
  [SMALL_STATE(2928)] = 115743,
  [SMALL_STATE(2929)] = 115760,
  [SMALL_STATE(2930)] = 115771,
  [SMALL_STATE(2931)] = 115782,
  [SMALL_STATE(2932)] = 115801,
  [SMALL_STATE(2933)] = 115812,
  [SMALL_STATE(2934)] = 115831,
  [SMALL_STATE(2935)] = 115842,
  [SMALL_STATE(2936)] = 115853,
  [SMALL_STATE(2937)] = 115872,
  [SMALL_STATE(2938)] = 115883,
  [SMALL_STATE(2939)] = 115902,
  [SMALL_STATE(2940)] = 115921,
  [SMALL_STATE(2941)] = 115932,
  [SMALL_STATE(2942)] = 115943,
  [SMALL_STATE(2943)] = 115962,
  [SMALL_STATE(2944)] = 115973,
  [SMALL_STATE(2945)] = 115984,
  [SMALL_STATE(2946)] = 116003,
  [SMALL_STATE(2947)] = 116014,
  [SMALL_STATE(2948)] = 116033,
  [SMALL_STATE(2949)] = 116044,
  [SMALL_STATE(2950)] = 116063,
  [SMALL_STATE(2951)] = 116074,
  [SMALL_STATE(2952)] = 116093,
  [SMALL_STATE(2953)] = 116112,
  [SMALL_STATE(2954)] = 116129,
  [SMALL_STATE(2955)] = 116148,
  [SMALL_STATE(2956)] = 116167,
  [SMALL_STATE(2957)] = 116186,
  [SMALL_STATE(2958)] = 116197,
  [SMALL_STATE(2959)] = 116208,
  [SMALL_STATE(2960)] = 116219,
  [SMALL_STATE(2961)] = 116238,
  [SMALL_STATE(2962)] = 116255,
  [SMALL_STATE(2963)] = 116274,
  [SMALL_STATE(2964)] = 116291,
  [SMALL_STATE(2965)] = 116310,
  [SMALL_STATE(2966)] = 116329,
  [SMALL_STATE(2967)] = 116340,
  [SMALL_STATE(2968)] = 116359,
  [SMALL_STATE(2969)] = 116378,
  [SMALL_STATE(2970)] = 116395,
  [SMALL_STATE(2971)] = 116406,
  [SMALL_STATE(2972)] = 116423,
  [SMALL_STATE(2973)] = 116442,
  [SMALL_STATE(2974)] = 116459,
  [SMALL_STATE(2975)] = 116478,
  [SMALL_STATE(2976)] = 116489,
  [SMALL_STATE(2977)] = 116500,
  [SMALL_STATE(2978)] = 116515,
  [SMALL_STATE(2979)] = 116526,
  [SMALL_STATE(2980)] = 116537,
  [SMALL_STATE(2981)] = 116556,
  [SMALL_STATE(2982)] = 116571,
  [SMALL_STATE(2983)] = 116586,
  [SMALL_STATE(2984)] = 116601,
  [SMALL_STATE(2985)] = 116616,
  [SMALL_STATE(2986)] = 116627,
  [SMALL_STATE(2987)] = 116638,
  [SMALL_STATE(2988)] = 116649,
  [SMALL_STATE(2989)] = 116668,
  [SMALL_STATE(2990)] = 116685,
  [SMALL_STATE(2991)] = 116696,
  [SMALL_STATE(2992)] = 116715,
  [SMALL_STATE(2993)] = 116728,
  [SMALL_STATE(2994)] = 116747,
  [SMALL_STATE(2995)] = 116758,
  [SMALL_STATE(2996)] = 116771,
  [SMALL_STATE(2997)] = 116782,
  [SMALL_STATE(2998)] = 116799,
  [SMALL_STATE(2999)] = 116810,
  [SMALL_STATE(3000)] = 116821,
  [SMALL_STATE(3001)] = 116832,
  [SMALL_STATE(3002)] = 116851,
  [SMALL_STATE(3003)] = 116868,
  [SMALL_STATE(3004)] = 116885,
  [SMALL_STATE(3005)] = 116904,
  [SMALL_STATE(3006)] = 116915,
  [SMALL_STATE(3007)] = 116926,
  [SMALL_STATE(3008)] = 116937,
  [SMALL_STATE(3009)] = 116948,
  [SMALL_STATE(3010)] = 116967,
  [SMALL_STATE(3011)] = 116986,
  [SMALL_STATE(3012)] = 116997,
  [SMALL_STATE(3013)] = 117008,
  [SMALL_STATE(3014)] = 117019,
  [SMALL_STATE(3015)] = 117030,
  [SMALL_STATE(3016)] = 117047,
  [SMALL_STATE(3017)] = 117058,
  [SMALL_STATE(3018)] = 117073,
  [SMALL_STATE(3019)] = 117084,
  [SMALL_STATE(3020)] = 117095,
  [SMALL_STATE(3021)] = 117112,
  [SMALL_STATE(3022)] = 117131,
  [SMALL_STATE(3023)] = 117150,
  [SMALL_STATE(3024)] = 117161,
  [SMALL_STATE(3025)] = 117180,
  [SMALL_STATE(3026)] = 117195,
  [SMALL_STATE(3027)] = 117214,
  [SMALL_STATE(3028)] = 117233,
  [SMALL_STATE(3029)] = 117250,
  [SMALL_STATE(3030)] = 117261,
  [SMALL_STATE(3031)] = 117278,
  [SMALL_STATE(3032)] = 117289,
  [SMALL_STATE(3033)] = 117300,
  [SMALL_STATE(3034)] = 117311,
  [SMALL_STATE(3035)] = 117322,
  [SMALL_STATE(3036)] = 117337,
  [SMALL_STATE(3037)] = 117348,
  [SMALL_STATE(3038)] = 117367,
  [SMALL_STATE(3039)] = 117378,
  [SMALL_STATE(3040)] = 117397,
  [SMALL_STATE(3041)] = 117416,
  [SMALL_STATE(3042)] = 117427,
  [SMALL_STATE(3043)] = 117438,
  [SMALL_STATE(3044)] = 117453,
  [SMALL_STATE(3045)] = 117464,
  [SMALL_STATE(3046)] = 117475,
  [SMALL_STATE(3047)] = 117494,
  [SMALL_STATE(3048)] = 117505,
  [SMALL_STATE(3049)] = 117516,
  [SMALL_STATE(3050)] = 117527,
  [SMALL_STATE(3051)] = 117542,
  [SMALL_STATE(3052)] = 117553,
  [SMALL_STATE(3053)] = 117564,
  [SMALL_STATE(3054)] = 117579,
  [SMALL_STATE(3055)] = 117590,
  [SMALL_STATE(3056)] = 117601,
  [SMALL_STATE(3057)] = 117620,
  [SMALL_STATE(3058)] = 117637,
  [SMALL_STATE(3059)] = 117656,
  [SMALL_STATE(3060)] = 117667,
  [SMALL_STATE(3061)] = 117678,
  [SMALL_STATE(3062)] = 117689,
  [SMALL_STATE(3063)] = 117700,
  [SMALL_STATE(3064)] = 117711,
  [SMALL_STATE(3065)] = 117730,
  [SMALL_STATE(3066)] = 117741,
  [SMALL_STATE(3067)] = 117758,
  [SMALL_STATE(3068)] = 117771,
  [SMALL_STATE(3069)] = 117790,
  [SMALL_STATE(3070)] = 117803,
  [SMALL_STATE(3071)] = 117814,
  [SMALL_STATE(3072)] = 117825,
  [SMALL_STATE(3073)] = 117842,
  [SMALL_STATE(3074)] = 117855,
  [SMALL_STATE(3075)] = 117870,
  [SMALL_STATE(3076)] = 117881,
  [SMALL_STATE(3077)] = 117892,
  [SMALL_STATE(3078)] = 117903,
  [SMALL_STATE(3079)] = 117922,
  [SMALL_STATE(3080)] = 117941,
  [SMALL_STATE(3081)] = 117960,
  [SMALL_STATE(3082)] = 117979,
  [SMALL_STATE(3083)] = 117990,
  [SMALL_STATE(3084)] = 118001,
  [SMALL_STATE(3085)] = 118020,
  [SMALL_STATE(3086)] = 118031,
  [SMALL_STATE(3087)] = 118042,
  [SMALL_STATE(3088)] = 118053,
  [SMALL_STATE(3089)] = 118064,
  [SMALL_STATE(3090)] = 118083,
  [SMALL_STATE(3091)] = 118102,
  [SMALL_STATE(3092)] = 118115,
  [SMALL_STATE(3093)] = 118134,
  [SMALL_STATE(3094)] = 118149,
  [SMALL_STATE(3095)] = 118168,
  [SMALL_STATE(3096)] = 118187,
  [SMALL_STATE(3097)] = 118200,
  [SMALL_STATE(3098)] = 118211,
  [SMALL_STATE(3099)] = 118222,
  [SMALL_STATE(3100)] = 118237,
  [SMALL_STATE(3101)] = 118252,
  [SMALL_STATE(3102)] = 118263,
  [SMALL_STATE(3103)] = 118274,
  [SMALL_STATE(3104)] = 118285,
  [SMALL_STATE(3105)] = 118296,
  [SMALL_STATE(3106)] = 118309,
  [SMALL_STATE(3107)] = 118320,
  [SMALL_STATE(3108)] = 118333,
  [SMALL_STATE(3109)] = 118352,
  [SMALL_STATE(3110)] = 118371,
  [SMALL_STATE(3111)] = 118386,
  [SMALL_STATE(3112)] = 118405,
  [SMALL_STATE(3113)] = 118418,
  [SMALL_STATE(3114)] = 118431,
  [SMALL_STATE(3115)] = 118450,
  [SMALL_STATE(3116)] = 118465,
  [SMALL_STATE(3117)] = 118484,
  [SMALL_STATE(3118)] = 118497,
  [SMALL_STATE(3119)] = 118510,
  [SMALL_STATE(3120)] = 118525,
  [SMALL_STATE(3121)] = 118538,
  [SMALL_STATE(3122)] = 118549,
  [SMALL_STATE(3123)] = 118560,
  [SMALL_STATE(3124)] = 118579,
  [SMALL_STATE(3125)] = 118590,
  [SMALL_STATE(3126)] = 118607,
  [SMALL_STATE(3127)] = 118618,
  [SMALL_STATE(3128)] = 118629,
  [SMALL_STATE(3129)] = 118640,
  [SMALL_STATE(3130)] = 118657,
  [SMALL_STATE(3131)] = 118676,
  [SMALL_STATE(3132)] = 118687,
  [SMALL_STATE(3133)] = 118698,
  [SMALL_STATE(3134)] = 118709,
  [SMALL_STATE(3135)] = 118720,
  [SMALL_STATE(3136)] = 118731,
  [SMALL_STATE(3137)] = 118750,
  [SMALL_STATE(3138)] = 118761,
  [SMALL_STATE(3139)] = 118778,
  [SMALL_STATE(3140)] = 118789,
  [SMALL_STATE(3141)] = 118806,
  [SMALL_STATE(3142)] = 118817,
  [SMALL_STATE(3143)] = 118828,
  [SMALL_STATE(3144)] = 118847,
  [SMALL_STATE(3145)] = 118860,
  [SMALL_STATE(3146)] = 118879,
  [SMALL_STATE(3147)] = 118898,
  [SMALL_STATE(3148)] = 118913,
  [SMALL_STATE(3149)] = 118924,
  [SMALL_STATE(3150)] = 118935,
  [SMALL_STATE(3151)] = 118946,
  [SMALL_STATE(3152)] = 118957,
  [SMALL_STATE(3153)] = 118976,
  [SMALL_STATE(3154)] = 118995,
  [SMALL_STATE(3155)] = 119006,
  [SMALL_STATE(3156)] = 119017,
  [SMALL_STATE(3157)] = 119028,
  [SMALL_STATE(3158)] = 119047,
  [SMALL_STATE(3159)] = 119058,
  [SMALL_STATE(3160)] = 119077,
  [SMALL_STATE(3161)] = 119094,
  [SMALL_STATE(3162)] = 119113,
  [SMALL_STATE(3163)] = 119132,
  [SMALL_STATE(3164)] = 119143,
  [SMALL_STATE(3165)] = 119154,
  [SMALL_STATE(3166)] = 119173,
  [SMALL_STATE(3167)] = 119192,
  [SMALL_STATE(3168)] = 119205,
  [SMALL_STATE(3169)] = 119216,
  [SMALL_STATE(3170)] = 119229,
  [SMALL_STATE(3171)] = 119240,
  [SMALL_STATE(3172)] = 119251,
  [SMALL_STATE(3173)] = 119262,
  [SMALL_STATE(3174)] = 119273,
  [SMALL_STATE(3175)] = 119290,
  [SMALL_STATE(3176)] = 119303,
  [SMALL_STATE(3177)] = 119316,
  [SMALL_STATE(3178)] = 119327,
  [SMALL_STATE(3179)] = 119338,
  [SMALL_STATE(3180)] = 119353,
  [SMALL_STATE(3181)] = 119364,
  [SMALL_STATE(3182)] = 119379,
  [SMALL_STATE(3183)] = 119396,
  [SMALL_STATE(3184)] = 119407,
  [SMALL_STATE(3185)] = 119422,
  [SMALL_STATE(3186)] = 119435,
  [SMALL_STATE(3187)] = 119446,
  [SMALL_STATE(3188)] = 119457,
  [SMALL_STATE(3189)] = 119468,
  [SMALL_STATE(3190)] = 119483,
  [SMALL_STATE(3191)] = 119494,
  [SMALL_STATE(3192)] = 119505,
  [SMALL_STATE(3193)] = 119524,
  [SMALL_STATE(3194)] = 119535,
  [SMALL_STATE(3195)] = 119546,
  [SMALL_STATE(3196)] = 119557,
  [SMALL_STATE(3197)] = 119568,
  [SMALL_STATE(3198)] = 119579,
  [SMALL_STATE(3199)] = 119590,
  [SMALL_STATE(3200)] = 119609,
  [SMALL_STATE(3201)] = 119620,
  [SMALL_STATE(3202)] = 119631,
  [SMALL_STATE(3203)] = 119642,
  [SMALL_STATE(3204)] = 119661,
  [SMALL_STATE(3205)] = 119674,
  [SMALL_STATE(3206)] = 119688,
  [SMALL_STATE(3207)] = 119704,
  [SMALL_STATE(3208)] = 119718,
  [SMALL_STATE(3209)] = 119732,
  [SMALL_STATE(3210)] = 119746,
  [SMALL_STATE(3211)] = 119760,
  [SMALL_STATE(3212)] = 119774,
  [SMALL_STATE(3213)] = 119788,
  [SMALL_STATE(3214)] = 119802,
  [SMALL_STATE(3215)] = 119816,
  [SMALL_STATE(3216)] = 119830,
  [SMALL_STATE(3217)] = 119844,
  [SMALL_STATE(3218)] = 119860,
  [SMALL_STATE(3219)] = 119874,
  [SMALL_STATE(3220)] = 119888,
  [SMALL_STATE(3221)] = 119902,
  [SMALL_STATE(3222)] = 119912,
  [SMALL_STATE(3223)] = 119926,
  [SMALL_STATE(3224)] = 119940,
  [SMALL_STATE(3225)] = 119954,
  [SMALL_STATE(3226)] = 119968,
  [SMALL_STATE(3227)] = 119982,
  [SMALL_STATE(3228)] = 119996,
  [SMALL_STATE(3229)] = 120012,
  [SMALL_STATE(3230)] = 120028,
  [SMALL_STATE(3231)] = 120044,
  [SMALL_STATE(3232)] = 120058,
  [SMALL_STATE(3233)] = 120072,
  [SMALL_STATE(3234)] = 120084,
  [SMALL_STATE(3235)] = 120094,
  [SMALL_STATE(3236)] = 120108,
  [SMALL_STATE(3237)] = 120122,
  [SMALL_STATE(3238)] = 120136,
  [SMALL_STATE(3239)] = 120150,
  [SMALL_STATE(3240)] = 120166,
  [SMALL_STATE(3241)] = 120182,
  [SMALL_STATE(3242)] = 120196,
  [SMALL_STATE(3243)] = 120212,
  [SMALL_STATE(3244)] = 120228,
  [SMALL_STATE(3245)] = 120242,
  [SMALL_STATE(3246)] = 120256,
  [SMALL_STATE(3247)] = 120270,
  [SMALL_STATE(3248)] = 120286,
  [SMALL_STATE(3249)] = 120302,
  [SMALL_STATE(3250)] = 120316,
  [SMALL_STATE(3251)] = 120332,
  [SMALL_STATE(3252)] = 120346,
  [SMALL_STATE(3253)] = 120360,
  [SMALL_STATE(3254)] = 120374,
  [SMALL_STATE(3255)] = 120388,
  [SMALL_STATE(3256)] = 120402,
  [SMALL_STATE(3257)] = 120416,
  [SMALL_STATE(3258)] = 120432,
  [SMALL_STATE(3259)] = 120448,
  [SMALL_STATE(3260)] = 120464,
  [SMALL_STATE(3261)] = 120480,
  [SMALL_STATE(3262)] = 120496,
  [SMALL_STATE(3263)] = 120510,
  [SMALL_STATE(3264)] = 120524,
  [SMALL_STATE(3265)] = 120540,
  [SMALL_STATE(3266)] = 120556,
  [SMALL_STATE(3267)] = 120570,
  [SMALL_STATE(3268)] = 120586,
  [SMALL_STATE(3269)] = 120602,
  [SMALL_STATE(3270)] = 120618,
  [SMALL_STATE(3271)] = 120634,
  [SMALL_STATE(3272)] = 120650,
  [SMALL_STATE(3273)] = 120662,
  [SMALL_STATE(3274)] = 120676,
  [SMALL_STATE(3275)] = 120692,
  [SMALL_STATE(3276)] = 120708,
  [SMALL_STATE(3277)] = 120724,
  [SMALL_STATE(3278)] = 120740,
  [SMALL_STATE(3279)] = 120756,
  [SMALL_STATE(3280)] = 120770,
  [SMALL_STATE(3281)] = 120786,
  [SMALL_STATE(3282)] = 120802,
  [SMALL_STATE(3283)] = 120818,
  [SMALL_STATE(3284)] = 120832,
  [SMALL_STATE(3285)] = 120846,
  [SMALL_STATE(3286)] = 120862,
  [SMALL_STATE(3287)] = 120878,
  [SMALL_STATE(3288)] = 120888,
  [SMALL_STATE(3289)] = 120902,
  [SMALL_STATE(3290)] = 120914,
  [SMALL_STATE(3291)] = 120930,
  [SMALL_STATE(3292)] = 120942,
  [SMALL_STATE(3293)] = 120958,
  [SMALL_STATE(3294)] = 120972,
  [SMALL_STATE(3295)] = 120986,
  [SMALL_STATE(3296)] = 121000,
  [SMALL_STATE(3297)] = 121016,
  [SMALL_STATE(3298)] = 121030,
  [SMALL_STATE(3299)] = 121046,
  [SMALL_STATE(3300)] = 121062,
  [SMALL_STATE(3301)] = 121076,
  [SMALL_STATE(3302)] = 121092,
  [SMALL_STATE(3303)] = 121106,
  [SMALL_STATE(3304)] = 121120,
  [SMALL_STATE(3305)] = 121134,
  [SMALL_STATE(3306)] = 121150,
  [SMALL_STATE(3307)] = 121166,
  [SMALL_STATE(3308)] = 121182,
  [SMALL_STATE(3309)] = 121198,
  [SMALL_STATE(3310)] = 121212,
  [SMALL_STATE(3311)] = 121226,
  [SMALL_STATE(3312)] = 121240,
  [SMALL_STATE(3313)] = 121254,
  [SMALL_STATE(3314)] = 121270,
  [SMALL_STATE(3315)] = 121286,
  [SMALL_STATE(3316)] = 121302,
  [SMALL_STATE(3317)] = 121316,
  [SMALL_STATE(3318)] = 121330,
  [SMALL_STATE(3319)] = 121344,
  [SMALL_STATE(3320)] = 121360,
  [SMALL_STATE(3321)] = 121376,
  [SMALL_STATE(3322)] = 121392,
  [SMALL_STATE(3323)] = 121408,
  [SMALL_STATE(3324)] = 121424,
  [SMALL_STATE(3325)] = 121440,
  [SMALL_STATE(3326)] = 121450,
  [SMALL_STATE(3327)] = 121459,
  [SMALL_STATE(3328)] = 121468,
  [SMALL_STATE(3329)] = 121479,
  [SMALL_STATE(3330)] = 121488,
  [SMALL_STATE(3331)] = 121501,
  [SMALL_STATE(3332)] = 121514,
  [SMALL_STATE(3333)] = 121527,
  [SMALL_STATE(3334)] = 121536,
  [SMALL_STATE(3335)] = 121549,
  [SMALL_STATE(3336)] = 121558,
  [SMALL_STATE(3337)] = 121571,
  [SMALL_STATE(3338)] = 121580,
  [SMALL_STATE(3339)] = 121593,
  [SMALL_STATE(3340)] = 121602,
  [SMALL_STATE(3341)] = 121615,
  [SMALL_STATE(3342)] = 121628,
  [SMALL_STATE(3343)] = 121641,
  [SMALL_STATE(3344)] = 121650,
  [SMALL_STATE(3345)] = 121659,
  [SMALL_STATE(3346)] = 121672,
  [SMALL_STATE(3347)] = 121685,
  [SMALL_STATE(3348)] = 121694,
  [SMALL_STATE(3349)] = 121703,
  [SMALL_STATE(3350)] = 121712,
  [SMALL_STATE(3351)] = 121721,
  [SMALL_STATE(3352)] = 121734,
  [SMALL_STATE(3353)] = 121747,
  [SMALL_STATE(3354)] = 121760,
  [SMALL_STATE(3355)] = 121773,
  [SMALL_STATE(3356)] = 121786,
  [SMALL_STATE(3357)] = 121799,
  [SMALL_STATE(3358)] = 121812,
  [SMALL_STATE(3359)] = 121825,
  [SMALL_STATE(3360)] = 121834,
  [SMALL_STATE(3361)] = 121847,
  [SMALL_STATE(3362)] = 121856,
  [SMALL_STATE(3363)] = 121869,
  [SMALL_STATE(3364)] = 121882,
  [SMALL_STATE(3365)] = 121895,
  [SMALL_STATE(3366)] = 121908,
  [SMALL_STATE(3367)] = 121921,
  [SMALL_STATE(3368)] = 121934,
  [SMALL_STATE(3369)] = 121943,
  [SMALL_STATE(3370)] = 121956,
  [SMALL_STATE(3371)] = 121969,
  [SMALL_STATE(3372)] = 121982,
  [SMALL_STATE(3373)] = 121995,
  [SMALL_STATE(3374)] = 122006,
  [SMALL_STATE(3375)] = 122019,
  [SMALL_STATE(3376)] = 122032,
  [SMALL_STATE(3377)] = 122045,
  [SMALL_STATE(3378)] = 122058,
  [SMALL_STATE(3379)] = 122071,
  [SMALL_STATE(3380)] = 122080,
  [SMALL_STATE(3381)] = 122093,
  [SMALL_STATE(3382)] = 122106,
  [SMALL_STATE(3383)] = 122117,
  [SMALL_STATE(3384)] = 122130,
  [SMALL_STATE(3385)] = 122139,
  [SMALL_STATE(3386)] = 122148,
  [SMALL_STATE(3387)] = 122157,
  [SMALL_STATE(3388)] = 122170,
  [SMALL_STATE(3389)] = 122183,
  [SMALL_STATE(3390)] = 122196,
  [SMALL_STATE(3391)] = 122209,
  [SMALL_STATE(3392)] = 122218,
  [SMALL_STATE(3393)] = 122231,
  [SMALL_STATE(3394)] = 122244,
  [SMALL_STATE(3395)] = 122255,
  [SMALL_STATE(3396)] = 122264,
  [SMALL_STATE(3397)] = 122273,
  [SMALL_STATE(3398)] = 122286,
  [SMALL_STATE(3399)] = 122299,
  [SMALL_STATE(3400)] = 122308,
  [SMALL_STATE(3401)] = 122321,
  [SMALL_STATE(3402)] = 122330,
  [SMALL_STATE(3403)] = 122343,
  [SMALL_STATE(3404)] = 122356,
  [SMALL_STATE(3405)] = 122369,
  [SMALL_STATE(3406)] = 122382,
  [SMALL_STATE(3407)] = 122393,
  [SMALL_STATE(3408)] = 122406,
  [SMALL_STATE(3409)] = 122419,
  [SMALL_STATE(3410)] = 122432,
  [SMALL_STATE(3411)] = 122445,
  [SMALL_STATE(3412)] = 122458,
  [SMALL_STATE(3413)] = 122467,
  [SMALL_STATE(3414)] = 122478,
  [SMALL_STATE(3415)] = 122491,
  [SMALL_STATE(3416)] = 122504,
  [SMALL_STATE(3417)] = 122517,
  [SMALL_STATE(3418)] = 122530,
  [SMALL_STATE(3419)] = 122543,
  [SMALL_STATE(3420)] = 122556,
  [SMALL_STATE(3421)] = 122569,
  [SMALL_STATE(3422)] = 122580,
  [SMALL_STATE(3423)] = 122593,
  [SMALL_STATE(3424)] = 122606,
  [SMALL_STATE(3425)] = 122619,
  [SMALL_STATE(3426)] = 122632,
  [SMALL_STATE(3427)] = 122645,
  [SMALL_STATE(3428)] = 122658,
  [SMALL_STATE(3429)] = 122667,
  [SMALL_STATE(3430)] = 122676,
  [SMALL_STATE(3431)] = 122689,
  [SMALL_STATE(3432)] = 122702,
  [SMALL_STATE(3433)] = 122715,
  [SMALL_STATE(3434)] = 122724,
  [SMALL_STATE(3435)] = 122735,
  [SMALL_STATE(3436)] = 122744,
  [SMALL_STATE(3437)] = 122757,
  [SMALL_STATE(3438)] = 122766,
  [SMALL_STATE(3439)] = 122775,
  [SMALL_STATE(3440)] = 122786,
  [SMALL_STATE(3441)] = 122799,
  [SMALL_STATE(3442)] = 122810,
  [SMALL_STATE(3443)] = 122821,
  [SMALL_STATE(3444)] = 122834,
  [SMALL_STATE(3445)] = 122843,
  [SMALL_STATE(3446)] = 122856,
  [SMALL_STATE(3447)] = 122867,
  [SMALL_STATE(3448)] = 122878,
  [SMALL_STATE(3449)] = 122887,
  [SMALL_STATE(3450)] = 122898,
  [SMALL_STATE(3451)] = 122911,
  [SMALL_STATE(3452)] = 122924,
  [SMALL_STATE(3453)] = 122937,
  [SMALL_STATE(3454)] = 122950,
  [SMALL_STATE(3455)] = 122959,
  [SMALL_STATE(3456)] = 122972,
  [SMALL_STATE(3457)] = 122983,
  [SMALL_STATE(3458)] = 122996,
  [SMALL_STATE(3459)] = 123005,
  [SMALL_STATE(3460)] = 123014,
  [SMALL_STATE(3461)] = 123023,
  [SMALL_STATE(3462)] = 123036,
  [SMALL_STATE(3463)] = 123045,
  [SMALL_STATE(3464)] = 123058,
  [SMALL_STATE(3465)] = 123071,
  [SMALL_STATE(3466)] = 123084,
  [SMALL_STATE(3467)] = 123093,
  [SMALL_STATE(3468)] = 123102,
  [SMALL_STATE(3469)] = 123111,
  [SMALL_STATE(3470)] = 123124,
  [SMALL_STATE(3471)] = 123133,
  [SMALL_STATE(3472)] = 123144,
  [SMALL_STATE(3473)] = 123153,
  [SMALL_STATE(3474)] = 123164,
  [SMALL_STATE(3475)] = 123177,
  [SMALL_STATE(3476)] = 123190,
  [SMALL_STATE(3477)] = 123203,
  [SMALL_STATE(3478)] = 123216,
  [SMALL_STATE(3479)] = 123229,
  [SMALL_STATE(3480)] = 123242,
  [SMALL_STATE(3481)] = 123255,
  [SMALL_STATE(3482)] = 123264,
  [SMALL_STATE(3483)] = 123273,
  [SMALL_STATE(3484)] = 123282,
  [SMALL_STATE(3485)] = 123291,
  [SMALL_STATE(3486)] = 123304,
  [SMALL_STATE(3487)] = 123317,
  [SMALL_STATE(3488)] = 123330,
  [SMALL_STATE(3489)] = 123343,
  [SMALL_STATE(3490)] = 123356,
  [SMALL_STATE(3491)] = 123365,
  [SMALL_STATE(3492)] = 123374,
  [SMALL_STATE(3493)] = 123387,
  [SMALL_STATE(3494)] = 123396,
  [SMALL_STATE(3495)] = 123409,
  [SMALL_STATE(3496)] = 123418,
  [SMALL_STATE(3497)] = 123431,
  [SMALL_STATE(3498)] = 123440,
  [SMALL_STATE(3499)] = 123449,
  [SMALL_STATE(3500)] = 123462,
  [SMALL_STATE(3501)] = 123475,
  [SMALL_STATE(3502)] = 123488,
  [SMALL_STATE(3503)] = 123501,
  [SMALL_STATE(3504)] = 123514,
  [SMALL_STATE(3505)] = 123523,
  [SMALL_STATE(3506)] = 123536,
  [SMALL_STATE(3507)] = 123549,
  [SMALL_STATE(3508)] = 123562,
  [SMALL_STATE(3509)] = 123571,
  [SMALL_STATE(3510)] = 123584,
  [SMALL_STATE(3511)] = 123597,
  [SMALL_STATE(3512)] = 123606,
  [SMALL_STATE(3513)] = 123617,
  [SMALL_STATE(3514)] = 123630,
  [SMALL_STATE(3515)] = 123639,
  [SMALL_STATE(3516)] = 123652,
  [SMALL_STATE(3517)] = 123661,
  [SMALL_STATE(3518)] = 123672,
  [SMALL_STATE(3519)] = 123685,
  [SMALL_STATE(3520)] = 123698,
  [SMALL_STATE(3521)] = 123707,
  [SMALL_STATE(3522)] = 123718,
  [SMALL_STATE(3523)] = 123731,
  [SMALL_STATE(3524)] = 123740,
  [SMALL_STATE(3525)] = 123753,
  [SMALL_STATE(3526)] = 123766,
  [SMALL_STATE(3527)] = 123779,
  [SMALL_STATE(3528)] = 123788,
  [SMALL_STATE(3529)] = 123801,
  [SMALL_STATE(3530)] = 123814,
  [SMALL_STATE(3531)] = 123827,
  [SMALL_STATE(3532)] = 123840,
  [SMALL_STATE(3533)] = 123853,
  [SMALL_STATE(3534)] = 123866,
  [SMALL_STATE(3535)] = 123879,
  [SMALL_STATE(3536)] = 123888,
  [SMALL_STATE(3537)] = 123901,
  [SMALL_STATE(3538)] = 123914,
  [SMALL_STATE(3539)] = 123927,
  [SMALL_STATE(3540)] = 123936,
  [SMALL_STATE(3541)] = 123949,
  [SMALL_STATE(3542)] = 123962,
  [SMALL_STATE(3543)] = 123971,
  [SMALL_STATE(3544)] = 123980,
  [SMALL_STATE(3545)] = 123989,
  [SMALL_STATE(3546)] = 123998,
  [SMALL_STATE(3547)] = 124011,
  [SMALL_STATE(3548)] = 124020,
  [SMALL_STATE(3549)] = 124033,
  [SMALL_STATE(3550)] = 124046,
  [SMALL_STATE(3551)] = 124055,
  [SMALL_STATE(3552)] = 124068,
  [SMALL_STATE(3553)] = 124077,
  [SMALL_STATE(3554)] = 124090,
  [SMALL_STATE(3555)] = 124099,
  [SMALL_STATE(3556)] = 124112,
  [SMALL_STATE(3557)] = 124125,
  [SMALL_STATE(3558)] = 124138,
  [SMALL_STATE(3559)] = 124147,
  [SMALL_STATE(3560)] = 124156,
  [SMALL_STATE(3561)] = 124165,
  [SMALL_STATE(3562)] = 124178,
  [SMALL_STATE(3563)] = 124189,
  [SMALL_STATE(3564)] = 124198,
  [SMALL_STATE(3565)] = 124209,
  [SMALL_STATE(3566)] = 124222,
  [SMALL_STATE(3567)] = 124231,
  [SMALL_STATE(3568)] = 124244,
  [SMALL_STATE(3569)] = 124255,
  [SMALL_STATE(3570)] = 124268,
  [SMALL_STATE(3571)] = 124281,
  [SMALL_STATE(3572)] = 124294,
  [SMALL_STATE(3573)] = 124307,
  [SMALL_STATE(3574)] = 124320,
  [SMALL_STATE(3575)] = 124329,
  [SMALL_STATE(3576)] = 124342,
  [SMALL_STATE(3577)] = 124355,
  [SMALL_STATE(3578)] = 124368,
  [SMALL_STATE(3579)] = 124381,
  [SMALL_STATE(3580)] = 124394,
  [SMALL_STATE(3581)] = 124407,
  [SMALL_STATE(3582)] = 124418,
  [SMALL_STATE(3583)] = 124429,
  [SMALL_STATE(3584)] = 124442,
  [SMALL_STATE(3585)] = 124450,
  [SMALL_STATE(3586)] = 124460,
  [SMALL_STATE(3587)] = 124470,
  [SMALL_STATE(3588)] = 124480,
  [SMALL_STATE(3589)] = 124490,
  [SMALL_STATE(3590)] = 124500,
  [SMALL_STATE(3591)] = 124508,
  [SMALL_STATE(3592)] = 124518,
  [SMALL_STATE(3593)] = 124526,
  [SMALL_STATE(3594)] = 124536,
  [SMALL_STATE(3595)] = 124546,
  [SMALL_STATE(3596)] = 124556,
  [SMALL_STATE(3597)] = 124566,
  [SMALL_STATE(3598)] = 124576,
  [SMALL_STATE(3599)] = 124586,
  [SMALL_STATE(3600)] = 124596,
  [SMALL_STATE(3601)] = 124604,
  [SMALL_STATE(3602)] = 124612,
  [SMALL_STATE(3603)] = 124622,
  [SMALL_STATE(3604)] = 124632,
  [SMALL_STATE(3605)] = 124642,
  [SMALL_STATE(3606)] = 124650,
  [SMALL_STATE(3607)] = 124658,
  [SMALL_STATE(3608)] = 124666,
  [SMALL_STATE(3609)] = 124674,
  [SMALL_STATE(3610)] = 124684,
  [SMALL_STATE(3611)] = 124694,
  [SMALL_STATE(3612)] = 124704,
  [SMALL_STATE(3613)] = 124714,
  [SMALL_STATE(3614)] = 124724,
  [SMALL_STATE(3615)] = 124734,
  [SMALL_STATE(3616)] = 124744,
  [SMALL_STATE(3617)] = 124754,
  [SMALL_STATE(3618)] = 124764,
  [SMALL_STATE(3619)] = 124774,
  [SMALL_STATE(3620)] = 124784,
  [SMALL_STATE(3621)] = 124794,
  [SMALL_STATE(3622)] = 124804,
  [SMALL_STATE(3623)] = 124814,
  [SMALL_STATE(3624)] = 124824,
  [SMALL_STATE(3625)] = 124834,
  [SMALL_STATE(3626)] = 124844,
  [SMALL_STATE(3627)] = 124854,
  [SMALL_STATE(3628)] = 124864,
  [SMALL_STATE(3629)] = 124874,
  [SMALL_STATE(3630)] = 124882,
  [SMALL_STATE(3631)] = 124890,
  [SMALL_STATE(3632)] = 124900,
  [SMALL_STATE(3633)] = 124910,
  [SMALL_STATE(3634)] = 124918,
  [SMALL_STATE(3635)] = 124926,
  [SMALL_STATE(3636)] = 124936,
  [SMALL_STATE(3637)] = 124944,
  [SMALL_STATE(3638)] = 124954,
  [SMALL_STATE(3639)] = 124962,
  [SMALL_STATE(3640)] = 124972,
  [SMALL_STATE(3641)] = 124982,
  [SMALL_STATE(3642)] = 124990,
  [SMALL_STATE(3643)] = 125000,
  [SMALL_STATE(3644)] = 125008,
  [SMALL_STATE(3645)] = 125018,
  [SMALL_STATE(3646)] = 125028,
  [SMALL_STATE(3647)] = 125038,
  [SMALL_STATE(3648)] = 125048,
  [SMALL_STATE(3649)] = 125058,
  [SMALL_STATE(3650)] = 125066,
  [SMALL_STATE(3651)] = 125076,
  [SMALL_STATE(3652)] = 125086,
  [SMALL_STATE(3653)] = 125096,
  [SMALL_STATE(3654)] = 125104,
  [SMALL_STATE(3655)] = 125114,
  [SMALL_STATE(3656)] = 125124,
  [SMALL_STATE(3657)] = 125134,
  [SMALL_STATE(3658)] = 125142,
  [SMALL_STATE(3659)] = 125152,
  [SMALL_STATE(3660)] = 125162,
  [SMALL_STATE(3661)] = 125170,
  [SMALL_STATE(3662)] = 125178,
  [SMALL_STATE(3663)] = 125188,
  [SMALL_STATE(3664)] = 125198,
  [SMALL_STATE(3665)] = 125208,
  [SMALL_STATE(3666)] = 125218,
  [SMALL_STATE(3667)] = 125228,
  [SMALL_STATE(3668)] = 125236,
  [SMALL_STATE(3669)] = 125246,
  [SMALL_STATE(3670)] = 125256,
  [SMALL_STATE(3671)] = 125264,
  [SMALL_STATE(3672)] = 125274,
  [SMALL_STATE(3673)] = 125284,
  [SMALL_STATE(3674)] = 125294,
  [SMALL_STATE(3675)] = 125302,
  [SMALL_STATE(3676)] = 125310,
  [SMALL_STATE(3677)] = 125318,
  [SMALL_STATE(3678)] = 125328,
  [SMALL_STATE(3679)] = 125336,
  [SMALL_STATE(3680)] = 125344,
  [SMALL_STATE(3681)] = 125354,
  [SMALL_STATE(3682)] = 125362,
  [SMALL_STATE(3683)] = 125372,
  [SMALL_STATE(3684)] = 125382,
  [SMALL_STATE(3685)] = 125392,
  [SMALL_STATE(3686)] = 125402,
  [SMALL_STATE(3687)] = 125412,
  [SMALL_STATE(3688)] = 125422,
  [SMALL_STATE(3689)] = 125432,
  [SMALL_STATE(3690)] = 125442,
  [SMALL_STATE(3691)] = 125452,
  [SMALL_STATE(3692)] = 125462,
  [SMALL_STATE(3693)] = 125472,
  [SMALL_STATE(3694)] = 125482,
  [SMALL_STATE(3695)] = 125492,
  [SMALL_STATE(3696)] = 125502,
  [SMALL_STATE(3697)] = 125510,
  [SMALL_STATE(3698)] = 125520,
  [SMALL_STATE(3699)] = 125530,
  [SMALL_STATE(3700)] = 125538,
  [SMALL_STATE(3701)] = 125548,
  [SMALL_STATE(3702)] = 125558,
  [SMALL_STATE(3703)] = 125568,
  [SMALL_STATE(3704)] = 125578,
  [SMALL_STATE(3705)] = 125586,
  [SMALL_STATE(3706)] = 125596,
  [SMALL_STATE(3707)] = 125604,
  [SMALL_STATE(3708)] = 125614,
  [SMALL_STATE(3709)] = 125624,
  [SMALL_STATE(3710)] = 125634,
  [SMALL_STATE(3711)] = 125644,
  [SMALL_STATE(3712)] = 125654,
  [SMALL_STATE(3713)] = 125664,
  [SMALL_STATE(3714)] = 125674,
  [SMALL_STATE(3715)] = 125684,
  [SMALL_STATE(3716)] = 125694,
  [SMALL_STATE(3717)] = 125704,
  [SMALL_STATE(3718)] = 125714,
  [SMALL_STATE(3719)] = 125724,
  [SMALL_STATE(3720)] = 125734,
  [SMALL_STATE(3721)] = 125744,
  [SMALL_STATE(3722)] = 125752,
  [SMALL_STATE(3723)] = 125760,
  [SMALL_STATE(3724)] = 125770,
  [SMALL_STATE(3725)] = 125780,
  [SMALL_STATE(3726)] = 125788,
  [SMALL_STATE(3727)] = 125798,
  [SMALL_STATE(3728)] = 125808,
  [SMALL_STATE(3729)] = 125818,
  [SMALL_STATE(3730)] = 125828,
  [SMALL_STATE(3731)] = 125838,
  [SMALL_STATE(3732)] = 125848,
  [SMALL_STATE(3733)] = 125858,
  [SMALL_STATE(3734)] = 125868,
  [SMALL_STATE(3735)] = 125878,
  [SMALL_STATE(3736)] = 125888,
  [SMALL_STATE(3737)] = 125898,
  [SMALL_STATE(3738)] = 125908,
  [SMALL_STATE(3739)] = 125918,
  [SMALL_STATE(3740)] = 125928,
  [SMALL_STATE(3741)] = 125936,
  [SMALL_STATE(3742)] = 125944,
  [SMALL_STATE(3743)] = 125954,
  [SMALL_STATE(3744)] = 125964,
  [SMALL_STATE(3745)] = 125974,
  [SMALL_STATE(3746)] = 125984,
  [SMALL_STATE(3747)] = 125992,
  [SMALL_STATE(3748)] = 126002,
  [SMALL_STATE(3749)] = 126012,
  [SMALL_STATE(3750)] = 126020,
  [SMALL_STATE(3751)] = 126030,
  [SMALL_STATE(3752)] = 126040,
  [SMALL_STATE(3753)] = 126048,
  [SMALL_STATE(3754)] = 126058,
  [SMALL_STATE(3755)] = 126068,
  [SMALL_STATE(3756)] = 126076,
  [SMALL_STATE(3757)] = 126086,
  [SMALL_STATE(3758)] = 126096,
  [SMALL_STATE(3759)] = 126106,
  [SMALL_STATE(3760)] = 126116,
  [SMALL_STATE(3761)] = 126126,
  [SMALL_STATE(3762)] = 126136,
  [SMALL_STATE(3763)] = 126146,
  [SMALL_STATE(3764)] = 126154,
  [SMALL_STATE(3765)] = 126164,
  [SMALL_STATE(3766)] = 126174,
  [SMALL_STATE(3767)] = 126182,
  [SMALL_STATE(3768)] = 126190,
  [SMALL_STATE(3769)] = 126198,
  [SMALL_STATE(3770)] = 126208,
  [SMALL_STATE(3771)] = 126216,
  [SMALL_STATE(3772)] = 126226,
  [SMALL_STATE(3773)] = 126234,
  [SMALL_STATE(3774)] = 126244,
  [SMALL_STATE(3775)] = 126252,
  [SMALL_STATE(3776)] = 126262,
  [SMALL_STATE(3777)] = 126272,
  [SMALL_STATE(3778)] = 126282,
  [SMALL_STATE(3779)] = 126292,
  [SMALL_STATE(3780)] = 126302,
  [SMALL_STATE(3781)] = 126312,
  [SMALL_STATE(3782)] = 126322,
  [SMALL_STATE(3783)] = 126332,
  [SMALL_STATE(3784)] = 126342,
  [SMALL_STATE(3785)] = 126352,
  [SMALL_STATE(3786)] = 126362,
  [SMALL_STATE(3787)] = 126372,
  [SMALL_STATE(3788)] = 126380,
  [SMALL_STATE(3789)] = 126390,
  [SMALL_STATE(3790)] = 126400,
  [SMALL_STATE(3791)] = 126410,
  [SMALL_STATE(3792)] = 126420,
  [SMALL_STATE(3793)] = 126430,
  [SMALL_STATE(3794)] = 126440,
  [SMALL_STATE(3795)] = 126450,
  [SMALL_STATE(3796)] = 126460,
  [SMALL_STATE(3797)] = 126468,
  [SMALL_STATE(3798)] = 126478,
  [SMALL_STATE(3799)] = 126488,
  [SMALL_STATE(3800)] = 126496,
  [SMALL_STATE(3801)] = 126506,
  [SMALL_STATE(3802)] = 126514,
  [SMALL_STATE(3803)] = 126524,
  [SMALL_STATE(3804)] = 126534,
  [SMALL_STATE(3805)] = 126544,
  [SMALL_STATE(3806)] = 126552,
  [SMALL_STATE(3807)] = 126562,
  [SMALL_STATE(3808)] = 126572,
  [SMALL_STATE(3809)] = 126582,
  [SMALL_STATE(3810)] = 126590,
  [SMALL_STATE(3811)] = 126598,
  [SMALL_STATE(3812)] = 126606,
  [SMALL_STATE(3813)] = 126614,
  [SMALL_STATE(3814)] = 126624,
  [SMALL_STATE(3815)] = 126634,
  [SMALL_STATE(3816)] = 126642,
  [SMALL_STATE(3817)] = 126650,
  [SMALL_STATE(3818)] = 126658,
  [SMALL_STATE(3819)] = 126666,
  [SMALL_STATE(3820)] = 126674,
  [SMALL_STATE(3821)] = 126682,
  [SMALL_STATE(3822)] = 126692,
  [SMALL_STATE(3823)] = 126702,
  [SMALL_STATE(3824)] = 126712,
  [SMALL_STATE(3825)] = 126720,
  [SMALL_STATE(3826)] = 126730,
  [SMALL_STATE(3827)] = 126738,
  [SMALL_STATE(3828)] = 126748,
  [SMALL_STATE(3829)] = 126756,
  [SMALL_STATE(3830)] = 126766,
  [SMALL_STATE(3831)] = 126776,
  [SMALL_STATE(3832)] = 126786,
  [SMALL_STATE(3833)] = 126796,
  [SMALL_STATE(3834)] = 126806,
  [SMALL_STATE(3835)] = 126816,
  [SMALL_STATE(3836)] = 126826,
  [SMALL_STATE(3837)] = 126836,
  [SMALL_STATE(3838)] = 126846,
  [SMALL_STATE(3839)] = 126856,
  [SMALL_STATE(3840)] = 126866,
  [SMALL_STATE(3841)] = 126876,
  [SMALL_STATE(3842)] = 126886,
  [SMALL_STATE(3843)] = 126896,
  [SMALL_STATE(3844)] = 126906,
  [SMALL_STATE(3845)] = 126916,
  [SMALL_STATE(3846)] = 126923,
  [SMALL_STATE(3847)] = 126930,
  [SMALL_STATE(3848)] = 126937,
  [SMALL_STATE(3849)] = 126944,
  [SMALL_STATE(3850)] = 126951,
  [SMALL_STATE(3851)] = 126958,
  [SMALL_STATE(3852)] = 126965,
  [SMALL_STATE(3853)] = 126972,
  [SMALL_STATE(3854)] = 126979,
  [SMALL_STATE(3855)] = 126986,
  [SMALL_STATE(3856)] = 126993,
  [SMALL_STATE(3857)] = 127000,
  [SMALL_STATE(3858)] = 127007,
  [SMALL_STATE(3859)] = 127014,
  [SMALL_STATE(3860)] = 127021,
  [SMALL_STATE(3861)] = 127028,
  [SMALL_STATE(3862)] = 127035,
  [SMALL_STATE(3863)] = 127042,
  [SMALL_STATE(3864)] = 127049,
  [SMALL_STATE(3865)] = 127056,
  [SMALL_STATE(3866)] = 127063,
  [SMALL_STATE(3867)] = 127070,
  [SMALL_STATE(3868)] = 127077,
  [SMALL_STATE(3869)] = 127084,
  [SMALL_STATE(3870)] = 127091,
  [SMALL_STATE(3871)] = 127098,
  [SMALL_STATE(3872)] = 127105,
  [SMALL_STATE(3873)] = 127112,
  [SMALL_STATE(3874)] = 127119,
  [SMALL_STATE(3875)] = 127126,
  [SMALL_STATE(3876)] = 127133,
  [SMALL_STATE(3877)] = 127140,
  [SMALL_STATE(3878)] = 127147,
  [SMALL_STATE(3879)] = 127154,
  [SMALL_STATE(3880)] = 127161,
  [SMALL_STATE(3881)] = 127168,
  [SMALL_STATE(3882)] = 127175,
  [SMALL_STATE(3883)] = 127182,
  [SMALL_STATE(3884)] = 127189,
  [SMALL_STATE(3885)] = 127196,
  [SMALL_STATE(3886)] = 127203,
  [SMALL_STATE(3887)] = 127210,
  [SMALL_STATE(3888)] = 127217,
  [SMALL_STATE(3889)] = 127224,
  [SMALL_STATE(3890)] = 127231,
  [SMALL_STATE(3891)] = 127238,
  [SMALL_STATE(3892)] = 127245,
  [SMALL_STATE(3893)] = 127252,
  [SMALL_STATE(3894)] = 127259,
  [SMALL_STATE(3895)] = 127266,
  [SMALL_STATE(3896)] = 127273,
  [SMALL_STATE(3897)] = 127280,
  [SMALL_STATE(3898)] = 127287,
  [SMALL_STATE(3899)] = 127294,
  [SMALL_STATE(3900)] = 127301,
  [SMALL_STATE(3901)] = 127308,
  [SMALL_STATE(3902)] = 127315,
  [SMALL_STATE(3903)] = 127322,
  [SMALL_STATE(3904)] = 127329,
  [SMALL_STATE(3905)] = 127336,
  [SMALL_STATE(3906)] = 127343,
  [SMALL_STATE(3907)] = 127350,
  [SMALL_STATE(3908)] = 127357,
  [SMALL_STATE(3909)] = 127364,
  [SMALL_STATE(3910)] = 127371,
  [SMALL_STATE(3911)] = 127378,
  [SMALL_STATE(3912)] = 127385,
  [SMALL_STATE(3913)] = 127392,
  [SMALL_STATE(3914)] = 127399,
  [SMALL_STATE(3915)] = 127406,
  [SMALL_STATE(3916)] = 127413,
  [SMALL_STATE(3917)] = 127420,
  [SMALL_STATE(3918)] = 127427,
  [SMALL_STATE(3919)] = 127434,
  [SMALL_STATE(3920)] = 127441,
  [SMALL_STATE(3921)] = 127448,
  [SMALL_STATE(3922)] = 127455,
  [SMALL_STATE(3923)] = 127462,
  [SMALL_STATE(3924)] = 127469,
  [SMALL_STATE(3925)] = 127476,
  [SMALL_STATE(3926)] = 127483,
  [SMALL_STATE(3927)] = 127490,
  [SMALL_STATE(3928)] = 127497,
  [SMALL_STATE(3929)] = 127504,
  [SMALL_STATE(3930)] = 127511,
  [SMALL_STATE(3931)] = 127518,
  [SMALL_STATE(3932)] = 127525,
  [SMALL_STATE(3933)] = 127532,
  [SMALL_STATE(3934)] = 127539,
  [SMALL_STATE(3935)] = 127546,
  [SMALL_STATE(3936)] = 127553,
  [SMALL_STATE(3937)] = 127560,
  [SMALL_STATE(3938)] = 127567,
  [SMALL_STATE(3939)] = 127574,
  [SMALL_STATE(3940)] = 127581,
  [SMALL_STATE(3941)] = 127588,
  [SMALL_STATE(3942)] = 127595,
  [SMALL_STATE(3943)] = 127602,
  [SMALL_STATE(3944)] = 127609,
  [SMALL_STATE(3945)] = 127616,
  [SMALL_STATE(3946)] = 127623,
  [SMALL_STATE(3947)] = 127630,
  [SMALL_STATE(3948)] = 127637,
  [SMALL_STATE(3949)] = 127644,
  [SMALL_STATE(3950)] = 127651,
  [SMALL_STATE(3951)] = 127658,
  [SMALL_STATE(3952)] = 127665,
  [SMALL_STATE(3953)] = 127672,
  [SMALL_STATE(3954)] = 127679,
  [SMALL_STATE(3955)] = 127686,
  [SMALL_STATE(3956)] = 127693,
  [SMALL_STATE(3957)] = 127700,
  [SMALL_STATE(3958)] = 127707,
  [SMALL_STATE(3959)] = 127714,
  [SMALL_STATE(3960)] = 127721,
  [SMALL_STATE(3961)] = 127728,
  [SMALL_STATE(3962)] = 127735,
  [SMALL_STATE(3963)] = 127742,
  [SMALL_STATE(3964)] = 127749,
  [SMALL_STATE(3965)] = 127756,
  [SMALL_STATE(3966)] = 127763,
  [SMALL_STATE(3967)] = 127770,
  [SMALL_STATE(3968)] = 127777,
  [SMALL_STATE(3969)] = 127784,
  [SMALL_STATE(3970)] = 127791,
  [SMALL_STATE(3971)] = 127798,
  [SMALL_STATE(3972)] = 127805,
  [SMALL_STATE(3973)] = 127812,
  [SMALL_STATE(3974)] = 127819,
  [SMALL_STATE(3975)] = 127826,
  [SMALL_STATE(3976)] = 127833,
  [SMALL_STATE(3977)] = 127840,
  [SMALL_STATE(3978)] = 127847,
  [SMALL_STATE(3979)] = 127854,
  [SMALL_STATE(3980)] = 127861,
  [SMALL_STATE(3981)] = 127868,
  [SMALL_STATE(3982)] = 127875,
  [SMALL_STATE(3983)] = 127882,
  [SMALL_STATE(3984)] = 127889,
  [SMALL_STATE(3985)] = 127896,
  [SMALL_STATE(3986)] = 127903,
  [SMALL_STATE(3987)] = 127910,
  [SMALL_STATE(3988)] = 127917,
  [SMALL_STATE(3989)] = 127924,
  [SMALL_STATE(3990)] = 127931,
  [SMALL_STATE(3991)] = 127938,
  [SMALL_STATE(3992)] = 127945,
  [SMALL_STATE(3993)] = 127952,
  [SMALL_STATE(3994)] = 127959,
  [SMALL_STATE(3995)] = 127966,
  [SMALL_STATE(3996)] = 127973,
  [SMALL_STATE(3997)] = 127980,
  [SMALL_STATE(3998)] = 127987,
  [SMALL_STATE(3999)] = 127994,
  [SMALL_STATE(4000)] = 128001,
  [SMALL_STATE(4001)] = 128008,
  [SMALL_STATE(4002)] = 128015,
  [SMALL_STATE(4003)] = 128022,
  [SMALL_STATE(4004)] = 128029,
  [SMALL_STATE(4005)] = 128036,
  [SMALL_STATE(4006)] = 128043,
  [SMALL_STATE(4007)] = 128050,
  [SMALL_STATE(4008)] = 128057,
  [SMALL_STATE(4009)] = 128064,
  [SMALL_STATE(4010)] = 128071,
  [SMALL_STATE(4011)] = 128078,
  [SMALL_STATE(4012)] = 128085,
  [SMALL_STATE(4013)] = 128092,
  [SMALL_STATE(4014)] = 128099,
  [SMALL_STATE(4015)] = 128106,
  [SMALL_STATE(4016)] = 128113,
  [SMALL_STATE(4017)] = 128120,
  [SMALL_STATE(4018)] = 128127,
  [SMALL_STATE(4019)] = 128134,
  [SMALL_STATE(4020)] = 128141,
  [SMALL_STATE(4021)] = 128148,
  [SMALL_STATE(4022)] = 128155,
  [SMALL_STATE(4023)] = 128162,
  [SMALL_STATE(4024)] = 128169,
  [SMALL_STATE(4025)] = 128176,
  [SMALL_STATE(4026)] = 128183,
  [SMALL_STATE(4027)] = 128190,
  [SMALL_STATE(4028)] = 128197,
  [SMALL_STATE(4029)] = 128204,
  [SMALL_STATE(4030)] = 128211,
  [SMALL_STATE(4031)] = 128218,
  [SMALL_STATE(4032)] = 128225,
  [SMALL_STATE(4033)] = 128232,
  [SMALL_STATE(4034)] = 128239,
  [SMALL_STATE(4035)] = 128246,
  [SMALL_STATE(4036)] = 128253,
  [SMALL_STATE(4037)] = 128260,
  [SMALL_STATE(4038)] = 128267,
  [SMALL_STATE(4039)] = 128274,
  [SMALL_STATE(4040)] = 128281,
  [SMALL_STATE(4041)] = 128288,
  [SMALL_STATE(4042)] = 128295,
  [SMALL_STATE(4043)] = 128302,
  [SMALL_STATE(4044)] = 128309,
  [SMALL_STATE(4045)] = 128316,
  [SMALL_STATE(4046)] = 128323,
  [SMALL_STATE(4047)] = 128330,
  [SMALL_STATE(4048)] = 128337,
  [SMALL_STATE(4049)] = 128344,
  [SMALL_STATE(4050)] = 128351,
  [SMALL_STATE(4051)] = 128358,
  [SMALL_STATE(4052)] = 128365,
  [SMALL_STATE(4053)] = 128372,
  [SMALL_STATE(4054)] = 128379,
  [SMALL_STATE(4055)] = 128386,
  [SMALL_STATE(4056)] = 128393,
  [SMALL_STATE(4057)] = 128400,
  [SMALL_STATE(4058)] = 128407,
  [SMALL_STATE(4059)] = 128414,
  [SMALL_STATE(4060)] = 128421,
  [SMALL_STATE(4061)] = 128428,
  [SMALL_STATE(4062)] = 128435,
  [SMALL_STATE(4063)] = 128442,
  [SMALL_STATE(4064)] = 128449,
  [SMALL_STATE(4065)] = 128456,
  [SMALL_STATE(4066)] = 128463,
  [SMALL_STATE(4067)] = 128470,
  [SMALL_STATE(4068)] = 128477,
  [SMALL_STATE(4069)] = 128484,
  [SMALL_STATE(4070)] = 128491,
  [SMALL_STATE(4071)] = 128498,
  [SMALL_STATE(4072)] = 128505,
  [SMALL_STATE(4073)] = 128512,
  [SMALL_STATE(4074)] = 128519,
  [SMALL_STATE(4075)] = 128526,
  [SMALL_STATE(4076)] = 128533,
  [SMALL_STATE(4077)] = 128540,
  [SMALL_STATE(4078)] = 128547,
  [SMALL_STATE(4079)] = 128554,
  [SMALL_STATE(4080)] = 128561,
  [SMALL_STATE(4081)] = 128568,
  [SMALL_STATE(4082)] = 128575,
  [SMALL_STATE(4083)] = 128582,
  [SMALL_STATE(4084)] = 128589,
  [SMALL_STATE(4085)] = 128596,
  [SMALL_STATE(4086)] = 128603,
  [SMALL_STATE(4087)] = 128610,
  [SMALL_STATE(4088)] = 128617,
  [SMALL_STATE(4089)] = 128624,
  [SMALL_STATE(4090)] = 128631,
  [SMALL_STATE(4091)] = 128638,
  [SMALL_STATE(4092)] = 128645,
  [SMALL_STATE(4093)] = 128652,
  [SMALL_STATE(4094)] = 128659,
  [SMALL_STATE(4095)] = 128666,
  [SMALL_STATE(4096)] = 128673,
  [SMALL_STATE(4097)] = 128680,
  [SMALL_STATE(4098)] = 128687,
  [SMALL_STATE(4099)] = 128694,
  [SMALL_STATE(4100)] = 128701,
  [SMALL_STATE(4101)] = 128708,
  [SMALL_STATE(4102)] = 128715,
  [SMALL_STATE(4103)] = 128722,
  [SMALL_STATE(4104)] = 128729,
  [SMALL_STATE(4105)] = 128736,
  [SMALL_STATE(4106)] = 128743,
  [SMALL_STATE(4107)] = 128750,
  [SMALL_STATE(4108)] = 128757,
  [SMALL_STATE(4109)] = 128764,
  [SMALL_STATE(4110)] = 128771,
  [SMALL_STATE(4111)] = 128778,
  [SMALL_STATE(4112)] = 128785,
  [SMALL_STATE(4113)] = 128792,
  [SMALL_STATE(4114)] = 128799,
  [SMALL_STATE(4115)] = 128806,
  [SMALL_STATE(4116)] = 128813,
  [SMALL_STATE(4117)] = 128820,
  [SMALL_STATE(4118)] = 128827,
  [SMALL_STATE(4119)] = 128834,
  [SMALL_STATE(4120)] = 128841,
  [SMALL_STATE(4121)] = 128848,
  [SMALL_STATE(4122)] = 128855,
  [SMALL_STATE(4123)] = 128862,
  [SMALL_STATE(4124)] = 128869,
  [SMALL_STATE(4125)] = 128876,
  [SMALL_STATE(4126)] = 128883,
  [SMALL_STATE(4127)] = 128890,
  [SMALL_STATE(4128)] = 128897,
  [SMALL_STATE(4129)] = 128904,
  [SMALL_STATE(4130)] = 128911,
  [SMALL_STATE(4131)] = 128918,
  [SMALL_STATE(4132)] = 128925,
  [SMALL_STATE(4133)] = 128932,
  [SMALL_STATE(4134)] = 128939,
  [SMALL_STATE(4135)] = 128946,
  [SMALL_STATE(4136)] = 128953,
  [SMALL_STATE(4137)] = 128960,
  [SMALL_STATE(4138)] = 128967,
  [SMALL_STATE(4139)] = 128974,
  [SMALL_STATE(4140)] = 128981,
  [SMALL_STATE(4141)] = 128988,
  [SMALL_STATE(4142)] = 128995,
  [SMALL_STATE(4143)] = 129002,
  [SMALL_STATE(4144)] = 129009,
  [SMALL_STATE(4145)] = 129016,
  [SMALL_STATE(4146)] = 129023,
  [SMALL_STATE(4147)] = 129030,
  [SMALL_STATE(4148)] = 129037,
  [SMALL_STATE(4149)] = 129044,
  [SMALL_STATE(4150)] = 129051,
  [SMALL_STATE(4151)] = 129058,
  [SMALL_STATE(4152)] = 129065,
  [SMALL_STATE(4153)] = 129072,
  [SMALL_STATE(4154)] = 129079,
  [SMALL_STATE(4155)] = 129086,
  [SMALL_STATE(4156)] = 129093,
  [SMALL_STATE(4157)] = 129100,
  [SMALL_STATE(4158)] = 129107,
  [SMALL_STATE(4159)] = 129114,
  [SMALL_STATE(4160)] = 129121,
  [SMALL_STATE(4161)] = 129128,
  [SMALL_STATE(4162)] = 129135,
  [SMALL_STATE(4163)] = 129142,
  [SMALL_STATE(4164)] = 129149,
  [SMALL_STATE(4165)] = 129156,
  [SMALL_STATE(4166)] = 129163,
  [SMALL_STATE(4167)] = 129170,
  [SMALL_STATE(4168)] = 129177,
  [SMALL_STATE(4169)] = 129184,
  [SMALL_STATE(4170)] = 129191,
  [SMALL_STATE(4171)] = 129198,
  [SMALL_STATE(4172)] = 129205,
  [SMALL_STATE(4173)] = 129212,
  [SMALL_STATE(4174)] = 129219,
  [SMALL_STATE(4175)] = 129226,
  [SMALL_STATE(4176)] = 129233,
  [SMALL_STATE(4177)] = 129240,
  [SMALL_STATE(4178)] = 129247,
  [SMALL_STATE(4179)] = 129254,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2693),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3586),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3572),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3587),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3588),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3590),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4171),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(940),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(409),
  [211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(919),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(854),
  [219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(5),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(288),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1026),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2693),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2720),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2601),
  [237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(288),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3602),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3586),
  [246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3572),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(101),
  [252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(323),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3587),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(45),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3588),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3589),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3564),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3562),
  [273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3590),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(167),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(241),
  [282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(501),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(79),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(127),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2734),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4174),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2459),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(460),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2709),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(238),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(400),
  [312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3222),
  [315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3223),
  [318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(2739),
  [321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1791),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1791),
  [327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1429),
  [330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3537),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(945),
  [336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(424),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(858),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4173),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4172),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(4171),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 48),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 48),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 198),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 198),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 52),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, .production_id = 52),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3626),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2444),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1711),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(94),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4075),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(997),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1450),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1458),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(285),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3609),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1397),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(986),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2608),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3972),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(872),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2388),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3277),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 1, .production_id = 5),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 1, .production_id = 5),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [1179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 148),
  [1181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 148),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 148),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 148),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module, 2, .production_id = 24),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module, 2, .production_id = 24),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_predefined_type, 1),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_predefined_type, 1),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 193),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 193),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 6, .production_id = 193),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 6, .production_id = 193),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 187),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 187),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 187),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 187),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 96),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 96),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 96),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 96),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 97),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 97),
  [1259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 97),
  [1261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 97),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 157),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 157),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 157),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 157),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 156),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 156),
  [1287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 156),
  [1289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 156),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 148),
  [1295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 148),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 148),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 148),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [1317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [1319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_internal_module, 2, .production_id = 6),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 121),
  [1331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 121),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 121),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 121),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 47),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 47),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 47),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 47),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 113),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 113),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 113),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 113),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 138),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 138),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 138),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 138),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [1390] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2172),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [1398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1402] = {.entry = {.count = 3, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2369),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [1432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [1440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [1442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [1452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [1454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [1462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [1464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [1466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [1476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4164),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [1494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(33),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3850),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4130),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [1579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [1581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [1591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [1593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [1595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(951),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2776),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [1649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [1655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [1657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3291),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3289),
  [1681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(2060),
  [1684] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1710),
  [1688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(324),
  [1691] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(3609),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2854),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [1709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [1743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6),
  [1745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6),
  [1747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3),
  [1749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3),
  [1751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5),
  [1753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_accessibility_modifier, 1),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_accessibility_modifier, 1),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [1781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_override_modifier, 1),
  [1783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_override_modifier, 1),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1986),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3853),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3854),
  [1801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(1710),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(3609),
  [1807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [1809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(209),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [1822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4097),
  [1824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4096),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 11),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3556),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3906),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3905),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(312),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [1847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3987),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3878),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 39),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 39),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 6, .production_id = 221),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 6, .production_id = 221),
  [1873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 11),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 201),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 201),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 31),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 31),
  [1893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 3),
  [1899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 80),
  [1901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 80),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 30),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 30),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 27),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 27),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 138),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 138),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5),
  [1923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 120),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 120),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 47),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 47),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 113),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 113),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 149),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 149),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 148),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 148),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 148),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 148),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 188),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 188),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 70),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 70),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 43),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 43),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 4, .production_id = 112),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 4, .production_id = 112),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 190),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 190),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 155),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 155),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 165),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 165),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 32),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 32),
  [1987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, .production_id = 192),
  [1989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, .production_id = 192),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 156),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 156),
  [1995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 157),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 157),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 4),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 194),
  [2005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 194),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 195),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 6, .production_id = 195),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 150),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 150),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 138),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 138),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 161),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 6, .production_id = 161),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, .production_id = 43),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, .production_id = 43),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 2, .production_id = 6),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module, 2, .production_id = 6),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature, 5, .production_id = 147),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature, 5, .production_id = 147),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 33),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 33),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 2),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 2),
  [2059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 115),
  [2061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 4, .production_id = 115),
  [2063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 97),
  [2065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 97),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 200),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 200),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 42),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 42),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 2),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 42),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 42),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 41),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 41),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 40),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 40),
  [2095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 96),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 96),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 125),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias_declaration, 5, .production_id = 125),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 96),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 96),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 38),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 38),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 89),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 89),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 11),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4),
  [2121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 97),
  [2125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 97),
  [2127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [2129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 159),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 5, .production_id = 159),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [2137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [2139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 70),
  [2141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 70),
  [2143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 3),
  [2145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 3),
  [2147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 187),
  [2149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 187),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ambient_declaration, 7, .production_id = 217),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ambient_declaration, 7, .production_id = 217),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 47),
  [2157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 47),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 190),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 190),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, .production_id = 192),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, .production_id = 192),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 59),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 59),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 193),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 193),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 218),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_class_declaration, 7, .production_id = 218),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 131),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 131),
  [2183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 121),
  [2185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 121),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 76),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 76),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 20),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 20),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 30),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 30),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 81),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 81),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 71),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 71),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 82),
  [2229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 82),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, .production_id = 72),
  [2233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 5, .production_id = 72),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, .production_id = 72),
  [2237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 4, .production_id = 72),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_alias, 5),
  [2241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_alias, 5),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [2245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, .production_id = 72),
  [2249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_clause, 3, .production_id = 72),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 5, .production_id = 127),
  [2257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 5, .production_id = 127),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 22),
  [2261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 22),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 68),
  [2265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 68),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 83),
  [2313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, .production_id = 83),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 199),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 199),
  [2319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 163),
  [2321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 163),
  [2323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 164),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 164),
  [2327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [2339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [2363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [2365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [2391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2447),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [2399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3228),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1104),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [2537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1838),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2896),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3299),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [2657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [2659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3264),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [2748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 118),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 118),
  [2752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [2772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2),
  [2774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 7),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 62),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 62),
  [2788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 61),
  [2790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 61),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 153),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 153),
  [2804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(266),
  [2807] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [2813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [2816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(791),
  [2819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(3958),
  [2822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_non_null_expression, 2),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_non_null_expression, 2),
  [2829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(810),
  [2832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(4015),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2839] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49), SHIFT(3739),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [2851] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_rest_pattern, 2),
  [2861] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym_rest_pattern, 2),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1462),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [2885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [2888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(212),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(320),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [2923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [2944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [2946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [2948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [2950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1062),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1694),
  [2980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [2984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1628),
  [2987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1762),
  [2990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1087),
  [2993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1493),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [3002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(1816),
  [3005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), SHIFT(2582),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [3052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 26),
  [3055] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 7), REDUCE(aux_sym_object_repeat1, 2, .production_id = 25), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 26),
  [3059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [3061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [3063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [3065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [3067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [3069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [3133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 49),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 13),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 13),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 101),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 101),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 102),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 102),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [3253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [3256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_type, 2),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [3265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [3268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_tuple_type, 2),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 236),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 236),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 153),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 153),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 60),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 60),
  [3291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 60), SHIFT(76),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5),
  [3300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [3306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(76),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 25),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 26),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 25),
  [3349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [3352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__primary_type, 1, .production_id = 50),
  [3355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [3358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_literal_type, 1),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 57),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_expression, 3),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_expression, 3),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 58),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 57),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_existential_type, 1),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_existential_type, 1),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 56),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_predicate, 3, .production_id = 78),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate, 3, .production_id = 78),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1),
  [3405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__number, 2, .production_id = 8),
  [3407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__number, 2, .production_id = 8),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [3413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [3416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_string, 2), REDUCE(sym_template_literal_type, 2),
  [3419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 2),
  [3421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [3423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [3427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [3429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, .production_id = 250),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, .production_id = 250),
  [3433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_type, 1, .production_id = 51),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_type, 1, .production_id = 51),
  [3437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 237),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 237),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 235),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 5, .production_id = 235),
  [3447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [3449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 21),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 66),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 60),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [3463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(76),
  [3466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 5, .production_id = 216),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 5, .production_id = 216),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5),
  [3474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 215),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 215),
  [3478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 23),
  [3480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [3484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(76),
  [3487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_query, 2, .production_id = 103),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_query, 2, .production_id = 103),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [3495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_flow_maybe_type, 2),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flow_maybe_type, 2),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 214),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 214),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 2),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 2),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [3515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 111),
  [3517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 2),
  [3519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 104),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 104),
  [3523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 110),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_readonly_type, 2),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_readonly_type, 2),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infer_type, 2, .production_id = 105),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infer_type, 2, .production_id = 105),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_type_query, 2),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_type_query, 2),
  [3537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 213),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 213),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 154),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 106),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 106),
  [3547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 118),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_subscript_expression, 4, .production_id = 118),
  [3551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [3553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 15),
  [3555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 142),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 142),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 143),
  [3561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_call_expression, 2, .production_id = 143),
  [3563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [3565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [3567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3),
  [3569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3),
  [3571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_literal_type, 3),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_literal_type, 3),
  [3575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 144),
  [3577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_type_identifier, 3, .production_id = 144),
  [3579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_nested_identifier, 3), REDUCE(sym_nested_type_identifier, 3, .production_id = 144),
  [3582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 145),
  [3584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 145),
  [3586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [3590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_intersection_type, 3),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_intersection_type, 3),
  [3594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 3),
  [3596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3),
  [3598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3),
  [3600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3),
  [3602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 61),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 61),
  [3606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 62),
  [3608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 62),
  [3610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 179),
  [3612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 179),
  [3614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 180),
  [3616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 180),
  [3618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 181),
  [3620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 181),
  [3622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 182),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 182),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 108),
  [3628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 183),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 183),
  [3632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 184),
  [3634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_query_member_expression, 3, .production_id = 184),
  [3636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4),
  [3638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4),
  [3640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_type, 4, .production_id = 185),
  [3642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_type, 4, .production_id = 185),
  [3644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lookup_type, 4),
  [3646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lookup_type, 4),
  [3648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, .production_id = 186),
  [3650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, .production_id = 186),
  [3652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 90),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 90),
  [3656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [3710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [3712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [3714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [3718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2412),
  [3725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2072),
  [3728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [3730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(206),
  [3733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1827),
  [3736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(4078),
  [3739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3209),
  [3742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3210),
  [3745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2248),
  [3748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(3537),
  [3751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1781),
  [3754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1778),
  [3757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1870),
  [3760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1470),
  [3763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1862),
  [3766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(1873),
  [3769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2), SHIFT_REPEAT(2056),
  [3772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 60), SHIFT(73),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 146),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 146),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 107),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 107),
  [3811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 108),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 92),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .dynamic_precedence = -1, .production_id = 92),
  [3821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 109),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 109),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 110),
  [3827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 73), REDUCE(sym_assignment_expression, 3, .production_id = 21),
  [3830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 73),
  [3832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 111),
  [3834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 133),
  [3836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 133),
  [3838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(73),
  [3841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 158),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 158),
  [3845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 23),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 109),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 109),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 94),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 94),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 43),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .dynamic_precedence = -1, .production_id = 43),
  [3861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 5),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 5),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [3877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [3879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 25),
  [3885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 25),
  [3887] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [3891] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 57), REDUCE(sym_assignment_expression, 3, .production_id = 57),
  [3906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 57),
  [3908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 123),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 123),
  [3912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 122),
  [3914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 122),
  [3916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 69),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 69),
  [3920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 66),
  [3922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 65),
  [3924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 65),
  [3926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 64),
  [3928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 64),
  [3930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, .production_id = 119),
  [3932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, .production_id = 119),
  [3934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 63),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 63),
  [3938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 114),
  [3940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 114),
  [3942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 11),
  [3944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 11),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 2, .production_id = 48),
  [3950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [3954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 52),
  [3990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 52),
  [3992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [3994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [3996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(73),
  [3999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 54),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 54),
  [4003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 6),
  [4005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 6),
  [4007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [4009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 14),
  [4011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [4013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [4015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [4017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 55),
  [4019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 6, .dynamic_precedence = -1, .production_id = 132),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 6, .dynamic_precedence = -1, .production_id = 132),
  [4023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [4025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [4031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 58),
  [4033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 73), REDUCE(sym_assignment_expression, 3, .production_id = 57),
  [4036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 16),
  [4038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 16),
  [4040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [4042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 15),
  [4044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(73),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [4051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 60), SHIFT(75),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [4056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 48),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(75),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(75),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [4086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 34),
  [4088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 34),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [4092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 57),
  [4094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [4098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(75),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 48),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(763),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 60), SHIFT(71),
  [4200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 74),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [4212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [4216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [4226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [4230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [4232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [4248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(71),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [4253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(71),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [4258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [4260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [4268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 25), REDUCE(sym_object_pattern, 3, .production_id = 26),
  [4274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [4276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [4278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [4283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(69),
  [4286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 60), SHIFT(69),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [4293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(71),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4315] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 50),
  [4319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__parameter_name, 1, .production_id = 9),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(69),
  [4327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(69),
  [4330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [4335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 25), REDUCE(sym_object_pattern, 3, .production_id = 26),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 26),
  [4340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [4359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 60), SHIFT(72),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [4398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [4400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [4412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8), SHIFT(72),
  [4425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_await_expression, 2), SHIFT(72),
  [4428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8), SHIFT(72),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [4479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [4482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [4484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2077),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [4503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [4508] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [4521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [4549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3215),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [4581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [4583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [4587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [4591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [4603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [4615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [4621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [4627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [4639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [4657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [4659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [4665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 25), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 26),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [4672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 61),
  [4674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 61),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 25),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [4690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 15),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [4698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [4702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 113),
  [4726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 113),
  [4728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 196),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 196),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [4740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 75),
  [4742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 75),
  [4744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 126),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 126),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [4750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 10, .production_id = 261),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 10, .production_id = 261),
  [4754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 219),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 219),
  [4758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 252),
  [4760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 252),
  [4762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 220),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 220),
  [4766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 9, .production_id = 251),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, .production_id = 251),
  [4770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 162),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 162),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [4778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 238),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 238),
  [4782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 148),
  [4784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 148),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [4800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 187),
  [4802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 187),
  [4804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 8, .production_id = 239),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, .production_id = 239),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [4818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2172),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [4833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1), SHIFT(2369),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [4862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [4884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [4904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 19),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 19),
  [4908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 19), SHIFT_REPEAT(3537),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [4925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3925),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 12),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 12), SHIFT(3544),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 133),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [5040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 43),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [5066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 211),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [5072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [5074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [5078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [5080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [5086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [5094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4069),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [5108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 175),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [5114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 1, .production_id = 5),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [5124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym_jsx_namespace_name, 3),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4020),
  [5163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 133),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [5167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 175),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [5173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 1, .production_id = 5),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [5177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), REDUCE(sym__primary_type, 1, .production_id = 49),
  [5180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 211),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 43),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [5206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49), SHIFT(3739),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [5229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 211),
  [5231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 175),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 211),
  [5235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 43),
  [5237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 133),
  [5239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 5),
  [5241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 133),
  [5243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 43),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 175),
  [5247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 5),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [5263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 49), REDUCE(sym_rest_pattern, 2),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [5268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_pattern, 2), REDUCE(sym_object_type, 2),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [5291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [5315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2),
  [5325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_pattern, 2), REDUCE(sym_tuple_type, 2),
  [5328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [5344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), REDUCE(sym_predefined_type, 1),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [5353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [5359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3962),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 26),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [5385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4041),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4025),
  [5395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3867),
  [5401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3870),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3871),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2849),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4027),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3896),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [5433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4044),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 34),
  [5451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__primary_type, 1, .production_id = 50), REDUCE(sym__parameter_name, 2, .production_id = 34),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 234),
  [5458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9),
  [5474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__parameter_name, 1, .production_id = 9), REDUCE(sym__primary_type, 1, .production_id = 50),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [5481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(160),
  [5484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(2951),
  [5487] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(2578),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4054),
  [5492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 91), SHIFT_REPEAT(2665),
  [5495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 91), SHIFT_REPEAT(159),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 91),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 91),
  [5502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 2, .production_id = 91), SHIFT_REPEAT(2665),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [5511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [5523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [5527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4123),
  [5533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opting_type_annotation, 2),
  [5537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_omitting_type_annotation, 2),
  [5539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4115),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [5547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 98),
  [5549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [5555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [5557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 9, .production_id = 263),
  [5559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 255),
  [5561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 8, .production_id = 260),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [5567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 2, .production_id = 95),
  [5569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [5571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [5573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 178),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [5579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [5581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 240),
  [5583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 7, .production_id = 241),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [5587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [5589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 227),
  [5591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 6, .production_id = 226),
  [5593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [5599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 3, .production_id = 98),
  [5601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 112),
  [5603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 3, .production_id = 137),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [5611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 2, .production_id = 141),
  [5613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 116),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [5621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 116),
  [5623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 203),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [5633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 7),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [5637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, .production_id = 7),
  [5639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 5, .production_id = 202),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 167),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [5649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 234),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [5655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 1, .production_id = 10),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [5663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [5665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(266),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asserts, 3),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [5678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_signature, 4, .production_id = 147),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [5698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [5706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 3, .production_id = 67),
  [5708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_predicate_annotation, 2),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [5720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [5754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 2),
  [5756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [5758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4117),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2288),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [5770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [5776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(2765),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [5781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(230),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [5798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [5800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [5814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [5818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3260),
  [5820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [5822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(4036),
  [5825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [5827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(183),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [5834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [5836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [5840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 116),
  [5842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 116),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3866),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2980),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [5858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [5868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3290),
  [5870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [5894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [5910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [5912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 2, .production_id = 117),
  [5914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 2, .production_id = 117),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [5920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [5928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [5932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [5938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_member, 1),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [5966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2), SHIFT_REPEAT(1041),
  [5969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [5979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 2),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [5983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [6005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 2, .production_id = 10),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [6013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 17),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [6027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 5, .production_id = 210),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 205),
  [6031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 3, .production_id = 177),
  [6033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 2),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [6041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_construct_signature, 4, .production_id = 212),
  [6043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 2, .production_id = 37),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [6047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 7, .production_id = 246),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [6069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 171),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [6093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(700),
  [6096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 4, .production_id = 173),
  [6098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 173),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 258),
  [6102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 171),
  [6104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(737),
  [6107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 254),
  [6109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 8, .production_id = 253),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [6113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 4, .production_id = 169),
  [6115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 233),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [6119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 6, .production_id = 230),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [6133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 3, .production_id = 168),
  [6135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 5, .production_id = 166),
  [6137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 117),
  [6139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 117),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_signature, 1, .production_id = 100),
  [6143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(769),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [6148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 88),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [6154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 128),
  [6156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 29),
  [6158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 249),
  [6160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 4, .production_id = 130),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [6166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(828),
  [6169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(702),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 135),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 222),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [6184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 7),
  [6186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, .production_id = 7),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [6194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 224),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [6198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [6200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3),
  [6202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 246),
  [6204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 6, .production_id = 225),
  [6206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5),
  [6208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 244),
  [6210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_signature, 7, .production_id = 243),
  [6212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 29),
  [6214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 230),
  [6216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 135),
  [6218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 3, .production_id = 78),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [6224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(829),
  [6227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [6233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 2, .production_id = 18), SHIFT(819),
  [6236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__call_signature, 1, .production_id = 3), SHIFT(698),
  [6239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [6241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2),
  [6243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_type, 2),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [6251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 78),
  [6253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameter_name, 3, .production_id = 84),
  [6257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 209),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [6263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [6265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3),
  [6267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2),
  [6269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(783),
  [6272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_literal_type_repeat1, 2), SHIFT_REPEAT(3174),
  [6275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 5, .production_id = 205),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [6279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 209),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [6283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 233),
  [6285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, .production_id = 44),
  [6287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__jsx_start_opening_element_repeat1, 1, .production_id = 44),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_property_signature, 2, .production_id = 29),
  [6291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 43),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [6297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [6299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [6317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 26),
  [6319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [6321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [6323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [6325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [6327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [6329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [6331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [6333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [6335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [6337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [6339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [6341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [6343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [6345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [6347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [6349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [6351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3031),
  [6353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [6355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 36),
  [6357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [6359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [6361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 46),
  [6365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [6367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [6369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 140),
  [6371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_clause_repeat1, 2, .production_id = 140), SHIFT_REPEAT(389),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [6378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 4, .production_id = 139),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [6382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_implements_clause_repeat1, 2), SHIFT_REPEAT(779),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [6389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [6397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(155),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [6410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(2669),
  [6413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [6417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [6423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [6425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 151),
  [6427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 151),
  [6429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1),
  [6431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 1), REDUCE(aux_sym_template_literal_type_repeat1, 1),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [6436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extends_type_clause, 3, .production_id = 152),
  [6438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_type_clause, 3, .production_id = 152),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [6444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [6446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(3279),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [6457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 189),
  [6459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 189), SHIFT_REPEAT(3270),
  [6462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extends_type_clause_repeat1, 2, .production_id = 189),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [6466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_clause, 3, .production_id = 99),
  [6468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [6482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [6484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(3297),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 86),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [6501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mapped_type_clause, 5, .production_id = 223),
  [6503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [6509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3000),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [6537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 245),
  [6539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 208),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [6543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 2, .production_id = 43),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 204),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [6551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2), SHIFT_REPEAT(684),
  [6554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2),
  [6556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 256),
  [6558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [6560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [6564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 229),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [6572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 78),
  [6574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 242),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [6582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 134),
  [6584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 1),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [6592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 2, .production_id = 28),
  [6594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 3),
  [6596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 228),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [6606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(1816),
  [6609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [6611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(1879),
  [6614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [6620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [6622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 5, .dynamic_precedence = -1, .production_id = 132),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [6628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 202),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4038),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [6642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [6646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 247),
  [6656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [6664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [6666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [6668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [6680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3521),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [6684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 7, .production_id = 248),
  [6686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 28),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [6694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [6696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 90),
  [6698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [6700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [6702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [6704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [6706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [6708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [6710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 231),
  [6712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [6714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [6722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [6728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [6730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [6732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [6742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [6744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [6746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 3, .production_id = 112),
  [6748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [6752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [6754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [6756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [6758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [6760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [6762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [6764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [6766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [6768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [6770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [6772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [6774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [6776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [6780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [6782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [6784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [6786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [6788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 191), SHIFT_REPEAT(2049),
  [6791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, .production_id = 191),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [6795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implements_clause, 3),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [6801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(1798),
  [6804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [6806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 5, .production_id = 203),
  [6808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 136),
  [6810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [6812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [6824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 3, .production_id = 79),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [6828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(3293),
  [6831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [6835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [6837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [6849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 257),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 170),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [6857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 8, .production_id = 259),
  [6859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 172),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [6865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 174),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [6869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 74),
  [6871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(3726),
  [6874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [6876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [6878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 147),
  [6880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 4, .production_id = 167),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [6890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [6892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [6894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [6896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 4, .production_id = 176),
  [6898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [6902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [6904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [6906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [6908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [6910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [6912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [6914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [6916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [6920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [6926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [6928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(2006),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [6937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 92),
  [6939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(320),
  [6942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [6946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [6956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [6958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [6960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [6962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [6964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [6966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [6968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(3303),
  [6971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [6973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 6, .production_id = 232),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [6987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 79),
  [6989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 43),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 9, .production_id = 262),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [7009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 206),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [7015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_public_field_definition, 5, .production_id = 207),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [7021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_method_signature, 6, .production_id = 226),
  [7023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [7053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [7055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5),
  [7057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 3, .production_id = 124),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [7119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 2, .production_id = 35),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [7123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [7125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 45),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [7135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 27),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [7149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 3, .production_id = 85),
  [7151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_required_parameter, 3, .production_id = 87),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [7155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 93),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [7163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 72),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [7181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 77),
  [7183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter, 4, .production_id = 129),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [7197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_parameter, 2, .production_id = 29),
  [7199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type, 2),
  [7201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_assignment, 2, .production_id = 28),
  [7203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 4, .production_id = 160),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [7209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_tuple_parameter, 3, .production_id = 78),
  [7211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [7213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_require_clause, 6, .production_id = 197),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3939),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [7311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [7313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [7323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [7385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, .production_id = 77),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [7399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1742),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [7445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, .production_id = 77),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [7475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [7489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [7565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [7569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, .production_id = 77),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2936),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [7601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import, 3),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [7627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [7653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [7669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [7727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [7747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [7757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [7759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [7761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [7763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [7769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [7771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [7773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [7775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [7777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [7779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [7781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [7785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [7787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [7789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [7791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [7799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [7801] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [7805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [7807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [7809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [7811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [7813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_tsx_external_scanner_create(void);
void tree_sitter_tsx_external_scanner_destroy(void *);
bool tree_sitter_tsx_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_tsx_external_scanner_serialize(void *, char *);
void tree_sitter_tsx_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_tsx(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_tsx_external_scanner_create,
      tree_sitter_tsx_external_scanner_destroy,
      tree_sitter_tsx_external_scanner_scan,
      tree_sitter_tsx_external_scanner_serialize,
      tree_sitter_tsx_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
